(benchmark synch_circuit
  :source {
Fully parameterized specification and verification of a synchronizer   
circuit modeling metastability at various levels of refinement.     
A paper describing this specification, to be published in Designing     
Correct Circuits (DCC), 2006, is available from the authors.            

Geoffrey Brown, Indiana University <geobrown@cs.indiana.edu>
Lee Pike, Galois Connections, Inc. <leepike@galois.com>

Translated into CVC format by Leonardo de Moura.

This benchmark was automatically translated into SMT-LIB format from
CVC format using CVC Lite

}
  :status sat
:category { industrial }
:difficulty { 3 }
  :logic QF_LRA
  
  :extrapreds ((x_0))
  :extrapreds ((x_1))
  :extrafuns ((x_2 Real))
  :extrafuns ((x_3 Real))
  :extrapreds ((x_4))
  :extrapreds ((x_5))
  :extrafuns ((x_6 Real))
  :extrafuns ((x_7 Real))
  :extrapreds ((x_8))
  :extrapreds ((x_9))
  :extrafuns ((x_10 Real))
  :extrafuns ((x_11 Real))
  :extrapreds ((x_12))
  :extrapreds ((x_13))
  :extrafuns ((x_14 Real))
  :extrafuns ((x_15 Real))
  :extrapreds ((x_16))
  :extrapreds ((x_17))
  :extrafuns ((x_18 Real))
  :extrafuns ((x_19 Real))
  :extrapreds ((x_20))
  :extrapreds ((x_21))
  :extrafuns ((x_22 Real))
  :extrafuns ((x_23 Real))
  :extrapreds ((x_24))
  :extrapreds ((x_25))
  :extrafuns ((x_26 Real))
  :extrafuns ((x_27 Real))
  :extrapreds ((x_28))
  :extrapreds ((x_29))
  :extrafuns ((x_30 Real))
  :extrafuns ((x_31 Real))
  :extrapreds ((x_32))
  :extrapreds ((x_33))
  :extrafuns ((x_34 Real))
  :extrafuns ((x_35 Real))
  :extrapreds ((x_36))
  :extrapreds ((x_37))
  :extrafuns ((x_38 Real))
  :extrafuns ((x_39 Real))
  :extrapreds ((x_40))
  :extrapreds ((x_41))
  :extrafuns ((x_42 Real))
  :extrafuns ((x_43 Real))
  :extrapreds ((x_44))
  :extrapreds ((x_45))
  :extrafuns ((x_46 Real))
  :extrafuns ((x_47 Real))
  :extrapreds ((x_48))
  :extrapreds ((x_49))
  :extrafuns ((x_50 Real))
  :extrafuns ((x_51 Real))
  :extrapreds ((x_52))
  :extrapreds ((x_53))
  :extrafuns ((x_54 Real))
  :extrafuns ((x_55 Real))
  :extrapreds ((x_56))
  :extrapreds ((x_57))
  :extrafuns ((x_58 Real))
  :extrafuns ((x_59 Real))
  :extrapreds ((x_60))
  :extrapreds ((x_61))
  :extrafuns ((x_62 Real))
  :extrafuns ((x_63 Real))
  :extrapreds ((x_64))
  :extrapreds ((x_65))
  :extrafuns ((x_66 Real))
  :extrafuns ((x_67 Real))
  :extrapreds ((x_68))
  :extrapreds ((x_69))
  :extrafuns ((x_70 Real))
  :extrafuns ((x_71 Real))
  :extrapreds ((x_72))
  :extrapreds ((x_73))
  :extrafuns ((x_74 Real))
  :extrafuns ((x_75 Real))
  :extrapreds ((x_76))
  :extrapreds ((x_77))
  :extrafuns ((x_78 Real))
  :extrafuns ((x_79 Real))
  :extrapreds ((x_80))
  :extrapreds ((x_81))
  :extrafuns ((x_82 Real))
  :extrafuns ((x_83 Real))
  :extrapreds ((x_84))
  :extrapreds ((x_85))
  :extrafuns ((x_86 Real))
  :extrafuns ((x_87 Real))
  :extrapreds ((x_88))
  :extrapreds ((x_89))
  :extrafuns ((x_90 Real))
  :extrafuns ((x_91 Real))
  :extrapreds ((x_92))
  :extrapreds ((x_93))
  :extrafuns ((x_94 Real))
  :extrafuns ((x_95 Real))
  :extrapreds ((x_96))
  :extrapreds ((x_97))
  :extrafuns ((x_98 Real))
  :extrafuns ((x_99 Real))
  :extrapreds ((x_100))
  :extrapreds ((x_101))
  :extrafuns ((x_102 Real))
  :extrafuns ((x_103 Real))
  :extrafuns ((x_104 Real))
  :extrafuns ((x_105 Real))
  :extrafuns ((x_106 Real))
  :extrafuns ((x_107 Real))
  :extrafuns ((x_108 Real))
  :extrafuns ((x_109 Real))
  :extrafuns ((x_110 Real))
  :extrafuns ((x_111 Real))
  :extrafuns ((x_112 Real))
  :extrafuns ((x_113 Real))
  :extrapreds ((x_114))
  :extrapreds ((x_115))
  :extrafuns ((x_116 Real))
  :extrafuns ((x_117 Real))
  :extrafuns ((x_118 Real))
  :extrafuns ((x_119 Real))
  :extrapreds ((x_120))
  :extrapreds ((x_121))
  :extrapreds ((x_122))
  :extrapreds ((x_123))
  :extrapreds ((x_124))
  :extrafuns ((x_125 Real))
  :extrapreds ((x_126))
  :extrafuns ((x_127 Real))
  :extrafuns ((x_128 Real))
  :extrafuns ((x_129 Real))
  :extrafuns ((x_130 Real))
  :extrafuns ((x_131 Real))
  :extrafuns ((x_132 Real))
  :extrafuns ((x_133 Real))
  :extrafuns ((x_134 Real))
  :extrafuns ((x_135 Real))
  :extrapreds ((x_136))
  :extrafuns ((x_137 Real))
  :extrapreds ((x_138))
  :extrapreds ((x_139))
  :extrafuns ((x_140 Real))
  :extrapreds ((x_141))
  :extrafuns ((x_142 Real))
  :extrafuns ((x_143 Real))
  :extrafuns ((x_144 Real))
  :extrafuns ((x_145 Real))
  :extrafuns ((x_146 Real))
  :extrafuns ((x_147 Real))
  :extrafuns ((x_148 Real))
  :extrafuns ((x_149 Real))
  :extrapreds ((x_150))
  :extrafuns ((x_151 Real))
  :extrapreds ((x_152))
  :extrapreds ((x_153))
  :extrafuns ((x_154 Real))
  :extrapreds ((x_155))
  :extrafuns ((x_156 Real))
  :extrafuns ((x_157 Real))
  :extrafuns ((x_158 Real))
  :extrafuns ((x_159 Real))
  :extrafuns ((x_160 Real))
  :extrafuns ((x_161 Real))
  :extrafuns ((x_162 Real))
  :extrafuns ((x_163 Real))
  :extrapreds ((x_164))
  :extrafuns ((x_165 Real))
  :extrapreds ((x_166))
  :extrapreds ((x_167))
  :extrafuns ((x_168 Real))
  :extrapreds ((x_169))
  :extrafuns ((x_170 Real))
  :extrafuns ((x_171 Real))
  :extrafuns ((x_172 Real))
  :extrafuns ((x_173 Real))
  :extrafuns ((x_174 Real))
  :extrafuns ((x_175 Real))
  :extrafuns ((x_176 Real))
  :extrafuns ((x_177 Real))
  :extrapreds ((x_178))
  :extrafuns ((x_179 Real))
  :extrapreds ((x_180))
  :extrapreds ((x_181))
  :extrafuns ((x_182 Real))
  :extrapreds ((x_183))
  :extrafuns ((x_184 Real))
  :extrafuns ((x_185 Real))
  :extrafuns ((x_186 Real))
  :extrafuns ((x_187 Real))
  :extrafuns ((x_188 Real))
  :extrafuns ((x_189 Real))
  :extrafuns ((x_190 Real))
  :extrafuns ((x_191 Real))
  :extrapreds ((x_192))
  :extrafuns ((x_193 Real))
  :extrapreds ((x_194))
  :extrapreds ((x_195))
  :extrafuns ((x_196 Real))
  :extrapreds ((x_197))
  :extrafuns ((x_198 Real))
  :extrafuns ((x_199 Real))
  :extrafuns ((x_200 Real))
  :extrafuns ((x_201 Real))
  :extrafuns ((x_202 Real))
  :extrafuns ((x_203 Real))
  :extrafuns ((x_204 Real))
  :extrafuns ((x_205 Real))
  :extrapreds ((x_206))
  :extrafuns ((x_207 Real))
  :extrapreds ((x_208))
  :extrapreds ((x_209))
  :extrafuns ((x_210 Real))
  :extrapreds ((x_211))
  :extrafuns ((x_212 Real))
  :extrafuns ((x_213 Real))
  :extrafuns ((x_214 Real))
  :extrafuns ((x_215 Real))
  :extrafuns ((x_216 Real))
  :extrafuns ((x_217 Real))
  :extrafuns ((x_218 Real))
  :extrafuns ((x_219 Real))
  :extrapreds ((x_220))
  :extrafuns ((x_221 Real))
  :extrapreds ((x_222))
  :extrapreds ((x_223))
  :extrafuns ((x_224 Real))
  :extrapreds ((x_225))
  :extrafuns ((x_226 Real))
  :extrafuns ((x_227 Real))
  :extrafuns ((x_228 Real))
  :extrafuns ((x_229 Real))
  :extrafuns ((x_230 Real))
  :extrafuns ((x_231 Real))
  :extrafuns ((x_232 Real))
  :extrafuns ((x_233 Real))
  :extrapreds ((x_234))
  :extrafuns ((x_235 Real))
  :extrapreds ((x_236))
  :extrapreds ((x_237))
  :extrafuns ((x_238 Real))
  :extrapreds ((x_239))
  :extrafuns ((x_240 Real))
  :extrafuns ((x_241 Real))
  :extrafuns ((x_242 Real))
  :extrafuns ((x_243 Real))
  :extrafuns ((x_244 Real))
  :extrafuns ((x_245 Real))
  :extrafuns ((x_246 Real))
  :extrafuns ((x_247 Real))
  :extrapreds ((x_248))
  :extrafuns ((x_249 Real))
  :extrapreds ((x_250))
  :extrapreds ((x_251))
  :extrafuns ((x_252 Real))
  :extrapreds ((x_253))
  :extrafuns ((x_254 Real))
  :extrafuns ((x_255 Real))
  :extrafuns ((x_256 Real))
  :extrafuns ((x_257 Real))
  :extrafuns ((x_258 Real))
  :extrafuns ((x_259 Real))
  :extrafuns ((x_260 Real))
  :extrafuns ((x_261 Real))
  :extrapreds ((x_262))
  :extrafuns ((x_263 Real))
  :extrapreds ((x_264))
  :extrapreds ((x_265))
  :extrafuns ((x_266 Real))
  :extrapreds ((x_267))
  :extrafuns ((x_268 Real))
  :extrafuns ((x_269 Real))
  :extrafuns ((x_270 Real))
  :extrafuns ((x_271 Real))
  :extrafuns ((x_272 Real))
  :extrafuns ((x_273 Real))
  :extrafuns ((x_274 Real))
  :extrafuns ((x_275 Real))
  :extrapreds ((x_276))
  :extrafuns ((x_277 Real))
  :extrapreds ((x_278))
  :extrapreds ((x_279))
  :extrafuns ((x_280 Real))
  :extrapreds ((x_281))
  :extrafuns ((x_282 Real))
  :extrafuns ((x_283 Real))
  :extrafuns ((x_284 Real))
  :extrafuns ((x_285 Real))
  :extrafuns ((x_286 Real))
  :extrafuns ((x_287 Real))
  :extrafuns ((x_288 Real))
  :extrafuns ((x_289 Real))
  :extrapreds ((x_290))
  :extrafuns ((x_291 Real))
  :extrapreds ((x_292))
  :extrapreds ((x_293))
  :extrafuns ((x_294 Real))
  :extrapreds ((x_295))
  :extrafuns ((x_296 Real))
  :extrafuns ((x_297 Real))
  :extrafuns ((x_298 Real))
  :extrafuns ((x_299 Real))
  :extrafuns ((x_300 Real))
  :extrafuns ((x_301 Real))
  :extrafuns ((x_302 Real))
  :extrafuns ((x_303 Real))
  :extrapreds ((x_304))
  :extrafuns ((x_305 Real))
  :extrapreds ((x_306))
  :extrapreds ((x_307))
  :extrafuns ((x_308 Real))
  :extrapreds ((x_309))
  :extrafuns ((x_310 Real))
  :extrafuns ((x_311 Real))
  :extrafuns ((x_312 Real))
  :extrafuns ((x_313 Real))
  :extrafuns ((x_314 Real))
  :extrafuns ((x_315 Real))
  :extrafuns ((x_316 Real))
  :extrafuns ((x_317 Real))
  :extrapreds ((x_318))
  :extrafuns ((x_319 Real))
  :extrapreds ((x_320))
  :extrapreds ((x_321))
  :extrafuns ((x_322 Real))
  :extrapreds ((x_323))
  :extrafuns ((x_324 Real))
  :extrafuns ((x_325 Real))
  :extrafuns ((x_326 Real))
  :extrafuns ((x_327 Real))
  :extrafuns ((x_328 Real))
  :extrafuns ((x_329 Real))
  :extrafuns ((x_330 Real))
  :extrafuns ((x_331 Real))
  :extrapreds ((x_332))
  :extrafuns ((x_333 Real))
  :extrapreds ((x_334))
  :extrapreds ((x_335))
  :extrafuns ((x_336 Real))
  :extrapreds ((x_337))
  :extrafuns ((x_338 Real))
  :extrafuns ((x_339 Real))
  :extrafuns ((x_340 Real))
  :extrafuns ((x_341 Real))
  :extrafuns ((x_342 Real))
  :extrafuns ((x_343 Real))
  :extrafuns ((x_344 Real))
  :extrafuns ((x_345 Real))
  :extrapreds ((x_346))
  :extrafuns ((x_347 Real))
  :extrapreds ((x_348))
  :extrapreds ((x_349))
  :extrafuns ((x_350 Real))
  :extrapreds ((x_351))
  :extrafuns ((x_352 Real))
  :extrafuns ((x_353 Real))
  :extrafuns ((x_354 Real))
  :extrafuns ((x_355 Real))
  :extrafuns ((x_356 Real))
  :extrafuns ((x_357 Real))
  :extrafuns ((x_358 Real))
  :extrafuns ((x_359 Real))
  :extrapreds ((x_360))
  :extrafuns ((x_361 Real))
  :extrapreds ((x_362))
  :extrapreds ((x_363))
  :extrafuns ((x_364 Real))
  :extrapreds ((x_365))
  :extrafuns ((x_366 Real))
  :extrafuns ((x_367 Real))
  :extrafuns ((x_368 Real))
  :extrafuns ((x_369 Real))
  :extrafuns ((x_370 Real))
  :extrafuns ((x_371 Real))
  :extrafuns ((x_372 Real))
  :extrafuns ((x_373 Real))
  :extrapreds ((x_374))
  :extrafuns ((x_375 Real))
  :extrapreds ((x_376))
  :extrapreds ((x_377))
  :extrafuns ((x_378 Real))
  :extrapreds ((x_379))
  :extrafuns ((x_380 Real))
  :extrafuns ((x_381 Real))
  :extrafuns ((x_382 Real))
  :extrafuns ((x_383 Real))
  :extrafuns ((x_384 Real))
  :extrafuns ((x_385 Real))
  :extrafuns ((x_386 Real))
  :extrafuns ((x_387 Real))
  :extrapreds ((x_388))
  :extrafuns ((x_389 Real))
  :extrapreds ((x_390))
  :extrapreds ((x_391))
  :extrafuns ((x_392 Real))
  :extrapreds ((x_393))
  :extrafuns ((x_394 Real))
  :extrafuns ((x_395 Real))
  :extrafuns ((x_396 Real))
  :extrafuns ((x_397 Real))
  :extrafuns ((x_398 Real))
  :extrafuns ((x_399 Real))
  :extrafuns ((x_400 Real))
  :extrafuns ((x_401 Real))
  :extrapreds ((x_402))
  :extrafuns ((x_403 Real))
  :extrapreds ((x_404))
  :extrapreds ((x_405))
  :extrafuns ((x_406 Real))
  :extrapreds ((x_407))
  :extrafuns ((x_408 Real))
  :extrafuns ((x_409 Real))
  :extrafuns ((x_410 Real))
  :extrafuns ((x_411 Real))
  :extrafuns ((x_412 Real))
  :extrafuns ((x_413 Real))
  :extrafuns ((x_414 Real))
  :extrafuns ((x_415 Real))
  :extrapreds ((x_416))
  :extrafuns ((x_417 Real))
  :extrapreds ((x_418))
  :extrapreds ((x_419))
  :extrafuns ((x_420 Real))
  :extrapreds ((x_421))
  :extrafuns ((x_422 Real))
  :extrafuns ((x_423 Real))
  :extrafuns ((x_424 Real))
  :extrafuns ((x_425 Real))
  :extrafuns ((x_426 Real))
  :extrafuns ((x_427 Real))
  :extrafuns ((x_428 Real))
  :extrafuns ((x_429 Real))
  :extrapreds ((x_430))
  :extrafuns ((x_431 Real))
  :extrapreds ((x_432))
  :extrapreds ((x_433))
  :extrafuns ((x_434 Real))
  :extrapreds ((x_435))
  :extrafuns ((x_436 Real))
  :extrafuns ((x_437 Real))
  :extrafuns ((x_438 Real))
  :extrafuns ((x_439 Real))
  :extrafuns ((x_440 Real))
  :extrafuns ((x_441 Real))
  :extrafuns ((x_442 Real))
  :extrafuns ((x_443 Real))
  :extrapreds ((x_444))
  :extrafuns ((x_445 Real))
  :extrapreds ((x_446))
  :extrapreds ((x_447))
  :extrafuns ((x_448 Real))
  :extrapreds ((x_449))
  :extrafuns ((x_450 Real))
  :extrafuns ((x_451 Real))
  :extrafuns ((x_452 Real))
  :extrafuns ((x_453 Real))
  :extrafuns ((x_454 Real))
  :extrafuns ((x_455 Real))
  :extrafuns ((x_456 Real))
  :extrafuns ((x_457 Real))
  :extrapreds ((x_458))
  :extrafuns ((x_459 Real))
  :extrapreds ((x_460))
  :extrapreds ((x_461))
  :extrafuns ((x_462 Real))
  :extrapreds ((x_463))
  :extrafuns ((x_464 Real))
  :extrafuns ((x_465 Real))
  :extrafuns ((x_466 Real))
  :extrafuns ((x_467 Real))
  :extrafuns ((x_468 Real))
  :extrafuns ((x_469 Real))
  :extrafuns ((x_470 Real))
  :extrafuns ((x_471 Real))
  :extrapreds ((x_472))
  :extrafuns ((x_473 Real))
  :extrafuns ((x_474 Real))
  :extrapreds ((x_475))
  :extrapreds ((x_476))
  :extrapreds ((x_477))
  :extrapreds ((x_478))
  :extrafuns ((x_479 Real))
  :extrapreds ((x_480))
  :extrafuns ((x_481 Real))
  :extrafuns ((x_482 Real))
  :extrafuns ((x_483 Real))
  :extrafuns ((x_484 Real))
  :formula
(flet ($cvcl_306 (= x_104 x_105)) (flet ($cvcl_307 (= x_106 x_107)) (flet ($cvcl_308 (= x_108 x_109)) (flet ($cvcl_304 (= x_110 x_111)) (flet ($cvcl_309 (not $cvcl_304)) (flet ($cvcl_311 (= x_112 x_113)) (flet ($cvcl_301 (iff x_114 x_115)) (flet ($cvcl_302 (= x_7 x_3)) (let (?cvcl_305 (ite (<= x_106 x_110) x_106 x_110)) (let (?cvcl_300 (ite (<= x_110 x_106) x_110 x_106)) (flet ($cvcl_294 (= x_131 x_104)) (flet ($cvcl_295 (= x_107 x_132)) (flet ($cvcl_296 (= x_133 x_108)) (flet ($cvcl_292 (= x_111 x_134)) (flet ($cvcl_297 (not $cvcl_292)) (flet ($cvcl_299 (= x_135 x_112)) (flet ($cvcl_289 (iff x_136 x_114)) (flet ($cvcl_290 (= x_11 x_7)) (let (?cvcl_293 (ite (<= x_107 x_111) x_107 x_111)) (let (?cvcl_288 (ite (<= x_111 x_107) x_111 x_107)) (flet ($cvcl_282 (= x_145 x_131)) (flet ($cvcl_283 (= x_132 x_146)) (flet ($cvcl_284 (= x_147 x_133)) (flet ($cvcl_280 (= x_134 x_148)) (flet ($cvcl_285 (not $cvcl_280)) (flet ($cvcl_287 (= x_149 x_135)) (flet ($cvcl_277 (iff x_150 x_136)) (flet ($cvcl_278 (= x_15 x_11)) (let (?cvcl_281 (ite (<= x_132 x_134) x_132 x_134)) (let (?cvcl_276 (ite (<= x_134 x_132) x_134 x_132)) (flet ($cvcl_270 (= x_159 x_145)) (flet ($cvcl_271 (= x_146 x_160)) (flet ($cvcl_272 (= x_161 x_147)) (flet ($cvcl_268 (= x_148 x_162)) (flet ($cvcl_273 (not $cvcl_268)) (flet ($cvcl_275 (= x_163 x_149)) (flet ($cvcl_265 (iff x_164 x_150)) (flet ($cvcl_266 (= x_19 x_15)) (let (?cvcl_269 (ite (<= x_146 x_148) x_146 x_148)) (let (?cvcl_264 (ite (<= x_148 x_146) x_148 x_146)) (flet ($cvcl_258 (= x_173 x_159)) (flet ($cvcl_259 (= x_160 x_174)) (flet ($cvcl_260 (= x_175 x_161)) (flet ($cvcl_256 (= x_162 x_176)) (flet ($cvcl_261 (not $cvcl_256)) (flet ($cvcl_263 (= x_177 x_163)) (flet ($cvcl_253 (iff x_178 x_164)) (flet ($cvcl_254 (= x_23 x_19)) (let (?cvcl_257 (ite (<= x_160 x_162) x_160 x_162)) (let (?cvcl_252 (ite (<= x_162 x_160) x_162 x_160)) (flet ($cvcl_246 (= x_187 x_173)) (flet ($cvcl_247 (= x_174 x_188)) (flet ($cvcl_248 (= x_189 x_175)) (flet ($cvcl_244 (= x_176 x_190)) (flet ($cvcl_249 (not $cvcl_244)) (flet ($cvcl_251 (= x_191 x_177)) (flet ($cvcl_241 (iff x_192 x_178)) (flet ($cvcl_242 (= x_27 x_23)) (let (?cvcl_245 (ite (<= x_174 x_176) x_174 x_176)) (let (?cvcl_240 (ite (<= x_176 x_174) x_176 x_174)) (flet ($cvcl_234 (= x_201 x_187)) (flet ($cvcl_235 (= x_188 x_202)) (flet ($cvcl_236 (= x_203 x_189)) (flet ($cvcl_232 (= x_190 x_204)) (flet ($cvcl_237 (not $cvcl_232)) (flet ($cvcl_239 (= x_205 x_191)) (flet ($cvcl_229 (iff x_206 x_192)) (flet ($cvcl_230 (= x_31 x_27)) (let (?cvcl_233 (ite (<= x_188 x_190) x_188 x_190)) (let (?cvcl_228 (ite (<= x_190 x_188) x_190 x_188)) (flet ($cvcl_222 (= x_215 x_201)) (flet ($cvcl_223 (= x_202 x_216)) (flet ($cvcl_224 (= x_217 x_203)) (flet ($cvcl_220 (= x_204 x_218)) (flet ($cvcl_225 (not $cvcl_220)) (flet ($cvcl_227 (= x_219 x_205)) (flet ($cvcl_217 (iff x_220 x_206)) (flet ($cvcl_218 (= x_35 x_31)) (let (?cvcl_221 (ite (<= x_202 x_204) x_202 x_204)) (let (?cvcl_216 (ite (<= x_204 x_202) x_204 x_202)) (flet ($cvcl_210 (= x_229 x_215)) (flet ($cvcl_211 (= x_216 x_230)) (flet ($cvcl_212 (= x_231 x_217)) (flet ($cvcl_208 (= x_218 x_232)) (flet ($cvcl_213 (not $cvcl_208)) (flet ($cvcl_215 (= x_233 x_219)) (flet ($cvcl_205 (iff x_234 x_220)) (flet ($cvcl_206 (= x_39 x_35)) (let (?cvcl_209 (ite (<= x_216 x_218) x_216 x_218)) (let (?cvcl_204 (ite (<= x_218 x_216) x_218 x_216)) (flet ($cvcl_198 (= x_243 x_229)) (flet ($cvcl_199 (= x_230 x_244)) (flet ($cvcl_200 (= x_245 x_231)) (flet ($cvcl_196 (= x_232 x_246)) (flet ($cvcl_201 (not $cvcl_196)) (flet ($cvcl_203 (= x_247 x_233)) (flet ($cvcl_193 (iff x_248 x_234)) (flet ($cvcl_194 (= x_43 x_39)) (let (?cvcl_197 (ite (<= x_230 x_232) x_230 x_232)) (let (?cvcl_192 (ite (<= x_232 x_230) x_232 x_230)) (flet ($cvcl_186 (= x_257 x_243)) (flet ($cvcl_187 (= x_244 x_258)) (flet ($cvcl_188 (= x_259 x_245)) (flet ($cvcl_184 (= x_246 x_260)) (flet ($cvcl_189 (not $cvcl_184)) (flet ($cvcl_191 (= x_261 x_247)) (flet ($cvcl_181 (iff x_262 x_248)) (flet ($cvcl_182 (= x_47 x_43)) (let (?cvcl_185 (ite (<= x_244 x_246) x_244 x_246)) (let (?cvcl_180 (ite (<= x_246 x_244) x_246 x_244)) (flet ($cvcl_174 (= x_271 x_257)) (flet ($cvcl_175 (= x_258 x_272)) (flet ($cvcl_176 (= x_273 x_259)) (flet ($cvcl_172 (= x_260 x_274)) (flet ($cvcl_177 (not $cvcl_172)) (flet ($cvcl_179 (= x_275 x_261)) (flet ($cvcl_169 (iff x_276 x_262)) (flet ($cvcl_170 (= x_51 x_47)) (let (?cvcl_173 (ite (<= x_258 x_260) x_258 x_260)) (let (?cvcl_168 (ite (<= x_260 x_258) x_260 x_258)) (flet ($cvcl_162 (= x_285 x_271)) (flet ($cvcl_163 (= x_272 x_286)) (flet ($cvcl_164 (= x_287 x_273)) (flet ($cvcl_160 (= x_274 x_288)) (flet ($cvcl_165 (not $cvcl_160)) (flet ($cvcl_167 (= x_289 x_275)) (flet ($cvcl_157 (iff x_290 x_276)) (flet ($cvcl_158 (= x_55 x_51)) (let (?cvcl_161 (ite (<= x_272 x_274) x_272 x_274)) (let (?cvcl_156 (ite (<= x_274 x_272) x_274 x_272)) (flet ($cvcl_150 (= x_299 x_285)) (flet ($cvcl_151 (= x_286 x_300)) (flet ($cvcl_152 (= x_301 x_287)) (flet ($cvcl_148 (= x_288 x_302)) (flet ($cvcl_153 (not $cvcl_148)) (flet ($cvcl_155 (= x_303 x_289)) (flet ($cvcl_145 (iff x_304 x_290)) (flet ($cvcl_146 (= x_59 x_55)) (let (?cvcl_149 (ite (<= x_286 x_288) x_286 x_288)) (let (?cvcl_144 (ite (<= x_288 x_286) x_288 x_286)) (flet ($cvcl_138 (= x_313 x_299)) (flet ($cvcl_139 (= x_300 x_314)) (flet ($cvcl_140 (= x_315 x_301)) (flet ($cvcl_136 (= x_302 x_316)) (flet ($cvcl_141 (not $cvcl_136)) (flet ($cvcl_143 (= x_317 x_303)) (flet ($cvcl_133 (iff x_318 x_304)) (flet ($cvcl_134 (= x_63 x_59)) (let (?cvcl_137 (ite (<= x_300 x_302) x_300 x_302)) (let (?cvcl_132 (ite (<= x_302 x_300) x_302 x_300)) (flet ($cvcl_126 (= x_327 x_313)) (flet ($cvcl_127 (= x_314 x_328)) (flet ($cvcl_128 (= x_329 x_315)) (flet ($cvcl_124 (= x_316 x_330)) (flet ($cvcl_129 (not $cvcl_124)) (flet ($cvcl_131 (= x_331 x_317)) (flet ($cvcl_121 (iff x_332 x_318)) (flet ($cvcl_122 (= x_67 x_63)) (let (?cvcl_125 (ite (<= x_314 x_316) x_314 x_316)) (let (?cvcl_120 (ite (<= x_316 x_314) x_316 x_314)) (flet ($cvcl_114 (= x_341 x_327)) (flet ($cvcl_115 (= x_328 x_342)) (flet ($cvcl_116 (= x_343 x_329)) (flet ($cvcl_112 (= x_330 x_344)) (flet ($cvcl_117 (not $cvcl_112)) (flet ($cvcl_119 (= x_345 x_331)) (flet ($cvcl_109 (iff x_346 x_332)) (flet ($cvcl_110 (= x_71 x_67)) (let (?cvcl_113 (ite (<= x_328 x_330) x_328 x_330)) (let (?cvcl_108 (ite (<= x_330 x_328) x_330 x_328)) (flet ($cvcl_102 (= x_355 x_341)) (flet ($cvcl_103 (= x_342 x_356)) (flet ($cvcl_104 (= x_357 x_343)) (flet ($cvcl_100 (= x_344 x_358)) (flet ($cvcl_105 (not $cvcl_100)) (flet ($cvcl_107 (= x_359 x_345)) (flet ($cvcl_97 (iff x_360 x_346)) (flet ($cvcl_98 (= x_75 x_71)) (let (?cvcl_101 (ite (<= x_342 x_344) x_342 x_344)) (let (?cvcl_96 (ite (<= x_344 x_342) x_344 x_342)) (flet ($cvcl_90 (= x_369 x_355)) (flet ($cvcl_91 (= x_356 x_370)) (flet ($cvcl_92 (= x_371 x_357)) (flet ($cvcl_88 (= x_358 x_372)) (flet ($cvcl_93 (not $cvcl_88)) (flet ($cvcl_95 (= x_373 x_359)) (flet ($cvcl_85 (iff x_374 x_360)) (flet ($cvcl_86 (= x_79 x_75)) (let (?cvcl_89 (ite (<= x_356 x_358) x_356 x_358)) (let (?cvcl_84 (ite (<= x_358 x_356) x_358 x_356)) (flet ($cvcl_78 (= x_383 x_369)) (flet ($cvcl_79 (= x_370 x_384)) (flet ($cvcl_80 (= x_385 x_371)) (flet ($cvcl_76 (= x_372 x_386)) (flet ($cvcl_81 (not $cvcl_76)) (flet ($cvcl_83 (= x_387 x_373)) (flet ($cvcl_73 (iff x_388 x_374)) (flet ($cvcl_74 (= x_83 x_79)) (let (?cvcl_77 (ite (<= x_370 x_372) x_370 x_372)) (let (?cvcl_72 (ite (<= x_372 x_370) x_372 x_370)) (flet ($cvcl_66 (= x_397 x_383)) (flet ($cvcl_67 (= x_384 x_398)) (flet ($cvcl_68 (= x_399 x_385)) (flet ($cvcl_64 (= x_386 x_400)) (flet ($cvcl_69 (not $cvcl_64)) (flet ($cvcl_71 (= x_401 x_387)) (flet ($cvcl_61 (iff x_402 x_388)) (flet ($cvcl_62 (= x_87 x_83)) (let (?cvcl_65 (ite (<= x_384 x_386) x_384 x_386)) (let (?cvcl_60 (ite (<= x_386 x_384) x_386 x_384)) (flet ($cvcl_54 (= x_411 x_397)) (flet ($cvcl_55 (= x_398 x_412)) (flet ($cvcl_56 (= x_413 x_399)) (flet ($cvcl_52 (= x_400 x_414)) (flet ($cvcl_57 (not $cvcl_52)) (flet ($cvcl_59 (= x_415 x_401)) (flet ($cvcl_49 (iff x_416 x_402)) (flet ($cvcl_50 (= x_91 x_87)) (let (?cvcl_53 (ite (<= x_398 x_400) x_398 x_400)) (let (?cvcl_48 (ite (<= x_400 x_398) x_400 x_398)) (flet ($cvcl_42 (= x_425 x_411)) (flet ($cvcl_43 (= x_412 x_426)) (flet ($cvcl_44 (= x_427 x_413)) (flet ($cvcl_40 (= x_414 x_428)) (flet ($cvcl_45 (not $cvcl_40)) (flet ($cvcl_47 (= x_429 x_415)) (flet ($cvcl_37 (iff x_430 x_416)) (flet ($cvcl_38 (= x_95 x_91)) (let (?cvcl_41 (ite (<= x_412 x_414) x_412 x_414)) (let (?cvcl_36 (ite (<= x_414 x_412) x_414 x_412)) (flet ($cvcl_30 (= x_439 x_425)) (flet ($cvcl_31 (= x_426 x_440)) (flet ($cvcl_32 (= x_441 x_427)) (flet ($cvcl_28 (= x_428 x_442)) (flet ($cvcl_33 (not $cvcl_28)) (flet ($cvcl_35 (= x_443 x_429)) (flet ($cvcl_25 (iff x_444 x_430)) (flet ($cvcl_26 (= x_99 x_95)) (let (?cvcl_29 (ite (<= x_426 x_428) x_426 x_428)) (let (?cvcl_24 (ite (<= x_428 x_426) x_428 x_426)) (flet ($cvcl_18 (= x_453 x_439)) (flet ($cvcl_19 (= x_440 x_454)) (flet ($cvcl_20 (= x_455 x_441)) (flet ($cvcl_16 (= x_442 x_456)) (flet ($cvcl_21 (not $cvcl_16)) (flet ($cvcl_23 (= x_457 x_443)) (flet ($cvcl_13 (iff x_458 x_444)) (flet ($cvcl_14 (= x_103 x_99)) (let (?cvcl_17 (ite (<= x_440 x_442) x_440 x_442)) (let (?cvcl_12 (ite (<= x_442 x_440) x_442 x_440)) (flet ($cvcl_6 (= x_467 x_453)) (flet ($cvcl_7 (= x_454 x_468)) (flet ($cvcl_8 (= x_469 x_455)) (flet ($cvcl_4 (= x_456 x_470)) (flet ($cvcl_9 (not $cvcl_4)) (flet ($cvcl_11 (= x_471 x_457)) (flet ($cvcl_1 (iff x_472 x_458)) (flet ($cvcl_2 (= x_473 x_103)) (let (?cvcl_5 (ite (<= x_454 x_456) x_454 x_456)) (let (?cvcl_0 (ite (<= x_456 x_454) x_456 x_454)) (flet ($cvcl_3 (iff x_476 x_101)) (flet ($cvcl_10 (= x_103 x_473)) (flet ($cvcl_15 (iff x_101 x_97)) (flet ($cvcl_22 (= x_99 x_103)) (flet ($cvcl_27 (iff x_97 x_93)) (flet ($cvcl_34 (= x_95 x_99)) (flet ($cvcl_39 (iff x_93 x_89)) (flet ($cvcl_46 (= x_91 x_95)) (flet ($cvcl_51 (iff x_89 x_85)) (flet ($cvcl_58 (= x_87 x_91)) (flet ($cvcl_63 (iff x_85 x_81)) (flet ($cvcl_70 (= x_83 x_87)) (flet ($cvcl_75 (iff x_81 x_77)) (flet ($cvcl_82 (= x_79 x_83)) (flet ($cvcl_87 (iff x_77 x_73)) (flet ($cvcl_94 (= x_75 x_79)) (flet ($cvcl_99 (iff x_73 x_69)) (flet ($cvcl_106 (= x_71 x_75)) (flet ($cvcl_111 (iff x_69 x_65)) (flet ($cvcl_118 (= x_67 x_71)) (flet ($cvcl_123 (iff x_65 x_61)) (flet ($cvcl_130 (= x_63 x_67)) (flet ($cvcl_135 (iff x_61 x_57)) (flet ($cvcl_142 (= x_59 x_63)) (flet ($cvcl_147 (iff x_57 x_53)) (flet ($cvcl_154 (= x_55 x_59)) (flet ($cvcl_159 (iff x_53 x_49)) (flet ($cvcl_166 (= x_51 x_55)) (flet ($cvcl_171 (iff x_49 x_45)) (flet ($cvcl_178 (= x_47 x_51)) (flet ($cvcl_183 (iff x_45 x_41)) (flet ($cvcl_190 (= x_43 x_47)) (flet ($cvcl_195 (iff x_41 x_37)) (flet ($cvcl_202 (= x_39 x_43)) (flet ($cvcl_207 (iff x_37 x_33)) (flet ($cvcl_214 (= x_35 x_39)) (flet ($cvcl_219 (iff x_33 x_29)) (flet ($cvcl_226 (= x_31 x_35)) (flet ($cvcl_231 (iff x_29 x_25)) (flet ($cvcl_238 (= x_27 x_31)) (flet ($cvcl_243 (iff x_25 x_21)) (flet ($cvcl_250 (= x_23 x_27)) (flet ($cvcl_255 (iff x_21 x_17)) (flet ($cvcl_262 (= x_19 x_23)) (flet ($cvcl_267 (iff x_17 x_13)) (flet ($cvcl_274 (= x_15 x_19)) (flet ($cvcl_279 (iff x_13 x_9)) (flet ($cvcl_286 (= x_11 x_15)) (flet ($cvcl_291 (iff x_9 x_5)) (flet ($cvcl_298 (= x_7 x_11)) (flet ($cvcl_303 (iff x_5 x_1)) (flet ($cvcl_310 (= x_3 x_7)) (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (> x_116 0) (> x_117 0)) (>= x_118 0)) (< x_118 x_116)) (< x_118 x_117)) (>= x_129 0)) (< x_129 x_116)) (< x_129 x_117)) (or (iff x_100 x_101)  (= x_102 x_103) )) (or (iff x_96 x_97)  (= x_98 x_99) )) (or (iff x_92 x_93)  (= x_94 x_95) )) (or (iff x_88 x_89)  (= x_90 x_91) )) (or (iff x_84 x_85)  (= x_86 x_87) )) (or (iff x_80 x_81)  (= x_82 x_83) )) (or (iff x_76 x_77)  (= x_78 x_79) )) (or (iff x_72 x_73)  (= x_74 x_75) )) (or (iff x_68 x_69)  (= x_70 x_71) )) (or (iff x_64 x_65)  (= x_66 x_67) )) (or (iff x_60 x_61)  (= x_62 x_63) )) (or (iff x_56 x_57)  (= x_58 x_59) )) (or (iff x_52 x_53)  (= x_54 x_55) )) (or (iff x_48 x_49)  (= x_50 x_51) )) (or (iff x_44 x_45)  (= x_46 x_47) )) (or (iff x_40 x_41)  (= x_42 x_43) )) (or (iff x_36 x_37)  (= x_38 x_39) )) (or (iff x_32 x_33)  (= x_34 x_35) )) (or (iff x_28 x_29)  (= x_30 x_31) )) (or (iff x_24 x_25)  (= x_26 x_27) )) (or (iff x_20 x_21)  (= x_22 x_23) )) (or (iff x_16 x_17)  (= x_18 x_19) )) (or (iff x_12 x_13)  (= x_14 x_15) )) (or (iff x_8 x_9)  (= x_10 x_11) )) (or (iff x_4 x_5)  (= x_6 x_7) )) (or (iff x_0 x_1)  (= x_2 x_3) )) (or (and (and (and (and (and (and (and (and (and (= x_474 0) (iff x_475 x_463)) (= ?cvcl_0 x_456)) (<= (+ ?cvcl_0 x_116) x_470)) (or $cvcl_3  (iff x_476 x_100) )) (iff x_477 x_460)) (iff x_478 x_461)) (= x_468 x_454)) $cvcl_1) $cvcl_2)  (and (and (and (and (and (and (and (and (and (= x_474 1) (iff x_478 x_460)) (= ?cvcl_0 x_454)) (<= (+ ?cvcl_0 x_117) x_468)) (or (and (and (= x_479 0) $cvcl_1) $cvcl_2)  (and (and (= x_479 1) (iff x_458 x_461)) (iff x_472 (not x_458))) )) (iff x_480 x_463)) (iff x_475 x_100)) (= x_481 x_102)) (= x_470 x_456)) $cvcl_3) )) (or (or (and (and (and (= x_482 0) $cvcl_9) (or (not (<= x_453 ?cvcl_5))  (iff x_480 x_458) )) $cvcl_6)  (and (and (and (= x_482 1) $cvcl_4) (xor x_458  x_472 )) (= x_467 (+ ?cvcl_5 x_118))) )  (and (and (and (= x_482 2) $cvcl_4) (iff x_458 x_472)) $cvcl_6) )) (or (or (and (and (and (= x_483 0) (not $cvcl_7)) (or (not (<= x_455 ?cvcl_0))  (iff x_477 x_101) )) $cvcl_8)  (and (and (and (= x_483 1) $cvcl_7) (xor x_101  x_476 )) (= x_469 (+ ?cvcl_0 x_129))) )  (and (and (and (= x_483 2) $cvcl_7) (iff x_101 x_476)) $cvcl_8) )) (or (or (and (and (and (= x_484 0) $cvcl_9) (or (not (<= x_457 ?cvcl_5))  (= x_481 x_103) )) $cvcl_11)  (and (and (and (= x_484 1) $cvcl_4) (not $cvcl_10)) (= x_471 (+ ?cvcl_5 x_118))) )  (and (and (and (= x_484 2) $cvcl_4) $cvcl_10) $cvcl_11) )) (or (and (and (and (and (and (and (and (and (and (= x_459 0) (iff x_100 x_449)) (= ?cvcl_12 x_442)) (<= (+ ?cvcl_12 x_116) x_456)) (or $cvcl_15  (iff x_101 x_96) )) (iff x_460 x_446)) (iff x_461 x_447)) (= x_454 x_440)) $cvcl_13) $cvcl_14)  (and (and (and (and (and (and (and (and (and (= x_459 1) (iff x_461 x_446)) (= ?cvcl_12 x_440)) (<= (+ ?cvcl_12 x_117) x_454)) (or (and (and (= x_462 0) $cvcl_13) $cvcl_14)  (and (and (= x_462 1) (iff x_444 x_447)) (iff x_458 (not x_444))) )) (iff x_463 x_449)) (iff x_100 x_96)) (= x_102 x_98)) (= x_456 x_442)) $cvcl_15) )) (or (or (and (and (and (= x_464 0) $cvcl_21) (or (not (<= x_439 ?cvcl_17))  (iff x_463 x_444) )) $cvcl_18)  (and (and (and (= x_464 1) $cvcl_16) (xor x_444  x_458 )) (= x_453 (+ ?cvcl_17 x_118))) )  (and (and (and (= x_464 2) $cvcl_16) (iff x_444 x_458)) $cvcl_18) )) (or (or (and (and (and (= x_465 0) (not $cvcl_19)) (or (not (<= x_441 ?cvcl_12))  (iff x_460 x_97) )) $cvcl_20)  (and (and (and (= x_465 1) $cvcl_19) (xor x_97  x_101 )) (= x_455 (+ ?cvcl_12 x_129))) )  (and (and (and (= x_465 2) $cvcl_19) (iff x_97 x_101)) $cvcl_20) )) (or (or (and (and (and (= x_466 0) $cvcl_21) (or (not (<= x_443 ?cvcl_17))  (= x_102 x_99) )) $cvcl_23)  (and (and (and (= x_466 1) $cvcl_16) (not $cvcl_22)) (= x_457 (+ ?cvcl_17 x_118))) )  (and (and (and (= x_466 2) $cvcl_16) $cvcl_22) $cvcl_23) )) (or (and (and (and (and (and (and (and (and (and (= x_445 0) (iff x_96 x_435)) (= ?cvcl_24 x_428)) (<= (+ ?cvcl_24 x_116) x_442)) (or $cvcl_27  (iff x_97 x_92) )) (iff x_446 x_432)) (iff x_447 x_433)) (= x_440 x_426)) $cvcl_25) $cvcl_26)  (and (and (and (and (and (and (and (and (and (= x_445 1) (iff x_447 x_432)) (= ?cvcl_24 x_426)) (<= (+ ?cvcl_24 x_117) x_440)) (or (and (and (= x_448 0) $cvcl_25) $cvcl_26)  (and (and (= x_448 1) (iff x_430 x_433)) (iff x_444 (not x_430))) )) (iff x_449 x_435)) (iff x_96 x_92)) (= x_98 x_94)) (= x_442 x_428)) $cvcl_27) )) (or (or (and (and (and (= x_450 0) $cvcl_33) (or (not (<= x_425 ?cvcl_29))  (iff x_449 x_430) )) $cvcl_30)  (and (and (and (= x_450 1) $cvcl_28) (xor x_430  x_444 )) (= x_439 (+ ?cvcl_29 x_118))) )  (and (and (and (= x_450 2) $cvcl_28) (iff x_430 x_444)) $cvcl_30) )) (or (or (and (and (and (= x_451 0) (not $cvcl_31)) (or (not (<= x_427 ?cvcl_24))  (iff x_446 x_93) )) $cvcl_32)  (and (and (and (= x_451 1) $cvcl_31) (xor x_93  x_97 )) (= x_441 (+ ?cvcl_24 x_129))) )  (and (and (and (= x_451 2) $cvcl_31) (iff x_93 x_97)) $cvcl_32) )) (or (or (and (and (and (= x_452 0) $cvcl_33) (or (not (<= x_429 ?cvcl_29))  (= x_98 x_95) )) $cvcl_35)  (and (and (and (= x_452 1) $cvcl_28) (not $cvcl_34)) (= x_443 (+ ?cvcl_29 x_118))) )  (and (and (and (= x_452 2) $cvcl_28) $cvcl_34) $cvcl_35) )) (or (and (and (and (and (and (and (and (and (and (= x_431 0) (iff x_92 x_421)) (= ?cvcl_36 x_414)) (<= (+ ?cvcl_36 x_116) x_428)) (or $cvcl_39  (iff x_93 x_88) )) (iff x_432 x_418)) (iff x_433 x_419)) (= x_426 x_412)) $cvcl_37) $cvcl_38)  (and (and (and (and (and (and (and (and (and (= x_431 1) (iff x_433 x_418)) (= ?cvcl_36 x_412)) (<= (+ ?cvcl_36 x_117) x_426)) (or (and (and (= x_434 0) $cvcl_37) $cvcl_38)  (and (and (= x_434 1) (iff x_416 x_419)) (iff x_430 (not x_416))) )) (iff x_435 x_421)) (iff x_92 x_88)) (= x_94 x_90)) (= x_428 x_414)) $cvcl_39) )) (or (or (and (and (and (= x_436 0) $cvcl_45) (or (not (<= x_411 ?cvcl_41))  (iff x_435 x_416) )) $cvcl_42)  (and (and (and (= x_436 1) $cvcl_40) (xor x_416  x_430 )) (= x_425 (+ ?cvcl_41 x_118))) )  (and (and (and (= x_436 2) $cvcl_40) (iff x_416 x_430)) $cvcl_42) )) (or (or (and (and (and (= x_437 0) (not $cvcl_43)) (or (not (<= x_413 ?cvcl_36))  (iff x_432 x_89) )) $cvcl_44)  (and (and (and (= x_437 1) $cvcl_43) (xor x_89  x_93 )) (= x_427 (+ ?cvcl_36 x_129))) )  (and (and (and (= x_437 2) $cvcl_43) (iff x_89 x_93)) $cvcl_44) )) (or (or (and (and (and (= x_438 0) $cvcl_45) (or (not (<= x_415 ?cvcl_41))  (= x_94 x_91) )) $cvcl_47)  (and (and (and (= x_438 1) $cvcl_40) (not $cvcl_46)) (= x_429 (+ ?cvcl_41 x_118))) )  (and (and (and (= x_438 2) $cvcl_40) $cvcl_46) $cvcl_47) )) (or (and (and (and (and (and (and (and (and (and (= x_417 0) (iff x_88 x_407)) (= ?cvcl_48 x_400)) (<= (+ ?cvcl_48 x_116) x_414)) (or $cvcl_51  (iff x_89 x_84) )) (iff x_418 x_404)) (iff x_419 x_405)) (= x_412 x_398)) $cvcl_49) $cvcl_50)  (and (and (and (and (and (and (and (and (and (= x_417 1) (iff x_419 x_404)) (= ?cvcl_48 x_398)) (<= (+ ?cvcl_48 x_117) x_412)) (or (and (and (= x_420 0) $cvcl_49) $cvcl_50)  (and (and (= x_420 1) (iff x_402 x_405)) (iff x_416 (not x_402))) )) (iff x_421 x_407)) (iff x_88 x_84)) (= x_90 x_86)) (= x_414 x_400)) $cvcl_51) )) (or (or (and (and (and (= x_422 0) $cvcl_57) (or (not (<= x_397 ?cvcl_53))  (iff x_421 x_402) )) $cvcl_54)  (and (and (and (= x_422 1) $cvcl_52) (xor x_402  x_416 )) (= x_411 (+ ?cvcl_53 x_118))) )  (and (and (and (= x_422 2) $cvcl_52) (iff x_402 x_416)) $cvcl_54) )) (or (or (and (and (and (= x_423 0) (not $cvcl_55)) (or (not (<= x_399 ?cvcl_48))  (iff x_418 x_85) )) $cvcl_56)  (and (and (and (= x_423 1) $cvcl_55) (xor x_85  x_89 )) (= x_413 (+ ?cvcl_48 x_129))) )  (and (and (and (= x_423 2) $cvcl_55) (iff x_85 x_89)) $cvcl_56) )) (or (or (and (and (and (= x_424 0) $cvcl_57) (or (not (<= x_401 ?cvcl_53))  (= x_90 x_87) )) $cvcl_59)  (and (and (and (= x_424 1) $cvcl_52) (not $cvcl_58)) (= x_415 (+ ?cvcl_53 x_118))) )  (and (and (and (= x_424 2) $cvcl_52) $cvcl_58) $cvcl_59) )) (or (and (and (and (and (and (and (and (and (and (= x_403 0) (iff x_84 x_393)) (= ?cvcl_60 x_386)) (<= (+ ?cvcl_60 x_116) x_400)) (or $cvcl_63  (iff x_85 x_80) )) (iff x_404 x_390)) (iff x_405 x_391)) (= x_398 x_384)) $cvcl_61) $cvcl_62)  (and (and (and (and (and (and (and (and (and (= x_403 1) (iff x_405 x_390)) (= ?cvcl_60 x_384)) (<= (+ ?cvcl_60 x_117) x_398)) (or (and (and (= x_406 0) $cvcl_61) $cvcl_62)  (and (and (= x_406 1) (iff x_388 x_391)) (iff x_402 (not x_388))) )) (iff x_407 x_393)) (iff x_84 x_80)) (= x_86 x_82)) (= x_400 x_386)) $cvcl_63) )) (or (or (and (and (and (= x_408 0) $cvcl_69) (or (not (<= x_383 ?cvcl_65))  (iff x_407 x_388) )) $cvcl_66)  (and (and (and (= x_408 1) $cvcl_64) (xor x_388  x_402 )) (= x_397 (+ ?cvcl_65 x_118))) )  (and (and (and (= x_408 2) $cvcl_64) (iff x_388 x_402)) $cvcl_66) )) (or (or (and (and (and (= x_409 0) (not $cvcl_67)) (or (not (<= x_385 ?cvcl_60))  (iff x_404 x_81) )) $cvcl_68)  (and (and (and (= x_409 1) $cvcl_67) (xor x_81  x_85 )) (= x_399 (+ ?cvcl_60 x_129))) )  (and (and (and (= x_409 2) $cvcl_67) (iff x_81 x_85)) $cvcl_68) )) (or (or (and (and (and (= x_410 0) $cvcl_69) (or (not (<= x_387 ?cvcl_65))  (= x_86 x_83) )) $cvcl_71)  (and (and (and (= x_410 1) $cvcl_64) (not $cvcl_70)) (= x_401 (+ ?cvcl_65 x_118))) )  (and (and (and (= x_410 2) $cvcl_64) $cvcl_70) $cvcl_71) )) (or (and (and (and (and (and (and (and (and (and (= x_389 0) (iff x_80 x_379)) (= ?cvcl_72 x_372)) (<= (+ ?cvcl_72 x_116) x_386)) (or $cvcl_75  (iff x_81 x_76) )) (iff x_390 x_376)) (iff x_391 x_377)) (= x_384 x_370)) $cvcl_73) $cvcl_74)  (and (and (and (and (and (and (and (and (and (= x_389 1) (iff x_391 x_376)) (= ?cvcl_72 x_370)) (<= (+ ?cvcl_72 x_117) x_384)) (or (and (and (= x_392 0) $cvcl_73) $cvcl_74)  (and (and (= x_392 1) (iff x_374 x_377)) (iff x_388 (not x_374))) )) (iff x_393 x_379)) (iff x_80 x_76)) (= x_82 x_78)) (= x_386 x_372)) $cvcl_75) )) (or (or (and (and (and (= x_394 0) $cvcl_81) (or (not (<= x_369 ?cvcl_77))  (iff x_393 x_374) )) $cvcl_78)  (and (and (and (= x_394 1) $cvcl_76) (xor x_374  x_388 )) (= x_383 (+ ?cvcl_77 x_118))) )  (and (and (and (= x_394 2) $cvcl_76) (iff x_374 x_388)) $cvcl_78) )) (or (or (and (and (and (= x_395 0) (not $cvcl_79)) (or (not (<= x_371 ?cvcl_72))  (iff x_390 x_77) )) $cvcl_80)  (and (and (and (= x_395 1) $cvcl_79) (xor x_77  x_81 )) (= x_385 (+ ?cvcl_72 x_129))) )  (and (and (and (= x_395 2) $cvcl_79) (iff x_77 x_81)) $cvcl_80) )) (or (or (and (and (and (= x_396 0) $cvcl_81) (or (not (<= x_373 ?cvcl_77))  (= x_82 x_79) )) $cvcl_83)  (and (and (and (= x_396 1) $cvcl_76) (not $cvcl_82)) (= x_387 (+ ?cvcl_77 x_118))) )  (and (and (and (= x_396 2) $cvcl_76) $cvcl_82) $cvcl_83) )) (or (and (and (and (and (and (and (and (and (and (= x_375 0) (iff x_76 x_365)) (= ?cvcl_84 x_358)) (<= (+ ?cvcl_84 x_116) x_372)) (or $cvcl_87  (iff x_77 x_72) )) (iff x_376 x_362)) (iff x_377 x_363)) (= x_370 x_356)) $cvcl_85) $cvcl_86)  (and (and (and (and (and (and (and (and (and (= x_375 1) (iff x_377 x_362)) (= ?cvcl_84 x_356)) (<= (+ ?cvcl_84 x_117) x_370)) (or (and (and (= x_378 0) $cvcl_85) $cvcl_86)  (and (and (= x_378 1) (iff x_360 x_363)) (iff x_374 (not x_360))) )) (iff x_379 x_365)) (iff x_76 x_72)) (= x_78 x_74)) (= x_372 x_358)) $cvcl_87) )) (or (or (and (and (and (= x_380 0) $cvcl_93) (or (not (<= x_355 ?cvcl_89))  (iff x_379 x_360) )) $cvcl_90)  (and (and (and (= x_380 1) $cvcl_88) (xor x_360  x_374 )) (= x_369 (+ ?cvcl_89 x_118))) )  (and (and (and (= x_380 2) $cvcl_88) (iff x_360 x_374)) $cvcl_90) )) (or (or (and (and (and (= x_381 0) (not $cvcl_91)) (or (not (<= x_357 ?cvcl_84))  (iff x_376 x_73) )) $cvcl_92)  (and (and (and (= x_381 1) $cvcl_91) (xor x_73  x_77 )) (= x_371 (+ ?cvcl_84 x_129))) )  (and (and (and (= x_381 2) $cvcl_91) (iff x_73 x_77)) $cvcl_92) )) (or (or (and (and (and (= x_382 0) $cvcl_93) (or (not (<= x_359 ?cvcl_89))  (= x_78 x_75) )) $cvcl_95)  (and (and (and (= x_382 1) $cvcl_88) (not $cvcl_94)) (= x_373 (+ ?cvcl_89 x_118))) )  (and (and (and (= x_382 2) $cvcl_88) $cvcl_94) $cvcl_95) )) (or (and (and (and (and (and (and (and (and (and (= x_361 0) (iff x_72 x_351)) (= ?cvcl_96 x_344)) (<= (+ ?cvcl_96 x_116) x_358)) (or $cvcl_99  (iff x_73 x_68) )) (iff x_362 x_348)) (iff x_363 x_349)) (= x_356 x_342)) $cvcl_97) $cvcl_98)  (and (and (and (and (and (and (and (and (and (= x_361 1) (iff x_363 x_348)) (= ?cvcl_96 x_342)) (<= (+ ?cvcl_96 x_117) x_356)) (or (and (and (= x_364 0) $cvcl_97) $cvcl_98)  (and (and (= x_364 1) (iff x_346 x_349)) (iff x_360 (not x_346))) )) (iff x_365 x_351)) (iff x_72 x_68)) (= x_74 x_70)) (= x_358 x_344)) $cvcl_99) )) (or (or (and (and (and (= x_366 0) $cvcl_105) (or (not (<= x_341 ?cvcl_101))  (iff x_365 x_346) )) $cvcl_102)  (and (and (and (= x_366 1) $cvcl_100) (xor x_346  x_360 )) (= x_355 (+ ?cvcl_101 x_118))) )  (and (and (and (= x_366 2) $cvcl_100) (iff x_346 x_360)) $cvcl_102) )) (or (or (and (and (and (= x_367 0) (not $cvcl_103)) (or (not (<= x_343 ?cvcl_96))  (iff x_362 x_69) )) $cvcl_104)  (and (and (and (= x_367 1) $cvcl_103) (xor x_69  x_73 )) (= x_357 (+ ?cvcl_96 x_129))) )  (and (and (and (= x_367 2) $cvcl_103) (iff x_69 x_73)) $cvcl_104) )) (or (or (and (and (and (= x_368 0) $cvcl_105) (or (not (<= x_345 ?cvcl_101))  (= x_74 x_71) )) $cvcl_107)  (and (and (and (= x_368 1) $cvcl_100) (not $cvcl_106)) (= x_359 (+ ?cvcl_101 x_118))) )  (and (and (and (= x_368 2) $cvcl_100) $cvcl_106) $cvcl_107) )) (or (and (and (and (and (and (and (and (and (and (= x_347 0) (iff x_68 x_337)) (= ?cvcl_108 x_330)) (<= (+ ?cvcl_108 x_116) x_344)) (or $cvcl_111  (iff x_69 x_64) )) (iff x_348 x_334)) (iff x_349 x_335)) (= x_342 x_328)) $cvcl_109) $cvcl_110)  (and (and (and (and (and (and (and (and (and (= x_347 1) (iff x_349 x_334)) (= ?cvcl_108 x_328)) (<= (+ ?cvcl_108 x_117) x_342)) (or (and (and (= x_350 0) $cvcl_109) $cvcl_110)  (and (and (= x_350 1) (iff x_332 x_335)) (iff x_346 (not x_332))) )) (iff x_351 x_337)) (iff x_68 x_64)) (= x_70 x_66)) (= x_344 x_330)) $cvcl_111) )) (or (or (and (and (and (= x_352 0) $cvcl_117) (or (not (<= x_327 ?cvcl_113))  (iff x_351 x_332) )) $cvcl_114)  (and (and (and (= x_352 1) $cvcl_112) (xor x_332  x_346 )) (= x_341 (+ ?cvcl_113 x_118))) )  (and (and (and (= x_352 2) $cvcl_112) (iff x_332 x_346)) $cvcl_114) )) (or (or (and (and (and (= x_353 0) (not $cvcl_115)) (or (not (<= x_329 ?cvcl_108))  (iff x_348 x_65) )) $cvcl_116)  (and (and (and (= x_353 1) $cvcl_115) (xor x_65  x_69 )) (= x_343 (+ ?cvcl_108 x_129))) )  (and (and (and (= x_353 2) $cvcl_115) (iff x_65 x_69)) $cvcl_116) )) (or (or (and (and (and (= x_354 0) $cvcl_117) (or (not (<= x_331 ?cvcl_113))  (= x_70 x_67) )) $cvcl_119)  (and (and (and (= x_354 1) $cvcl_112) (not $cvcl_118)) (= x_345 (+ ?cvcl_113 x_118))) )  (and (and (and (= x_354 2) $cvcl_112) $cvcl_118) $cvcl_119) )) (or (and (and (and (and (and (and (and (and (and (= x_333 0) (iff x_64 x_323)) (= ?cvcl_120 x_316)) (<= (+ ?cvcl_120 x_116) x_330)) (or $cvcl_123  (iff x_65 x_60) )) (iff x_334 x_320)) (iff x_335 x_321)) (= x_328 x_314)) $cvcl_121) $cvcl_122)  (and (and (and (and (and (and (and (and (and (= x_333 1) (iff x_335 x_320)) (= ?cvcl_120 x_314)) (<= (+ ?cvcl_120 x_117) x_328)) (or (and (and (= x_336 0) $cvcl_121) $cvcl_122)  (and (and (= x_336 1) (iff x_318 x_321)) (iff x_332 (not x_318))) )) (iff x_337 x_323)) (iff x_64 x_60)) (= x_66 x_62)) (= x_330 x_316)) $cvcl_123) )) (or (or (and (and (and (= x_338 0) $cvcl_129) (or (not (<= x_313 ?cvcl_125))  (iff x_337 x_318) )) $cvcl_126)  (and (and (and (= x_338 1) $cvcl_124) (xor x_318  x_332 )) (= x_327 (+ ?cvcl_125 x_118))) )  (and (and (and (= x_338 2) $cvcl_124) (iff x_318 x_332)) $cvcl_126) )) (or (or (and (and (and (= x_339 0) (not $cvcl_127)) (or (not (<= x_315 ?cvcl_120))  (iff x_334 x_61) )) $cvcl_128)  (and (and (and (= x_339 1) $cvcl_127) (xor x_61  x_65 )) (= x_329 (+ ?cvcl_120 x_129))) )  (and (and (and (= x_339 2) $cvcl_127) (iff x_61 x_65)) $cvcl_128) )) (or (or (and (and (and (= x_340 0) $cvcl_129) (or (not (<= x_317 ?cvcl_125))  (= x_66 x_63) )) $cvcl_131)  (and (and (and (= x_340 1) $cvcl_124) (not $cvcl_130)) (= x_331 (+ ?cvcl_125 x_118))) )  (and (and (and (= x_340 2) $cvcl_124) $cvcl_130) $cvcl_131) )) (or (and (and (and (and (and (and (and (and (and (= x_319 0) (iff x_60 x_309)) (= ?cvcl_132 x_302)) (<= (+ ?cvcl_132 x_116) x_316)) (or $cvcl_135  (iff x_61 x_56) )) (iff x_320 x_306)) (iff x_321 x_307)) (= x_314 x_300)) $cvcl_133) $cvcl_134)  (and (and (and (and (and (and (and (and (and (= x_319 1) (iff x_321 x_306)) (= ?cvcl_132 x_300)) (<= (+ ?cvcl_132 x_117) x_314)) (or (and (and (= x_322 0) $cvcl_133) $cvcl_134)  (and (and (= x_322 1) (iff x_304 x_307)) (iff x_318 (not x_304))) )) (iff x_323 x_309)) (iff x_60 x_56)) (= x_62 x_58)) (= x_316 x_302)) $cvcl_135) )) (or (or (and (and (and (= x_324 0) $cvcl_141) (or (not (<= x_299 ?cvcl_137))  (iff x_323 x_304) )) $cvcl_138)  (and (and (and (= x_324 1) $cvcl_136) (xor x_304  x_318 )) (= x_313 (+ ?cvcl_137 x_118))) )  (and (and (and (= x_324 2) $cvcl_136) (iff x_304 x_318)) $cvcl_138) )) (or (or (and (and (and (= x_325 0) (not $cvcl_139)) (or (not (<= x_301 ?cvcl_132))  (iff x_320 x_57) )) $cvcl_140)  (and (and (and (= x_325 1) $cvcl_139) (xor x_57  x_61 )) (= x_315 (+ ?cvcl_132 x_129))) )  (and (and (and (= x_325 2) $cvcl_139) (iff x_57 x_61)) $cvcl_140) )) (or (or (and (and (and (= x_326 0) $cvcl_141) (or (not (<= x_303 ?cvcl_137))  (= x_62 x_59) )) $cvcl_143)  (and (and (and (= x_326 1) $cvcl_136) (not $cvcl_142)) (= x_317 (+ ?cvcl_137 x_118))) )  (and (and (and (= x_326 2) $cvcl_136) $cvcl_142) $cvcl_143) )) (or (and (and (and (and (and (and (and (and (and (= x_305 0) (iff x_56 x_295)) (= ?cvcl_144 x_288)) (<= (+ ?cvcl_144 x_116) x_302)) (or $cvcl_147  (iff x_57 x_52) )) (iff x_306 x_292)) (iff x_307 x_293)) (= x_300 x_286)) $cvcl_145) $cvcl_146)  (and (and (and (and (and (and (and (and (and (= x_305 1) (iff x_307 x_292)) (= ?cvcl_144 x_286)) (<= (+ ?cvcl_144 x_117) x_300)) (or (and (and (= x_308 0) $cvcl_145) $cvcl_146)  (and (and (= x_308 1) (iff x_290 x_293)) (iff x_304 (not x_290))) )) (iff x_309 x_295)) (iff x_56 x_52)) (= x_58 x_54)) (= x_302 x_288)) $cvcl_147) )) (or (or (and (and (and (= x_310 0) $cvcl_153) (or (not (<= x_285 ?cvcl_149))  (iff x_309 x_290) )) $cvcl_150)  (and (and (and (= x_310 1) $cvcl_148) (xor x_290  x_304 )) (= x_299 (+ ?cvcl_149 x_118))) )  (and (and (and (= x_310 2) $cvcl_148) (iff x_290 x_304)) $cvcl_150) )) (or (or (and (and (and (= x_311 0) (not $cvcl_151)) (or (not (<= x_287 ?cvcl_144))  (iff x_306 x_53) )) $cvcl_152)  (and (and (and (= x_311 1) $cvcl_151) (xor x_53  x_57 )) (= x_301 (+ ?cvcl_144 x_129))) )  (and (and (and (= x_311 2) $cvcl_151) (iff x_53 x_57)) $cvcl_152) )) (or (or (and (and (and (= x_312 0) $cvcl_153) (or (not (<= x_289 ?cvcl_149))  (= x_58 x_55) )) $cvcl_155)  (and (and (and (= x_312 1) $cvcl_148) (not $cvcl_154)) (= x_303 (+ ?cvcl_149 x_118))) )  (and (and (and (= x_312 2) $cvcl_148) $cvcl_154) $cvcl_155) )) (or (and (and (and (and (and (and (and (and (and (= x_291 0) (iff x_52 x_281)) (= ?cvcl_156 x_274)) (<= (+ ?cvcl_156 x_116) x_288)) (or $cvcl_159  (iff x_53 x_48) )) (iff x_292 x_278)) (iff x_293 x_279)) (= x_286 x_272)) $cvcl_157) $cvcl_158)  (and (and (and (and (and (and (and (and (and (= x_291 1) (iff x_293 x_278)) (= ?cvcl_156 x_272)) (<= (+ ?cvcl_156 x_117) x_286)) (or (and (and (= x_294 0) $cvcl_157) $cvcl_158)  (and (and (= x_294 1) (iff x_276 x_279)) (iff x_290 (not x_276))) )) (iff x_295 x_281)) (iff x_52 x_48)) (= x_54 x_50)) (= x_288 x_274)) $cvcl_159) )) (or (or (and (and (and (= x_296 0) $cvcl_165) (or (not (<= x_271 ?cvcl_161))  (iff x_295 x_276) )) $cvcl_162)  (and (and (and (= x_296 1) $cvcl_160) (xor x_276  x_290 )) (= x_285 (+ ?cvcl_161 x_118))) )  (and (and (and (= x_296 2) $cvcl_160) (iff x_276 x_290)) $cvcl_162) )) (or (or (and (and (and (= x_297 0) (not $cvcl_163)) (or (not (<= x_273 ?cvcl_156))  (iff x_292 x_49) )) $cvcl_164)  (and (and (and (= x_297 1) $cvcl_163) (xor x_49  x_53 )) (= x_287 (+ ?cvcl_156 x_129))) )  (and (and (and (= x_297 2) $cvcl_163) (iff x_49 x_53)) $cvcl_164) )) (or (or (and (and (and (= x_298 0) $cvcl_165) (or (not (<= x_275 ?cvcl_161))  (= x_54 x_51) )) $cvcl_167)  (and (and (and (= x_298 1) $cvcl_160) (not $cvcl_166)) (= x_289 (+ ?cvcl_161 x_118))) )  (and (and (and (= x_298 2) $cvcl_160) $cvcl_166) $cvcl_167) )) (or (and (and (and (and (and (and (and (and (and (= x_277 0) (iff x_48 x_267)) (= ?cvcl_168 x_260)) (<= (+ ?cvcl_168 x_116) x_274)) (or $cvcl_171  (iff x_49 x_44) )) (iff x_278 x_264)) (iff x_279 x_265)) (= x_272 x_258)) $cvcl_169) $cvcl_170)  (and (and (and (and (and (and (and (and (and (= x_277 1) (iff x_279 x_264)) (= ?cvcl_168 x_258)) (<= (+ ?cvcl_168 x_117) x_272)) (or (and (and (= x_280 0) $cvcl_169) $cvcl_170)  (and (and (= x_280 1) (iff x_262 x_265)) (iff x_276 (not x_262))) )) (iff x_281 x_267)) (iff x_48 x_44)) (= x_50 x_46)) (= x_274 x_260)) $cvcl_171) )) (or (or (and (and (and (= x_282 0) $cvcl_177) (or (not (<= x_257 ?cvcl_173))  (iff x_281 x_262) )) $cvcl_174)  (and (and (and (= x_282 1) $cvcl_172) (xor x_262  x_276 )) (= x_271 (+ ?cvcl_173 x_118))) )  (and (and (and (= x_282 2) $cvcl_172) (iff x_262 x_276)) $cvcl_174) )) (or (or (and (and (and (= x_283 0) (not $cvcl_175)) (or (not (<= x_259 ?cvcl_168))  (iff x_278 x_45) )) $cvcl_176)  (and (and (and (= x_283 1) $cvcl_175) (xor x_45  x_49 )) (= x_273 (+ ?cvcl_168 x_129))) )  (and (and (and (= x_283 2) $cvcl_175) (iff x_45 x_49)) $cvcl_176) )) (or (or (and (and (and (= x_284 0) $cvcl_177) (or (not (<= x_261 ?cvcl_173))  (= x_50 x_47) )) $cvcl_179)  (and (and (and (= x_284 1) $cvcl_172) (not $cvcl_178)) (= x_275 (+ ?cvcl_173 x_118))) )  (and (and (and (= x_284 2) $cvcl_172) $cvcl_178) $cvcl_179) )) (or (and (and (and (and (and (and (and (and (and (= x_263 0) (iff x_44 x_253)) (= ?cvcl_180 x_246)) (<= (+ ?cvcl_180 x_116) x_260)) (or $cvcl_183  (iff x_45 x_40) )) (iff x_264 x_250)) (iff x_265 x_251)) (= x_258 x_244)) $cvcl_181) $cvcl_182)  (and (and (and (and (and (and (and (and (and (= x_263 1) (iff x_265 x_250)) (= ?cvcl_180 x_244)) (<= (+ ?cvcl_180 x_117) x_258)) (or (and (and (= x_266 0) $cvcl_181) $cvcl_182)  (and (and (= x_266 1) (iff x_248 x_251)) (iff x_262 (not x_248))) )) (iff x_267 x_253)) (iff x_44 x_40)) (= x_46 x_42)) (= x_260 x_246)) $cvcl_183) )) (or (or (and (and (and (= x_268 0) $cvcl_189) (or (not (<= x_243 ?cvcl_185))  (iff x_267 x_248) )) $cvcl_186)  (and (and (and (= x_268 1) $cvcl_184) (xor x_248  x_262 )) (= x_257 (+ ?cvcl_185 x_118))) )  (and (and (and (= x_268 2) $cvcl_184) (iff x_248 x_262)) $cvcl_186) )) (or (or (and (and (and (= x_269 0) (not $cvcl_187)) (or (not (<= x_245 ?cvcl_180))  (iff x_264 x_41) )) $cvcl_188)  (and (and (and (= x_269 1) $cvcl_187) (xor x_41  x_45 )) (= x_259 (+ ?cvcl_180 x_129))) )  (and (and (and (= x_269 2) $cvcl_187) (iff x_41 x_45)) $cvcl_188) )) (or (or (and (and (and (= x_270 0) $cvcl_189) (or (not (<= x_247 ?cvcl_185))  (= x_46 x_43) )) $cvcl_191)  (and (and (and (= x_270 1) $cvcl_184) (not $cvcl_190)) (= x_261 (+ ?cvcl_185 x_118))) )  (and (and (and (= x_270 2) $cvcl_184) $cvcl_190) $cvcl_191) )) (or (and (and (and (and (and (and (and (and (and (= x_249 0) (iff x_40 x_239)) (= ?cvcl_192 x_232)) (<= (+ ?cvcl_192 x_116) x_246)) (or $cvcl_195  (iff x_41 x_36) )) (iff x_250 x_236)) (iff x_251 x_237)) (= x_244 x_230)) $cvcl_193) $cvcl_194)  (and (and (and (and (and (and (and (and (and (= x_249 1) (iff x_251 x_236)) (= ?cvcl_192 x_230)) (<= (+ ?cvcl_192 x_117) x_244)) (or (and (and (= x_252 0) $cvcl_193) $cvcl_194)  (and (and (= x_252 1) (iff x_234 x_237)) (iff x_248 (not x_234))) )) (iff x_253 x_239)) (iff x_40 x_36)) (= x_42 x_38)) (= x_246 x_232)) $cvcl_195) )) (or (or (and (and (and (= x_254 0) $cvcl_201) (or (not (<= x_229 ?cvcl_197))  (iff x_253 x_234) )) $cvcl_198)  (and (and (and (= x_254 1) $cvcl_196) (xor x_234  x_248 )) (= x_243 (+ ?cvcl_197 x_118))) )  (and (and (and (= x_254 2) $cvcl_196) (iff x_234 x_248)) $cvcl_198) )) (or (or (and (and (and (= x_255 0) (not $cvcl_199)) (or (not (<= x_231 ?cvcl_192))  (iff x_250 x_37) )) $cvcl_200)  (and (and (and (= x_255 1) $cvcl_199) (xor x_37  x_41 )) (= x_245 (+ ?cvcl_192 x_129))) )  (and (and (and (= x_255 2) $cvcl_199) (iff x_37 x_41)) $cvcl_200) )) (or (or (and (and (and (= x_256 0) $cvcl_201) (or (not (<= x_233 ?cvcl_197))  (= x_42 x_39) )) $cvcl_203)  (and (and (and (= x_256 1) $cvcl_196) (not $cvcl_202)) (= x_247 (+ ?cvcl_197 x_118))) )  (and (and (and (= x_256 2) $cvcl_196) $cvcl_202) $cvcl_203) )) (or (and (and (and (and (and (and (and (and (and (= x_235 0) (iff x_36 x_225)) (= ?cvcl_204 x_218)) (<= (+ ?cvcl_204 x_116) x_232)) (or $cvcl_207  (iff x_37 x_32) )) (iff x_236 x_222)) (iff x_237 x_223)) (= x_230 x_216)) $cvcl_205) $cvcl_206)  (and (and (and (and (and (and (and (and (and (= x_235 1) (iff x_237 x_222)) (= ?cvcl_204 x_216)) (<= (+ ?cvcl_204 x_117) x_230)) (or (and (and (= x_238 0) $cvcl_205) $cvcl_206)  (and (and (= x_238 1) (iff x_220 x_223)) (iff x_234 (not x_220))) )) (iff x_239 x_225)) (iff x_36 x_32)) (= x_38 x_34)) (= x_232 x_218)) $cvcl_207) )) (or (or (and (and (and (= x_240 0) $cvcl_213) (or (not (<= x_215 ?cvcl_209))  (iff x_239 x_220) )) $cvcl_210)  (and (and (and (= x_240 1) $cvcl_208) (xor x_220  x_234 )) (= x_229 (+ ?cvcl_209 x_118))) )  (and (and (and (= x_240 2) $cvcl_208) (iff x_220 x_234)) $cvcl_210) )) (or (or (and (and (and (= x_241 0) (not $cvcl_211)) (or (not (<= x_217 ?cvcl_204))  (iff x_236 x_33) )) $cvcl_212)  (and (and (and (= x_241 1) $cvcl_211) (xor x_33  x_37 )) (= x_231 (+ ?cvcl_204 x_129))) )  (and (and (and (= x_241 2) $cvcl_211) (iff x_33 x_37)) $cvcl_212) )) (or (or (and (and (and (= x_242 0) $cvcl_213) (or (not (<= x_219 ?cvcl_209))  (= x_38 x_35) )) $cvcl_215)  (and (and (and (= x_242 1) $cvcl_208) (not $cvcl_214)) (= x_233 (+ ?cvcl_209 x_118))) )  (and (and (and (= x_242 2) $cvcl_208) $cvcl_214) $cvcl_215) )) (or (and (and (and (and (and (and (and (and (and (= x_221 0) (iff x_32 x_211)) (= ?cvcl_216 x_204)) (<= (+ ?cvcl_216 x_116) x_218)) (or $cvcl_219  (iff x_33 x_28) )) (iff x_222 x_208)) (iff x_223 x_209)) (= x_216 x_202)) $cvcl_217) $cvcl_218)  (and (and (and (and (and (and (and (and (and (= x_221 1) (iff x_223 x_208)) (= ?cvcl_216 x_202)) (<= (+ ?cvcl_216 x_117) x_216)) (or (and (and (= x_224 0) $cvcl_217) $cvcl_218)  (and (and (= x_224 1) (iff x_206 x_209)) (iff x_220 (not x_206))) )) (iff x_225 x_211)) (iff x_32 x_28)) (= x_34 x_30)) (= x_218 x_204)) $cvcl_219) )) (or (or (and (and (and (= x_226 0) $cvcl_225) (or (not (<= x_201 ?cvcl_221))  (iff x_225 x_206) )) $cvcl_222)  (and (and (and (= x_226 1) $cvcl_220) (xor x_206  x_220 )) (= x_215 (+ ?cvcl_221 x_118))) )  (and (and (and (= x_226 2) $cvcl_220) (iff x_206 x_220)) $cvcl_222) )) (or (or (and (and (and (= x_227 0) (not $cvcl_223)) (or (not (<= x_203 ?cvcl_216))  (iff x_222 x_29) )) $cvcl_224)  (and (and (and (= x_227 1) $cvcl_223) (xor x_29  x_33 )) (= x_217 (+ ?cvcl_216 x_129))) )  (and (and (and (= x_227 2) $cvcl_223) (iff x_29 x_33)) $cvcl_224) )) (or (or (and (and (and (= x_228 0) $cvcl_225) (or (not (<= x_205 ?cvcl_221))  (= x_34 x_31) )) $cvcl_227)  (and (and (and (= x_228 1) $cvcl_220) (not $cvcl_226)) (= x_219 (+ ?cvcl_221 x_118))) )  (and (and (and (= x_228 2) $cvcl_220) $cvcl_226) $cvcl_227) )) (or (and (and (and (and (and (and (and (and (and (= x_207 0) (iff x_28 x_197)) (= ?cvcl_228 x_190)) (<= (+ ?cvcl_228 x_116) x_204)) (or $cvcl_231  (iff x_29 x_24) )) (iff x_208 x_194)) (iff x_209 x_195)) (= x_202 x_188)) $cvcl_229) $cvcl_230)  (and (and (and (and (and (and (and (and (and (= x_207 1) (iff x_209 x_194)) (= ?cvcl_228 x_188)) (<= (+ ?cvcl_228 x_117) x_202)) (or (and (and (= x_210 0) $cvcl_229) $cvcl_230)  (and (and (= x_210 1) (iff x_192 x_195)) (iff x_206 (not x_192))) )) (iff x_211 x_197)) (iff x_28 x_24)) (= x_30 x_26)) (= x_204 x_190)) $cvcl_231) )) (or (or (and (and (and (= x_212 0) $cvcl_237) (or (not (<= x_187 ?cvcl_233))  (iff x_211 x_192) )) $cvcl_234)  (and (and (and (= x_212 1) $cvcl_232) (xor x_192  x_206 )) (= x_201 (+ ?cvcl_233 x_118))) )  (and (and (and (= x_212 2) $cvcl_232) (iff x_192 x_206)) $cvcl_234) )) (or (or (and (and (and (= x_213 0) (not $cvcl_235)) (or (not (<= x_189 ?cvcl_228))  (iff x_208 x_25) )) $cvcl_236)  (and (and (and (= x_213 1) $cvcl_235) (xor x_25  x_29 )) (= x_203 (+ ?cvcl_228 x_129))) )  (and (and (and (= x_213 2) $cvcl_235) (iff x_25 x_29)) $cvcl_236) )) (or (or (and (and (and (= x_214 0) $cvcl_237) (or (not (<= x_191 ?cvcl_233))  (= x_30 x_27) )) $cvcl_239)  (and (and (and (= x_214 1) $cvcl_232) (not $cvcl_238)) (= x_205 (+ ?cvcl_233 x_118))) )  (and (and (and (= x_214 2) $cvcl_232) $cvcl_238) $cvcl_239) )) (or (and (and (and (and (and (and (and (and (and (= x_193 0) (iff x_24 x_183)) (= ?cvcl_240 x_176)) (<= (+ ?cvcl_240 x_116) x_190)) (or $cvcl_243  (iff x_25 x_20) )) (iff x_194 x_180)) (iff x_195 x_181)) (= x_188 x_174)) $cvcl_241) $cvcl_242)  (and (and (and (and (and (and (and (and (and (= x_193 1) (iff x_195 x_180)) (= ?cvcl_240 x_174)) (<= (+ ?cvcl_240 x_117) x_188)) (or (and (and (= x_196 0) $cvcl_241) $cvcl_242)  (and (and (= x_196 1) (iff x_178 x_181)) (iff x_192 (not x_178))) )) (iff x_197 x_183)) (iff x_24 x_20)) (= x_26 x_22)) (= x_190 x_176)) $cvcl_243) )) (or (or (and (and (and (= x_198 0) $cvcl_249) (or (not (<= x_173 ?cvcl_245))  (iff x_197 x_178) )) $cvcl_246)  (and (and (and (= x_198 1) $cvcl_244) (xor x_178  x_192 )) (= x_187 (+ ?cvcl_245 x_118))) )  (and (and (and (= x_198 2) $cvcl_244) (iff x_178 x_192)) $cvcl_246) )) (or (or (and (and (and (= x_199 0) (not $cvcl_247)) (or (not (<= x_175 ?cvcl_240))  (iff x_194 x_21) )) $cvcl_248)  (and (and (and (= x_199 1) $cvcl_247) (xor x_21  x_25 )) (= x_189 (+ ?cvcl_240 x_129))) )  (and (and (and (= x_199 2) $cvcl_247) (iff x_21 x_25)) $cvcl_248) )) (or (or (and (and (and (= x_200 0) $cvcl_249) (or (not (<= x_177 ?cvcl_245))  (= x_26 x_23) )) $cvcl_251)  (and (and (and (= x_200 1) $cvcl_244) (not $cvcl_250)) (= x_191 (+ ?cvcl_245 x_118))) )  (and (and (and (= x_200 2) $cvcl_244) $cvcl_250) $cvcl_251) )) (or (and (and (and (and (and (and (and (and (and (= x_179 0) (iff x_20 x_169)) (= ?cvcl_252 x_162)) (<= (+ ?cvcl_252 x_116) x_176)) (or $cvcl_255  (iff x_21 x_16) )) (iff x_180 x_166)) (iff x_181 x_167)) (= x_174 x_160)) $cvcl_253) $cvcl_254)  (and (and (and (and (and (and (and (and (and (= x_179 1) (iff x_181 x_166)) (= ?cvcl_252 x_160)) (<= (+ ?cvcl_252 x_117) x_174)) (or (and (and (= x_182 0) $cvcl_253) $cvcl_254)  (and (and (= x_182 1) (iff x_164 x_167)) (iff x_178 (not x_164))) )) (iff x_183 x_169)) (iff x_20 x_16)) (= x_22 x_18)) (= x_176 x_162)) $cvcl_255) )) (or (or (and (and (and (= x_184 0) $cvcl_261) (or (not (<= x_159 ?cvcl_257))  (iff x_183 x_164) )) $cvcl_258)  (and (and (and (= x_184 1) $cvcl_256) (xor x_164  x_178 )) (= x_173 (+ ?cvcl_257 x_118))) )  (and (and (and (= x_184 2) $cvcl_256) (iff x_164 x_178)) $cvcl_258) )) (or (or (and (and (and (= x_185 0) (not $cvcl_259)) (or (not (<= x_161 ?cvcl_252))  (iff x_180 x_17) )) $cvcl_260)  (and (and (and (= x_185 1) $cvcl_259) (xor x_17  x_21 )) (= x_175 (+ ?cvcl_252 x_129))) )  (and (and (and (= x_185 2) $cvcl_259) (iff x_17 x_21)) $cvcl_260) )) (or (or (and (and (and (= x_186 0) $cvcl_261) (or (not (<= x_163 ?cvcl_257))  (= x_22 x_19) )) $cvcl_263)  (and (and (and (= x_186 1) $cvcl_256) (not $cvcl_262)) (= x_177 (+ ?cvcl_257 x_118))) )  (and (and (and (= x_186 2) $cvcl_256) $cvcl_262) $cvcl_263) )) (or (and (and (and (and (and (and (and (and (and (= x_165 0) (iff x_16 x_155)) (= ?cvcl_264 x_148)) (<= (+ ?cvcl_264 x_116) x_162)) (or $cvcl_267  (iff x_17 x_12) )) (iff x_166 x_152)) (iff x_167 x_153)) (= x_160 x_146)) $cvcl_265) $cvcl_266)  (and (and (and (and (and (and (and (and (and (= x_165 1) (iff x_167 x_152)) (= ?cvcl_264 x_146)) (<= (+ ?cvcl_264 x_117) x_160)) (or (and (and (= x_168 0) $cvcl_265) $cvcl_266)  (and (and (= x_168 1) (iff x_150 x_153)) (iff x_164 (not x_150))) )) (iff x_169 x_155)) (iff x_16 x_12)) (= x_18 x_14)) (= x_162 x_148)) $cvcl_267) )) (or (or (and (and (and (= x_170 0) $cvcl_273) (or (not (<= x_145 ?cvcl_269))  (iff x_169 x_150) )) $cvcl_270)  (and (and (and (= x_170 1) $cvcl_268) (xor x_150  x_164 )) (= x_159 (+ ?cvcl_269 x_118))) )  (and (and (and (= x_170 2) $cvcl_268) (iff x_150 x_164)) $cvcl_270) )) (or (or (and (and (and (= x_171 0) (not $cvcl_271)) (or (not (<= x_147 ?cvcl_264))  (iff x_166 x_13) )) $cvcl_272)  (and (and (and (= x_171 1) $cvcl_271) (xor x_13  x_17 )) (= x_161 (+ ?cvcl_264 x_129))) )  (and (and (and (= x_171 2) $cvcl_271) (iff x_13 x_17)) $cvcl_272) )) (or (or (and (and (and (= x_172 0) $cvcl_273) (or (not (<= x_149 ?cvcl_269))  (= x_18 x_15) )) $cvcl_275)  (and (and (and (= x_172 1) $cvcl_268) (not $cvcl_274)) (= x_163 (+ ?cvcl_269 x_118))) )  (and (and (and (= x_172 2) $cvcl_268) $cvcl_274) $cvcl_275) )) (or (and (and (and (and (and (and (and (and (and (= x_151 0) (iff x_12 x_141)) (= ?cvcl_276 x_134)) (<= (+ ?cvcl_276 x_116) x_148)) (or $cvcl_279  (iff x_13 x_8) )) (iff x_152 x_138)) (iff x_153 x_139)) (= x_146 x_132)) $cvcl_277) $cvcl_278)  (and (and (and (and (and (and (and (and (and (= x_151 1) (iff x_153 x_138)) (= ?cvcl_276 x_132)) (<= (+ ?cvcl_276 x_117) x_146)) (or (and (and (= x_154 0) $cvcl_277) $cvcl_278)  (and (and (= x_154 1) (iff x_136 x_139)) (iff x_150 (not x_136))) )) (iff x_155 x_141)) (iff x_12 x_8)) (= x_14 x_10)) (= x_148 x_134)) $cvcl_279) )) (or (or (and (and (and (= x_156 0) $cvcl_285) (or (not (<= x_131 ?cvcl_281))  (iff x_155 x_136) )) $cvcl_282)  (and (and (and (= x_156 1) $cvcl_280) (xor x_136  x_150 )) (= x_145 (+ ?cvcl_281 x_118))) )  (and (and (and (= x_156 2) $cvcl_280) (iff x_136 x_150)) $cvcl_282) )) (or (or (and (and (and (= x_157 0) (not $cvcl_283)) (or (not (<= x_133 ?cvcl_276))  (iff x_152 x_9) )) $cvcl_284)  (and (and (and (= x_157 1) $cvcl_283) (xor x_9  x_13 )) (= x_147 (+ ?cvcl_276 x_129))) )  (and (and (and (= x_157 2) $cvcl_283) (iff x_9 x_13)) $cvcl_284) )) (or (or (and (and (and (= x_158 0) $cvcl_285) (or (not (<= x_135 ?cvcl_281))  (= x_14 x_11) )) $cvcl_287)  (and (and (and (= x_158 1) $cvcl_280) (not $cvcl_286)) (= x_149 (+ ?cvcl_281 x_118))) )  (and (and (and (= x_158 2) $cvcl_280) $cvcl_286) $cvcl_287) )) (or (and (and (and (and (and (and (and (and (and (= x_137 0) (iff x_8 x_126)) (= ?cvcl_288 x_111)) (<= (+ ?cvcl_288 x_116) x_134)) (or $cvcl_291  (iff x_9 x_4) )) (iff x_138 x_121)) (iff x_139 x_123)) (= x_132 x_107)) $cvcl_289) $cvcl_290)  (and (and (and (and (and (and (and (and (and (= x_137 1) (iff x_139 x_121)) (= ?cvcl_288 x_107)) (<= (+ ?cvcl_288 x_117) x_132)) (or (and (and (= x_140 0) $cvcl_289) $cvcl_290)  (and (and (= x_140 1) (iff x_114 x_123)) (iff x_136 (not x_114))) )) (iff x_141 x_126)) (iff x_8 x_4)) (= x_10 x_6)) (= x_134 x_111)) $cvcl_291) )) (or (or (and (and (and (= x_142 0) $cvcl_297) (or (not (<= x_104 ?cvcl_293))  (iff x_141 x_114) )) $cvcl_294)  (and (and (and (= x_142 1) $cvcl_292) (xor x_114  x_136 )) (= x_131 (+ ?cvcl_293 x_118))) )  (and (and (and (= x_142 2) $cvcl_292) (iff x_114 x_136)) $cvcl_294) )) (or (or (and (and (and (= x_143 0) (not $cvcl_295)) (or (not (<= x_108 ?cvcl_288))  (iff x_138 x_5) )) $cvcl_296)  (and (and (and (= x_143 1) $cvcl_295) (xor x_5  x_9 )) (= x_133 (+ ?cvcl_288 x_129))) )  (and (and (and (= x_143 2) $cvcl_295) (iff x_5 x_9)) $cvcl_296) )) (or (or (and (and (and (= x_144 0) $cvcl_297) (or (not (<= x_112 ?cvcl_293))  (= x_10 x_7) )) $cvcl_299)  (and (and (and (= x_144 1) $cvcl_292) (not $cvcl_298)) (= x_135 (+ ?cvcl_293 x_118))) )  (and (and (and (= x_144 2) $cvcl_292) $cvcl_298) $cvcl_299) )) (or (and (and (and (and (and (and (and (and (and (= x_119 0) (iff x_4 x_120)) (= ?cvcl_300 x_110)) (<= (+ ?cvcl_300 x_116) x_111)) (or $cvcl_303  (iff x_5 x_0) )) (iff x_121 x_122)) (iff x_123 x_124)) (= x_107 x_106)) $cvcl_301) $cvcl_302)  (and (and (and (and (and (and (and (and (and (= x_119 1) (iff x_123 x_122)) (= ?cvcl_300 x_106)) (<= (+ ?cvcl_300 x_117) x_107)) (or (and (and (= x_125 0) $cvcl_301) $cvcl_302)  (and (and (= x_125 1) (iff x_115 x_124)) (iff x_114 (not x_115))) )) (iff x_126 x_120)) (iff x_4 x_0)) (= x_6 x_2)) (= x_111 x_110)) $cvcl_303) )) (or (or (and (and (and (= x_127 0) $cvcl_309) (or (not (<= x_105 ?cvcl_305))  (iff x_126 x_115) )) $cvcl_306)  (and (and (and (= x_127 1) $cvcl_304) (xor x_115  x_114 )) (= x_104 (+ ?cvcl_305 x_118))) )  (and (and (and (= x_127 2) $cvcl_304) (iff x_115 x_114)) $cvcl_306) )) (or (or (and (and (and (= x_128 0) (not $cvcl_307)) (or (not (<= x_109 ?cvcl_300))  (iff x_121 x_1) )) $cvcl_308)  (and (and (and (= x_128 1) $cvcl_307) (xor x_1  x_5 )) (= x_108 (+ ?cvcl_300 x_129))) )  (and (and (and (= x_128 2) $cvcl_307) (iff x_1 x_5)) $cvcl_308) )) (or (or (and (and (and (= x_130 0) $cvcl_309) (or (not (<= x_113 ?cvcl_305))  (= x_6 x_3) )) $cvcl_311)  (and (and (and (= x_130 1) $cvcl_304) (not $cvcl_310)) (= x_112 (+ ?cvcl_305 x_118))) )  (and (and (and (= x_130 2) $cvcl_304) $cvcl_310) $cvcl_311) )) (xor x_475  x_476 )) (not (= x_481 x_473)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
)
