(benchmark synch_circuit
  :source {
Fully parameterized specification and verification of a synchronizer   
circuit modeling metastability at various levels of refinement.     
A paper describing this specification, to be published in Designing     
Correct Circuits (DCC), 2006, is available from the authors.            

Geoffrey Brown, Indiana University <geobrown@cs.indiana.edu>
Lee Pike, Galois Connections, Inc. <leepike@galois.com>

Translated into CVC format by Leonardo de Moura.

This benchmark was automatically translated into SMT-LIB format from
CVC format using CVC Lite

}
  :status sat
:category { industrial }
:difficulty { 3 }
  :logic QF_LRA
  
  :extrapreds ((x_0))
  :extrapreds ((x_1))
  :extrafuns ((x_2 Real))
  :extrafuns ((x_3 Real))
  :extrapreds ((x_4))
  :extrapreds ((x_5))
  :extrafuns ((x_6 Real))
  :extrafuns ((x_7 Real))
  :extrapreds ((x_8))
  :extrapreds ((x_9))
  :extrafuns ((x_10 Real))
  :extrafuns ((x_11 Real))
  :extrapreds ((x_12))
  :extrapreds ((x_13))
  :extrafuns ((x_14 Real))
  :extrafuns ((x_15 Real))
  :extrapreds ((x_16))
  :extrapreds ((x_17))
  :extrafuns ((x_18 Real))
  :extrafuns ((x_19 Real))
  :extrapreds ((x_20))
  :extrapreds ((x_21))
  :extrafuns ((x_22 Real))
  :extrafuns ((x_23 Real))
  :extrapreds ((x_24))
  :extrapreds ((x_25))
  :extrafuns ((x_26 Real))
  :extrafuns ((x_27 Real))
  :extrapreds ((x_28))
  :extrapreds ((x_29))
  :extrafuns ((x_30 Real))
  :extrafuns ((x_31 Real))
  :extrapreds ((x_32))
  :extrapreds ((x_33))
  :extrafuns ((x_34 Real))
  :extrafuns ((x_35 Real))
  :extrapreds ((x_36))
  :extrapreds ((x_37))
  :extrafuns ((x_38 Real))
  :extrafuns ((x_39 Real))
  :extrapreds ((x_40))
  :extrapreds ((x_41))
  :extrafuns ((x_42 Real))
  :extrafuns ((x_43 Real))
  :extrapreds ((x_44))
  :extrapreds ((x_45))
  :extrafuns ((x_46 Real))
  :extrafuns ((x_47 Real))
  :extrapreds ((x_48))
  :extrapreds ((x_49))
  :extrafuns ((x_50 Real))
  :extrafuns ((x_51 Real))
  :extrapreds ((x_52))
  :extrapreds ((x_53))
  :extrafuns ((x_54 Real))
  :extrafuns ((x_55 Real))
  :extrapreds ((x_56))
  :extrapreds ((x_57))
  :extrafuns ((x_58 Real))
  :extrafuns ((x_59 Real))
  :extrapreds ((x_60))
  :extrapreds ((x_61))
  :extrafuns ((x_62 Real))
  :extrafuns ((x_63 Real))
  :extrapreds ((x_64))
  :extrapreds ((x_65))
  :extrafuns ((x_66 Real))
  :extrafuns ((x_67 Real))
  :extrapreds ((x_68))
  :extrapreds ((x_69))
  :extrafuns ((x_70 Real))
  :extrafuns ((x_71 Real))
  :extrapreds ((x_72))
  :extrapreds ((x_73))
  :extrafuns ((x_74 Real))
  :extrafuns ((x_75 Real))
  :extrapreds ((x_76))
  :extrapreds ((x_77))
  :extrafuns ((x_78 Real))
  :extrafuns ((x_79 Real))
  :extrapreds ((x_80))
  :extrapreds ((x_81))
  :extrafuns ((x_82 Real))
  :extrafuns ((x_83 Real))
  :extrapreds ((x_84))
  :extrapreds ((x_85))
  :extrafuns ((x_86 Real))
  :extrafuns ((x_87 Real))
  :extrapreds ((x_88))
  :extrapreds ((x_89))
  :extrafuns ((x_90 Real))
  :extrafuns ((x_91 Real))
  :extrapreds ((x_92))
  :extrapreds ((x_93))
  :extrafuns ((x_94 Real))
  :extrafuns ((x_95 Real))
  :extrapreds ((x_96))
  :extrapreds ((x_97))
  :extrafuns ((x_98 Real))
  :extrafuns ((x_99 Real))
  :extrapreds ((x_100))
  :extrapreds ((x_101))
  :extrafuns ((x_102 Real))
  :extrafuns ((x_103 Real))
  :extrapreds ((x_104))
  :extrapreds ((x_105))
  :extrafuns ((x_106 Real))
  :extrafuns ((x_107 Real))
  :extrapreds ((x_108))
  :extrapreds ((x_109))
  :extrafuns ((x_110 Real))
  :extrafuns ((x_111 Real))
  :extrapreds ((x_112))
  :extrapreds ((x_113))
  :extrafuns ((x_114 Real))
  :extrafuns ((x_115 Real))
  :extrapreds ((x_116))
  :extrapreds ((x_117))
  :extrafuns ((x_118 Real))
  :extrafuns ((x_119 Real))
  :extrapreds ((x_120))
  :extrapreds ((x_121))
  :extrafuns ((x_122 Real))
  :extrafuns ((x_123 Real))
  :extrapreds ((x_124))
  :extrapreds ((x_125))
  :extrafuns ((x_126 Real))
  :extrafuns ((x_127 Real))
  :extrapreds ((x_128))
  :extrapreds ((x_129))
  :extrafuns ((x_130 Real))
  :extrafuns ((x_131 Real))
  :extrapreds ((x_132))
  :extrapreds ((x_133))
  :extrafuns ((x_134 Real))
  :extrafuns ((x_135 Real))
  :extrapreds ((x_136))
  :extrapreds ((x_137))
  :extrafuns ((x_138 Real))
  :extrafuns ((x_139 Real))
  :extrapreds ((x_140))
  :extrapreds ((x_141))
  :extrafuns ((x_142 Real))
  :extrafuns ((x_143 Real))
  :extrapreds ((x_144))
  :extrapreds ((x_145))
  :extrafuns ((x_146 Real))
  :extrafuns ((x_147 Real))
  :extrapreds ((x_148))
  :extrapreds ((x_149))
  :extrafuns ((x_150 Real))
  :extrafuns ((x_151 Real))
  :extrapreds ((x_152))
  :extrapreds ((x_153))
  :extrafuns ((x_154 Real))
  :extrafuns ((x_155 Real))
  :extrapreds ((x_156))
  :extrapreds ((x_157))
  :extrapreds ((x_158))
  :extrapreds ((x_159))
  :extrafuns ((x_160 Real))
  :extrafuns ((x_161 Real))
  :extrafuns ((x_162 Real))
  :extrafuns ((x_163 Real))
  :extrapreds ((x_164))
  :extrapreds ((x_165))
  :extrapreds ((x_166))
  :extrapreds ((x_167))
  :extrafuns ((x_168 Real))
  :extrafuns ((x_169 Real))
  :extrafuns ((x_170 Real))
  :extrafuns ((x_171 Real))
  :extrapreds ((x_172))
  :extrapreds ((x_173))
  :extrapreds ((x_174))
  :extrapreds ((x_175))
  :extrafuns ((x_176 Real))
  :extrafuns ((x_177 Real))
  :extrafuns ((x_178 Real))
  :extrafuns ((x_179 Real))
  :extrapreds ((x_180))
  :extrapreds ((x_181))
  :extrapreds ((x_182))
  :extrapreds ((x_183))
  :extrafuns ((x_184 Real))
  :extrafuns ((x_185 Real))
  :extrafuns ((x_186 Real))
  :extrafuns ((x_187 Real))
  :extrapreds ((x_188))
  :extrapreds ((x_189))
  :extrapreds ((x_190))
  :extrapreds ((x_191))
  :extrafuns ((x_192 Real))
  :extrafuns ((x_193 Real))
  :extrafuns ((x_194 Real))
  :extrafuns ((x_195 Real))
  :extrapreds ((x_196))
  :extrapreds ((x_197))
  :extrapreds ((x_198))
  :extrapreds ((x_199))
  :extrafuns ((x_200 Real))
  :extrafuns ((x_201 Real))
  :extrafuns ((x_202 Real))
  :extrafuns ((x_203 Real))
  :extrapreds ((x_204))
  :extrapreds ((x_205))
  :extrapreds ((x_206))
  :extrapreds ((x_207))
  :extrafuns ((x_208 Real))
  :extrafuns ((x_209 Real))
  :extrafuns ((x_210 Real))
  :extrafuns ((x_211 Real))
  :extrapreds ((x_212))
  :extrapreds ((x_213))
  :extrapreds ((x_214))
  :extrapreds ((x_215))
  :extrafuns ((x_216 Real))
  :extrafuns ((x_217 Real))
  :extrafuns ((x_218 Real))
  :extrafuns ((x_219 Real))
  :extrapreds ((x_220))
  :extrapreds ((x_221))
  :extrapreds ((x_222))
  :extrapreds ((x_223))
  :extrafuns ((x_224 Real))
  :extrafuns ((x_225 Real))
  :extrafuns ((x_226 Real))
  :extrafuns ((x_227 Real))
  :extrapreds ((x_228))
  :extrapreds ((x_229))
  :extrapreds ((x_230))
  :extrapreds ((x_231))
  :extrafuns ((x_232 Real))
  :extrafuns ((x_233 Real))
  :extrafuns ((x_234 Real))
  :extrafuns ((x_235 Real))
  :extrapreds ((x_236))
  :extrapreds ((x_237))
  :extrapreds ((x_238))
  :extrapreds ((x_239))
  :extrafuns ((x_240 Real))
  :extrafuns ((x_241 Real))
  :extrafuns ((x_242 Real))
  :extrafuns ((x_243 Real))
  :extrapreds ((x_244))
  :extrapreds ((x_245))
  :extrapreds ((x_246))
  :extrapreds ((x_247))
  :extrafuns ((x_248 Real))
  :extrafuns ((x_249 Real))
  :extrafuns ((x_250 Real))
  :extrafuns ((x_251 Real))
  :extrapreds ((x_252))
  :extrapreds ((x_253))
  :extrapreds ((x_254))
  :extrapreds ((x_255))
  :extrafuns ((x_256 Real))
  :extrafuns ((x_257 Real))
  :extrafuns ((x_258 Real))
  :extrafuns ((x_259 Real))
  :extrapreds ((x_260))
  :extrapreds ((x_261))
  :extrapreds ((x_262))
  :extrapreds ((x_263))
  :extrafuns ((x_264 Real))
  :extrafuns ((x_265 Real))
  :extrafuns ((x_266 Real))
  :extrafuns ((x_267 Real))
  :extrapreds ((x_268))
  :extrapreds ((x_269))
  :extrapreds ((x_270))
  :extrapreds ((x_271))
  :extrafuns ((x_272 Real))
  :extrafuns ((x_273 Real))
  :extrafuns ((x_274 Real))
  :extrafuns ((x_275 Real))
  :extrapreds ((x_276))
  :extrapreds ((x_277))
  :extrapreds ((x_278))
  :extrapreds ((x_279))
  :extrafuns ((x_280 Real))
  :extrafuns ((x_281 Real))
  :extrafuns ((x_282 Real))
  :extrafuns ((x_283 Real))
  :extrapreds ((x_284))
  :extrapreds ((x_285))
  :extrapreds ((x_286))
  :extrapreds ((x_287))
  :extrafuns ((x_288 Real))
  :extrafuns ((x_289 Real))
  :extrafuns ((x_290 Real))
  :extrafuns ((x_291 Real))
  :extrapreds ((x_292))
  :extrapreds ((x_293))
  :extrapreds ((x_294))
  :extrapreds ((x_295))
  :extrafuns ((x_296 Real))
  :extrafuns ((x_297 Real))
  :extrafuns ((x_298 Real))
  :extrafuns ((x_299 Real))
  :extrapreds ((x_300))
  :extrapreds ((x_301))
  :extrapreds ((x_302))
  :extrapreds ((x_303))
  :extrafuns ((x_304 Real))
  :extrafuns ((x_305 Real))
  :extrafuns ((x_306 Real))
  :extrafuns ((x_307 Real))
  :extrapreds ((x_308))
  :extrapreds ((x_309))
  :extrapreds ((x_310))
  :extrapreds ((x_311))
  :extrafuns ((x_312 Real))
  :extrafuns ((x_313 Real))
  :extrafuns ((x_314 Real))
  :extrafuns ((x_315 Real))
  :extrapreds ((x_316))
  :extrapreds ((x_317))
  :extrapreds ((x_318))
  :extrapreds ((x_319))
  :extrafuns ((x_320 Real))
  :extrafuns ((x_321 Real))
  :extrafuns ((x_322 Real))
  :extrafuns ((x_323 Real))
  :extrapreds ((x_324))
  :extrapreds ((x_325))
  :extrapreds ((x_326))
  :extrapreds ((x_327))
  :extrafuns ((x_328 Real))
  :extrafuns ((x_329 Real))
  :extrafuns ((x_330 Real))
  :extrafuns ((x_331 Real))
  :extrapreds ((x_332))
  :extrapreds ((x_333))
  :extrapreds ((x_334))
  :extrapreds ((x_335))
  :extrafuns ((x_336 Real))
  :extrafuns ((x_337 Real))
  :extrafuns ((x_338 Real))
  :extrafuns ((x_339 Real))
  :extrapreds ((x_340))
  :extrapreds ((x_341))
  :extrapreds ((x_342))
  :extrapreds ((x_343))
  :extrafuns ((x_344 Real))
  :extrafuns ((x_345 Real))
  :extrafuns ((x_346 Real))
  :extrafuns ((x_347 Real))
  :extrapreds ((x_348))
  :extrapreds ((x_349))
  :extrapreds ((x_350))
  :extrapreds ((x_351))
  :extrafuns ((x_352 Real))
  :extrafuns ((x_353 Real))
  :extrafuns ((x_354 Real))
  :extrafuns ((x_355 Real))
  :extrapreds ((x_356))
  :extrapreds ((x_357))
  :extrapreds ((x_358))
  :extrapreds ((x_359))
  :extrafuns ((x_360 Real))
  :extrafuns ((x_361 Real))
  :extrafuns ((x_362 Real))
  :extrafuns ((x_363 Real))
  :extrapreds ((x_364))
  :extrapreds ((x_365))
  :extrapreds ((x_366))
  :extrapreds ((x_367))
  :extrafuns ((x_368 Real))
  :extrafuns ((x_369 Real))
  :extrafuns ((x_370 Real))
  :extrafuns ((x_371 Real))
  :extrapreds ((x_372))
  :extrapreds ((x_373))
  :extrapreds ((x_374))
  :extrapreds ((x_375))
  :extrafuns ((x_376 Real))
  :extrafuns ((x_377 Real))
  :extrafuns ((x_378 Real))
  :extrafuns ((x_379 Real))
  :extrapreds ((x_380))
  :extrapreds ((x_381))
  :extrapreds ((x_382))
  :extrapreds ((x_383))
  :extrafuns ((x_384 Real))
  :extrafuns ((x_385 Real))
  :extrafuns ((x_386 Real))
  :extrafuns ((x_387 Real))
  :extrapreds ((x_388))
  :extrapreds ((x_389))
  :extrapreds ((x_390))
  :extrapreds ((x_391))
  :extrafuns ((x_392 Real))
  :extrafuns ((x_393 Real))
  :extrafuns ((x_394 Real))
  :extrafuns ((x_395 Real))
  :extrapreds ((x_396))
  :extrapreds ((x_397))
  :extrapreds ((x_398))
  :extrapreds ((x_399))
  :extrafuns ((x_400 Real))
  :extrafuns ((x_401 Real))
  :extrafuns ((x_402 Real))
  :extrafuns ((x_403 Real))
  :extrapreds ((x_404))
  :extrapreds ((x_405))
  :extrapreds ((x_406))
  :extrapreds ((x_407))
  :extrafuns ((x_408 Real))
  :extrafuns ((x_409 Real))
  :extrafuns ((x_410 Real))
  :extrafuns ((x_411 Real))
  :extrapreds ((x_412))
  :extrapreds ((x_413))
  :extrapreds ((x_414))
  :extrapreds ((x_415))
  :extrafuns ((x_416 Real))
  :extrafuns ((x_417 Real))
  :extrafuns ((x_418 Real))
  :extrafuns ((x_419 Real))
  :extrapreds ((x_420))
  :extrapreds ((x_421))
  :extrapreds ((x_422))
  :extrapreds ((x_423))
  :extrafuns ((x_424 Real))
  :extrafuns ((x_425 Real))
  :extrafuns ((x_426 Real))
  :extrafuns ((x_427 Real))
  :extrapreds ((x_428))
  :extrapreds ((x_429))
  :extrapreds ((x_430))
  :extrapreds ((x_431))
  :extrafuns ((x_432 Real))
  :extrafuns ((x_433 Real))
  :extrafuns ((x_434 Real))
  :extrafuns ((x_435 Real))
  :extrapreds ((x_436))
  :extrapreds ((x_437))
  :extrapreds ((x_438))
  :extrapreds ((x_439))
  :extrafuns ((x_440 Real))
  :extrafuns ((x_441 Real))
  :extrafuns ((x_442 Real))
  :extrafuns ((x_443 Real))
  :extrapreds ((x_444))
  :extrapreds ((x_445))
  :extrapreds ((x_446))
  :extrapreds ((x_447))
  :extrafuns ((x_448 Real))
  :extrafuns ((x_449 Real))
  :extrafuns ((x_450 Real))
  :extrafuns ((x_451 Real))
  :extrapreds ((x_452))
  :extrapreds ((x_453))
  :extrapreds ((x_454))
  :extrapreds ((x_455))
  :extrafuns ((x_456 Real))
  :extrafuns ((x_457 Real))
  :extrafuns ((x_458 Real))
  :extrafuns ((x_459 Real))
  :extrapreds ((x_460))
  :extrapreds ((x_461))
  :extrapreds ((x_462))
  :extrapreds ((x_463))
  :extrafuns ((x_464 Real))
  :extrafuns ((x_465 Real))
  :extrafuns ((x_466 Real))
  :extrafuns ((x_467 Real))
  :extrapreds ((x_468))
  :extrapreds ((x_469))
  :extrapreds ((x_470))
  :extrapreds ((x_471))
  :extrapreds ((x_472))
  :extrapreds ((x_473))
  :extrafuns ((x_474 Real))
  :extrafuns ((x_475 Real))
  :extrafuns ((x_476 Real))
  :extrafuns ((x_477 Real))
  :extrafuns ((x_478 Real))
  :extrafuns ((x_479 Real))
  :extrafuns ((x_480 Real))
  :extrafuns ((x_481 Real))
  :extrafuns ((x_482 Real))
  :extrafuns ((x_483 Real))
  :extrafuns ((x_484 Real))
  :extrafuns ((x_485 Real))
  :extrafuns ((x_486 Real))
  :extrafuns ((x_487 Real))
  :extrafuns ((x_488 Real))
  :extrafuns ((x_489 Real))
  :extrafuns ((x_490 Real))
  :extrafuns ((x_491 Real))
  :extrafuns ((x_492 Real))
  :extrafuns ((x_493 Real))
  :extrafuns ((x_494 Real))
  :extrafuns ((x_495 Real))
  :extrafuns ((x_496 Real))
  :extrafuns ((x_497 Real))
  :extrafuns ((x_498 Real))
  :extrafuns ((x_499 Real))
  :extrafuns ((x_500 Real))
  :extrafuns ((x_501 Real))
  :extrafuns ((x_502 Real))
  :extrafuns ((x_503 Real))
  :extrafuns ((x_504 Real))
  :extrafuns ((x_505 Real))
  :extrafuns ((x_506 Real))
  :extrafuns ((x_507 Real))
  :extrafuns ((x_508 Real))
  :extrafuns ((x_509 Real))
  :extrafuns ((x_510 Real))
  :extrafuns ((x_511 Real))
  :extrafuns ((x_512 Real))
  :extrafuns ((x_513 Real))
  :extrafuns ((x_514 Real))
  :extrafuns ((x_515 Real))
  :extrafuns ((x_516 Real))
  :extrafuns ((x_517 Real))
  :extrafuns ((x_518 Real))
  :extrafuns ((x_519 Real))
  :extrafuns ((x_520 Real))
  :extrafuns ((x_521 Real))
  :extrafuns ((x_522 Real))
  :extrafuns ((x_523 Real))
  :extrafuns ((x_524 Real))
  :extrafuns ((x_525 Real))
  :extrafuns ((x_526 Real))
  :extrafuns ((x_527 Real))
  :extrafuns ((x_528 Real))
  :extrafuns ((x_529 Real))
  :extrafuns ((x_530 Real))
  :extrafuns ((x_531 Real))
  :extrafuns ((x_532 Real))
  :extrafuns ((x_533 Real))
  :extrafuns ((x_534 Real))
  :extrafuns ((x_535 Real))
  :extrafuns ((x_536 Real))
  :extrafuns ((x_537 Real))
  :extrafuns ((x_538 Real))
  :extrafuns ((x_539 Real))
  :extrafuns ((x_540 Real))
  :extrafuns ((x_541 Real))
  :extrafuns ((x_542 Real))
  :extrafuns ((x_543 Real))
  :extrafuns ((x_544 Real))
  :extrafuns ((x_545 Real))
  :extrafuns ((x_546 Real))
  :extrafuns ((x_547 Real))
  :extrafuns ((x_548 Real))
  :extrafuns ((x_549 Real))
  :extrafuns ((x_550 Real))
  :extrafuns ((x_551 Real))
  :extrafuns ((x_552 Real))
  :extrafuns ((x_553 Real))
  :extrafuns ((x_554 Real))
  :extrafuns ((x_555 Real))
  :extrafuns ((x_556 Real))
  :extrafuns ((x_557 Real))
  :extrafuns ((x_558 Real))
  :extrafuns ((x_559 Real))
  :extrafuns ((x_560 Real))
  :extrafuns ((x_561 Real))
  :extrafuns ((x_562 Real))
  :extrafuns ((x_563 Real))
  :extrafuns ((x_564 Real))
  :extrafuns ((x_565 Real))
  :extrafuns ((x_566 Real))
  :extrafuns ((x_567 Real))
  :extrafuns ((x_568 Real))
  :extrafuns ((x_569 Real))
  :extrafuns ((x_570 Real))
  :extrafuns ((x_571 Real))
  :extrafuns ((x_572 Real))
  :extrafuns ((x_573 Real))
  :extrafuns ((x_574 Real))
  :extrafuns ((x_575 Real))
  :extrafuns ((x_576 Real))
  :extrafuns ((x_577 Real))
  :extrafuns ((x_578 Real))
  :extrafuns ((x_579 Real))
  :extrafuns ((x_580 Real))
  :extrafuns ((x_581 Real))
  :extrafuns ((x_582 Real))
  :extrafuns ((x_583 Real))
  :extrafuns ((x_584 Real))
  :extrafuns ((x_585 Real))
  :extrafuns ((x_586 Real))
  :extrafuns ((x_587 Real))
  :extrafuns ((x_588 Real))
  :extrafuns ((x_589 Real))
  :extrafuns ((x_590 Real))
  :extrafuns ((x_591 Real))
  :extrafuns ((x_592 Real))
  :extrafuns ((x_593 Real))
  :extrafuns ((x_594 Real))
  :extrafuns ((x_595 Real))
  :extrafuns ((x_596 Real))
  :extrafuns ((x_597 Real))
  :extrafuns ((x_598 Real))
  :extrafuns ((x_599 Real))
  :extrafuns ((x_600 Real))
  :extrafuns ((x_601 Real))
  :extrafuns ((x_602 Real))
  :extrafuns ((x_603 Real))
  :extrafuns ((x_604 Real))
  :extrafuns ((x_605 Real))
  :extrafuns ((x_606 Real))
  :extrafuns ((x_607 Real))
  :extrafuns ((x_608 Real))
  :extrafuns ((x_609 Real))
  :extrafuns ((x_610 Real))
  :extrafuns ((x_611 Real))
  :extrafuns ((x_612 Real))
  :extrafuns ((x_613 Real))
  :extrafuns ((x_614 Real))
  :extrafuns ((x_615 Real))
  :extrafuns ((x_616 Real))
  :extrafuns ((x_617 Real))
  :extrafuns ((x_618 Real))
  :extrafuns ((x_619 Real))
  :extrafuns ((x_620 Real))
  :extrafuns ((x_621 Real))
  :extrafuns ((x_622 Real))
  :extrafuns ((x_623 Real))
  :extrafuns ((x_624 Real))
  :extrafuns ((x_625 Real))
  :extrafuns ((x_626 Real))
  :extrafuns ((x_627 Real))
  :extrafuns ((x_628 Real))
  :extrafuns ((x_629 Real))
  :extrafuns ((x_630 Real))
  :extrafuns ((x_631 Real))
  :extrafuns ((x_632 Real))
  :extrafuns ((x_633 Real))
  :extrafuns ((x_634 Real))
  :extrafuns ((x_635 Real))
  :extrafuns ((x_636 Real))
  :extrafuns ((x_637 Real))
  :extrafuns ((x_638 Real))
  :extrafuns ((x_639 Real))
  :extrafuns ((x_640 Real))
  :extrafuns ((x_641 Real))
  :extrafuns ((x_642 Real))
  :extrafuns ((x_643 Real))
  :extrafuns ((x_644 Real))
  :extrafuns ((x_645 Real))
  :extrafuns ((x_646 Real))
  :extrafuns ((x_647 Real))
  :extrafuns ((x_648 Real))
  :extrafuns ((x_649 Real))
  :extrafuns ((x_650 Real))
  :extrafuns ((x_651 Real))
  :extrafuns ((x_652 Real))
  :extrafuns ((x_653 Real))
  :extrafuns ((x_654 Real))
  :extrafuns ((x_655 Real))
  :extrafuns ((x_656 Real))
  :extrafuns ((x_657 Real))
  :extrafuns ((x_658 Real))
  :extrafuns ((x_659 Real))
  :extrafuns ((x_660 Real))
  :extrafuns ((x_661 Real))
  :extrafuns ((x_662 Real))
  :extrafuns ((x_663 Real))
  :extrafuns ((x_664 Real))
  :extrafuns ((x_665 Real))
  :extrafuns ((x_666 Real))
  :extrafuns ((x_667 Real))
  :extrafuns ((x_668 Real))
  :extrafuns ((x_669 Real))
  :extrafuns ((x_670 Real))
  :extrafuns ((x_671 Real))
  :extrafuns ((x_672 Real))
  :extrafuns ((x_673 Real))
  :extrafuns ((x_674 Real))
  :extrafuns ((x_675 Real))
  :extrafuns ((x_676 Real))
  :extrafuns ((x_677 Real))
  :extrafuns ((x_678 Real))
  :extrafuns ((x_679 Real))
  :extrafuns ((x_680 Real))
  :extrafuns ((x_681 Real))
  :extrafuns ((x_682 Real))
  :extrafuns ((x_683 Real))
  :extrafuns ((x_684 Real))
  :extrafuns ((x_685 Real))
  :extrafuns ((x_686 Real))
  :extrafuns ((x_687 Real))
  :extrafuns ((x_688 Real))
  :extrafuns ((x_689 Real))
  :extrafuns ((x_690 Real))
  :extrafuns ((x_691 Real))
  :extrafuns ((x_692 Real))
  :extrafuns ((x_693 Real))
  :extrafuns ((x_694 Real))
  :extrafuns ((x_695 Real))
  :extrafuns ((x_696 Real))
  :extrafuns ((x_697 Real))
  :extrafuns ((x_698 Real))
  :extrafuns ((x_699 Real))
  :extrafuns ((x_700 Real))
  :extrafuns ((x_701 Real))
  :extrafuns ((x_702 Real))
  :extrafuns ((x_703 Real))
  :extrafuns ((x_704 Real))
  :extrafuns ((x_705 Real))
  :extrafuns ((x_706 Real))
  :extrafuns ((x_707 Real))
  :extrafuns ((x_708 Real))
  :extrafuns ((x_709 Real))
  :extrafuns ((x_710 Real))
  :extrafuns ((x_711 Real))
  :extrafuns ((x_712 Real))
  :extrafuns ((x_713 Real))
  :extrafuns ((x_714 Real))
  :extrafuns ((x_715 Real))
  :extrafuns ((x_716 Real))
  :extrafuns ((x_717 Real))
  :extrafuns ((x_718 Real))
  :formula
(flet ($cvcl_501 (= x_169 x_161)) (flet ($cvcl_502 (= x_162 x_170)) (flet ($cvcl_503 (= x_171 x_163)) (flet ($cvcl_499 (= x_160 x_168)) (flet ($cvcl_504 (not $cvcl_499)) (flet ($cvcl_506 (= x_478 x_479)) (flet ($cvcl_495 (iff x_164 x_156)) (flet ($cvcl_496 (= x_7 x_3)) (let (?cvcl_500 (ite (<= x_162 x_160) x_162 x_160)) (let (?cvcl_494 (ite (<= x_160 x_162) x_160 x_162)) (flet ($cvcl_488 (= x_177 x_169)) (flet ($cvcl_489 (= x_170 x_178)) (flet ($cvcl_490 (= x_179 x_171)) (flet ($cvcl_486 (= x_168 x_176)) (flet ($cvcl_491 (not $cvcl_486)) (flet ($cvcl_493 (= x_489 x_478)) (flet ($cvcl_482 (iff x_172 x_164)) (flet ($cvcl_483 (= x_11 x_7)) (let (?cvcl_487 (ite (<= x_170 x_168) x_170 x_168)) (let (?cvcl_481 (ite (<= x_168 x_170) x_168 x_170)) (flet ($cvcl_475 (= x_185 x_177)) (flet ($cvcl_476 (= x_178 x_186)) (flet ($cvcl_477 (= x_187 x_179)) (flet ($cvcl_473 (= x_176 x_184)) (flet ($cvcl_478 (not $cvcl_473)) (flet ($cvcl_480 (= x_495 x_489)) (flet ($cvcl_469 (iff x_180 x_172)) (flet ($cvcl_470 (= x_15 x_11)) (let (?cvcl_474 (ite (<= x_178 x_176) x_178 x_176)) (let (?cvcl_468 (ite (<= x_176 x_178) x_176 x_178)) (flet ($cvcl_462 (= x_193 x_185)) (flet ($cvcl_463 (= x_186 x_194)) (flet ($cvcl_464 (= x_195 x_187)) (flet ($cvcl_460 (= x_184 x_192)) (flet ($cvcl_465 (not $cvcl_460)) (flet ($cvcl_467 (= x_501 x_495)) (flet ($cvcl_456 (iff x_188 x_180)) (flet ($cvcl_457 (= x_19 x_15)) (let (?cvcl_461 (ite (<= x_186 x_184) x_186 x_184)) (let (?cvcl_455 (ite (<= x_184 x_186) x_184 x_186)) (flet ($cvcl_449 (= x_201 x_193)) (flet ($cvcl_450 (= x_194 x_202)) (flet ($cvcl_451 (= x_203 x_195)) (flet ($cvcl_447 (= x_192 x_200)) (flet ($cvcl_452 (not $cvcl_447)) (flet ($cvcl_454 (= x_507 x_501)) (flet ($cvcl_443 (iff x_196 x_188)) (flet ($cvcl_444 (= x_23 x_19)) (let (?cvcl_448 (ite (<= x_194 x_192) x_194 x_192)) (let (?cvcl_442 (ite (<= x_192 x_194) x_192 x_194)) (flet ($cvcl_436 (= x_209 x_201)) (flet ($cvcl_437 (= x_202 x_210)) (flet ($cvcl_438 (= x_211 x_203)) (flet ($cvcl_434 (= x_200 x_208)) (flet ($cvcl_439 (not $cvcl_434)) (flet ($cvcl_441 (= x_513 x_507)) (flet ($cvcl_430 (iff x_204 x_196)) (flet ($cvcl_431 (= x_27 x_23)) (let (?cvcl_435 (ite (<= x_202 x_200) x_202 x_200)) (let (?cvcl_429 (ite (<= x_200 x_202) x_200 x_202)) (flet ($cvcl_423 (= x_217 x_209)) (flet ($cvcl_424 (= x_210 x_218)) (flet ($cvcl_425 (= x_219 x_211)) (flet ($cvcl_421 (= x_208 x_216)) (flet ($cvcl_426 (not $cvcl_421)) (flet ($cvcl_428 (= x_519 x_513)) (flet ($cvcl_417 (iff x_212 x_204)) (flet ($cvcl_418 (= x_31 x_27)) (let (?cvcl_422 (ite (<= x_210 x_208) x_210 x_208)) (let (?cvcl_416 (ite (<= x_208 x_210) x_208 x_210)) (flet ($cvcl_410 (= x_225 x_217)) (flet ($cvcl_411 (= x_218 x_226)) (flet ($cvcl_412 (= x_227 x_219)) (flet ($cvcl_408 (= x_216 x_224)) (flet ($cvcl_413 (not $cvcl_408)) (flet ($cvcl_415 (= x_525 x_519)) (flet ($cvcl_404 (iff x_220 x_212)) (flet ($cvcl_405 (= x_35 x_31)) (let (?cvcl_409 (ite (<= x_218 x_216) x_218 x_216)) (let (?cvcl_403 (ite (<= x_216 x_218) x_216 x_218)) (flet ($cvcl_397 (= x_233 x_225)) (flet ($cvcl_398 (= x_226 x_234)) (flet ($cvcl_399 (= x_235 x_227)) (flet ($cvcl_395 (= x_224 x_232)) (flet ($cvcl_400 (not $cvcl_395)) (flet ($cvcl_402 (= x_531 x_525)) (flet ($cvcl_391 (iff x_228 x_220)) (flet ($cvcl_392 (= x_39 x_35)) (let (?cvcl_396 (ite (<= x_226 x_224) x_226 x_224)) (let (?cvcl_390 (ite (<= x_224 x_226) x_224 x_226)) (flet ($cvcl_384 (= x_241 x_233)) (flet ($cvcl_385 (= x_234 x_242)) (flet ($cvcl_386 (= x_243 x_235)) (flet ($cvcl_382 (= x_232 x_240)) (flet ($cvcl_387 (not $cvcl_382)) (flet ($cvcl_389 (= x_537 x_531)) (flet ($cvcl_378 (iff x_236 x_228)) (flet ($cvcl_379 (= x_43 x_39)) (let (?cvcl_383 (ite (<= x_234 x_232) x_234 x_232)) (let (?cvcl_377 (ite (<= x_232 x_234) x_232 x_234)) (flet ($cvcl_371 (= x_249 x_241)) (flet ($cvcl_372 (= x_242 x_250)) (flet ($cvcl_373 (= x_251 x_243)) (flet ($cvcl_369 (= x_240 x_248)) (flet ($cvcl_374 (not $cvcl_369)) (flet ($cvcl_376 (= x_543 x_537)) (flet ($cvcl_365 (iff x_244 x_236)) (flet ($cvcl_366 (= x_47 x_43)) (let (?cvcl_370 (ite (<= x_242 x_240) x_242 x_240)) (let (?cvcl_364 (ite (<= x_240 x_242) x_240 x_242)) (flet ($cvcl_358 (= x_257 x_249)) (flet ($cvcl_359 (= x_250 x_258)) (flet ($cvcl_360 (= x_259 x_251)) (flet ($cvcl_356 (= x_248 x_256)) (flet ($cvcl_361 (not $cvcl_356)) (flet ($cvcl_363 (= x_549 x_543)) (flet ($cvcl_352 (iff x_252 x_244)) (flet ($cvcl_353 (= x_51 x_47)) (let (?cvcl_357 (ite (<= x_250 x_248) x_250 x_248)) (let (?cvcl_351 (ite (<= x_248 x_250) x_248 x_250)) (flet ($cvcl_345 (= x_265 x_257)) (flet ($cvcl_346 (= x_258 x_266)) (flet ($cvcl_347 (= x_267 x_259)) (flet ($cvcl_343 (= x_256 x_264)) (flet ($cvcl_348 (not $cvcl_343)) (flet ($cvcl_350 (= x_555 x_549)) (flet ($cvcl_339 (iff x_260 x_252)) (flet ($cvcl_340 (= x_55 x_51)) (let (?cvcl_344 (ite (<= x_258 x_256) x_258 x_256)) (let (?cvcl_338 (ite (<= x_256 x_258) x_256 x_258)) (flet ($cvcl_332 (= x_273 x_265)) (flet ($cvcl_333 (= x_266 x_274)) (flet ($cvcl_334 (= x_275 x_267)) (flet ($cvcl_330 (= x_264 x_272)) (flet ($cvcl_335 (not $cvcl_330)) (flet ($cvcl_337 (= x_561 x_555)) (flet ($cvcl_326 (iff x_268 x_260)) (flet ($cvcl_327 (= x_59 x_55)) (let (?cvcl_331 (ite (<= x_266 x_264) x_266 x_264)) (let (?cvcl_325 (ite (<= x_264 x_266) x_264 x_266)) (flet ($cvcl_319 (= x_281 x_273)) (flet ($cvcl_320 (= x_274 x_282)) (flet ($cvcl_321 (= x_283 x_275)) (flet ($cvcl_317 (= x_272 x_280)) (flet ($cvcl_322 (not $cvcl_317)) (flet ($cvcl_324 (= x_567 x_561)) (flet ($cvcl_313 (iff x_276 x_268)) (flet ($cvcl_314 (= x_63 x_59)) (let (?cvcl_318 (ite (<= x_274 x_272) x_274 x_272)) (let (?cvcl_312 (ite (<= x_272 x_274) x_272 x_274)) (flet ($cvcl_306 (= x_289 x_281)) (flet ($cvcl_307 (= x_282 x_290)) (flet ($cvcl_308 (= x_291 x_283)) (flet ($cvcl_304 (= x_280 x_288)) (flet ($cvcl_309 (not $cvcl_304)) (flet ($cvcl_311 (= x_573 x_567)) (flet ($cvcl_300 (iff x_284 x_276)) (flet ($cvcl_301 (= x_67 x_63)) (let (?cvcl_305 (ite (<= x_282 x_280) x_282 x_280)) (let (?cvcl_299 (ite (<= x_280 x_282) x_280 x_282)) (flet ($cvcl_293 (= x_297 x_289)) (flet ($cvcl_294 (= x_290 x_298)) (flet ($cvcl_295 (= x_299 x_291)) (flet ($cvcl_291 (= x_288 x_296)) (flet ($cvcl_296 (not $cvcl_291)) (flet ($cvcl_298 (= x_579 x_573)) (flet ($cvcl_287 (iff x_292 x_284)) (flet ($cvcl_288 (= x_71 x_67)) (let (?cvcl_292 (ite (<= x_290 x_288) x_290 x_288)) (let (?cvcl_286 (ite (<= x_288 x_290) x_288 x_290)) (flet ($cvcl_280 (= x_305 x_297)) (flet ($cvcl_281 (= x_298 x_306)) (flet ($cvcl_282 (= x_307 x_299)) (flet ($cvcl_278 (= x_296 x_304)) (flet ($cvcl_283 (not $cvcl_278)) (flet ($cvcl_285 (= x_585 x_579)) (flet ($cvcl_274 (iff x_300 x_292)) (flet ($cvcl_275 (= x_75 x_71)) (let (?cvcl_279 (ite (<= x_298 x_296) x_298 x_296)) (let (?cvcl_273 (ite (<= x_296 x_298) x_296 x_298)) (flet ($cvcl_267 (= x_313 x_305)) (flet ($cvcl_268 (= x_306 x_314)) (flet ($cvcl_269 (= x_315 x_307)) (flet ($cvcl_265 (= x_304 x_312)) (flet ($cvcl_270 (not $cvcl_265)) (flet ($cvcl_272 (= x_591 x_585)) (flet ($cvcl_261 (iff x_308 x_300)) (flet ($cvcl_262 (= x_79 x_75)) (let (?cvcl_266 (ite (<= x_306 x_304) x_306 x_304)) (let (?cvcl_260 (ite (<= x_304 x_306) x_304 x_306)) (flet ($cvcl_254 (= x_321 x_313)) (flet ($cvcl_255 (= x_314 x_322)) (flet ($cvcl_256 (= x_323 x_315)) (flet ($cvcl_252 (= x_312 x_320)) (flet ($cvcl_257 (not $cvcl_252)) (flet ($cvcl_259 (= x_597 x_591)) (flet ($cvcl_248 (iff x_316 x_308)) (flet ($cvcl_249 (= x_83 x_79)) (let (?cvcl_253 (ite (<= x_314 x_312) x_314 x_312)) (let (?cvcl_247 (ite (<= x_312 x_314) x_312 x_314)) (flet ($cvcl_241 (= x_329 x_321)) (flet ($cvcl_242 (= x_322 x_330)) (flet ($cvcl_243 (= x_331 x_323)) (flet ($cvcl_239 (= x_320 x_328)) (flet ($cvcl_244 (not $cvcl_239)) (flet ($cvcl_246 (= x_603 x_597)) (flet ($cvcl_235 (iff x_324 x_316)) (flet ($cvcl_236 (= x_87 x_83)) (let (?cvcl_240 (ite (<= x_322 x_320) x_322 x_320)) (let (?cvcl_234 (ite (<= x_320 x_322) x_320 x_322)) (flet ($cvcl_228 (= x_337 x_329)) (flet ($cvcl_229 (= x_330 x_338)) (flet ($cvcl_230 (= x_339 x_331)) (flet ($cvcl_226 (= x_328 x_336)) (flet ($cvcl_231 (not $cvcl_226)) (flet ($cvcl_233 (= x_609 x_603)) (flet ($cvcl_222 (iff x_332 x_324)) (flet ($cvcl_223 (= x_91 x_87)) (let (?cvcl_227 (ite (<= x_330 x_328) x_330 x_328)) (let (?cvcl_221 (ite (<= x_328 x_330) x_328 x_330)) (flet ($cvcl_215 (= x_345 x_337)) (flet ($cvcl_216 (= x_338 x_346)) (flet ($cvcl_217 (= x_347 x_339)) (flet ($cvcl_213 (= x_336 x_344)) (flet ($cvcl_218 (not $cvcl_213)) (flet ($cvcl_220 (= x_615 x_609)) (flet ($cvcl_209 (iff x_340 x_332)) (flet ($cvcl_210 (= x_95 x_91)) (let (?cvcl_214 (ite (<= x_338 x_336) x_338 x_336)) (let (?cvcl_208 (ite (<= x_336 x_338) x_336 x_338)) (flet ($cvcl_202 (= x_353 x_345)) (flet ($cvcl_203 (= x_346 x_354)) (flet ($cvcl_204 (= x_355 x_347)) (flet ($cvcl_200 (= x_344 x_352)) (flet ($cvcl_205 (not $cvcl_200)) (flet ($cvcl_207 (= x_621 x_615)) (flet ($cvcl_196 (iff x_348 x_340)) (flet ($cvcl_197 (= x_99 x_95)) (let (?cvcl_201 (ite (<= x_346 x_344) x_346 x_344)) (let (?cvcl_195 (ite (<= x_344 x_346) x_344 x_346)) (flet ($cvcl_189 (= x_361 x_353)) (flet ($cvcl_190 (= x_354 x_362)) (flet ($cvcl_191 (= x_363 x_355)) (flet ($cvcl_187 (= x_352 x_360)) (flet ($cvcl_192 (not $cvcl_187)) (flet ($cvcl_194 (= x_627 x_621)) (flet ($cvcl_183 (iff x_356 x_348)) (flet ($cvcl_184 (= x_103 x_99)) (let (?cvcl_188 (ite (<= x_354 x_352) x_354 x_352)) (let (?cvcl_182 (ite (<= x_352 x_354) x_352 x_354)) (flet ($cvcl_176 (= x_369 x_361)) (flet ($cvcl_177 (= x_362 x_370)) (flet ($cvcl_178 (= x_371 x_363)) (flet ($cvcl_174 (= x_360 x_368)) (flet ($cvcl_179 (not $cvcl_174)) (flet ($cvcl_181 (= x_633 x_627)) (flet ($cvcl_170 (iff x_364 x_356)) (flet ($cvcl_171 (= x_107 x_103)) (let (?cvcl_175 (ite (<= x_362 x_360) x_362 x_360)) (let (?cvcl_169 (ite (<= x_360 x_362) x_360 x_362)) (flet ($cvcl_163 (= x_377 x_369)) (flet ($cvcl_164 (= x_370 x_378)) (flet ($cvcl_165 (= x_379 x_371)) (flet ($cvcl_161 (= x_368 x_376)) (flet ($cvcl_166 (not $cvcl_161)) (flet ($cvcl_168 (= x_639 x_633)) (flet ($cvcl_157 (iff x_372 x_364)) (flet ($cvcl_158 (= x_111 x_107)) (let (?cvcl_162 (ite (<= x_370 x_368) x_370 x_368)) (let (?cvcl_156 (ite (<= x_368 x_370) x_368 x_370)) (flet ($cvcl_150 (= x_385 x_377)) (flet ($cvcl_151 (= x_378 x_386)) (flet ($cvcl_152 (= x_387 x_379)) (flet ($cvcl_148 (= x_376 x_384)) (flet ($cvcl_153 (not $cvcl_148)) (flet ($cvcl_155 (= x_645 x_639)) (flet ($cvcl_144 (iff x_380 x_372)) (flet ($cvcl_145 (= x_115 x_111)) (let (?cvcl_149 (ite (<= x_378 x_376) x_378 x_376)) (let (?cvcl_143 (ite (<= x_376 x_378) x_376 x_378)) (flet ($cvcl_137 (= x_393 x_385)) (flet ($cvcl_138 (= x_386 x_394)) (flet ($cvcl_139 (= x_395 x_387)) (flet ($cvcl_135 (= x_384 x_392)) (flet ($cvcl_140 (not $cvcl_135)) (flet ($cvcl_142 (= x_651 x_645)) (flet ($cvcl_131 (iff x_388 x_380)) (flet ($cvcl_132 (= x_119 x_115)) (let (?cvcl_136 (ite (<= x_386 x_384) x_386 x_384)) (let (?cvcl_130 (ite (<= x_384 x_386) x_384 x_386)) (flet ($cvcl_124 (= x_401 x_393)) (flet ($cvcl_125 (= x_394 x_402)) (flet ($cvcl_126 (= x_403 x_395)) (flet ($cvcl_122 (= x_392 x_400)) (flet ($cvcl_127 (not $cvcl_122)) (flet ($cvcl_129 (= x_657 x_651)) (flet ($cvcl_118 (iff x_396 x_388)) (flet ($cvcl_119 (= x_123 x_119)) (let (?cvcl_123 (ite (<= x_394 x_392) x_394 x_392)) (let (?cvcl_117 (ite (<= x_392 x_394) x_392 x_394)) (flet ($cvcl_111 (= x_409 x_401)) (flet ($cvcl_112 (= x_402 x_410)) (flet ($cvcl_113 (= x_411 x_403)) (flet ($cvcl_109 (= x_400 x_408)) (flet ($cvcl_114 (not $cvcl_109)) (flet ($cvcl_116 (= x_663 x_657)) (flet ($cvcl_105 (iff x_404 x_396)) (flet ($cvcl_106 (= x_127 x_123)) (let (?cvcl_110 (ite (<= x_402 x_400) x_402 x_400)) (let (?cvcl_104 (ite (<= x_400 x_402) x_400 x_402)) (flet ($cvcl_98 (= x_417 x_409)) (flet ($cvcl_99 (= x_410 x_418)) (flet ($cvcl_100 (= x_419 x_411)) (flet ($cvcl_96 (= x_408 x_416)) (flet ($cvcl_101 (not $cvcl_96)) (flet ($cvcl_103 (= x_669 x_663)) (flet ($cvcl_92 (iff x_412 x_404)) (flet ($cvcl_93 (= x_131 x_127)) (let (?cvcl_97 (ite (<= x_410 x_408) x_410 x_408)) (let (?cvcl_91 (ite (<= x_408 x_410) x_408 x_410)) (flet ($cvcl_85 (= x_425 x_417)) (flet ($cvcl_86 (= x_418 x_426)) (flet ($cvcl_87 (= x_427 x_419)) (flet ($cvcl_83 (= x_416 x_424)) (flet ($cvcl_88 (not $cvcl_83)) (flet ($cvcl_90 (= x_675 x_669)) (flet ($cvcl_79 (iff x_420 x_412)) (flet ($cvcl_80 (= x_135 x_131)) (let (?cvcl_84 (ite (<= x_418 x_416) x_418 x_416)) (let (?cvcl_78 (ite (<= x_416 x_418) x_416 x_418)) (flet ($cvcl_72 (= x_433 x_425)) (flet ($cvcl_73 (= x_426 x_434)) (flet ($cvcl_74 (= x_435 x_427)) (flet ($cvcl_70 (= x_424 x_432)) (flet ($cvcl_75 (not $cvcl_70)) (flet ($cvcl_77 (= x_681 x_675)) (flet ($cvcl_66 (iff x_428 x_420)) (flet ($cvcl_67 (= x_139 x_135)) (let (?cvcl_71 (ite (<= x_426 x_424) x_426 x_424)) (let (?cvcl_65 (ite (<= x_424 x_426) x_424 x_426)) (flet ($cvcl_59 (= x_441 x_433)) (flet ($cvcl_60 (= x_434 x_442)) (flet ($cvcl_61 (= x_443 x_435)) (flet ($cvcl_57 (= x_432 x_440)) (flet ($cvcl_62 (not $cvcl_57)) (flet ($cvcl_64 (= x_687 x_681)) (flet ($cvcl_53 (iff x_436 x_428)) (flet ($cvcl_54 (= x_143 x_139)) (let (?cvcl_58 (ite (<= x_434 x_432) x_434 x_432)) (let (?cvcl_52 (ite (<= x_432 x_434) x_432 x_434)) (flet ($cvcl_46 (= x_449 x_441)) (flet ($cvcl_47 (= x_442 x_450)) (flet ($cvcl_48 (= x_451 x_443)) (flet ($cvcl_44 (= x_440 x_448)) (flet ($cvcl_49 (not $cvcl_44)) (flet ($cvcl_51 (= x_693 x_687)) (flet ($cvcl_40 (iff x_444 x_436)) (flet ($cvcl_41 (= x_147 x_143)) (let (?cvcl_45 (ite (<= x_442 x_440) x_442 x_440)) (let (?cvcl_39 (ite (<= x_440 x_442) x_440 x_442)) (flet ($cvcl_33 (= x_457 x_449)) (flet ($cvcl_34 (= x_450 x_458)) (flet ($cvcl_35 (= x_459 x_451)) (flet ($cvcl_31 (= x_448 x_456)) (flet ($cvcl_36 (not $cvcl_31)) (flet ($cvcl_38 (= x_699 x_693)) (flet ($cvcl_27 (iff x_452 x_444)) (flet ($cvcl_28 (= x_151 x_147)) (let (?cvcl_32 (ite (<= x_450 x_448) x_450 x_448)) (let (?cvcl_26 (ite (<= x_448 x_450) x_448 x_450)) (flet ($cvcl_20 (= x_465 x_457)) (flet ($cvcl_21 (= x_458 x_466)) (flet ($cvcl_22 (= x_467 x_459)) (flet ($cvcl_18 (= x_456 x_464)) (flet ($cvcl_23 (not $cvcl_18)) (flet ($cvcl_25 (= x_705 x_699)) (flet ($cvcl_14 (iff x_460 x_452)) (flet ($cvcl_15 (= x_155 x_151)) (let (?cvcl_19 (ite (<= x_458 x_456) x_458 x_456)) (let (?cvcl_13 (ite (<= x_456 x_458) x_456 x_458)) (flet ($cvcl_7 (= x_475 x_465)) (flet ($cvcl_8 (= x_466 x_476)) (flet ($cvcl_9 (= x_477 x_467)) (flet ($cvcl_5 (= x_464 x_474)) (flet ($cvcl_10 (not $cvcl_5)) (flet ($cvcl_12 (= x_711 x_705)) (flet ($cvcl_1 (iff x_468 x_460)) (flet ($cvcl_2 (= x_712 x_155)) (let (?cvcl_6 (ite (<= x_466 x_464) x_466 x_464)) (let (?cvcl_0 (ite (<= x_464 x_466) x_464 x_466)) (flet ($cvcl_507 (xor x_470  x_471 )) (flet ($cvcl_3 (not x_460)) (flet ($cvcl_16 (not x_452)) (flet ($cvcl_29 (not x_444)) (flet ($cvcl_42 (not x_436)) (flet ($cvcl_55 (not x_428)) (flet ($cvcl_68 (not x_420)) (flet ($cvcl_81 (not x_412)) (flet ($cvcl_94 (not x_404)) (flet ($cvcl_107 (not x_396)) (flet ($cvcl_120 (not x_388)) (flet ($cvcl_133 (not x_380)) (flet ($cvcl_146 (not x_372)) (flet ($cvcl_159 (not x_364)) (flet ($cvcl_172 (not x_356)) (flet ($cvcl_185 (not x_348)) (flet ($cvcl_198 (not x_340)) (flet ($cvcl_211 (not x_332)) (flet ($cvcl_224 (not x_324)) (flet ($cvcl_237 (not x_316)) (flet ($cvcl_250 (not x_308)) (flet ($cvcl_263 (not x_300)) (flet ($cvcl_276 (not x_292)) (flet ($cvcl_289 (not x_284)) (flet ($cvcl_302 (not x_276)) (flet ($cvcl_315 (not x_268)) (flet ($cvcl_328 (not x_260)) (flet ($cvcl_341 (not x_252)) (flet ($cvcl_354 (not x_244)) (flet ($cvcl_367 (not x_236)) (flet ($cvcl_380 (not x_228)) (flet ($cvcl_393 (not x_220)) (flet ($cvcl_406 (not x_212)) (flet ($cvcl_419 (not x_204)) (flet ($cvcl_432 (not x_196)) (flet ($cvcl_445 (not x_188)) (flet ($cvcl_458 (not x_180)) (flet ($cvcl_471 (not x_172)) (flet ($cvcl_484 (not x_164)) (flet ($cvcl_497 (not x_156)) (flet ($cvcl_4 (iff x_471 x_153)) (flet ($cvcl_11 (= x_155 x_712)) (flet ($cvcl_17 (iff x_153 x_149)) (flet ($cvcl_24 (= x_151 x_155)) (flet ($cvcl_30 (iff x_149 x_145)) (flet ($cvcl_37 (= x_147 x_151)) (flet ($cvcl_43 (iff x_145 x_141)) (flet ($cvcl_50 (= x_143 x_147)) (flet ($cvcl_56 (iff x_141 x_137)) (flet ($cvcl_63 (= x_139 x_143)) (flet ($cvcl_69 (iff x_137 x_133)) (flet ($cvcl_76 (= x_135 x_139)) (flet ($cvcl_82 (iff x_133 x_129)) (flet ($cvcl_89 (= x_131 x_135)) (flet ($cvcl_95 (iff x_129 x_125)) (flet ($cvcl_102 (= x_127 x_131)) (flet ($cvcl_108 (iff x_125 x_121)) (flet ($cvcl_115 (= x_123 x_127)) (flet ($cvcl_121 (iff x_121 x_117)) (flet ($cvcl_128 (= x_119 x_123)) (flet ($cvcl_134 (iff x_117 x_113)) (flet ($cvcl_141 (= x_115 x_119)) (flet ($cvcl_147 (iff x_113 x_109)) (flet ($cvcl_154 (= x_111 x_115)) (flet ($cvcl_160 (iff x_109 x_105)) (flet ($cvcl_167 (= x_107 x_111)) (flet ($cvcl_173 (iff x_105 x_101)) (flet ($cvcl_180 (= x_103 x_107)) (flet ($cvcl_186 (iff x_101 x_97)) (flet ($cvcl_193 (= x_99 x_103)) (flet ($cvcl_199 (iff x_97 x_93)) (flet ($cvcl_206 (= x_95 x_99)) (flet ($cvcl_212 (iff x_93 x_89)) (flet ($cvcl_219 (= x_91 x_95)) (flet ($cvcl_225 (iff x_89 x_85)) (flet ($cvcl_232 (= x_87 x_91)) (flet ($cvcl_238 (iff x_85 x_81)) (flet ($cvcl_245 (= x_83 x_87)) (flet ($cvcl_251 (iff x_81 x_77)) (flet ($cvcl_258 (= x_79 x_83)) (flet ($cvcl_264 (iff x_77 x_73)) (flet ($cvcl_271 (= x_75 x_79)) (flet ($cvcl_277 (iff x_73 x_69)) (flet ($cvcl_284 (= x_71 x_75)) (flet ($cvcl_290 (iff x_69 x_65)) (flet ($cvcl_297 (= x_67 x_71)) (flet ($cvcl_303 (iff x_65 x_61)) (flet ($cvcl_310 (= x_63 x_67)) (flet ($cvcl_316 (iff x_61 x_57)) (flet ($cvcl_323 (= x_59 x_63)) (flet ($cvcl_329 (iff x_57 x_53)) (flet ($cvcl_336 (= x_55 x_59)) (flet ($cvcl_342 (iff x_53 x_49)) (flet ($cvcl_349 (= x_51 x_55)) (flet ($cvcl_355 (iff x_49 x_45)) (flet ($cvcl_362 (= x_47 x_51)) (flet ($cvcl_368 (iff x_45 x_41)) (flet ($cvcl_375 (= x_43 x_47)) (flet ($cvcl_381 (iff x_41 x_37)) (flet ($cvcl_388 (= x_39 x_43)) (flet ($cvcl_394 (iff x_37 x_33)) (flet ($cvcl_401 (= x_35 x_39)) (flet ($cvcl_407 (iff x_33 x_29)) (flet ($cvcl_414 (= x_31 x_35)) (flet ($cvcl_420 (iff x_29 x_25)) (flet ($cvcl_427 (= x_27 x_31)) (flet ($cvcl_433 (iff x_25 x_21)) (flet ($cvcl_440 (= x_23 x_27)) (flet ($cvcl_446 (iff x_21 x_17)) (flet ($cvcl_453 (= x_19 x_23)) (flet ($cvcl_459 (iff x_17 x_13)) (flet ($cvcl_466 (= x_15 x_19)) (flet ($cvcl_472 (iff x_13 x_9)) (flet ($cvcl_479 (= x_11 x_15)) (flet ($cvcl_485 (iff x_9 x_5)) (flet ($cvcl_492 (= x_7 x_11)) (flet ($cvcl_498 (iff x_5 x_1)) (flet ($cvcl_505 (= x_3 x_7)) (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (> x_480 0) (> x_481 0)) (>= x_482 0)) (< x_482 x_480)) (< x_482 x_481)) (>= x_487 0)) (< x_487 x_480)) (< x_487 x_481)) (or (iff x_152 x_153)  (= x_154 x_155) )) (or (iff x_148 x_149)  (= x_150 x_151) )) (or (iff x_144 x_145)  (= x_146 x_147) )) (or (iff x_140 x_141)  (= x_142 x_143) )) (or (iff x_136 x_137)  (= x_138 x_139) )) (or (iff x_132 x_133)  (= x_134 x_135) )) (or (iff x_128 x_129)  (= x_130 x_131) )) (or (iff x_124 x_125)  (= x_126 x_127) )) (or (iff x_120 x_121)  (= x_122 x_123) )) (or (iff x_116 x_117)  (= x_118 x_119) )) (or (iff x_112 x_113)  (= x_114 x_115) )) (or (iff x_108 x_109)  (= x_110 x_111) )) (or (iff x_104 x_105)  (= x_106 x_107) )) (or (iff x_100 x_101)  (= x_102 x_103) )) (or (iff x_96 x_97)  (= x_98 x_99) )) (or (iff x_92 x_93)  (= x_94 x_95) )) (or (iff x_88 x_89)  (= x_90 x_91) )) (or (iff x_84 x_85)  (= x_86 x_87) )) (or (iff x_80 x_81)  (= x_82 x_83) )) (or (iff x_76 x_77)  (= x_78 x_79) )) (or (iff x_72 x_73)  (= x_74 x_75) )) (or (iff x_68 x_69)  (= x_70 x_71) )) (or (iff x_64 x_65)  (= x_66 x_67) )) (or (iff x_60 x_61)  (= x_62 x_63) )) (or (iff x_56 x_57)  (= x_58 x_59) )) (or (iff x_52 x_53)  (= x_54 x_55) )) (or (iff x_48 x_49)  (= x_50 x_51) )) (or (iff x_44 x_45)  (= x_46 x_47) )) (or (iff x_40 x_41)  (= x_42 x_43) )) (or (iff x_36 x_37)  (= x_38 x_39) )) (or (iff x_32 x_33)  (= x_34 x_35) )) (or (iff x_28 x_29)  (= x_30 x_31) )) (or (iff x_24 x_25)  (= x_26 x_27) )) (or (iff x_20 x_21)  (= x_22 x_23) )) (or (iff x_16 x_17)  (= x_18 x_19) )) (or (iff x_12 x_13)  (= x_14 x_15) )) (or (iff x_8 x_9)  (= x_10 x_11) )) (or (iff x_4 x_5)  (= x_6 x_7) )) (or (iff x_0 x_1)  (= x_2 x_3) )) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_468  x_469 ) 1 0) (ite (xor x_469  x_470 ) 1 0)) (ite $cvcl_507 1 0)) (ite (xor x_471  x_472 ) 1 0)) (ite (xor x_472  x_473 ) 1 0)) (ite (xor x_473  (not x_468) ) 1 0)) (ite (and (iff x_468 x_469) (< x_474 x_475)) 1 0)) (ite (and (iff x_471 x_472) (< x_476 x_477)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_460  x_461 ) 1 0) (ite (xor x_461  x_152 ) 1 0)) (ite (xor x_152  x_153 ) 1 0)) (ite (xor x_153  x_462 ) 1 0)) (ite (xor x_462  x_463 ) 1 0)) (ite (xor x_463  $cvcl_3 ) 1 0)) (ite (and (iff x_460 x_461) (< x_464 x_465)) 1 0)) (ite (and (iff x_153 x_462) (< x_466 x_467)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_452  x_453 ) 1 0) (ite (xor x_453  x_148 ) 1 0)) (ite (xor x_148  x_149 ) 1 0)) (ite (xor x_149  x_454 ) 1 0)) (ite (xor x_454  x_455 ) 1 0)) (ite (xor x_455  $cvcl_16 ) 1 0)) (ite (and (iff x_452 x_453) (< x_456 x_457)) 1 0)) (ite (and (iff x_149 x_454) (< x_458 x_459)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_444  x_445 ) 1 0) (ite (xor x_445  x_144 ) 1 0)) (ite (xor x_144  x_145 ) 1 0)) (ite (xor x_145  x_446 ) 1 0)) (ite (xor x_446  x_447 ) 1 0)) (ite (xor x_447  $cvcl_29 ) 1 0)) (ite (and (iff x_444 x_445) (< x_448 x_449)) 1 0)) (ite (and (iff x_145 x_446) (< x_450 x_451)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_436  x_437 ) 1 0) (ite (xor x_437  x_140 ) 1 0)) (ite (xor x_140  x_141 ) 1 0)) (ite (xor x_141  x_438 ) 1 0)) (ite (xor x_438  x_439 ) 1 0)) (ite (xor x_439  $cvcl_42 ) 1 0)) (ite (and (iff x_436 x_437) (< x_440 x_441)) 1 0)) (ite (and (iff x_141 x_438) (< x_442 x_443)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_428  x_429 ) 1 0) (ite (xor x_429  x_136 ) 1 0)) (ite (xor x_136  x_137 ) 1 0)) (ite (xor x_137  x_430 ) 1 0)) (ite (xor x_430  x_431 ) 1 0)) (ite (xor x_431  $cvcl_55 ) 1 0)) (ite (and (iff x_428 x_429) (< x_432 x_433)) 1 0)) (ite (and (iff x_137 x_430) (< x_434 x_435)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_420  x_421 ) 1 0) (ite (xor x_421  x_132 ) 1 0)) (ite (xor x_132  x_133 ) 1 0)) (ite (xor x_133  x_422 ) 1 0)) (ite (xor x_422  x_423 ) 1 0)) (ite (xor x_423  $cvcl_68 ) 1 0)) (ite (and (iff x_420 x_421) (< x_424 x_425)) 1 0)) (ite (and (iff x_133 x_422) (< x_426 x_427)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_412  x_413 ) 1 0) (ite (xor x_413  x_128 ) 1 0)) (ite (xor x_128  x_129 ) 1 0)) (ite (xor x_129  x_414 ) 1 0)) (ite (xor x_414  x_415 ) 1 0)) (ite (xor x_415  $cvcl_81 ) 1 0)) (ite (and (iff x_412 x_413) (< x_416 x_417)) 1 0)) (ite (and (iff x_129 x_414) (< x_418 x_419)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_404  x_405 ) 1 0) (ite (xor x_405  x_124 ) 1 0)) (ite (xor x_124  x_125 ) 1 0)) (ite (xor x_125  x_406 ) 1 0)) (ite (xor x_406  x_407 ) 1 0)) (ite (xor x_407  $cvcl_94 ) 1 0)) (ite (and (iff x_404 x_405) (< x_408 x_409)) 1 0)) (ite (and (iff x_125 x_406) (< x_410 x_411)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_396  x_397 ) 1 0) (ite (xor x_397  x_120 ) 1 0)) (ite (xor x_120  x_121 ) 1 0)) (ite (xor x_121  x_398 ) 1 0)) (ite (xor x_398  x_399 ) 1 0)) (ite (xor x_399  $cvcl_107 ) 1 0)) (ite (and (iff x_396 x_397) (< x_400 x_401)) 1 0)) (ite (and (iff x_121 x_398) (< x_402 x_403)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_388  x_389 ) 1 0) (ite (xor x_389  x_116 ) 1 0)) (ite (xor x_116  x_117 ) 1 0)) (ite (xor x_117  x_390 ) 1 0)) (ite (xor x_390  x_391 ) 1 0)) (ite (xor x_391  $cvcl_120 ) 1 0)) (ite (and (iff x_388 x_389) (< x_392 x_393)) 1 0)) (ite (and (iff x_117 x_390) (< x_394 x_395)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_380  x_381 ) 1 0) (ite (xor x_381  x_112 ) 1 0)) (ite (xor x_112  x_113 ) 1 0)) (ite (xor x_113  x_382 ) 1 0)) (ite (xor x_382  x_383 ) 1 0)) (ite (xor x_383  $cvcl_133 ) 1 0)) (ite (and (iff x_380 x_381) (< x_384 x_385)) 1 0)) (ite (and (iff x_113 x_382) (< x_386 x_387)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_372  x_373 ) 1 0) (ite (xor x_373  x_108 ) 1 0)) (ite (xor x_108  x_109 ) 1 0)) (ite (xor x_109  x_374 ) 1 0)) (ite (xor x_374  x_375 ) 1 0)) (ite (xor x_375  $cvcl_146 ) 1 0)) (ite (and (iff x_372 x_373) (< x_376 x_377)) 1 0)) (ite (and (iff x_109 x_374) (< x_378 x_379)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_364  x_365 ) 1 0) (ite (xor x_365  x_104 ) 1 0)) (ite (xor x_104  x_105 ) 1 0)) (ite (xor x_105  x_366 ) 1 0)) (ite (xor x_366  x_367 ) 1 0)) (ite (xor x_367  $cvcl_159 ) 1 0)) (ite (and (iff x_364 x_365) (< x_368 x_369)) 1 0)) (ite (and (iff x_105 x_366) (< x_370 x_371)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_356  x_357 ) 1 0) (ite (xor x_357  x_100 ) 1 0)) (ite (xor x_100  x_101 ) 1 0)) (ite (xor x_101  x_358 ) 1 0)) (ite (xor x_358  x_359 ) 1 0)) (ite (xor x_359  $cvcl_172 ) 1 0)) (ite (and (iff x_356 x_357) (< x_360 x_361)) 1 0)) (ite (and (iff x_101 x_358) (< x_362 x_363)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_348  x_349 ) 1 0) (ite (xor x_349  x_96 ) 1 0)) (ite (xor x_96  x_97 ) 1 0)) (ite (xor x_97  x_350 ) 1 0)) (ite (xor x_350  x_351 ) 1 0)) (ite (xor x_351  $cvcl_185 ) 1 0)) (ite (and (iff x_348 x_349) (< x_352 x_353)) 1 0)) (ite (and (iff x_97 x_350) (< x_354 x_355)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_340  x_341 ) 1 0) (ite (xor x_341  x_92 ) 1 0)) (ite (xor x_92  x_93 ) 1 0)) (ite (xor x_93  x_342 ) 1 0)) (ite (xor x_342  x_343 ) 1 0)) (ite (xor x_343  $cvcl_198 ) 1 0)) (ite (and (iff x_340 x_341) (< x_344 x_345)) 1 0)) (ite (and (iff x_93 x_342) (< x_346 x_347)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_332  x_333 ) 1 0) (ite (xor x_333  x_88 ) 1 0)) (ite (xor x_88  x_89 ) 1 0)) (ite (xor x_89  x_334 ) 1 0)) (ite (xor x_334  x_335 ) 1 0)) (ite (xor x_335  $cvcl_211 ) 1 0)) (ite (and (iff x_332 x_333) (< x_336 x_337)) 1 0)) (ite (and (iff x_89 x_334) (< x_338 x_339)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_324  x_325 ) 1 0) (ite (xor x_325  x_84 ) 1 0)) (ite (xor x_84  x_85 ) 1 0)) (ite (xor x_85  x_326 ) 1 0)) (ite (xor x_326  x_327 ) 1 0)) (ite (xor x_327  $cvcl_224 ) 1 0)) (ite (and (iff x_324 x_325) (< x_328 x_329)) 1 0)) (ite (and (iff x_85 x_326) (< x_330 x_331)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_316  x_317 ) 1 0) (ite (xor x_317  x_80 ) 1 0)) (ite (xor x_80  x_81 ) 1 0)) (ite (xor x_81  x_318 ) 1 0)) (ite (xor x_318  x_319 ) 1 0)) (ite (xor x_319  $cvcl_237 ) 1 0)) (ite (and (iff x_316 x_317) (< x_320 x_321)) 1 0)) (ite (and (iff x_81 x_318) (< x_322 x_323)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_308  x_309 ) 1 0) (ite (xor x_309  x_76 ) 1 0)) (ite (xor x_76  x_77 ) 1 0)) (ite (xor x_77  x_310 ) 1 0)) (ite (xor x_310  x_311 ) 1 0)) (ite (xor x_311  $cvcl_250 ) 1 0)) (ite (and (iff x_308 x_309) (< x_312 x_313)) 1 0)) (ite (and (iff x_77 x_310) (< x_314 x_315)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_300  x_301 ) 1 0) (ite (xor x_301  x_72 ) 1 0)) (ite (xor x_72  x_73 ) 1 0)) (ite (xor x_73  x_302 ) 1 0)) (ite (xor x_302  x_303 ) 1 0)) (ite (xor x_303  $cvcl_263 ) 1 0)) (ite (and (iff x_300 x_301) (< x_304 x_305)) 1 0)) (ite (and (iff x_73 x_302) (< x_306 x_307)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_292  x_293 ) 1 0) (ite (xor x_293  x_68 ) 1 0)) (ite (xor x_68  x_69 ) 1 0)) (ite (xor x_69  x_294 ) 1 0)) (ite (xor x_294  x_295 ) 1 0)) (ite (xor x_295  $cvcl_276 ) 1 0)) (ite (and (iff x_292 x_293) (< x_296 x_297)) 1 0)) (ite (and (iff x_69 x_294) (< x_298 x_299)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_284  x_285 ) 1 0) (ite (xor x_285  x_64 ) 1 0)) (ite (xor x_64  x_65 ) 1 0)) (ite (xor x_65  x_286 ) 1 0)) (ite (xor x_286  x_287 ) 1 0)) (ite (xor x_287  $cvcl_289 ) 1 0)) (ite (and (iff x_284 x_285) (< x_288 x_289)) 1 0)) (ite (and (iff x_65 x_286) (< x_290 x_291)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_276  x_277 ) 1 0) (ite (xor x_277  x_60 ) 1 0)) (ite (xor x_60  x_61 ) 1 0)) (ite (xor x_61  x_278 ) 1 0)) (ite (xor x_278  x_279 ) 1 0)) (ite (xor x_279  $cvcl_302 ) 1 0)) (ite (and (iff x_276 x_277) (< x_280 x_281)) 1 0)) (ite (and (iff x_61 x_278) (< x_282 x_283)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_268  x_269 ) 1 0) (ite (xor x_269  x_56 ) 1 0)) (ite (xor x_56  x_57 ) 1 0)) (ite (xor x_57  x_270 ) 1 0)) (ite (xor x_270  x_271 ) 1 0)) (ite (xor x_271  $cvcl_315 ) 1 0)) (ite (and (iff x_268 x_269) (< x_272 x_273)) 1 0)) (ite (and (iff x_57 x_270) (< x_274 x_275)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_260  x_261 ) 1 0) (ite (xor x_261  x_52 ) 1 0)) (ite (xor x_52  x_53 ) 1 0)) (ite (xor x_53  x_262 ) 1 0)) (ite (xor x_262  x_263 ) 1 0)) (ite (xor x_263  $cvcl_328 ) 1 0)) (ite (and (iff x_260 x_261) (< x_264 x_265)) 1 0)) (ite (and (iff x_53 x_262) (< x_266 x_267)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_252  x_253 ) 1 0) (ite (xor x_253  x_48 ) 1 0)) (ite (xor x_48  x_49 ) 1 0)) (ite (xor x_49  x_254 ) 1 0)) (ite (xor x_254  x_255 ) 1 0)) (ite (xor x_255  $cvcl_341 ) 1 0)) (ite (and (iff x_252 x_253) (< x_256 x_257)) 1 0)) (ite (and (iff x_49 x_254) (< x_258 x_259)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_244  x_245 ) 1 0) (ite (xor x_245  x_44 ) 1 0)) (ite (xor x_44  x_45 ) 1 0)) (ite (xor x_45  x_246 ) 1 0)) (ite (xor x_246  x_247 ) 1 0)) (ite (xor x_247  $cvcl_354 ) 1 0)) (ite (and (iff x_244 x_245) (< x_248 x_249)) 1 0)) (ite (and (iff x_45 x_246) (< x_250 x_251)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_236  x_237 ) 1 0) (ite (xor x_237  x_40 ) 1 0)) (ite (xor x_40  x_41 ) 1 0)) (ite (xor x_41  x_238 ) 1 0)) (ite (xor x_238  x_239 ) 1 0)) (ite (xor x_239  $cvcl_367 ) 1 0)) (ite (and (iff x_236 x_237) (< x_240 x_241)) 1 0)) (ite (and (iff x_41 x_238) (< x_242 x_243)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_228  x_229 ) 1 0) (ite (xor x_229  x_36 ) 1 0)) (ite (xor x_36  x_37 ) 1 0)) (ite (xor x_37  x_230 ) 1 0)) (ite (xor x_230  x_231 ) 1 0)) (ite (xor x_231  $cvcl_380 ) 1 0)) (ite (and (iff x_228 x_229) (< x_232 x_233)) 1 0)) (ite (and (iff x_37 x_230) (< x_234 x_235)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_220  x_221 ) 1 0) (ite (xor x_221  x_32 ) 1 0)) (ite (xor x_32  x_33 ) 1 0)) (ite (xor x_33  x_222 ) 1 0)) (ite (xor x_222  x_223 ) 1 0)) (ite (xor x_223  $cvcl_393 ) 1 0)) (ite (and (iff x_220 x_221) (< x_224 x_225)) 1 0)) (ite (and (iff x_33 x_222) (< x_226 x_227)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_212  x_213 ) 1 0) (ite (xor x_213  x_28 ) 1 0)) (ite (xor x_28  x_29 ) 1 0)) (ite (xor x_29  x_214 ) 1 0)) (ite (xor x_214  x_215 ) 1 0)) (ite (xor x_215  $cvcl_406 ) 1 0)) (ite (and (iff x_212 x_213) (< x_216 x_217)) 1 0)) (ite (and (iff x_29 x_214) (< x_218 x_219)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_204  x_205 ) 1 0) (ite (xor x_205  x_24 ) 1 0)) (ite (xor x_24  x_25 ) 1 0)) (ite (xor x_25  x_206 ) 1 0)) (ite (xor x_206  x_207 ) 1 0)) (ite (xor x_207  $cvcl_419 ) 1 0)) (ite (and (iff x_204 x_205) (< x_208 x_209)) 1 0)) (ite (and (iff x_25 x_206) (< x_210 x_211)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_196  x_197 ) 1 0) (ite (xor x_197  x_20 ) 1 0)) (ite (xor x_20  x_21 ) 1 0)) (ite (xor x_21  x_198 ) 1 0)) (ite (xor x_198  x_199 ) 1 0)) (ite (xor x_199  $cvcl_432 ) 1 0)) (ite (and (iff x_196 x_197) (< x_200 x_201)) 1 0)) (ite (and (iff x_21 x_198) (< x_202 x_203)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_188  x_189 ) 1 0) (ite (xor x_189  x_16 ) 1 0)) (ite (xor x_16  x_17 ) 1 0)) (ite (xor x_17  x_190 ) 1 0)) (ite (xor x_190  x_191 ) 1 0)) (ite (xor x_191  $cvcl_445 ) 1 0)) (ite (and (iff x_188 x_189) (< x_192 x_193)) 1 0)) (ite (and (iff x_17 x_190) (< x_194 x_195)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_180  x_181 ) 1 0) (ite (xor x_181  x_12 ) 1 0)) (ite (xor x_12  x_13 ) 1 0)) (ite (xor x_13  x_182 ) 1 0)) (ite (xor x_182  x_183 ) 1 0)) (ite (xor x_183  $cvcl_458 ) 1 0)) (ite (and (iff x_180 x_181) (< x_184 x_185)) 1 0)) (ite (and (iff x_13 x_182) (< x_186 x_187)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_172  x_173 ) 1 0) (ite (xor x_173  x_8 ) 1 0)) (ite (xor x_8  x_9 ) 1 0)) (ite (xor x_9  x_174 ) 1 0)) (ite (xor x_174  x_175 ) 1 0)) (ite (xor x_175  $cvcl_471 ) 1 0)) (ite (and (iff x_172 x_173) (< x_176 x_177)) 1 0)) (ite (and (iff x_9 x_174) (< x_178 x_179)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_164  x_165 ) 1 0) (ite (xor x_165  x_4 ) 1 0)) (ite (xor x_4  x_5 ) 1 0)) (ite (xor x_5  x_166 ) 1 0)) (ite (xor x_166  x_167 ) 1 0)) (ite (xor x_167  $cvcl_484 ) 1 0)) (ite (and (iff x_164 x_165) (< x_168 x_169)) 1 0)) (ite (and (iff x_5 x_166) (< x_170 x_171)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_156  x_157 ) 1 0) (ite (xor x_157  x_0 ) 1 0)) (ite (xor x_0  x_1 ) 1 0)) (ite (xor x_1  x_158 ) 1 0)) (ite (xor x_158  x_159 ) 1 0)) (ite (xor x_159  $cvcl_497 ) 1 0)) (ite (and (iff x_156 x_157) (< x_160 x_161)) 1 0)) (ite (and (iff x_1 x_158) (< x_162 x_163)) 1 0)) 1)) (or (and (and (and (and (and (and (and (and (and (= x_713 0) (iff x_470 x_461)) (= ?cvcl_0 x_464)) (<= (+ ?cvcl_0 x_480) x_474)) (or $cvcl_4  (iff x_471 x_152) )) (iff x_472 x_462)) (iff x_473 x_463)) (= x_476 x_466)) $cvcl_1) $cvcl_2)  (and (and (and (and (and (and (and (and (and (= x_713 1) (iff x_473 x_462)) (= ?cvcl_0 x_466)) (<= (+ ?cvcl_0 x_481) x_476)) (or (and (and (= x_714 0) $cvcl_1) $cvcl_2)  (and (and (= x_714 1) (iff x_460 x_463)) (iff x_468 $cvcl_3)) )) (iff x_469 x_461)) (iff x_470 x_152)) (= x_715 x_154)) (= x_474 x_464)) $cvcl_4) )) (or (or (and (and (and (= x_716 0) $cvcl_10) (or (not (<= x_465 ?cvcl_6))  (iff x_469 x_460) )) $cvcl_7)  (and (and (and (= x_716 1) $cvcl_5) (xor x_460  x_468 )) (= x_475 (+ ?cvcl_6 x_482))) )  (and (and (and (= x_716 2) $cvcl_5) (iff x_460 x_468)) $cvcl_7) )) (or (or (and (and (and (= x_717 0) (not $cvcl_8)) (or (not (<= x_467 ?cvcl_0))  (iff x_472 x_153) )) $cvcl_9)  (and (and (and (= x_717 1) $cvcl_8) (xor x_153  x_471 )) (= x_477 (+ ?cvcl_0 x_487))) )  (and (and (and (= x_717 2) $cvcl_8) (iff x_153 x_471)) $cvcl_9) )) (or (or (and (and (and (= x_718 0) $cvcl_10) (or (not (<= x_705 ?cvcl_6))  (= x_715 x_155) )) $cvcl_12)  (and (and (and (= x_718 1) $cvcl_5) (not $cvcl_11)) (= x_711 (+ ?cvcl_6 x_482))) )  (and (and (and (= x_718 2) $cvcl_5) $cvcl_11) $cvcl_12) )) (or (and (and (and (and (and (and (and (and (and (= x_706 0) (iff x_152 x_453)) (= ?cvcl_13 x_456)) (<= (+ ?cvcl_13 x_480) x_464)) (or $cvcl_17  (iff x_153 x_148) )) (iff x_462 x_454)) (iff x_463 x_455)) (= x_466 x_458)) $cvcl_14) $cvcl_15)  (and (and (and (and (and (and (and (and (and (= x_706 1) (iff x_463 x_454)) (= ?cvcl_13 x_458)) (<= (+ ?cvcl_13 x_481) x_466)) (or (and (and (= x_707 0) $cvcl_14) $cvcl_15)  (and (and (= x_707 1) (iff x_452 x_455)) (iff x_460 $cvcl_16)) )) (iff x_461 x_453)) (iff x_152 x_148)) (= x_154 x_150)) (= x_464 x_456)) $cvcl_17) )) (or (or (and (and (and (= x_708 0) $cvcl_23) (or (not (<= x_457 ?cvcl_19))  (iff x_461 x_452) )) $cvcl_20)  (and (and (and (= x_708 1) $cvcl_18) (xor x_452  x_460 )) (= x_465 (+ ?cvcl_19 x_482))) )  (and (and (and (= x_708 2) $cvcl_18) (iff x_452 x_460)) $cvcl_20) )) (or (or (and (and (and (= x_709 0) (not $cvcl_21)) (or (not (<= x_459 ?cvcl_13))  (iff x_462 x_149) )) $cvcl_22)  (and (and (and (= x_709 1) $cvcl_21) (xor x_149  x_153 )) (= x_467 (+ ?cvcl_13 x_487))) )  (and (and (and (= x_709 2) $cvcl_21) (iff x_149 x_153)) $cvcl_22) )) (or (or (and (and (and (= x_710 0) $cvcl_23) (or (not (<= x_699 ?cvcl_19))  (= x_154 x_151) )) $cvcl_25)  (and (and (and (= x_710 1) $cvcl_18) (not $cvcl_24)) (= x_705 (+ ?cvcl_19 x_482))) )  (and (and (and (= x_710 2) $cvcl_18) $cvcl_24) $cvcl_25) )) (or (and (and (and (and (and (and (and (and (and (= x_700 0) (iff x_148 x_445)) (= ?cvcl_26 x_448)) (<= (+ ?cvcl_26 x_480) x_456)) (or $cvcl_30  (iff x_149 x_144) )) (iff x_454 x_446)) (iff x_455 x_447)) (= x_458 x_450)) $cvcl_27) $cvcl_28)  (and (and (and (and (and (and (and (and (and (= x_700 1) (iff x_455 x_446)) (= ?cvcl_26 x_450)) (<= (+ ?cvcl_26 x_481) x_458)) (or (and (and (= x_701 0) $cvcl_27) $cvcl_28)  (and (and (= x_701 1) (iff x_444 x_447)) (iff x_452 $cvcl_29)) )) (iff x_453 x_445)) (iff x_148 x_144)) (= x_150 x_146)) (= x_456 x_448)) $cvcl_30) )) (or (or (and (and (and (= x_702 0) $cvcl_36) (or (not (<= x_449 ?cvcl_32))  (iff x_453 x_444) )) $cvcl_33)  (and (and (and (= x_702 1) $cvcl_31) (xor x_444  x_452 )) (= x_457 (+ ?cvcl_32 x_482))) )  (and (and (and (= x_702 2) $cvcl_31) (iff x_444 x_452)) $cvcl_33) )) (or (or (and (and (and (= x_703 0) (not $cvcl_34)) (or (not (<= x_451 ?cvcl_26))  (iff x_454 x_145) )) $cvcl_35)  (and (and (and (= x_703 1) $cvcl_34) (xor x_145  x_149 )) (= x_459 (+ ?cvcl_26 x_487))) )  (and (and (and (= x_703 2) $cvcl_34) (iff x_145 x_149)) $cvcl_35) )) (or (or (and (and (and (= x_704 0) $cvcl_36) (or (not (<= x_693 ?cvcl_32))  (= x_150 x_147) )) $cvcl_38)  (and (and (and (= x_704 1) $cvcl_31) (not $cvcl_37)) (= x_699 (+ ?cvcl_32 x_482))) )  (and (and (and (= x_704 2) $cvcl_31) $cvcl_37) $cvcl_38) )) (or (and (and (and (and (and (and (and (and (and (= x_694 0) (iff x_144 x_437)) (= ?cvcl_39 x_440)) (<= (+ ?cvcl_39 x_480) x_448)) (or $cvcl_43  (iff x_145 x_140) )) (iff x_446 x_438)) (iff x_447 x_439)) (= x_450 x_442)) $cvcl_40) $cvcl_41)  (and (and (and (and (and (and (and (and (and (= x_694 1) (iff x_447 x_438)) (= ?cvcl_39 x_442)) (<= (+ ?cvcl_39 x_481) x_450)) (or (and (and (= x_695 0) $cvcl_40) $cvcl_41)  (and (and (= x_695 1) (iff x_436 x_439)) (iff x_444 $cvcl_42)) )) (iff x_445 x_437)) (iff x_144 x_140)) (= x_146 x_142)) (= x_448 x_440)) $cvcl_43) )) (or (or (and (and (and (= x_696 0) $cvcl_49) (or (not (<= x_441 ?cvcl_45))  (iff x_445 x_436) )) $cvcl_46)  (and (and (and (= x_696 1) $cvcl_44) (xor x_436  x_444 )) (= x_449 (+ ?cvcl_45 x_482))) )  (and (and (and (= x_696 2) $cvcl_44) (iff x_436 x_444)) $cvcl_46) )) (or (or (and (and (and (= x_697 0) (not $cvcl_47)) (or (not (<= x_443 ?cvcl_39))  (iff x_446 x_141) )) $cvcl_48)  (and (and (and (= x_697 1) $cvcl_47) (xor x_141  x_145 )) (= x_451 (+ ?cvcl_39 x_487))) )  (and (and (and (= x_697 2) $cvcl_47) (iff x_141 x_145)) $cvcl_48) )) (or (or (and (and (and (= x_698 0) $cvcl_49) (or (not (<= x_687 ?cvcl_45))  (= x_146 x_143) )) $cvcl_51)  (and (and (and (= x_698 1) $cvcl_44) (not $cvcl_50)) (= x_693 (+ ?cvcl_45 x_482))) )  (and (and (and (= x_698 2) $cvcl_44) $cvcl_50) $cvcl_51) )) (or (and (and (and (and (and (and (and (and (and (= x_688 0) (iff x_140 x_429)) (= ?cvcl_52 x_432)) (<= (+ ?cvcl_52 x_480) x_440)) (or $cvcl_56  (iff x_141 x_136) )) (iff x_438 x_430)) (iff x_439 x_431)) (= x_442 x_434)) $cvcl_53) $cvcl_54)  (and (and (and (and (and (and (and (and (and (= x_688 1) (iff x_439 x_430)) (= ?cvcl_52 x_434)) (<= (+ ?cvcl_52 x_481) x_442)) (or (and (and (= x_689 0) $cvcl_53) $cvcl_54)  (and (and (= x_689 1) (iff x_428 x_431)) (iff x_436 $cvcl_55)) )) (iff x_437 x_429)) (iff x_140 x_136)) (= x_142 x_138)) (= x_440 x_432)) $cvcl_56) )) (or (or (and (and (and (= x_690 0) $cvcl_62) (or (not (<= x_433 ?cvcl_58))  (iff x_437 x_428) )) $cvcl_59)  (and (and (and (= x_690 1) $cvcl_57) (xor x_428  x_436 )) (= x_441 (+ ?cvcl_58 x_482))) )  (and (and (and (= x_690 2) $cvcl_57) (iff x_428 x_436)) $cvcl_59) )) (or (or (and (and (and (= x_691 0) (not $cvcl_60)) (or (not (<= x_435 ?cvcl_52))  (iff x_438 x_137) )) $cvcl_61)  (and (and (and (= x_691 1) $cvcl_60) (xor x_137  x_141 )) (= x_443 (+ ?cvcl_52 x_487))) )  (and (and (and (= x_691 2) $cvcl_60) (iff x_137 x_141)) $cvcl_61) )) (or (or (and (and (and (= x_692 0) $cvcl_62) (or (not (<= x_681 ?cvcl_58))  (= x_142 x_139) )) $cvcl_64)  (and (and (and (= x_692 1) $cvcl_57) (not $cvcl_63)) (= x_687 (+ ?cvcl_58 x_482))) )  (and (and (and (= x_692 2) $cvcl_57) $cvcl_63) $cvcl_64) )) (or (and (and (and (and (and (and (and (and (and (= x_682 0) (iff x_136 x_421)) (= ?cvcl_65 x_424)) (<= (+ ?cvcl_65 x_480) x_432)) (or $cvcl_69  (iff x_137 x_132) )) (iff x_430 x_422)) (iff x_431 x_423)) (= x_434 x_426)) $cvcl_66) $cvcl_67)  (and (and (and (and (and (and (and (and (and (= x_682 1) (iff x_431 x_422)) (= ?cvcl_65 x_426)) (<= (+ ?cvcl_65 x_481) x_434)) (or (and (and (= x_683 0) $cvcl_66) $cvcl_67)  (and (and (= x_683 1) (iff x_420 x_423)) (iff x_428 $cvcl_68)) )) (iff x_429 x_421)) (iff x_136 x_132)) (= x_138 x_134)) (= x_432 x_424)) $cvcl_69) )) (or (or (and (and (and (= x_684 0) $cvcl_75) (or (not (<= x_425 ?cvcl_71))  (iff x_429 x_420) )) $cvcl_72)  (and (and (and (= x_684 1) $cvcl_70) (xor x_420  x_428 )) (= x_433 (+ ?cvcl_71 x_482))) )  (and (and (and (= x_684 2) $cvcl_70) (iff x_420 x_428)) $cvcl_72) )) (or (or (and (and (and (= x_685 0) (not $cvcl_73)) (or (not (<= x_427 ?cvcl_65))  (iff x_430 x_133) )) $cvcl_74)  (and (and (and (= x_685 1) $cvcl_73) (xor x_133  x_137 )) (= x_435 (+ ?cvcl_65 x_487))) )  (and (and (and (= x_685 2) $cvcl_73) (iff x_133 x_137)) $cvcl_74) )) (or (or (and (and (and (= x_686 0) $cvcl_75) (or (not (<= x_675 ?cvcl_71))  (= x_138 x_135) )) $cvcl_77)  (and (and (and (= x_686 1) $cvcl_70) (not $cvcl_76)) (= x_681 (+ ?cvcl_71 x_482))) )  (and (and (and (= x_686 2) $cvcl_70) $cvcl_76) $cvcl_77) )) (or (and (and (and (and (and (and (and (and (and (= x_676 0) (iff x_132 x_413)) (= ?cvcl_78 x_416)) (<= (+ ?cvcl_78 x_480) x_424)) (or $cvcl_82  (iff x_133 x_128) )) (iff x_422 x_414)) (iff x_423 x_415)) (= x_426 x_418)) $cvcl_79) $cvcl_80)  (and (and (and (and (and (and (and (and (and (= x_676 1) (iff x_423 x_414)) (= ?cvcl_78 x_418)) (<= (+ ?cvcl_78 x_481) x_426)) (or (and (and (= x_677 0) $cvcl_79) $cvcl_80)  (and (and (= x_677 1) (iff x_412 x_415)) (iff x_420 $cvcl_81)) )) (iff x_421 x_413)) (iff x_132 x_128)) (= x_134 x_130)) (= x_424 x_416)) $cvcl_82) )) (or (or (and (and (and (= x_678 0) $cvcl_88) (or (not (<= x_417 ?cvcl_84))  (iff x_421 x_412) )) $cvcl_85)  (and (and (and (= x_678 1) $cvcl_83) (xor x_412  x_420 )) (= x_425 (+ ?cvcl_84 x_482))) )  (and (and (and (= x_678 2) $cvcl_83) (iff x_412 x_420)) $cvcl_85) )) (or (or (and (and (and (= x_679 0) (not $cvcl_86)) (or (not (<= x_419 ?cvcl_78))  (iff x_422 x_129) )) $cvcl_87)  (and (and (and (= x_679 1) $cvcl_86) (xor x_129  x_133 )) (= x_427 (+ ?cvcl_78 x_487))) )  (and (and (and (= x_679 2) $cvcl_86) (iff x_129 x_133)) $cvcl_87) )) (or (or (and (and (and (= x_680 0) $cvcl_88) (or (not (<= x_669 ?cvcl_84))  (= x_134 x_131) )) $cvcl_90)  (and (and (and (= x_680 1) $cvcl_83) (not $cvcl_89)) (= x_675 (+ ?cvcl_84 x_482))) )  (and (and (and (= x_680 2) $cvcl_83) $cvcl_89) $cvcl_90) )) (or (and (and (and (and (and (and (and (and (and (= x_670 0) (iff x_128 x_405)) (= ?cvcl_91 x_408)) (<= (+ ?cvcl_91 x_480) x_416)) (or $cvcl_95  (iff x_129 x_124) )) (iff x_414 x_406)) (iff x_415 x_407)) (= x_418 x_410)) $cvcl_92) $cvcl_93)  (and (and (and (and (and (and (and (and (and (= x_670 1) (iff x_415 x_406)) (= ?cvcl_91 x_410)) (<= (+ ?cvcl_91 x_481) x_418)) (or (and (and (= x_671 0) $cvcl_92) $cvcl_93)  (and (and (= x_671 1) (iff x_404 x_407)) (iff x_412 $cvcl_94)) )) (iff x_413 x_405)) (iff x_128 x_124)) (= x_130 x_126)) (= x_416 x_408)) $cvcl_95) )) (or (or (and (and (and (= x_672 0) $cvcl_101) (or (not (<= x_409 ?cvcl_97))  (iff x_413 x_404) )) $cvcl_98)  (and (and (and (= x_672 1) $cvcl_96) (xor x_404  x_412 )) (= x_417 (+ ?cvcl_97 x_482))) )  (and (and (and (= x_672 2) $cvcl_96) (iff x_404 x_412)) $cvcl_98) )) (or (or (and (and (and (= x_673 0) (not $cvcl_99)) (or (not (<= x_411 ?cvcl_91))  (iff x_414 x_125) )) $cvcl_100)  (and (and (and (= x_673 1) $cvcl_99) (xor x_125  x_129 )) (= x_419 (+ ?cvcl_91 x_487))) )  (and (and (and (= x_673 2) $cvcl_99) (iff x_125 x_129)) $cvcl_100) )) (or (or (and (and (and (= x_674 0) $cvcl_101) (or (not (<= x_663 ?cvcl_97))  (= x_130 x_127) )) $cvcl_103)  (and (and (and (= x_674 1) $cvcl_96) (not $cvcl_102)) (= x_669 (+ ?cvcl_97 x_482))) )  (and (and (and (= x_674 2) $cvcl_96) $cvcl_102) $cvcl_103) )) (or (and (and (and (and (and (and (and (and (and (= x_664 0) (iff x_124 x_397)) (= ?cvcl_104 x_400)) (<= (+ ?cvcl_104 x_480) x_408)) (or $cvcl_108  (iff x_125 x_120) )) (iff x_406 x_398)) (iff x_407 x_399)) (= x_410 x_402)) $cvcl_105) $cvcl_106)  (and (and (and (and (and (and (and (and (and (= x_664 1) (iff x_407 x_398)) (= ?cvcl_104 x_402)) (<= (+ ?cvcl_104 x_481) x_410)) (or (and (and (= x_665 0) $cvcl_105) $cvcl_106)  (and (and (= x_665 1) (iff x_396 x_399)) (iff x_404 $cvcl_107)) )) (iff x_405 x_397)) (iff x_124 x_120)) (= x_126 x_122)) (= x_408 x_400)) $cvcl_108) )) (or (or (and (and (and (= x_666 0) $cvcl_114) (or (not (<= x_401 ?cvcl_110))  (iff x_405 x_396) )) $cvcl_111)  (and (and (and (= x_666 1) $cvcl_109) (xor x_396  x_404 )) (= x_409 (+ ?cvcl_110 x_482))) )  (and (and (and (= x_666 2) $cvcl_109) (iff x_396 x_404)) $cvcl_111) )) (or (or (and (and (and (= x_667 0) (not $cvcl_112)) (or (not (<= x_403 ?cvcl_104))  (iff x_406 x_121) )) $cvcl_113)  (and (and (and (= x_667 1) $cvcl_112) (xor x_121  x_125 )) (= x_411 (+ ?cvcl_104 x_487))) )  (and (and (and (= x_667 2) $cvcl_112) (iff x_121 x_125)) $cvcl_113) )) (or (or (and (and (and (= x_668 0) $cvcl_114) (or (not (<= x_657 ?cvcl_110))  (= x_126 x_123) )) $cvcl_116)  (and (and (and (= x_668 1) $cvcl_109) (not $cvcl_115)) (= x_663 (+ ?cvcl_110 x_482))) )  (and (and (and (= x_668 2) $cvcl_109) $cvcl_115) $cvcl_116) )) (or (and (and (and (and (and (and (and (and (and (= x_658 0) (iff x_120 x_389)) (= ?cvcl_117 x_392)) (<= (+ ?cvcl_117 x_480) x_400)) (or $cvcl_121  (iff x_121 x_116) )) (iff x_398 x_390)) (iff x_399 x_391)) (= x_402 x_394)) $cvcl_118) $cvcl_119)  (and (and (and (and (and (and (and (and (and (= x_658 1) (iff x_399 x_390)) (= ?cvcl_117 x_394)) (<= (+ ?cvcl_117 x_481) x_402)) (or (and (and (= x_659 0) $cvcl_118) $cvcl_119)  (and (and (= x_659 1) (iff x_388 x_391)) (iff x_396 $cvcl_120)) )) (iff x_397 x_389)) (iff x_120 x_116)) (= x_122 x_118)) (= x_400 x_392)) $cvcl_121) )) (or (or (and (and (and (= x_660 0) $cvcl_127) (or (not (<= x_393 ?cvcl_123))  (iff x_397 x_388) )) $cvcl_124)  (and (and (and (= x_660 1) $cvcl_122) (xor x_388  x_396 )) (= x_401 (+ ?cvcl_123 x_482))) )  (and (and (and (= x_660 2) $cvcl_122) (iff x_388 x_396)) $cvcl_124) )) (or (or (and (and (and (= x_661 0) (not $cvcl_125)) (or (not (<= x_395 ?cvcl_117))  (iff x_398 x_117) )) $cvcl_126)  (and (and (and (= x_661 1) $cvcl_125) (xor x_117  x_121 )) (= x_403 (+ ?cvcl_117 x_487))) )  (and (and (and (= x_661 2) $cvcl_125) (iff x_117 x_121)) $cvcl_126) )) (or (or (and (and (and (= x_662 0) $cvcl_127) (or (not (<= x_651 ?cvcl_123))  (= x_122 x_119) )) $cvcl_129)  (and (and (and (= x_662 1) $cvcl_122) (not $cvcl_128)) (= x_657 (+ ?cvcl_123 x_482))) )  (and (and (and (= x_662 2) $cvcl_122) $cvcl_128) $cvcl_129) )) (or (and (and (and (and (and (and (and (and (and (= x_652 0) (iff x_116 x_381)) (= ?cvcl_130 x_384)) (<= (+ ?cvcl_130 x_480) x_392)) (or $cvcl_134  (iff x_117 x_112) )) (iff x_390 x_382)) (iff x_391 x_383)) (= x_394 x_386)) $cvcl_131) $cvcl_132)  (and (and (and (and (and (and (and (and (and (= x_652 1) (iff x_391 x_382)) (= ?cvcl_130 x_386)) (<= (+ ?cvcl_130 x_481) x_394)) (or (and (and (= x_653 0) $cvcl_131) $cvcl_132)  (and (and (= x_653 1) (iff x_380 x_383)) (iff x_388 $cvcl_133)) )) (iff x_389 x_381)) (iff x_116 x_112)) (= x_118 x_114)) (= x_392 x_384)) $cvcl_134) )) (or (or (and (and (and (= x_654 0) $cvcl_140) (or (not (<= x_385 ?cvcl_136))  (iff x_389 x_380) )) $cvcl_137)  (and (and (and (= x_654 1) $cvcl_135) (xor x_380  x_388 )) (= x_393 (+ ?cvcl_136 x_482))) )  (and (and (and (= x_654 2) $cvcl_135) (iff x_380 x_388)) $cvcl_137) )) (or (or (and (and (and (= x_655 0) (not $cvcl_138)) (or (not (<= x_387 ?cvcl_130))  (iff x_390 x_113) )) $cvcl_139)  (and (and (and (= x_655 1) $cvcl_138) (xor x_113  x_117 )) (= x_395 (+ ?cvcl_130 x_487))) )  (and (and (and (= x_655 2) $cvcl_138) (iff x_113 x_117)) $cvcl_139) )) (or (or (and (and (and (= x_656 0) $cvcl_140) (or (not (<= x_645 ?cvcl_136))  (= x_118 x_115) )) $cvcl_142)  (and (and (and (= x_656 1) $cvcl_135) (not $cvcl_141)) (= x_651 (+ ?cvcl_136 x_482))) )  (and (and (and (= x_656 2) $cvcl_135) $cvcl_141) $cvcl_142) )) (or (and (and (and (and (and (and (and (and (and (= x_646 0) (iff x_112 x_373)) (= ?cvcl_143 x_376)) (<= (+ ?cvcl_143 x_480) x_384)) (or $cvcl_147  (iff x_113 x_108) )) (iff x_382 x_374)) (iff x_383 x_375)) (= x_386 x_378)) $cvcl_144) $cvcl_145)  (and (and (and (and (and (and (and (and (and (= x_646 1) (iff x_383 x_374)) (= ?cvcl_143 x_378)) (<= (+ ?cvcl_143 x_481) x_386)) (or (and (and (= x_647 0) $cvcl_144) $cvcl_145)  (and (and (= x_647 1) (iff x_372 x_375)) (iff x_380 $cvcl_146)) )) (iff x_381 x_373)) (iff x_112 x_108)) (= x_114 x_110)) (= x_384 x_376)) $cvcl_147) )) (or (or (and (and (and (= x_648 0) $cvcl_153) (or (not (<= x_377 ?cvcl_149))  (iff x_381 x_372) )) $cvcl_150)  (and (and (and (= x_648 1) $cvcl_148) (xor x_372  x_380 )) (= x_385 (+ ?cvcl_149 x_482))) )  (and (and (and (= x_648 2) $cvcl_148) (iff x_372 x_380)) $cvcl_150) )) (or (or (and (and (and (= x_649 0) (not $cvcl_151)) (or (not (<= x_379 ?cvcl_143))  (iff x_382 x_109) )) $cvcl_152)  (and (and (and (= x_649 1) $cvcl_151) (xor x_109  x_113 )) (= x_387 (+ ?cvcl_143 x_487))) )  (and (and (and (= x_649 2) $cvcl_151) (iff x_109 x_113)) $cvcl_152) )) (or (or (and (and (and (= x_650 0) $cvcl_153) (or (not (<= x_639 ?cvcl_149))  (= x_114 x_111) )) $cvcl_155)  (and (and (and (= x_650 1) $cvcl_148) (not $cvcl_154)) (= x_645 (+ ?cvcl_149 x_482))) )  (and (and (and (= x_650 2) $cvcl_148) $cvcl_154) $cvcl_155) )) (or (and (and (and (and (and (and (and (and (and (= x_640 0) (iff x_108 x_365)) (= ?cvcl_156 x_368)) (<= (+ ?cvcl_156 x_480) x_376)) (or $cvcl_160  (iff x_109 x_104) )) (iff x_374 x_366)) (iff x_375 x_367)) (= x_378 x_370)) $cvcl_157) $cvcl_158)  (and (and (and (and (and (and (and (and (and (= x_640 1) (iff x_375 x_366)) (= ?cvcl_156 x_370)) (<= (+ ?cvcl_156 x_481) x_378)) (or (and (and (= x_641 0) $cvcl_157) $cvcl_158)  (and (and (= x_641 1) (iff x_364 x_367)) (iff x_372 $cvcl_159)) )) (iff x_373 x_365)) (iff x_108 x_104)) (= x_110 x_106)) (= x_376 x_368)) $cvcl_160) )) (or (or (and (and (and (= x_642 0) $cvcl_166) (or (not (<= x_369 ?cvcl_162))  (iff x_373 x_364) )) $cvcl_163)  (and (and (and (= x_642 1) $cvcl_161) (xor x_364  x_372 )) (= x_377 (+ ?cvcl_162 x_482))) )  (and (and (and (= x_642 2) $cvcl_161) (iff x_364 x_372)) $cvcl_163) )) (or (or (and (and (and (= x_643 0) (not $cvcl_164)) (or (not (<= x_371 ?cvcl_156))  (iff x_374 x_105) )) $cvcl_165)  (and (and (and (= x_643 1) $cvcl_164) (xor x_105  x_109 )) (= x_379 (+ ?cvcl_156 x_487))) )  (and (and (and (= x_643 2) $cvcl_164) (iff x_105 x_109)) $cvcl_165) )) (or (or (and (and (and (= x_644 0) $cvcl_166) (or (not (<= x_633 ?cvcl_162))  (= x_110 x_107) )) $cvcl_168)  (and (and (and (= x_644 1) $cvcl_161) (not $cvcl_167)) (= x_639 (+ ?cvcl_162 x_482))) )  (and (and (and (= x_644 2) $cvcl_161) $cvcl_167) $cvcl_168) )) (or (and (and (and (and (and (and (and (and (and (= x_634 0) (iff x_104 x_357)) (= ?cvcl_169 x_360)) (<= (+ ?cvcl_169 x_480) x_368)) (or $cvcl_173  (iff x_105 x_100) )) (iff x_366 x_358)) (iff x_367 x_359)) (= x_370 x_362)) $cvcl_170) $cvcl_171)  (and (and (and (and (and (and (and (and (and (= x_634 1) (iff x_367 x_358)) (= ?cvcl_169 x_362)) (<= (+ ?cvcl_169 x_481) x_370)) (or (and (and (= x_635 0) $cvcl_170) $cvcl_171)  (and (and (= x_635 1) (iff x_356 x_359)) (iff x_364 $cvcl_172)) )) (iff x_365 x_357)) (iff x_104 x_100)) (= x_106 x_102)) (= x_368 x_360)) $cvcl_173) )) (or (or (and (and (and (= x_636 0) $cvcl_179) (or (not (<= x_361 ?cvcl_175))  (iff x_365 x_356) )) $cvcl_176)  (and (and (and (= x_636 1) $cvcl_174) (xor x_356  x_364 )) (= x_369 (+ ?cvcl_175 x_482))) )  (and (and (and (= x_636 2) $cvcl_174) (iff x_356 x_364)) $cvcl_176) )) (or (or (and (and (and (= x_637 0) (not $cvcl_177)) (or (not (<= x_363 ?cvcl_169))  (iff x_366 x_101) )) $cvcl_178)  (and (and (and (= x_637 1) $cvcl_177) (xor x_101  x_105 )) (= x_371 (+ ?cvcl_169 x_487))) )  (and (and (and (= x_637 2) $cvcl_177) (iff x_101 x_105)) $cvcl_178) )) (or (or (and (and (and (= x_638 0) $cvcl_179) (or (not (<= x_627 ?cvcl_175))  (= x_106 x_103) )) $cvcl_181)  (and (and (and (= x_638 1) $cvcl_174) (not $cvcl_180)) (= x_633 (+ ?cvcl_175 x_482))) )  (and (and (and (= x_638 2) $cvcl_174) $cvcl_180) $cvcl_181) )) (or (and (and (and (and (and (and (and (and (and (= x_628 0) (iff x_100 x_349)) (= ?cvcl_182 x_352)) (<= (+ ?cvcl_182 x_480) x_360)) (or $cvcl_186  (iff x_101 x_96) )) (iff x_358 x_350)) (iff x_359 x_351)) (= x_362 x_354)) $cvcl_183) $cvcl_184)  (and (and (and (and (and (and (and (and (and (= x_628 1) (iff x_359 x_350)) (= ?cvcl_182 x_354)) (<= (+ ?cvcl_182 x_481) x_362)) (or (and (and (= x_629 0) $cvcl_183) $cvcl_184)  (and (and (= x_629 1) (iff x_348 x_351)) (iff x_356 $cvcl_185)) )) (iff x_357 x_349)) (iff x_100 x_96)) (= x_102 x_98)) (= x_360 x_352)) $cvcl_186) )) (or (or (and (and (and (= x_630 0) $cvcl_192) (or (not (<= x_353 ?cvcl_188))  (iff x_357 x_348) )) $cvcl_189)  (and (and (and (= x_630 1) $cvcl_187) (xor x_348  x_356 )) (= x_361 (+ ?cvcl_188 x_482))) )  (and (and (and (= x_630 2) $cvcl_187) (iff x_348 x_356)) $cvcl_189) )) (or (or (and (and (and (= x_631 0) (not $cvcl_190)) (or (not (<= x_355 ?cvcl_182))  (iff x_358 x_97) )) $cvcl_191)  (and (and (and (= x_631 1) $cvcl_190) (xor x_97  x_101 )) (= x_363 (+ ?cvcl_182 x_487))) )  (and (and (and (= x_631 2) $cvcl_190) (iff x_97 x_101)) $cvcl_191) )) (or (or (and (and (and (= x_632 0) $cvcl_192) (or (not (<= x_621 ?cvcl_188))  (= x_102 x_99) )) $cvcl_194)  (and (and (and (= x_632 1) $cvcl_187) (not $cvcl_193)) (= x_627 (+ ?cvcl_188 x_482))) )  (and (and (and (= x_632 2) $cvcl_187) $cvcl_193) $cvcl_194) )) (or (and (and (and (and (and (and (and (and (and (= x_622 0) (iff x_96 x_341)) (= ?cvcl_195 x_344)) (<= (+ ?cvcl_195 x_480) x_352)) (or $cvcl_199  (iff x_97 x_92) )) (iff x_350 x_342)) (iff x_351 x_343)) (= x_354 x_346)) $cvcl_196) $cvcl_197)  (and (and (and (and (and (and (and (and (and (= x_622 1) (iff x_351 x_342)) (= ?cvcl_195 x_346)) (<= (+ ?cvcl_195 x_481) x_354)) (or (and (and (= x_623 0) $cvcl_196) $cvcl_197)  (and (and (= x_623 1) (iff x_340 x_343)) (iff x_348 $cvcl_198)) )) (iff x_349 x_341)) (iff x_96 x_92)) (= x_98 x_94)) (= x_352 x_344)) $cvcl_199) )) (or (or (and (and (and (= x_624 0) $cvcl_205) (or (not (<= x_345 ?cvcl_201))  (iff x_349 x_340) )) $cvcl_202)  (and (and (and (= x_624 1) $cvcl_200) (xor x_340  x_348 )) (= x_353 (+ ?cvcl_201 x_482))) )  (and (and (and (= x_624 2) $cvcl_200) (iff x_340 x_348)) $cvcl_202) )) (or (or (and (and (and (= x_625 0) (not $cvcl_203)) (or (not (<= x_347 ?cvcl_195))  (iff x_350 x_93) )) $cvcl_204)  (and (and (and (= x_625 1) $cvcl_203) (xor x_93  x_97 )) (= x_355 (+ ?cvcl_195 x_487))) )  (and (and (and (= x_625 2) $cvcl_203) (iff x_93 x_97)) $cvcl_204) )) (or (or (and (and (and (= x_626 0) $cvcl_205) (or (not (<= x_615 ?cvcl_201))  (= x_98 x_95) )) $cvcl_207)  (and (and (and (= x_626 1) $cvcl_200) (not $cvcl_206)) (= x_621 (+ ?cvcl_201 x_482))) )  (and (and (and (= x_626 2) $cvcl_200) $cvcl_206) $cvcl_207) )) (or (and (and (and (and (and (and (and (and (and (= x_616 0) (iff x_92 x_333)) (= ?cvcl_208 x_336)) (<= (+ ?cvcl_208 x_480) x_344)) (or $cvcl_212  (iff x_93 x_88) )) (iff x_342 x_334)) (iff x_343 x_335)) (= x_346 x_338)) $cvcl_209) $cvcl_210)  (and (and (and (and (and (and (and (and (and (= x_616 1) (iff x_343 x_334)) (= ?cvcl_208 x_338)) (<= (+ ?cvcl_208 x_481) x_346)) (or (and (and (= x_617 0) $cvcl_209) $cvcl_210)  (and (and (= x_617 1) (iff x_332 x_335)) (iff x_340 $cvcl_211)) )) (iff x_341 x_333)) (iff x_92 x_88)) (= x_94 x_90)) (= x_344 x_336)) $cvcl_212) )) (or (or (and (and (and (= x_618 0) $cvcl_218) (or (not (<= x_337 ?cvcl_214))  (iff x_341 x_332) )) $cvcl_215)  (and (and (and (= x_618 1) $cvcl_213) (xor x_332  x_340 )) (= x_345 (+ ?cvcl_214 x_482))) )  (and (and (and (= x_618 2) $cvcl_213) (iff x_332 x_340)) $cvcl_215) )) (or (or (and (and (and (= x_619 0) (not $cvcl_216)) (or (not (<= x_339 ?cvcl_208))  (iff x_342 x_89) )) $cvcl_217)  (and (and (and (= x_619 1) $cvcl_216) (xor x_89  x_93 )) (= x_347 (+ ?cvcl_208 x_487))) )  (and (and (and (= x_619 2) $cvcl_216) (iff x_89 x_93)) $cvcl_217) )) (or (or (and (and (and (= x_620 0) $cvcl_218) (or (not (<= x_609 ?cvcl_214))  (= x_94 x_91) )) $cvcl_220)  (and (and (and (= x_620 1) $cvcl_213) (not $cvcl_219)) (= x_615 (+ ?cvcl_214 x_482))) )  (and (and (and (= x_620 2) $cvcl_213) $cvcl_219) $cvcl_220) )) (or (and (and (and (and (and (and (and (and (and (= x_610 0) (iff x_88 x_325)) (= ?cvcl_221 x_328)) (<= (+ ?cvcl_221 x_480) x_336)) (or $cvcl_225  (iff x_89 x_84) )) (iff x_334 x_326)) (iff x_335 x_327)) (= x_338 x_330)) $cvcl_222) $cvcl_223)  (and (and (and (and (and (and (and (and (and (= x_610 1) (iff x_335 x_326)) (= ?cvcl_221 x_330)) (<= (+ ?cvcl_221 x_481) x_338)) (or (and (and (= x_611 0) $cvcl_222) $cvcl_223)  (and (and (= x_611 1) (iff x_324 x_327)) (iff x_332 $cvcl_224)) )) (iff x_333 x_325)) (iff x_88 x_84)) (= x_90 x_86)) (= x_336 x_328)) $cvcl_225) )) (or (or (and (and (and (= x_612 0) $cvcl_231) (or (not (<= x_329 ?cvcl_227))  (iff x_333 x_324) )) $cvcl_228)  (and (and (and (= x_612 1) $cvcl_226) (xor x_324  x_332 )) (= x_337 (+ ?cvcl_227 x_482))) )  (and (and (and (= x_612 2) $cvcl_226) (iff x_324 x_332)) $cvcl_228) )) (or (or (and (and (and (= x_613 0) (not $cvcl_229)) (or (not (<= x_331 ?cvcl_221))  (iff x_334 x_85) )) $cvcl_230)  (and (and (and (= x_613 1) $cvcl_229) (xor x_85  x_89 )) (= x_339 (+ ?cvcl_221 x_487))) )  (and (and (and (= x_613 2) $cvcl_229) (iff x_85 x_89)) $cvcl_230) )) (or (or (and (and (and (= x_614 0) $cvcl_231) (or (not (<= x_603 ?cvcl_227))  (= x_90 x_87) )) $cvcl_233)  (and (and (and (= x_614 1) $cvcl_226) (not $cvcl_232)) (= x_609 (+ ?cvcl_227 x_482))) )  (and (and (and (= x_614 2) $cvcl_226) $cvcl_232) $cvcl_233) )) (or (and (and (and (and (and (and (and (and (and (= x_604 0) (iff x_84 x_317)) (= ?cvcl_234 x_320)) (<= (+ ?cvcl_234 x_480) x_328)) (or $cvcl_238  (iff x_85 x_80) )) (iff x_326 x_318)) (iff x_327 x_319)) (= x_330 x_322)) $cvcl_235) $cvcl_236)  (and (and (and (and (and (and (and (and (and (= x_604 1) (iff x_327 x_318)) (= ?cvcl_234 x_322)) (<= (+ ?cvcl_234 x_481) x_330)) (or (and (and (= x_605 0) $cvcl_235) $cvcl_236)  (and (and (= x_605 1) (iff x_316 x_319)) (iff x_324 $cvcl_237)) )) (iff x_325 x_317)) (iff x_84 x_80)) (= x_86 x_82)) (= x_328 x_320)) $cvcl_238) )) (or (or (and (and (and (= x_606 0) $cvcl_244) (or (not (<= x_321 ?cvcl_240))  (iff x_325 x_316) )) $cvcl_241)  (and (and (and (= x_606 1) $cvcl_239) (xor x_316  x_324 )) (= x_329 (+ ?cvcl_240 x_482))) )  (and (and (and (= x_606 2) $cvcl_239) (iff x_316 x_324)) $cvcl_241) )) (or (or (and (and (and (= x_607 0) (not $cvcl_242)) (or (not (<= x_323 ?cvcl_234))  (iff x_326 x_81) )) $cvcl_243)  (and (and (and (= x_607 1) $cvcl_242) (xor x_81  x_85 )) (= x_331 (+ ?cvcl_234 x_487))) )  (and (and (and (= x_607 2) $cvcl_242) (iff x_81 x_85)) $cvcl_243) )) (or (or (and (and (and (= x_608 0) $cvcl_244) (or (not (<= x_597 ?cvcl_240))  (= x_86 x_83) )) $cvcl_246)  (and (and (and (= x_608 1) $cvcl_239) (not $cvcl_245)) (= x_603 (+ ?cvcl_240 x_482))) )  (and (and (and (= x_608 2) $cvcl_239) $cvcl_245) $cvcl_246) )) (or (and (and (and (and (and (and (and (and (and (= x_598 0) (iff x_80 x_309)) (= ?cvcl_247 x_312)) (<= (+ ?cvcl_247 x_480) x_320)) (or $cvcl_251  (iff x_81 x_76) )) (iff x_318 x_310)) (iff x_319 x_311)) (= x_322 x_314)) $cvcl_248) $cvcl_249)  (and (and (and (and (and (and (and (and (and (= x_598 1) (iff x_319 x_310)) (= ?cvcl_247 x_314)) (<= (+ ?cvcl_247 x_481) x_322)) (or (and (and (= x_599 0) $cvcl_248) $cvcl_249)  (and (and (= x_599 1) (iff x_308 x_311)) (iff x_316 $cvcl_250)) )) (iff x_317 x_309)) (iff x_80 x_76)) (= x_82 x_78)) (= x_320 x_312)) $cvcl_251) )) (or (or (and (and (and (= x_600 0) $cvcl_257) (or (not (<= x_313 ?cvcl_253))  (iff x_317 x_308) )) $cvcl_254)  (and (and (and (= x_600 1) $cvcl_252) (xor x_308  x_316 )) (= x_321 (+ ?cvcl_253 x_482))) )  (and (and (and (= x_600 2) $cvcl_252) (iff x_308 x_316)) $cvcl_254) )) (or (or (and (and (and (= x_601 0) (not $cvcl_255)) (or (not (<= x_315 ?cvcl_247))  (iff x_318 x_77) )) $cvcl_256)  (and (and (and (= x_601 1) $cvcl_255) (xor x_77  x_81 )) (= x_323 (+ ?cvcl_247 x_487))) )  (and (and (and (= x_601 2) $cvcl_255) (iff x_77 x_81)) $cvcl_256) )) (or (or (and (and (and (= x_602 0) $cvcl_257) (or (not (<= x_591 ?cvcl_253))  (= x_82 x_79) )) $cvcl_259)  (and (and (and (= x_602 1) $cvcl_252) (not $cvcl_258)) (= x_597 (+ ?cvcl_253 x_482))) )  (and (and (and (= x_602 2) $cvcl_252) $cvcl_258) $cvcl_259) )) (or (and (and (and (and (and (and (and (and (and (= x_592 0) (iff x_76 x_301)) (= ?cvcl_260 x_304)) (<= (+ ?cvcl_260 x_480) x_312)) (or $cvcl_264  (iff x_77 x_72) )) (iff x_310 x_302)) (iff x_311 x_303)) (= x_314 x_306)) $cvcl_261) $cvcl_262)  (and (and (and (and (and (and (and (and (and (= x_592 1) (iff x_311 x_302)) (= ?cvcl_260 x_306)) (<= (+ ?cvcl_260 x_481) x_314)) (or (and (and (= x_593 0) $cvcl_261) $cvcl_262)  (and (and (= x_593 1) (iff x_300 x_303)) (iff x_308 $cvcl_263)) )) (iff x_309 x_301)) (iff x_76 x_72)) (= x_78 x_74)) (= x_312 x_304)) $cvcl_264) )) (or (or (and (and (and (= x_594 0) $cvcl_270) (or (not (<= x_305 ?cvcl_266))  (iff x_309 x_300) )) $cvcl_267)  (and (and (and (= x_594 1) $cvcl_265) (xor x_300  x_308 )) (= x_313 (+ ?cvcl_266 x_482))) )  (and (and (and (= x_594 2) $cvcl_265) (iff x_300 x_308)) $cvcl_267) )) (or (or (and (and (and (= x_595 0) (not $cvcl_268)) (or (not (<= x_307 ?cvcl_260))  (iff x_310 x_73) )) $cvcl_269)  (and (and (and (= x_595 1) $cvcl_268) (xor x_73  x_77 )) (= x_315 (+ ?cvcl_260 x_487))) )  (and (and (and (= x_595 2) $cvcl_268) (iff x_73 x_77)) $cvcl_269) )) (or (or (and (and (and (= x_596 0) $cvcl_270) (or (not (<= x_585 ?cvcl_266))  (= x_78 x_75) )) $cvcl_272)  (and (and (and (= x_596 1) $cvcl_265) (not $cvcl_271)) (= x_591 (+ ?cvcl_266 x_482))) )  (and (and (and (= x_596 2) $cvcl_265) $cvcl_271) $cvcl_272) )) (or (and (and (and (and (and (and (and (and (and (= x_586 0) (iff x_72 x_293)) (= ?cvcl_273 x_296)) (<= (+ ?cvcl_273 x_480) x_304)) (or $cvcl_277  (iff x_73 x_68) )) (iff x_302 x_294)) (iff x_303 x_295)) (= x_306 x_298)) $cvcl_274) $cvcl_275)  (and (and (and (and (and (and (and (and (and (= x_586 1) (iff x_303 x_294)) (= ?cvcl_273 x_298)) (<= (+ ?cvcl_273 x_481) x_306)) (or (and (and (= x_587 0) $cvcl_274) $cvcl_275)  (and (and (= x_587 1) (iff x_292 x_295)) (iff x_300 $cvcl_276)) )) (iff x_301 x_293)) (iff x_72 x_68)) (= x_74 x_70)) (= x_304 x_296)) $cvcl_277) )) (or (or (and (and (and (= x_588 0) $cvcl_283) (or (not (<= x_297 ?cvcl_279))  (iff x_301 x_292) )) $cvcl_280)  (and (and (and (= x_588 1) $cvcl_278) (xor x_292  x_300 )) (= x_305 (+ ?cvcl_279 x_482))) )  (and (and (and (= x_588 2) $cvcl_278) (iff x_292 x_300)) $cvcl_280) )) (or (or (and (and (and (= x_589 0) (not $cvcl_281)) (or (not (<= x_299 ?cvcl_273))  (iff x_302 x_69) )) $cvcl_282)  (and (and (and (= x_589 1) $cvcl_281) (xor x_69  x_73 )) (= x_307 (+ ?cvcl_273 x_487))) )  (and (and (and (= x_589 2) $cvcl_281) (iff x_69 x_73)) $cvcl_282) )) (or (or (and (and (and (= x_590 0) $cvcl_283) (or (not (<= x_579 ?cvcl_279))  (= x_74 x_71) )) $cvcl_285)  (and (and (and (= x_590 1) $cvcl_278) (not $cvcl_284)) (= x_585 (+ ?cvcl_279 x_482))) )  (and (and (and (= x_590 2) $cvcl_278) $cvcl_284) $cvcl_285) )) (or (and (and (and (and (and (and (and (and (and (= x_580 0) (iff x_68 x_285)) (= ?cvcl_286 x_288)) (<= (+ ?cvcl_286 x_480) x_296)) (or $cvcl_290  (iff x_69 x_64) )) (iff x_294 x_286)) (iff x_295 x_287)) (= x_298 x_290)) $cvcl_287) $cvcl_288)  (and (and (and (and (and (and (and (and (and (= x_580 1) (iff x_295 x_286)) (= ?cvcl_286 x_290)) (<= (+ ?cvcl_286 x_481) x_298)) (or (and (and (= x_581 0) $cvcl_287) $cvcl_288)  (and (and (= x_581 1) (iff x_284 x_287)) (iff x_292 $cvcl_289)) )) (iff x_293 x_285)) (iff x_68 x_64)) (= x_70 x_66)) (= x_296 x_288)) $cvcl_290) )) (or (or (and (and (and (= x_582 0) $cvcl_296) (or (not (<= x_289 ?cvcl_292))  (iff x_293 x_284) )) $cvcl_293)  (and (and (and (= x_582 1) $cvcl_291) (xor x_284  x_292 )) (= x_297 (+ ?cvcl_292 x_482))) )  (and (and (and (= x_582 2) $cvcl_291) (iff x_284 x_292)) $cvcl_293) )) (or (or (and (and (and (= x_583 0) (not $cvcl_294)) (or (not (<= x_291 ?cvcl_286))  (iff x_294 x_65) )) $cvcl_295)  (and (and (and (= x_583 1) $cvcl_294) (xor x_65  x_69 )) (= x_299 (+ ?cvcl_286 x_487))) )  (and (and (and (= x_583 2) $cvcl_294) (iff x_65 x_69)) $cvcl_295) )) (or (or (and (and (and (= x_584 0) $cvcl_296) (or (not (<= x_573 ?cvcl_292))  (= x_70 x_67) )) $cvcl_298)  (and (and (and (= x_584 1) $cvcl_291) (not $cvcl_297)) (= x_579 (+ ?cvcl_292 x_482))) )  (and (and (and (= x_584 2) $cvcl_291) $cvcl_297) $cvcl_298) )) (or (and (and (and (and (and (and (and (and (and (= x_574 0) (iff x_64 x_277)) (= ?cvcl_299 x_280)) (<= (+ ?cvcl_299 x_480) x_288)) (or $cvcl_303  (iff x_65 x_60) )) (iff x_286 x_278)) (iff x_287 x_279)) (= x_290 x_282)) $cvcl_300) $cvcl_301)  (and (and (and (and (and (and (and (and (and (= x_574 1) (iff x_287 x_278)) (= ?cvcl_299 x_282)) (<= (+ ?cvcl_299 x_481) x_290)) (or (and (and (= x_575 0) $cvcl_300) $cvcl_301)  (and (and (= x_575 1) (iff x_276 x_279)) (iff x_284 $cvcl_302)) )) (iff x_285 x_277)) (iff x_64 x_60)) (= x_66 x_62)) (= x_288 x_280)) $cvcl_303) )) (or (or (and (and (and (= x_576 0) $cvcl_309) (or (not (<= x_281 ?cvcl_305))  (iff x_285 x_276) )) $cvcl_306)  (and (and (and (= x_576 1) $cvcl_304) (xor x_276  x_284 )) (= x_289 (+ ?cvcl_305 x_482))) )  (and (and (and (= x_576 2) $cvcl_304) (iff x_276 x_284)) $cvcl_306) )) (or (or (and (and (and (= x_577 0) (not $cvcl_307)) (or (not (<= x_283 ?cvcl_299))  (iff x_286 x_61) )) $cvcl_308)  (and (and (and (= x_577 1) $cvcl_307) (xor x_61  x_65 )) (= x_291 (+ ?cvcl_299 x_487))) )  (and (and (and (= x_577 2) $cvcl_307) (iff x_61 x_65)) $cvcl_308) )) (or (or (and (and (and (= x_578 0) $cvcl_309) (or (not (<= x_567 ?cvcl_305))  (= x_66 x_63) )) $cvcl_311)  (and (and (and (= x_578 1) $cvcl_304) (not $cvcl_310)) (= x_573 (+ ?cvcl_305 x_482))) )  (and (and (and (= x_578 2) $cvcl_304) $cvcl_310) $cvcl_311) )) (or (and (and (and (and (and (and (and (and (and (= x_568 0) (iff x_60 x_269)) (= ?cvcl_312 x_272)) (<= (+ ?cvcl_312 x_480) x_280)) (or $cvcl_316  (iff x_61 x_56) )) (iff x_278 x_270)) (iff x_279 x_271)) (= x_282 x_274)) $cvcl_313) $cvcl_314)  (and (and (and (and (and (and (and (and (and (= x_568 1) (iff x_279 x_270)) (= ?cvcl_312 x_274)) (<= (+ ?cvcl_312 x_481) x_282)) (or (and (and (= x_569 0) $cvcl_313) $cvcl_314)  (and (and (= x_569 1) (iff x_268 x_271)) (iff x_276 $cvcl_315)) )) (iff x_277 x_269)) (iff x_60 x_56)) (= x_62 x_58)) (= x_280 x_272)) $cvcl_316) )) (or (or (and (and (and (= x_570 0) $cvcl_322) (or (not (<= x_273 ?cvcl_318))  (iff x_277 x_268) )) $cvcl_319)  (and (and (and (= x_570 1) $cvcl_317) (xor x_268  x_276 )) (= x_281 (+ ?cvcl_318 x_482))) )  (and (and (and (= x_570 2) $cvcl_317) (iff x_268 x_276)) $cvcl_319) )) (or (or (and (and (and (= x_571 0) (not $cvcl_320)) (or (not (<= x_275 ?cvcl_312))  (iff x_278 x_57) )) $cvcl_321)  (and (and (and (= x_571 1) $cvcl_320) (xor x_57  x_61 )) (= x_283 (+ ?cvcl_312 x_487))) )  (and (and (and (= x_571 2) $cvcl_320) (iff x_57 x_61)) $cvcl_321) )) (or (or (and (and (and (= x_572 0) $cvcl_322) (or (not (<= x_561 ?cvcl_318))  (= x_62 x_59) )) $cvcl_324)  (and (and (and (= x_572 1) $cvcl_317) (not $cvcl_323)) (= x_567 (+ ?cvcl_318 x_482))) )  (and (and (and (= x_572 2) $cvcl_317) $cvcl_323) $cvcl_324) )) (or (and (and (and (and (and (and (and (and (and (= x_562 0) (iff x_56 x_261)) (= ?cvcl_325 x_264)) (<= (+ ?cvcl_325 x_480) x_272)) (or $cvcl_329  (iff x_57 x_52) )) (iff x_270 x_262)) (iff x_271 x_263)) (= x_274 x_266)) $cvcl_326) $cvcl_327)  (and (and (and (and (and (and (and (and (and (= x_562 1) (iff x_271 x_262)) (= ?cvcl_325 x_266)) (<= (+ ?cvcl_325 x_481) x_274)) (or (and (and (= x_563 0) $cvcl_326) $cvcl_327)  (and (and (= x_563 1) (iff x_260 x_263)) (iff x_268 $cvcl_328)) )) (iff x_269 x_261)) (iff x_56 x_52)) (= x_58 x_54)) (= x_272 x_264)) $cvcl_329) )) (or (or (and (and (and (= x_564 0) $cvcl_335) (or (not (<= x_265 ?cvcl_331))  (iff x_269 x_260) )) $cvcl_332)  (and (and (and (= x_564 1) $cvcl_330) (xor x_260  x_268 )) (= x_273 (+ ?cvcl_331 x_482))) )  (and (and (and (= x_564 2) $cvcl_330) (iff x_260 x_268)) $cvcl_332) )) (or (or (and (and (and (= x_565 0) (not $cvcl_333)) (or (not (<= x_267 ?cvcl_325))  (iff x_270 x_53) )) $cvcl_334)  (and (and (and (= x_565 1) $cvcl_333) (xor x_53  x_57 )) (= x_275 (+ ?cvcl_325 x_487))) )  (and (and (and (= x_565 2) $cvcl_333) (iff x_53 x_57)) $cvcl_334) )) (or (or (and (and (and (= x_566 0) $cvcl_335) (or (not (<= x_555 ?cvcl_331))  (= x_58 x_55) )) $cvcl_337)  (and (and (and (= x_566 1) $cvcl_330) (not $cvcl_336)) (= x_561 (+ ?cvcl_331 x_482))) )  (and (and (and (= x_566 2) $cvcl_330) $cvcl_336) $cvcl_337) )) (or (and (and (and (and (and (and (and (and (and (= x_556 0) (iff x_52 x_253)) (= ?cvcl_338 x_256)) (<= (+ ?cvcl_338 x_480) x_264)) (or $cvcl_342  (iff x_53 x_48) )) (iff x_262 x_254)) (iff x_263 x_255)) (= x_266 x_258)) $cvcl_339) $cvcl_340)  (and (and (and (and (and (and (and (and (and (= x_556 1) (iff x_263 x_254)) (= ?cvcl_338 x_258)) (<= (+ ?cvcl_338 x_481) x_266)) (or (and (and (= x_557 0) $cvcl_339) $cvcl_340)  (and (and (= x_557 1) (iff x_252 x_255)) (iff x_260 $cvcl_341)) )) (iff x_261 x_253)) (iff x_52 x_48)) (= x_54 x_50)) (= x_264 x_256)) $cvcl_342) )) (or (or (and (and (and (= x_558 0) $cvcl_348) (or (not (<= x_257 ?cvcl_344))  (iff x_261 x_252) )) $cvcl_345)  (and (and (and (= x_558 1) $cvcl_343) (xor x_252  x_260 )) (= x_265 (+ ?cvcl_344 x_482))) )  (and (and (and (= x_558 2) $cvcl_343) (iff x_252 x_260)) $cvcl_345) )) (or (or (and (and (and (= x_559 0) (not $cvcl_346)) (or (not (<= x_259 ?cvcl_338))  (iff x_262 x_49) )) $cvcl_347)  (and (and (and (= x_559 1) $cvcl_346) (xor x_49  x_53 )) (= x_267 (+ ?cvcl_338 x_487))) )  (and (and (and (= x_559 2) $cvcl_346) (iff x_49 x_53)) $cvcl_347) )) (or (or (and (and (and (= x_560 0) $cvcl_348) (or (not (<= x_549 ?cvcl_344))  (= x_54 x_51) )) $cvcl_350)  (and (and (and (= x_560 1) $cvcl_343) (not $cvcl_349)) (= x_555 (+ ?cvcl_344 x_482))) )  (and (and (and (= x_560 2) $cvcl_343) $cvcl_349) $cvcl_350) )) (or (and (and (and (and (and (and (and (and (and (= x_550 0) (iff x_48 x_245)) (= ?cvcl_351 x_248)) (<= (+ ?cvcl_351 x_480) x_256)) (or $cvcl_355  (iff x_49 x_44) )) (iff x_254 x_246)) (iff x_255 x_247)) (= x_258 x_250)) $cvcl_352) $cvcl_353)  (and (and (and (and (and (and (and (and (and (= x_550 1) (iff x_255 x_246)) (= ?cvcl_351 x_250)) (<= (+ ?cvcl_351 x_481) x_258)) (or (and (and (= x_551 0) $cvcl_352) $cvcl_353)  (and (and (= x_551 1) (iff x_244 x_247)) (iff x_252 $cvcl_354)) )) (iff x_253 x_245)) (iff x_48 x_44)) (= x_50 x_46)) (= x_256 x_248)) $cvcl_355) )) (or (or (and (and (and (= x_552 0) $cvcl_361) (or (not (<= x_249 ?cvcl_357))  (iff x_253 x_244) )) $cvcl_358)  (and (and (and (= x_552 1) $cvcl_356) (xor x_244  x_252 )) (= x_257 (+ ?cvcl_357 x_482))) )  (and (and (and (= x_552 2) $cvcl_356) (iff x_244 x_252)) $cvcl_358) )) (or (or (and (and (and (= x_553 0) (not $cvcl_359)) (or (not (<= x_251 ?cvcl_351))  (iff x_254 x_45) )) $cvcl_360)  (and (and (and (= x_553 1) $cvcl_359) (xor x_45  x_49 )) (= x_259 (+ ?cvcl_351 x_487))) )  (and (and (and (= x_553 2) $cvcl_359) (iff x_45 x_49)) $cvcl_360) )) (or (or (and (and (and (= x_554 0) $cvcl_361) (or (not (<= x_543 ?cvcl_357))  (= x_50 x_47) )) $cvcl_363)  (and (and (and (= x_554 1) $cvcl_356) (not $cvcl_362)) (= x_549 (+ ?cvcl_357 x_482))) )  (and (and (and (= x_554 2) $cvcl_356) $cvcl_362) $cvcl_363) )) (or (and (and (and (and (and (and (and (and (and (= x_544 0) (iff x_44 x_237)) (= ?cvcl_364 x_240)) (<= (+ ?cvcl_364 x_480) x_248)) (or $cvcl_368  (iff x_45 x_40) )) (iff x_246 x_238)) (iff x_247 x_239)) (= x_250 x_242)) $cvcl_365) $cvcl_366)  (and (and (and (and (and (and (and (and (and (= x_544 1) (iff x_247 x_238)) (= ?cvcl_364 x_242)) (<= (+ ?cvcl_364 x_481) x_250)) (or (and (and (= x_545 0) $cvcl_365) $cvcl_366)  (and (and (= x_545 1) (iff x_236 x_239)) (iff x_244 $cvcl_367)) )) (iff x_245 x_237)) (iff x_44 x_40)) (= x_46 x_42)) (= x_248 x_240)) $cvcl_368) )) (or (or (and (and (and (= x_546 0) $cvcl_374) (or (not (<= x_241 ?cvcl_370))  (iff x_245 x_236) )) $cvcl_371)  (and (and (and (= x_546 1) $cvcl_369) (xor x_236  x_244 )) (= x_249 (+ ?cvcl_370 x_482))) )  (and (and (and (= x_546 2) $cvcl_369) (iff x_236 x_244)) $cvcl_371) )) (or (or (and (and (and (= x_547 0) (not $cvcl_372)) (or (not (<= x_243 ?cvcl_364))  (iff x_246 x_41) )) $cvcl_373)  (and (and (and (= x_547 1) $cvcl_372) (xor x_41  x_45 )) (= x_251 (+ ?cvcl_364 x_487))) )  (and (and (and (= x_547 2) $cvcl_372) (iff x_41 x_45)) $cvcl_373) )) (or (or (and (and (and (= x_548 0) $cvcl_374) (or (not (<= x_537 ?cvcl_370))  (= x_46 x_43) )) $cvcl_376)  (and (and (and (= x_548 1) $cvcl_369) (not $cvcl_375)) (= x_543 (+ ?cvcl_370 x_482))) )  (and (and (and (= x_548 2) $cvcl_369) $cvcl_375) $cvcl_376) )) (or (and (and (and (and (and (and (and (and (and (= x_538 0) (iff x_40 x_229)) (= ?cvcl_377 x_232)) (<= (+ ?cvcl_377 x_480) x_240)) (or $cvcl_381  (iff x_41 x_36) )) (iff x_238 x_230)) (iff x_239 x_231)) (= x_242 x_234)) $cvcl_378) $cvcl_379)  (and (and (and (and (and (and (and (and (and (= x_538 1) (iff x_239 x_230)) (= ?cvcl_377 x_234)) (<= (+ ?cvcl_377 x_481) x_242)) (or (and (and (= x_539 0) $cvcl_378) $cvcl_379)  (and (and (= x_539 1) (iff x_228 x_231)) (iff x_236 $cvcl_380)) )) (iff x_237 x_229)) (iff x_40 x_36)) (= x_42 x_38)) (= x_240 x_232)) $cvcl_381) )) (or (or (and (and (and (= x_540 0) $cvcl_387) (or (not (<= x_233 ?cvcl_383))  (iff x_237 x_228) )) $cvcl_384)  (and (and (and (= x_540 1) $cvcl_382) (xor x_228  x_236 )) (= x_241 (+ ?cvcl_383 x_482))) )  (and (and (and (= x_540 2) $cvcl_382) (iff x_228 x_236)) $cvcl_384) )) (or (or (and (and (and (= x_541 0) (not $cvcl_385)) (or (not (<= x_235 ?cvcl_377))  (iff x_238 x_37) )) $cvcl_386)  (and (and (and (= x_541 1) $cvcl_385) (xor x_37  x_41 )) (= x_243 (+ ?cvcl_377 x_487))) )  (and (and (and (= x_541 2) $cvcl_385) (iff x_37 x_41)) $cvcl_386) )) (or (or (and (and (and (= x_542 0) $cvcl_387) (or (not (<= x_531 ?cvcl_383))  (= x_42 x_39) )) $cvcl_389)  (and (and (and (= x_542 1) $cvcl_382) (not $cvcl_388)) (= x_537 (+ ?cvcl_383 x_482))) )  (and (and (and (= x_542 2) $cvcl_382) $cvcl_388) $cvcl_389) )) (or (and (and (and (and (and (and (and (and (and (= x_532 0) (iff x_36 x_221)) (= ?cvcl_390 x_224)) (<= (+ ?cvcl_390 x_480) x_232)) (or $cvcl_394  (iff x_37 x_32) )) (iff x_230 x_222)) (iff x_231 x_223)) (= x_234 x_226)) $cvcl_391) $cvcl_392)  (and (and (and (and (and (and (and (and (and (= x_532 1) (iff x_231 x_222)) (= ?cvcl_390 x_226)) (<= (+ ?cvcl_390 x_481) x_234)) (or (and (and (= x_533 0) $cvcl_391) $cvcl_392)  (and (and (= x_533 1) (iff x_220 x_223)) (iff x_228 $cvcl_393)) )) (iff x_229 x_221)) (iff x_36 x_32)) (= x_38 x_34)) (= x_232 x_224)) $cvcl_394) )) (or (or (and (and (and (= x_534 0) $cvcl_400) (or (not (<= x_225 ?cvcl_396))  (iff x_229 x_220) )) $cvcl_397)  (and (and (and (= x_534 1) $cvcl_395) (xor x_220  x_228 )) (= x_233 (+ ?cvcl_396 x_482))) )  (and (and (and (= x_534 2) $cvcl_395) (iff x_220 x_228)) $cvcl_397) )) (or (or (and (and (and (= x_535 0) (not $cvcl_398)) (or (not (<= x_227 ?cvcl_390))  (iff x_230 x_33) )) $cvcl_399)  (and (and (and (= x_535 1) $cvcl_398) (xor x_33  x_37 )) (= x_235 (+ ?cvcl_390 x_487))) )  (and (and (and (= x_535 2) $cvcl_398) (iff x_33 x_37)) $cvcl_399) )) (or (or (and (and (and (= x_536 0) $cvcl_400) (or (not (<= x_525 ?cvcl_396))  (= x_38 x_35) )) $cvcl_402)  (and (and (and (= x_536 1) $cvcl_395) (not $cvcl_401)) (= x_531 (+ ?cvcl_396 x_482))) )  (and (and (and (= x_536 2) $cvcl_395) $cvcl_401) $cvcl_402) )) (or (and (and (and (and (and (and (and (and (and (= x_526 0) (iff x_32 x_213)) (= ?cvcl_403 x_216)) (<= (+ ?cvcl_403 x_480) x_224)) (or $cvcl_407  (iff x_33 x_28) )) (iff x_222 x_214)) (iff x_223 x_215)) (= x_226 x_218)) $cvcl_404) $cvcl_405)  (and (and (and (and (and (and (and (and (and (= x_526 1) (iff x_223 x_214)) (= ?cvcl_403 x_218)) (<= (+ ?cvcl_403 x_481) x_226)) (or (and (and (= x_527 0) $cvcl_404) $cvcl_405)  (and (and (= x_527 1) (iff x_212 x_215)) (iff x_220 $cvcl_406)) )) (iff x_221 x_213)) (iff x_32 x_28)) (= x_34 x_30)) (= x_224 x_216)) $cvcl_407) )) (or (or (and (and (and (= x_528 0) $cvcl_413) (or (not (<= x_217 ?cvcl_409))  (iff x_221 x_212) )) $cvcl_410)  (and (and (and (= x_528 1) $cvcl_408) (xor x_212  x_220 )) (= x_225 (+ ?cvcl_409 x_482))) )  (and (and (and (= x_528 2) $cvcl_408) (iff x_212 x_220)) $cvcl_410) )) (or (or (and (and (and (= x_529 0) (not $cvcl_411)) (or (not (<= x_219 ?cvcl_403))  (iff x_222 x_29) )) $cvcl_412)  (and (and (and (= x_529 1) $cvcl_411) (xor x_29  x_33 )) (= x_227 (+ ?cvcl_403 x_487))) )  (and (and (and (= x_529 2) $cvcl_411) (iff x_29 x_33)) $cvcl_412) )) (or (or (and (and (and (= x_530 0) $cvcl_413) (or (not (<= x_519 ?cvcl_409))  (= x_34 x_31) )) $cvcl_415)  (and (and (and (= x_530 1) $cvcl_408) (not $cvcl_414)) (= x_525 (+ ?cvcl_409 x_482))) )  (and (and (and (= x_530 2) $cvcl_408) $cvcl_414) $cvcl_415) )) (or (and (and (and (and (and (and (and (and (and (= x_520 0) (iff x_28 x_205)) (= ?cvcl_416 x_208)) (<= (+ ?cvcl_416 x_480) x_216)) (or $cvcl_420  (iff x_29 x_24) )) (iff x_214 x_206)) (iff x_215 x_207)) (= x_218 x_210)) $cvcl_417) $cvcl_418)  (and (and (and (and (and (and (and (and (and (= x_520 1) (iff x_215 x_206)) (= ?cvcl_416 x_210)) (<= (+ ?cvcl_416 x_481) x_218)) (or (and (and (= x_521 0) $cvcl_417) $cvcl_418)  (and (and (= x_521 1) (iff x_204 x_207)) (iff x_212 $cvcl_419)) )) (iff x_213 x_205)) (iff x_28 x_24)) (= x_30 x_26)) (= x_216 x_208)) $cvcl_420) )) (or (or (and (and (and (= x_522 0) $cvcl_426) (or (not (<= x_209 ?cvcl_422))  (iff x_213 x_204) )) $cvcl_423)  (and (and (and (= x_522 1) $cvcl_421) (xor x_204  x_212 )) (= x_217 (+ ?cvcl_422 x_482))) )  (and (and (and (= x_522 2) $cvcl_421) (iff x_204 x_212)) $cvcl_423) )) (or (or (and (and (and (= x_523 0) (not $cvcl_424)) (or (not (<= x_211 ?cvcl_416))  (iff x_214 x_25) )) $cvcl_425)  (and (and (and (= x_523 1) $cvcl_424) (xor x_25  x_29 )) (= x_219 (+ ?cvcl_416 x_487))) )  (and (and (and (= x_523 2) $cvcl_424) (iff x_25 x_29)) $cvcl_425) )) (or (or (and (and (and (= x_524 0) $cvcl_426) (or (not (<= x_513 ?cvcl_422))  (= x_30 x_27) )) $cvcl_428)  (and (and (and (= x_524 1) $cvcl_421) (not $cvcl_427)) (= x_519 (+ ?cvcl_422 x_482))) )  (and (and (and (= x_524 2) $cvcl_421) $cvcl_427) $cvcl_428) )) (or (and (and (and (and (and (and (and (and (and (= x_514 0) (iff x_24 x_197)) (= ?cvcl_429 x_200)) (<= (+ ?cvcl_429 x_480) x_208)) (or $cvcl_433  (iff x_25 x_20) )) (iff x_206 x_198)) (iff x_207 x_199)) (= x_210 x_202)) $cvcl_430) $cvcl_431)  (and (and (and (and (and (and (and (and (and (= x_514 1) (iff x_207 x_198)) (= ?cvcl_429 x_202)) (<= (+ ?cvcl_429 x_481) x_210)) (or (and (and (= x_515 0) $cvcl_430) $cvcl_431)  (and (and (= x_515 1) (iff x_196 x_199)) (iff x_204 $cvcl_432)) )) (iff x_205 x_197)) (iff x_24 x_20)) (= x_26 x_22)) (= x_208 x_200)) $cvcl_433) )) (or (or (and (and (and (= x_516 0) $cvcl_439) (or (not (<= x_201 ?cvcl_435))  (iff x_205 x_196) )) $cvcl_436)  (and (and (and (= x_516 1) $cvcl_434) (xor x_196  x_204 )) (= x_209 (+ ?cvcl_435 x_482))) )  (and (and (and (= x_516 2) $cvcl_434) (iff x_196 x_204)) $cvcl_436) )) (or (or (and (and (and (= x_517 0) (not $cvcl_437)) (or (not (<= x_203 ?cvcl_429))  (iff x_206 x_21) )) $cvcl_438)  (and (and (and (= x_517 1) $cvcl_437) (xor x_21  x_25 )) (= x_211 (+ ?cvcl_429 x_487))) )  (and (and (and (= x_517 2) $cvcl_437) (iff x_21 x_25)) $cvcl_438) )) (or (or (and (and (and (= x_518 0) $cvcl_439) (or (not (<= x_507 ?cvcl_435))  (= x_26 x_23) )) $cvcl_441)  (and (and (and (= x_518 1) $cvcl_434) (not $cvcl_440)) (= x_513 (+ ?cvcl_435 x_482))) )  (and (and (and (= x_518 2) $cvcl_434) $cvcl_440) $cvcl_441) )) (or (and (and (and (and (and (and (and (and (and (= x_508 0) (iff x_20 x_189)) (= ?cvcl_442 x_192)) (<= (+ ?cvcl_442 x_480) x_200)) (or $cvcl_446  (iff x_21 x_16) )) (iff x_198 x_190)) (iff x_199 x_191)) (= x_202 x_194)) $cvcl_443) $cvcl_444)  (and (and (and (and (and (and (and (and (and (= x_508 1) (iff x_199 x_190)) (= ?cvcl_442 x_194)) (<= (+ ?cvcl_442 x_481) x_202)) (or (and (and (= x_509 0) $cvcl_443) $cvcl_444)  (and (and (= x_509 1) (iff x_188 x_191)) (iff x_196 $cvcl_445)) )) (iff x_197 x_189)) (iff x_20 x_16)) (= x_22 x_18)) (= x_200 x_192)) $cvcl_446) )) (or (or (and (and (and (= x_510 0) $cvcl_452) (or (not (<= x_193 ?cvcl_448))  (iff x_197 x_188) )) $cvcl_449)  (and (and (and (= x_510 1) $cvcl_447) (xor x_188  x_196 )) (= x_201 (+ ?cvcl_448 x_482))) )  (and (and (and (= x_510 2) $cvcl_447) (iff x_188 x_196)) $cvcl_449) )) (or (or (and (and (and (= x_511 0) (not $cvcl_450)) (or (not (<= x_195 ?cvcl_442))  (iff x_198 x_17) )) $cvcl_451)  (and (and (and (= x_511 1) $cvcl_450) (xor x_17  x_21 )) (= x_203 (+ ?cvcl_442 x_487))) )  (and (and (and (= x_511 2) $cvcl_450) (iff x_17 x_21)) $cvcl_451) )) (or (or (and (and (and (= x_512 0) $cvcl_452) (or (not (<= x_501 ?cvcl_448))  (= x_22 x_19) )) $cvcl_454)  (and (and (and (= x_512 1) $cvcl_447) (not $cvcl_453)) (= x_507 (+ ?cvcl_448 x_482))) )  (and (and (and (= x_512 2) $cvcl_447) $cvcl_453) $cvcl_454) )) (or (and (and (and (and (and (and (and (and (and (= x_502 0) (iff x_16 x_181)) (= ?cvcl_455 x_184)) (<= (+ ?cvcl_455 x_480) x_192)) (or $cvcl_459  (iff x_17 x_12) )) (iff x_190 x_182)) (iff x_191 x_183)) (= x_194 x_186)) $cvcl_456) $cvcl_457)  (and (and (and (and (and (and (and (and (and (= x_502 1) (iff x_191 x_182)) (= ?cvcl_455 x_186)) (<= (+ ?cvcl_455 x_481) x_194)) (or (and (and (= x_503 0) $cvcl_456) $cvcl_457)  (and (and (= x_503 1) (iff x_180 x_183)) (iff x_188 $cvcl_458)) )) (iff x_189 x_181)) (iff x_16 x_12)) (= x_18 x_14)) (= x_192 x_184)) $cvcl_459) )) (or (or (and (and (and (= x_504 0) $cvcl_465) (or (not (<= x_185 ?cvcl_461))  (iff x_189 x_180) )) $cvcl_462)  (and (and (and (= x_504 1) $cvcl_460) (xor x_180  x_188 )) (= x_193 (+ ?cvcl_461 x_482))) )  (and (and (and (= x_504 2) $cvcl_460) (iff x_180 x_188)) $cvcl_462) )) (or (or (and (and (and (= x_505 0) (not $cvcl_463)) (or (not (<= x_187 ?cvcl_455))  (iff x_190 x_13) )) $cvcl_464)  (and (and (and (= x_505 1) $cvcl_463) (xor x_13  x_17 )) (= x_195 (+ ?cvcl_455 x_487))) )  (and (and (and (= x_505 2) $cvcl_463) (iff x_13 x_17)) $cvcl_464) )) (or (or (and (and (and (= x_506 0) $cvcl_465) (or (not (<= x_495 ?cvcl_461))  (= x_18 x_15) )) $cvcl_467)  (and (and (and (= x_506 1) $cvcl_460) (not $cvcl_466)) (= x_501 (+ ?cvcl_461 x_482))) )  (and (and (and (= x_506 2) $cvcl_460) $cvcl_466) $cvcl_467) )) (or (and (and (and (and (and (and (and (and (and (= x_496 0) (iff x_12 x_173)) (= ?cvcl_468 x_176)) (<= (+ ?cvcl_468 x_480) x_184)) (or $cvcl_472  (iff x_13 x_8) )) (iff x_182 x_174)) (iff x_183 x_175)) (= x_186 x_178)) $cvcl_469) $cvcl_470)  (and (and (and (and (and (and (and (and (and (= x_496 1) (iff x_183 x_174)) (= ?cvcl_468 x_178)) (<= (+ ?cvcl_468 x_481) x_186)) (or (and (and (= x_497 0) $cvcl_469) $cvcl_470)  (and (and (= x_497 1) (iff x_172 x_175)) (iff x_180 $cvcl_471)) )) (iff x_181 x_173)) (iff x_12 x_8)) (= x_14 x_10)) (= x_184 x_176)) $cvcl_472) )) (or (or (and (and (and (= x_498 0) $cvcl_478) (or (not (<= x_177 ?cvcl_474))  (iff x_181 x_172) )) $cvcl_475)  (and (and (and (= x_498 1) $cvcl_473) (xor x_172  x_180 )) (= x_185 (+ ?cvcl_474 x_482))) )  (and (and (and (= x_498 2) $cvcl_473) (iff x_172 x_180)) $cvcl_475) )) (or (or (and (and (and (= x_499 0) (not $cvcl_476)) (or (not (<= x_179 ?cvcl_468))  (iff x_182 x_9) )) $cvcl_477)  (and (and (and (= x_499 1) $cvcl_476) (xor x_9  x_13 )) (= x_187 (+ ?cvcl_468 x_487))) )  (and (and (and (= x_499 2) $cvcl_476) (iff x_9 x_13)) $cvcl_477) )) (or (or (and (and (and (= x_500 0) $cvcl_478) (or (not (<= x_489 ?cvcl_474))  (= x_14 x_11) )) $cvcl_480)  (and (and (and (= x_500 1) $cvcl_473) (not $cvcl_479)) (= x_495 (+ ?cvcl_474 x_482))) )  (and (and (and (= x_500 2) $cvcl_473) $cvcl_479) $cvcl_480) )) (or (and (and (and (and (and (and (and (and (and (= x_490 0) (iff x_8 x_165)) (= ?cvcl_481 x_168)) (<= (+ ?cvcl_481 x_480) x_176)) (or $cvcl_485  (iff x_9 x_4) )) (iff x_174 x_166)) (iff x_175 x_167)) (= x_178 x_170)) $cvcl_482) $cvcl_483)  (and (and (and (and (and (and (and (and (and (= x_490 1) (iff x_175 x_166)) (= ?cvcl_481 x_170)) (<= (+ ?cvcl_481 x_481) x_178)) (or (and (and (= x_491 0) $cvcl_482) $cvcl_483)  (and (and (= x_491 1) (iff x_164 x_167)) (iff x_172 $cvcl_484)) )) (iff x_173 x_165)) (iff x_8 x_4)) (= x_10 x_6)) (= x_176 x_168)) $cvcl_485) )) (or (or (and (and (and (= x_492 0) $cvcl_491) (or (not (<= x_169 ?cvcl_487))  (iff x_173 x_164) )) $cvcl_488)  (and (and (and (= x_492 1) $cvcl_486) (xor x_164  x_172 )) (= x_177 (+ ?cvcl_487 x_482))) )  (and (and (and (= x_492 2) $cvcl_486) (iff x_164 x_172)) $cvcl_488) )) (or (or (and (and (and (= x_493 0) (not $cvcl_489)) (or (not (<= x_171 ?cvcl_481))  (iff x_174 x_5) )) $cvcl_490)  (and (and (and (= x_493 1) $cvcl_489) (xor x_5  x_9 )) (= x_179 (+ ?cvcl_481 x_487))) )  (and (and (and (= x_493 2) $cvcl_489) (iff x_5 x_9)) $cvcl_490) )) (or (or (and (and (and (= x_494 0) $cvcl_491) (or (not (<= x_478 ?cvcl_487))  (= x_10 x_7) )) $cvcl_493)  (and (and (and (= x_494 1) $cvcl_486) (not $cvcl_492)) (= x_489 (+ ?cvcl_487 x_482))) )  (and (and (and (= x_494 2) $cvcl_486) $cvcl_492) $cvcl_493) )) (or (and (and (and (and (and (and (and (and (and (= x_483 0) (iff x_4 x_157)) (= ?cvcl_494 x_160)) (<= (+ ?cvcl_494 x_480) x_168)) (or $cvcl_498  (iff x_5 x_0) )) (iff x_166 x_158)) (iff x_167 x_159)) (= x_170 x_162)) $cvcl_495) $cvcl_496)  (and (and (and (and (and (and (and (and (and (= x_483 1) (iff x_167 x_158)) (= ?cvcl_494 x_162)) (<= (+ ?cvcl_494 x_481) x_170)) (or (and (and (= x_484 0) $cvcl_495) $cvcl_496)  (and (and (= x_484 1) (iff x_156 x_159)) (iff x_164 $cvcl_497)) )) (iff x_165 x_157)) (iff x_4 x_0)) (= x_6 x_2)) (= x_168 x_160)) $cvcl_498) )) (or (or (and (and (and (= x_485 0) $cvcl_504) (or (not (<= x_161 ?cvcl_500))  (iff x_165 x_156) )) $cvcl_501)  (and (and (and (= x_485 1) $cvcl_499) (xor x_156  x_164 )) (= x_169 (+ ?cvcl_500 x_482))) )  (and (and (and (= x_485 2) $cvcl_499) (iff x_156 x_164)) $cvcl_501) )) (or (or (and (and (and (= x_486 0) (not $cvcl_502)) (or (not (<= x_163 ?cvcl_494))  (iff x_166 x_1) )) $cvcl_503)  (and (and (and (= x_486 1) $cvcl_502) (xor x_1  x_5 )) (= x_171 (+ ?cvcl_494 x_487))) )  (and (and (and (= x_486 2) $cvcl_502) (iff x_1 x_5)) $cvcl_503) )) (or (or (and (and (and (= x_488 0) $cvcl_504) (or (not (<= x_479 ?cvcl_500))  (= x_6 x_3) )) $cvcl_506)  (and (and (and (= x_488 1) $cvcl_499) (not $cvcl_505)) (= x_478 (+ ?cvcl_500 x_482))) )  (and (and (and (= x_488 2) $cvcl_499) $cvcl_505) $cvcl_506) )) $cvcl_507) (not (= x_715 x_712)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
)
