(benchmark synch_circuit
  :source {
Fully parameterized specification and verification of a synchronizer   
circuit modeling metastability at various levels of refinement.     
A paper describing this specification, to be published in Designing     
Correct Circuits (DCC), 2006, is available from the authors.            

Geoffrey Brown, Indiana University <geobrown@cs.indiana.edu>
Lee Pike, Galois Connections, Inc. <leepike@galois.com>

Translated into CVC format by Leonardo de Moura.

This benchmark was automatically translated into SMT-LIB format from
CVC format using CVC Lite

}
  :status sat
:category { industrial }
:difficulty { 2 }
  :logic QF_LRA
  
  :extrapreds ((x_0))
  :extrapreds ((x_1))
  :extrafuns ((x_2 Real))
  :extrafuns ((x_3 Real))
  :extrapreds ((x_4))
  :extrapreds ((x_5))
  :extrafuns ((x_6 Real))
  :extrafuns ((x_7 Real))
  :extrapreds ((x_8))
  :extrapreds ((x_9))
  :extrafuns ((x_10 Real))
  :extrafuns ((x_11 Real))
  :extrapreds ((x_12))
  :extrapreds ((x_13))
  :extrafuns ((x_14 Real))
  :extrafuns ((x_15 Real))
  :extrapreds ((x_16))
  :extrapreds ((x_17))
  :extrafuns ((x_18 Real))
  :extrafuns ((x_19 Real))
  :extrapreds ((x_20))
  :extrapreds ((x_21))
  :extrafuns ((x_22 Real))
  :extrafuns ((x_23 Real))
  :extrapreds ((x_24))
  :extrapreds ((x_25))
  :extrafuns ((x_26 Real))
  :extrafuns ((x_27 Real))
  :extrafuns ((x_28 Real))
  :extrafuns ((x_29 Real))
  :extrafuns ((x_30 Real))
  :extrafuns ((x_31 Real))
  :extrafuns ((x_32 Real))
  :extrafuns ((x_33 Real))
  :extrafuns ((x_34 Real))
  :extrafuns ((x_35 Real))
  :extrafuns ((x_36 Real))
  :extrafuns ((x_37 Real))
  :extrafuns ((x_38 Real))
  :extrafuns ((x_39 Real))
  :extrafuns ((x_40 Real))
  :extrafuns ((x_41 Real))
  :extrafuns ((x_42 Real))
  :extrafuns ((x_43 Real))
  :extrafuns ((x_44 Real))
  :extrafuns ((x_45 Real))
  :extrafuns ((x_46 Real))
  :extrafuns ((x_47 Real))
  :extrafuns ((x_48 Real))
  :extrafuns ((x_49 Real))
  :extrafuns ((x_50 Real))
  :extrafuns ((x_51 Real))
  :extrafuns ((x_52 Real))
  :extrafuns ((x_53 Real))
  :extrafuns ((x_54 Real))
  :extrafuns ((x_55 Real))
  :extrafuns ((x_56 Real))
  :extrafuns ((x_57 Real))
  :extrafuns ((x_58 Real))
  :extrafuns ((x_59 Real))
  :extrafuns ((x_60 Real))
  :extrafuns ((x_61 Real))
  :extrafuns ((x_62 Real))
  :extrafuns ((x_63 Real))
  :extrafuns ((x_64 Real))
  :extrafuns ((x_65 Real))
  :extrafuns ((x_66 Real))
  :extrafuns ((x_67 Real))
  :extrafuns ((x_68 Real))
  :extrafuns ((x_69 Real))
  :extrafuns ((x_70 Real))
  :extrafuns ((x_71 Real))
  :extrapreds ((x_72))
  :extrapreds ((x_73))
  :extrafuns ((x_74 Real))
  :extrapreds ((x_75))
  :extrapreds ((x_76))
  :extrapreds ((x_77))
  :extrapreds ((x_78))
  :extrapreds ((x_79))
  :extrafuns ((x_80 Real))
  :extrapreds ((x_81))
  :extrafuns ((x_82 Real))
  :extrafuns ((x_83 Real))
  :extrafuns ((x_84 Real))
  :extrapreds ((x_85))
  :extrafuns ((x_86 Real))
  :extrapreds ((x_87))
  :extrapreds ((x_88))
  :extrafuns ((x_89 Real))
  :extrapreds ((x_90))
  :extrafuns ((x_91 Real))
  :extrafuns ((x_92 Real))
  :extrafuns ((x_93 Real))
  :extrapreds ((x_94))
  :extrafuns ((x_95 Real))
  :extrapreds ((x_96))
  :extrapreds ((x_97))
  :extrafuns ((x_98 Real))
  :extrapreds ((x_99))
  :extrafuns ((x_100 Real))
  :extrafuns ((x_101 Real))
  :extrafuns ((x_102 Real))
  :extrapreds ((x_103))
  :extrafuns ((x_104 Real))
  :extrapreds ((x_105))
  :extrapreds ((x_106))
  :extrafuns ((x_107 Real))
  :extrapreds ((x_108))
  :extrafuns ((x_109 Real))
  :extrafuns ((x_110 Real))
  :extrafuns ((x_111 Real))
  :extrapreds ((x_112))
  :extrafuns ((x_113 Real))
  :extrapreds ((x_114))
  :extrapreds ((x_115))
  :extrafuns ((x_116 Real))
  :extrapreds ((x_117))
  :extrafuns ((x_118 Real))
  :extrafuns ((x_119 Real))
  :extrafuns ((x_120 Real))
  :extrapreds ((x_121))
  :extrafuns ((x_122 Real))
  :extrapreds ((x_123))
  :extrapreds ((x_124))
  :extrafuns ((x_125 Real))
  :extrapreds ((x_126))
  :extrafuns ((x_127 Real))
  :extrafuns ((x_128 Real))
  :extrafuns ((x_129 Real))
  :extrapreds ((x_130))
  :extrafuns ((x_131 Real))
  :extrafuns ((x_132 Real))
  :extrapreds ((x_133))
  :extrapreds ((x_134))
  :extrapreds ((x_135))
  :extrapreds ((x_136))
  :extrafuns ((x_137 Real))
  :extrapreds ((x_138))
  :extrafuns ((x_139 Real))
  :extrafuns ((x_140 Real))
  :extrafuns ((x_141 Real))
  :extrafuns ((x_142 Real))
  :formula
(let (?cvcl_7 (ite (<= x_28 x_29) x_28 x_29)) (let (?cvcl_6 (ite (<= x_37 x_38) x_37 x_38)) (let (?cvcl_5 (ite (<= x_42 x_43) x_42 x_43)) (let (?cvcl_4 (ite (<= x_47 x_48) x_47 x_48)) (let (?cvcl_3 (ite (<= x_52 x_53) x_52 x_53)) (let (?cvcl_2 (ite (<= x_57 x_58) x_57 x_58)) (let (?cvcl_1 (ite (<= x_62 x_63) x_62 x_63)) (let (?cvcl_0 (ite (<= x_67 x_68) x_67 x_68)) (flet ($cvcl_85 (= x_39 x_33)) (flet ($cvcl_87 (= x_29 x_38)) (flet ($cvcl_88 (= x_41 x_35)) (flet ($cvcl_83 (= x_28 x_37)) (flet ($cvcl_89 (not $cvcl_83)) (flet ($cvcl_91 (= x_40 x_34)) (flet ($cvcl_80 (iff x_72 x_73)) (flet ($cvcl_81 (= x_7 x_3)) (let (?cvcl_84 (ite (<= x_29 x_28) x_29 x_28)) (flet ($cvcl_73 (= x_44 x_39)) (flet ($cvcl_75 (= x_38 x_43)) (flet ($cvcl_76 (= x_46 x_41)) (flet ($cvcl_71 (= x_37 x_42)) (flet ($cvcl_77 (not $cvcl_71)) (flet ($cvcl_79 (= x_45 x_40)) (flet ($cvcl_68 (iff x_85 x_72)) (flet ($cvcl_69 (= x_11 x_7)) (let (?cvcl_72 (ite (<= x_38 x_37) x_38 x_37)) (flet ($cvcl_61 (= x_49 x_44)) (flet ($cvcl_63 (= x_43 x_48)) (flet ($cvcl_64 (= x_51 x_46)) (flet ($cvcl_59 (= x_42 x_47)) (flet ($cvcl_65 (not $cvcl_59)) (flet ($cvcl_67 (= x_50 x_45)) (flet ($cvcl_56 (iff x_94 x_85)) (flet ($cvcl_57 (= x_15 x_11)) (let (?cvcl_60 (ite (<= x_43 x_42) x_43 x_42)) (flet ($cvcl_49 (= x_54 x_49)) (flet ($cvcl_51 (= x_48 x_53)) (flet ($cvcl_52 (= x_56 x_51)) (flet ($cvcl_47 (= x_47 x_52)) (flet ($cvcl_53 (not $cvcl_47)) (flet ($cvcl_55 (= x_55 x_50)) (flet ($cvcl_44 (iff x_103 x_94)) (flet ($cvcl_45 (= x_19 x_15)) (let (?cvcl_48 (ite (<= x_48 x_47) x_48 x_47)) (flet ($cvcl_37 (= x_59 x_54)) (flet ($cvcl_39 (= x_53 x_58)) (flet ($cvcl_40 (= x_61 x_56)) (flet ($cvcl_35 (= x_52 x_57)) (flet ($cvcl_41 (not $cvcl_35)) (flet ($cvcl_43 (= x_60 x_55)) (flet ($cvcl_32 (iff x_112 x_103)) (flet ($cvcl_33 (= x_23 x_19)) (let (?cvcl_36 (ite (<= x_53 x_52) x_53 x_52)) (flet ($cvcl_25 (= x_64 x_59)) (flet ($cvcl_27 (= x_58 x_63)) (flet ($cvcl_28 (= x_66 x_61)) (flet ($cvcl_23 (= x_57 x_62)) (flet ($cvcl_29 (not $cvcl_23)) (flet ($cvcl_31 (= x_65 x_60)) (flet ($cvcl_20 (iff x_121 x_112)) (flet ($cvcl_21 (= x_27 x_23)) (let (?cvcl_24 (ite (<= x_58 x_57) x_58 x_57)) (flet ($cvcl_13 (= x_69 x_64)) (flet ($cvcl_15 (= x_63 x_68)) (flet ($cvcl_16 (= x_71 x_66)) (flet ($cvcl_11 (= x_62 x_67)) (flet ($cvcl_17 (not $cvcl_11)) (flet ($cvcl_19 (= x_70 x_65)) (flet ($cvcl_8 (iff x_130 x_121)) (flet ($cvcl_9 (= x_131 x_27)) (let (?cvcl_12 (ite (<= x_63 x_62) x_63 x_62)) (flet ($cvcl_10 (iff x_134 x_25)) (flet ($cvcl_18 (= x_27 x_131)) (flet ($cvcl_22 (iff x_25 x_21)) (flet ($cvcl_30 (= x_23 x_27)) (flet ($cvcl_34 (iff x_21 x_17)) (flet ($cvcl_42 (= x_19 x_23)) (flet ($cvcl_46 (iff x_17 x_13)) (flet ($cvcl_54 (= x_15 x_19)) (flet ($cvcl_58 (iff x_13 x_9)) (flet ($cvcl_66 (= x_11 x_15)) (flet ($cvcl_70 (iff x_9 x_5)) (flet ($cvcl_78 (= x_7 x_11)) (flet ($cvcl_82 (iff x_5 x_1)) (flet ($cvcl_90 (= x_3 x_7)) (flet ($cvcl_14 (<= x_66 ?cvcl_1)) (flet ($cvcl_26 (<= x_61 ?cvcl_2)) (flet ($cvcl_38 (<= x_56 ?cvcl_3)) (flet ($cvcl_50 (<= x_51 ?cvcl_4)) (flet ($cvcl_62 (<= x_46 ?cvcl_5)) (flet ($cvcl_74 (<= x_41 ?cvcl_6)) (flet ($cvcl_86 (<= x_35 ?cvcl_7)) (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (> x_30 0) (> x_31 0)) (>= x_32 0)) (< x_32 x_30)) (< x_32 x_31)) (>= x_36 0)) (< x_36 x_30)) (< x_36 x_31)) (or (iff x_24 x_25)  (= x_26 x_27) )) (or (iff x_20 x_21)  (= x_22 x_23) )) (or (iff x_16 x_17)  (= x_18 x_19) )) (or (iff x_12 x_13)  (= x_14 x_15) )) (or (iff x_8 x_9)  (= x_10 x_11) )) (or (iff x_4 x_5)  (= x_6 x_7) )) (or (iff x_0 x_1)  (= x_2 x_3) )) (or (<= x_69 ?cvcl_0)  (<= (- (+ x_69 x_31) x_32) x_68) )) (or (<= x_70 ?cvcl_0)  (<= (- (+ x_70 x_31) x_32) x_68) )) (or (<= x_71 ?cvcl_0)  (<= (- (+ x_71 x_30) x_36) x_67) )) (<= x_71 (+ ?cvcl_0 x_36))) (<= x_70 (+ ?cvcl_0 x_32))) (<= x_69 (+ ?cvcl_0 x_32))) (<= ?cvcl_0 x_67)) (<= ?cvcl_0 x_68)) (or (<= x_64 ?cvcl_1)  (<= (- (+ x_64 x_31) x_32) x_63) )) (or (<= x_65 ?cvcl_1)  (<= (- (+ x_65 x_31) x_32) x_63) )) (or $cvcl_14  (<= (- (+ x_66 x_30) x_36) x_62) )) (<= x_66 (+ ?cvcl_1 x_36))) (<= x_65 (+ ?cvcl_1 x_32))) (<= x_64 (+ ?cvcl_1 x_32))) (<= ?cvcl_1 x_62)) (<= ?cvcl_1 x_63)) (or (<= x_59 ?cvcl_2)  (<= (- (+ x_59 x_31) x_32) x_58) )) (or (<= x_60 ?cvcl_2)  (<= (- (+ x_60 x_31) x_32) x_58) )) (or $cvcl_26  (<= (- (+ x_61 x_30) x_36) x_57) )) (<= x_61 (+ ?cvcl_2 x_36))) (<= x_60 (+ ?cvcl_2 x_32))) (<= x_59 (+ ?cvcl_2 x_32))) (<= ?cvcl_2 x_57)) (<= ?cvcl_2 x_58)) (or (<= x_54 ?cvcl_3)  (<= (- (+ x_54 x_31) x_32) x_53) )) (or (<= x_55 ?cvcl_3)  (<= (- (+ x_55 x_31) x_32) x_53) )) (or $cvcl_38  (<= (- (+ x_56 x_30) x_36) x_52) )) (<= x_56 (+ ?cvcl_3 x_36))) (<= x_55 (+ ?cvcl_3 x_32))) (<= x_54 (+ ?cvcl_3 x_32))) (<= ?cvcl_3 x_52)) (<= ?cvcl_3 x_53)) (or (<= x_49 ?cvcl_4)  (<= (- (+ x_49 x_31) x_32) x_48) )) (or (<= x_50 ?cvcl_4)  (<= (- (+ x_50 x_31) x_32) x_48) )) (or $cvcl_50  (<= (- (+ x_51 x_30) x_36) x_47) )) (<= x_51 (+ ?cvcl_4 x_36))) (<= x_50 (+ ?cvcl_4 x_32))) (<= x_49 (+ ?cvcl_4 x_32))) (<= ?cvcl_4 x_47)) (<= ?cvcl_4 x_48)) (or (<= x_44 ?cvcl_5)  (<= (- (+ x_44 x_31) x_32) x_43) )) (or (<= x_45 ?cvcl_5)  (<= (- (+ x_45 x_31) x_32) x_43) )) (or $cvcl_62  (<= (- (+ x_46 x_30) x_36) x_42) )) (<= x_46 (+ ?cvcl_5 x_36))) (<= x_45 (+ ?cvcl_5 x_32))) (<= x_44 (+ ?cvcl_5 x_32))) (<= ?cvcl_5 x_42)) (<= ?cvcl_5 x_43)) (or (<= x_39 ?cvcl_6)  (<= (- (+ x_39 x_31) x_32) x_38) )) (or (<= x_40 ?cvcl_6)  (<= (- (+ x_40 x_31) x_32) x_38) )) (or $cvcl_74  (<= (- (+ x_41 x_30) x_36) x_37) )) (<= x_41 (+ ?cvcl_6 x_36))) (<= x_40 (+ ?cvcl_6 x_32))) (<= x_39 (+ ?cvcl_6 x_32))) (<= ?cvcl_6 x_37)) (<= ?cvcl_6 x_38)) (or (<= x_33 ?cvcl_7)  (<= (- (+ x_33 x_31) x_32) x_29) )) (or (<= x_34 ?cvcl_7)  (<= (- (+ x_34 x_31) x_32) x_29) )) (or $cvcl_86  (<= (- (+ x_35 x_30) x_36) x_28) )) (<= x_35 (+ ?cvcl_7 x_36))) (<= x_34 (+ ?cvcl_7 x_32))) (<= x_33 (+ ?cvcl_7 x_32))) (<= ?cvcl_7 x_28)) (<= ?cvcl_7 x_29)) (or (and (and (and (and (and (and (and (and (and (= x_132 0) (iff x_133 x_126)) (= ?cvcl_1 x_62)) (<= (+ ?cvcl_1 x_30) x_67)) (or $cvcl_10  (iff x_134 x_24) )) (iff x_135 x_123)) (iff x_136 x_124)) (= x_68 x_63)) $cvcl_8) $cvcl_9)  (and (and (and (and (and (and (and (and (and (= x_132 1) (iff x_136 x_123)) (= ?cvcl_1 x_63)) (<= (+ ?cvcl_1 x_31) x_68)) (or (and (and (= x_137 0) $cvcl_8) $cvcl_9)  (and (and (= x_137 1) (iff x_121 x_124)) (iff x_130 (not x_121))) )) (iff x_138 x_126)) (iff x_133 x_24)) (= x_139 x_26)) (= x_67 x_62)) $cvcl_10) )) (or (or (and (and (and (= x_140 0) $cvcl_17) (or (not (<= x_64 ?cvcl_12))  (iff x_138 x_121) )) $cvcl_13)  (and (and (and (= x_140 1) $cvcl_11) (xor x_121  x_130 )) (= x_69 (+ ?cvcl_12 x_32))) )  (and (and (and (= x_140 2) $cvcl_11) (iff x_121 x_130)) $cvcl_13) )) (or (or (and (and (and (= x_141 0) (not $cvcl_15)) (or (not $cvcl_14)  (iff x_135 x_25) )) $cvcl_16)  (and (and (and (= x_141 1) $cvcl_15) (xor x_25  x_134 )) (= x_71 (+ ?cvcl_1 x_36))) )  (and (and (and (= x_141 2) $cvcl_15) (iff x_25 x_134)) $cvcl_16) )) (or (or (and (and (and (= x_142 0) $cvcl_17) (or (not (<= x_65 ?cvcl_12))  (= x_139 x_27) )) $cvcl_19)  (and (and (and (= x_142 1) $cvcl_11) (not $cvcl_18)) (= x_70 (+ ?cvcl_12 x_32))) )  (and (and (and (= x_142 2) $cvcl_11) $cvcl_18) $cvcl_19) )) (or (and (and (and (and (and (and (and (and (and (= x_122 0) (iff x_24 x_117)) (= ?cvcl_2 x_57)) (<= (+ ?cvcl_2 x_30) x_62)) (or $cvcl_22  (iff x_25 x_20) )) (iff x_123 x_114)) (iff x_124 x_115)) (= x_63 x_58)) $cvcl_20) $cvcl_21)  (and (and (and (and (and (and (and (and (and (= x_122 1) (iff x_124 x_114)) (= ?cvcl_2 x_58)) (<= (+ ?cvcl_2 x_31) x_63)) (or (and (and (= x_125 0) $cvcl_20) $cvcl_21)  (and (and (= x_125 1) (iff x_112 x_115)) (iff x_121 (not x_112))) )) (iff x_126 x_117)) (iff x_24 x_20)) (= x_26 x_22)) (= x_62 x_57)) $cvcl_22) )) (or (or (and (and (and (= x_127 0) $cvcl_29) (or (not (<= x_59 ?cvcl_24))  (iff x_126 x_112) )) $cvcl_25)  (and (and (and (= x_127 1) $cvcl_23) (xor x_112  x_121 )) (= x_64 (+ ?cvcl_24 x_32))) )  (and (and (and (= x_127 2) $cvcl_23) (iff x_112 x_121)) $cvcl_25) )) (or (or (and (and (and (= x_128 0) (not $cvcl_27)) (or (not $cvcl_26)  (iff x_123 x_21) )) $cvcl_28)  (and (and (and (= x_128 1) $cvcl_27) (xor x_21  x_25 )) (= x_66 (+ ?cvcl_2 x_36))) )  (and (and (and (= x_128 2) $cvcl_27) (iff x_21 x_25)) $cvcl_28) )) (or (or (and (and (and (= x_129 0) $cvcl_29) (or (not (<= x_60 ?cvcl_24))  (= x_26 x_23) )) $cvcl_31)  (and (and (and (= x_129 1) $cvcl_23) (not $cvcl_30)) (= x_65 (+ ?cvcl_24 x_32))) )  (and (and (and (= x_129 2) $cvcl_23) $cvcl_30) $cvcl_31) )) (or (and (and (and (and (and (and (and (and (and (= x_113 0) (iff x_20 x_108)) (= ?cvcl_3 x_52)) (<= (+ ?cvcl_3 x_30) x_57)) (or $cvcl_34  (iff x_21 x_16) )) (iff x_114 x_105)) (iff x_115 x_106)) (= x_58 x_53)) $cvcl_32) $cvcl_33)  (and (and (and (and (and (and (and (and (and (= x_113 1) (iff x_115 x_105)) (= ?cvcl_3 x_53)) (<= (+ ?cvcl_3 x_31) x_58)) (or (and (and (= x_116 0) $cvcl_32) $cvcl_33)  (and (and (= x_116 1) (iff x_103 x_106)) (iff x_112 (not x_103))) )) (iff x_117 x_108)) (iff x_20 x_16)) (= x_22 x_18)) (= x_57 x_52)) $cvcl_34) )) (or (or (and (and (and (= x_118 0) $cvcl_41) (or (not (<= x_54 ?cvcl_36))  (iff x_117 x_103) )) $cvcl_37)  (and (and (and (= x_118 1) $cvcl_35) (xor x_103  x_112 )) (= x_59 (+ ?cvcl_36 x_32))) )  (and (and (and (= x_118 2) $cvcl_35) (iff x_103 x_112)) $cvcl_37) )) (or (or (and (and (and (= x_119 0) (not $cvcl_39)) (or (not $cvcl_38)  (iff x_114 x_17) )) $cvcl_40)  (and (and (and (= x_119 1) $cvcl_39) (xor x_17  x_21 )) (= x_61 (+ ?cvcl_3 x_36))) )  (and (and (and (= x_119 2) $cvcl_39) (iff x_17 x_21)) $cvcl_40) )) (or (or (and (and (and (= x_120 0) $cvcl_41) (or (not (<= x_55 ?cvcl_36))  (= x_22 x_19) )) $cvcl_43)  (and (and (and (= x_120 1) $cvcl_35) (not $cvcl_42)) (= x_60 (+ ?cvcl_36 x_32))) )  (and (and (and (= x_120 2) $cvcl_35) $cvcl_42) $cvcl_43) )) (or (and (and (and (and (and (and (and (and (and (= x_104 0) (iff x_16 x_99)) (= ?cvcl_4 x_47)) (<= (+ ?cvcl_4 x_30) x_52)) (or $cvcl_46  (iff x_17 x_12) )) (iff x_105 x_96)) (iff x_106 x_97)) (= x_53 x_48)) $cvcl_44) $cvcl_45)  (and (and (and (and (and (and (and (and (and (= x_104 1) (iff x_106 x_96)) (= ?cvcl_4 x_48)) (<= (+ ?cvcl_4 x_31) x_53)) (or (and (and (= x_107 0) $cvcl_44) $cvcl_45)  (and (and (= x_107 1) (iff x_94 x_97)) (iff x_103 (not x_94))) )) (iff x_108 x_99)) (iff x_16 x_12)) (= x_18 x_14)) (= x_52 x_47)) $cvcl_46) )) (or (or (and (and (and (= x_109 0) $cvcl_53) (or (not (<= x_49 ?cvcl_48))  (iff x_108 x_94) )) $cvcl_49)  (and (and (and (= x_109 1) $cvcl_47) (xor x_94  x_103 )) (= x_54 (+ ?cvcl_48 x_32))) )  (and (and (and (= x_109 2) $cvcl_47) (iff x_94 x_103)) $cvcl_49) )) (or (or (and (and (and (= x_110 0) (not $cvcl_51)) (or (not $cvcl_50)  (iff x_105 x_13) )) $cvcl_52)  (and (and (and (= x_110 1) $cvcl_51) (xor x_13  x_17 )) (= x_56 (+ ?cvcl_4 x_36))) )  (and (and (and (= x_110 2) $cvcl_51) (iff x_13 x_17)) $cvcl_52) )) (or (or (and (and (and (= x_111 0) $cvcl_53) (or (not (<= x_50 ?cvcl_48))  (= x_18 x_15) )) $cvcl_55)  (and (and (and (= x_111 1) $cvcl_47) (not $cvcl_54)) (= x_55 (+ ?cvcl_48 x_32))) )  (and (and (and (= x_111 2) $cvcl_47) $cvcl_54) $cvcl_55) )) (or (and (and (and (and (and (and (and (and (and (= x_95 0) (iff x_12 x_90)) (= ?cvcl_5 x_42)) (<= (+ ?cvcl_5 x_30) x_47)) (or $cvcl_58  (iff x_13 x_8) )) (iff x_96 x_87)) (iff x_97 x_88)) (= x_48 x_43)) $cvcl_56) $cvcl_57)  (and (and (and (and (and (and (and (and (and (= x_95 1) (iff x_97 x_87)) (= ?cvcl_5 x_43)) (<= (+ ?cvcl_5 x_31) x_48)) (or (and (and (= x_98 0) $cvcl_56) $cvcl_57)  (and (and (= x_98 1) (iff x_85 x_88)) (iff x_94 (not x_85))) )) (iff x_99 x_90)) (iff x_12 x_8)) (= x_14 x_10)) (= x_47 x_42)) $cvcl_58) )) (or (or (and (and (and (= x_100 0) $cvcl_65) (or (not (<= x_44 ?cvcl_60))  (iff x_99 x_85) )) $cvcl_61)  (and (and (and (= x_100 1) $cvcl_59) (xor x_85  x_94 )) (= x_49 (+ ?cvcl_60 x_32))) )  (and (and (and (= x_100 2) $cvcl_59) (iff x_85 x_94)) $cvcl_61) )) (or (or (and (and (and (= x_101 0) (not $cvcl_63)) (or (not $cvcl_62)  (iff x_96 x_9) )) $cvcl_64)  (and (and (and (= x_101 1) $cvcl_63) (xor x_9  x_13 )) (= x_51 (+ ?cvcl_5 x_36))) )  (and (and (and (= x_101 2) $cvcl_63) (iff x_9 x_13)) $cvcl_64) )) (or (or (and (and (and (= x_102 0) $cvcl_65) (or (not (<= x_45 ?cvcl_60))  (= x_14 x_11) )) $cvcl_67)  (and (and (and (= x_102 1) $cvcl_59) (not $cvcl_66)) (= x_50 (+ ?cvcl_60 x_32))) )  (and (and (and (= x_102 2) $cvcl_59) $cvcl_66) $cvcl_67) )) (or (and (and (and (and (and (and (and (and (and (= x_86 0) (iff x_8 x_81)) (= ?cvcl_6 x_37)) (<= (+ ?cvcl_6 x_30) x_42)) (or $cvcl_70  (iff x_9 x_4) )) (iff x_87 x_76)) (iff x_88 x_78)) (= x_43 x_38)) $cvcl_68) $cvcl_69)  (and (and (and (and (and (and (and (and (and (= x_86 1) (iff x_88 x_76)) (= ?cvcl_6 x_38)) (<= (+ ?cvcl_6 x_31) x_43)) (or (and (and (= x_89 0) $cvcl_68) $cvcl_69)  (and (and (= x_89 1) (iff x_72 x_78)) (iff x_85 (not x_72))) )) (iff x_90 x_81)) (iff x_8 x_4)) (= x_10 x_6)) (= x_42 x_37)) $cvcl_70) )) (or (or (and (and (and (= x_91 0) $cvcl_77) (or (not (<= x_39 ?cvcl_72))  (iff x_90 x_72) )) $cvcl_73)  (and (and (and (= x_91 1) $cvcl_71) (xor x_72  x_85 )) (= x_44 (+ ?cvcl_72 x_32))) )  (and (and (and (= x_91 2) $cvcl_71) (iff x_72 x_85)) $cvcl_73) )) (or (or (and (and (and (= x_92 0) (not $cvcl_75)) (or (not $cvcl_74)  (iff x_87 x_5) )) $cvcl_76)  (and (and (and (= x_92 1) $cvcl_75) (xor x_5  x_9 )) (= x_46 (+ ?cvcl_6 x_36))) )  (and (and (and (= x_92 2) $cvcl_75) (iff x_5 x_9)) $cvcl_76) )) (or (or (and (and (and (= x_93 0) $cvcl_77) (or (not (<= x_40 ?cvcl_72))  (= x_10 x_7) )) $cvcl_79)  (and (and (and (= x_93 1) $cvcl_71) (not $cvcl_78)) (= x_45 (+ ?cvcl_72 x_32))) )  (and (and (and (= x_93 2) $cvcl_71) $cvcl_78) $cvcl_79) )) (or (and (and (and (and (and (and (and (and (and (= x_74 0) (iff x_4 x_75)) (= ?cvcl_7 x_28)) (<= (+ ?cvcl_7 x_30) x_37)) (or $cvcl_82  (iff x_5 x_0) )) (iff x_76 x_77)) (iff x_78 x_79)) (= x_38 x_29)) $cvcl_80) $cvcl_81)  (and (and (and (and (and (and (and (and (and (= x_74 1) (iff x_78 x_77)) (= ?cvcl_7 x_29)) (<= (+ ?cvcl_7 x_31) x_38)) (or (and (and (= x_80 0) $cvcl_80) $cvcl_81)  (and (and (= x_80 1) (iff x_73 x_79)) (iff x_72 (not x_73))) )) (iff x_81 x_75)) (iff x_4 x_0)) (= x_6 x_2)) (= x_37 x_28)) $cvcl_82) )) (or (or (and (and (and (= x_82 0) $cvcl_89) (or (not (<= x_33 ?cvcl_84))  (iff x_81 x_73) )) $cvcl_85)  (and (and (and (= x_82 1) $cvcl_83) (xor x_73  x_72 )) (= x_39 (+ ?cvcl_84 x_32))) )  (and (and (and (= x_82 2) $cvcl_83) (iff x_73 x_72)) $cvcl_85) )) (or (or (and (and (and (= x_83 0) (not $cvcl_87)) (or (not $cvcl_86)  (iff x_76 x_1) )) $cvcl_88)  (and (and (and (= x_83 1) $cvcl_87) (xor x_1  x_5 )) (= x_41 (+ ?cvcl_7 x_36))) )  (and (and (and (= x_83 2) $cvcl_87) (iff x_1 x_5)) $cvcl_88) )) (or (or (and (and (and (= x_84 0) $cvcl_89) (or (not (<= x_34 ?cvcl_84))  (= x_6 x_3) )) $cvcl_91)  (and (and (and (= x_84 1) $cvcl_83) (not $cvcl_90)) (= x_40 (+ ?cvcl_84 x_32))) )  (and (and (and (= x_84 2) $cvcl_83) $cvcl_90) $cvcl_91) )) (xor x_133  x_134 )) (not (= x_139 x_131)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
)
