(benchmark synch_circuit
  :source {
Fully parameterized specification and verification of a synchronizer   
circuit modeling metastability at various levels of refinement.     
A paper describing this specification, to be published in Designing     
Correct Circuits (DCC), 2006, is available from the authors.            

Geoffrey Brown, Indiana University <geobrown@cs.indiana.edu>
Lee Pike, Galois Connections, Inc. <leepike@galois.com>

Translated into CVC format by Leonardo de Moura.

This benchmark was automatically translated into SMT-LIB format from
CVC format using CVC Lite

}
  :status sat
:category { industrial }
:difficulty { 2 }
  :logic QF_LRA
  
  :extrapreds ((x_0))
  :extrapreds ((x_1))
  :extrafuns ((x_2 Real))
  :extrafuns ((x_3 Real))
  :extrapreds ((x_4))
  :extrapreds ((x_5))
  :extrafuns ((x_6 Real))
  :extrafuns ((x_7 Real))
  :extrapreds ((x_8))
  :extrapreds ((x_9))
  :extrafuns ((x_10 Real))
  :extrafuns ((x_11 Real))
  :extrapreds ((x_12))
  :extrapreds ((x_13))
  :extrafuns ((x_14 Real))
  :extrafuns ((x_15 Real))
  :extrapreds ((x_16))
  :extrapreds ((x_17))
  :extrafuns ((x_18 Real))
  :extrafuns ((x_19 Real))
  :extrapreds ((x_20))
  :extrapreds ((x_21))
  :extrafuns ((x_22 Real))
  :extrafuns ((x_23 Real))
  :extrapreds ((x_24))
  :extrapreds ((x_25))
  :extrafuns ((x_26 Real))
  :extrafuns ((x_27 Real))
  :extrapreds ((x_28))
  :extrapreds ((x_29))
  :extrafuns ((x_30 Real))
  :extrafuns ((x_31 Real))
  :extrapreds ((x_32))
  :extrapreds ((x_33))
  :extrafuns ((x_34 Real))
  :extrafuns ((x_35 Real))
  :extrapreds ((x_36))
  :extrapreds ((x_37))
  :extrafuns ((x_38 Real))
  :extrafuns ((x_39 Real))
  :extrapreds ((x_40))
  :extrapreds ((x_41))
  :extrafuns ((x_42 Real))
  :extrafuns ((x_43 Real))
  :extrafuns ((x_44 Real))
  :extrafuns ((x_45 Real))
  :extrafuns ((x_46 Real))
  :extrafuns ((x_47 Real))
  :extrafuns ((x_48 Real))
  :extrafuns ((x_49 Real))
  :extrafuns ((x_50 Real))
  :extrafuns ((x_51 Real))
  :extrafuns ((x_52 Real))
  :extrafuns ((x_53 Real))
  :extrafuns ((x_54 Real))
  :extrafuns ((x_55 Real))
  :extrafuns ((x_56 Real))
  :extrafuns ((x_57 Real))
  :extrafuns ((x_58 Real))
  :extrafuns ((x_59 Real))
  :extrafuns ((x_60 Real))
  :extrafuns ((x_61 Real))
  :extrafuns ((x_62 Real))
  :extrafuns ((x_63 Real))
  :extrafuns ((x_64 Real))
  :extrafuns ((x_65 Real))
  :extrafuns ((x_66 Real))
  :extrafuns ((x_67 Real))
  :extrafuns ((x_68 Real))
  :extrafuns ((x_69 Real))
  :extrafuns ((x_70 Real))
  :extrafuns ((x_71 Real))
  :extrafuns ((x_72 Real))
  :extrafuns ((x_73 Real))
  :extrafuns ((x_74 Real))
  :extrafuns ((x_75 Real))
  :extrafuns ((x_76 Real))
  :extrafuns ((x_77 Real))
  :extrafuns ((x_78 Real))
  :extrafuns ((x_79 Real))
  :extrafuns ((x_80 Real))
  :extrafuns ((x_81 Real))
  :extrafuns ((x_82 Real))
  :extrafuns ((x_83 Real))
  :extrafuns ((x_84 Real))
  :extrafuns ((x_85 Real))
  :extrafuns ((x_86 Real))
  :extrafuns ((x_87 Real))
  :extrafuns ((x_88 Real))
  :extrafuns ((x_89 Real))
  :extrafuns ((x_90 Real))
  :extrafuns ((x_91 Real))
  :extrafuns ((x_92 Real))
  :extrafuns ((x_93 Real))
  :extrafuns ((x_94 Real))
  :extrafuns ((x_95 Real))
  :extrafuns ((x_96 Real))
  :extrafuns ((x_97 Real))
  :extrafuns ((x_98 Real))
  :extrafuns ((x_99 Real))
  :extrafuns ((x_100 Real))
  :extrafuns ((x_101 Real))
  :extrafuns ((x_102 Real))
  :extrafuns ((x_103 Real))
  :extrafuns ((x_104 Real))
  :extrafuns ((x_105 Real))
  :extrafuns ((x_106 Real))
  :extrafuns ((x_107 Real))
  :extrapreds ((x_108))
  :extrapreds ((x_109))
  :extrafuns ((x_110 Real))
  :extrapreds ((x_111))
  :extrapreds ((x_112))
  :extrapreds ((x_113))
  :extrapreds ((x_114))
  :extrapreds ((x_115))
  :extrafuns ((x_116 Real))
  :extrapreds ((x_117))
  :extrafuns ((x_118 Real))
  :extrafuns ((x_119 Real))
  :extrafuns ((x_120 Real))
  :extrapreds ((x_121))
  :extrafuns ((x_122 Real))
  :extrapreds ((x_123))
  :extrapreds ((x_124))
  :extrafuns ((x_125 Real))
  :extrapreds ((x_126))
  :extrafuns ((x_127 Real))
  :extrafuns ((x_128 Real))
  :extrafuns ((x_129 Real))
  :extrapreds ((x_130))
  :extrafuns ((x_131 Real))
  :extrapreds ((x_132))
  :extrapreds ((x_133))
  :extrafuns ((x_134 Real))
  :extrapreds ((x_135))
  :extrafuns ((x_136 Real))
  :extrafuns ((x_137 Real))
  :extrafuns ((x_138 Real))
  :extrapreds ((x_139))
  :extrafuns ((x_140 Real))
  :extrapreds ((x_141))
  :extrapreds ((x_142))
  :extrafuns ((x_143 Real))
  :extrapreds ((x_144))
  :extrafuns ((x_145 Real))
  :extrafuns ((x_146 Real))
  :extrafuns ((x_147 Real))
  :extrapreds ((x_148))
  :extrafuns ((x_149 Real))
  :extrapreds ((x_150))
  :extrapreds ((x_151))
  :extrafuns ((x_152 Real))
  :extrapreds ((x_153))
  :extrafuns ((x_154 Real))
  :extrafuns ((x_155 Real))
  :extrafuns ((x_156 Real))
  :extrapreds ((x_157))
  :extrafuns ((x_158 Real))
  :extrapreds ((x_159))
  :extrapreds ((x_160))
  :extrafuns ((x_161 Real))
  :extrapreds ((x_162))
  :extrafuns ((x_163 Real))
  :extrafuns ((x_164 Real))
  :extrafuns ((x_165 Real))
  :extrapreds ((x_166))
  :extrafuns ((x_167 Real))
  :extrapreds ((x_168))
  :extrapreds ((x_169))
  :extrafuns ((x_170 Real))
  :extrapreds ((x_171))
  :extrafuns ((x_172 Real))
  :extrafuns ((x_173 Real))
  :extrafuns ((x_174 Real))
  :extrapreds ((x_175))
  :extrafuns ((x_176 Real))
  :extrapreds ((x_177))
  :extrapreds ((x_178))
  :extrafuns ((x_179 Real))
  :extrapreds ((x_180))
  :extrafuns ((x_181 Real))
  :extrafuns ((x_182 Real))
  :extrafuns ((x_183 Real))
  :extrapreds ((x_184))
  :extrafuns ((x_185 Real))
  :extrapreds ((x_186))
  :extrapreds ((x_187))
  :extrafuns ((x_188 Real))
  :extrapreds ((x_189))
  :extrafuns ((x_190 Real))
  :extrafuns ((x_191 Real))
  :extrafuns ((x_192 Real))
  :extrapreds ((x_193))
  :extrafuns ((x_194 Real))
  :extrapreds ((x_195))
  :extrapreds ((x_196))
  :extrafuns ((x_197 Real))
  :extrapreds ((x_198))
  :extrafuns ((x_199 Real))
  :extrafuns ((x_200 Real))
  :extrafuns ((x_201 Real))
  :extrapreds ((x_202))
  :extrafuns ((x_203 Real))
  :extrafuns ((x_204 Real))
  :extrapreds ((x_205))
  :extrapreds ((x_206))
  :extrapreds ((x_207))
  :extrapreds ((x_208))
  :extrafuns ((x_209 Real))
  :extrapreds ((x_210))
  :extrafuns ((x_211 Real))
  :extrafuns ((x_212 Real))
  :extrafuns ((x_213 Real))
  :extrafuns ((x_214 Real))
  :formula
(let (?cvcl_11 (ite (<= x_44 x_45) x_44 x_45)) (let (?cvcl_10 (ite (<= x_53 x_54) x_53 x_54)) (let (?cvcl_9 (ite (<= x_58 x_59) x_58 x_59)) (let (?cvcl_8 (ite (<= x_63 x_64) x_63 x_64)) (let (?cvcl_7 (ite (<= x_68 x_69) x_68 x_69)) (let (?cvcl_6 (ite (<= x_73 x_74) x_73 x_74)) (let (?cvcl_5 (ite (<= x_78 x_79) x_78 x_79)) (let (?cvcl_4 (ite (<= x_83 x_84) x_83 x_84)) (let (?cvcl_3 (ite (<= x_88 x_89) x_88 x_89)) (let (?cvcl_2 (ite (<= x_93 x_94) x_93 x_94)) (let (?cvcl_1 (ite (<= x_98 x_99) x_98 x_99)) (let (?cvcl_0 (ite (<= x_103 x_104) x_103 x_104)) (flet ($cvcl_137 (= x_55 x_49)) (flet ($cvcl_139 (= x_45 x_54)) (flet ($cvcl_140 (= x_57 x_51)) (flet ($cvcl_135 (= x_44 x_53)) (flet ($cvcl_141 (not $cvcl_135)) (flet ($cvcl_143 (= x_56 x_50)) (flet ($cvcl_132 (iff x_108 x_109)) (flet ($cvcl_133 (= x_7 x_3)) (let (?cvcl_136 (ite (<= x_45 x_44) x_45 x_44)) (flet ($cvcl_125 (= x_60 x_55)) (flet ($cvcl_127 (= x_54 x_59)) (flet ($cvcl_128 (= x_62 x_57)) (flet ($cvcl_123 (= x_53 x_58)) (flet ($cvcl_129 (not $cvcl_123)) (flet ($cvcl_131 (= x_61 x_56)) (flet ($cvcl_120 (iff x_121 x_108)) (flet ($cvcl_121 (= x_11 x_7)) (let (?cvcl_124 (ite (<= x_54 x_53) x_54 x_53)) (flet ($cvcl_113 (= x_65 x_60)) (flet ($cvcl_115 (= x_59 x_64)) (flet ($cvcl_116 (= x_67 x_62)) (flet ($cvcl_111 (= x_58 x_63)) (flet ($cvcl_117 (not $cvcl_111)) (flet ($cvcl_119 (= x_66 x_61)) (flet ($cvcl_108 (iff x_130 x_121)) (flet ($cvcl_109 (= x_15 x_11)) (let (?cvcl_112 (ite (<= x_59 x_58) x_59 x_58)) (flet ($cvcl_101 (= x_70 x_65)) (flet ($cvcl_103 (= x_64 x_69)) (flet ($cvcl_104 (= x_72 x_67)) (flet ($cvcl_99 (= x_63 x_68)) (flet ($cvcl_105 (not $cvcl_99)) (flet ($cvcl_107 (= x_71 x_66)) (flet ($cvcl_96 (iff x_139 x_130)) (flet ($cvcl_97 (= x_19 x_15)) (let (?cvcl_100 (ite (<= x_64 x_63) x_64 x_63)) (flet ($cvcl_89 (= x_75 x_70)) (flet ($cvcl_91 (= x_69 x_74)) (flet ($cvcl_92 (= x_77 x_72)) (flet ($cvcl_87 (= x_68 x_73)) (flet ($cvcl_93 (not $cvcl_87)) (flet ($cvcl_95 (= x_76 x_71)) (flet ($cvcl_84 (iff x_148 x_139)) (flet ($cvcl_85 (= x_23 x_19)) (let (?cvcl_88 (ite (<= x_69 x_68) x_69 x_68)) (flet ($cvcl_77 (= x_80 x_75)) (flet ($cvcl_79 (= x_74 x_79)) (flet ($cvcl_80 (= x_82 x_77)) (flet ($cvcl_75 (= x_73 x_78)) (flet ($cvcl_81 (not $cvcl_75)) (flet ($cvcl_83 (= x_81 x_76)) (flet ($cvcl_72 (iff x_157 x_148)) (flet ($cvcl_73 (= x_27 x_23)) (let (?cvcl_76 (ite (<= x_74 x_73) x_74 x_73)) (flet ($cvcl_65 (= x_85 x_80)) (flet ($cvcl_67 (= x_79 x_84)) (flet ($cvcl_68 (= x_87 x_82)) (flet ($cvcl_63 (= x_78 x_83)) (flet ($cvcl_69 (not $cvcl_63)) (flet ($cvcl_71 (= x_86 x_81)) (flet ($cvcl_60 (iff x_166 x_157)) (flet ($cvcl_61 (= x_31 x_27)) (let (?cvcl_64 (ite (<= x_79 x_78) x_79 x_78)) (flet ($cvcl_53 (= x_90 x_85)) (flet ($cvcl_55 (= x_84 x_89)) (flet ($cvcl_56 (= x_92 x_87)) (flet ($cvcl_51 (= x_83 x_88)) (flet ($cvcl_57 (not $cvcl_51)) (flet ($cvcl_59 (= x_91 x_86)) (flet ($cvcl_48 (iff x_175 x_166)) (flet ($cvcl_49 (= x_35 x_31)) (let (?cvcl_52 (ite (<= x_84 x_83) x_84 x_83)) (flet ($cvcl_41 (= x_95 x_90)) (flet ($cvcl_43 (= x_89 x_94)) (flet ($cvcl_44 (= x_97 x_92)) (flet ($cvcl_39 (= x_88 x_93)) (flet ($cvcl_45 (not $cvcl_39)) (flet ($cvcl_47 (= x_96 x_91)) (flet ($cvcl_36 (iff x_184 x_175)) (flet ($cvcl_37 (= x_39 x_35)) (let (?cvcl_40 (ite (<= x_89 x_88) x_89 x_88)) (flet ($cvcl_29 (= x_100 x_95)) (flet ($cvcl_31 (= x_94 x_99)) (flet ($cvcl_32 (= x_102 x_97)) (flet ($cvcl_27 (= x_93 x_98)) (flet ($cvcl_33 (not $cvcl_27)) (flet ($cvcl_35 (= x_101 x_96)) (flet ($cvcl_24 (iff x_193 x_184)) (flet ($cvcl_25 (= x_43 x_39)) (let (?cvcl_28 (ite (<= x_94 x_93) x_94 x_93)) (flet ($cvcl_17 (= x_105 x_100)) (flet ($cvcl_19 (= x_99 x_104)) (flet ($cvcl_20 (= x_107 x_102)) (flet ($cvcl_15 (= x_98 x_103)) (flet ($cvcl_21 (not $cvcl_15)) (flet ($cvcl_23 (= x_106 x_101)) (flet ($cvcl_12 (iff x_202 x_193)) (flet ($cvcl_13 (= x_203 x_43)) (let (?cvcl_16 (ite (<= x_99 x_98) x_99 x_98)) (flet ($cvcl_14 (iff x_206 x_41)) (flet ($cvcl_22 (= x_43 x_203)) (flet ($cvcl_26 (iff x_41 x_37)) (flet ($cvcl_34 (= x_39 x_43)) (flet ($cvcl_38 (iff x_37 x_33)) (flet ($cvcl_46 (= x_35 x_39)) (flet ($cvcl_50 (iff x_33 x_29)) (flet ($cvcl_58 (= x_31 x_35)) (flet ($cvcl_62 (iff x_29 x_25)) (flet ($cvcl_70 (= x_27 x_31)) (flet ($cvcl_74 (iff x_25 x_21)) (flet ($cvcl_82 (= x_23 x_27)) (flet ($cvcl_86 (iff x_21 x_17)) (flet ($cvcl_94 (= x_19 x_23)) (flet ($cvcl_98 (iff x_17 x_13)) (flet ($cvcl_106 (= x_15 x_19)) (flet ($cvcl_110 (iff x_13 x_9)) (flet ($cvcl_118 (= x_11 x_15)) (flet ($cvcl_122 (iff x_9 x_5)) (flet ($cvcl_130 (= x_7 x_11)) (flet ($cvcl_134 (iff x_5 x_1)) (flet ($cvcl_142 (= x_3 x_7)) (flet ($cvcl_18 (<= x_102 ?cvcl_1)) (flet ($cvcl_30 (<= x_97 ?cvcl_2)) (flet ($cvcl_42 (<= x_92 ?cvcl_3)) (flet ($cvcl_54 (<= x_87 ?cvcl_4)) (flet ($cvcl_66 (<= x_82 ?cvcl_5)) (flet ($cvcl_78 (<= x_77 ?cvcl_6)) (flet ($cvcl_90 (<= x_72 ?cvcl_7)) (flet ($cvcl_102 (<= x_67 ?cvcl_8)) (flet ($cvcl_114 (<= x_62 ?cvcl_9)) (flet ($cvcl_126 (<= x_57 ?cvcl_10)) (flet ($cvcl_138 (<= x_51 ?cvcl_11)) (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (> x_46 0) (> x_47 0)) (>= x_48 0)) (< x_48 x_46)) (< x_48 x_47)) (>= x_52 0)) (< x_52 x_46)) (< x_52 x_47)) (or (iff x_40 x_41)  (= x_42 x_43) )) (or (iff x_36 x_37)  (= x_38 x_39) )) (or (iff x_32 x_33)  (= x_34 x_35) )) (or (iff x_28 x_29)  (= x_30 x_31) )) (or (iff x_24 x_25)  (= x_26 x_27) )) (or (iff x_20 x_21)  (= x_22 x_23) )) (or (iff x_16 x_17)  (= x_18 x_19) )) (or (iff x_12 x_13)  (= x_14 x_15) )) (or (iff x_8 x_9)  (= x_10 x_11) )) (or (iff x_4 x_5)  (= x_6 x_7) )) (or (iff x_0 x_1)  (= x_2 x_3) )) (or (<= x_105 ?cvcl_0)  (<= (- (+ x_105 x_47) x_48) x_104) )) (or (<= x_106 ?cvcl_0)  (<= (- (+ x_106 x_47) x_48) x_104) )) (or (<= x_107 ?cvcl_0)  (<= (- (+ x_107 x_46) x_52) x_103) )) (<= x_107 (+ ?cvcl_0 x_52))) (<= x_106 (+ ?cvcl_0 x_48))) (<= x_105 (+ ?cvcl_0 x_48))) (<= ?cvcl_0 x_103)) (<= ?cvcl_0 x_104)) (or (<= x_100 ?cvcl_1)  (<= (- (+ x_100 x_47) x_48) x_99) )) (or (<= x_101 ?cvcl_1)  (<= (- (+ x_101 x_47) x_48) x_99) )) (or $cvcl_18  (<= (- (+ x_102 x_46) x_52) x_98) )) (<= x_102 (+ ?cvcl_1 x_52))) (<= x_101 (+ ?cvcl_1 x_48))) (<= x_100 (+ ?cvcl_1 x_48))) (<= ?cvcl_1 x_98)) (<= ?cvcl_1 x_99)) (or (<= x_95 ?cvcl_2)  (<= (- (+ x_95 x_47) x_48) x_94) )) (or (<= x_96 ?cvcl_2)  (<= (- (+ x_96 x_47) x_48) x_94) )) (or $cvcl_30  (<= (- (+ x_97 x_46) x_52) x_93) )) (<= x_97 (+ ?cvcl_2 x_52))) (<= x_96 (+ ?cvcl_2 x_48))) (<= x_95 (+ ?cvcl_2 x_48))) (<= ?cvcl_2 x_93)) (<= ?cvcl_2 x_94)) (or (<= x_90 ?cvcl_3)  (<= (- (+ x_90 x_47) x_48) x_89) )) (or (<= x_91 ?cvcl_3)  (<= (- (+ x_91 x_47) x_48) x_89) )) (or $cvcl_42  (<= (- (+ x_92 x_46) x_52) x_88) )) (<= x_92 (+ ?cvcl_3 x_52))) (<= x_91 (+ ?cvcl_3 x_48))) (<= x_90 (+ ?cvcl_3 x_48))) (<= ?cvcl_3 x_88)) (<= ?cvcl_3 x_89)) (or (<= x_85 ?cvcl_4)  (<= (- (+ x_85 x_47) x_48) x_84) )) (or (<= x_86 ?cvcl_4)  (<= (- (+ x_86 x_47) x_48) x_84) )) (or $cvcl_54  (<= (- (+ x_87 x_46) x_52) x_83) )) (<= x_87 (+ ?cvcl_4 x_52))) (<= x_86 (+ ?cvcl_4 x_48))) (<= x_85 (+ ?cvcl_4 x_48))) (<= ?cvcl_4 x_83)) (<= ?cvcl_4 x_84)) (or (<= x_80 ?cvcl_5)  (<= (- (+ x_80 x_47) x_48) x_79) )) (or (<= x_81 ?cvcl_5)  (<= (- (+ x_81 x_47) x_48) x_79) )) (or $cvcl_66  (<= (- (+ x_82 x_46) x_52) x_78) )) (<= x_82 (+ ?cvcl_5 x_52))) (<= x_81 (+ ?cvcl_5 x_48))) (<= x_80 (+ ?cvcl_5 x_48))) (<= ?cvcl_5 x_78)) (<= ?cvcl_5 x_79)) (or (<= x_75 ?cvcl_6)  (<= (- (+ x_75 x_47) x_48) x_74) )) (or (<= x_76 ?cvcl_6)  (<= (- (+ x_76 x_47) x_48) x_74) )) (or $cvcl_78  (<= (- (+ x_77 x_46) x_52) x_73) )) (<= x_77 (+ ?cvcl_6 x_52))) (<= x_76 (+ ?cvcl_6 x_48))) (<= x_75 (+ ?cvcl_6 x_48))) (<= ?cvcl_6 x_73)) (<= ?cvcl_6 x_74)) (or (<= x_70 ?cvcl_7)  (<= (- (+ x_70 x_47) x_48) x_69) )) (or (<= x_71 ?cvcl_7)  (<= (- (+ x_71 x_47) x_48) x_69) )) (or $cvcl_90  (<= (- (+ x_72 x_46) x_52) x_68) )) (<= x_72 (+ ?cvcl_7 x_52))) (<= x_71 (+ ?cvcl_7 x_48))) (<= x_70 (+ ?cvcl_7 x_48))) (<= ?cvcl_7 x_68)) (<= ?cvcl_7 x_69)) (or (<= x_65 ?cvcl_8)  (<= (- (+ x_65 x_47) x_48) x_64) )) (or (<= x_66 ?cvcl_8)  (<= (- (+ x_66 x_47) x_48) x_64) )) (or $cvcl_102  (<= (- (+ x_67 x_46) x_52) x_63) )) (<= x_67 (+ ?cvcl_8 x_52))) (<= x_66 (+ ?cvcl_8 x_48))) (<= x_65 (+ ?cvcl_8 x_48))) (<= ?cvcl_8 x_63)) (<= ?cvcl_8 x_64)) (or (<= x_60 ?cvcl_9)  (<= (- (+ x_60 x_47) x_48) x_59) )) (or (<= x_61 ?cvcl_9)  (<= (- (+ x_61 x_47) x_48) x_59) )) (or $cvcl_114  (<= (- (+ x_62 x_46) x_52) x_58) )) (<= x_62 (+ ?cvcl_9 x_52))) (<= x_61 (+ ?cvcl_9 x_48))) (<= x_60 (+ ?cvcl_9 x_48))) (<= ?cvcl_9 x_58)) (<= ?cvcl_9 x_59)) (or (<= x_55 ?cvcl_10)  (<= (- (+ x_55 x_47) x_48) x_54) )) (or (<= x_56 ?cvcl_10)  (<= (- (+ x_56 x_47) x_48) x_54) )) (or $cvcl_126  (<= (- (+ x_57 x_46) x_52) x_53) )) (<= x_57 (+ ?cvcl_10 x_52))) (<= x_56 (+ ?cvcl_10 x_48))) (<= x_55 (+ ?cvcl_10 x_48))) (<= ?cvcl_10 x_53)) (<= ?cvcl_10 x_54)) (or (<= x_49 ?cvcl_11)  (<= (- (+ x_49 x_47) x_48) x_45) )) (or (<= x_50 ?cvcl_11)  (<= (- (+ x_50 x_47) x_48) x_45) )) (or $cvcl_138  (<= (- (+ x_51 x_46) x_52) x_44) )) (<= x_51 (+ ?cvcl_11 x_52))) (<= x_50 (+ ?cvcl_11 x_48))) (<= x_49 (+ ?cvcl_11 x_48))) (<= ?cvcl_11 x_44)) (<= ?cvcl_11 x_45)) (or (and (and (and (and (and (and (and (and (and (= x_204 0) (iff x_205 x_198)) (= ?cvcl_1 x_98)) (<= (+ ?cvcl_1 x_46) x_103)) (or $cvcl_14  (iff x_206 x_40) )) (iff x_207 x_195)) (iff x_208 x_196)) (= x_104 x_99)) $cvcl_12) $cvcl_13)  (and (and (and (and (and (and (and (and (and (= x_204 1) (iff x_208 x_195)) (= ?cvcl_1 x_99)) (<= (+ ?cvcl_1 x_47) x_104)) (or (and (and (= x_209 0) $cvcl_12) $cvcl_13)  (and (and (= x_209 1) (iff x_193 x_196)) (iff x_202 (not x_193))) )) (iff x_210 x_198)) (iff x_205 x_40)) (= x_211 x_42)) (= x_103 x_98)) $cvcl_14) )) (or (or (and (and (and (= x_212 0) $cvcl_21) (or (not (<= x_100 ?cvcl_16))  (iff x_210 x_193) )) $cvcl_17)  (and (and (and (= x_212 1) $cvcl_15) (xor x_193  x_202 )) (= x_105 (+ ?cvcl_16 x_48))) )  (and (and (and (= x_212 2) $cvcl_15) (iff x_193 x_202)) $cvcl_17) )) (or (or (and (and (and (= x_213 0) (not $cvcl_19)) (or (not $cvcl_18)  (iff x_207 x_41) )) $cvcl_20)  (and (and (and (= x_213 1) $cvcl_19) (xor x_41  x_206 )) (= x_107 (+ ?cvcl_1 x_52))) )  (and (and (and (= x_213 2) $cvcl_19) (iff x_41 x_206)) $cvcl_20) )) (or (or (and (and (and (= x_214 0) $cvcl_21) (or (not (<= x_101 ?cvcl_16))  (= x_211 x_43) )) $cvcl_23)  (and (and (and (= x_214 1) $cvcl_15) (not $cvcl_22)) (= x_106 (+ ?cvcl_16 x_48))) )  (and (and (and (= x_214 2) $cvcl_15) $cvcl_22) $cvcl_23) )) (or (and (and (and (and (and (and (and (and (and (= x_194 0) (iff x_40 x_189)) (= ?cvcl_2 x_93)) (<= (+ ?cvcl_2 x_46) x_98)) (or $cvcl_26  (iff x_41 x_36) )) (iff x_195 x_186)) (iff x_196 x_187)) (= x_99 x_94)) $cvcl_24) $cvcl_25)  (and (and (and (and (and (and (and (and (and (= x_194 1) (iff x_196 x_186)) (= ?cvcl_2 x_94)) (<= (+ ?cvcl_2 x_47) x_99)) (or (and (and (= x_197 0) $cvcl_24) $cvcl_25)  (and (and (= x_197 1) (iff x_184 x_187)) (iff x_193 (not x_184))) )) (iff x_198 x_189)) (iff x_40 x_36)) (= x_42 x_38)) (= x_98 x_93)) $cvcl_26) )) (or (or (and (and (and (= x_199 0) $cvcl_33) (or (not (<= x_95 ?cvcl_28))  (iff x_198 x_184) )) $cvcl_29)  (and (and (and (= x_199 1) $cvcl_27) (xor x_184  x_193 )) (= x_100 (+ ?cvcl_28 x_48))) )  (and (and (and (= x_199 2) $cvcl_27) (iff x_184 x_193)) $cvcl_29) )) (or (or (and (and (and (= x_200 0) (not $cvcl_31)) (or (not $cvcl_30)  (iff x_195 x_37) )) $cvcl_32)  (and (and (and (= x_200 1) $cvcl_31) (xor x_37  x_41 )) (= x_102 (+ ?cvcl_2 x_52))) )  (and (and (and (= x_200 2) $cvcl_31) (iff x_37 x_41)) $cvcl_32) )) (or (or (and (and (and (= x_201 0) $cvcl_33) (or (not (<= x_96 ?cvcl_28))  (= x_42 x_39) )) $cvcl_35)  (and (and (and (= x_201 1) $cvcl_27) (not $cvcl_34)) (= x_101 (+ ?cvcl_28 x_48))) )  (and (and (and (= x_201 2) $cvcl_27) $cvcl_34) $cvcl_35) )) (or (and (and (and (and (and (and (and (and (and (= x_185 0) (iff x_36 x_180)) (= ?cvcl_3 x_88)) (<= (+ ?cvcl_3 x_46) x_93)) (or $cvcl_38  (iff x_37 x_32) )) (iff x_186 x_177)) (iff x_187 x_178)) (= x_94 x_89)) $cvcl_36) $cvcl_37)  (and (and (and (and (and (and (and (and (and (= x_185 1) (iff x_187 x_177)) (= ?cvcl_3 x_89)) (<= (+ ?cvcl_3 x_47) x_94)) (or (and (and (= x_188 0) $cvcl_36) $cvcl_37)  (and (and (= x_188 1) (iff x_175 x_178)) (iff x_184 (not x_175))) )) (iff x_189 x_180)) (iff x_36 x_32)) (= x_38 x_34)) (= x_93 x_88)) $cvcl_38) )) (or (or (and (and (and (= x_190 0) $cvcl_45) (or (not (<= x_90 ?cvcl_40))  (iff x_189 x_175) )) $cvcl_41)  (and (and (and (= x_190 1) $cvcl_39) (xor x_175  x_184 )) (= x_95 (+ ?cvcl_40 x_48))) )  (and (and (and (= x_190 2) $cvcl_39) (iff x_175 x_184)) $cvcl_41) )) (or (or (and (and (and (= x_191 0) (not $cvcl_43)) (or (not $cvcl_42)  (iff x_186 x_33) )) $cvcl_44)  (and (and (and (= x_191 1) $cvcl_43) (xor x_33  x_37 )) (= x_97 (+ ?cvcl_3 x_52))) )  (and (and (and (= x_191 2) $cvcl_43) (iff x_33 x_37)) $cvcl_44) )) (or (or (and (and (and (= x_192 0) $cvcl_45) (or (not (<= x_91 ?cvcl_40))  (= x_38 x_35) )) $cvcl_47)  (and (and (and (= x_192 1) $cvcl_39) (not $cvcl_46)) (= x_96 (+ ?cvcl_40 x_48))) )  (and (and (and (= x_192 2) $cvcl_39) $cvcl_46) $cvcl_47) )) (or (and (and (and (and (and (and (and (and (and (= x_176 0) (iff x_32 x_171)) (= ?cvcl_4 x_83)) (<= (+ ?cvcl_4 x_46) x_88)) (or $cvcl_50  (iff x_33 x_28) )) (iff x_177 x_168)) (iff x_178 x_169)) (= x_89 x_84)) $cvcl_48) $cvcl_49)  (and (and (and (and (and (and (and (and (and (= x_176 1) (iff x_178 x_168)) (= ?cvcl_4 x_84)) (<= (+ ?cvcl_4 x_47) x_89)) (or (and (and (= x_179 0) $cvcl_48) $cvcl_49)  (and (and (= x_179 1) (iff x_166 x_169)) (iff x_175 (not x_166))) )) (iff x_180 x_171)) (iff x_32 x_28)) (= x_34 x_30)) (= x_88 x_83)) $cvcl_50) )) (or (or (and (and (and (= x_181 0) $cvcl_57) (or (not (<= x_85 ?cvcl_52))  (iff x_180 x_166) )) $cvcl_53)  (and (and (and (= x_181 1) $cvcl_51) (xor x_166  x_175 )) (= x_90 (+ ?cvcl_52 x_48))) )  (and (and (and (= x_181 2) $cvcl_51) (iff x_166 x_175)) $cvcl_53) )) (or (or (and (and (and (= x_182 0) (not $cvcl_55)) (or (not $cvcl_54)  (iff x_177 x_29) )) $cvcl_56)  (and (and (and (= x_182 1) $cvcl_55) (xor x_29  x_33 )) (= x_92 (+ ?cvcl_4 x_52))) )  (and (and (and (= x_182 2) $cvcl_55) (iff x_29 x_33)) $cvcl_56) )) (or (or (and (and (and (= x_183 0) $cvcl_57) (or (not (<= x_86 ?cvcl_52))  (= x_34 x_31) )) $cvcl_59)  (and (and (and (= x_183 1) $cvcl_51) (not $cvcl_58)) (= x_91 (+ ?cvcl_52 x_48))) )  (and (and (and (= x_183 2) $cvcl_51) $cvcl_58) $cvcl_59) )) (or (and (and (and (and (and (and (and (and (and (= x_167 0) (iff x_28 x_162)) (= ?cvcl_5 x_78)) (<= (+ ?cvcl_5 x_46) x_83)) (or $cvcl_62  (iff x_29 x_24) )) (iff x_168 x_159)) (iff x_169 x_160)) (= x_84 x_79)) $cvcl_60) $cvcl_61)  (and (and (and (and (and (and (and (and (and (= x_167 1) (iff x_169 x_159)) (= ?cvcl_5 x_79)) (<= (+ ?cvcl_5 x_47) x_84)) (or (and (and (= x_170 0) $cvcl_60) $cvcl_61)  (and (and (= x_170 1) (iff x_157 x_160)) (iff x_166 (not x_157))) )) (iff x_171 x_162)) (iff x_28 x_24)) (= x_30 x_26)) (= x_83 x_78)) $cvcl_62) )) (or (or (and (and (and (= x_172 0) $cvcl_69) (or (not (<= x_80 ?cvcl_64))  (iff x_171 x_157) )) $cvcl_65)  (and (and (and (= x_172 1) $cvcl_63) (xor x_157  x_166 )) (= x_85 (+ ?cvcl_64 x_48))) )  (and (and (and (= x_172 2) $cvcl_63) (iff x_157 x_166)) $cvcl_65) )) (or (or (and (and (and (= x_173 0) (not $cvcl_67)) (or (not $cvcl_66)  (iff x_168 x_25) )) $cvcl_68)  (and (and (and (= x_173 1) $cvcl_67) (xor x_25  x_29 )) (= x_87 (+ ?cvcl_5 x_52))) )  (and (and (and (= x_173 2) $cvcl_67) (iff x_25 x_29)) $cvcl_68) )) (or (or (and (and (and (= x_174 0) $cvcl_69) (or (not (<= x_81 ?cvcl_64))  (= x_30 x_27) )) $cvcl_71)  (and (and (and (= x_174 1) $cvcl_63) (not $cvcl_70)) (= x_86 (+ ?cvcl_64 x_48))) )  (and (and (and (= x_174 2) $cvcl_63) $cvcl_70) $cvcl_71) )) (or (and (and (and (and (and (and (and (and (and (= x_158 0) (iff x_24 x_153)) (= ?cvcl_6 x_73)) (<= (+ ?cvcl_6 x_46) x_78)) (or $cvcl_74  (iff x_25 x_20) )) (iff x_159 x_150)) (iff x_160 x_151)) (= x_79 x_74)) $cvcl_72) $cvcl_73)  (and (and (and (and (and (and (and (and (and (= x_158 1) (iff x_160 x_150)) (= ?cvcl_6 x_74)) (<= (+ ?cvcl_6 x_47) x_79)) (or (and (and (= x_161 0) $cvcl_72) $cvcl_73)  (and (and (= x_161 1) (iff x_148 x_151)) (iff x_157 (not x_148))) )) (iff x_162 x_153)) (iff x_24 x_20)) (= x_26 x_22)) (= x_78 x_73)) $cvcl_74) )) (or (or (and (and (and (= x_163 0) $cvcl_81) (or (not (<= x_75 ?cvcl_76))  (iff x_162 x_148) )) $cvcl_77)  (and (and (and (= x_163 1) $cvcl_75) (xor x_148  x_157 )) (= x_80 (+ ?cvcl_76 x_48))) )  (and (and (and (= x_163 2) $cvcl_75) (iff x_148 x_157)) $cvcl_77) )) (or (or (and (and (and (= x_164 0) (not $cvcl_79)) (or (not $cvcl_78)  (iff x_159 x_21) )) $cvcl_80)  (and (and (and (= x_164 1) $cvcl_79) (xor x_21  x_25 )) (= x_82 (+ ?cvcl_6 x_52))) )  (and (and (and (= x_164 2) $cvcl_79) (iff x_21 x_25)) $cvcl_80) )) (or (or (and (and (and (= x_165 0) $cvcl_81) (or (not (<= x_76 ?cvcl_76))  (= x_26 x_23) )) $cvcl_83)  (and (and (and (= x_165 1) $cvcl_75) (not $cvcl_82)) (= x_81 (+ ?cvcl_76 x_48))) )  (and (and (and (= x_165 2) $cvcl_75) $cvcl_82) $cvcl_83) )) (or (and (and (and (and (and (and (and (and (and (= x_149 0) (iff x_20 x_144)) (= ?cvcl_7 x_68)) (<= (+ ?cvcl_7 x_46) x_73)) (or $cvcl_86  (iff x_21 x_16) )) (iff x_150 x_141)) (iff x_151 x_142)) (= x_74 x_69)) $cvcl_84) $cvcl_85)  (and (and (and (and (and (and (and (and (and (= x_149 1) (iff x_151 x_141)) (= ?cvcl_7 x_69)) (<= (+ ?cvcl_7 x_47) x_74)) (or (and (and (= x_152 0) $cvcl_84) $cvcl_85)  (and (and (= x_152 1) (iff x_139 x_142)) (iff x_148 (not x_139))) )) (iff x_153 x_144)) (iff x_20 x_16)) (= x_22 x_18)) (= x_73 x_68)) $cvcl_86) )) (or (or (and (and (and (= x_154 0) $cvcl_93) (or (not (<= x_70 ?cvcl_88))  (iff x_153 x_139) )) $cvcl_89)  (and (and (and (= x_154 1) $cvcl_87) (xor x_139  x_148 )) (= x_75 (+ ?cvcl_88 x_48))) )  (and (and (and (= x_154 2) $cvcl_87) (iff x_139 x_148)) $cvcl_89) )) (or (or (and (and (and (= x_155 0) (not $cvcl_91)) (or (not $cvcl_90)  (iff x_150 x_17) )) $cvcl_92)  (and (and (and (= x_155 1) $cvcl_91) (xor x_17  x_21 )) (= x_77 (+ ?cvcl_7 x_52))) )  (and (and (and (= x_155 2) $cvcl_91) (iff x_17 x_21)) $cvcl_92) )) (or (or (and (and (and (= x_156 0) $cvcl_93) (or (not (<= x_71 ?cvcl_88))  (= x_22 x_19) )) $cvcl_95)  (and (and (and (= x_156 1) $cvcl_87) (not $cvcl_94)) (= x_76 (+ ?cvcl_88 x_48))) )  (and (and (and (= x_156 2) $cvcl_87) $cvcl_94) $cvcl_95) )) (or (and (and (and (and (and (and (and (and (and (= x_140 0) (iff x_16 x_135)) (= ?cvcl_8 x_63)) (<= (+ ?cvcl_8 x_46) x_68)) (or $cvcl_98  (iff x_17 x_12) )) (iff x_141 x_132)) (iff x_142 x_133)) (= x_69 x_64)) $cvcl_96) $cvcl_97)  (and (and (and (and (and (and (and (and (and (= x_140 1) (iff x_142 x_132)) (= ?cvcl_8 x_64)) (<= (+ ?cvcl_8 x_47) x_69)) (or (and (and (= x_143 0) $cvcl_96) $cvcl_97)  (and (and (= x_143 1) (iff x_130 x_133)) (iff x_139 (not x_130))) )) (iff x_144 x_135)) (iff x_16 x_12)) (= x_18 x_14)) (= x_68 x_63)) $cvcl_98) )) (or (or (and (and (and (= x_145 0) $cvcl_105) (or (not (<= x_65 ?cvcl_100))  (iff x_144 x_130) )) $cvcl_101)  (and (and (and (= x_145 1) $cvcl_99) (xor x_130  x_139 )) (= x_70 (+ ?cvcl_100 x_48))) )  (and (and (and (= x_145 2) $cvcl_99) (iff x_130 x_139)) $cvcl_101) )) (or (or (and (and (and (= x_146 0) (not $cvcl_103)) (or (not $cvcl_102)  (iff x_141 x_13) )) $cvcl_104)  (and (and (and (= x_146 1) $cvcl_103) (xor x_13  x_17 )) (= x_72 (+ ?cvcl_8 x_52))) )  (and (and (and (= x_146 2) $cvcl_103) (iff x_13 x_17)) $cvcl_104) )) (or (or (and (and (and (= x_147 0) $cvcl_105) (or (not (<= x_66 ?cvcl_100))  (= x_18 x_15) )) $cvcl_107)  (and (and (and (= x_147 1) $cvcl_99) (not $cvcl_106)) (= x_71 (+ ?cvcl_100 x_48))) )  (and (and (and (= x_147 2) $cvcl_99) $cvcl_106) $cvcl_107) )) (or (and (and (and (and (and (and (and (and (and (= x_131 0) (iff x_12 x_126)) (= ?cvcl_9 x_58)) (<= (+ ?cvcl_9 x_46) x_63)) (or $cvcl_110  (iff x_13 x_8) )) (iff x_132 x_123)) (iff x_133 x_124)) (= x_64 x_59)) $cvcl_108) $cvcl_109)  (and (and (and (and (and (and (and (and (and (= x_131 1) (iff x_133 x_123)) (= ?cvcl_9 x_59)) (<= (+ ?cvcl_9 x_47) x_64)) (or (and (and (= x_134 0) $cvcl_108) $cvcl_109)  (and (and (= x_134 1) (iff x_121 x_124)) (iff x_130 (not x_121))) )) (iff x_135 x_126)) (iff x_12 x_8)) (= x_14 x_10)) (= x_63 x_58)) $cvcl_110) )) (or (or (and (and (and (= x_136 0) $cvcl_117) (or (not (<= x_60 ?cvcl_112))  (iff x_135 x_121) )) $cvcl_113)  (and (and (and (= x_136 1) $cvcl_111) (xor x_121  x_130 )) (= x_65 (+ ?cvcl_112 x_48))) )  (and (and (and (= x_136 2) $cvcl_111) (iff x_121 x_130)) $cvcl_113) )) (or (or (and (and (and (= x_137 0) (not $cvcl_115)) (or (not $cvcl_114)  (iff x_132 x_9) )) $cvcl_116)  (and (and (and (= x_137 1) $cvcl_115) (xor x_9  x_13 )) (= x_67 (+ ?cvcl_9 x_52))) )  (and (and (and (= x_137 2) $cvcl_115) (iff x_9 x_13)) $cvcl_116) )) (or (or (and (and (and (= x_138 0) $cvcl_117) (or (not (<= x_61 ?cvcl_112))  (= x_14 x_11) )) $cvcl_119)  (and (and (and (= x_138 1) $cvcl_111) (not $cvcl_118)) (= x_66 (+ ?cvcl_112 x_48))) )  (and (and (and (= x_138 2) $cvcl_111) $cvcl_118) $cvcl_119) )) (or (and (and (and (and (and (and (and (and (and (= x_122 0) (iff x_8 x_117)) (= ?cvcl_10 x_53)) (<= (+ ?cvcl_10 x_46) x_58)) (or $cvcl_122  (iff x_9 x_4) )) (iff x_123 x_112)) (iff x_124 x_114)) (= x_59 x_54)) $cvcl_120) $cvcl_121)  (and (and (and (and (and (and (and (and (and (= x_122 1) (iff x_124 x_112)) (= ?cvcl_10 x_54)) (<= (+ ?cvcl_10 x_47) x_59)) (or (and (and (= x_125 0) $cvcl_120) $cvcl_121)  (and (and (= x_125 1) (iff x_108 x_114)) (iff x_121 (not x_108))) )) (iff x_126 x_117)) (iff x_8 x_4)) (= x_10 x_6)) (= x_58 x_53)) $cvcl_122) )) (or (or (and (and (and (= x_127 0) $cvcl_129) (or (not (<= x_55 ?cvcl_124))  (iff x_126 x_108) )) $cvcl_125)  (and (and (and (= x_127 1) $cvcl_123) (xor x_108  x_121 )) (= x_60 (+ ?cvcl_124 x_48))) )  (and (and (and (= x_127 2) $cvcl_123) (iff x_108 x_121)) $cvcl_125) )) (or (or (and (and (and (= x_128 0) (not $cvcl_127)) (or (not $cvcl_126)  (iff x_123 x_5) )) $cvcl_128)  (and (and (and (= x_128 1) $cvcl_127) (xor x_5  x_9 )) (= x_62 (+ ?cvcl_10 x_52))) )  (and (and (and (= x_128 2) $cvcl_127) (iff x_5 x_9)) $cvcl_128) )) (or (or (and (and (and (= x_129 0) $cvcl_129) (or (not (<= x_56 ?cvcl_124))  (= x_10 x_7) )) $cvcl_131)  (and (and (and (= x_129 1) $cvcl_123) (not $cvcl_130)) (= x_61 (+ ?cvcl_124 x_48))) )  (and (and (and (= x_129 2) $cvcl_123) $cvcl_130) $cvcl_131) )) (or (and (and (and (and (and (and (and (and (and (= x_110 0) (iff x_4 x_111)) (= ?cvcl_11 x_44)) (<= (+ ?cvcl_11 x_46) x_53)) (or $cvcl_134  (iff x_5 x_0) )) (iff x_112 x_113)) (iff x_114 x_115)) (= x_54 x_45)) $cvcl_132) $cvcl_133)  (and (and (and (and (and (and (and (and (and (= x_110 1) (iff x_114 x_113)) (= ?cvcl_11 x_45)) (<= (+ ?cvcl_11 x_47) x_54)) (or (and (and (= x_116 0) $cvcl_132) $cvcl_133)  (and (and (= x_116 1) (iff x_109 x_115)) (iff x_108 (not x_109))) )) (iff x_117 x_111)) (iff x_4 x_0)) (= x_6 x_2)) (= x_53 x_44)) $cvcl_134) )) (or (or (and (and (and (= x_118 0) $cvcl_141) (or (not (<= x_49 ?cvcl_136))  (iff x_117 x_109) )) $cvcl_137)  (and (and (and (= x_118 1) $cvcl_135) (xor x_109  x_108 )) (= x_55 (+ ?cvcl_136 x_48))) )  (and (and (and (= x_118 2) $cvcl_135) (iff x_109 x_108)) $cvcl_137) )) (or (or (and (and (and (= x_119 0) (not $cvcl_139)) (or (not $cvcl_138)  (iff x_112 x_1) )) $cvcl_140)  (and (and (and (= x_119 1) $cvcl_139) (xor x_1  x_5 )) (= x_57 (+ ?cvcl_11 x_52))) )  (and (and (and (= x_119 2) $cvcl_139) (iff x_1 x_5)) $cvcl_140) )) (or (or (and (and (and (= x_120 0) $cvcl_141) (or (not (<= x_50 ?cvcl_136))  (= x_6 x_3) )) $cvcl_143)  (and (and (and (= x_120 1) $cvcl_135) (not $cvcl_142)) (= x_56 (+ ?cvcl_136 x_48))) )  (and (and (and (= x_120 2) $cvcl_135) $cvcl_142) $cvcl_143) )) (xor x_205  x_206 )) (not (= x_211 x_203)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
)
