(benchmark synch_circuit
  :source {
Fully parameterized specification and verification of a synchronizer   
circuit modeling metastability at various levels of refinement.     
A paper describing this specification, to be published in Designing     
Correct Circuits (DCC), 2006, is available from the authors.            

Geoffrey Brown, Indiana University <geobrown@cs.indiana.edu>
Lee Pike, Galois Connections, Inc. <leepike@galois.com>

Translated into CVC format by Leonardo de Moura.

This benchmark was automatically translated into SMT-LIB format from
CVC format using CVC Lite

}
  :status sat
:category { industrial }
:difficulty { 2 }
  :logic QF_LRA
  
  :extrapreds ((x_0))
  :extrapreds ((x_1))
  :extrafuns ((x_2 Real))
  :extrafuns ((x_3 Real))
  :extrapreds ((x_4))
  :extrapreds ((x_5))
  :extrafuns ((x_6 Real))
  :extrafuns ((x_7 Real))
  :extrapreds ((x_8))
  :extrapreds ((x_9))
  :extrafuns ((x_10 Real))
  :extrafuns ((x_11 Real))
  :extrapreds ((x_12))
  :extrapreds ((x_13))
  :extrafuns ((x_14 Real))
  :extrafuns ((x_15 Real))
  :extrapreds ((x_16))
  :extrapreds ((x_17))
  :extrafuns ((x_18 Real))
  :extrafuns ((x_19 Real))
  :extrapreds ((x_20))
  :extrapreds ((x_21))
  :extrafuns ((x_22 Real))
  :extrafuns ((x_23 Real))
  :extrapreds ((x_24))
  :extrapreds ((x_25))
  :extrafuns ((x_26 Real))
  :extrafuns ((x_27 Real))
  :extrapreds ((x_28))
  :extrapreds ((x_29))
  :extrafuns ((x_30 Real))
  :extrafuns ((x_31 Real))
  :extrapreds ((x_32))
  :extrapreds ((x_33))
  :extrafuns ((x_34 Real))
  :extrafuns ((x_35 Real))
  :extrapreds ((x_36))
  :extrapreds ((x_37))
  :extrafuns ((x_38 Real))
  :extrafuns ((x_39 Real))
  :extrapreds ((x_40))
  :extrapreds ((x_41))
  :extrafuns ((x_42 Real))
  :extrafuns ((x_43 Real))
  :extrapreds ((x_44))
  :extrapreds ((x_45))
  :extrapreds ((x_46))
  :extrapreds ((x_47))
  :extrafuns ((x_48 Real))
  :extrafuns ((x_49 Real))
  :extrafuns ((x_50 Real))
  :extrafuns ((x_51 Real))
  :extrapreds ((x_52))
  :extrapreds ((x_53))
  :extrapreds ((x_54))
  :extrapreds ((x_55))
  :extrafuns ((x_56 Real))
  :extrafuns ((x_57 Real))
  :extrafuns ((x_58 Real))
  :extrafuns ((x_59 Real))
  :extrapreds ((x_60))
  :extrapreds ((x_61))
  :extrapreds ((x_62))
  :extrapreds ((x_63))
  :extrafuns ((x_64 Real))
  :extrafuns ((x_65 Real))
  :extrafuns ((x_66 Real))
  :extrafuns ((x_67 Real))
  :extrapreds ((x_68))
  :extrapreds ((x_69))
  :extrapreds ((x_70))
  :extrapreds ((x_71))
  :extrafuns ((x_72 Real))
  :extrafuns ((x_73 Real))
  :extrafuns ((x_74 Real))
  :extrafuns ((x_75 Real))
  :extrapreds ((x_76))
  :extrapreds ((x_77))
  :extrapreds ((x_78))
  :extrapreds ((x_79))
  :extrafuns ((x_80 Real))
  :extrafuns ((x_81 Real))
  :extrafuns ((x_82 Real))
  :extrafuns ((x_83 Real))
  :extrapreds ((x_84))
  :extrapreds ((x_85))
  :extrapreds ((x_86))
  :extrapreds ((x_87))
  :extrafuns ((x_88 Real))
  :extrafuns ((x_89 Real))
  :extrafuns ((x_90 Real))
  :extrafuns ((x_91 Real))
  :extrapreds ((x_92))
  :extrapreds ((x_93))
  :extrapreds ((x_94))
  :extrapreds ((x_95))
  :extrafuns ((x_96 Real))
  :extrafuns ((x_97 Real))
  :extrafuns ((x_98 Real))
  :extrafuns ((x_99 Real))
  :extrapreds ((x_100))
  :extrapreds ((x_101))
  :extrapreds ((x_102))
  :extrapreds ((x_103))
  :extrafuns ((x_104 Real))
  :extrafuns ((x_105 Real))
  :extrafuns ((x_106 Real))
  :extrafuns ((x_107 Real))
  :extrapreds ((x_108))
  :extrapreds ((x_109))
  :extrapreds ((x_110))
  :extrapreds ((x_111))
  :extrafuns ((x_112 Real))
  :extrafuns ((x_113 Real))
  :extrafuns ((x_114 Real))
  :extrafuns ((x_115 Real))
  :extrapreds ((x_116))
  :extrapreds ((x_117))
  :extrapreds ((x_118))
  :extrapreds ((x_119))
  :extrafuns ((x_120 Real))
  :extrafuns ((x_121 Real))
  :extrafuns ((x_122 Real))
  :extrafuns ((x_123 Real))
  :extrapreds ((x_124))
  :extrapreds ((x_125))
  :extrapreds ((x_126))
  :extrapreds ((x_127))
  :extrafuns ((x_128 Real))
  :extrafuns ((x_129 Real))
  :extrafuns ((x_130 Real))
  :extrafuns ((x_131 Real))
  :extrapreds ((x_132))
  :extrapreds ((x_133))
  :extrapreds ((x_134))
  :extrapreds ((x_135))
  :extrapreds ((x_136))
  :extrapreds ((x_137))
  :extrafuns ((x_138 Real))
  :extrafuns ((x_139 Real))
  :extrafuns ((x_140 Real))
  :extrafuns ((x_141 Real))
  :extrafuns ((x_142 Real))
  :extrafuns ((x_143 Real))
  :extrafuns ((x_144 Real))
  :extrafuns ((x_145 Real))
  :extrafuns ((x_146 Real))
  :extrafuns ((x_147 Real))
  :extrafuns ((x_148 Real))
  :extrafuns ((x_149 Real))
  :extrafuns ((x_150 Real))
  :extrafuns ((x_151 Real))
  :extrafuns ((x_152 Real))
  :extrafuns ((x_153 Real))
  :extrafuns ((x_154 Real))
  :extrafuns ((x_155 Real))
  :extrafuns ((x_156 Real))
  :extrafuns ((x_157 Real))
  :extrafuns ((x_158 Real))
  :extrafuns ((x_159 Real))
  :extrafuns ((x_160 Real))
  :extrafuns ((x_161 Real))
  :extrafuns ((x_162 Real))
  :extrafuns ((x_163 Real))
  :extrafuns ((x_164 Real))
  :extrafuns ((x_165 Real))
  :extrafuns ((x_166 Real))
  :extrafuns ((x_167 Real))
  :extrafuns ((x_168 Real))
  :extrafuns ((x_169 Real))
  :extrafuns ((x_170 Real))
  :extrafuns ((x_171 Real))
  :extrafuns ((x_172 Real))
  :extrafuns ((x_173 Real))
  :extrafuns ((x_174 Real))
  :extrafuns ((x_175 Real))
  :extrafuns ((x_176 Real))
  :extrafuns ((x_177 Real))
  :extrafuns ((x_178 Real))
  :extrafuns ((x_179 Real))
  :extrafuns ((x_180 Real))
  :extrafuns ((x_181 Real))
  :extrafuns ((x_182 Real))
  :extrafuns ((x_183 Real))
  :extrafuns ((x_184 Real))
  :extrafuns ((x_185 Real))
  :extrafuns ((x_186 Real))
  :extrafuns ((x_187 Real))
  :extrafuns ((x_188 Real))
  :extrafuns ((x_189 Real))
  :extrafuns ((x_190 Real))
  :extrafuns ((x_191 Real))
  :extrafuns ((x_192 Real))
  :extrafuns ((x_193 Real))
  :extrafuns ((x_194 Real))
  :extrafuns ((x_195 Real))
  :extrafuns ((x_196 Real))
  :extrafuns ((x_197 Real))
  :extrafuns ((x_198 Real))
  :extrafuns ((x_199 Real))
  :extrafuns ((x_200 Real))
  :extrafuns ((x_201 Real))
  :extrafuns ((x_202 Real))
  :extrafuns ((x_203 Real))
  :extrafuns ((x_204 Real))
  :extrafuns ((x_205 Real))
  :extrafuns ((x_206 Real))
  :extrafuns ((x_207 Real))
  :extrafuns ((x_208 Real))
  :extrafuns ((x_209 Real))
  :extrafuns ((x_210 Real))
  :extrafuns ((x_211 Real))
  :extrafuns ((x_212 Real))
  :extrafuns ((x_213 Real))
  :extrafuns ((x_214 Real))
  :formula
(flet ($cvcl_137 (= x_57 x_49)) (flet ($cvcl_138 (= x_50 x_58)) (flet ($cvcl_139 (= x_59 x_51)) (flet ($cvcl_135 (= x_48 x_56)) (flet ($cvcl_140 (not $cvcl_135)) (flet ($cvcl_142 (= x_142 x_143)) (flet ($cvcl_131 (iff x_52 x_44)) (flet ($cvcl_132 (= x_7 x_3)) (let (?cvcl_136 (ite (<= x_50 x_48) x_50 x_48)) (let (?cvcl_130 (ite (<= x_48 x_50) x_48 x_50)) (flet ($cvcl_124 (= x_65 x_57)) (flet ($cvcl_125 (= x_58 x_66)) (flet ($cvcl_126 (= x_67 x_59)) (flet ($cvcl_122 (= x_56 x_64)) (flet ($cvcl_127 (not $cvcl_122)) (flet ($cvcl_129 (= x_153 x_142)) (flet ($cvcl_118 (iff x_60 x_52)) (flet ($cvcl_119 (= x_11 x_7)) (let (?cvcl_123 (ite (<= x_58 x_56) x_58 x_56)) (let (?cvcl_117 (ite (<= x_56 x_58) x_56 x_58)) (flet ($cvcl_111 (= x_73 x_65)) (flet ($cvcl_112 (= x_66 x_74)) (flet ($cvcl_113 (= x_75 x_67)) (flet ($cvcl_109 (= x_64 x_72)) (flet ($cvcl_114 (not $cvcl_109)) (flet ($cvcl_116 (= x_159 x_153)) (flet ($cvcl_105 (iff x_68 x_60)) (flet ($cvcl_106 (= x_15 x_11)) (let (?cvcl_110 (ite (<= x_66 x_64) x_66 x_64)) (let (?cvcl_104 (ite (<= x_64 x_66) x_64 x_66)) (flet ($cvcl_98 (= x_81 x_73)) (flet ($cvcl_99 (= x_74 x_82)) (flet ($cvcl_100 (= x_83 x_75)) (flet ($cvcl_96 (= x_72 x_80)) (flet ($cvcl_101 (not $cvcl_96)) (flet ($cvcl_103 (= x_165 x_159)) (flet ($cvcl_92 (iff x_76 x_68)) (flet ($cvcl_93 (= x_19 x_15)) (let (?cvcl_97 (ite (<= x_74 x_72) x_74 x_72)) (let (?cvcl_91 (ite (<= x_72 x_74) x_72 x_74)) (flet ($cvcl_85 (= x_89 x_81)) (flet ($cvcl_86 (= x_82 x_90)) (flet ($cvcl_87 (= x_91 x_83)) (flet ($cvcl_83 (= x_80 x_88)) (flet ($cvcl_88 (not $cvcl_83)) (flet ($cvcl_90 (= x_171 x_165)) (flet ($cvcl_79 (iff x_84 x_76)) (flet ($cvcl_80 (= x_23 x_19)) (let (?cvcl_84 (ite (<= x_82 x_80) x_82 x_80)) (let (?cvcl_78 (ite (<= x_80 x_82) x_80 x_82)) (flet ($cvcl_72 (= x_97 x_89)) (flet ($cvcl_73 (= x_90 x_98)) (flet ($cvcl_74 (= x_99 x_91)) (flet ($cvcl_70 (= x_88 x_96)) (flet ($cvcl_75 (not $cvcl_70)) (flet ($cvcl_77 (= x_177 x_171)) (flet ($cvcl_66 (iff x_92 x_84)) (flet ($cvcl_67 (= x_27 x_23)) (let (?cvcl_71 (ite (<= x_90 x_88) x_90 x_88)) (let (?cvcl_65 (ite (<= x_88 x_90) x_88 x_90)) (flet ($cvcl_59 (= x_105 x_97)) (flet ($cvcl_60 (= x_98 x_106)) (flet ($cvcl_61 (= x_107 x_99)) (flet ($cvcl_57 (= x_96 x_104)) (flet ($cvcl_62 (not $cvcl_57)) (flet ($cvcl_64 (= x_183 x_177)) (flet ($cvcl_53 (iff x_100 x_92)) (flet ($cvcl_54 (= x_31 x_27)) (let (?cvcl_58 (ite (<= x_98 x_96) x_98 x_96)) (let (?cvcl_52 (ite (<= x_96 x_98) x_96 x_98)) (flet ($cvcl_46 (= x_113 x_105)) (flet ($cvcl_47 (= x_106 x_114)) (flet ($cvcl_48 (= x_115 x_107)) (flet ($cvcl_44 (= x_104 x_112)) (flet ($cvcl_49 (not $cvcl_44)) (flet ($cvcl_51 (= x_189 x_183)) (flet ($cvcl_40 (iff x_108 x_100)) (flet ($cvcl_41 (= x_35 x_31)) (let (?cvcl_45 (ite (<= x_106 x_104) x_106 x_104)) (let (?cvcl_39 (ite (<= x_104 x_106) x_104 x_106)) (flet ($cvcl_33 (= x_121 x_113)) (flet ($cvcl_34 (= x_114 x_122)) (flet ($cvcl_35 (= x_123 x_115)) (flet ($cvcl_31 (= x_112 x_120)) (flet ($cvcl_36 (not $cvcl_31)) (flet ($cvcl_38 (= x_195 x_189)) (flet ($cvcl_27 (iff x_116 x_108)) (flet ($cvcl_28 (= x_39 x_35)) (let (?cvcl_32 (ite (<= x_114 x_112) x_114 x_112)) (let (?cvcl_26 (ite (<= x_112 x_114) x_112 x_114)) (flet ($cvcl_20 (= x_129 x_121)) (flet ($cvcl_21 (= x_122 x_130)) (flet ($cvcl_22 (= x_131 x_123)) (flet ($cvcl_18 (= x_120 x_128)) (flet ($cvcl_23 (not $cvcl_18)) (flet ($cvcl_25 (= x_201 x_195)) (flet ($cvcl_14 (iff x_124 x_116)) (flet ($cvcl_15 (= x_43 x_39)) (let (?cvcl_19 (ite (<= x_122 x_120) x_122 x_120)) (let (?cvcl_13 (ite (<= x_120 x_122) x_120 x_122)) (flet ($cvcl_7 (= x_139 x_129)) (flet ($cvcl_8 (= x_130 x_140)) (flet ($cvcl_9 (= x_141 x_131)) (flet ($cvcl_5 (= x_128 x_138)) (flet ($cvcl_10 (not $cvcl_5)) (flet ($cvcl_12 (= x_207 x_201)) (flet ($cvcl_1 (iff x_132 x_124)) (flet ($cvcl_2 (= x_208 x_43)) (let (?cvcl_6 (ite (<= x_130 x_128) x_130 x_128)) (let (?cvcl_0 (ite (<= x_128 x_130) x_128 x_130)) (flet ($cvcl_143 (xor x_134  x_135 )) (flet ($cvcl_3 (not x_124)) (flet ($cvcl_16 (not x_116)) (flet ($cvcl_29 (not x_108)) (flet ($cvcl_42 (not x_100)) (flet ($cvcl_55 (not x_92)) (flet ($cvcl_68 (not x_84)) (flet ($cvcl_81 (not x_76)) (flet ($cvcl_94 (not x_68)) (flet ($cvcl_107 (not x_60)) (flet ($cvcl_120 (not x_52)) (flet ($cvcl_133 (not x_44)) (flet ($cvcl_4 (iff x_135 x_41)) (flet ($cvcl_11 (= x_43 x_208)) (flet ($cvcl_17 (iff x_41 x_37)) (flet ($cvcl_24 (= x_39 x_43)) (flet ($cvcl_30 (iff x_37 x_33)) (flet ($cvcl_37 (= x_35 x_39)) (flet ($cvcl_43 (iff x_33 x_29)) (flet ($cvcl_50 (= x_31 x_35)) (flet ($cvcl_56 (iff x_29 x_25)) (flet ($cvcl_63 (= x_27 x_31)) (flet ($cvcl_69 (iff x_25 x_21)) (flet ($cvcl_76 (= x_23 x_27)) (flet ($cvcl_82 (iff x_21 x_17)) (flet ($cvcl_89 (= x_19 x_23)) (flet ($cvcl_95 (iff x_17 x_13)) (flet ($cvcl_102 (= x_15 x_19)) (flet ($cvcl_108 (iff x_13 x_9)) (flet ($cvcl_115 (= x_11 x_15)) (flet ($cvcl_121 (iff x_9 x_5)) (flet ($cvcl_128 (= x_7 x_11)) (flet ($cvcl_134 (iff x_5 x_1)) (flet ($cvcl_141 (= x_3 x_7)) (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (> x_144 0) (> x_145 0)) (>= x_146 0)) (< x_146 x_144)) (< x_146 x_145)) (>= x_151 0)) (< x_151 x_144)) (< x_151 x_145)) (or (iff x_40 x_41)  (= x_42 x_43) )) (or (iff x_36 x_37)  (= x_38 x_39) )) (or (iff x_32 x_33)  (= x_34 x_35) )) (or (iff x_28 x_29)  (= x_30 x_31) )) (or (iff x_24 x_25)  (= x_26 x_27) )) (or (iff x_20 x_21)  (= x_22 x_23) )) (or (iff x_16 x_17)  (= x_18 x_19) )) (or (iff x_12 x_13)  (= x_14 x_15) )) (or (iff x_8 x_9)  (= x_10 x_11) )) (or (iff x_4 x_5)  (= x_6 x_7) )) (or (iff x_0 x_1)  (= x_2 x_3) )) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_132  x_133 ) 1 0) (ite (xor x_133  x_134 ) 1 0)) (ite $cvcl_143 1 0)) (ite (xor x_135  x_136 ) 1 0)) (ite (xor x_136  x_137 ) 1 0)) (ite (xor x_137  (not x_132) ) 1 0)) (ite (and (iff x_132 x_133) (< x_138 x_139)) 1 0)) (ite (and (iff x_135 x_136) (< x_140 x_141)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_124  x_125 ) 1 0) (ite (xor x_125  x_40 ) 1 0)) (ite (xor x_40  x_41 ) 1 0)) (ite (xor x_41  x_126 ) 1 0)) (ite (xor x_126  x_127 ) 1 0)) (ite (xor x_127  $cvcl_3 ) 1 0)) (ite (and (iff x_124 x_125) (< x_128 x_129)) 1 0)) (ite (and (iff x_41 x_126) (< x_130 x_131)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_116  x_117 ) 1 0) (ite (xor x_117  x_36 ) 1 0)) (ite (xor x_36  x_37 ) 1 0)) (ite (xor x_37  x_118 ) 1 0)) (ite (xor x_118  x_119 ) 1 0)) (ite (xor x_119  $cvcl_16 ) 1 0)) (ite (and (iff x_116 x_117) (< x_120 x_121)) 1 0)) (ite (and (iff x_37 x_118) (< x_122 x_123)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_108  x_109 ) 1 0) (ite (xor x_109  x_32 ) 1 0)) (ite (xor x_32  x_33 ) 1 0)) (ite (xor x_33  x_110 ) 1 0)) (ite (xor x_110  x_111 ) 1 0)) (ite (xor x_111  $cvcl_29 ) 1 0)) (ite (and (iff x_108 x_109) (< x_112 x_113)) 1 0)) (ite (and (iff x_33 x_110) (< x_114 x_115)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_100  x_101 ) 1 0) (ite (xor x_101  x_28 ) 1 0)) (ite (xor x_28  x_29 ) 1 0)) (ite (xor x_29  x_102 ) 1 0)) (ite (xor x_102  x_103 ) 1 0)) (ite (xor x_103  $cvcl_42 ) 1 0)) (ite (and (iff x_100 x_101) (< x_104 x_105)) 1 0)) (ite (and (iff x_29 x_102) (< x_106 x_107)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_92  x_93 ) 1 0) (ite (xor x_93  x_24 ) 1 0)) (ite (xor x_24  x_25 ) 1 0)) (ite (xor x_25  x_94 ) 1 0)) (ite (xor x_94  x_95 ) 1 0)) (ite (xor x_95  $cvcl_55 ) 1 0)) (ite (and (iff x_92 x_93) (< x_96 x_97)) 1 0)) (ite (and (iff x_25 x_94) (< x_98 x_99)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_84  x_85 ) 1 0) (ite (xor x_85  x_20 ) 1 0)) (ite (xor x_20  x_21 ) 1 0)) (ite (xor x_21  x_86 ) 1 0)) (ite (xor x_86  x_87 ) 1 0)) (ite (xor x_87  $cvcl_68 ) 1 0)) (ite (and (iff x_84 x_85) (< x_88 x_89)) 1 0)) (ite (and (iff x_21 x_86) (< x_90 x_91)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_76  x_77 ) 1 0) (ite (xor x_77  x_16 ) 1 0)) (ite (xor x_16  x_17 ) 1 0)) (ite (xor x_17  x_78 ) 1 0)) (ite (xor x_78  x_79 ) 1 0)) (ite (xor x_79  $cvcl_81 ) 1 0)) (ite (and (iff x_76 x_77) (< x_80 x_81)) 1 0)) (ite (and (iff x_17 x_78) (< x_82 x_83)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_68  x_69 ) 1 0) (ite (xor x_69  x_12 ) 1 0)) (ite (xor x_12  x_13 ) 1 0)) (ite (xor x_13  x_70 ) 1 0)) (ite (xor x_70  x_71 ) 1 0)) (ite (xor x_71  $cvcl_94 ) 1 0)) (ite (and (iff x_68 x_69) (< x_72 x_73)) 1 0)) (ite (and (iff x_13 x_70) (< x_74 x_75)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_60  x_61 ) 1 0) (ite (xor x_61  x_8 ) 1 0)) (ite (xor x_8  x_9 ) 1 0)) (ite (xor x_9  x_62 ) 1 0)) (ite (xor x_62  x_63 ) 1 0)) (ite (xor x_63  $cvcl_107 ) 1 0)) (ite (and (iff x_60 x_61) (< x_64 x_65)) 1 0)) (ite (and (iff x_9 x_62) (< x_66 x_67)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_52  x_53 ) 1 0) (ite (xor x_53  x_4 ) 1 0)) (ite (xor x_4  x_5 ) 1 0)) (ite (xor x_5  x_54 ) 1 0)) (ite (xor x_54  x_55 ) 1 0)) (ite (xor x_55  $cvcl_120 ) 1 0)) (ite (and (iff x_52 x_53) (< x_56 x_57)) 1 0)) (ite (and (iff x_5 x_54) (< x_58 x_59)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_44  x_45 ) 1 0) (ite (xor x_45  x_0 ) 1 0)) (ite (xor x_0  x_1 ) 1 0)) (ite (xor x_1  x_46 ) 1 0)) (ite (xor x_46  x_47 ) 1 0)) (ite (xor x_47  $cvcl_133 ) 1 0)) (ite (and (iff x_44 x_45) (< x_48 x_49)) 1 0)) (ite (and (iff x_1 x_46) (< x_50 x_51)) 1 0)) 1)) (or (and (and (and (and (and (and (and (and (and (= x_209 0) (iff x_134 x_125)) (= ?cvcl_0 x_128)) (<= (+ ?cvcl_0 x_144) x_138)) (or $cvcl_4  (iff x_135 x_40) )) (iff x_136 x_126)) (iff x_137 x_127)) (= x_140 x_130)) $cvcl_1) $cvcl_2)  (and (and (and (and (and (and (and (and (and (= x_209 1) (iff x_137 x_126)) (= ?cvcl_0 x_130)) (<= (+ ?cvcl_0 x_145) x_140)) (or (and (and (= x_210 0) $cvcl_1) $cvcl_2)  (and (and (= x_210 1) (iff x_124 x_127)) (iff x_132 $cvcl_3)) )) (iff x_133 x_125)) (iff x_134 x_40)) (= x_211 x_42)) (= x_138 x_128)) $cvcl_4) )) (or (or (and (and (and (= x_212 0) $cvcl_10) (or (not (<= x_129 ?cvcl_6))  (iff x_133 x_124) )) $cvcl_7)  (and (and (and (= x_212 1) $cvcl_5) (xor x_124  x_132 )) (= x_139 (+ ?cvcl_6 x_146))) )  (and (and (and (= x_212 2) $cvcl_5) (iff x_124 x_132)) $cvcl_7) )) (or (or (and (and (and (= x_213 0) (not $cvcl_8)) (or (not (<= x_131 ?cvcl_0))  (iff x_136 x_41) )) $cvcl_9)  (and (and (and (= x_213 1) $cvcl_8) (xor x_41  x_135 )) (= x_141 (+ ?cvcl_0 x_151))) )  (and (and (and (= x_213 2) $cvcl_8) (iff x_41 x_135)) $cvcl_9) )) (or (or (and (and (and (= x_214 0) $cvcl_10) (or (not (<= x_201 ?cvcl_6))  (= x_211 x_43) )) $cvcl_12)  (and (and (and (= x_214 1) $cvcl_5) (not $cvcl_11)) (= x_207 (+ ?cvcl_6 x_146))) )  (and (and (and (= x_214 2) $cvcl_5) $cvcl_11) $cvcl_12) )) (or (and (and (and (and (and (and (and (and (and (= x_202 0) (iff x_40 x_117)) (= ?cvcl_13 x_120)) (<= (+ ?cvcl_13 x_144) x_128)) (or $cvcl_17  (iff x_41 x_36) )) (iff x_126 x_118)) (iff x_127 x_119)) (= x_130 x_122)) $cvcl_14) $cvcl_15)  (and (and (and (and (and (and (and (and (and (= x_202 1) (iff x_127 x_118)) (= ?cvcl_13 x_122)) (<= (+ ?cvcl_13 x_145) x_130)) (or (and (and (= x_203 0) $cvcl_14) $cvcl_15)  (and (and (= x_203 1) (iff x_116 x_119)) (iff x_124 $cvcl_16)) )) (iff x_125 x_117)) (iff x_40 x_36)) (= x_42 x_38)) (= x_128 x_120)) $cvcl_17) )) (or (or (and (and (and (= x_204 0) $cvcl_23) (or (not (<= x_121 ?cvcl_19))  (iff x_125 x_116) )) $cvcl_20)  (and (and (and (= x_204 1) $cvcl_18) (xor x_116  x_124 )) (= x_129 (+ ?cvcl_19 x_146))) )  (and (and (and (= x_204 2) $cvcl_18) (iff x_116 x_124)) $cvcl_20) )) (or (or (and (and (and (= x_205 0) (not $cvcl_21)) (or (not (<= x_123 ?cvcl_13))  (iff x_126 x_37) )) $cvcl_22)  (and (and (and (= x_205 1) $cvcl_21) (xor x_37  x_41 )) (= x_131 (+ ?cvcl_13 x_151))) )  (and (and (and (= x_205 2) $cvcl_21) (iff x_37 x_41)) $cvcl_22) )) (or (or (and (and (and (= x_206 0) $cvcl_23) (or (not (<= x_195 ?cvcl_19))  (= x_42 x_39) )) $cvcl_25)  (and (and (and (= x_206 1) $cvcl_18) (not $cvcl_24)) (= x_201 (+ ?cvcl_19 x_146))) )  (and (and (and (= x_206 2) $cvcl_18) $cvcl_24) $cvcl_25) )) (or (and (and (and (and (and (and (and (and (and (= x_196 0) (iff x_36 x_109)) (= ?cvcl_26 x_112)) (<= (+ ?cvcl_26 x_144) x_120)) (or $cvcl_30  (iff x_37 x_32) )) (iff x_118 x_110)) (iff x_119 x_111)) (= x_122 x_114)) $cvcl_27) $cvcl_28)  (and (and (and (and (and (and (and (and (and (= x_196 1) (iff x_119 x_110)) (= ?cvcl_26 x_114)) (<= (+ ?cvcl_26 x_145) x_122)) (or (and (and (= x_197 0) $cvcl_27) $cvcl_28)  (and (and (= x_197 1) (iff x_108 x_111)) (iff x_116 $cvcl_29)) )) (iff x_117 x_109)) (iff x_36 x_32)) (= x_38 x_34)) (= x_120 x_112)) $cvcl_30) )) (or (or (and (and (and (= x_198 0) $cvcl_36) (or (not (<= x_113 ?cvcl_32))  (iff x_117 x_108) )) $cvcl_33)  (and (and (and (= x_198 1) $cvcl_31) (xor x_108  x_116 )) (= x_121 (+ ?cvcl_32 x_146))) )  (and (and (and (= x_198 2) $cvcl_31) (iff x_108 x_116)) $cvcl_33) )) (or (or (and (and (and (= x_199 0) (not $cvcl_34)) (or (not (<= x_115 ?cvcl_26))  (iff x_118 x_33) )) $cvcl_35)  (and (and (and (= x_199 1) $cvcl_34) (xor x_33  x_37 )) (= x_123 (+ ?cvcl_26 x_151))) )  (and (and (and (= x_199 2) $cvcl_34) (iff x_33 x_37)) $cvcl_35) )) (or (or (and (and (and (= x_200 0) $cvcl_36) (or (not (<= x_189 ?cvcl_32))  (= x_38 x_35) )) $cvcl_38)  (and (and (and (= x_200 1) $cvcl_31) (not $cvcl_37)) (= x_195 (+ ?cvcl_32 x_146))) )  (and (and (and (= x_200 2) $cvcl_31) $cvcl_37) $cvcl_38) )) (or (and (and (and (and (and (and (and (and (and (= x_190 0) (iff x_32 x_101)) (= ?cvcl_39 x_104)) (<= (+ ?cvcl_39 x_144) x_112)) (or $cvcl_43  (iff x_33 x_28) )) (iff x_110 x_102)) (iff x_111 x_103)) (= x_114 x_106)) $cvcl_40) $cvcl_41)  (and (and (and (and (and (and (and (and (and (= x_190 1) (iff x_111 x_102)) (= ?cvcl_39 x_106)) (<= (+ ?cvcl_39 x_145) x_114)) (or (and (and (= x_191 0) $cvcl_40) $cvcl_41)  (and (and (= x_191 1) (iff x_100 x_103)) (iff x_108 $cvcl_42)) )) (iff x_109 x_101)) (iff x_32 x_28)) (= x_34 x_30)) (= x_112 x_104)) $cvcl_43) )) (or (or (and (and (and (= x_192 0) $cvcl_49) (or (not (<= x_105 ?cvcl_45))  (iff x_109 x_100) )) $cvcl_46)  (and (and (and (= x_192 1) $cvcl_44) (xor x_100  x_108 )) (= x_113 (+ ?cvcl_45 x_146))) )  (and (and (and (= x_192 2) $cvcl_44) (iff x_100 x_108)) $cvcl_46) )) (or (or (and (and (and (= x_193 0) (not $cvcl_47)) (or (not (<= x_107 ?cvcl_39))  (iff x_110 x_29) )) $cvcl_48)  (and (and (and (= x_193 1) $cvcl_47) (xor x_29  x_33 )) (= x_115 (+ ?cvcl_39 x_151))) )  (and (and (and (= x_193 2) $cvcl_47) (iff x_29 x_33)) $cvcl_48) )) (or (or (and (and (and (= x_194 0) $cvcl_49) (or (not (<= x_183 ?cvcl_45))  (= x_34 x_31) )) $cvcl_51)  (and (and (and (= x_194 1) $cvcl_44) (not $cvcl_50)) (= x_189 (+ ?cvcl_45 x_146))) )  (and (and (and (= x_194 2) $cvcl_44) $cvcl_50) $cvcl_51) )) (or (and (and (and (and (and (and (and (and (and (= x_184 0) (iff x_28 x_93)) (= ?cvcl_52 x_96)) (<= (+ ?cvcl_52 x_144) x_104)) (or $cvcl_56  (iff x_29 x_24) )) (iff x_102 x_94)) (iff x_103 x_95)) (= x_106 x_98)) $cvcl_53) $cvcl_54)  (and (and (and (and (and (and (and (and (and (= x_184 1) (iff x_103 x_94)) (= ?cvcl_52 x_98)) (<= (+ ?cvcl_52 x_145) x_106)) (or (and (and (= x_185 0) $cvcl_53) $cvcl_54)  (and (and (= x_185 1) (iff x_92 x_95)) (iff x_100 $cvcl_55)) )) (iff x_101 x_93)) (iff x_28 x_24)) (= x_30 x_26)) (= x_104 x_96)) $cvcl_56) )) (or (or (and (and (and (= x_186 0) $cvcl_62) (or (not (<= x_97 ?cvcl_58))  (iff x_101 x_92) )) $cvcl_59)  (and (and (and (= x_186 1) $cvcl_57) (xor x_92  x_100 )) (= x_105 (+ ?cvcl_58 x_146))) )  (and (and (and (= x_186 2) $cvcl_57) (iff x_92 x_100)) $cvcl_59) )) (or (or (and (and (and (= x_187 0) (not $cvcl_60)) (or (not (<= x_99 ?cvcl_52))  (iff x_102 x_25) )) $cvcl_61)  (and (and (and (= x_187 1) $cvcl_60) (xor x_25  x_29 )) (= x_107 (+ ?cvcl_52 x_151))) )  (and (and (and (= x_187 2) $cvcl_60) (iff x_25 x_29)) $cvcl_61) )) (or (or (and (and (and (= x_188 0) $cvcl_62) (or (not (<= x_177 ?cvcl_58))  (= x_30 x_27) )) $cvcl_64)  (and (and (and (= x_188 1) $cvcl_57) (not $cvcl_63)) (= x_183 (+ ?cvcl_58 x_146))) )  (and (and (and (= x_188 2) $cvcl_57) $cvcl_63) $cvcl_64) )) (or (and (and (and (and (and (and (and (and (and (= x_178 0) (iff x_24 x_85)) (= ?cvcl_65 x_88)) (<= (+ ?cvcl_65 x_144) x_96)) (or $cvcl_69  (iff x_25 x_20) )) (iff x_94 x_86)) (iff x_95 x_87)) (= x_98 x_90)) $cvcl_66) $cvcl_67)  (and (and (and (and (and (and (and (and (and (= x_178 1) (iff x_95 x_86)) (= ?cvcl_65 x_90)) (<= (+ ?cvcl_65 x_145) x_98)) (or (and (and (= x_179 0) $cvcl_66) $cvcl_67)  (and (and (= x_179 1) (iff x_84 x_87)) (iff x_92 $cvcl_68)) )) (iff x_93 x_85)) (iff x_24 x_20)) (= x_26 x_22)) (= x_96 x_88)) $cvcl_69) )) (or (or (and (and (and (= x_180 0) $cvcl_75) (or (not (<= x_89 ?cvcl_71))  (iff x_93 x_84) )) $cvcl_72)  (and (and (and (= x_180 1) $cvcl_70) (xor x_84  x_92 )) (= x_97 (+ ?cvcl_71 x_146))) )  (and (and (and (= x_180 2) $cvcl_70) (iff x_84 x_92)) $cvcl_72) )) (or (or (and (and (and (= x_181 0) (not $cvcl_73)) (or (not (<= x_91 ?cvcl_65))  (iff x_94 x_21) )) $cvcl_74)  (and (and (and (= x_181 1) $cvcl_73) (xor x_21  x_25 )) (= x_99 (+ ?cvcl_65 x_151))) )  (and (and (and (= x_181 2) $cvcl_73) (iff x_21 x_25)) $cvcl_74) )) (or (or (and (and (and (= x_182 0) $cvcl_75) (or (not (<= x_171 ?cvcl_71))  (= x_26 x_23) )) $cvcl_77)  (and (and (and (= x_182 1) $cvcl_70) (not $cvcl_76)) (= x_177 (+ ?cvcl_71 x_146))) )  (and (and (and (= x_182 2) $cvcl_70) $cvcl_76) $cvcl_77) )) (or (and (and (and (and (and (and (and (and (and (= x_172 0) (iff x_20 x_77)) (= ?cvcl_78 x_80)) (<= (+ ?cvcl_78 x_144) x_88)) (or $cvcl_82  (iff x_21 x_16) )) (iff x_86 x_78)) (iff x_87 x_79)) (= x_90 x_82)) $cvcl_79) $cvcl_80)  (and (and (and (and (and (and (and (and (and (= x_172 1) (iff x_87 x_78)) (= ?cvcl_78 x_82)) (<= (+ ?cvcl_78 x_145) x_90)) (or (and (and (= x_173 0) $cvcl_79) $cvcl_80)  (and (and (= x_173 1) (iff x_76 x_79)) (iff x_84 $cvcl_81)) )) (iff x_85 x_77)) (iff x_20 x_16)) (= x_22 x_18)) (= x_88 x_80)) $cvcl_82) )) (or (or (and (and (and (= x_174 0) $cvcl_88) (or (not (<= x_81 ?cvcl_84))  (iff x_85 x_76) )) $cvcl_85)  (and (and (and (= x_174 1) $cvcl_83) (xor x_76  x_84 )) (= x_89 (+ ?cvcl_84 x_146))) )  (and (and (and (= x_174 2) $cvcl_83) (iff x_76 x_84)) $cvcl_85) )) (or (or (and (and (and (= x_175 0) (not $cvcl_86)) (or (not (<= x_83 ?cvcl_78))  (iff x_86 x_17) )) $cvcl_87)  (and (and (and (= x_175 1) $cvcl_86) (xor x_17  x_21 )) (= x_91 (+ ?cvcl_78 x_151))) )  (and (and (and (= x_175 2) $cvcl_86) (iff x_17 x_21)) $cvcl_87) )) (or (or (and (and (and (= x_176 0) $cvcl_88) (or (not (<= x_165 ?cvcl_84))  (= x_22 x_19) )) $cvcl_90)  (and (and (and (= x_176 1) $cvcl_83) (not $cvcl_89)) (= x_171 (+ ?cvcl_84 x_146))) )  (and (and (and (= x_176 2) $cvcl_83) $cvcl_89) $cvcl_90) )) (or (and (and (and (and (and (and (and (and (and (= x_166 0) (iff x_16 x_69)) (= ?cvcl_91 x_72)) (<= (+ ?cvcl_91 x_144) x_80)) (or $cvcl_95  (iff x_17 x_12) )) (iff x_78 x_70)) (iff x_79 x_71)) (= x_82 x_74)) $cvcl_92) $cvcl_93)  (and (and (and (and (and (and (and (and (and (= x_166 1) (iff x_79 x_70)) (= ?cvcl_91 x_74)) (<= (+ ?cvcl_91 x_145) x_82)) (or (and (and (= x_167 0) $cvcl_92) $cvcl_93)  (and (and (= x_167 1) (iff x_68 x_71)) (iff x_76 $cvcl_94)) )) (iff x_77 x_69)) (iff x_16 x_12)) (= x_18 x_14)) (= x_80 x_72)) $cvcl_95) )) (or (or (and (and (and (= x_168 0) $cvcl_101) (or (not (<= x_73 ?cvcl_97))  (iff x_77 x_68) )) $cvcl_98)  (and (and (and (= x_168 1) $cvcl_96) (xor x_68  x_76 )) (= x_81 (+ ?cvcl_97 x_146))) )  (and (and (and (= x_168 2) $cvcl_96) (iff x_68 x_76)) $cvcl_98) )) (or (or (and (and (and (= x_169 0) (not $cvcl_99)) (or (not (<= x_75 ?cvcl_91))  (iff x_78 x_13) )) $cvcl_100)  (and (and (and (= x_169 1) $cvcl_99) (xor x_13  x_17 )) (= x_83 (+ ?cvcl_91 x_151))) )  (and (and (and (= x_169 2) $cvcl_99) (iff x_13 x_17)) $cvcl_100) )) (or (or (and (and (and (= x_170 0) $cvcl_101) (or (not (<= x_159 ?cvcl_97))  (= x_18 x_15) )) $cvcl_103)  (and (and (and (= x_170 1) $cvcl_96) (not $cvcl_102)) (= x_165 (+ ?cvcl_97 x_146))) )  (and (and (and (= x_170 2) $cvcl_96) $cvcl_102) $cvcl_103) )) (or (and (and (and (and (and (and (and (and (and (= x_160 0) (iff x_12 x_61)) (= ?cvcl_104 x_64)) (<= (+ ?cvcl_104 x_144) x_72)) (or $cvcl_108  (iff x_13 x_8) )) (iff x_70 x_62)) (iff x_71 x_63)) (= x_74 x_66)) $cvcl_105) $cvcl_106)  (and (and (and (and (and (and (and (and (and (= x_160 1) (iff x_71 x_62)) (= ?cvcl_104 x_66)) (<= (+ ?cvcl_104 x_145) x_74)) (or (and (and (= x_161 0) $cvcl_105) $cvcl_106)  (and (and (= x_161 1) (iff x_60 x_63)) (iff x_68 $cvcl_107)) )) (iff x_69 x_61)) (iff x_12 x_8)) (= x_14 x_10)) (= x_72 x_64)) $cvcl_108) )) (or (or (and (and (and (= x_162 0) $cvcl_114) (or (not (<= x_65 ?cvcl_110))  (iff x_69 x_60) )) $cvcl_111)  (and (and (and (= x_162 1) $cvcl_109) (xor x_60  x_68 )) (= x_73 (+ ?cvcl_110 x_146))) )  (and (and (and (= x_162 2) $cvcl_109) (iff x_60 x_68)) $cvcl_111) )) (or (or (and (and (and (= x_163 0) (not $cvcl_112)) (or (not (<= x_67 ?cvcl_104))  (iff x_70 x_9) )) $cvcl_113)  (and (and (and (= x_163 1) $cvcl_112) (xor x_9  x_13 )) (= x_75 (+ ?cvcl_104 x_151))) )  (and (and (and (= x_163 2) $cvcl_112) (iff x_9 x_13)) $cvcl_113) )) (or (or (and (and (and (= x_164 0) $cvcl_114) (or (not (<= x_153 ?cvcl_110))  (= x_14 x_11) )) $cvcl_116)  (and (and (and (= x_164 1) $cvcl_109) (not $cvcl_115)) (= x_159 (+ ?cvcl_110 x_146))) )  (and (and (and (= x_164 2) $cvcl_109) $cvcl_115) $cvcl_116) )) (or (and (and (and (and (and (and (and (and (and (= x_154 0) (iff x_8 x_53)) (= ?cvcl_117 x_56)) (<= (+ ?cvcl_117 x_144) x_64)) (or $cvcl_121  (iff x_9 x_4) )) (iff x_62 x_54)) (iff x_63 x_55)) (= x_66 x_58)) $cvcl_118) $cvcl_119)  (and (and (and (and (and (and (and (and (and (= x_154 1) (iff x_63 x_54)) (= ?cvcl_117 x_58)) (<= (+ ?cvcl_117 x_145) x_66)) (or (and (and (= x_155 0) $cvcl_118) $cvcl_119)  (and (and (= x_155 1) (iff x_52 x_55)) (iff x_60 $cvcl_120)) )) (iff x_61 x_53)) (iff x_8 x_4)) (= x_10 x_6)) (= x_64 x_56)) $cvcl_121) )) (or (or (and (and (and (= x_156 0) $cvcl_127) (or (not (<= x_57 ?cvcl_123))  (iff x_61 x_52) )) $cvcl_124)  (and (and (and (= x_156 1) $cvcl_122) (xor x_52  x_60 )) (= x_65 (+ ?cvcl_123 x_146))) )  (and (and (and (= x_156 2) $cvcl_122) (iff x_52 x_60)) $cvcl_124) )) (or (or (and (and (and (= x_157 0) (not $cvcl_125)) (or (not (<= x_59 ?cvcl_117))  (iff x_62 x_5) )) $cvcl_126)  (and (and (and (= x_157 1) $cvcl_125) (xor x_5  x_9 )) (= x_67 (+ ?cvcl_117 x_151))) )  (and (and (and (= x_157 2) $cvcl_125) (iff x_5 x_9)) $cvcl_126) )) (or (or (and (and (and (= x_158 0) $cvcl_127) (or (not (<= x_142 ?cvcl_123))  (= x_10 x_7) )) $cvcl_129)  (and (and (and (= x_158 1) $cvcl_122) (not $cvcl_128)) (= x_153 (+ ?cvcl_123 x_146))) )  (and (and (and (= x_158 2) $cvcl_122) $cvcl_128) $cvcl_129) )) (or (and (and (and (and (and (and (and (and (and (= x_147 0) (iff x_4 x_45)) (= ?cvcl_130 x_48)) (<= (+ ?cvcl_130 x_144) x_56)) (or $cvcl_134  (iff x_5 x_0) )) (iff x_54 x_46)) (iff x_55 x_47)) (= x_58 x_50)) $cvcl_131) $cvcl_132)  (and (and (and (and (and (and (and (and (and (= x_147 1) (iff x_55 x_46)) (= ?cvcl_130 x_50)) (<= (+ ?cvcl_130 x_145) x_58)) (or (and (and (= x_148 0) $cvcl_131) $cvcl_132)  (and (and (= x_148 1) (iff x_44 x_47)) (iff x_52 $cvcl_133)) )) (iff x_53 x_45)) (iff x_4 x_0)) (= x_6 x_2)) (= x_56 x_48)) $cvcl_134) )) (or (or (and (and (and (= x_149 0) $cvcl_140) (or (not (<= x_49 ?cvcl_136))  (iff x_53 x_44) )) $cvcl_137)  (and (and (and (= x_149 1) $cvcl_135) (xor x_44  x_52 )) (= x_57 (+ ?cvcl_136 x_146))) )  (and (and (and (= x_149 2) $cvcl_135) (iff x_44 x_52)) $cvcl_137) )) (or (or (and (and (and (= x_150 0) (not $cvcl_138)) (or (not (<= x_51 ?cvcl_130))  (iff x_54 x_1) )) $cvcl_139)  (and (and (and (= x_150 1) $cvcl_138) (xor x_1  x_5 )) (= x_59 (+ ?cvcl_130 x_151))) )  (and (and (and (= x_150 2) $cvcl_138) (iff x_1 x_5)) $cvcl_139) )) (or (or (and (and (and (= x_152 0) $cvcl_140) (or (not (<= x_143 ?cvcl_136))  (= x_6 x_3) )) $cvcl_142)  (and (and (and (= x_152 1) $cvcl_135) (not $cvcl_141)) (= x_142 (+ ?cvcl_136 x_146))) )  (and (and (and (= x_152 2) $cvcl_135) $cvcl_141) $cvcl_142) )) $cvcl_143) (not (= x_211 x_208)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
)
