(benchmark synch_circuit
  :source {
Fully parameterized specification and verification of a synchronizer   
circuit modeling metastability at various levels of refinement.     
A paper describing this specification, to be published in Designing     
Correct Circuits (DCC), 2006, is available from the authors.            

Geoffrey Brown, Indiana University <geobrown@cs.indiana.edu>
Lee Pike, Galois Connections, Inc. <leepike@galois.com>

Translated into CVC format by Leonardo de Moura.

This benchmark was automatically translated into SMT-LIB format from
CVC format using CVC Lite

}
  :status sat
:category { industrial }
:difficulty { 2 }
  :logic QF_LRA
  
  :extrapreds ((x_0))
  :extrapreds ((x_1))
  :extrafuns ((x_2 Real))
  :extrafuns ((x_3 Real))
  :extrapreds ((x_4))
  :extrapreds ((x_5))
  :extrafuns ((x_6 Real))
  :extrafuns ((x_7 Real))
  :extrapreds ((x_8))
  :extrapreds ((x_9))
  :extrafuns ((x_10 Real))
  :extrafuns ((x_11 Real))
  :extrapreds ((x_12))
  :extrapreds ((x_13))
  :extrafuns ((x_14 Real))
  :extrafuns ((x_15 Real))
  :extrapreds ((x_16))
  :extrapreds ((x_17))
  :extrafuns ((x_18 Real))
  :extrafuns ((x_19 Real))
  :extrapreds ((x_20))
  :extrapreds ((x_21))
  :extrafuns ((x_22 Real))
  :extrafuns ((x_23 Real))
  :extrapreds ((x_24))
  :extrapreds ((x_25))
  :extrafuns ((x_26 Real))
  :extrafuns ((x_27 Real))
  :extrapreds ((x_28))
  :extrapreds ((x_29))
  :extrafuns ((x_30 Real))
  :extrafuns ((x_31 Real))
  :extrapreds ((x_32))
  :extrapreds ((x_33))
  :extrafuns ((x_34 Real))
  :extrafuns ((x_35 Real))
  :extrapreds ((x_36))
  :extrapreds ((x_37))
  :extrafuns ((x_38 Real))
  :extrafuns ((x_39 Real))
  :extrapreds ((x_40))
  :extrapreds ((x_41))
  :extrafuns ((x_42 Real))
  :extrafuns ((x_43 Real))
  :extrapreds ((x_44))
  :extrapreds ((x_45))
  :extrafuns ((x_46 Real))
  :extrafuns ((x_47 Real))
  :extrapreds ((x_48))
  :extrapreds ((x_49))
  :extrafuns ((x_50 Real))
  :extrafuns ((x_51 Real))
  :extrapreds ((x_52))
  :extrapreds ((x_53))
  :extrafuns ((x_54 Real))
  :extrafuns ((x_55 Real))
  :extrapreds ((x_56))
  :extrapreds ((x_57))
  :extrafuns ((x_58 Real))
  :extrafuns ((x_59 Real))
  :extrapreds ((x_60))
  :extrapreds ((x_61))
  :extrafuns ((x_62 Real))
  :extrafuns ((x_63 Real))
  :extrapreds ((x_64))
  :extrapreds ((x_65))
  :extrafuns ((x_66 Real))
  :extrafuns ((x_67 Real))
  :extrapreds ((x_68))
  :extrapreds ((x_69))
  :extrafuns ((x_70 Real))
  :extrafuns ((x_71 Real))
  :extrapreds ((x_72))
  :extrapreds ((x_73))
  :extrafuns ((x_74 Real))
  :extrafuns ((x_75 Real))
  :extrapreds ((x_76))
  :extrapreds ((x_77))
  :extrafuns ((x_78 Real))
  :extrafuns ((x_79 Real))
  :extrapreds ((x_80))
  :extrapreds ((x_81))
  :extrafuns ((x_82 Real))
  :extrafuns ((x_83 Real))
  :extrapreds ((x_84))
  :extrapreds ((x_85))
  :extrafuns ((x_86 Real))
  :extrafuns ((x_87 Real))
  :extrafuns ((x_88 Real))
  :extrafuns ((x_89 Real))
  :extrafuns ((x_90 Real))
  :extrafuns ((x_91 Real))
  :extrafuns ((x_92 Real))
  :extrafuns ((x_93 Real))
  :extrafuns ((x_94 Real))
  :extrafuns ((x_95 Real))
  :extrafuns ((x_96 Real))
  :extrafuns ((x_97 Real))
  :extrapreds ((x_98))
  :extrapreds ((x_99))
  :extrafuns ((x_100 Real))
  :extrafuns ((x_101 Real))
  :extrafuns ((x_102 Real))
  :extrafuns ((x_103 Real))
  :extrapreds ((x_104))
  :extrapreds ((x_105))
  :extrapreds ((x_106))
  :extrapreds ((x_107))
  :extrapreds ((x_108))
  :extrafuns ((x_109 Real))
  :extrapreds ((x_110))
  :extrafuns ((x_111 Real))
  :extrafuns ((x_112 Real))
  :extrafuns ((x_113 Real))
  :extrafuns ((x_114 Real))
  :extrafuns ((x_115 Real))
  :extrafuns ((x_116 Real))
  :extrafuns ((x_117 Real))
  :extrafuns ((x_118 Real))
  :extrafuns ((x_119 Real))
  :extrapreds ((x_120))
  :extrafuns ((x_121 Real))
  :extrapreds ((x_122))
  :extrapreds ((x_123))
  :extrafuns ((x_124 Real))
  :extrapreds ((x_125))
  :extrafuns ((x_126 Real))
  :extrafuns ((x_127 Real))
  :extrafuns ((x_128 Real))
  :extrafuns ((x_129 Real))
  :extrafuns ((x_130 Real))
  :extrafuns ((x_131 Real))
  :extrafuns ((x_132 Real))
  :extrafuns ((x_133 Real))
  :extrapreds ((x_134))
  :extrafuns ((x_135 Real))
  :extrapreds ((x_136))
  :extrapreds ((x_137))
  :extrafuns ((x_138 Real))
  :extrapreds ((x_139))
  :extrafuns ((x_140 Real))
  :extrafuns ((x_141 Real))
  :extrafuns ((x_142 Real))
  :extrafuns ((x_143 Real))
  :extrafuns ((x_144 Real))
  :extrafuns ((x_145 Real))
  :extrafuns ((x_146 Real))
  :extrafuns ((x_147 Real))
  :extrapreds ((x_148))
  :extrafuns ((x_149 Real))
  :extrapreds ((x_150))
  :extrapreds ((x_151))
  :extrafuns ((x_152 Real))
  :extrapreds ((x_153))
  :extrafuns ((x_154 Real))
  :extrafuns ((x_155 Real))
  :extrafuns ((x_156 Real))
  :extrafuns ((x_157 Real))
  :extrafuns ((x_158 Real))
  :extrafuns ((x_159 Real))
  :extrafuns ((x_160 Real))
  :extrafuns ((x_161 Real))
  :extrapreds ((x_162))
  :extrafuns ((x_163 Real))
  :extrapreds ((x_164))
  :extrapreds ((x_165))
  :extrafuns ((x_166 Real))
  :extrapreds ((x_167))
  :extrafuns ((x_168 Real))
  :extrafuns ((x_169 Real))
  :extrafuns ((x_170 Real))
  :extrafuns ((x_171 Real))
  :extrafuns ((x_172 Real))
  :extrafuns ((x_173 Real))
  :extrafuns ((x_174 Real))
  :extrafuns ((x_175 Real))
  :extrapreds ((x_176))
  :extrafuns ((x_177 Real))
  :extrapreds ((x_178))
  :extrapreds ((x_179))
  :extrafuns ((x_180 Real))
  :extrapreds ((x_181))
  :extrafuns ((x_182 Real))
  :extrafuns ((x_183 Real))
  :extrafuns ((x_184 Real))
  :extrafuns ((x_185 Real))
  :extrafuns ((x_186 Real))
  :extrafuns ((x_187 Real))
  :extrafuns ((x_188 Real))
  :extrafuns ((x_189 Real))
  :extrapreds ((x_190))
  :extrafuns ((x_191 Real))
  :extrapreds ((x_192))
  :extrapreds ((x_193))
  :extrafuns ((x_194 Real))
  :extrapreds ((x_195))
  :extrafuns ((x_196 Real))
  :extrafuns ((x_197 Real))
  :extrafuns ((x_198 Real))
  :extrafuns ((x_199 Real))
  :extrafuns ((x_200 Real))
  :extrafuns ((x_201 Real))
  :extrafuns ((x_202 Real))
  :extrafuns ((x_203 Real))
  :extrapreds ((x_204))
  :extrafuns ((x_205 Real))
  :extrapreds ((x_206))
  :extrapreds ((x_207))
  :extrafuns ((x_208 Real))
  :extrapreds ((x_209))
  :extrafuns ((x_210 Real))
  :extrafuns ((x_211 Real))
  :extrafuns ((x_212 Real))
  :extrafuns ((x_213 Real))
  :extrafuns ((x_214 Real))
  :extrafuns ((x_215 Real))
  :extrafuns ((x_216 Real))
  :extrafuns ((x_217 Real))
  :extrapreds ((x_218))
  :extrafuns ((x_219 Real))
  :extrapreds ((x_220))
  :extrapreds ((x_221))
  :extrafuns ((x_222 Real))
  :extrapreds ((x_223))
  :extrafuns ((x_224 Real))
  :extrafuns ((x_225 Real))
  :extrafuns ((x_226 Real))
  :extrafuns ((x_227 Real))
  :extrafuns ((x_228 Real))
  :extrafuns ((x_229 Real))
  :extrafuns ((x_230 Real))
  :extrafuns ((x_231 Real))
  :extrapreds ((x_232))
  :extrafuns ((x_233 Real))
  :extrapreds ((x_234))
  :extrapreds ((x_235))
  :extrafuns ((x_236 Real))
  :extrapreds ((x_237))
  :extrafuns ((x_238 Real))
  :extrafuns ((x_239 Real))
  :extrafuns ((x_240 Real))
  :extrafuns ((x_241 Real))
  :extrafuns ((x_242 Real))
  :extrafuns ((x_243 Real))
  :extrafuns ((x_244 Real))
  :extrafuns ((x_245 Real))
  :extrapreds ((x_246))
  :extrafuns ((x_247 Real))
  :extrapreds ((x_248))
  :extrapreds ((x_249))
  :extrafuns ((x_250 Real))
  :extrapreds ((x_251))
  :extrafuns ((x_252 Real))
  :extrafuns ((x_253 Real))
  :extrafuns ((x_254 Real))
  :extrafuns ((x_255 Real))
  :extrafuns ((x_256 Real))
  :extrafuns ((x_257 Real))
  :extrafuns ((x_258 Real))
  :extrafuns ((x_259 Real))
  :extrapreds ((x_260))
  :extrafuns ((x_261 Real))
  :extrapreds ((x_262))
  :extrapreds ((x_263))
  :extrafuns ((x_264 Real))
  :extrapreds ((x_265))
  :extrafuns ((x_266 Real))
  :extrafuns ((x_267 Real))
  :extrafuns ((x_268 Real))
  :extrafuns ((x_269 Real))
  :extrafuns ((x_270 Real))
  :extrafuns ((x_271 Real))
  :extrafuns ((x_272 Real))
  :extrafuns ((x_273 Real))
  :extrapreds ((x_274))
  :extrafuns ((x_275 Real))
  :extrapreds ((x_276))
  :extrapreds ((x_277))
  :extrafuns ((x_278 Real))
  :extrapreds ((x_279))
  :extrafuns ((x_280 Real))
  :extrafuns ((x_281 Real))
  :extrafuns ((x_282 Real))
  :extrafuns ((x_283 Real))
  :extrafuns ((x_284 Real))
  :extrafuns ((x_285 Real))
  :extrafuns ((x_286 Real))
  :extrafuns ((x_287 Real))
  :extrapreds ((x_288))
  :extrafuns ((x_289 Real))
  :extrapreds ((x_290))
  :extrapreds ((x_291))
  :extrafuns ((x_292 Real))
  :extrapreds ((x_293))
  :extrafuns ((x_294 Real))
  :extrafuns ((x_295 Real))
  :extrafuns ((x_296 Real))
  :extrafuns ((x_297 Real))
  :extrafuns ((x_298 Real))
  :extrafuns ((x_299 Real))
  :extrafuns ((x_300 Real))
  :extrafuns ((x_301 Real))
  :extrapreds ((x_302))
  :extrafuns ((x_303 Real))
  :extrapreds ((x_304))
  :extrapreds ((x_305))
  :extrafuns ((x_306 Real))
  :extrapreds ((x_307))
  :extrafuns ((x_308 Real))
  :extrafuns ((x_309 Real))
  :extrafuns ((x_310 Real))
  :extrafuns ((x_311 Real))
  :extrafuns ((x_312 Real))
  :extrafuns ((x_313 Real))
  :extrafuns ((x_314 Real))
  :extrafuns ((x_315 Real))
  :extrapreds ((x_316))
  :extrafuns ((x_317 Real))
  :extrapreds ((x_318))
  :extrapreds ((x_319))
  :extrafuns ((x_320 Real))
  :extrapreds ((x_321))
  :extrafuns ((x_322 Real))
  :extrafuns ((x_323 Real))
  :extrafuns ((x_324 Real))
  :extrafuns ((x_325 Real))
  :extrafuns ((x_326 Real))
  :extrafuns ((x_327 Real))
  :extrafuns ((x_328 Real))
  :extrafuns ((x_329 Real))
  :extrapreds ((x_330))
  :extrafuns ((x_331 Real))
  :extrapreds ((x_332))
  :extrapreds ((x_333))
  :extrafuns ((x_334 Real))
  :extrapreds ((x_335))
  :extrafuns ((x_336 Real))
  :extrafuns ((x_337 Real))
  :extrafuns ((x_338 Real))
  :extrafuns ((x_339 Real))
  :extrafuns ((x_340 Real))
  :extrafuns ((x_341 Real))
  :extrafuns ((x_342 Real))
  :extrafuns ((x_343 Real))
  :extrapreds ((x_344))
  :extrafuns ((x_345 Real))
  :extrapreds ((x_346))
  :extrapreds ((x_347))
  :extrafuns ((x_348 Real))
  :extrapreds ((x_349))
  :extrafuns ((x_350 Real))
  :extrafuns ((x_351 Real))
  :extrafuns ((x_352 Real))
  :extrafuns ((x_353 Real))
  :extrafuns ((x_354 Real))
  :extrafuns ((x_355 Real))
  :extrafuns ((x_356 Real))
  :extrafuns ((x_357 Real))
  :extrapreds ((x_358))
  :extrafuns ((x_359 Real))
  :extrapreds ((x_360))
  :extrapreds ((x_361))
  :extrafuns ((x_362 Real))
  :extrapreds ((x_363))
  :extrafuns ((x_364 Real))
  :extrafuns ((x_365 Real))
  :extrafuns ((x_366 Real))
  :extrafuns ((x_367 Real))
  :extrafuns ((x_368 Real))
  :extrafuns ((x_369 Real))
  :extrafuns ((x_370 Real))
  :extrafuns ((x_371 Real))
  :extrapreds ((x_372))
  :extrafuns ((x_373 Real))
  :extrapreds ((x_374))
  :extrapreds ((x_375))
  :extrafuns ((x_376 Real))
  :extrapreds ((x_377))
  :extrafuns ((x_378 Real))
  :extrafuns ((x_379 Real))
  :extrafuns ((x_380 Real))
  :extrafuns ((x_381 Real))
  :extrafuns ((x_382 Real))
  :extrafuns ((x_383 Real))
  :extrafuns ((x_384 Real))
  :extrafuns ((x_385 Real))
  :extrapreds ((x_386))
  :extrafuns ((x_387 Real))
  :extrapreds ((x_388))
  :extrapreds ((x_389))
  :extrafuns ((x_390 Real))
  :extrapreds ((x_391))
  :extrafuns ((x_392 Real))
  :extrafuns ((x_393 Real))
  :extrafuns ((x_394 Real))
  :extrafuns ((x_395 Real))
  :extrafuns ((x_396 Real))
  :extrafuns ((x_397 Real))
  :extrafuns ((x_398 Real))
  :extrafuns ((x_399 Real))
  :extrapreds ((x_400))
  :extrafuns ((x_401 Real))
  :extrafuns ((x_402 Real))
  :extrapreds ((x_403))
  :extrapreds ((x_404))
  :extrapreds ((x_405))
  :extrapreds ((x_406))
  :extrafuns ((x_407 Real))
  :extrapreds ((x_408))
  :extrafuns ((x_409 Real))
  :extrafuns ((x_410 Real))
  :extrafuns ((x_411 Real))
  :extrafuns ((x_412 Real))
  :formula
(flet ($cvcl_258 (= x_88 x_89)) (flet ($cvcl_259 (= x_90 x_91)) (flet ($cvcl_260 (= x_92 x_93)) (flet ($cvcl_256 (= x_94 x_95)) (flet ($cvcl_261 (not $cvcl_256)) (flet ($cvcl_263 (= x_96 x_97)) (flet ($cvcl_253 (iff x_98 x_99)) (flet ($cvcl_254 (= x_7 x_3)) (let (?cvcl_257 (ite (<= x_90 x_94) x_90 x_94)) (let (?cvcl_252 (ite (<= x_94 x_90) x_94 x_90)) (flet ($cvcl_246 (= x_115 x_88)) (flet ($cvcl_247 (= x_91 x_116)) (flet ($cvcl_248 (= x_117 x_92)) (flet ($cvcl_244 (= x_95 x_118)) (flet ($cvcl_249 (not $cvcl_244)) (flet ($cvcl_251 (= x_119 x_96)) (flet ($cvcl_241 (iff x_120 x_98)) (flet ($cvcl_242 (= x_11 x_7)) (let (?cvcl_245 (ite (<= x_91 x_95) x_91 x_95)) (let (?cvcl_240 (ite (<= x_95 x_91) x_95 x_91)) (flet ($cvcl_234 (= x_129 x_115)) (flet ($cvcl_235 (= x_116 x_130)) (flet ($cvcl_236 (= x_131 x_117)) (flet ($cvcl_232 (= x_118 x_132)) (flet ($cvcl_237 (not $cvcl_232)) (flet ($cvcl_239 (= x_133 x_119)) (flet ($cvcl_229 (iff x_134 x_120)) (flet ($cvcl_230 (= x_15 x_11)) (let (?cvcl_233 (ite (<= x_116 x_118) x_116 x_118)) (let (?cvcl_228 (ite (<= x_118 x_116) x_118 x_116)) (flet ($cvcl_222 (= x_143 x_129)) (flet ($cvcl_223 (= x_130 x_144)) (flet ($cvcl_224 (= x_145 x_131)) (flet ($cvcl_220 (= x_132 x_146)) (flet ($cvcl_225 (not $cvcl_220)) (flet ($cvcl_227 (= x_147 x_133)) (flet ($cvcl_217 (iff x_148 x_134)) (flet ($cvcl_218 (= x_19 x_15)) (let (?cvcl_221 (ite (<= x_130 x_132) x_130 x_132)) (let (?cvcl_216 (ite (<= x_132 x_130) x_132 x_130)) (flet ($cvcl_210 (= x_157 x_143)) (flet ($cvcl_211 (= x_144 x_158)) (flet ($cvcl_212 (= x_159 x_145)) (flet ($cvcl_208 (= x_146 x_160)) (flet ($cvcl_213 (not $cvcl_208)) (flet ($cvcl_215 (= x_161 x_147)) (flet ($cvcl_205 (iff x_162 x_148)) (flet ($cvcl_206 (= x_23 x_19)) (let (?cvcl_209 (ite (<= x_144 x_146) x_144 x_146)) (let (?cvcl_204 (ite (<= x_146 x_144) x_146 x_144)) (flet ($cvcl_198 (= x_171 x_157)) (flet ($cvcl_199 (= x_158 x_172)) (flet ($cvcl_200 (= x_173 x_159)) (flet ($cvcl_196 (= x_160 x_174)) (flet ($cvcl_201 (not $cvcl_196)) (flet ($cvcl_203 (= x_175 x_161)) (flet ($cvcl_193 (iff x_176 x_162)) (flet ($cvcl_194 (= x_27 x_23)) (let (?cvcl_197 (ite (<= x_158 x_160) x_158 x_160)) (let (?cvcl_192 (ite (<= x_160 x_158) x_160 x_158)) (flet ($cvcl_186 (= x_185 x_171)) (flet ($cvcl_187 (= x_172 x_186)) (flet ($cvcl_188 (= x_187 x_173)) (flet ($cvcl_184 (= x_174 x_188)) (flet ($cvcl_189 (not $cvcl_184)) (flet ($cvcl_191 (= x_189 x_175)) (flet ($cvcl_181 (iff x_190 x_176)) (flet ($cvcl_182 (= x_31 x_27)) (let (?cvcl_185 (ite (<= x_172 x_174) x_172 x_174)) (let (?cvcl_180 (ite (<= x_174 x_172) x_174 x_172)) (flet ($cvcl_174 (= x_199 x_185)) (flet ($cvcl_175 (= x_186 x_200)) (flet ($cvcl_176 (= x_201 x_187)) (flet ($cvcl_172 (= x_188 x_202)) (flet ($cvcl_177 (not $cvcl_172)) (flet ($cvcl_179 (= x_203 x_189)) (flet ($cvcl_169 (iff x_204 x_190)) (flet ($cvcl_170 (= x_35 x_31)) (let (?cvcl_173 (ite (<= x_186 x_188) x_186 x_188)) (let (?cvcl_168 (ite (<= x_188 x_186) x_188 x_186)) (flet ($cvcl_162 (= x_213 x_199)) (flet ($cvcl_163 (= x_200 x_214)) (flet ($cvcl_164 (= x_215 x_201)) (flet ($cvcl_160 (= x_202 x_216)) (flet ($cvcl_165 (not $cvcl_160)) (flet ($cvcl_167 (= x_217 x_203)) (flet ($cvcl_157 (iff x_218 x_204)) (flet ($cvcl_158 (= x_39 x_35)) (let (?cvcl_161 (ite (<= x_200 x_202) x_200 x_202)) (let (?cvcl_156 (ite (<= x_202 x_200) x_202 x_200)) (flet ($cvcl_150 (= x_227 x_213)) (flet ($cvcl_151 (= x_214 x_228)) (flet ($cvcl_152 (= x_229 x_215)) (flet ($cvcl_148 (= x_216 x_230)) (flet ($cvcl_153 (not $cvcl_148)) (flet ($cvcl_155 (= x_231 x_217)) (flet ($cvcl_145 (iff x_232 x_218)) (flet ($cvcl_146 (= x_43 x_39)) (let (?cvcl_149 (ite (<= x_214 x_216) x_214 x_216)) (let (?cvcl_144 (ite (<= x_216 x_214) x_216 x_214)) (flet ($cvcl_138 (= x_241 x_227)) (flet ($cvcl_139 (= x_228 x_242)) (flet ($cvcl_140 (= x_243 x_229)) (flet ($cvcl_136 (= x_230 x_244)) (flet ($cvcl_141 (not $cvcl_136)) (flet ($cvcl_143 (= x_245 x_231)) (flet ($cvcl_133 (iff x_246 x_232)) (flet ($cvcl_134 (= x_47 x_43)) (let (?cvcl_137 (ite (<= x_228 x_230) x_228 x_230)) (let (?cvcl_132 (ite (<= x_230 x_228) x_230 x_228)) (flet ($cvcl_126 (= x_255 x_241)) (flet ($cvcl_127 (= x_242 x_256)) (flet ($cvcl_128 (= x_257 x_243)) (flet ($cvcl_124 (= x_244 x_258)) (flet ($cvcl_129 (not $cvcl_124)) (flet ($cvcl_131 (= x_259 x_245)) (flet ($cvcl_121 (iff x_260 x_246)) (flet ($cvcl_122 (= x_51 x_47)) (let (?cvcl_125 (ite (<= x_242 x_244) x_242 x_244)) (let (?cvcl_120 (ite (<= x_244 x_242) x_244 x_242)) (flet ($cvcl_114 (= x_269 x_255)) (flet ($cvcl_115 (= x_256 x_270)) (flet ($cvcl_116 (= x_271 x_257)) (flet ($cvcl_112 (= x_258 x_272)) (flet ($cvcl_117 (not $cvcl_112)) (flet ($cvcl_119 (= x_273 x_259)) (flet ($cvcl_109 (iff x_274 x_260)) (flet ($cvcl_110 (= x_55 x_51)) (let (?cvcl_113 (ite (<= x_256 x_258) x_256 x_258)) (let (?cvcl_108 (ite (<= x_258 x_256) x_258 x_256)) (flet ($cvcl_102 (= x_283 x_269)) (flet ($cvcl_103 (= x_270 x_284)) (flet ($cvcl_104 (= x_285 x_271)) (flet ($cvcl_100 (= x_272 x_286)) (flet ($cvcl_105 (not $cvcl_100)) (flet ($cvcl_107 (= x_287 x_273)) (flet ($cvcl_97 (iff x_288 x_274)) (flet ($cvcl_98 (= x_59 x_55)) (let (?cvcl_101 (ite (<= x_270 x_272) x_270 x_272)) (let (?cvcl_96 (ite (<= x_272 x_270) x_272 x_270)) (flet ($cvcl_90 (= x_297 x_283)) (flet ($cvcl_91 (= x_284 x_298)) (flet ($cvcl_92 (= x_299 x_285)) (flet ($cvcl_88 (= x_286 x_300)) (flet ($cvcl_93 (not $cvcl_88)) (flet ($cvcl_95 (= x_301 x_287)) (flet ($cvcl_85 (iff x_302 x_288)) (flet ($cvcl_86 (= x_63 x_59)) (let (?cvcl_89 (ite (<= x_284 x_286) x_284 x_286)) (let (?cvcl_84 (ite (<= x_286 x_284) x_286 x_284)) (flet ($cvcl_78 (= x_311 x_297)) (flet ($cvcl_79 (= x_298 x_312)) (flet ($cvcl_80 (= x_313 x_299)) (flet ($cvcl_76 (= x_300 x_314)) (flet ($cvcl_81 (not $cvcl_76)) (flet ($cvcl_83 (= x_315 x_301)) (flet ($cvcl_73 (iff x_316 x_302)) (flet ($cvcl_74 (= x_67 x_63)) (let (?cvcl_77 (ite (<= x_298 x_300) x_298 x_300)) (let (?cvcl_72 (ite (<= x_300 x_298) x_300 x_298)) (flet ($cvcl_66 (= x_325 x_311)) (flet ($cvcl_67 (= x_312 x_326)) (flet ($cvcl_68 (= x_327 x_313)) (flet ($cvcl_64 (= x_314 x_328)) (flet ($cvcl_69 (not $cvcl_64)) (flet ($cvcl_71 (= x_329 x_315)) (flet ($cvcl_61 (iff x_330 x_316)) (flet ($cvcl_62 (= x_71 x_67)) (let (?cvcl_65 (ite (<= x_312 x_314) x_312 x_314)) (let (?cvcl_60 (ite (<= x_314 x_312) x_314 x_312)) (flet ($cvcl_54 (= x_339 x_325)) (flet ($cvcl_55 (= x_326 x_340)) (flet ($cvcl_56 (= x_341 x_327)) (flet ($cvcl_52 (= x_328 x_342)) (flet ($cvcl_57 (not $cvcl_52)) (flet ($cvcl_59 (= x_343 x_329)) (flet ($cvcl_49 (iff x_344 x_330)) (flet ($cvcl_50 (= x_75 x_71)) (let (?cvcl_53 (ite (<= x_326 x_328) x_326 x_328)) (let (?cvcl_48 (ite (<= x_328 x_326) x_328 x_326)) (flet ($cvcl_42 (= x_353 x_339)) (flet ($cvcl_43 (= x_340 x_354)) (flet ($cvcl_44 (= x_355 x_341)) (flet ($cvcl_40 (= x_342 x_356)) (flet ($cvcl_45 (not $cvcl_40)) (flet ($cvcl_47 (= x_357 x_343)) (flet ($cvcl_37 (iff x_358 x_344)) (flet ($cvcl_38 (= x_79 x_75)) (let (?cvcl_41 (ite (<= x_340 x_342) x_340 x_342)) (let (?cvcl_36 (ite (<= x_342 x_340) x_342 x_340)) (flet ($cvcl_30 (= x_367 x_353)) (flet ($cvcl_31 (= x_354 x_368)) (flet ($cvcl_32 (= x_369 x_355)) (flet ($cvcl_28 (= x_356 x_370)) (flet ($cvcl_33 (not $cvcl_28)) (flet ($cvcl_35 (= x_371 x_357)) (flet ($cvcl_25 (iff x_372 x_358)) (flet ($cvcl_26 (= x_83 x_79)) (let (?cvcl_29 (ite (<= x_354 x_356) x_354 x_356)) (let (?cvcl_24 (ite (<= x_356 x_354) x_356 x_354)) (flet ($cvcl_18 (= x_381 x_367)) (flet ($cvcl_19 (= x_368 x_382)) (flet ($cvcl_20 (= x_383 x_369)) (flet ($cvcl_16 (= x_370 x_384)) (flet ($cvcl_21 (not $cvcl_16)) (flet ($cvcl_23 (= x_385 x_371)) (flet ($cvcl_13 (iff x_386 x_372)) (flet ($cvcl_14 (= x_87 x_83)) (let (?cvcl_17 (ite (<= x_368 x_370) x_368 x_370)) (let (?cvcl_12 (ite (<= x_370 x_368) x_370 x_368)) (flet ($cvcl_6 (= x_395 x_381)) (flet ($cvcl_7 (= x_382 x_396)) (flet ($cvcl_8 (= x_397 x_383)) (flet ($cvcl_4 (= x_384 x_398)) (flet ($cvcl_9 (not $cvcl_4)) (flet ($cvcl_11 (= x_399 x_385)) (flet ($cvcl_1 (iff x_400 x_386)) (flet ($cvcl_2 (= x_401 x_87)) (let (?cvcl_5 (ite (<= x_382 x_384) x_382 x_384)) (let (?cvcl_0 (ite (<= x_384 x_382) x_384 x_382)) (flet ($cvcl_3 (iff x_404 x_85)) (flet ($cvcl_10 (= x_87 x_401)) (flet ($cvcl_15 (iff x_85 x_81)) (flet ($cvcl_22 (= x_83 x_87)) (flet ($cvcl_27 (iff x_81 x_77)) (flet ($cvcl_34 (= x_79 x_83)) (flet ($cvcl_39 (iff x_77 x_73)) (flet ($cvcl_46 (= x_75 x_79)) (flet ($cvcl_51 (iff x_73 x_69)) (flet ($cvcl_58 (= x_71 x_75)) (flet ($cvcl_63 (iff x_69 x_65)) (flet ($cvcl_70 (= x_67 x_71)) (flet ($cvcl_75 (iff x_65 x_61)) (flet ($cvcl_82 (= x_63 x_67)) (flet ($cvcl_87 (iff x_61 x_57)) (flet ($cvcl_94 (= x_59 x_63)) (flet ($cvcl_99 (iff x_57 x_53)) (flet ($cvcl_106 (= x_55 x_59)) (flet ($cvcl_111 (iff x_53 x_49)) (flet ($cvcl_118 (= x_51 x_55)) (flet ($cvcl_123 (iff x_49 x_45)) (flet ($cvcl_130 (= x_47 x_51)) (flet ($cvcl_135 (iff x_45 x_41)) (flet ($cvcl_142 (= x_43 x_47)) (flet ($cvcl_147 (iff x_41 x_37)) (flet ($cvcl_154 (= x_39 x_43)) (flet ($cvcl_159 (iff x_37 x_33)) (flet ($cvcl_166 (= x_35 x_39)) (flet ($cvcl_171 (iff x_33 x_29)) (flet ($cvcl_178 (= x_31 x_35)) (flet ($cvcl_183 (iff x_29 x_25)) (flet ($cvcl_190 (= x_27 x_31)) (flet ($cvcl_195 (iff x_25 x_21)) (flet ($cvcl_202 (= x_23 x_27)) (flet ($cvcl_207 (iff x_21 x_17)) (flet ($cvcl_214 (= x_19 x_23)) (flet ($cvcl_219 (iff x_17 x_13)) (flet ($cvcl_226 (= x_15 x_19)) (flet ($cvcl_231 (iff x_13 x_9)) (flet ($cvcl_238 (= x_11 x_15)) (flet ($cvcl_243 (iff x_9 x_5)) (flet ($cvcl_250 (= x_7 x_11)) (flet ($cvcl_255 (iff x_5 x_1)) (flet ($cvcl_262 (= x_3 x_7)) (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (> x_100 0) (> x_101 0)) (>= x_102 0)) (< x_102 x_100)) (< x_102 x_101)) (>= x_113 0)) (< x_113 x_100)) (< x_113 x_101)) (or (iff x_84 x_85)  (= x_86 x_87) )) (or (iff x_80 x_81)  (= x_82 x_83) )) (or (iff x_76 x_77)  (= x_78 x_79) )) (or (iff x_72 x_73)  (= x_74 x_75) )) (or (iff x_68 x_69)  (= x_70 x_71) )) (or (iff x_64 x_65)  (= x_66 x_67) )) (or (iff x_60 x_61)  (= x_62 x_63) )) (or (iff x_56 x_57)  (= x_58 x_59) )) (or (iff x_52 x_53)  (= x_54 x_55) )) (or (iff x_48 x_49)  (= x_50 x_51) )) (or (iff x_44 x_45)  (= x_46 x_47) )) (or (iff x_40 x_41)  (= x_42 x_43) )) (or (iff x_36 x_37)  (= x_38 x_39) )) (or (iff x_32 x_33)  (= x_34 x_35) )) (or (iff x_28 x_29)  (= x_30 x_31) )) (or (iff x_24 x_25)  (= x_26 x_27) )) (or (iff x_20 x_21)  (= x_22 x_23) )) (or (iff x_16 x_17)  (= x_18 x_19) )) (or (iff x_12 x_13)  (= x_14 x_15) )) (or (iff x_8 x_9)  (= x_10 x_11) )) (or (iff x_4 x_5)  (= x_6 x_7) )) (or (iff x_0 x_1)  (= x_2 x_3) )) (or (and (and (and (and (and (and (and (and (and (= x_402 0) (iff x_403 x_391)) (= ?cvcl_0 x_384)) (<= (+ ?cvcl_0 x_100) x_398)) (or $cvcl_3  (iff x_404 x_84) )) (iff x_405 x_388)) (iff x_406 x_389)) (= x_396 x_382)) $cvcl_1) $cvcl_2)  (and (and (and (and (and (and (and (and (and (= x_402 1) (iff x_406 x_388)) (= ?cvcl_0 x_382)) (<= (+ ?cvcl_0 x_101) x_396)) (or (and (and (= x_407 0) $cvcl_1) $cvcl_2)  (and (and (= x_407 1) (iff x_386 x_389)) (iff x_400 (not x_386))) )) (iff x_408 x_391)) (iff x_403 x_84)) (= x_409 x_86)) (= x_398 x_384)) $cvcl_3) )) (or (or (and (and (and (= x_410 0) $cvcl_9) (or (not (<= x_381 ?cvcl_5))  (iff x_408 x_386) )) $cvcl_6)  (and (and (and (= x_410 1) $cvcl_4) (xor x_386  x_400 )) (= x_395 (+ ?cvcl_5 x_102))) )  (and (and (and (= x_410 2) $cvcl_4) (iff x_386 x_400)) $cvcl_6) )) (or (or (and (and (and (= x_411 0) (not $cvcl_7)) (or (not (<= x_383 ?cvcl_0))  (iff x_405 x_85) )) $cvcl_8)  (and (and (and (= x_411 1) $cvcl_7) (xor x_85  x_404 )) (= x_397 (+ ?cvcl_0 x_113))) )  (and (and (and (= x_411 2) $cvcl_7) (iff x_85 x_404)) $cvcl_8) )) (or (or (and (and (and (= x_412 0) $cvcl_9) (or (not (<= x_385 ?cvcl_5))  (= x_409 x_87) )) $cvcl_11)  (and (and (and (= x_412 1) $cvcl_4) (not $cvcl_10)) (= x_399 (+ ?cvcl_5 x_102))) )  (and (and (and (= x_412 2) $cvcl_4) $cvcl_10) $cvcl_11) )) (or (and (and (and (and (and (and (and (and (and (= x_387 0) (iff x_84 x_377)) (= ?cvcl_12 x_370)) (<= (+ ?cvcl_12 x_100) x_384)) (or $cvcl_15  (iff x_85 x_80) )) (iff x_388 x_374)) (iff x_389 x_375)) (= x_382 x_368)) $cvcl_13) $cvcl_14)  (and (and (and (and (and (and (and (and (and (= x_387 1) (iff x_389 x_374)) (= ?cvcl_12 x_368)) (<= (+ ?cvcl_12 x_101) x_382)) (or (and (and (= x_390 0) $cvcl_13) $cvcl_14)  (and (and (= x_390 1) (iff x_372 x_375)) (iff x_386 (not x_372))) )) (iff x_391 x_377)) (iff x_84 x_80)) (= x_86 x_82)) (= x_384 x_370)) $cvcl_15) )) (or (or (and (and (and (= x_392 0) $cvcl_21) (or (not (<= x_367 ?cvcl_17))  (iff x_391 x_372) )) $cvcl_18)  (and (and (and (= x_392 1) $cvcl_16) (xor x_372  x_386 )) (= x_381 (+ ?cvcl_17 x_102))) )  (and (and (and (= x_392 2) $cvcl_16) (iff x_372 x_386)) $cvcl_18) )) (or (or (and (and (and (= x_393 0) (not $cvcl_19)) (or (not (<= x_369 ?cvcl_12))  (iff x_388 x_81) )) $cvcl_20)  (and (and (and (= x_393 1) $cvcl_19) (xor x_81  x_85 )) (= x_383 (+ ?cvcl_12 x_113))) )  (and (and (and (= x_393 2) $cvcl_19) (iff x_81 x_85)) $cvcl_20) )) (or (or (and (and (and (= x_394 0) $cvcl_21) (or (not (<= x_371 ?cvcl_17))  (= x_86 x_83) )) $cvcl_23)  (and (and (and (= x_394 1) $cvcl_16) (not $cvcl_22)) (= x_385 (+ ?cvcl_17 x_102))) )  (and (and (and (= x_394 2) $cvcl_16) $cvcl_22) $cvcl_23) )) (or (and (and (and (and (and (and (and (and (and (= x_373 0) (iff x_80 x_363)) (= ?cvcl_24 x_356)) (<= (+ ?cvcl_24 x_100) x_370)) (or $cvcl_27  (iff x_81 x_76) )) (iff x_374 x_360)) (iff x_375 x_361)) (= x_368 x_354)) $cvcl_25) $cvcl_26)  (and (and (and (and (and (and (and (and (and (= x_373 1) (iff x_375 x_360)) (= ?cvcl_24 x_354)) (<= (+ ?cvcl_24 x_101) x_368)) (or (and (and (= x_376 0) $cvcl_25) $cvcl_26)  (and (and (= x_376 1) (iff x_358 x_361)) (iff x_372 (not x_358))) )) (iff x_377 x_363)) (iff x_80 x_76)) (= x_82 x_78)) (= x_370 x_356)) $cvcl_27) )) (or (or (and (and (and (= x_378 0) $cvcl_33) (or (not (<= x_353 ?cvcl_29))  (iff x_377 x_358) )) $cvcl_30)  (and (and (and (= x_378 1) $cvcl_28) (xor x_358  x_372 )) (= x_367 (+ ?cvcl_29 x_102))) )  (and (and (and (= x_378 2) $cvcl_28) (iff x_358 x_372)) $cvcl_30) )) (or (or (and (and (and (= x_379 0) (not $cvcl_31)) (or (not (<= x_355 ?cvcl_24))  (iff x_374 x_77) )) $cvcl_32)  (and (and (and (= x_379 1) $cvcl_31) (xor x_77  x_81 )) (= x_369 (+ ?cvcl_24 x_113))) )  (and (and (and (= x_379 2) $cvcl_31) (iff x_77 x_81)) $cvcl_32) )) (or (or (and (and (and (= x_380 0) $cvcl_33) (or (not (<= x_357 ?cvcl_29))  (= x_82 x_79) )) $cvcl_35)  (and (and (and (= x_380 1) $cvcl_28) (not $cvcl_34)) (= x_371 (+ ?cvcl_29 x_102))) )  (and (and (and (= x_380 2) $cvcl_28) $cvcl_34) $cvcl_35) )) (or (and (and (and (and (and (and (and (and (and (= x_359 0) (iff x_76 x_349)) (= ?cvcl_36 x_342)) (<= (+ ?cvcl_36 x_100) x_356)) (or $cvcl_39  (iff x_77 x_72) )) (iff x_360 x_346)) (iff x_361 x_347)) (= x_354 x_340)) $cvcl_37) $cvcl_38)  (and (and (and (and (and (and (and (and (and (= x_359 1) (iff x_361 x_346)) (= ?cvcl_36 x_340)) (<= (+ ?cvcl_36 x_101) x_354)) (or (and (and (= x_362 0) $cvcl_37) $cvcl_38)  (and (and (= x_362 1) (iff x_344 x_347)) (iff x_358 (not x_344))) )) (iff x_363 x_349)) (iff x_76 x_72)) (= x_78 x_74)) (= x_356 x_342)) $cvcl_39) )) (or (or (and (and (and (= x_364 0) $cvcl_45) (or (not (<= x_339 ?cvcl_41))  (iff x_363 x_344) )) $cvcl_42)  (and (and (and (= x_364 1) $cvcl_40) (xor x_344  x_358 )) (= x_353 (+ ?cvcl_41 x_102))) )  (and (and (and (= x_364 2) $cvcl_40) (iff x_344 x_358)) $cvcl_42) )) (or (or (and (and (and (= x_365 0) (not $cvcl_43)) (or (not (<= x_341 ?cvcl_36))  (iff x_360 x_73) )) $cvcl_44)  (and (and (and (= x_365 1) $cvcl_43) (xor x_73  x_77 )) (= x_355 (+ ?cvcl_36 x_113))) )  (and (and (and (= x_365 2) $cvcl_43) (iff x_73 x_77)) $cvcl_44) )) (or (or (and (and (and (= x_366 0) $cvcl_45) (or (not (<= x_343 ?cvcl_41))  (= x_78 x_75) )) $cvcl_47)  (and (and (and (= x_366 1) $cvcl_40) (not $cvcl_46)) (= x_357 (+ ?cvcl_41 x_102))) )  (and (and (and (= x_366 2) $cvcl_40) $cvcl_46) $cvcl_47) )) (or (and (and (and (and (and (and (and (and (and (= x_345 0) (iff x_72 x_335)) (= ?cvcl_48 x_328)) (<= (+ ?cvcl_48 x_100) x_342)) (or $cvcl_51  (iff x_73 x_68) )) (iff x_346 x_332)) (iff x_347 x_333)) (= x_340 x_326)) $cvcl_49) $cvcl_50)  (and (and (and (and (and (and (and (and (and (= x_345 1) (iff x_347 x_332)) (= ?cvcl_48 x_326)) (<= (+ ?cvcl_48 x_101) x_340)) (or (and (and (= x_348 0) $cvcl_49) $cvcl_50)  (and (and (= x_348 1) (iff x_330 x_333)) (iff x_344 (not x_330))) )) (iff x_349 x_335)) (iff x_72 x_68)) (= x_74 x_70)) (= x_342 x_328)) $cvcl_51) )) (or (or (and (and (and (= x_350 0) $cvcl_57) (or (not (<= x_325 ?cvcl_53))  (iff x_349 x_330) )) $cvcl_54)  (and (and (and (= x_350 1) $cvcl_52) (xor x_330  x_344 )) (= x_339 (+ ?cvcl_53 x_102))) )  (and (and (and (= x_350 2) $cvcl_52) (iff x_330 x_344)) $cvcl_54) )) (or (or (and (and (and (= x_351 0) (not $cvcl_55)) (or (not (<= x_327 ?cvcl_48))  (iff x_346 x_69) )) $cvcl_56)  (and (and (and (= x_351 1) $cvcl_55) (xor x_69  x_73 )) (= x_341 (+ ?cvcl_48 x_113))) )  (and (and (and (= x_351 2) $cvcl_55) (iff x_69 x_73)) $cvcl_56) )) (or (or (and (and (and (= x_352 0) $cvcl_57) (or (not (<= x_329 ?cvcl_53))  (= x_74 x_71) )) $cvcl_59)  (and (and (and (= x_352 1) $cvcl_52) (not $cvcl_58)) (= x_343 (+ ?cvcl_53 x_102))) )  (and (and (and (= x_352 2) $cvcl_52) $cvcl_58) $cvcl_59) )) (or (and (and (and (and (and (and (and (and (and (= x_331 0) (iff x_68 x_321)) (= ?cvcl_60 x_314)) (<= (+ ?cvcl_60 x_100) x_328)) (or $cvcl_63  (iff x_69 x_64) )) (iff x_332 x_318)) (iff x_333 x_319)) (= x_326 x_312)) $cvcl_61) $cvcl_62)  (and (and (and (and (and (and (and (and (and (= x_331 1) (iff x_333 x_318)) (= ?cvcl_60 x_312)) (<= (+ ?cvcl_60 x_101) x_326)) (or (and (and (= x_334 0) $cvcl_61) $cvcl_62)  (and (and (= x_334 1) (iff x_316 x_319)) (iff x_330 (not x_316))) )) (iff x_335 x_321)) (iff x_68 x_64)) (= x_70 x_66)) (= x_328 x_314)) $cvcl_63) )) (or (or (and (and (and (= x_336 0) $cvcl_69) (or (not (<= x_311 ?cvcl_65))  (iff x_335 x_316) )) $cvcl_66)  (and (and (and (= x_336 1) $cvcl_64) (xor x_316  x_330 )) (= x_325 (+ ?cvcl_65 x_102))) )  (and (and (and (= x_336 2) $cvcl_64) (iff x_316 x_330)) $cvcl_66) )) (or (or (and (and (and (= x_337 0) (not $cvcl_67)) (or (not (<= x_313 ?cvcl_60))  (iff x_332 x_65) )) $cvcl_68)  (and (and (and (= x_337 1) $cvcl_67) (xor x_65  x_69 )) (= x_327 (+ ?cvcl_60 x_113))) )  (and (and (and (= x_337 2) $cvcl_67) (iff x_65 x_69)) $cvcl_68) )) (or (or (and (and (and (= x_338 0) $cvcl_69) (or (not (<= x_315 ?cvcl_65))  (= x_70 x_67) )) $cvcl_71)  (and (and (and (= x_338 1) $cvcl_64) (not $cvcl_70)) (= x_329 (+ ?cvcl_65 x_102))) )  (and (and (and (= x_338 2) $cvcl_64) $cvcl_70) $cvcl_71) )) (or (and (and (and (and (and (and (and (and (and (= x_317 0) (iff x_64 x_307)) (= ?cvcl_72 x_300)) (<= (+ ?cvcl_72 x_100) x_314)) (or $cvcl_75  (iff x_65 x_60) )) (iff x_318 x_304)) (iff x_319 x_305)) (= x_312 x_298)) $cvcl_73) $cvcl_74)  (and (and (and (and (and (and (and (and (and (= x_317 1) (iff x_319 x_304)) (= ?cvcl_72 x_298)) (<= (+ ?cvcl_72 x_101) x_312)) (or (and (and (= x_320 0) $cvcl_73) $cvcl_74)  (and (and (= x_320 1) (iff x_302 x_305)) (iff x_316 (not x_302))) )) (iff x_321 x_307)) (iff x_64 x_60)) (= x_66 x_62)) (= x_314 x_300)) $cvcl_75) )) (or (or (and (and (and (= x_322 0) $cvcl_81) (or (not (<= x_297 ?cvcl_77))  (iff x_321 x_302) )) $cvcl_78)  (and (and (and (= x_322 1) $cvcl_76) (xor x_302  x_316 )) (= x_311 (+ ?cvcl_77 x_102))) )  (and (and (and (= x_322 2) $cvcl_76) (iff x_302 x_316)) $cvcl_78) )) (or (or (and (and (and (= x_323 0) (not $cvcl_79)) (or (not (<= x_299 ?cvcl_72))  (iff x_318 x_61) )) $cvcl_80)  (and (and (and (= x_323 1) $cvcl_79) (xor x_61  x_65 )) (= x_313 (+ ?cvcl_72 x_113))) )  (and (and (and (= x_323 2) $cvcl_79) (iff x_61 x_65)) $cvcl_80) )) (or (or (and (and (and (= x_324 0) $cvcl_81) (or (not (<= x_301 ?cvcl_77))  (= x_66 x_63) )) $cvcl_83)  (and (and (and (= x_324 1) $cvcl_76) (not $cvcl_82)) (= x_315 (+ ?cvcl_77 x_102))) )  (and (and (and (= x_324 2) $cvcl_76) $cvcl_82) $cvcl_83) )) (or (and (and (and (and (and (and (and (and (and (= x_303 0) (iff x_60 x_293)) (= ?cvcl_84 x_286)) (<= (+ ?cvcl_84 x_100) x_300)) (or $cvcl_87  (iff x_61 x_56) )) (iff x_304 x_290)) (iff x_305 x_291)) (= x_298 x_284)) $cvcl_85) $cvcl_86)  (and (and (and (and (and (and (and (and (and (= x_303 1) (iff x_305 x_290)) (= ?cvcl_84 x_284)) (<= (+ ?cvcl_84 x_101) x_298)) (or (and (and (= x_306 0) $cvcl_85) $cvcl_86)  (and (and (= x_306 1) (iff x_288 x_291)) (iff x_302 (not x_288))) )) (iff x_307 x_293)) (iff x_60 x_56)) (= x_62 x_58)) (= x_300 x_286)) $cvcl_87) )) (or (or (and (and (and (= x_308 0) $cvcl_93) (or (not (<= x_283 ?cvcl_89))  (iff x_307 x_288) )) $cvcl_90)  (and (and (and (= x_308 1) $cvcl_88) (xor x_288  x_302 )) (= x_297 (+ ?cvcl_89 x_102))) )  (and (and (and (= x_308 2) $cvcl_88) (iff x_288 x_302)) $cvcl_90) )) (or (or (and (and (and (= x_309 0) (not $cvcl_91)) (or (not (<= x_285 ?cvcl_84))  (iff x_304 x_57) )) $cvcl_92)  (and (and (and (= x_309 1) $cvcl_91) (xor x_57  x_61 )) (= x_299 (+ ?cvcl_84 x_113))) )  (and (and (and (= x_309 2) $cvcl_91) (iff x_57 x_61)) $cvcl_92) )) (or (or (and (and (and (= x_310 0) $cvcl_93) (or (not (<= x_287 ?cvcl_89))  (= x_62 x_59) )) $cvcl_95)  (and (and (and (= x_310 1) $cvcl_88) (not $cvcl_94)) (= x_301 (+ ?cvcl_89 x_102))) )  (and (and (and (= x_310 2) $cvcl_88) $cvcl_94) $cvcl_95) )) (or (and (and (and (and (and (and (and (and (and (= x_289 0) (iff x_56 x_279)) (= ?cvcl_96 x_272)) (<= (+ ?cvcl_96 x_100) x_286)) (or $cvcl_99  (iff x_57 x_52) )) (iff x_290 x_276)) (iff x_291 x_277)) (= x_284 x_270)) $cvcl_97) $cvcl_98)  (and (and (and (and (and (and (and (and (and (= x_289 1) (iff x_291 x_276)) (= ?cvcl_96 x_270)) (<= (+ ?cvcl_96 x_101) x_284)) (or (and (and (= x_292 0) $cvcl_97) $cvcl_98)  (and (and (= x_292 1) (iff x_274 x_277)) (iff x_288 (not x_274))) )) (iff x_293 x_279)) (iff x_56 x_52)) (= x_58 x_54)) (= x_286 x_272)) $cvcl_99) )) (or (or (and (and (and (= x_294 0) $cvcl_105) (or (not (<= x_269 ?cvcl_101))  (iff x_293 x_274) )) $cvcl_102)  (and (and (and (= x_294 1) $cvcl_100) (xor x_274  x_288 )) (= x_283 (+ ?cvcl_101 x_102))) )  (and (and (and (= x_294 2) $cvcl_100) (iff x_274 x_288)) $cvcl_102) )) (or (or (and (and (and (= x_295 0) (not $cvcl_103)) (or (not (<= x_271 ?cvcl_96))  (iff x_290 x_53) )) $cvcl_104)  (and (and (and (= x_295 1) $cvcl_103) (xor x_53  x_57 )) (= x_285 (+ ?cvcl_96 x_113))) )  (and (and (and (= x_295 2) $cvcl_103) (iff x_53 x_57)) $cvcl_104) )) (or (or (and (and (and (= x_296 0) $cvcl_105) (or (not (<= x_273 ?cvcl_101))  (= x_58 x_55) )) $cvcl_107)  (and (and (and (= x_296 1) $cvcl_100) (not $cvcl_106)) (= x_287 (+ ?cvcl_101 x_102))) )  (and (and (and (= x_296 2) $cvcl_100) $cvcl_106) $cvcl_107) )) (or (and (and (and (and (and (and (and (and (and (= x_275 0) (iff x_52 x_265)) (= ?cvcl_108 x_258)) (<= (+ ?cvcl_108 x_100) x_272)) (or $cvcl_111  (iff x_53 x_48) )) (iff x_276 x_262)) (iff x_277 x_263)) (= x_270 x_256)) $cvcl_109) $cvcl_110)  (and (and (and (and (and (and (and (and (and (= x_275 1) (iff x_277 x_262)) (= ?cvcl_108 x_256)) (<= (+ ?cvcl_108 x_101) x_270)) (or (and (and (= x_278 0) $cvcl_109) $cvcl_110)  (and (and (= x_278 1) (iff x_260 x_263)) (iff x_274 (not x_260))) )) (iff x_279 x_265)) (iff x_52 x_48)) (= x_54 x_50)) (= x_272 x_258)) $cvcl_111) )) (or (or (and (and (and (= x_280 0) $cvcl_117) (or (not (<= x_255 ?cvcl_113))  (iff x_279 x_260) )) $cvcl_114)  (and (and (and (= x_280 1) $cvcl_112) (xor x_260  x_274 )) (= x_269 (+ ?cvcl_113 x_102))) )  (and (and (and (= x_280 2) $cvcl_112) (iff x_260 x_274)) $cvcl_114) )) (or (or (and (and (and (= x_281 0) (not $cvcl_115)) (or (not (<= x_257 ?cvcl_108))  (iff x_276 x_49) )) $cvcl_116)  (and (and (and (= x_281 1) $cvcl_115) (xor x_49  x_53 )) (= x_271 (+ ?cvcl_108 x_113))) )  (and (and (and (= x_281 2) $cvcl_115) (iff x_49 x_53)) $cvcl_116) )) (or (or (and (and (and (= x_282 0) $cvcl_117) (or (not (<= x_259 ?cvcl_113))  (= x_54 x_51) )) $cvcl_119)  (and (and (and (= x_282 1) $cvcl_112) (not $cvcl_118)) (= x_273 (+ ?cvcl_113 x_102))) )  (and (and (and (= x_282 2) $cvcl_112) $cvcl_118) $cvcl_119) )) (or (and (and (and (and (and (and (and (and (and (= x_261 0) (iff x_48 x_251)) (= ?cvcl_120 x_244)) (<= (+ ?cvcl_120 x_100) x_258)) (or $cvcl_123  (iff x_49 x_44) )) (iff x_262 x_248)) (iff x_263 x_249)) (= x_256 x_242)) $cvcl_121) $cvcl_122)  (and (and (and (and (and (and (and (and (and (= x_261 1) (iff x_263 x_248)) (= ?cvcl_120 x_242)) (<= (+ ?cvcl_120 x_101) x_256)) (or (and (and (= x_264 0) $cvcl_121) $cvcl_122)  (and (and (= x_264 1) (iff x_246 x_249)) (iff x_260 (not x_246))) )) (iff x_265 x_251)) (iff x_48 x_44)) (= x_50 x_46)) (= x_258 x_244)) $cvcl_123) )) (or (or (and (and (and (= x_266 0) $cvcl_129) (or (not (<= x_241 ?cvcl_125))  (iff x_265 x_246) )) $cvcl_126)  (and (and (and (= x_266 1) $cvcl_124) (xor x_246  x_260 )) (= x_255 (+ ?cvcl_125 x_102))) )  (and (and (and (= x_266 2) $cvcl_124) (iff x_246 x_260)) $cvcl_126) )) (or (or (and (and (and (= x_267 0) (not $cvcl_127)) (or (not (<= x_243 ?cvcl_120))  (iff x_262 x_45) )) $cvcl_128)  (and (and (and (= x_267 1) $cvcl_127) (xor x_45  x_49 )) (= x_257 (+ ?cvcl_120 x_113))) )  (and (and (and (= x_267 2) $cvcl_127) (iff x_45 x_49)) $cvcl_128) )) (or (or (and (and (and (= x_268 0) $cvcl_129) (or (not (<= x_245 ?cvcl_125))  (= x_50 x_47) )) $cvcl_131)  (and (and (and (= x_268 1) $cvcl_124) (not $cvcl_130)) (= x_259 (+ ?cvcl_125 x_102))) )  (and (and (and (= x_268 2) $cvcl_124) $cvcl_130) $cvcl_131) )) (or (and (and (and (and (and (and (and (and (and (= x_247 0) (iff x_44 x_237)) (= ?cvcl_132 x_230)) (<= (+ ?cvcl_132 x_100) x_244)) (or $cvcl_135  (iff x_45 x_40) )) (iff x_248 x_234)) (iff x_249 x_235)) (= x_242 x_228)) $cvcl_133) $cvcl_134)  (and (and (and (and (and (and (and (and (and (= x_247 1) (iff x_249 x_234)) (= ?cvcl_132 x_228)) (<= (+ ?cvcl_132 x_101) x_242)) (or (and (and (= x_250 0) $cvcl_133) $cvcl_134)  (and (and (= x_250 1) (iff x_232 x_235)) (iff x_246 (not x_232))) )) (iff x_251 x_237)) (iff x_44 x_40)) (= x_46 x_42)) (= x_244 x_230)) $cvcl_135) )) (or (or (and (and (and (= x_252 0) $cvcl_141) (or (not (<= x_227 ?cvcl_137))  (iff x_251 x_232) )) $cvcl_138)  (and (and (and (= x_252 1) $cvcl_136) (xor x_232  x_246 )) (= x_241 (+ ?cvcl_137 x_102))) )  (and (and (and (= x_252 2) $cvcl_136) (iff x_232 x_246)) $cvcl_138) )) (or (or (and (and (and (= x_253 0) (not $cvcl_139)) (or (not (<= x_229 ?cvcl_132))  (iff x_248 x_41) )) $cvcl_140)  (and (and (and (= x_253 1) $cvcl_139) (xor x_41  x_45 )) (= x_243 (+ ?cvcl_132 x_113))) )  (and (and (and (= x_253 2) $cvcl_139) (iff x_41 x_45)) $cvcl_140) )) (or (or (and (and (and (= x_254 0) $cvcl_141) (or (not (<= x_231 ?cvcl_137))  (= x_46 x_43) )) $cvcl_143)  (and (and (and (= x_254 1) $cvcl_136) (not $cvcl_142)) (= x_245 (+ ?cvcl_137 x_102))) )  (and (and (and (= x_254 2) $cvcl_136) $cvcl_142) $cvcl_143) )) (or (and (and (and (and (and (and (and (and (and (= x_233 0) (iff x_40 x_223)) (= ?cvcl_144 x_216)) (<= (+ ?cvcl_144 x_100) x_230)) (or $cvcl_147  (iff x_41 x_36) )) (iff x_234 x_220)) (iff x_235 x_221)) (= x_228 x_214)) $cvcl_145) $cvcl_146)  (and (and (and (and (and (and (and (and (and (= x_233 1) (iff x_235 x_220)) (= ?cvcl_144 x_214)) (<= (+ ?cvcl_144 x_101) x_228)) (or (and (and (= x_236 0) $cvcl_145) $cvcl_146)  (and (and (= x_236 1) (iff x_218 x_221)) (iff x_232 (not x_218))) )) (iff x_237 x_223)) (iff x_40 x_36)) (= x_42 x_38)) (= x_230 x_216)) $cvcl_147) )) (or (or (and (and (and (= x_238 0) $cvcl_153) (or (not (<= x_213 ?cvcl_149))  (iff x_237 x_218) )) $cvcl_150)  (and (and (and (= x_238 1) $cvcl_148) (xor x_218  x_232 )) (= x_227 (+ ?cvcl_149 x_102))) )  (and (and (and (= x_238 2) $cvcl_148) (iff x_218 x_232)) $cvcl_150) )) (or (or (and (and (and (= x_239 0) (not $cvcl_151)) (or (not (<= x_215 ?cvcl_144))  (iff x_234 x_37) )) $cvcl_152)  (and (and (and (= x_239 1) $cvcl_151) (xor x_37  x_41 )) (= x_229 (+ ?cvcl_144 x_113))) )  (and (and (and (= x_239 2) $cvcl_151) (iff x_37 x_41)) $cvcl_152) )) (or (or (and (and (and (= x_240 0) $cvcl_153) (or (not (<= x_217 ?cvcl_149))  (= x_42 x_39) )) $cvcl_155)  (and (and (and (= x_240 1) $cvcl_148) (not $cvcl_154)) (= x_231 (+ ?cvcl_149 x_102))) )  (and (and (and (= x_240 2) $cvcl_148) $cvcl_154) $cvcl_155) )) (or (and (and (and (and (and (and (and (and (and (= x_219 0) (iff x_36 x_209)) (= ?cvcl_156 x_202)) (<= (+ ?cvcl_156 x_100) x_216)) (or $cvcl_159  (iff x_37 x_32) )) (iff x_220 x_206)) (iff x_221 x_207)) (= x_214 x_200)) $cvcl_157) $cvcl_158)  (and (and (and (and (and (and (and (and (and (= x_219 1) (iff x_221 x_206)) (= ?cvcl_156 x_200)) (<= (+ ?cvcl_156 x_101) x_214)) (or (and (and (= x_222 0) $cvcl_157) $cvcl_158)  (and (and (= x_222 1) (iff x_204 x_207)) (iff x_218 (not x_204))) )) (iff x_223 x_209)) (iff x_36 x_32)) (= x_38 x_34)) (= x_216 x_202)) $cvcl_159) )) (or (or (and (and (and (= x_224 0) $cvcl_165) (or (not (<= x_199 ?cvcl_161))  (iff x_223 x_204) )) $cvcl_162)  (and (and (and (= x_224 1) $cvcl_160) (xor x_204  x_218 )) (= x_213 (+ ?cvcl_161 x_102))) )  (and (and (and (= x_224 2) $cvcl_160) (iff x_204 x_218)) $cvcl_162) )) (or (or (and (and (and (= x_225 0) (not $cvcl_163)) (or (not (<= x_201 ?cvcl_156))  (iff x_220 x_33) )) $cvcl_164)  (and (and (and (= x_225 1) $cvcl_163) (xor x_33  x_37 )) (= x_215 (+ ?cvcl_156 x_113))) )  (and (and (and (= x_225 2) $cvcl_163) (iff x_33 x_37)) $cvcl_164) )) (or (or (and (and (and (= x_226 0) $cvcl_165) (or (not (<= x_203 ?cvcl_161))  (= x_38 x_35) )) $cvcl_167)  (and (and (and (= x_226 1) $cvcl_160) (not $cvcl_166)) (= x_217 (+ ?cvcl_161 x_102))) )  (and (and (and (= x_226 2) $cvcl_160) $cvcl_166) $cvcl_167) )) (or (and (and (and (and (and (and (and (and (and (= x_205 0) (iff x_32 x_195)) (= ?cvcl_168 x_188)) (<= (+ ?cvcl_168 x_100) x_202)) (or $cvcl_171  (iff x_33 x_28) )) (iff x_206 x_192)) (iff x_207 x_193)) (= x_200 x_186)) $cvcl_169) $cvcl_170)  (and (and (and (and (and (and (and (and (and (= x_205 1) (iff x_207 x_192)) (= ?cvcl_168 x_186)) (<= (+ ?cvcl_168 x_101) x_200)) (or (and (and (= x_208 0) $cvcl_169) $cvcl_170)  (and (and (= x_208 1) (iff x_190 x_193)) (iff x_204 (not x_190))) )) (iff x_209 x_195)) (iff x_32 x_28)) (= x_34 x_30)) (= x_202 x_188)) $cvcl_171) )) (or (or (and (and (and (= x_210 0) $cvcl_177) (or (not (<= x_185 ?cvcl_173))  (iff x_209 x_190) )) $cvcl_174)  (and (and (and (= x_210 1) $cvcl_172) (xor x_190  x_204 )) (= x_199 (+ ?cvcl_173 x_102))) )  (and (and (and (= x_210 2) $cvcl_172) (iff x_190 x_204)) $cvcl_174) )) (or (or (and (and (and (= x_211 0) (not $cvcl_175)) (or (not (<= x_187 ?cvcl_168))  (iff x_206 x_29) )) $cvcl_176)  (and (and (and (= x_211 1) $cvcl_175) (xor x_29  x_33 )) (= x_201 (+ ?cvcl_168 x_113))) )  (and (and (and (= x_211 2) $cvcl_175) (iff x_29 x_33)) $cvcl_176) )) (or (or (and (and (and (= x_212 0) $cvcl_177) (or (not (<= x_189 ?cvcl_173))  (= x_34 x_31) )) $cvcl_179)  (and (and (and (= x_212 1) $cvcl_172) (not $cvcl_178)) (= x_203 (+ ?cvcl_173 x_102))) )  (and (and (and (= x_212 2) $cvcl_172) $cvcl_178) $cvcl_179) )) (or (and (and (and (and (and (and (and (and (and (= x_191 0) (iff x_28 x_181)) (= ?cvcl_180 x_174)) (<= (+ ?cvcl_180 x_100) x_188)) (or $cvcl_183  (iff x_29 x_24) )) (iff x_192 x_178)) (iff x_193 x_179)) (= x_186 x_172)) $cvcl_181) $cvcl_182)  (and (and (and (and (and (and (and (and (and (= x_191 1) (iff x_193 x_178)) (= ?cvcl_180 x_172)) (<= (+ ?cvcl_180 x_101) x_186)) (or (and (and (= x_194 0) $cvcl_181) $cvcl_182)  (and (and (= x_194 1) (iff x_176 x_179)) (iff x_190 (not x_176))) )) (iff x_195 x_181)) (iff x_28 x_24)) (= x_30 x_26)) (= x_188 x_174)) $cvcl_183) )) (or (or (and (and (and (= x_196 0) $cvcl_189) (or (not (<= x_171 ?cvcl_185))  (iff x_195 x_176) )) $cvcl_186)  (and (and (and (= x_196 1) $cvcl_184) (xor x_176  x_190 )) (= x_185 (+ ?cvcl_185 x_102))) )  (and (and (and (= x_196 2) $cvcl_184) (iff x_176 x_190)) $cvcl_186) )) (or (or (and (and (and (= x_197 0) (not $cvcl_187)) (or (not (<= x_173 ?cvcl_180))  (iff x_192 x_25) )) $cvcl_188)  (and (and (and (= x_197 1) $cvcl_187) (xor x_25  x_29 )) (= x_187 (+ ?cvcl_180 x_113))) )  (and (and (and (= x_197 2) $cvcl_187) (iff x_25 x_29)) $cvcl_188) )) (or (or (and (and (and (= x_198 0) $cvcl_189) (or (not (<= x_175 ?cvcl_185))  (= x_30 x_27) )) $cvcl_191)  (and (and (and (= x_198 1) $cvcl_184) (not $cvcl_190)) (= x_189 (+ ?cvcl_185 x_102))) )  (and (and (and (= x_198 2) $cvcl_184) $cvcl_190) $cvcl_191) )) (or (and (and (and (and (and (and (and (and (and (= x_177 0) (iff x_24 x_167)) (= ?cvcl_192 x_160)) (<= (+ ?cvcl_192 x_100) x_174)) (or $cvcl_195  (iff x_25 x_20) )) (iff x_178 x_164)) (iff x_179 x_165)) (= x_172 x_158)) $cvcl_193) $cvcl_194)  (and (and (and (and (and (and (and (and (and (= x_177 1) (iff x_179 x_164)) (= ?cvcl_192 x_158)) (<= (+ ?cvcl_192 x_101) x_172)) (or (and (and (= x_180 0) $cvcl_193) $cvcl_194)  (and (and (= x_180 1) (iff x_162 x_165)) (iff x_176 (not x_162))) )) (iff x_181 x_167)) (iff x_24 x_20)) (= x_26 x_22)) (= x_174 x_160)) $cvcl_195) )) (or (or (and (and (and (= x_182 0) $cvcl_201) (or (not (<= x_157 ?cvcl_197))  (iff x_181 x_162) )) $cvcl_198)  (and (and (and (= x_182 1) $cvcl_196) (xor x_162  x_176 )) (= x_171 (+ ?cvcl_197 x_102))) )  (and (and (and (= x_182 2) $cvcl_196) (iff x_162 x_176)) $cvcl_198) )) (or (or (and (and (and (= x_183 0) (not $cvcl_199)) (or (not (<= x_159 ?cvcl_192))  (iff x_178 x_21) )) $cvcl_200)  (and (and (and (= x_183 1) $cvcl_199) (xor x_21  x_25 )) (= x_173 (+ ?cvcl_192 x_113))) )  (and (and (and (= x_183 2) $cvcl_199) (iff x_21 x_25)) $cvcl_200) )) (or (or (and (and (and (= x_184 0) $cvcl_201) (or (not (<= x_161 ?cvcl_197))  (= x_26 x_23) )) $cvcl_203)  (and (and (and (= x_184 1) $cvcl_196) (not $cvcl_202)) (= x_175 (+ ?cvcl_197 x_102))) )  (and (and (and (= x_184 2) $cvcl_196) $cvcl_202) $cvcl_203) )) (or (and (and (and (and (and (and (and (and (and (= x_163 0) (iff x_20 x_153)) (= ?cvcl_204 x_146)) (<= (+ ?cvcl_204 x_100) x_160)) (or $cvcl_207  (iff x_21 x_16) )) (iff x_164 x_150)) (iff x_165 x_151)) (= x_158 x_144)) $cvcl_205) $cvcl_206)  (and (and (and (and (and (and (and (and (and (= x_163 1) (iff x_165 x_150)) (= ?cvcl_204 x_144)) (<= (+ ?cvcl_204 x_101) x_158)) (or (and (and (= x_166 0) $cvcl_205) $cvcl_206)  (and (and (= x_166 1) (iff x_148 x_151)) (iff x_162 (not x_148))) )) (iff x_167 x_153)) (iff x_20 x_16)) (= x_22 x_18)) (= x_160 x_146)) $cvcl_207) )) (or (or (and (and (and (= x_168 0) $cvcl_213) (or (not (<= x_143 ?cvcl_209))  (iff x_167 x_148) )) $cvcl_210)  (and (and (and (= x_168 1) $cvcl_208) (xor x_148  x_162 )) (= x_157 (+ ?cvcl_209 x_102))) )  (and (and (and (= x_168 2) $cvcl_208) (iff x_148 x_162)) $cvcl_210) )) (or (or (and (and (and (= x_169 0) (not $cvcl_211)) (or (not (<= x_145 ?cvcl_204))  (iff x_164 x_17) )) $cvcl_212)  (and (and (and (= x_169 1) $cvcl_211) (xor x_17  x_21 )) (= x_159 (+ ?cvcl_204 x_113))) )  (and (and (and (= x_169 2) $cvcl_211) (iff x_17 x_21)) $cvcl_212) )) (or (or (and (and (and (= x_170 0) $cvcl_213) (or (not (<= x_147 ?cvcl_209))  (= x_22 x_19) )) $cvcl_215)  (and (and (and (= x_170 1) $cvcl_208) (not $cvcl_214)) (= x_161 (+ ?cvcl_209 x_102))) )  (and (and (and (= x_170 2) $cvcl_208) $cvcl_214) $cvcl_215) )) (or (and (and (and (and (and (and (and (and (and (= x_149 0) (iff x_16 x_139)) (= ?cvcl_216 x_132)) (<= (+ ?cvcl_216 x_100) x_146)) (or $cvcl_219  (iff x_17 x_12) )) (iff x_150 x_136)) (iff x_151 x_137)) (= x_144 x_130)) $cvcl_217) $cvcl_218)  (and (and (and (and (and (and (and (and (and (= x_149 1) (iff x_151 x_136)) (= ?cvcl_216 x_130)) (<= (+ ?cvcl_216 x_101) x_144)) (or (and (and (= x_152 0) $cvcl_217) $cvcl_218)  (and (and (= x_152 1) (iff x_134 x_137)) (iff x_148 (not x_134))) )) (iff x_153 x_139)) (iff x_16 x_12)) (= x_18 x_14)) (= x_146 x_132)) $cvcl_219) )) (or (or (and (and (and (= x_154 0) $cvcl_225) (or (not (<= x_129 ?cvcl_221))  (iff x_153 x_134) )) $cvcl_222)  (and (and (and (= x_154 1) $cvcl_220) (xor x_134  x_148 )) (= x_143 (+ ?cvcl_221 x_102))) )  (and (and (and (= x_154 2) $cvcl_220) (iff x_134 x_148)) $cvcl_222) )) (or (or (and (and (and (= x_155 0) (not $cvcl_223)) (or (not (<= x_131 ?cvcl_216))  (iff x_150 x_13) )) $cvcl_224)  (and (and (and (= x_155 1) $cvcl_223) (xor x_13  x_17 )) (= x_145 (+ ?cvcl_216 x_113))) )  (and (and (and (= x_155 2) $cvcl_223) (iff x_13 x_17)) $cvcl_224) )) (or (or (and (and (and (= x_156 0) $cvcl_225) (or (not (<= x_133 ?cvcl_221))  (= x_18 x_15) )) $cvcl_227)  (and (and (and (= x_156 1) $cvcl_220) (not $cvcl_226)) (= x_147 (+ ?cvcl_221 x_102))) )  (and (and (and (= x_156 2) $cvcl_220) $cvcl_226) $cvcl_227) )) (or (and (and (and (and (and (and (and (and (and (= x_135 0) (iff x_12 x_125)) (= ?cvcl_228 x_118)) (<= (+ ?cvcl_228 x_100) x_132)) (or $cvcl_231  (iff x_13 x_8) )) (iff x_136 x_122)) (iff x_137 x_123)) (= x_130 x_116)) $cvcl_229) $cvcl_230)  (and (and (and (and (and (and (and (and (and (= x_135 1) (iff x_137 x_122)) (= ?cvcl_228 x_116)) (<= (+ ?cvcl_228 x_101) x_130)) (or (and (and (= x_138 0) $cvcl_229) $cvcl_230)  (and (and (= x_138 1) (iff x_120 x_123)) (iff x_134 (not x_120))) )) (iff x_139 x_125)) (iff x_12 x_8)) (= x_14 x_10)) (= x_132 x_118)) $cvcl_231) )) (or (or (and (and (and (= x_140 0) $cvcl_237) (or (not (<= x_115 ?cvcl_233))  (iff x_139 x_120) )) $cvcl_234)  (and (and (and (= x_140 1) $cvcl_232) (xor x_120  x_134 )) (= x_129 (+ ?cvcl_233 x_102))) )  (and (and (and (= x_140 2) $cvcl_232) (iff x_120 x_134)) $cvcl_234) )) (or (or (and (and (and (= x_141 0) (not $cvcl_235)) (or (not (<= x_117 ?cvcl_228))  (iff x_136 x_9) )) $cvcl_236)  (and (and (and (= x_141 1) $cvcl_235) (xor x_9  x_13 )) (= x_131 (+ ?cvcl_228 x_113))) )  (and (and (and (= x_141 2) $cvcl_235) (iff x_9 x_13)) $cvcl_236) )) (or (or (and (and (and (= x_142 0) $cvcl_237) (or (not (<= x_119 ?cvcl_233))  (= x_14 x_11) )) $cvcl_239)  (and (and (and (= x_142 1) $cvcl_232) (not $cvcl_238)) (= x_133 (+ ?cvcl_233 x_102))) )  (and (and (and (= x_142 2) $cvcl_232) $cvcl_238) $cvcl_239) )) (or (and (and (and (and (and (and (and (and (and (= x_121 0) (iff x_8 x_110)) (= ?cvcl_240 x_95)) (<= (+ ?cvcl_240 x_100) x_118)) (or $cvcl_243  (iff x_9 x_4) )) (iff x_122 x_105)) (iff x_123 x_107)) (= x_116 x_91)) $cvcl_241) $cvcl_242)  (and (and (and (and (and (and (and (and (and (= x_121 1) (iff x_123 x_105)) (= ?cvcl_240 x_91)) (<= (+ ?cvcl_240 x_101) x_116)) (or (and (and (= x_124 0) $cvcl_241) $cvcl_242)  (and (and (= x_124 1) (iff x_98 x_107)) (iff x_120 (not x_98))) )) (iff x_125 x_110)) (iff x_8 x_4)) (= x_10 x_6)) (= x_118 x_95)) $cvcl_243) )) (or (or (and (and (and (= x_126 0) $cvcl_249) (or (not (<= x_88 ?cvcl_245))  (iff x_125 x_98) )) $cvcl_246)  (and (and (and (= x_126 1) $cvcl_244) (xor x_98  x_120 )) (= x_115 (+ ?cvcl_245 x_102))) )  (and (and (and (= x_126 2) $cvcl_244) (iff x_98 x_120)) $cvcl_246) )) (or (or (and (and (and (= x_127 0) (not $cvcl_247)) (or (not (<= x_92 ?cvcl_240))  (iff x_122 x_5) )) $cvcl_248)  (and (and (and (= x_127 1) $cvcl_247) (xor x_5  x_9 )) (= x_117 (+ ?cvcl_240 x_113))) )  (and (and (and (= x_127 2) $cvcl_247) (iff x_5 x_9)) $cvcl_248) )) (or (or (and (and (and (= x_128 0) $cvcl_249) (or (not (<= x_96 ?cvcl_245))  (= x_10 x_7) )) $cvcl_251)  (and (and (and (= x_128 1) $cvcl_244) (not $cvcl_250)) (= x_119 (+ ?cvcl_245 x_102))) )  (and (and (and (= x_128 2) $cvcl_244) $cvcl_250) $cvcl_251) )) (or (and (and (and (and (and (and (and (and (and (= x_103 0) (iff x_4 x_104)) (= ?cvcl_252 x_94)) (<= (+ ?cvcl_252 x_100) x_95)) (or $cvcl_255  (iff x_5 x_0) )) (iff x_105 x_106)) (iff x_107 x_108)) (= x_91 x_90)) $cvcl_253) $cvcl_254)  (and (and (and (and (and (and (and (and (and (= x_103 1) (iff x_107 x_106)) (= ?cvcl_252 x_90)) (<= (+ ?cvcl_252 x_101) x_91)) (or (and (and (= x_109 0) $cvcl_253) $cvcl_254)  (and (and (= x_109 1) (iff x_99 x_108)) (iff x_98 (not x_99))) )) (iff x_110 x_104)) (iff x_4 x_0)) (= x_6 x_2)) (= x_95 x_94)) $cvcl_255) )) (or (or (and (and (and (= x_111 0) $cvcl_261) (or (not (<= x_89 ?cvcl_257))  (iff x_110 x_99) )) $cvcl_258)  (and (and (and (= x_111 1) $cvcl_256) (xor x_99  x_98 )) (= x_88 (+ ?cvcl_257 x_102))) )  (and (and (and (= x_111 2) $cvcl_256) (iff x_99 x_98)) $cvcl_258) )) (or (or (and (and (and (= x_112 0) (not $cvcl_259)) (or (not (<= x_93 ?cvcl_252))  (iff x_105 x_1) )) $cvcl_260)  (and (and (and (= x_112 1) $cvcl_259) (xor x_1  x_5 )) (= x_92 (+ ?cvcl_252 x_113))) )  (and (and (and (= x_112 2) $cvcl_259) (iff x_1 x_5)) $cvcl_260) )) (or (or (and (and (and (= x_114 0) $cvcl_261) (or (not (<= x_97 ?cvcl_257))  (= x_6 x_3) )) $cvcl_263)  (and (and (and (= x_114 1) $cvcl_256) (not $cvcl_262)) (= x_96 (+ ?cvcl_257 x_102))) )  (and (and (and (= x_114 2) $cvcl_256) $cvcl_262) $cvcl_263) )) (xor x_403  x_404 )) (not (= x_409 x_401)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
)
