(benchmark synch_circuit
  :source {
Fully parameterized specification and verification of a synchronizer   
circuit modeling metastability at various levels of refinement.     
A paper describing this specification, to be published in Designing     
Correct Circuits (DCC), 2006, is available from the authors.            

Geoffrey Brown, Indiana University <geobrown@cs.indiana.edu>
Lee Pike, Galois Connections, Inc. <leepike@galois.com>

Translated into CVC format by Leonardo de Moura.

This benchmark was automatically translated into SMT-LIB format from
CVC format using CVC Lite

}
  :status sat
:category { industrial }
:difficulty { 2 }
  :logic QF_LRA
  
  :extrapreds ((x_0))
  :extrapreds ((x_1))
  :extrafuns ((x_2 Real))
  :extrafuns ((x_3 Real))
  :extrapreds ((x_4))
  :extrapreds ((x_5))
  :extrafuns ((x_6 Real))
  :extrafuns ((x_7 Real))
  :extrapreds ((x_8))
  :extrapreds ((x_9))
  :extrafuns ((x_10 Real))
  :extrafuns ((x_11 Real))
  :extrapreds ((x_12))
  :extrapreds ((x_13))
  :extrafuns ((x_14 Real))
  :extrafuns ((x_15 Real))
  :extrapreds ((x_16))
  :extrapreds ((x_17))
  :extrafuns ((x_18 Real))
  :extrafuns ((x_19 Real))
  :extrapreds ((x_20))
  :extrapreds ((x_21))
  :extrafuns ((x_22 Real))
  :extrafuns ((x_23 Real))
  :extrafuns ((x_24 Real))
  :extrafuns ((x_25 Real))
  :extrafuns ((x_26 Real))
  :extrafuns ((x_27 Real))
  :extrafuns ((x_28 Real))
  :extrafuns ((x_29 Real))
  :extrafuns ((x_30 Real))
  :extrafuns ((x_31 Real))
  :extrafuns ((x_32 Real))
  :extrafuns ((x_33 Real))
  :extrapreds ((x_34))
  :extrapreds ((x_35))
  :extrafuns ((x_36 Real))
  :extrafuns ((x_37 Real))
  :extrafuns ((x_38 Real))
  :extrafuns ((x_39 Real))
  :extrapreds ((x_40))
  :extrapreds ((x_41))
  :extrapreds ((x_42))
  :extrapreds ((x_43))
  :extrapreds ((x_44))
  :extrafuns ((x_45 Real))
  :extrapreds ((x_46))
  :extrafuns ((x_47 Real))
  :extrafuns ((x_48 Real))
  :extrafuns ((x_49 Real))
  :extrafuns ((x_50 Real))
  :extrafuns ((x_51 Real))
  :extrafuns ((x_52 Real))
  :extrafuns ((x_53 Real))
  :extrafuns ((x_54 Real))
  :extrafuns ((x_55 Real))
  :extrapreds ((x_56))
  :extrafuns ((x_57 Real))
  :extrapreds ((x_58))
  :extrapreds ((x_59))
  :extrafuns ((x_60 Real))
  :extrapreds ((x_61))
  :extrafuns ((x_62 Real))
  :extrafuns ((x_63 Real))
  :extrafuns ((x_64 Real))
  :extrafuns ((x_65 Real))
  :extrafuns ((x_66 Real))
  :extrafuns ((x_67 Real))
  :extrafuns ((x_68 Real))
  :extrafuns ((x_69 Real))
  :extrapreds ((x_70))
  :extrafuns ((x_71 Real))
  :extrapreds ((x_72))
  :extrapreds ((x_73))
  :extrafuns ((x_74 Real))
  :extrapreds ((x_75))
  :extrafuns ((x_76 Real))
  :extrafuns ((x_77 Real))
  :extrafuns ((x_78 Real))
  :extrafuns ((x_79 Real))
  :extrafuns ((x_80 Real))
  :extrafuns ((x_81 Real))
  :extrafuns ((x_82 Real))
  :extrafuns ((x_83 Real))
  :extrapreds ((x_84))
  :extrafuns ((x_85 Real))
  :extrapreds ((x_86))
  :extrapreds ((x_87))
  :extrafuns ((x_88 Real))
  :extrapreds ((x_89))
  :extrafuns ((x_90 Real))
  :extrafuns ((x_91 Real))
  :extrafuns ((x_92 Real))
  :extrafuns ((x_93 Real))
  :extrafuns ((x_94 Real))
  :extrafuns ((x_95 Real))
  :extrafuns ((x_96 Real))
  :extrafuns ((x_97 Real))
  :extrapreds ((x_98))
  :extrafuns ((x_99 Real))
  :extrapreds ((x_100))
  :extrapreds ((x_101))
  :extrafuns ((x_102 Real))
  :extrapreds ((x_103))
  :extrafuns ((x_104 Real))
  :extrafuns ((x_105 Real))
  :extrafuns ((x_106 Real))
  :extrafuns ((x_107 Real))
  :extrafuns ((x_108 Real))
  :extrafuns ((x_109 Real))
  :extrafuns ((x_110 Real))
  :extrafuns ((x_111 Real))
  :extrapreds ((x_112))
  :extrafuns ((x_113 Real))
  :extrafuns ((x_114 Real))
  :extrapreds ((x_115))
  :extrapreds ((x_116))
  :extrapreds ((x_117))
  :extrapreds ((x_118))
  :extrafuns ((x_119 Real))
  :extrapreds ((x_120))
  :extrafuns ((x_121 Real))
  :extrafuns ((x_122 Real))
  :extrafuns ((x_123 Real))
  :extrafuns ((x_124 Real))
  :formula
(flet ($cvcl_66 (= x_24 x_25)) (flet ($cvcl_67 (= x_26 x_27)) (flet ($cvcl_68 (= x_28 x_29)) (flet ($cvcl_64 (= x_30 x_31)) (flet ($cvcl_69 (not $cvcl_64)) (flet ($cvcl_71 (= x_32 x_33)) (flet ($cvcl_61 (iff x_34 x_35)) (flet ($cvcl_62 (= x_7 x_3)) (let (?cvcl_65 (ite (<= x_26 x_30) x_26 x_30)) (let (?cvcl_60 (ite (<= x_30 x_26) x_30 x_26)) (flet ($cvcl_54 (= x_51 x_24)) (flet ($cvcl_55 (= x_27 x_52)) (flet ($cvcl_56 (= x_53 x_28)) (flet ($cvcl_52 (= x_31 x_54)) (flet ($cvcl_57 (not $cvcl_52)) (flet ($cvcl_59 (= x_55 x_32)) (flet ($cvcl_49 (iff x_56 x_34)) (flet ($cvcl_50 (= x_11 x_7)) (let (?cvcl_53 (ite (<= x_27 x_31) x_27 x_31)) (let (?cvcl_48 (ite (<= x_31 x_27) x_31 x_27)) (flet ($cvcl_42 (= x_65 x_51)) (flet ($cvcl_43 (= x_52 x_66)) (flet ($cvcl_44 (= x_67 x_53)) (flet ($cvcl_40 (= x_54 x_68)) (flet ($cvcl_45 (not $cvcl_40)) (flet ($cvcl_47 (= x_69 x_55)) (flet ($cvcl_37 (iff x_70 x_56)) (flet ($cvcl_38 (= x_15 x_11)) (let (?cvcl_41 (ite (<= x_52 x_54) x_52 x_54)) (let (?cvcl_36 (ite (<= x_54 x_52) x_54 x_52)) (flet ($cvcl_30 (= x_79 x_65)) (flet ($cvcl_31 (= x_66 x_80)) (flet ($cvcl_32 (= x_81 x_67)) (flet ($cvcl_28 (= x_68 x_82)) (flet ($cvcl_33 (not $cvcl_28)) (flet ($cvcl_35 (= x_83 x_69)) (flet ($cvcl_25 (iff x_84 x_70)) (flet ($cvcl_26 (= x_19 x_15)) (let (?cvcl_29 (ite (<= x_66 x_68) x_66 x_68)) (let (?cvcl_24 (ite (<= x_68 x_66) x_68 x_66)) (flet ($cvcl_18 (= x_93 x_79)) (flet ($cvcl_19 (= x_80 x_94)) (flet ($cvcl_20 (= x_95 x_81)) (flet ($cvcl_16 (= x_82 x_96)) (flet ($cvcl_21 (not $cvcl_16)) (flet ($cvcl_23 (= x_97 x_83)) (flet ($cvcl_13 (iff x_98 x_84)) (flet ($cvcl_14 (= x_23 x_19)) (let (?cvcl_17 (ite (<= x_80 x_82) x_80 x_82)) (let (?cvcl_12 (ite (<= x_82 x_80) x_82 x_80)) (flet ($cvcl_6 (= x_107 x_93)) (flet ($cvcl_7 (= x_94 x_108)) (flet ($cvcl_8 (= x_109 x_95)) (flet ($cvcl_4 (= x_96 x_110)) (flet ($cvcl_9 (not $cvcl_4)) (flet ($cvcl_11 (= x_111 x_97)) (flet ($cvcl_1 (iff x_112 x_98)) (flet ($cvcl_2 (= x_113 x_23)) (let (?cvcl_5 (ite (<= x_94 x_96) x_94 x_96)) (let (?cvcl_0 (ite (<= x_96 x_94) x_96 x_94)) (flet ($cvcl_3 (iff x_116 x_21)) (flet ($cvcl_10 (= x_23 x_113)) (flet ($cvcl_15 (iff x_21 x_17)) (flet ($cvcl_22 (= x_19 x_23)) (flet ($cvcl_27 (iff x_17 x_13)) (flet ($cvcl_34 (= x_15 x_19)) (flet ($cvcl_39 (iff x_13 x_9)) (flet ($cvcl_46 (= x_11 x_15)) (flet ($cvcl_51 (iff x_9 x_5)) (flet ($cvcl_58 (= x_7 x_11)) (flet ($cvcl_63 (iff x_5 x_1)) (flet ($cvcl_70 (= x_3 x_7)) (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (> x_36 0) (> x_37 0)) (>= x_38 0)) (< x_38 x_36)) (< x_38 x_37)) (>= x_49 0)) (< x_49 x_36)) (< x_49 x_37)) (or (iff x_20 x_21)  (= x_22 x_23) )) (or (iff x_16 x_17)  (= x_18 x_19) )) (or (iff x_12 x_13)  (= x_14 x_15) )) (or (iff x_8 x_9)  (= x_10 x_11) )) (or (iff x_4 x_5)  (= x_6 x_7) )) (or (iff x_0 x_1)  (= x_2 x_3) )) (or (and (and (and (and (and (and (and (and (and (= x_114 0) (iff x_115 x_103)) (= ?cvcl_0 x_96)) (<= (+ ?cvcl_0 x_36) x_110)) (or $cvcl_3  (iff x_116 x_20) )) (iff x_117 x_100)) (iff x_118 x_101)) (= x_108 x_94)) $cvcl_1) $cvcl_2)  (and (and (and (and (and (and (and (and (and (= x_114 1) (iff x_118 x_100)) (= ?cvcl_0 x_94)) (<= (+ ?cvcl_0 x_37) x_108)) (or (and (and (= x_119 0) $cvcl_1) $cvcl_2)  (and (and (= x_119 1) (iff x_98 x_101)) (iff x_112 (not x_98))) )) (iff x_120 x_103)) (iff x_115 x_20)) (= x_121 x_22)) (= x_110 x_96)) $cvcl_3) )) (or (or (and (and (and (= x_122 0) $cvcl_9) (or (not (<= x_93 ?cvcl_5))  (iff x_120 x_98) )) $cvcl_6)  (and (and (and (= x_122 1) $cvcl_4) (xor x_98  x_112 )) (= x_107 (+ ?cvcl_5 x_38))) )  (and (and (and (= x_122 2) $cvcl_4) (iff x_98 x_112)) $cvcl_6) )) (or (or (and (and (and (= x_123 0) (not $cvcl_7)) (or (not (<= x_95 ?cvcl_0))  (iff x_117 x_21) )) $cvcl_8)  (and (and (and (= x_123 1) $cvcl_7) (xor x_21  x_116 )) (= x_109 (+ ?cvcl_0 x_49))) )  (and (and (and (= x_123 2) $cvcl_7) (iff x_21 x_116)) $cvcl_8) )) (or (or (and (and (and (= x_124 0) $cvcl_9) (or (not (<= x_97 ?cvcl_5))  (= x_121 x_23) )) $cvcl_11)  (and (and (and (= x_124 1) $cvcl_4) (not $cvcl_10)) (= x_111 (+ ?cvcl_5 x_38))) )  (and (and (and (= x_124 2) $cvcl_4) $cvcl_10) $cvcl_11) )) (or (and (and (and (and (and (and (and (and (and (= x_99 0) (iff x_20 x_89)) (= ?cvcl_12 x_82)) (<= (+ ?cvcl_12 x_36) x_96)) (or $cvcl_15  (iff x_21 x_16) )) (iff x_100 x_86)) (iff x_101 x_87)) (= x_94 x_80)) $cvcl_13) $cvcl_14)  (and (and (and (and (and (and (and (and (and (= x_99 1) (iff x_101 x_86)) (= ?cvcl_12 x_80)) (<= (+ ?cvcl_12 x_37) x_94)) (or (and (and (= x_102 0) $cvcl_13) $cvcl_14)  (and (and (= x_102 1) (iff x_84 x_87)) (iff x_98 (not x_84))) )) (iff x_103 x_89)) (iff x_20 x_16)) (= x_22 x_18)) (= x_96 x_82)) $cvcl_15) )) (or (or (and (and (and (= x_104 0) $cvcl_21) (or (not (<= x_79 ?cvcl_17))  (iff x_103 x_84) )) $cvcl_18)  (and (and (and (= x_104 1) $cvcl_16) (xor x_84  x_98 )) (= x_93 (+ ?cvcl_17 x_38))) )  (and (and (and (= x_104 2) $cvcl_16) (iff x_84 x_98)) $cvcl_18) )) (or (or (and (and (and (= x_105 0) (not $cvcl_19)) (or (not (<= x_81 ?cvcl_12))  (iff x_100 x_17) )) $cvcl_20)  (and (and (and (= x_105 1) $cvcl_19) (xor x_17  x_21 )) (= x_95 (+ ?cvcl_12 x_49))) )  (and (and (and (= x_105 2) $cvcl_19) (iff x_17 x_21)) $cvcl_20) )) (or (or (and (and (and (= x_106 0) $cvcl_21) (or (not (<= x_83 ?cvcl_17))  (= x_22 x_19) )) $cvcl_23)  (and (and (and (= x_106 1) $cvcl_16) (not $cvcl_22)) (= x_97 (+ ?cvcl_17 x_38))) )  (and (and (and (= x_106 2) $cvcl_16) $cvcl_22) $cvcl_23) )) (or (and (and (and (and (and (and (and (and (and (= x_85 0) (iff x_16 x_75)) (= ?cvcl_24 x_68)) (<= (+ ?cvcl_24 x_36) x_82)) (or $cvcl_27  (iff x_17 x_12) )) (iff x_86 x_72)) (iff x_87 x_73)) (= x_80 x_66)) $cvcl_25) $cvcl_26)  (and (and (and (and (and (and (and (and (and (= x_85 1) (iff x_87 x_72)) (= ?cvcl_24 x_66)) (<= (+ ?cvcl_24 x_37) x_80)) (or (and (and (= x_88 0) $cvcl_25) $cvcl_26)  (and (and (= x_88 1) (iff x_70 x_73)) (iff x_84 (not x_70))) )) (iff x_89 x_75)) (iff x_16 x_12)) (= x_18 x_14)) (= x_82 x_68)) $cvcl_27) )) (or (or (and (and (and (= x_90 0) $cvcl_33) (or (not (<= x_65 ?cvcl_29))  (iff x_89 x_70) )) $cvcl_30)  (and (and (and (= x_90 1) $cvcl_28) (xor x_70  x_84 )) (= x_79 (+ ?cvcl_29 x_38))) )  (and (and (and (= x_90 2) $cvcl_28) (iff x_70 x_84)) $cvcl_30) )) (or (or (and (and (and (= x_91 0) (not $cvcl_31)) (or (not (<= x_67 ?cvcl_24))  (iff x_86 x_13) )) $cvcl_32)  (and (and (and (= x_91 1) $cvcl_31) (xor x_13  x_17 )) (= x_81 (+ ?cvcl_24 x_49))) )  (and (and (and (= x_91 2) $cvcl_31) (iff x_13 x_17)) $cvcl_32) )) (or (or (and (and (and (= x_92 0) $cvcl_33) (or (not (<= x_69 ?cvcl_29))  (= x_18 x_15) )) $cvcl_35)  (and (and (and (= x_92 1) $cvcl_28) (not $cvcl_34)) (= x_83 (+ ?cvcl_29 x_38))) )  (and (and (and (= x_92 2) $cvcl_28) $cvcl_34) $cvcl_35) )) (or (and (and (and (and (and (and (and (and (and (= x_71 0) (iff x_12 x_61)) (= ?cvcl_36 x_54)) (<= (+ ?cvcl_36 x_36) x_68)) (or $cvcl_39  (iff x_13 x_8) )) (iff x_72 x_58)) (iff x_73 x_59)) (= x_66 x_52)) $cvcl_37) $cvcl_38)  (and (and (and (and (and (and (and (and (and (= x_71 1) (iff x_73 x_58)) (= ?cvcl_36 x_52)) (<= (+ ?cvcl_36 x_37) x_66)) (or (and (and (= x_74 0) $cvcl_37) $cvcl_38)  (and (and (= x_74 1) (iff x_56 x_59)) (iff x_70 (not x_56))) )) (iff x_75 x_61)) (iff x_12 x_8)) (= x_14 x_10)) (= x_68 x_54)) $cvcl_39) )) (or (or (and (and (and (= x_76 0) $cvcl_45) (or (not (<= x_51 ?cvcl_41))  (iff x_75 x_56) )) $cvcl_42)  (and (and (and (= x_76 1) $cvcl_40) (xor x_56  x_70 )) (= x_65 (+ ?cvcl_41 x_38))) )  (and (and (and (= x_76 2) $cvcl_40) (iff x_56 x_70)) $cvcl_42) )) (or (or (and (and (and (= x_77 0) (not $cvcl_43)) (or (not (<= x_53 ?cvcl_36))  (iff x_72 x_9) )) $cvcl_44)  (and (and (and (= x_77 1) $cvcl_43) (xor x_9  x_13 )) (= x_67 (+ ?cvcl_36 x_49))) )  (and (and (and (= x_77 2) $cvcl_43) (iff x_9 x_13)) $cvcl_44) )) (or (or (and (and (and (= x_78 0) $cvcl_45) (or (not (<= x_55 ?cvcl_41))  (= x_14 x_11) )) $cvcl_47)  (and (and (and (= x_78 1) $cvcl_40) (not $cvcl_46)) (= x_69 (+ ?cvcl_41 x_38))) )  (and (and (and (= x_78 2) $cvcl_40) $cvcl_46) $cvcl_47) )) (or (and (and (and (and (and (and (and (and (and (= x_57 0) (iff x_8 x_46)) (= ?cvcl_48 x_31)) (<= (+ ?cvcl_48 x_36) x_54)) (or $cvcl_51  (iff x_9 x_4) )) (iff x_58 x_41)) (iff x_59 x_43)) (= x_52 x_27)) $cvcl_49) $cvcl_50)  (and (and (and (and (and (and (and (and (and (= x_57 1) (iff x_59 x_41)) (= ?cvcl_48 x_27)) (<= (+ ?cvcl_48 x_37) x_52)) (or (and (and (= x_60 0) $cvcl_49) $cvcl_50)  (and (and (= x_60 1) (iff x_34 x_43)) (iff x_56 (not x_34))) )) (iff x_61 x_46)) (iff x_8 x_4)) (= x_10 x_6)) (= x_54 x_31)) $cvcl_51) )) (or (or (and (and (and (= x_62 0) $cvcl_57) (or (not (<= x_24 ?cvcl_53))  (iff x_61 x_34) )) $cvcl_54)  (and (and (and (= x_62 1) $cvcl_52) (xor x_34  x_56 )) (= x_51 (+ ?cvcl_53 x_38))) )  (and (and (and (= x_62 2) $cvcl_52) (iff x_34 x_56)) $cvcl_54) )) (or (or (and (and (and (= x_63 0) (not $cvcl_55)) (or (not (<= x_28 ?cvcl_48))  (iff x_58 x_5) )) $cvcl_56)  (and (and (and (= x_63 1) $cvcl_55) (xor x_5  x_9 )) (= x_53 (+ ?cvcl_48 x_49))) )  (and (and (and (= x_63 2) $cvcl_55) (iff x_5 x_9)) $cvcl_56) )) (or (or (and (and (and (= x_64 0) $cvcl_57) (or (not (<= x_32 ?cvcl_53))  (= x_10 x_7) )) $cvcl_59)  (and (and (and (= x_64 1) $cvcl_52) (not $cvcl_58)) (= x_55 (+ ?cvcl_53 x_38))) )  (and (and (and (= x_64 2) $cvcl_52) $cvcl_58) $cvcl_59) )) (or (and (and (and (and (and (and (and (and (and (= x_39 0) (iff x_4 x_40)) (= ?cvcl_60 x_30)) (<= (+ ?cvcl_60 x_36) x_31)) (or $cvcl_63  (iff x_5 x_0) )) (iff x_41 x_42)) (iff x_43 x_44)) (= x_27 x_26)) $cvcl_61) $cvcl_62)  (and (and (and (and (and (and (and (and (and (= x_39 1) (iff x_43 x_42)) (= ?cvcl_60 x_26)) (<= (+ ?cvcl_60 x_37) x_27)) (or (and (and (= x_45 0) $cvcl_61) $cvcl_62)  (and (and (= x_45 1) (iff x_35 x_44)) (iff x_34 (not x_35))) )) (iff x_46 x_40)) (iff x_4 x_0)) (= x_6 x_2)) (= x_31 x_30)) $cvcl_63) )) (or (or (and (and (and (= x_47 0) $cvcl_69) (or (not (<= x_25 ?cvcl_65))  (iff x_46 x_35) )) $cvcl_66)  (and (and (and (= x_47 1) $cvcl_64) (xor x_35  x_34 )) (= x_24 (+ ?cvcl_65 x_38))) )  (and (and (and (= x_47 2) $cvcl_64) (iff x_35 x_34)) $cvcl_66) )) (or (or (and (and (and (= x_48 0) (not $cvcl_67)) (or (not (<= x_29 ?cvcl_60))  (iff x_41 x_1) )) $cvcl_68)  (and (and (and (= x_48 1) $cvcl_67) (xor x_1  x_5 )) (= x_28 (+ ?cvcl_60 x_49))) )  (and (and (and (= x_48 2) $cvcl_67) (iff x_1 x_5)) $cvcl_68) )) (or (or (and (and (and (= x_50 0) $cvcl_69) (or (not (<= x_33 ?cvcl_65))  (= x_6 x_3) )) $cvcl_71)  (and (and (and (= x_50 1) $cvcl_64) (not $cvcl_70)) (= x_32 (+ ?cvcl_65 x_38))) )  (and (and (and (= x_50 2) $cvcl_64) $cvcl_70) $cvcl_71) )) (xor x_115  x_116 )) (not (= x_121 x_113)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
)
