(benchmark synch_circuit
  :source {
Fully parameterized specification and verification of a synchronizer   
circuit modeling metastability at various levels of refinement.     
A paper describing this specification, to be published in Designing     
Correct Circuits (DCC), 2006, is available from the authors.            

Geoffrey Brown, Indiana University <geobrown@cs.indiana.edu>
Lee Pike, Galois Connections, Inc. <leepike@galois.com>

Translated into CVC format by Leonardo de Moura.

This benchmark was automatically translated into SMT-LIB format from
CVC format using CVC Lite

}
  :status sat
:category { industrial }
:difficulty { 2 }
  :logic QF_LRA
  
  :extrapreds ((x_0))
  :extrapreds ((x_1))
  :extrafuns ((x_2 Real))
  :extrafuns ((x_3 Real))
  :extrapreds ((x_4))
  :extrapreds ((x_5))
  :extrafuns ((x_6 Real))
  :extrafuns ((x_7 Real))
  :extrapreds ((x_8))
  :extrapreds ((x_9))
  :extrafuns ((x_10 Real))
  :extrafuns ((x_11 Real))
  :extrapreds ((x_12))
  :extrapreds ((x_13))
  :extrafuns ((x_14 Real))
  :extrafuns ((x_15 Real))
  :extrapreds ((x_16))
  :extrapreds ((x_17))
  :extrafuns ((x_18 Real))
  :extrafuns ((x_19 Real))
  :extrapreds ((x_20))
  :extrapreds ((x_21))
  :extrafuns ((x_22 Real))
  :extrafuns ((x_23 Real))
  :extrapreds ((x_24))
  :extrapreds ((x_25))
  :extrafuns ((x_26 Real))
  :extrafuns ((x_27 Real))
  :extrapreds ((x_28))
  :extrapreds ((x_29))
  :extrafuns ((x_30 Real))
  :extrafuns ((x_31 Real))
  :extrapreds ((x_32))
  :extrapreds ((x_33))
  :extrafuns ((x_34 Real))
  :extrafuns ((x_35 Real))
  :extrapreds ((x_36))
  :extrapreds ((x_37))
  :extrafuns ((x_38 Real))
  :extrafuns ((x_39 Real))
  :extrapreds ((x_40))
  :extrapreds ((x_41))
  :extrapreds ((x_42))
  :extrapreds ((x_43))
  :extrafuns ((x_44 Real))
  :extrafuns ((x_45 Real))
  :extrafuns ((x_46 Real))
  :extrafuns ((x_47 Real))
  :extrapreds ((x_48))
  :extrapreds ((x_49))
  :extrapreds ((x_50))
  :extrapreds ((x_51))
  :extrafuns ((x_52 Real))
  :extrafuns ((x_53 Real))
  :extrafuns ((x_54 Real))
  :extrafuns ((x_55 Real))
  :extrapreds ((x_56))
  :extrapreds ((x_57))
  :extrapreds ((x_58))
  :extrapreds ((x_59))
  :extrafuns ((x_60 Real))
  :extrafuns ((x_61 Real))
  :extrafuns ((x_62 Real))
  :extrafuns ((x_63 Real))
  :extrapreds ((x_64))
  :extrapreds ((x_65))
  :extrapreds ((x_66))
  :extrapreds ((x_67))
  :extrafuns ((x_68 Real))
  :extrafuns ((x_69 Real))
  :extrafuns ((x_70 Real))
  :extrafuns ((x_71 Real))
  :extrapreds ((x_72))
  :extrapreds ((x_73))
  :extrapreds ((x_74))
  :extrapreds ((x_75))
  :extrafuns ((x_76 Real))
  :extrafuns ((x_77 Real))
  :extrafuns ((x_78 Real))
  :extrafuns ((x_79 Real))
  :extrapreds ((x_80))
  :extrapreds ((x_81))
  :extrapreds ((x_82))
  :extrapreds ((x_83))
  :extrafuns ((x_84 Real))
  :extrafuns ((x_85 Real))
  :extrafuns ((x_86 Real))
  :extrafuns ((x_87 Real))
  :extrapreds ((x_88))
  :extrapreds ((x_89))
  :extrapreds ((x_90))
  :extrapreds ((x_91))
  :extrafuns ((x_92 Real))
  :extrafuns ((x_93 Real))
  :extrafuns ((x_94 Real))
  :extrafuns ((x_95 Real))
  :extrapreds ((x_96))
  :extrapreds ((x_97))
  :extrapreds ((x_98))
  :extrapreds ((x_99))
  :extrafuns ((x_100 Real))
  :extrafuns ((x_101 Real))
  :extrafuns ((x_102 Real))
  :extrafuns ((x_103 Real))
  :extrapreds ((x_104))
  :extrapreds ((x_105))
  :extrapreds ((x_106))
  :extrapreds ((x_107))
  :extrafuns ((x_108 Real))
  :extrafuns ((x_109 Real))
  :extrafuns ((x_110 Real))
  :extrafuns ((x_111 Real))
  :extrapreds ((x_112))
  :extrapreds ((x_113))
  :extrapreds ((x_114))
  :extrapreds ((x_115))
  :extrafuns ((x_116 Real))
  :extrafuns ((x_117 Real))
  :extrafuns ((x_118 Real))
  :extrafuns ((x_119 Real))
  :extrapreds ((x_120))
  :extrapreds ((x_121))
  :extrapreds ((x_122))
  :extrapreds ((x_123))
  :extrapreds ((x_124))
  :extrapreds ((x_125))
  :extrafuns ((x_126 Real))
  :extrafuns ((x_127 Real))
  :extrafuns ((x_128 Real))
  :extrafuns ((x_129 Real))
  :extrafuns ((x_130 Real))
  :extrafuns ((x_131 Real))
  :extrafuns ((x_132 Real))
  :extrafuns ((x_133 Real))
  :extrafuns ((x_134 Real))
  :extrafuns ((x_135 Real))
  :extrafuns ((x_136 Real))
  :extrafuns ((x_137 Real))
  :extrafuns ((x_138 Real))
  :extrafuns ((x_139 Real))
  :extrafuns ((x_140 Real))
  :extrafuns ((x_141 Real))
  :extrafuns ((x_142 Real))
  :extrafuns ((x_143 Real))
  :extrafuns ((x_144 Real))
  :extrafuns ((x_145 Real))
  :extrafuns ((x_146 Real))
  :extrafuns ((x_147 Real))
  :extrafuns ((x_148 Real))
  :extrafuns ((x_149 Real))
  :extrafuns ((x_150 Real))
  :extrafuns ((x_151 Real))
  :extrafuns ((x_152 Real))
  :extrafuns ((x_153 Real))
  :extrafuns ((x_154 Real))
  :extrafuns ((x_155 Real))
  :extrafuns ((x_156 Real))
  :extrafuns ((x_157 Real))
  :extrafuns ((x_158 Real))
  :extrafuns ((x_159 Real))
  :extrafuns ((x_160 Real))
  :extrafuns ((x_161 Real))
  :extrafuns ((x_162 Real))
  :extrafuns ((x_163 Real))
  :extrafuns ((x_164 Real))
  :extrafuns ((x_165 Real))
  :extrafuns ((x_166 Real))
  :extrafuns ((x_167 Real))
  :extrafuns ((x_168 Real))
  :extrafuns ((x_169 Real))
  :extrafuns ((x_170 Real))
  :extrafuns ((x_171 Real))
  :extrafuns ((x_172 Real))
  :extrafuns ((x_173 Real))
  :extrafuns ((x_174 Real))
  :extrafuns ((x_175 Real))
  :extrafuns ((x_176 Real))
  :extrafuns ((x_177 Real))
  :extrafuns ((x_178 Real))
  :extrafuns ((x_179 Real))
  :extrafuns ((x_180 Real))
  :extrafuns ((x_181 Real))
  :extrafuns ((x_182 Real))
  :extrafuns ((x_183 Real))
  :extrafuns ((x_184 Real))
  :extrafuns ((x_185 Real))
  :extrafuns ((x_186 Real))
  :extrafuns ((x_187 Real))
  :extrafuns ((x_188 Real))
  :extrafuns ((x_189 Real))
  :extrafuns ((x_190 Real))
  :extrafuns ((x_191 Real))
  :extrafuns ((x_192 Real))
  :extrafuns ((x_193 Real))
  :extrafuns ((x_194 Real))
  :extrafuns ((x_195 Real))
  :extrafuns ((x_196 Real))
  :formula
(flet ($cvcl_124 (= x_53 x_45)) (flet ($cvcl_125 (= x_46 x_54)) (flet ($cvcl_126 (= x_55 x_47)) (flet ($cvcl_122 (= x_44 x_52)) (flet ($cvcl_127 (not $cvcl_122)) (flet ($cvcl_129 (= x_130 x_131)) (flet ($cvcl_118 (iff x_48 x_40)) (flet ($cvcl_119 (= x_7 x_3)) (let (?cvcl_123 (ite (<= x_46 x_44) x_46 x_44)) (let (?cvcl_117 (ite (<= x_44 x_46) x_44 x_46)) (flet ($cvcl_111 (= x_61 x_53)) (flet ($cvcl_112 (= x_54 x_62)) (flet ($cvcl_113 (= x_63 x_55)) (flet ($cvcl_109 (= x_52 x_60)) (flet ($cvcl_114 (not $cvcl_109)) (flet ($cvcl_116 (= x_141 x_130)) (flet ($cvcl_105 (iff x_56 x_48)) (flet ($cvcl_106 (= x_11 x_7)) (let (?cvcl_110 (ite (<= x_54 x_52) x_54 x_52)) (let (?cvcl_104 (ite (<= x_52 x_54) x_52 x_54)) (flet ($cvcl_98 (= x_69 x_61)) (flet ($cvcl_99 (= x_62 x_70)) (flet ($cvcl_100 (= x_71 x_63)) (flet ($cvcl_96 (= x_60 x_68)) (flet ($cvcl_101 (not $cvcl_96)) (flet ($cvcl_103 (= x_147 x_141)) (flet ($cvcl_92 (iff x_64 x_56)) (flet ($cvcl_93 (= x_15 x_11)) (let (?cvcl_97 (ite (<= x_62 x_60) x_62 x_60)) (let (?cvcl_91 (ite (<= x_60 x_62) x_60 x_62)) (flet ($cvcl_85 (= x_77 x_69)) (flet ($cvcl_86 (= x_70 x_78)) (flet ($cvcl_87 (= x_79 x_71)) (flet ($cvcl_83 (= x_68 x_76)) (flet ($cvcl_88 (not $cvcl_83)) (flet ($cvcl_90 (= x_153 x_147)) (flet ($cvcl_79 (iff x_72 x_64)) (flet ($cvcl_80 (= x_19 x_15)) (let (?cvcl_84 (ite (<= x_70 x_68) x_70 x_68)) (let (?cvcl_78 (ite (<= x_68 x_70) x_68 x_70)) (flet ($cvcl_72 (= x_85 x_77)) (flet ($cvcl_73 (= x_78 x_86)) (flet ($cvcl_74 (= x_87 x_79)) (flet ($cvcl_70 (= x_76 x_84)) (flet ($cvcl_75 (not $cvcl_70)) (flet ($cvcl_77 (= x_159 x_153)) (flet ($cvcl_66 (iff x_80 x_72)) (flet ($cvcl_67 (= x_23 x_19)) (let (?cvcl_71 (ite (<= x_78 x_76) x_78 x_76)) (let (?cvcl_65 (ite (<= x_76 x_78) x_76 x_78)) (flet ($cvcl_59 (= x_93 x_85)) (flet ($cvcl_60 (= x_86 x_94)) (flet ($cvcl_61 (= x_95 x_87)) (flet ($cvcl_57 (= x_84 x_92)) (flet ($cvcl_62 (not $cvcl_57)) (flet ($cvcl_64 (= x_165 x_159)) (flet ($cvcl_53 (iff x_88 x_80)) (flet ($cvcl_54 (= x_27 x_23)) (let (?cvcl_58 (ite (<= x_86 x_84) x_86 x_84)) (let (?cvcl_52 (ite (<= x_84 x_86) x_84 x_86)) (flet ($cvcl_46 (= x_101 x_93)) (flet ($cvcl_47 (= x_94 x_102)) (flet ($cvcl_48 (= x_103 x_95)) (flet ($cvcl_44 (= x_92 x_100)) (flet ($cvcl_49 (not $cvcl_44)) (flet ($cvcl_51 (= x_171 x_165)) (flet ($cvcl_40 (iff x_96 x_88)) (flet ($cvcl_41 (= x_31 x_27)) (let (?cvcl_45 (ite (<= x_94 x_92) x_94 x_92)) (let (?cvcl_39 (ite (<= x_92 x_94) x_92 x_94)) (flet ($cvcl_33 (= x_109 x_101)) (flet ($cvcl_34 (= x_102 x_110)) (flet ($cvcl_35 (= x_111 x_103)) (flet ($cvcl_31 (= x_100 x_108)) (flet ($cvcl_36 (not $cvcl_31)) (flet ($cvcl_38 (= x_177 x_171)) (flet ($cvcl_27 (iff x_104 x_96)) (flet ($cvcl_28 (= x_35 x_31)) (let (?cvcl_32 (ite (<= x_102 x_100) x_102 x_100)) (let (?cvcl_26 (ite (<= x_100 x_102) x_100 x_102)) (flet ($cvcl_20 (= x_117 x_109)) (flet ($cvcl_21 (= x_110 x_118)) (flet ($cvcl_22 (= x_119 x_111)) (flet ($cvcl_18 (= x_108 x_116)) (flet ($cvcl_23 (not $cvcl_18)) (flet ($cvcl_25 (= x_183 x_177)) (flet ($cvcl_14 (iff x_112 x_104)) (flet ($cvcl_15 (= x_39 x_35)) (let (?cvcl_19 (ite (<= x_110 x_108) x_110 x_108)) (let (?cvcl_13 (ite (<= x_108 x_110) x_108 x_110)) (flet ($cvcl_7 (= x_127 x_117)) (flet ($cvcl_8 (= x_118 x_128)) (flet ($cvcl_9 (= x_129 x_119)) (flet ($cvcl_5 (= x_116 x_126)) (flet ($cvcl_10 (not $cvcl_5)) (flet ($cvcl_12 (= x_189 x_183)) (flet ($cvcl_1 (iff x_120 x_112)) (flet ($cvcl_2 (= x_190 x_39)) (let (?cvcl_6 (ite (<= x_118 x_116) x_118 x_116)) (let (?cvcl_0 (ite (<= x_116 x_118) x_116 x_118)) (flet ($cvcl_130 (xor x_122  x_123 )) (flet ($cvcl_3 (not x_112)) (flet ($cvcl_16 (not x_104)) (flet ($cvcl_29 (not x_96)) (flet ($cvcl_42 (not x_88)) (flet ($cvcl_55 (not x_80)) (flet ($cvcl_68 (not x_72)) (flet ($cvcl_81 (not x_64)) (flet ($cvcl_94 (not x_56)) (flet ($cvcl_107 (not x_48)) (flet ($cvcl_120 (not x_40)) (flet ($cvcl_4 (iff x_123 x_37)) (flet ($cvcl_11 (= x_39 x_190)) (flet ($cvcl_17 (iff x_37 x_33)) (flet ($cvcl_24 (= x_35 x_39)) (flet ($cvcl_30 (iff x_33 x_29)) (flet ($cvcl_37 (= x_31 x_35)) (flet ($cvcl_43 (iff x_29 x_25)) (flet ($cvcl_50 (= x_27 x_31)) (flet ($cvcl_56 (iff x_25 x_21)) (flet ($cvcl_63 (= x_23 x_27)) (flet ($cvcl_69 (iff x_21 x_17)) (flet ($cvcl_76 (= x_19 x_23)) (flet ($cvcl_82 (iff x_17 x_13)) (flet ($cvcl_89 (= x_15 x_19)) (flet ($cvcl_95 (iff x_13 x_9)) (flet ($cvcl_102 (= x_11 x_15)) (flet ($cvcl_108 (iff x_9 x_5)) (flet ($cvcl_115 (= x_7 x_11)) (flet ($cvcl_121 (iff x_5 x_1)) (flet ($cvcl_128 (= x_3 x_7)) (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (> x_132 0) (> x_133 0)) (>= x_134 0)) (< x_134 x_132)) (< x_134 x_133)) (>= x_139 0)) (< x_139 x_132)) (< x_139 x_133)) (or (iff x_36 x_37)  (= x_38 x_39) )) (or (iff x_32 x_33)  (= x_34 x_35) )) (or (iff x_28 x_29)  (= x_30 x_31) )) (or (iff x_24 x_25)  (= x_26 x_27) )) (or (iff x_20 x_21)  (= x_22 x_23) )) (or (iff x_16 x_17)  (= x_18 x_19) )) (or (iff x_12 x_13)  (= x_14 x_15) )) (or (iff x_8 x_9)  (= x_10 x_11) )) (or (iff x_4 x_5)  (= x_6 x_7) )) (or (iff x_0 x_1)  (= x_2 x_3) )) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_120  x_121 ) 1 0) (ite (xor x_121  x_122 ) 1 0)) (ite $cvcl_130 1 0)) (ite (xor x_123  x_124 ) 1 0)) (ite (xor x_124  x_125 ) 1 0)) (ite (xor x_125  (not x_120) ) 1 0)) (ite (and (iff x_120 x_121) (< x_126 x_127)) 1 0)) (ite (and (iff x_123 x_124) (< x_128 x_129)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_112  x_113 ) 1 0) (ite (xor x_113  x_36 ) 1 0)) (ite (xor x_36  x_37 ) 1 0)) (ite (xor x_37  x_114 ) 1 0)) (ite (xor x_114  x_115 ) 1 0)) (ite (xor x_115  $cvcl_3 ) 1 0)) (ite (and (iff x_112 x_113) (< x_116 x_117)) 1 0)) (ite (and (iff x_37 x_114) (< x_118 x_119)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_104  x_105 ) 1 0) (ite (xor x_105  x_32 ) 1 0)) (ite (xor x_32  x_33 ) 1 0)) (ite (xor x_33  x_106 ) 1 0)) (ite (xor x_106  x_107 ) 1 0)) (ite (xor x_107  $cvcl_16 ) 1 0)) (ite (and (iff x_104 x_105) (< x_108 x_109)) 1 0)) (ite (and (iff x_33 x_106) (< x_110 x_111)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_96  x_97 ) 1 0) (ite (xor x_97  x_28 ) 1 0)) (ite (xor x_28  x_29 ) 1 0)) (ite (xor x_29  x_98 ) 1 0)) (ite (xor x_98  x_99 ) 1 0)) (ite (xor x_99  $cvcl_29 ) 1 0)) (ite (and (iff x_96 x_97) (< x_100 x_101)) 1 0)) (ite (and (iff x_29 x_98) (< x_102 x_103)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_88  x_89 ) 1 0) (ite (xor x_89  x_24 ) 1 0)) (ite (xor x_24  x_25 ) 1 0)) (ite (xor x_25  x_90 ) 1 0)) (ite (xor x_90  x_91 ) 1 0)) (ite (xor x_91  $cvcl_42 ) 1 0)) (ite (and (iff x_88 x_89) (< x_92 x_93)) 1 0)) (ite (and (iff x_25 x_90) (< x_94 x_95)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_80  x_81 ) 1 0) (ite (xor x_81  x_20 ) 1 0)) (ite (xor x_20  x_21 ) 1 0)) (ite (xor x_21  x_82 ) 1 0)) (ite (xor x_82  x_83 ) 1 0)) (ite (xor x_83  $cvcl_55 ) 1 0)) (ite (and (iff x_80 x_81) (< x_84 x_85)) 1 0)) (ite (and (iff x_21 x_82) (< x_86 x_87)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_72  x_73 ) 1 0) (ite (xor x_73  x_16 ) 1 0)) (ite (xor x_16  x_17 ) 1 0)) (ite (xor x_17  x_74 ) 1 0)) (ite (xor x_74  x_75 ) 1 0)) (ite (xor x_75  $cvcl_68 ) 1 0)) (ite (and (iff x_72 x_73) (< x_76 x_77)) 1 0)) (ite (and (iff x_17 x_74) (< x_78 x_79)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_64  x_65 ) 1 0) (ite (xor x_65  x_12 ) 1 0)) (ite (xor x_12  x_13 ) 1 0)) (ite (xor x_13  x_66 ) 1 0)) (ite (xor x_66  x_67 ) 1 0)) (ite (xor x_67  $cvcl_81 ) 1 0)) (ite (and (iff x_64 x_65) (< x_68 x_69)) 1 0)) (ite (and (iff x_13 x_66) (< x_70 x_71)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_56  x_57 ) 1 0) (ite (xor x_57  x_8 ) 1 0)) (ite (xor x_8  x_9 ) 1 0)) (ite (xor x_9  x_58 ) 1 0)) (ite (xor x_58  x_59 ) 1 0)) (ite (xor x_59  $cvcl_94 ) 1 0)) (ite (and (iff x_56 x_57) (< x_60 x_61)) 1 0)) (ite (and (iff x_9 x_58) (< x_62 x_63)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_48  x_49 ) 1 0) (ite (xor x_49  x_4 ) 1 0)) (ite (xor x_4  x_5 ) 1 0)) (ite (xor x_5  x_50 ) 1 0)) (ite (xor x_50  x_51 ) 1 0)) (ite (xor x_51  $cvcl_107 ) 1 0)) (ite (and (iff x_48 x_49) (< x_52 x_53)) 1 0)) (ite (and (iff x_5 x_50) (< x_54 x_55)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_40  x_41 ) 1 0) (ite (xor x_41  x_0 ) 1 0)) (ite (xor x_0  x_1 ) 1 0)) (ite (xor x_1  x_42 ) 1 0)) (ite (xor x_42  x_43 ) 1 0)) (ite (xor x_43  $cvcl_120 ) 1 0)) (ite (and (iff x_40 x_41) (< x_44 x_45)) 1 0)) (ite (and (iff x_1 x_42) (< x_46 x_47)) 1 0)) 1)) (or (and (and (and (and (and (and (and (and (and (= x_191 0) (iff x_122 x_113)) (= ?cvcl_0 x_116)) (<= (+ ?cvcl_0 x_132) x_126)) (or $cvcl_4  (iff x_123 x_36) )) (iff x_124 x_114)) (iff x_125 x_115)) (= x_128 x_118)) $cvcl_1) $cvcl_2)  (and (and (and (and (and (and (and (and (and (= x_191 1) (iff x_125 x_114)) (= ?cvcl_0 x_118)) (<= (+ ?cvcl_0 x_133) x_128)) (or (and (and (= x_192 0) $cvcl_1) $cvcl_2)  (and (and (= x_192 1) (iff x_112 x_115)) (iff x_120 $cvcl_3)) )) (iff x_121 x_113)) (iff x_122 x_36)) (= x_193 x_38)) (= x_126 x_116)) $cvcl_4) )) (or (or (and (and (and (= x_194 0) $cvcl_10) (or (not (<= x_117 ?cvcl_6))  (iff x_121 x_112) )) $cvcl_7)  (and (and (and (= x_194 1) $cvcl_5) (xor x_112  x_120 )) (= x_127 (+ ?cvcl_6 x_134))) )  (and (and (and (= x_194 2) $cvcl_5) (iff x_112 x_120)) $cvcl_7) )) (or (or (and (and (and (= x_195 0) (not $cvcl_8)) (or (not (<= x_119 ?cvcl_0))  (iff x_124 x_37) )) $cvcl_9)  (and (and (and (= x_195 1) $cvcl_8) (xor x_37  x_123 )) (= x_129 (+ ?cvcl_0 x_139))) )  (and (and (and (= x_195 2) $cvcl_8) (iff x_37 x_123)) $cvcl_9) )) (or (or (and (and (and (= x_196 0) $cvcl_10) (or (not (<= x_183 ?cvcl_6))  (= x_193 x_39) )) $cvcl_12)  (and (and (and (= x_196 1) $cvcl_5) (not $cvcl_11)) (= x_189 (+ ?cvcl_6 x_134))) )  (and (and (and (= x_196 2) $cvcl_5) $cvcl_11) $cvcl_12) )) (or (and (and (and (and (and (and (and (and (and (= x_184 0) (iff x_36 x_105)) (= ?cvcl_13 x_108)) (<= (+ ?cvcl_13 x_132) x_116)) (or $cvcl_17  (iff x_37 x_32) )) (iff x_114 x_106)) (iff x_115 x_107)) (= x_118 x_110)) $cvcl_14) $cvcl_15)  (and (and (and (and (and (and (and (and (and (= x_184 1) (iff x_115 x_106)) (= ?cvcl_13 x_110)) (<= (+ ?cvcl_13 x_133) x_118)) (or (and (and (= x_185 0) $cvcl_14) $cvcl_15)  (and (and (= x_185 1) (iff x_104 x_107)) (iff x_112 $cvcl_16)) )) (iff x_113 x_105)) (iff x_36 x_32)) (= x_38 x_34)) (= x_116 x_108)) $cvcl_17) )) (or (or (and (and (and (= x_186 0) $cvcl_23) (or (not (<= x_109 ?cvcl_19))  (iff x_113 x_104) )) $cvcl_20)  (and (and (and (= x_186 1) $cvcl_18) (xor x_104  x_112 )) (= x_117 (+ ?cvcl_19 x_134))) )  (and (and (and (= x_186 2) $cvcl_18) (iff x_104 x_112)) $cvcl_20) )) (or (or (and (and (and (= x_187 0) (not $cvcl_21)) (or (not (<= x_111 ?cvcl_13))  (iff x_114 x_33) )) $cvcl_22)  (and (and (and (= x_187 1) $cvcl_21) (xor x_33  x_37 )) (= x_119 (+ ?cvcl_13 x_139))) )  (and (and (and (= x_187 2) $cvcl_21) (iff x_33 x_37)) $cvcl_22) )) (or (or (and (and (and (= x_188 0) $cvcl_23) (or (not (<= x_177 ?cvcl_19))  (= x_38 x_35) )) $cvcl_25)  (and (and (and (= x_188 1) $cvcl_18) (not $cvcl_24)) (= x_183 (+ ?cvcl_19 x_134))) )  (and (and (and (= x_188 2) $cvcl_18) $cvcl_24) $cvcl_25) )) (or (and (and (and (and (and (and (and (and (and (= x_178 0) (iff x_32 x_97)) (= ?cvcl_26 x_100)) (<= (+ ?cvcl_26 x_132) x_108)) (or $cvcl_30  (iff x_33 x_28) )) (iff x_106 x_98)) (iff x_107 x_99)) (= x_110 x_102)) $cvcl_27) $cvcl_28)  (and (and (and (and (and (and (and (and (and (= x_178 1) (iff x_107 x_98)) (= ?cvcl_26 x_102)) (<= (+ ?cvcl_26 x_133) x_110)) (or (and (and (= x_179 0) $cvcl_27) $cvcl_28)  (and (and (= x_179 1) (iff x_96 x_99)) (iff x_104 $cvcl_29)) )) (iff x_105 x_97)) (iff x_32 x_28)) (= x_34 x_30)) (= x_108 x_100)) $cvcl_30) )) (or (or (and (and (and (= x_180 0) $cvcl_36) (or (not (<= x_101 ?cvcl_32))  (iff x_105 x_96) )) $cvcl_33)  (and (and (and (= x_180 1) $cvcl_31) (xor x_96  x_104 )) (= x_109 (+ ?cvcl_32 x_134))) )  (and (and (and (= x_180 2) $cvcl_31) (iff x_96 x_104)) $cvcl_33) )) (or (or (and (and (and (= x_181 0) (not $cvcl_34)) (or (not (<= x_103 ?cvcl_26))  (iff x_106 x_29) )) $cvcl_35)  (and (and (and (= x_181 1) $cvcl_34) (xor x_29  x_33 )) (= x_111 (+ ?cvcl_26 x_139))) )  (and (and (and (= x_181 2) $cvcl_34) (iff x_29 x_33)) $cvcl_35) )) (or (or (and (and (and (= x_182 0) $cvcl_36) (or (not (<= x_171 ?cvcl_32))  (= x_34 x_31) )) $cvcl_38)  (and (and (and (= x_182 1) $cvcl_31) (not $cvcl_37)) (= x_177 (+ ?cvcl_32 x_134))) )  (and (and (and (= x_182 2) $cvcl_31) $cvcl_37) $cvcl_38) )) (or (and (and (and (and (and (and (and (and (and (= x_172 0) (iff x_28 x_89)) (= ?cvcl_39 x_92)) (<= (+ ?cvcl_39 x_132) x_100)) (or $cvcl_43  (iff x_29 x_24) )) (iff x_98 x_90)) (iff x_99 x_91)) (= x_102 x_94)) $cvcl_40) $cvcl_41)  (and (and (and (and (and (and (and (and (and (= x_172 1) (iff x_99 x_90)) (= ?cvcl_39 x_94)) (<= (+ ?cvcl_39 x_133) x_102)) (or (and (and (= x_173 0) $cvcl_40) $cvcl_41)  (and (and (= x_173 1) (iff x_88 x_91)) (iff x_96 $cvcl_42)) )) (iff x_97 x_89)) (iff x_28 x_24)) (= x_30 x_26)) (= x_100 x_92)) $cvcl_43) )) (or (or (and (and (and (= x_174 0) $cvcl_49) (or (not (<= x_93 ?cvcl_45))  (iff x_97 x_88) )) $cvcl_46)  (and (and (and (= x_174 1) $cvcl_44) (xor x_88  x_96 )) (= x_101 (+ ?cvcl_45 x_134))) )  (and (and (and (= x_174 2) $cvcl_44) (iff x_88 x_96)) $cvcl_46) )) (or (or (and (and (and (= x_175 0) (not $cvcl_47)) (or (not (<= x_95 ?cvcl_39))  (iff x_98 x_25) )) $cvcl_48)  (and (and (and (= x_175 1) $cvcl_47) (xor x_25  x_29 )) (= x_103 (+ ?cvcl_39 x_139))) )  (and (and (and (= x_175 2) $cvcl_47) (iff x_25 x_29)) $cvcl_48) )) (or (or (and (and (and (= x_176 0) $cvcl_49) (or (not (<= x_165 ?cvcl_45))  (= x_30 x_27) )) $cvcl_51)  (and (and (and (= x_176 1) $cvcl_44) (not $cvcl_50)) (= x_171 (+ ?cvcl_45 x_134))) )  (and (and (and (= x_176 2) $cvcl_44) $cvcl_50) $cvcl_51) )) (or (and (and (and (and (and (and (and (and (and (= x_166 0) (iff x_24 x_81)) (= ?cvcl_52 x_84)) (<= (+ ?cvcl_52 x_132) x_92)) (or $cvcl_56  (iff x_25 x_20) )) (iff x_90 x_82)) (iff x_91 x_83)) (= x_94 x_86)) $cvcl_53) $cvcl_54)  (and (and (and (and (and (and (and (and (and (= x_166 1) (iff x_91 x_82)) (= ?cvcl_52 x_86)) (<= (+ ?cvcl_52 x_133) x_94)) (or (and (and (= x_167 0) $cvcl_53) $cvcl_54)  (and (and (= x_167 1) (iff x_80 x_83)) (iff x_88 $cvcl_55)) )) (iff x_89 x_81)) (iff x_24 x_20)) (= x_26 x_22)) (= x_92 x_84)) $cvcl_56) )) (or (or (and (and (and (= x_168 0) $cvcl_62) (or (not (<= x_85 ?cvcl_58))  (iff x_89 x_80) )) $cvcl_59)  (and (and (and (= x_168 1) $cvcl_57) (xor x_80  x_88 )) (= x_93 (+ ?cvcl_58 x_134))) )  (and (and (and (= x_168 2) $cvcl_57) (iff x_80 x_88)) $cvcl_59) )) (or (or (and (and (and (= x_169 0) (not $cvcl_60)) (or (not (<= x_87 ?cvcl_52))  (iff x_90 x_21) )) $cvcl_61)  (and (and (and (= x_169 1) $cvcl_60) (xor x_21  x_25 )) (= x_95 (+ ?cvcl_52 x_139))) )  (and (and (and (= x_169 2) $cvcl_60) (iff x_21 x_25)) $cvcl_61) )) (or (or (and (and (and (= x_170 0) $cvcl_62) (or (not (<= x_159 ?cvcl_58))  (= x_26 x_23) )) $cvcl_64)  (and (and (and (= x_170 1) $cvcl_57) (not $cvcl_63)) (= x_165 (+ ?cvcl_58 x_134))) )  (and (and (and (= x_170 2) $cvcl_57) $cvcl_63) $cvcl_64) )) (or (and (and (and (and (and (and (and (and (and (= x_160 0) (iff x_20 x_73)) (= ?cvcl_65 x_76)) (<= (+ ?cvcl_65 x_132) x_84)) (or $cvcl_69  (iff x_21 x_16) )) (iff x_82 x_74)) (iff x_83 x_75)) (= x_86 x_78)) $cvcl_66) $cvcl_67)  (and (and (and (and (and (and (and (and (and (= x_160 1) (iff x_83 x_74)) (= ?cvcl_65 x_78)) (<= (+ ?cvcl_65 x_133) x_86)) (or (and (and (= x_161 0) $cvcl_66) $cvcl_67)  (and (and (= x_161 1) (iff x_72 x_75)) (iff x_80 $cvcl_68)) )) (iff x_81 x_73)) (iff x_20 x_16)) (= x_22 x_18)) (= x_84 x_76)) $cvcl_69) )) (or (or (and (and (and (= x_162 0) $cvcl_75) (or (not (<= x_77 ?cvcl_71))  (iff x_81 x_72) )) $cvcl_72)  (and (and (and (= x_162 1) $cvcl_70) (xor x_72  x_80 )) (= x_85 (+ ?cvcl_71 x_134))) )  (and (and (and (= x_162 2) $cvcl_70) (iff x_72 x_80)) $cvcl_72) )) (or (or (and (and (and (= x_163 0) (not $cvcl_73)) (or (not (<= x_79 ?cvcl_65))  (iff x_82 x_17) )) $cvcl_74)  (and (and (and (= x_163 1) $cvcl_73) (xor x_17  x_21 )) (= x_87 (+ ?cvcl_65 x_139))) )  (and (and (and (= x_163 2) $cvcl_73) (iff x_17 x_21)) $cvcl_74) )) (or (or (and (and (and (= x_164 0) $cvcl_75) (or (not (<= x_153 ?cvcl_71))  (= x_22 x_19) )) $cvcl_77)  (and (and (and (= x_164 1) $cvcl_70) (not $cvcl_76)) (= x_159 (+ ?cvcl_71 x_134))) )  (and (and (and (= x_164 2) $cvcl_70) $cvcl_76) $cvcl_77) )) (or (and (and (and (and (and (and (and (and (and (= x_154 0) (iff x_16 x_65)) (= ?cvcl_78 x_68)) (<= (+ ?cvcl_78 x_132) x_76)) (or $cvcl_82  (iff x_17 x_12) )) (iff x_74 x_66)) (iff x_75 x_67)) (= x_78 x_70)) $cvcl_79) $cvcl_80)  (and (and (and (and (and (and (and (and (and (= x_154 1) (iff x_75 x_66)) (= ?cvcl_78 x_70)) (<= (+ ?cvcl_78 x_133) x_78)) (or (and (and (= x_155 0) $cvcl_79) $cvcl_80)  (and (and (= x_155 1) (iff x_64 x_67)) (iff x_72 $cvcl_81)) )) (iff x_73 x_65)) (iff x_16 x_12)) (= x_18 x_14)) (= x_76 x_68)) $cvcl_82) )) (or (or (and (and (and (= x_156 0) $cvcl_88) (or (not (<= x_69 ?cvcl_84))  (iff x_73 x_64) )) $cvcl_85)  (and (and (and (= x_156 1) $cvcl_83) (xor x_64  x_72 )) (= x_77 (+ ?cvcl_84 x_134))) )  (and (and (and (= x_156 2) $cvcl_83) (iff x_64 x_72)) $cvcl_85) )) (or (or (and (and (and (= x_157 0) (not $cvcl_86)) (or (not (<= x_71 ?cvcl_78))  (iff x_74 x_13) )) $cvcl_87)  (and (and (and (= x_157 1) $cvcl_86) (xor x_13  x_17 )) (= x_79 (+ ?cvcl_78 x_139))) )  (and (and (and (= x_157 2) $cvcl_86) (iff x_13 x_17)) $cvcl_87) )) (or (or (and (and (and (= x_158 0) $cvcl_88) (or (not (<= x_147 ?cvcl_84))  (= x_18 x_15) )) $cvcl_90)  (and (and (and (= x_158 1) $cvcl_83) (not $cvcl_89)) (= x_153 (+ ?cvcl_84 x_134))) )  (and (and (and (= x_158 2) $cvcl_83) $cvcl_89) $cvcl_90) )) (or (and (and (and (and (and (and (and (and (and (= x_148 0) (iff x_12 x_57)) (= ?cvcl_91 x_60)) (<= (+ ?cvcl_91 x_132) x_68)) (or $cvcl_95  (iff x_13 x_8) )) (iff x_66 x_58)) (iff x_67 x_59)) (= x_70 x_62)) $cvcl_92) $cvcl_93)  (and (and (and (and (and (and (and (and (and (= x_148 1) (iff x_67 x_58)) (= ?cvcl_91 x_62)) (<= (+ ?cvcl_91 x_133) x_70)) (or (and (and (= x_149 0) $cvcl_92) $cvcl_93)  (and (and (= x_149 1) (iff x_56 x_59)) (iff x_64 $cvcl_94)) )) (iff x_65 x_57)) (iff x_12 x_8)) (= x_14 x_10)) (= x_68 x_60)) $cvcl_95) )) (or (or (and (and (and (= x_150 0) $cvcl_101) (or (not (<= x_61 ?cvcl_97))  (iff x_65 x_56) )) $cvcl_98)  (and (and (and (= x_150 1) $cvcl_96) (xor x_56  x_64 )) (= x_69 (+ ?cvcl_97 x_134))) )  (and (and (and (= x_150 2) $cvcl_96) (iff x_56 x_64)) $cvcl_98) )) (or (or (and (and (and (= x_151 0) (not $cvcl_99)) (or (not (<= x_63 ?cvcl_91))  (iff x_66 x_9) )) $cvcl_100)  (and (and (and (= x_151 1) $cvcl_99) (xor x_9  x_13 )) (= x_71 (+ ?cvcl_91 x_139))) )  (and (and (and (= x_151 2) $cvcl_99) (iff x_9 x_13)) $cvcl_100) )) (or (or (and (and (and (= x_152 0) $cvcl_101) (or (not (<= x_141 ?cvcl_97))  (= x_14 x_11) )) $cvcl_103)  (and (and (and (= x_152 1) $cvcl_96) (not $cvcl_102)) (= x_147 (+ ?cvcl_97 x_134))) )  (and (and (and (= x_152 2) $cvcl_96) $cvcl_102) $cvcl_103) )) (or (and (and (and (and (and (and (and (and (and (= x_142 0) (iff x_8 x_49)) (= ?cvcl_104 x_52)) (<= (+ ?cvcl_104 x_132) x_60)) (or $cvcl_108  (iff x_9 x_4) )) (iff x_58 x_50)) (iff x_59 x_51)) (= x_62 x_54)) $cvcl_105) $cvcl_106)  (and (and (and (and (and (and (and (and (and (= x_142 1) (iff x_59 x_50)) (= ?cvcl_104 x_54)) (<= (+ ?cvcl_104 x_133) x_62)) (or (and (and (= x_143 0) $cvcl_105) $cvcl_106)  (and (and (= x_143 1) (iff x_48 x_51)) (iff x_56 $cvcl_107)) )) (iff x_57 x_49)) (iff x_8 x_4)) (= x_10 x_6)) (= x_60 x_52)) $cvcl_108) )) (or (or (and (and (and (= x_144 0) $cvcl_114) (or (not (<= x_53 ?cvcl_110))  (iff x_57 x_48) )) $cvcl_111)  (and (and (and (= x_144 1) $cvcl_109) (xor x_48  x_56 )) (= x_61 (+ ?cvcl_110 x_134))) )  (and (and (and (= x_144 2) $cvcl_109) (iff x_48 x_56)) $cvcl_111) )) (or (or (and (and (and (= x_145 0) (not $cvcl_112)) (or (not (<= x_55 ?cvcl_104))  (iff x_58 x_5) )) $cvcl_113)  (and (and (and (= x_145 1) $cvcl_112) (xor x_5  x_9 )) (= x_63 (+ ?cvcl_104 x_139))) )  (and (and (and (= x_145 2) $cvcl_112) (iff x_5 x_9)) $cvcl_113) )) (or (or (and (and (and (= x_146 0) $cvcl_114) (or (not (<= x_130 ?cvcl_110))  (= x_10 x_7) )) $cvcl_116)  (and (and (and (= x_146 1) $cvcl_109) (not $cvcl_115)) (= x_141 (+ ?cvcl_110 x_134))) )  (and (and (and (= x_146 2) $cvcl_109) $cvcl_115) $cvcl_116) )) (or (and (and (and (and (and (and (and (and (and (= x_135 0) (iff x_4 x_41)) (= ?cvcl_117 x_44)) (<= (+ ?cvcl_117 x_132) x_52)) (or $cvcl_121  (iff x_5 x_0) )) (iff x_50 x_42)) (iff x_51 x_43)) (= x_54 x_46)) $cvcl_118) $cvcl_119)  (and (and (and (and (and (and (and (and (and (= x_135 1) (iff x_51 x_42)) (= ?cvcl_117 x_46)) (<= (+ ?cvcl_117 x_133) x_54)) (or (and (and (= x_136 0) $cvcl_118) $cvcl_119)  (and (and (= x_136 1) (iff x_40 x_43)) (iff x_48 $cvcl_120)) )) (iff x_49 x_41)) (iff x_4 x_0)) (= x_6 x_2)) (= x_52 x_44)) $cvcl_121) )) (or (or (and (and (and (= x_137 0) $cvcl_127) (or (not (<= x_45 ?cvcl_123))  (iff x_49 x_40) )) $cvcl_124)  (and (and (and (= x_137 1) $cvcl_122) (xor x_40  x_48 )) (= x_53 (+ ?cvcl_123 x_134))) )  (and (and (and (= x_137 2) $cvcl_122) (iff x_40 x_48)) $cvcl_124) )) (or (or (and (and (and (= x_138 0) (not $cvcl_125)) (or (not (<= x_47 ?cvcl_117))  (iff x_50 x_1) )) $cvcl_126)  (and (and (and (= x_138 1) $cvcl_125) (xor x_1  x_5 )) (= x_55 (+ ?cvcl_117 x_139))) )  (and (and (and (= x_138 2) $cvcl_125) (iff x_1 x_5)) $cvcl_126) )) (or (or (and (and (and (= x_140 0) $cvcl_127) (or (not (<= x_131 ?cvcl_123))  (= x_6 x_3) )) $cvcl_129)  (and (and (and (= x_140 1) $cvcl_122) (not $cvcl_128)) (= x_130 (+ ?cvcl_123 x_134))) )  (and (and (and (= x_140 2) $cvcl_122) $cvcl_128) $cvcl_129) )) $cvcl_130) (not (= x_193 x_190))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
)
