(benchmark synch_circuit
  :source {
Fully parameterized specification and verification of a synchronizer   
circuit modeling metastability at various levels of refinement.     
A paper describing this specification, to be published in Designing     
Correct Circuits (DCC), 2006, is available from the authors.            

Geoffrey Brown, Indiana University <geobrown@cs.indiana.edu>
Lee Pike, Galois Connections, Inc. <leepike@galois.com>

Translated into CVC format by Leonardo de Moura.

This benchmark was automatically translated into SMT-LIB format from
CVC format using CVC Lite

}
  :status sat
:category { industrial }
:difficulty { 2 }
  :logic QF_LRA
  
  :extrapreds ((x_0))
  :extrapreds ((x_1))
  :extrafuns ((x_2 Real))
  :extrafuns ((x_3 Real))
  :extrapreds ((x_4))
  :extrapreds ((x_5))
  :extrafuns ((x_6 Real))
  :extrafuns ((x_7 Real))
  :extrapreds ((x_8))
  :extrapreds ((x_9))
  :extrafuns ((x_10 Real))
  :extrafuns ((x_11 Real))
  :extrapreds ((x_12))
  :extrapreds ((x_13))
  :extrafuns ((x_14 Real))
  :extrafuns ((x_15 Real))
  :extrapreds ((x_16))
  :extrapreds ((x_17))
  :extrafuns ((x_18 Real))
  :extrafuns ((x_19 Real))
  :extrapreds ((x_20))
  :extrapreds ((x_21))
  :extrafuns ((x_22 Real))
  :extrafuns ((x_23 Real))
  :extrapreds ((x_24))
  :extrapreds ((x_25))
  :extrafuns ((x_26 Real))
  :extrafuns ((x_27 Real))
  :extrapreds ((x_28))
  :extrapreds ((x_29))
  :extrafuns ((x_30 Real))
  :extrafuns ((x_31 Real))
  :extrapreds ((x_32))
  :extrapreds ((x_33))
  :extrafuns ((x_34 Real))
  :extrafuns ((x_35 Real))
  :extrapreds ((x_36))
  :extrapreds ((x_37))
  :extrafuns ((x_38 Real))
  :extrafuns ((x_39 Real))
  :extrapreds ((x_40))
  :extrapreds ((x_41))
  :extrafuns ((x_42 Real))
  :extrafuns ((x_43 Real))
  :extrapreds ((x_44))
  :extrapreds ((x_45))
  :extrafuns ((x_46 Real))
  :extrafuns ((x_47 Real))
  :extrafuns ((x_48 Real))
  :extrafuns ((x_49 Real))
  :extrafuns ((x_50 Real))
  :extrafuns ((x_51 Real))
  :extrafuns ((x_52 Real))
  :extrafuns ((x_53 Real))
  :extrafuns ((x_54 Real))
  :extrafuns ((x_55 Real))
  :extrafuns ((x_56 Real))
  :extrafuns ((x_57 Real))
  :extrapreds ((x_58))
  :extrapreds ((x_59))
  :extrafuns ((x_60 Real))
  :extrafuns ((x_61 Real))
  :extrafuns ((x_62 Real))
  :extrafuns ((x_63 Real))
  :extrapreds ((x_64))
  :extrapreds ((x_65))
  :extrapreds ((x_66))
  :extrapreds ((x_67))
  :extrapreds ((x_68))
  :extrafuns ((x_69 Real))
  :extrapreds ((x_70))
  :extrafuns ((x_71 Real))
  :extrafuns ((x_72 Real))
  :extrafuns ((x_73 Real))
  :extrafuns ((x_74 Real))
  :extrafuns ((x_75 Real))
  :extrafuns ((x_76 Real))
  :extrafuns ((x_77 Real))
  :extrafuns ((x_78 Real))
  :extrafuns ((x_79 Real))
  :extrapreds ((x_80))
  :extrafuns ((x_81 Real))
  :extrapreds ((x_82))
  :extrapreds ((x_83))
  :extrafuns ((x_84 Real))
  :extrapreds ((x_85))
  :extrafuns ((x_86 Real))
  :extrafuns ((x_87 Real))
  :extrafuns ((x_88 Real))
  :extrafuns ((x_89 Real))
  :extrafuns ((x_90 Real))
  :extrafuns ((x_91 Real))
  :extrafuns ((x_92 Real))
  :extrafuns ((x_93 Real))
  :extrapreds ((x_94))
  :extrafuns ((x_95 Real))
  :extrapreds ((x_96))
  :extrapreds ((x_97))
  :extrafuns ((x_98 Real))
  :extrapreds ((x_99))
  :extrafuns ((x_100 Real))
  :extrafuns ((x_101 Real))
  :extrafuns ((x_102 Real))
  :extrafuns ((x_103 Real))
  :extrafuns ((x_104 Real))
  :extrafuns ((x_105 Real))
  :extrafuns ((x_106 Real))
  :extrafuns ((x_107 Real))
  :extrapreds ((x_108))
  :extrafuns ((x_109 Real))
  :extrapreds ((x_110))
  :extrapreds ((x_111))
  :extrafuns ((x_112 Real))
  :extrapreds ((x_113))
  :extrafuns ((x_114 Real))
  :extrafuns ((x_115 Real))
  :extrafuns ((x_116 Real))
  :extrafuns ((x_117 Real))
  :extrafuns ((x_118 Real))
  :extrafuns ((x_119 Real))
  :extrafuns ((x_120 Real))
  :extrafuns ((x_121 Real))
  :extrapreds ((x_122))
  :extrafuns ((x_123 Real))
  :extrapreds ((x_124))
  :extrapreds ((x_125))
  :extrafuns ((x_126 Real))
  :extrapreds ((x_127))
  :extrafuns ((x_128 Real))
  :extrafuns ((x_129 Real))
  :extrafuns ((x_130 Real))
  :extrafuns ((x_131 Real))
  :extrafuns ((x_132 Real))
  :extrafuns ((x_133 Real))
  :extrafuns ((x_134 Real))
  :extrafuns ((x_135 Real))
  :extrapreds ((x_136))
  :extrafuns ((x_137 Real))
  :extrapreds ((x_138))
  :extrapreds ((x_139))
  :extrafuns ((x_140 Real))
  :extrapreds ((x_141))
  :extrafuns ((x_142 Real))
  :extrafuns ((x_143 Real))
  :extrafuns ((x_144 Real))
  :extrafuns ((x_145 Real))
  :extrafuns ((x_146 Real))
  :extrafuns ((x_147 Real))
  :extrafuns ((x_148 Real))
  :extrafuns ((x_149 Real))
  :extrapreds ((x_150))
  :extrafuns ((x_151 Real))
  :extrapreds ((x_152))
  :extrapreds ((x_153))
  :extrafuns ((x_154 Real))
  :extrapreds ((x_155))
  :extrafuns ((x_156 Real))
  :extrafuns ((x_157 Real))
  :extrafuns ((x_158 Real))
  :extrafuns ((x_159 Real))
  :extrafuns ((x_160 Real))
  :extrafuns ((x_161 Real))
  :extrafuns ((x_162 Real))
  :extrafuns ((x_163 Real))
  :extrapreds ((x_164))
  :extrafuns ((x_165 Real))
  :extrapreds ((x_166))
  :extrapreds ((x_167))
  :extrafuns ((x_168 Real))
  :extrapreds ((x_169))
  :extrafuns ((x_170 Real))
  :extrafuns ((x_171 Real))
  :extrafuns ((x_172 Real))
  :extrafuns ((x_173 Real))
  :extrafuns ((x_174 Real))
  :extrafuns ((x_175 Real))
  :extrafuns ((x_176 Real))
  :extrafuns ((x_177 Real))
  :extrapreds ((x_178))
  :extrafuns ((x_179 Real))
  :extrapreds ((x_180))
  :extrapreds ((x_181))
  :extrafuns ((x_182 Real))
  :extrapreds ((x_183))
  :extrafuns ((x_184 Real))
  :extrafuns ((x_185 Real))
  :extrafuns ((x_186 Real))
  :extrafuns ((x_187 Real))
  :extrafuns ((x_188 Real))
  :extrafuns ((x_189 Real))
  :extrafuns ((x_190 Real))
  :extrafuns ((x_191 Real))
  :extrapreds ((x_192))
  :extrafuns ((x_193 Real))
  :extrapreds ((x_194))
  :extrapreds ((x_195))
  :extrafuns ((x_196 Real))
  :extrapreds ((x_197))
  :extrafuns ((x_198 Real))
  :extrafuns ((x_199 Real))
  :extrafuns ((x_200 Real))
  :extrafuns ((x_201 Real))
  :extrafuns ((x_202 Real))
  :extrafuns ((x_203 Real))
  :extrafuns ((x_204 Real))
  :extrafuns ((x_205 Real))
  :extrapreds ((x_206))
  :extrafuns ((x_207 Real))
  :extrapreds ((x_208))
  :extrapreds ((x_209))
  :extrafuns ((x_210 Real))
  :extrapreds ((x_211))
  :extrafuns ((x_212 Real))
  :extrafuns ((x_213 Real))
  :extrafuns ((x_214 Real))
  :extrafuns ((x_215 Real))
  :extrafuns ((x_216 Real))
  :extrafuns ((x_217 Real))
  :extrafuns ((x_218 Real))
  :extrafuns ((x_219 Real))
  :extrapreds ((x_220))
  :extrafuns ((x_221 Real))
  :extrafuns ((x_222 Real))
  :extrapreds ((x_223))
  :extrapreds ((x_224))
  :extrapreds ((x_225))
  :extrapreds ((x_226))
  :extrafuns ((x_227 Real))
  :extrapreds ((x_228))
  :extrafuns ((x_229 Real))
  :extrafuns ((x_230 Real))
  :extrafuns ((x_231 Real))
  :extrafuns ((x_232 Real))
  :formula
(flet ($cvcl_138 (= x_48 x_49)) (flet ($cvcl_139 (= x_50 x_51)) (flet ($cvcl_140 (= x_52 x_53)) (flet ($cvcl_136 (= x_54 x_55)) (flet ($cvcl_141 (not $cvcl_136)) (flet ($cvcl_143 (= x_56 x_57)) (flet ($cvcl_133 (iff x_58 x_59)) (flet ($cvcl_134 (= x_7 x_3)) (let (?cvcl_137 (ite (<= x_50 x_54) x_50 x_54)) (let (?cvcl_132 (ite (<= x_54 x_50) x_54 x_50)) (flet ($cvcl_126 (= x_75 x_48)) (flet ($cvcl_127 (= x_51 x_76)) (flet ($cvcl_128 (= x_77 x_52)) (flet ($cvcl_124 (= x_55 x_78)) (flet ($cvcl_129 (not $cvcl_124)) (flet ($cvcl_131 (= x_79 x_56)) (flet ($cvcl_121 (iff x_80 x_58)) (flet ($cvcl_122 (= x_11 x_7)) (let (?cvcl_125 (ite (<= x_51 x_55) x_51 x_55)) (let (?cvcl_120 (ite (<= x_55 x_51) x_55 x_51)) (flet ($cvcl_114 (= x_89 x_75)) (flet ($cvcl_115 (= x_76 x_90)) (flet ($cvcl_116 (= x_91 x_77)) (flet ($cvcl_112 (= x_78 x_92)) (flet ($cvcl_117 (not $cvcl_112)) (flet ($cvcl_119 (= x_93 x_79)) (flet ($cvcl_109 (iff x_94 x_80)) (flet ($cvcl_110 (= x_15 x_11)) (let (?cvcl_113 (ite (<= x_76 x_78) x_76 x_78)) (let (?cvcl_108 (ite (<= x_78 x_76) x_78 x_76)) (flet ($cvcl_102 (= x_103 x_89)) (flet ($cvcl_103 (= x_90 x_104)) (flet ($cvcl_104 (= x_105 x_91)) (flet ($cvcl_100 (= x_92 x_106)) (flet ($cvcl_105 (not $cvcl_100)) (flet ($cvcl_107 (= x_107 x_93)) (flet ($cvcl_97 (iff x_108 x_94)) (flet ($cvcl_98 (= x_19 x_15)) (let (?cvcl_101 (ite (<= x_90 x_92) x_90 x_92)) (let (?cvcl_96 (ite (<= x_92 x_90) x_92 x_90)) (flet ($cvcl_90 (= x_117 x_103)) (flet ($cvcl_91 (= x_104 x_118)) (flet ($cvcl_92 (= x_119 x_105)) (flet ($cvcl_88 (= x_106 x_120)) (flet ($cvcl_93 (not $cvcl_88)) (flet ($cvcl_95 (= x_121 x_107)) (flet ($cvcl_85 (iff x_122 x_108)) (flet ($cvcl_86 (= x_23 x_19)) (let (?cvcl_89 (ite (<= x_104 x_106) x_104 x_106)) (let (?cvcl_84 (ite (<= x_106 x_104) x_106 x_104)) (flet ($cvcl_78 (= x_131 x_117)) (flet ($cvcl_79 (= x_118 x_132)) (flet ($cvcl_80 (= x_133 x_119)) (flet ($cvcl_76 (= x_120 x_134)) (flet ($cvcl_81 (not $cvcl_76)) (flet ($cvcl_83 (= x_135 x_121)) (flet ($cvcl_73 (iff x_136 x_122)) (flet ($cvcl_74 (= x_27 x_23)) (let (?cvcl_77 (ite (<= x_118 x_120) x_118 x_120)) (let (?cvcl_72 (ite (<= x_120 x_118) x_120 x_118)) (flet ($cvcl_66 (= x_145 x_131)) (flet ($cvcl_67 (= x_132 x_146)) (flet ($cvcl_68 (= x_147 x_133)) (flet ($cvcl_64 (= x_134 x_148)) (flet ($cvcl_69 (not $cvcl_64)) (flet ($cvcl_71 (= x_149 x_135)) (flet ($cvcl_61 (iff x_150 x_136)) (flet ($cvcl_62 (= x_31 x_27)) (let (?cvcl_65 (ite (<= x_132 x_134) x_132 x_134)) (let (?cvcl_60 (ite (<= x_134 x_132) x_134 x_132)) (flet ($cvcl_54 (= x_159 x_145)) (flet ($cvcl_55 (= x_146 x_160)) (flet ($cvcl_56 (= x_161 x_147)) (flet ($cvcl_52 (= x_148 x_162)) (flet ($cvcl_57 (not $cvcl_52)) (flet ($cvcl_59 (= x_163 x_149)) (flet ($cvcl_49 (iff x_164 x_150)) (flet ($cvcl_50 (= x_35 x_31)) (let (?cvcl_53 (ite (<= x_146 x_148) x_146 x_148)) (let (?cvcl_48 (ite (<= x_148 x_146) x_148 x_146)) (flet ($cvcl_42 (= x_173 x_159)) (flet ($cvcl_43 (= x_160 x_174)) (flet ($cvcl_44 (= x_175 x_161)) (flet ($cvcl_40 (= x_162 x_176)) (flet ($cvcl_45 (not $cvcl_40)) (flet ($cvcl_47 (= x_177 x_163)) (flet ($cvcl_37 (iff x_178 x_164)) (flet ($cvcl_38 (= x_39 x_35)) (let (?cvcl_41 (ite (<= x_160 x_162) x_160 x_162)) (let (?cvcl_36 (ite (<= x_162 x_160) x_162 x_160)) (flet ($cvcl_30 (= x_187 x_173)) (flet ($cvcl_31 (= x_174 x_188)) (flet ($cvcl_32 (= x_189 x_175)) (flet ($cvcl_28 (= x_176 x_190)) (flet ($cvcl_33 (not $cvcl_28)) (flet ($cvcl_35 (= x_191 x_177)) (flet ($cvcl_25 (iff x_192 x_178)) (flet ($cvcl_26 (= x_43 x_39)) (let (?cvcl_29 (ite (<= x_174 x_176) x_174 x_176)) (let (?cvcl_24 (ite (<= x_176 x_174) x_176 x_174)) (flet ($cvcl_18 (= x_201 x_187)) (flet ($cvcl_19 (= x_188 x_202)) (flet ($cvcl_20 (= x_203 x_189)) (flet ($cvcl_16 (= x_190 x_204)) (flet ($cvcl_21 (not $cvcl_16)) (flet ($cvcl_23 (= x_205 x_191)) (flet ($cvcl_13 (iff x_206 x_192)) (flet ($cvcl_14 (= x_47 x_43)) (let (?cvcl_17 (ite (<= x_188 x_190) x_188 x_190)) (let (?cvcl_12 (ite (<= x_190 x_188) x_190 x_188)) (flet ($cvcl_6 (= x_215 x_201)) (flet ($cvcl_7 (= x_202 x_216)) (flet ($cvcl_8 (= x_217 x_203)) (flet ($cvcl_4 (= x_204 x_218)) (flet ($cvcl_9 (not $cvcl_4)) (flet ($cvcl_11 (= x_219 x_205)) (flet ($cvcl_1 (iff x_220 x_206)) (flet ($cvcl_2 (= x_221 x_47)) (let (?cvcl_5 (ite (<= x_202 x_204) x_202 x_204)) (let (?cvcl_0 (ite (<= x_204 x_202) x_204 x_202)) (flet ($cvcl_3 (iff x_224 x_45)) (flet ($cvcl_10 (= x_47 x_221)) (flet ($cvcl_15 (iff x_45 x_41)) (flet ($cvcl_22 (= x_43 x_47)) (flet ($cvcl_27 (iff x_41 x_37)) (flet ($cvcl_34 (= x_39 x_43)) (flet ($cvcl_39 (iff x_37 x_33)) (flet ($cvcl_46 (= x_35 x_39)) (flet ($cvcl_51 (iff x_33 x_29)) (flet ($cvcl_58 (= x_31 x_35)) (flet ($cvcl_63 (iff x_29 x_25)) (flet ($cvcl_70 (= x_27 x_31)) (flet ($cvcl_75 (iff x_25 x_21)) (flet ($cvcl_82 (= x_23 x_27)) (flet ($cvcl_87 (iff x_21 x_17)) (flet ($cvcl_94 (= x_19 x_23)) (flet ($cvcl_99 (iff x_17 x_13)) (flet ($cvcl_106 (= x_15 x_19)) (flet ($cvcl_111 (iff x_13 x_9)) (flet ($cvcl_118 (= x_11 x_15)) (flet ($cvcl_123 (iff x_9 x_5)) (flet ($cvcl_130 (= x_7 x_11)) (flet ($cvcl_135 (iff x_5 x_1)) (flet ($cvcl_142 (= x_3 x_7)) (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (> x_60 0) (> x_61 0)) (>= x_62 0)) (< x_62 x_60)) (< x_62 x_61)) (>= x_73 0)) (< x_73 x_60)) (< x_73 x_61)) (or (iff x_44 x_45)  (= x_46 x_47) )) (or (iff x_40 x_41)  (= x_42 x_43) )) (or (iff x_36 x_37)  (= x_38 x_39) )) (or (iff x_32 x_33)  (= x_34 x_35) )) (or (iff x_28 x_29)  (= x_30 x_31) )) (or (iff x_24 x_25)  (= x_26 x_27) )) (or (iff x_20 x_21)  (= x_22 x_23) )) (or (iff x_16 x_17)  (= x_18 x_19) )) (or (iff x_12 x_13)  (= x_14 x_15) )) (or (iff x_8 x_9)  (= x_10 x_11) )) (or (iff x_4 x_5)  (= x_6 x_7) )) (or (iff x_0 x_1)  (= x_2 x_3) )) (or (and (and (and (and (and (and (and (and (and (= x_222 0) (iff x_223 x_211)) (= ?cvcl_0 x_204)) (<= (+ ?cvcl_0 x_60) x_218)) (or $cvcl_3  (iff x_224 x_44) )) (iff x_225 x_208)) (iff x_226 x_209)) (= x_216 x_202)) $cvcl_1) $cvcl_2)  (and (and (and (and (and (and (and (and (and (= x_222 1) (iff x_226 x_208)) (= ?cvcl_0 x_202)) (<= (+ ?cvcl_0 x_61) x_216)) (or (and (and (= x_227 0) $cvcl_1) $cvcl_2)  (and (and (= x_227 1) (iff x_206 x_209)) (iff x_220 (not x_206))) )) (iff x_228 x_211)) (iff x_223 x_44)) (= x_229 x_46)) (= x_218 x_204)) $cvcl_3) )) (or (or (and (and (and (= x_230 0) $cvcl_9) (or (not (<= x_201 ?cvcl_5))  (iff x_228 x_206) )) $cvcl_6)  (and (and (and (= x_230 1) $cvcl_4) (xor x_206  x_220 )) (= x_215 (+ ?cvcl_5 x_62))) )  (and (and (and (= x_230 2) $cvcl_4) (iff x_206 x_220)) $cvcl_6) )) (or (or (and (and (and (= x_231 0) (not $cvcl_7)) (or (not (<= x_203 ?cvcl_0))  (iff x_225 x_45) )) $cvcl_8)  (and (and (and (= x_231 1) $cvcl_7) (xor x_45  x_224 )) (= x_217 (+ ?cvcl_0 x_73))) )  (and (and (and (= x_231 2) $cvcl_7) (iff x_45 x_224)) $cvcl_8) )) (or (or (and (and (and (= x_232 0) $cvcl_9) (or (not (<= x_205 ?cvcl_5))  (= x_229 x_47) )) $cvcl_11)  (and (and (and (= x_232 1) $cvcl_4) (not $cvcl_10)) (= x_219 (+ ?cvcl_5 x_62))) )  (and (and (and (= x_232 2) $cvcl_4) $cvcl_10) $cvcl_11) )) (or (and (and (and (and (and (and (and (and (and (= x_207 0) (iff x_44 x_197)) (= ?cvcl_12 x_190)) (<= (+ ?cvcl_12 x_60) x_204)) (or $cvcl_15  (iff x_45 x_40) )) (iff x_208 x_194)) (iff x_209 x_195)) (= x_202 x_188)) $cvcl_13) $cvcl_14)  (and (and (and (and (and (and (and (and (and (= x_207 1) (iff x_209 x_194)) (= ?cvcl_12 x_188)) (<= (+ ?cvcl_12 x_61) x_202)) (or (and (and (= x_210 0) $cvcl_13) $cvcl_14)  (and (and (= x_210 1) (iff x_192 x_195)) (iff x_206 (not x_192))) )) (iff x_211 x_197)) (iff x_44 x_40)) (= x_46 x_42)) (= x_204 x_190)) $cvcl_15) )) (or (or (and (and (and (= x_212 0) $cvcl_21) (or (not (<= x_187 ?cvcl_17))  (iff x_211 x_192) )) $cvcl_18)  (and (and (and (= x_212 1) $cvcl_16) (xor x_192  x_206 )) (= x_201 (+ ?cvcl_17 x_62))) )  (and (and (and (= x_212 2) $cvcl_16) (iff x_192 x_206)) $cvcl_18) )) (or (or (and (and (and (= x_213 0) (not $cvcl_19)) (or (not (<= x_189 ?cvcl_12))  (iff x_208 x_41) )) $cvcl_20)  (and (and (and (= x_213 1) $cvcl_19) (xor x_41  x_45 )) (= x_203 (+ ?cvcl_12 x_73))) )  (and (and (and (= x_213 2) $cvcl_19) (iff x_41 x_45)) $cvcl_20) )) (or (or (and (and (and (= x_214 0) $cvcl_21) (or (not (<= x_191 ?cvcl_17))  (= x_46 x_43) )) $cvcl_23)  (and (and (and (= x_214 1) $cvcl_16) (not $cvcl_22)) (= x_205 (+ ?cvcl_17 x_62))) )  (and (and (and (= x_214 2) $cvcl_16) $cvcl_22) $cvcl_23) )) (or (and (and (and (and (and (and (and (and (and (= x_193 0) (iff x_40 x_183)) (= ?cvcl_24 x_176)) (<= (+ ?cvcl_24 x_60) x_190)) (or $cvcl_27  (iff x_41 x_36) )) (iff x_194 x_180)) (iff x_195 x_181)) (= x_188 x_174)) $cvcl_25) $cvcl_26)  (and (and (and (and (and (and (and (and (and (= x_193 1) (iff x_195 x_180)) (= ?cvcl_24 x_174)) (<= (+ ?cvcl_24 x_61) x_188)) (or (and (and (= x_196 0) $cvcl_25) $cvcl_26)  (and (and (= x_196 1) (iff x_178 x_181)) (iff x_192 (not x_178))) )) (iff x_197 x_183)) (iff x_40 x_36)) (= x_42 x_38)) (= x_190 x_176)) $cvcl_27) )) (or (or (and (and (and (= x_198 0) $cvcl_33) (or (not (<= x_173 ?cvcl_29))  (iff x_197 x_178) )) $cvcl_30)  (and (and (and (= x_198 1) $cvcl_28) (xor x_178  x_192 )) (= x_187 (+ ?cvcl_29 x_62))) )  (and (and (and (= x_198 2) $cvcl_28) (iff x_178 x_192)) $cvcl_30) )) (or (or (and (and (and (= x_199 0) (not $cvcl_31)) (or (not (<= x_175 ?cvcl_24))  (iff x_194 x_37) )) $cvcl_32)  (and (and (and (= x_199 1) $cvcl_31) (xor x_37  x_41 )) (= x_189 (+ ?cvcl_24 x_73))) )  (and (and (and (= x_199 2) $cvcl_31) (iff x_37 x_41)) $cvcl_32) )) (or (or (and (and (and (= x_200 0) $cvcl_33) (or (not (<= x_177 ?cvcl_29))  (= x_42 x_39) )) $cvcl_35)  (and (and (and (= x_200 1) $cvcl_28) (not $cvcl_34)) (= x_191 (+ ?cvcl_29 x_62))) )  (and (and (and (= x_200 2) $cvcl_28) $cvcl_34) $cvcl_35) )) (or (and (and (and (and (and (and (and (and (and (= x_179 0) (iff x_36 x_169)) (= ?cvcl_36 x_162)) (<= (+ ?cvcl_36 x_60) x_176)) (or $cvcl_39  (iff x_37 x_32) )) (iff x_180 x_166)) (iff x_181 x_167)) (= x_174 x_160)) $cvcl_37) $cvcl_38)  (and (and (and (and (and (and (and (and (and (= x_179 1) (iff x_181 x_166)) (= ?cvcl_36 x_160)) (<= (+ ?cvcl_36 x_61) x_174)) (or (and (and (= x_182 0) $cvcl_37) $cvcl_38)  (and (and (= x_182 1) (iff x_164 x_167)) (iff x_178 (not x_164))) )) (iff x_183 x_169)) (iff x_36 x_32)) (= x_38 x_34)) (= x_176 x_162)) $cvcl_39) )) (or (or (and (and (and (= x_184 0) $cvcl_45) (or (not (<= x_159 ?cvcl_41))  (iff x_183 x_164) )) $cvcl_42)  (and (and (and (= x_184 1) $cvcl_40) (xor x_164  x_178 )) (= x_173 (+ ?cvcl_41 x_62))) )  (and (and (and (= x_184 2) $cvcl_40) (iff x_164 x_178)) $cvcl_42) )) (or (or (and (and (and (= x_185 0) (not $cvcl_43)) (or (not (<= x_161 ?cvcl_36))  (iff x_180 x_33) )) $cvcl_44)  (and (and (and (= x_185 1) $cvcl_43) (xor x_33  x_37 )) (= x_175 (+ ?cvcl_36 x_73))) )  (and (and (and (= x_185 2) $cvcl_43) (iff x_33 x_37)) $cvcl_44) )) (or (or (and (and (and (= x_186 0) $cvcl_45) (or (not (<= x_163 ?cvcl_41))  (= x_38 x_35) )) $cvcl_47)  (and (and (and (= x_186 1) $cvcl_40) (not $cvcl_46)) (= x_177 (+ ?cvcl_41 x_62))) )  (and (and (and (= x_186 2) $cvcl_40) $cvcl_46) $cvcl_47) )) (or (and (and (and (and (and (and (and (and (and (= x_165 0) (iff x_32 x_155)) (= ?cvcl_48 x_148)) (<= (+ ?cvcl_48 x_60) x_162)) (or $cvcl_51  (iff x_33 x_28) )) (iff x_166 x_152)) (iff x_167 x_153)) (= x_160 x_146)) $cvcl_49) $cvcl_50)  (and (and (and (and (and (and (and (and (and (= x_165 1) (iff x_167 x_152)) (= ?cvcl_48 x_146)) (<= (+ ?cvcl_48 x_61) x_160)) (or (and (and (= x_168 0) $cvcl_49) $cvcl_50)  (and (and (= x_168 1) (iff x_150 x_153)) (iff x_164 (not x_150))) )) (iff x_169 x_155)) (iff x_32 x_28)) (= x_34 x_30)) (= x_162 x_148)) $cvcl_51) )) (or (or (and (and (and (= x_170 0) $cvcl_57) (or (not (<= x_145 ?cvcl_53))  (iff x_169 x_150) )) $cvcl_54)  (and (and (and (= x_170 1) $cvcl_52) (xor x_150  x_164 )) (= x_159 (+ ?cvcl_53 x_62))) )  (and (and (and (= x_170 2) $cvcl_52) (iff x_150 x_164)) $cvcl_54) )) (or (or (and (and (and (= x_171 0) (not $cvcl_55)) (or (not (<= x_147 ?cvcl_48))  (iff x_166 x_29) )) $cvcl_56)  (and (and (and (= x_171 1) $cvcl_55) (xor x_29  x_33 )) (= x_161 (+ ?cvcl_48 x_73))) )  (and (and (and (= x_171 2) $cvcl_55) (iff x_29 x_33)) $cvcl_56) )) (or (or (and (and (and (= x_172 0) $cvcl_57) (or (not (<= x_149 ?cvcl_53))  (= x_34 x_31) )) $cvcl_59)  (and (and (and (= x_172 1) $cvcl_52) (not $cvcl_58)) (= x_163 (+ ?cvcl_53 x_62))) )  (and (and (and (= x_172 2) $cvcl_52) $cvcl_58) $cvcl_59) )) (or (and (and (and (and (and (and (and (and (and (= x_151 0) (iff x_28 x_141)) (= ?cvcl_60 x_134)) (<= (+ ?cvcl_60 x_60) x_148)) (or $cvcl_63  (iff x_29 x_24) )) (iff x_152 x_138)) (iff x_153 x_139)) (= x_146 x_132)) $cvcl_61) $cvcl_62)  (and (and (and (and (and (and (and (and (and (= x_151 1) (iff x_153 x_138)) (= ?cvcl_60 x_132)) (<= (+ ?cvcl_60 x_61) x_146)) (or (and (and (= x_154 0) $cvcl_61) $cvcl_62)  (and (and (= x_154 1) (iff x_136 x_139)) (iff x_150 (not x_136))) )) (iff x_155 x_141)) (iff x_28 x_24)) (= x_30 x_26)) (= x_148 x_134)) $cvcl_63) )) (or (or (and (and (and (= x_156 0) $cvcl_69) (or (not (<= x_131 ?cvcl_65))  (iff x_155 x_136) )) $cvcl_66)  (and (and (and (= x_156 1) $cvcl_64) (xor x_136  x_150 )) (= x_145 (+ ?cvcl_65 x_62))) )  (and (and (and (= x_156 2) $cvcl_64) (iff x_136 x_150)) $cvcl_66) )) (or (or (and (and (and (= x_157 0) (not $cvcl_67)) (or (not (<= x_133 ?cvcl_60))  (iff x_152 x_25) )) $cvcl_68)  (and (and (and (= x_157 1) $cvcl_67) (xor x_25  x_29 )) (= x_147 (+ ?cvcl_60 x_73))) )  (and (and (and (= x_157 2) $cvcl_67) (iff x_25 x_29)) $cvcl_68) )) (or (or (and (and (and (= x_158 0) $cvcl_69) (or (not (<= x_135 ?cvcl_65))  (= x_30 x_27) )) $cvcl_71)  (and (and (and (= x_158 1) $cvcl_64) (not $cvcl_70)) (= x_149 (+ ?cvcl_65 x_62))) )  (and (and (and (= x_158 2) $cvcl_64) $cvcl_70) $cvcl_71) )) (or (and (and (and (and (and (and (and (and (and (= x_137 0) (iff x_24 x_127)) (= ?cvcl_72 x_120)) (<= (+ ?cvcl_72 x_60) x_134)) (or $cvcl_75  (iff x_25 x_20) )) (iff x_138 x_124)) (iff x_139 x_125)) (= x_132 x_118)) $cvcl_73) $cvcl_74)  (and (and (and (and (and (and (and (and (and (= x_137 1) (iff x_139 x_124)) (= ?cvcl_72 x_118)) (<= (+ ?cvcl_72 x_61) x_132)) (or (and (and (= x_140 0) $cvcl_73) $cvcl_74)  (and (and (= x_140 1) (iff x_122 x_125)) (iff x_136 (not x_122))) )) (iff x_141 x_127)) (iff x_24 x_20)) (= x_26 x_22)) (= x_134 x_120)) $cvcl_75) )) (or (or (and (and (and (= x_142 0) $cvcl_81) (or (not (<= x_117 ?cvcl_77))  (iff x_141 x_122) )) $cvcl_78)  (and (and (and (= x_142 1) $cvcl_76) (xor x_122  x_136 )) (= x_131 (+ ?cvcl_77 x_62))) )  (and (and (and (= x_142 2) $cvcl_76) (iff x_122 x_136)) $cvcl_78) )) (or (or (and (and (and (= x_143 0) (not $cvcl_79)) (or (not (<= x_119 ?cvcl_72))  (iff x_138 x_21) )) $cvcl_80)  (and (and (and (= x_143 1) $cvcl_79) (xor x_21  x_25 )) (= x_133 (+ ?cvcl_72 x_73))) )  (and (and (and (= x_143 2) $cvcl_79) (iff x_21 x_25)) $cvcl_80) )) (or (or (and (and (and (= x_144 0) $cvcl_81) (or (not (<= x_121 ?cvcl_77))  (= x_26 x_23) )) $cvcl_83)  (and (and (and (= x_144 1) $cvcl_76) (not $cvcl_82)) (= x_135 (+ ?cvcl_77 x_62))) )  (and (and (and (= x_144 2) $cvcl_76) $cvcl_82) $cvcl_83) )) (or (and (and (and (and (and (and (and (and (and (= x_123 0) (iff x_20 x_113)) (= ?cvcl_84 x_106)) (<= (+ ?cvcl_84 x_60) x_120)) (or $cvcl_87  (iff x_21 x_16) )) (iff x_124 x_110)) (iff x_125 x_111)) (= x_118 x_104)) $cvcl_85) $cvcl_86)  (and (and (and (and (and (and (and (and (and (= x_123 1) (iff x_125 x_110)) (= ?cvcl_84 x_104)) (<= (+ ?cvcl_84 x_61) x_118)) (or (and (and (= x_126 0) $cvcl_85) $cvcl_86)  (and (and (= x_126 1) (iff x_108 x_111)) (iff x_122 (not x_108))) )) (iff x_127 x_113)) (iff x_20 x_16)) (= x_22 x_18)) (= x_120 x_106)) $cvcl_87) )) (or (or (and (and (and (= x_128 0) $cvcl_93) (or (not (<= x_103 ?cvcl_89))  (iff x_127 x_108) )) $cvcl_90)  (and (and (and (= x_128 1) $cvcl_88) (xor x_108  x_122 )) (= x_117 (+ ?cvcl_89 x_62))) )  (and (and (and (= x_128 2) $cvcl_88) (iff x_108 x_122)) $cvcl_90) )) (or (or (and (and (and (= x_129 0) (not $cvcl_91)) (or (not (<= x_105 ?cvcl_84))  (iff x_124 x_17) )) $cvcl_92)  (and (and (and (= x_129 1) $cvcl_91) (xor x_17  x_21 )) (= x_119 (+ ?cvcl_84 x_73))) )  (and (and (and (= x_129 2) $cvcl_91) (iff x_17 x_21)) $cvcl_92) )) (or (or (and (and (and (= x_130 0) $cvcl_93) (or (not (<= x_107 ?cvcl_89))  (= x_22 x_19) )) $cvcl_95)  (and (and (and (= x_130 1) $cvcl_88) (not $cvcl_94)) (= x_121 (+ ?cvcl_89 x_62))) )  (and (and (and (= x_130 2) $cvcl_88) $cvcl_94) $cvcl_95) )) (or (and (and (and (and (and (and (and (and (and (= x_109 0) (iff x_16 x_99)) (= ?cvcl_96 x_92)) (<= (+ ?cvcl_96 x_60) x_106)) (or $cvcl_99  (iff x_17 x_12) )) (iff x_110 x_96)) (iff x_111 x_97)) (= x_104 x_90)) $cvcl_97) $cvcl_98)  (and (and (and (and (and (and (and (and (and (= x_109 1) (iff x_111 x_96)) (= ?cvcl_96 x_90)) (<= (+ ?cvcl_96 x_61) x_104)) (or (and (and (= x_112 0) $cvcl_97) $cvcl_98)  (and (and (= x_112 1) (iff x_94 x_97)) (iff x_108 (not x_94))) )) (iff x_113 x_99)) (iff x_16 x_12)) (= x_18 x_14)) (= x_106 x_92)) $cvcl_99) )) (or (or (and (and (and (= x_114 0) $cvcl_105) (or (not (<= x_89 ?cvcl_101))  (iff x_113 x_94) )) $cvcl_102)  (and (and (and (= x_114 1) $cvcl_100) (xor x_94  x_108 )) (= x_103 (+ ?cvcl_101 x_62))) )  (and (and (and (= x_114 2) $cvcl_100) (iff x_94 x_108)) $cvcl_102) )) (or (or (and (and (and (= x_115 0) (not $cvcl_103)) (or (not (<= x_91 ?cvcl_96))  (iff x_110 x_13) )) $cvcl_104)  (and (and (and (= x_115 1) $cvcl_103) (xor x_13  x_17 )) (= x_105 (+ ?cvcl_96 x_73))) )  (and (and (and (= x_115 2) $cvcl_103) (iff x_13 x_17)) $cvcl_104) )) (or (or (and (and (and (= x_116 0) $cvcl_105) (or (not (<= x_93 ?cvcl_101))  (= x_18 x_15) )) $cvcl_107)  (and (and (and (= x_116 1) $cvcl_100) (not $cvcl_106)) (= x_107 (+ ?cvcl_101 x_62))) )  (and (and (and (= x_116 2) $cvcl_100) $cvcl_106) $cvcl_107) )) (or (and (and (and (and (and (and (and (and (and (= x_95 0) (iff x_12 x_85)) (= ?cvcl_108 x_78)) (<= (+ ?cvcl_108 x_60) x_92)) (or $cvcl_111  (iff x_13 x_8) )) (iff x_96 x_82)) (iff x_97 x_83)) (= x_90 x_76)) $cvcl_109) $cvcl_110)  (and (and (and (and (and (and (and (and (and (= x_95 1) (iff x_97 x_82)) (= ?cvcl_108 x_76)) (<= (+ ?cvcl_108 x_61) x_90)) (or (and (and (= x_98 0) $cvcl_109) $cvcl_110)  (and (and (= x_98 1) (iff x_80 x_83)) (iff x_94 (not x_80))) )) (iff x_99 x_85)) (iff x_12 x_8)) (= x_14 x_10)) (= x_92 x_78)) $cvcl_111) )) (or (or (and (and (and (= x_100 0) $cvcl_117) (or (not (<= x_75 ?cvcl_113))  (iff x_99 x_80) )) $cvcl_114)  (and (and (and (= x_100 1) $cvcl_112) (xor x_80  x_94 )) (= x_89 (+ ?cvcl_113 x_62))) )  (and (and (and (= x_100 2) $cvcl_112) (iff x_80 x_94)) $cvcl_114) )) (or (or (and (and (and (= x_101 0) (not $cvcl_115)) (or (not (<= x_77 ?cvcl_108))  (iff x_96 x_9) )) $cvcl_116)  (and (and (and (= x_101 1) $cvcl_115) (xor x_9  x_13 )) (= x_91 (+ ?cvcl_108 x_73))) )  (and (and (and (= x_101 2) $cvcl_115) (iff x_9 x_13)) $cvcl_116) )) (or (or (and (and (and (= x_102 0) $cvcl_117) (or (not (<= x_79 ?cvcl_113))  (= x_14 x_11) )) $cvcl_119)  (and (and (and (= x_102 1) $cvcl_112) (not $cvcl_118)) (= x_93 (+ ?cvcl_113 x_62))) )  (and (and (and (= x_102 2) $cvcl_112) $cvcl_118) $cvcl_119) )) (or (and (and (and (and (and (and (and (and (and (= x_81 0) (iff x_8 x_70)) (= ?cvcl_120 x_55)) (<= (+ ?cvcl_120 x_60) x_78)) (or $cvcl_123  (iff x_9 x_4) )) (iff x_82 x_65)) (iff x_83 x_67)) (= x_76 x_51)) $cvcl_121) $cvcl_122)  (and (and (and (and (and (and (and (and (and (= x_81 1) (iff x_83 x_65)) (= ?cvcl_120 x_51)) (<= (+ ?cvcl_120 x_61) x_76)) (or (and (and (= x_84 0) $cvcl_121) $cvcl_122)  (and (and (= x_84 1) (iff x_58 x_67)) (iff x_80 (not x_58))) )) (iff x_85 x_70)) (iff x_8 x_4)) (= x_10 x_6)) (= x_78 x_55)) $cvcl_123) )) (or (or (and (and (and (= x_86 0) $cvcl_129) (or (not (<= x_48 ?cvcl_125))  (iff x_85 x_58) )) $cvcl_126)  (and (and (and (= x_86 1) $cvcl_124) (xor x_58  x_80 )) (= x_75 (+ ?cvcl_125 x_62))) )  (and (and (and (= x_86 2) $cvcl_124) (iff x_58 x_80)) $cvcl_126) )) (or (or (and (and (and (= x_87 0) (not $cvcl_127)) (or (not (<= x_52 ?cvcl_120))  (iff x_82 x_5) )) $cvcl_128)  (and (and (and (= x_87 1) $cvcl_127) (xor x_5  x_9 )) (= x_77 (+ ?cvcl_120 x_73))) )  (and (and (and (= x_87 2) $cvcl_127) (iff x_5 x_9)) $cvcl_128) )) (or (or (and (and (and (= x_88 0) $cvcl_129) (or (not (<= x_56 ?cvcl_125))  (= x_10 x_7) )) $cvcl_131)  (and (and (and (= x_88 1) $cvcl_124) (not $cvcl_130)) (= x_79 (+ ?cvcl_125 x_62))) )  (and (and (and (= x_88 2) $cvcl_124) $cvcl_130) $cvcl_131) )) (or (and (and (and (and (and (and (and (and (and (= x_63 0) (iff x_4 x_64)) (= ?cvcl_132 x_54)) (<= (+ ?cvcl_132 x_60) x_55)) (or $cvcl_135  (iff x_5 x_0) )) (iff x_65 x_66)) (iff x_67 x_68)) (= x_51 x_50)) $cvcl_133) $cvcl_134)  (and (and (and (and (and (and (and (and (and (= x_63 1) (iff x_67 x_66)) (= ?cvcl_132 x_50)) (<= (+ ?cvcl_132 x_61) x_51)) (or (and (and (= x_69 0) $cvcl_133) $cvcl_134)  (and (and (= x_69 1) (iff x_59 x_68)) (iff x_58 (not x_59))) )) (iff x_70 x_64)) (iff x_4 x_0)) (= x_6 x_2)) (= x_55 x_54)) $cvcl_135) )) (or (or (and (and (and (= x_71 0) $cvcl_141) (or (not (<= x_49 ?cvcl_137))  (iff x_70 x_59) )) $cvcl_138)  (and (and (and (= x_71 1) $cvcl_136) (xor x_59  x_58 )) (= x_48 (+ ?cvcl_137 x_62))) )  (and (and (and (= x_71 2) $cvcl_136) (iff x_59 x_58)) $cvcl_138) )) (or (or (and (and (and (= x_72 0) (not $cvcl_139)) (or (not (<= x_53 ?cvcl_132))  (iff x_65 x_1) )) $cvcl_140)  (and (and (and (= x_72 1) $cvcl_139) (xor x_1  x_5 )) (= x_52 (+ ?cvcl_132 x_73))) )  (and (and (and (= x_72 2) $cvcl_139) (iff x_1 x_5)) $cvcl_140) )) (or (or (and (and (and (= x_74 0) $cvcl_141) (or (not (<= x_57 ?cvcl_137))  (= x_6 x_3) )) $cvcl_143)  (and (and (and (= x_74 1) $cvcl_136) (not $cvcl_142)) (= x_56 (+ ?cvcl_137 x_62))) )  (and (and (and (= x_74 2) $cvcl_136) $cvcl_142) $cvcl_143) )) (xor x_223  x_224 )) (not (= x_229 x_221)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
)
