(benchmark synch_circuit
  :source {
Fully parameterized specification and verification of a synchronizer   
circuit modeling metastability at various levels of refinement.     
A paper describing this specification, to be published in Designing     
Correct Circuits (DCC), 2006, is available from the authors.            

Geoffrey Brown, Indiana University <geobrown@cs.indiana.edu>
Lee Pike, Galois Connections, Inc. <leepike@galois.com>

Translated into CVC format by Leonardo de Moura.

This benchmark was automatically translated into SMT-LIB format from
CVC format using CVC Lite

}
  :status sat
:category { industrial }
:difficulty { 2 }
  :logic QF_LRA
  
  :extrapreds ((x_0))
  :extrapreds ((x_1))
  :extrafuns ((x_2 Real))
  :extrafuns ((x_3 Real))
  :extrapreds ((x_4))
  :extrapreds ((x_5))
  :extrafuns ((x_6 Real))
  :extrafuns ((x_7 Real))
  :extrapreds ((x_8))
  :extrapreds ((x_9))
  :extrafuns ((x_10 Real))
  :extrafuns ((x_11 Real))
  :extrapreds ((x_12))
  :extrapreds ((x_13))
  :extrafuns ((x_14 Real))
  :extrafuns ((x_15 Real))
  :extrapreds ((x_16))
  :extrapreds ((x_17))
  :extrafuns ((x_18 Real))
  :extrafuns ((x_19 Real))
  :extrapreds ((x_20))
  :extrapreds ((x_21))
  :extrafuns ((x_22 Real))
  :extrafuns ((x_23 Real))
  :extrapreds ((x_24))
  :extrapreds ((x_25))
  :extrafuns ((x_26 Real))
  :extrafuns ((x_27 Real))
  :extrapreds ((x_28))
  :extrapreds ((x_29))
  :extrafuns ((x_30 Real))
  :extrafuns ((x_31 Real))
  :extrapreds ((x_32))
  :extrapreds ((x_33))
  :extrafuns ((x_34 Real))
  :extrafuns ((x_35 Real))
  :extrapreds ((x_36))
  :extrapreds ((x_37))
  :extrafuns ((x_38 Real))
  :extrafuns ((x_39 Real))
  :extrapreds ((x_40))
  :extrapreds ((x_41))
  :extrafuns ((x_42 Real))
  :extrafuns ((x_43 Real))
  :extrapreds ((x_44))
  :extrapreds ((x_45))
  :extrafuns ((x_46 Real))
  :extrafuns ((x_47 Real))
  :extrapreds ((x_48))
  :extrapreds ((x_49))
  :extrafuns ((x_50 Real))
  :extrafuns ((x_51 Real))
  :extrafuns ((x_52 Real))
  :extrafuns ((x_53 Real))
  :extrafuns ((x_54 Real))
  :extrafuns ((x_55 Real))
  :extrafuns ((x_56 Real))
  :extrafuns ((x_57 Real))
  :extrafuns ((x_58 Real))
  :extrafuns ((x_59 Real))
  :extrafuns ((x_60 Real))
  :extrafuns ((x_61 Real))
  :extrafuns ((x_62 Real))
  :extrafuns ((x_63 Real))
  :extrafuns ((x_64 Real))
  :extrafuns ((x_65 Real))
  :extrafuns ((x_66 Real))
  :extrafuns ((x_67 Real))
  :extrafuns ((x_68 Real))
  :extrafuns ((x_69 Real))
  :extrafuns ((x_70 Real))
  :extrafuns ((x_71 Real))
  :extrafuns ((x_72 Real))
  :extrafuns ((x_73 Real))
  :extrafuns ((x_74 Real))
  :extrafuns ((x_75 Real))
  :extrafuns ((x_76 Real))
  :extrafuns ((x_77 Real))
  :extrafuns ((x_78 Real))
  :extrafuns ((x_79 Real))
  :extrafuns ((x_80 Real))
  :extrafuns ((x_81 Real))
  :extrafuns ((x_82 Real))
  :extrafuns ((x_83 Real))
  :extrafuns ((x_84 Real))
  :extrafuns ((x_85 Real))
  :extrafuns ((x_86 Real))
  :extrafuns ((x_87 Real))
  :extrafuns ((x_88 Real))
  :extrafuns ((x_89 Real))
  :extrafuns ((x_90 Real))
  :extrafuns ((x_91 Real))
  :extrafuns ((x_92 Real))
  :extrafuns ((x_93 Real))
  :extrafuns ((x_94 Real))
  :extrafuns ((x_95 Real))
  :extrafuns ((x_96 Real))
  :extrafuns ((x_97 Real))
  :extrafuns ((x_98 Real))
  :extrafuns ((x_99 Real))
  :extrafuns ((x_100 Real))
  :extrafuns ((x_101 Real))
  :extrafuns ((x_102 Real))
  :extrafuns ((x_103 Real))
  :extrafuns ((x_104 Real))
  :extrafuns ((x_105 Real))
  :extrafuns ((x_106 Real))
  :extrafuns ((x_107 Real))
  :extrafuns ((x_108 Real))
  :extrafuns ((x_109 Real))
  :extrafuns ((x_110 Real))
  :extrafuns ((x_111 Real))
  :extrafuns ((x_112 Real))
  :extrafuns ((x_113 Real))
  :extrafuns ((x_114 Real))
  :extrafuns ((x_115 Real))
  :extrafuns ((x_116 Real))
  :extrafuns ((x_117 Real))
  :extrafuns ((x_118 Real))
  :extrafuns ((x_119 Real))
  :extrafuns ((x_120 Real))
  :extrafuns ((x_121 Real))
  :extrafuns ((x_122 Real))
  :extrafuns ((x_123 Real))
  :extrafuns ((x_124 Real))
  :extrafuns ((x_125 Real))
  :extrapreds ((x_126))
  :extrapreds ((x_127))
  :extrafuns ((x_128 Real))
  :extrapreds ((x_129))
  :extrapreds ((x_130))
  :extrapreds ((x_131))
  :extrapreds ((x_132))
  :extrapreds ((x_133))
  :extrafuns ((x_134 Real))
  :extrapreds ((x_135))
  :extrafuns ((x_136 Real))
  :extrafuns ((x_137 Real))
  :extrafuns ((x_138 Real))
  :extrapreds ((x_139))
  :extrafuns ((x_140 Real))
  :extrapreds ((x_141))
  :extrapreds ((x_142))
  :extrafuns ((x_143 Real))
  :extrapreds ((x_144))
  :extrafuns ((x_145 Real))
  :extrafuns ((x_146 Real))
  :extrafuns ((x_147 Real))
  :extrapreds ((x_148))
  :extrafuns ((x_149 Real))
  :extrapreds ((x_150))
  :extrapreds ((x_151))
  :extrafuns ((x_152 Real))
  :extrapreds ((x_153))
  :extrafuns ((x_154 Real))
  :extrafuns ((x_155 Real))
  :extrafuns ((x_156 Real))
  :extrapreds ((x_157))
  :extrafuns ((x_158 Real))
  :extrapreds ((x_159))
  :extrapreds ((x_160))
  :extrafuns ((x_161 Real))
  :extrapreds ((x_162))
  :extrafuns ((x_163 Real))
  :extrafuns ((x_164 Real))
  :extrafuns ((x_165 Real))
  :extrapreds ((x_166))
  :extrafuns ((x_167 Real))
  :extrapreds ((x_168))
  :extrapreds ((x_169))
  :extrafuns ((x_170 Real))
  :extrapreds ((x_171))
  :extrafuns ((x_172 Real))
  :extrafuns ((x_173 Real))
  :extrafuns ((x_174 Real))
  :extrapreds ((x_175))
  :extrafuns ((x_176 Real))
  :extrapreds ((x_177))
  :extrapreds ((x_178))
  :extrafuns ((x_179 Real))
  :extrapreds ((x_180))
  :extrafuns ((x_181 Real))
  :extrafuns ((x_182 Real))
  :extrafuns ((x_183 Real))
  :extrapreds ((x_184))
  :extrafuns ((x_185 Real))
  :extrapreds ((x_186))
  :extrapreds ((x_187))
  :extrafuns ((x_188 Real))
  :extrapreds ((x_189))
  :extrafuns ((x_190 Real))
  :extrafuns ((x_191 Real))
  :extrafuns ((x_192 Real))
  :extrapreds ((x_193))
  :extrafuns ((x_194 Real))
  :extrapreds ((x_195))
  :extrapreds ((x_196))
  :extrafuns ((x_197 Real))
  :extrapreds ((x_198))
  :extrafuns ((x_199 Real))
  :extrafuns ((x_200 Real))
  :extrafuns ((x_201 Real))
  :extrapreds ((x_202))
  :extrafuns ((x_203 Real))
  :extrapreds ((x_204))
  :extrapreds ((x_205))
  :extrafuns ((x_206 Real))
  :extrapreds ((x_207))
  :extrafuns ((x_208 Real))
  :extrafuns ((x_209 Real))
  :extrafuns ((x_210 Real))
  :extrapreds ((x_211))
  :extrafuns ((x_212 Real))
  :extrapreds ((x_213))
  :extrapreds ((x_214))
  :extrafuns ((x_215 Real))
  :extrapreds ((x_216))
  :extrafuns ((x_217 Real))
  :extrafuns ((x_218 Real))
  :extrafuns ((x_219 Real))
  :extrapreds ((x_220))
  :extrafuns ((x_221 Real))
  :extrapreds ((x_222))
  :extrapreds ((x_223))
  :extrafuns ((x_224 Real))
  :extrapreds ((x_225))
  :extrafuns ((x_226 Real))
  :extrafuns ((x_227 Real))
  :extrafuns ((x_228 Real))
  :extrapreds ((x_229))
  :extrafuns ((x_230 Real))
  :extrapreds ((x_231))
  :extrapreds ((x_232))
  :extrafuns ((x_233 Real))
  :extrapreds ((x_234))
  :extrafuns ((x_235 Real))
  :extrafuns ((x_236 Real))
  :extrafuns ((x_237 Real))
  :extrapreds ((x_238))
  :extrafuns ((x_239 Real))
  :extrafuns ((x_240 Real))
  :extrapreds ((x_241))
  :extrapreds ((x_242))
  :extrapreds ((x_243))
  :extrapreds ((x_244))
  :extrafuns ((x_245 Real))
  :extrapreds ((x_246))
  :extrafuns ((x_247 Real))
  :extrafuns ((x_248 Real))
  :extrafuns ((x_249 Real))
  :extrafuns ((x_250 Real))
  :formula
(let (?cvcl_13 (ite (<= x_52 x_53) x_52 x_53)) (let (?cvcl_12 (ite (<= x_61 x_62) x_61 x_62)) (let (?cvcl_11 (ite (<= x_66 x_67) x_66 x_67)) (let (?cvcl_10 (ite (<= x_71 x_72) x_71 x_72)) (let (?cvcl_9 (ite (<= x_76 x_77) x_76 x_77)) (let (?cvcl_8 (ite (<= x_81 x_82) x_81 x_82)) (let (?cvcl_7 (ite (<= x_86 x_87) x_86 x_87)) (let (?cvcl_6 (ite (<= x_91 x_92) x_91 x_92)) (let (?cvcl_5 (ite (<= x_96 x_97) x_96 x_97)) (let (?cvcl_4 (ite (<= x_101 x_102) x_101 x_102)) (let (?cvcl_3 (ite (<= x_106 x_107) x_106 x_107)) (let (?cvcl_2 (ite (<= x_111 x_112) x_111 x_112)) (let (?cvcl_1 (ite (<= x_116 x_117) x_116 x_117)) (let (?cvcl_0 (ite (<= x_121 x_122) x_121 x_122)) (flet ($cvcl_163 (= x_63 x_57)) (flet ($cvcl_165 (= x_53 x_62)) (flet ($cvcl_166 (= x_65 x_59)) (flet ($cvcl_161 (= x_52 x_61)) (flet ($cvcl_167 (not $cvcl_161)) (flet ($cvcl_169 (= x_64 x_58)) (flet ($cvcl_158 (iff x_126 x_127)) (flet ($cvcl_159 (= x_7 x_3)) (let (?cvcl_162 (ite (<= x_53 x_52) x_53 x_52)) (flet ($cvcl_151 (= x_68 x_63)) (flet ($cvcl_153 (= x_62 x_67)) (flet ($cvcl_154 (= x_70 x_65)) (flet ($cvcl_149 (= x_61 x_66)) (flet ($cvcl_155 (not $cvcl_149)) (flet ($cvcl_157 (= x_69 x_64)) (flet ($cvcl_146 (iff x_139 x_126)) (flet ($cvcl_147 (= x_11 x_7)) (let (?cvcl_150 (ite (<= x_62 x_61) x_62 x_61)) (flet ($cvcl_139 (= x_73 x_68)) (flet ($cvcl_141 (= x_67 x_72)) (flet ($cvcl_142 (= x_75 x_70)) (flet ($cvcl_137 (= x_66 x_71)) (flet ($cvcl_143 (not $cvcl_137)) (flet ($cvcl_145 (= x_74 x_69)) (flet ($cvcl_134 (iff x_148 x_139)) (flet ($cvcl_135 (= x_15 x_11)) (let (?cvcl_138 (ite (<= x_67 x_66) x_67 x_66)) (flet ($cvcl_127 (= x_78 x_73)) (flet ($cvcl_129 (= x_72 x_77)) (flet ($cvcl_130 (= x_80 x_75)) (flet ($cvcl_125 (= x_71 x_76)) (flet ($cvcl_131 (not $cvcl_125)) (flet ($cvcl_133 (= x_79 x_74)) (flet ($cvcl_122 (iff x_157 x_148)) (flet ($cvcl_123 (= x_19 x_15)) (let (?cvcl_126 (ite (<= x_72 x_71) x_72 x_71)) (flet ($cvcl_115 (= x_83 x_78)) (flet ($cvcl_117 (= x_77 x_82)) (flet ($cvcl_118 (= x_85 x_80)) (flet ($cvcl_113 (= x_76 x_81)) (flet ($cvcl_119 (not $cvcl_113)) (flet ($cvcl_121 (= x_84 x_79)) (flet ($cvcl_110 (iff x_166 x_157)) (flet ($cvcl_111 (= x_23 x_19)) (let (?cvcl_114 (ite (<= x_77 x_76) x_77 x_76)) (flet ($cvcl_103 (= x_88 x_83)) (flet ($cvcl_105 (= x_82 x_87)) (flet ($cvcl_106 (= x_90 x_85)) (flet ($cvcl_101 (= x_81 x_86)) (flet ($cvcl_107 (not $cvcl_101)) (flet ($cvcl_109 (= x_89 x_84)) (flet ($cvcl_98 (iff x_175 x_166)) (flet ($cvcl_99 (= x_27 x_23)) (let (?cvcl_102 (ite (<= x_82 x_81) x_82 x_81)) (flet ($cvcl_91 (= x_93 x_88)) (flet ($cvcl_93 (= x_87 x_92)) (flet ($cvcl_94 (= x_95 x_90)) (flet ($cvcl_89 (= x_86 x_91)) (flet ($cvcl_95 (not $cvcl_89)) (flet ($cvcl_97 (= x_94 x_89)) (flet ($cvcl_86 (iff x_184 x_175)) (flet ($cvcl_87 (= x_31 x_27)) (let (?cvcl_90 (ite (<= x_87 x_86) x_87 x_86)) (flet ($cvcl_79 (= x_98 x_93)) (flet ($cvcl_81 (= x_92 x_97)) (flet ($cvcl_82 (= x_100 x_95)) (flet ($cvcl_77 (= x_91 x_96)) (flet ($cvcl_83 (not $cvcl_77)) (flet ($cvcl_85 (= x_99 x_94)) (flet ($cvcl_74 (iff x_193 x_184)) (flet ($cvcl_75 (= x_35 x_31)) (let (?cvcl_78 (ite (<= x_92 x_91) x_92 x_91)) (flet ($cvcl_67 (= x_103 x_98)) (flet ($cvcl_69 (= x_97 x_102)) (flet ($cvcl_70 (= x_105 x_100)) (flet ($cvcl_65 (= x_96 x_101)) (flet ($cvcl_71 (not $cvcl_65)) (flet ($cvcl_73 (= x_104 x_99)) (flet ($cvcl_62 (iff x_202 x_193)) (flet ($cvcl_63 (= x_39 x_35)) (let (?cvcl_66 (ite (<= x_97 x_96) x_97 x_96)) (flet ($cvcl_55 (= x_108 x_103)) (flet ($cvcl_57 (= x_102 x_107)) (flet ($cvcl_58 (= x_110 x_105)) (flet ($cvcl_53 (= x_101 x_106)) (flet ($cvcl_59 (not $cvcl_53)) (flet ($cvcl_61 (= x_109 x_104)) (flet ($cvcl_50 (iff x_211 x_202)) (flet ($cvcl_51 (= x_43 x_39)) (let (?cvcl_54 (ite (<= x_102 x_101) x_102 x_101)) (flet ($cvcl_43 (= x_113 x_108)) (flet ($cvcl_45 (= x_107 x_112)) (flet ($cvcl_46 (= x_115 x_110)) (flet ($cvcl_41 (= x_106 x_111)) (flet ($cvcl_47 (not $cvcl_41)) (flet ($cvcl_49 (= x_114 x_109)) (flet ($cvcl_38 (iff x_220 x_211)) (flet ($cvcl_39 (= x_47 x_43)) (let (?cvcl_42 (ite (<= x_107 x_106) x_107 x_106)) (flet ($cvcl_31 (= x_118 x_113)) (flet ($cvcl_33 (= x_112 x_117)) (flet ($cvcl_34 (= x_120 x_115)) (flet ($cvcl_29 (= x_111 x_116)) (flet ($cvcl_35 (not $cvcl_29)) (flet ($cvcl_37 (= x_119 x_114)) (flet ($cvcl_26 (iff x_229 x_220)) (flet ($cvcl_27 (= x_51 x_47)) (let (?cvcl_30 (ite (<= x_112 x_111) x_112 x_111)) (flet ($cvcl_19 (= x_123 x_118)) (flet ($cvcl_21 (= x_117 x_122)) (flet ($cvcl_22 (= x_125 x_120)) (flet ($cvcl_17 (= x_116 x_121)) (flet ($cvcl_23 (not $cvcl_17)) (flet ($cvcl_25 (= x_124 x_119)) (flet ($cvcl_14 (iff x_238 x_229)) (flet ($cvcl_15 (= x_239 x_51)) (let (?cvcl_18 (ite (<= x_117 x_116) x_117 x_116)) (flet ($cvcl_16 (iff x_242 x_49)) (flet ($cvcl_24 (= x_51 x_239)) (flet ($cvcl_28 (iff x_49 x_45)) (flet ($cvcl_36 (= x_47 x_51)) (flet ($cvcl_40 (iff x_45 x_41)) (flet ($cvcl_48 (= x_43 x_47)) (flet ($cvcl_52 (iff x_41 x_37)) (flet ($cvcl_60 (= x_39 x_43)) (flet ($cvcl_64 (iff x_37 x_33)) (flet ($cvcl_72 (= x_35 x_39)) (flet ($cvcl_76 (iff x_33 x_29)) (flet ($cvcl_84 (= x_31 x_35)) (flet ($cvcl_88 (iff x_29 x_25)) (flet ($cvcl_96 (= x_27 x_31)) (flet ($cvcl_100 (iff x_25 x_21)) (flet ($cvcl_108 (= x_23 x_27)) (flet ($cvcl_112 (iff x_21 x_17)) (flet ($cvcl_120 (= x_19 x_23)) (flet ($cvcl_124 (iff x_17 x_13)) (flet ($cvcl_132 (= x_15 x_19)) (flet ($cvcl_136 (iff x_13 x_9)) (flet ($cvcl_144 (= x_11 x_15)) (flet ($cvcl_148 (iff x_9 x_5)) (flet ($cvcl_156 (= x_7 x_11)) (flet ($cvcl_160 (iff x_5 x_1)) (flet ($cvcl_168 (= x_3 x_7)) (flet ($cvcl_20 (<= x_120 ?cvcl_1)) (flet ($cvcl_32 (<= x_115 ?cvcl_2)) (flet ($cvcl_44 (<= x_110 ?cvcl_3)) (flet ($cvcl_56 (<= x_105 ?cvcl_4)) (flet ($cvcl_68 (<= x_100 ?cvcl_5)) (flet ($cvcl_80 (<= x_95 ?cvcl_6)) (flet ($cvcl_92 (<= x_90 ?cvcl_7)) (flet ($cvcl_104 (<= x_85 ?cvcl_8)) (flet ($cvcl_116 (<= x_80 ?cvcl_9)) (flet ($cvcl_128 (<= x_75 ?cvcl_10)) (flet ($cvcl_140 (<= x_70 ?cvcl_11)) (flet ($cvcl_152 (<= x_65 ?cvcl_12)) (flet ($cvcl_164 (<= x_59 ?cvcl_13)) (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (> x_54 0) (> x_55 0)) (>= x_56 0)) (< x_56 x_54)) (< x_56 x_55)) (>= x_60 0)) (< x_60 x_54)) (< x_60 x_55)) (or (iff x_48 x_49)  (= x_50 x_51) )) (or (iff x_44 x_45)  (= x_46 x_47) )) (or (iff x_40 x_41)  (= x_42 x_43) )) (or (iff x_36 x_37)  (= x_38 x_39) )) (or (iff x_32 x_33)  (= x_34 x_35) )) (or (iff x_28 x_29)  (= x_30 x_31) )) (or (iff x_24 x_25)  (= x_26 x_27) )) (or (iff x_20 x_21)  (= x_22 x_23) )) (or (iff x_16 x_17)  (= x_18 x_19) )) (or (iff x_12 x_13)  (= x_14 x_15) )) (or (iff x_8 x_9)  (= x_10 x_11) )) (or (iff x_4 x_5)  (= x_6 x_7) )) (or (iff x_0 x_1)  (= x_2 x_3) )) (or (<= x_123 ?cvcl_0)  (<= (- (+ x_123 x_55) x_56) x_122) )) (or (<= x_124 ?cvcl_0)  (<= (- (+ x_124 x_55) x_56) x_122) )) (or (<= x_125 ?cvcl_0)  (<= (- (+ x_125 x_54) x_60) x_121) )) (<= x_125 (+ ?cvcl_0 x_60))) (<= x_124 (+ ?cvcl_0 x_56))) (<= x_123 (+ ?cvcl_0 x_56))) (<= ?cvcl_0 x_121)) (<= ?cvcl_0 x_122)) (or (<= x_118 ?cvcl_1)  (<= (- (+ x_118 x_55) x_56) x_117) )) (or (<= x_119 ?cvcl_1)  (<= (- (+ x_119 x_55) x_56) x_117) )) (or $cvcl_20  (<= (- (+ x_120 x_54) x_60) x_116) )) (<= x_120 (+ ?cvcl_1 x_60))) (<= x_119 (+ ?cvcl_1 x_56))) (<= x_118 (+ ?cvcl_1 x_56))) (<= ?cvcl_1 x_116)) (<= ?cvcl_1 x_117)) (or (<= x_113 ?cvcl_2)  (<= (- (+ x_113 x_55) x_56) x_112) )) (or (<= x_114 ?cvcl_2)  (<= (- (+ x_114 x_55) x_56) x_112) )) (or $cvcl_32  (<= (- (+ x_115 x_54) x_60) x_111) )) (<= x_115 (+ ?cvcl_2 x_60))) (<= x_114 (+ ?cvcl_2 x_56))) (<= x_113 (+ ?cvcl_2 x_56))) (<= ?cvcl_2 x_111)) (<= ?cvcl_2 x_112)) (or (<= x_108 ?cvcl_3)  (<= (- (+ x_108 x_55) x_56) x_107) )) (or (<= x_109 ?cvcl_3)  (<= (- (+ x_109 x_55) x_56) x_107) )) (or $cvcl_44  (<= (- (+ x_110 x_54) x_60) x_106) )) (<= x_110 (+ ?cvcl_3 x_60))) (<= x_109 (+ ?cvcl_3 x_56))) (<= x_108 (+ ?cvcl_3 x_56))) (<= ?cvcl_3 x_106)) (<= ?cvcl_3 x_107)) (or (<= x_103 ?cvcl_4)  (<= (- (+ x_103 x_55) x_56) x_102) )) (or (<= x_104 ?cvcl_4)  (<= (- (+ x_104 x_55) x_56) x_102) )) (or $cvcl_56  (<= (- (+ x_105 x_54) x_60) x_101) )) (<= x_105 (+ ?cvcl_4 x_60))) (<= x_104 (+ ?cvcl_4 x_56))) (<= x_103 (+ ?cvcl_4 x_56))) (<= ?cvcl_4 x_101)) (<= ?cvcl_4 x_102)) (or (<= x_98 ?cvcl_5)  (<= (- (+ x_98 x_55) x_56) x_97) )) (or (<= x_99 ?cvcl_5)  (<= (- (+ x_99 x_55) x_56) x_97) )) (or $cvcl_68  (<= (- (+ x_100 x_54) x_60) x_96) )) (<= x_100 (+ ?cvcl_5 x_60))) (<= x_99 (+ ?cvcl_5 x_56))) (<= x_98 (+ ?cvcl_5 x_56))) (<= ?cvcl_5 x_96)) (<= ?cvcl_5 x_97)) (or (<= x_93 ?cvcl_6)  (<= (- (+ x_93 x_55) x_56) x_92) )) (or (<= x_94 ?cvcl_6)  (<= (- (+ x_94 x_55) x_56) x_92) )) (or $cvcl_80  (<= (- (+ x_95 x_54) x_60) x_91) )) (<= x_95 (+ ?cvcl_6 x_60))) (<= x_94 (+ ?cvcl_6 x_56))) (<= x_93 (+ ?cvcl_6 x_56))) (<= ?cvcl_6 x_91)) (<= ?cvcl_6 x_92)) (or (<= x_88 ?cvcl_7)  (<= (- (+ x_88 x_55) x_56) x_87) )) (or (<= x_89 ?cvcl_7)  (<= (- (+ x_89 x_55) x_56) x_87) )) (or $cvcl_92  (<= (- (+ x_90 x_54) x_60) x_86) )) (<= x_90 (+ ?cvcl_7 x_60))) (<= x_89 (+ ?cvcl_7 x_56))) (<= x_88 (+ ?cvcl_7 x_56))) (<= ?cvcl_7 x_86)) (<= ?cvcl_7 x_87)) (or (<= x_83 ?cvcl_8)  (<= (- (+ x_83 x_55) x_56) x_82) )) (or (<= x_84 ?cvcl_8)  (<= (- (+ x_84 x_55) x_56) x_82) )) (or $cvcl_104  (<= (- (+ x_85 x_54) x_60) x_81) )) (<= x_85 (+ ?cvcl_8 x_60))) (<= x_84 (+ ?cvcl_8 x_56))) (<= x_83 (+ ?cvcl_8 x_56))) (<= ?cvcl_8 x_81)) (<= ?cvcl_8 x_82)) (or (<= x_78 ?cvcl_9)  (<= (- (+ x_78 x_55) x_56) x_77) )) (or (<= x_79 ?cvcl_9)  (<= (- (+ x_79 x_55) x_56) x_77) )) (or $cvcl_116  (<= (- (+ x_80 x_54) x_60) x_76) )) (<= x_80 (+ ?cvcl_9 x_60))) (<= x_79 (+ ?cvcl_9 x_56))) (<= x_78 (+ ?cvcl_9 x_56))) (<= ?cvcl_9 x_76)) (<= ?cvcl_9 x_77)) (or (<= x_73 ?cvcl_10)  (<= (- (+ x_73 x_55) x_56) x_72) )) (or (<= x_74 ?cvcl_10)  (<= (- (+ x_74 x_55) x_56) x_72) )) (or $cvcl_128  (<= (- (+ x_75 x_54) x_60) x_71) )) (<= x_75 (+ ?cvcl_10 x_60))) (<= x_74 (+ ?cvcl_10 x_56))) (<= x_73 (+ ?cvcl_10 x_56))) (<= ?cvcl_10 x_71)) (<= ?cvcl_10 x_72)) (or (<= x_68 ?cvcl_11)  (<= (- (+ x_68 x_55) x_56) x_67) )) (or (<= x_69 ?cvcl_11)  (<= (- (+ x_69 x_55) x_56) x_67) )) (or $cvcl_140  (<= (- (+ x_70 x_54) x_60) x_66) )) (<= x_70 (+ ?cvcl_11 x_60))) (<= x_69 (+ ?cvcl_11 x_56))) (<= x_68 (+ ?cvcl_11 x_56))) (<= ?cvcl_11 x_66)) (<= ?cvcl_11 x_67)) (or (<= x_63 ?cvcl_12)  (<= (- (+ x_63 x_55) x_56) x_62) )) (or (<= x_64 ?cvcl_12)  (<= (- (+ x_64 x_55) x_56) x_62) )) (or $cvcl_152  (<= (- (+ x_65 x_54) x_60) x_61) )) (<= x_65 (+ ?cvcl_12 x_60))) (<= x_64 (+ ?cvcl_12 x_56))) (<= x_63 (+ ?cvcl_12 x_56))) (<= ?cvcl_12 x_61)) (<= ?cvcl_12 x_62)) (or (<= x_57 ?cvcl_13)  (<= (- (+ x_57 x_55) x_56) x_53) )) (or (<= x_58 ?cvcl_13)  (<= (- (+ x_58 x_55) x_56) x_53) )) (or $cvcl_164  (<= (- (+ x_59 x_54) x_60) x_52) )) (<= x_59 (+ ?cvcl_13 x_60))) (<= x_58 (+ ?cvcl_13 x_56))) (<= x_57 (+ ?cvcl_13 x_56))) (<= ?cvcl_13 x_52)) (<= ?cvcl_13 x_53)) (or (and (and (and (and (and (and (and (and (and (= x_240 0) (iff x_241 x_234)) (= ?cvcl_1 x_116)) (<= (+ ?cvcl_1 x_54) x_121)) (or $cvcl_16  (iff x_242 x_48) )) (iff x_243 x_231)) (iff x_244 x_232)) (= x_122 x_117)) $cvcl_14) $cvcl_15)  (and (and (and (and (and (and (and (and (and (= x_240 1) (iff x_244 x_231)) (= ?cvcl_1 x_117)) (<= (+ ?cvcl_1 x_55) x_122)) (or (and (and (= x_245 0) $cvcl_14) $cvcl_15)  (and (and (= x_245 1) (iff x_229 x_232)) (iff x_238 (not x_229))) )) (iff x_246 x_234)) (iff x_241 x_48)) (= x_247 x_50)) (= x_121 x_116)) $cvcl_16) )) (or (or (and (and (and (= x_248 0) $cvcl_23) (or (not (<= x_118 ?cvcl_18))  (iff x_246 x_229) )) $cvcl_19)  (and (and (and (= x_248 1) $cvcl_17) (xor x_229  x_238 )) (= x_123 (+ ?cvcl_18 x_56))) )  (and (and (and (= x_248 2) $cvcl_17) (iff x_229 x_238)) $cvcl_19) )) (or (or (and (and (and (= x_249 0) (not $cvcl_21)) (or (not $cvcl_20)  (iff x_243 x_49) )) $cvcl_22)  (and (and (and (= x_249 1) $cvcl_21) (xor x_49  x_242 )) (= x_125 (+ ?cvcl_1 x_60))) )  (and (and (and (= x_249 2) $cvcl_21) (iff x_49 x_242)) $cvcl_22) )) (or (or (and (and (and (= x_250 0) $cvcl_23) (or (not (<= x_119 ?cvcl_18))  (= x_247 x_51) )) $cvcl_25)  (and (and (and (= x_250 1) $cvcl_17) (not $cvcl_24)) (= x_124 (+ ?cvcl_18 x_56))) )  (and (and (and (= x_250 2) $cvcl_17) $cvcl_24) $cvcl_25) )) (or (and (and (and (and (and (and (and (and (and (= x_230 0) (iff x_48 x_225)) (= ?cvcl_2 x_111)) (<= (+ ?cvcl_2 x_54) x_116)) (or $cvcl_28  (iff x_49 x_44) )) (iff x_231 x_222)) (iff x_232 x_223)) (= x_117 x_112)) $cvcl_26) $cvcl_27)  (and (and (and (and (and (and (and (and (and (= x_230 1) (iff x_232 x_222)) (= ?cvcl_2 x_112)) (<= (+ ?cvcl_2 x_55) x_117)) (or (and (and (= x_233 0) $cvcl_26) $cvcl_27)  (and (and (= x_233 1) (iff x_220 x_223)) (iff x_229 (not x_220))) )) (iff x_234 x_225)) (iff x_48 x_44)) (= x_50 x_46)) (= x_116 x_111)) $cvcl_28) )) (or (or (and (and (and (= x_235 0) $cvcl_35) (or (not (<= x_113 ?cvcl_30))  (iff x_234 x_220) )) $cvcl_31)  (and (and (and (= x_235 1) $cvcl_29) (xor x_220  x_229 )) (= x_118 (+ ?cvcl_30 x_56))) )  (and (and (and (= x_235 2) $cvcl_29) (iff x_220 x_229)) $cvcl_31) )) (or (or (and (and (and (= x_236 0) (not $cvcl_33)) (or (not $cvcl_32)  (iff x_231 x_45) )) $cvcl_34)  (and (and (and (= x_236 1) $cvcl_33) (xor x_45  x_49 )) (= x_120 (+ ?cvcl_2 x_60))) )  (and (and (and (= x_236 2) $cvcl_33) (iff x_45 x_49)) $cvcl_34) )) (or (or (and (and (and (= x_237 0) $cvcl_35) (or (not (<= x_114 ?cvcl_30))  (= x_50 x_47) )) $cvcl_37)  (and (and (and (= x_237 1) $cvcl_29) (not $cvcl_36)) (= x_119 (+ ?cvcl_30 x_56))) )  (and (and (and (= x_237 2) $cvcl_29) $cvcl_36) $cvcl_37) )) (or (and (and (and (and (and (and (and (and (and (= x_221 0) (iff x_44 x_216)) (= ?cvcl_3 x_106)) (<= (+ ?cvcl_3 x_54) x_111)) (or $cvcl_40  (iff x_45 x_40) )) (iff x_222 x_213)) (iff x_223 x_214)) (= x_112 x_107)) $cvcl_38) $cvcl_39)  (and (and (and (and (and (and (and (and (and (= x_221 1) (iff x_223 x_213)) (= ?cvcl_3 x_107)) (<= (+ ?cvcl_3 x_55) x_112)) (or (and (and (= x_224 0) $cvcl_38) $cvcl_39)  (and (and (= x_224 1) (iff x_211 x_214)) (iff x_220 (not x_211))) )) (iff x_225 x_216)) (iff x_44 x_40)) (= x_46 x_42)) (= x_111 x_106)) $cvcl_40) )) (or (or (and (and (and (= x_226 0) $cvcl_47) (or (not (<= x_108 ?cvcl_42))  (iff x_225 x_211) )) $cvcl_43)  (and (and (and (= x_226 1) $cvcl_41) (xor x_211  x_220 )) (= x_113 (+ ?cvcl_42 x_56))) )  (and (and (and (= x_226 2) $cvcl_41) (iff x_211 x_220)) $cvcl_43) )) (or (or (and (and (and (= x_227 0) (not $cvcl_45)) (or (not $cvcl_44)  (iff x_222 x_41) )) $cvcl_46)  (and (and (and (= x_227 1) $cvcl_45) (xor x_41  x_45 )) (= x_115 (+ ?cvcl_3 x_60))) )  (and (and (and (= x_227 2) $cvcl_45) (iff x_41 x_45)) $cvcl_46) )) (or (or (and (and (and (= x_228 0) $cvcl_47) (or (not (<= x_109 ?cvcl_42))  (= x_46 x_43) )) $cvcl_49)  (and (and (and (= x_228 1) $cvcl_41) (not $cvcl_48)) (= x_114 (+ ?cvcl_42 x_56))) )  (and (and (and (= x_228 2) $cvcl_41) $cvcl_48) $cvcl_49) )) (or (and (and (and (and (and (and (and (and (and (= x_212 0) (iff x_40 x_207)) (= ?cvcl_4 x_101)) (<= (+ ?cvcl_4 x_54) x_106)) (or $cvcl_52  (iff x_41 x_36) )) (iff x_213 x_204)) (iff x_214 x_205)) (= x_107 x_102)) $cvcl_50) $cvcl_51)  (and (and (and (and (and (and (and (and (and (= x_212 1) (iff x_214 x_204)) (= ?cvcl_4 x_102)) (<= (+ ?cvcl_4 x_55) x_107)) (or (and (and (= x_215 0) $cvcl_50) $cvcl_51)  (and (and (= x_215 1) (iff x_202 x_205)) (iff x_211 (not x_202))) )) (iff x_216 x_207)) (iff x_40 x_36)) (= x_42 x_38)) (= x_106 x_101)) $cvcl_52) )) (or (or (and (and (and (= x_217 0) $cvcl_59) (or (not (<= x_103 ?cvcl_54))  (iff x_216 x_202) )) $cvcl_55)  (and (and (and (= x_217 1) $cvcl_53) (xor x_202  x_211 )) (= x_108 (+ ?cvcl_54 x_56))) )  (and (and (and (= x_217 2) $cvcl_53) (iff x_202 x_211)) $cvcl_55) )) (or (or (and (and (and (= x_218 0) (not $cvcl_57)) (or (not $cvcl_56)  (iff x_213 x_37) )) $cvcl_58)  (and (and (and (= x_218 1) $cvcl_57) (xor x_37  x_41 )) (= x_110 (+ ?cvcl_4 x_60))) )  (and (and (and (= x_218 2) $cvcl_57) (iff x_37 x_41)) $cvcl_58) )) (or (or (and (and (and (= x_219 0) $cvcl_59) (or (not (<= x_104 ?cvcl_54))  (= x_42 x_39) )) $cvcl_61)  (and (and (and (= x_219 1) $cvcl_53) (not $cvcl_60)) (= x_109 (+ ?cvcl_54 x_56))) )  (and (and (and (= x_219 2) $cvcl_53) $cvcl_60) $cvcl_61) )) (or (and (and (and (and (and (and (and (and (and (= x_203 0) (iff x_36 x_198)) (= ?cvcl_5 x_96)) (<= (+ ?cvcl_5 x_54) x_101)) (or $cvcl_64  (iff x_37 x_32) )) (iff x_204 x_195)) (iff x_205 x_196)) (= x_102 x_97)) $cvcl_62) $cvcl_63)  (and (and (and (and (and (and (and (and (and (= x_203 1) (iff x_205 x_195)) (= ?cvcl_5 x_97)) (<= (+ ?cvcl_5 x_55) x_102)) (or (and (and (= x_206 0) $cvcl_62) $cvcl_63)  (and (and (= x_206 1) (iff x_193 x_196)) (iff x_202 (not x_193))) )) (iff x_207 x_198)) (iff x_36 x_32)) (= x_38 x_34)) (= x_101 x_96)) $cvcl_64) )) (or (or (and (and (and (= x_208 0) $cvcl_71) (or (not (<= x_98 ?cvcl_66))  (iff x_207 x_193) )) $cvcl_67)  (and (and (and (= x_208 1) $cvcl_65) (xor x_193  x_202 )) (= x_103 (+ ?cvcl_66 x_56))) )  (and (and (and (= x_208 2) $cvcl_65) (iff x_193 x_202)) $cvcl_67) )) (or (or (and (and (and (= x_209 0) (not $cvcl_69)) (or (not $cvcl_68)  (iff x_204 x_33) )) $cvcl_70)  (and (and (and (= x_209 1) $cvcl_69) (xor x_33  x_37 )) (= x_105 (+ ?cvcl_5 x_60))) )  (and (and (and (= x_209 2) $cvcl_69) (iff x_33 x_37)) $cvcl_70) )) (or (or (and (and (and (= x_210 0) $cvcl_71) (or (not (<= x_99 ?cvcl_66))  (= x_38 x_35) )) $cvcl_73)  (and (and (and (= x_210 1) $cvcl_65) (not $cvcl_72)) (= x_104 (+ ?cvcl_66 x_56))) )  (and (and (and (= x_210 2) $cvcl_65) $cvcl_72) $cvcl_73) )) (or (and (and (and (and (and (and (and (and (and (= x_194 0) (iff x_32 x_189)) (= ?cvcl_6 x_91)) (<= (+ ?cvcl_6 x_54) x_96)) (or $cvcl_76  (iff x_33 x_28) )) (iff x_195 x_186)) (iff x_196 x_187)) (= x_97 x_92)) $cvcl_74) $cvcl_75)  (and (and (and (and (and (and (and (and (and (= x_194 1) (iff x_196 x_186)) (= ?cvcl_6 x_92)) (<= (+ ?cvcl_6 x_55) x_97)) (or (and (and (= x_197 0) $cvcl_74) $cvcl_75)  (and (and (= x_197 1) (iff x_184 x_187)) (iff x_193 (not x_184))) )) (iff x_198 x_189)) (iff x_32 x_28)) (= x_34 x_30)) (= x_96 x_91)) $cvcl_76) )) (or (or (and (and (and (= x_199 0) $cvcl_83) (or (not (<= x_93 ?cvcl_78))  (iff x_198 x_184) )) $cvcl_79)  (and (and (and (= x_199 1) $cvcl_77) (xor x_184  x_193 )) (= x_98 (+ ?cvcl_78 x_56))) )  (and (and (and (= x_199 2) $cvcl_77) (iff x_184 x_193)) $cvcl_79) )) (or (or (and (and (and (= x_200 0) (not $cvcl_81)) (or (not $cvcl_80)  (iff x_195 x_29) )) $cvcl_82)  (and (and (and (= x_200 1) $cvcl_81) (xor x_29  x_33 )) (= x_100 (+ ?cvcl_6 x_60))) )  (and (and (and (= x_200 2) $cvcl_81) (iff x_29 x_33)) $cvcl_82) )) (or (or (and (and (and (= x_201 0) $cvcl_83) (or (not (<= x_94 ?cvcl_78))  (= x_34 x_31) )) $cvcl_85)  (and (and (and (= x_201 1) $cvcl_77) (not $cvcl_84)) (= x_99 (+ ?cvcl_78 x_56))) )  (and (and (and (= x_201 2) $cvcl_77) $cvcl_84) $cvcl_85) )) (or (and (and (and (and (and (and (and (and (and (= x_185 0) (iff x_28 x_180)) (= ?cvcl_7 x_86)) (<= (+ ?cvcl_7 x_54) x_91)) (or $cvcl_88  (iff x_29 x_24) )) (iff x_186 x_177)) (iff x_187 x_178)) (= x_92 x_87)) $cvcl_86) $cvcl_87)  (and (and (and (and (and (and (and (and (and (= x_185 1) (iff x_187 x_177)) (= ?cvcl_7 x_87)) (<= (+ ?cvcl_7 x_55) x_92)) (or (and (and (= x_188 0) $cvcl_86) $cvcl_87)  (and (and (= x_188 1) (iff x_175 x_178)) (iff x_184 (not x_175))) )) (iff x_189 x_180)) (iff x_28 x_24)) (= x_30 x_26)) (= x_91 x_86)) $cvcl_88) )) (or (or (and (and (and (= x_190 0) $cvcl_95) (or (not (<= x_88 ?cvcl_90))  (iff x_189 x_175) )) $cvcl_91)  (and (and (and (= x_190 1) $cvcl_89) (xor x_175  x_184 )) (= x_93 (+ ?cvcl_90 x_56))) )  (and (and (and (= x_190 2) $cvcl_89) (iff x_175 x_184)) $cvcl_91) )) (or (or (and (and (and (= x_191 0) (not $cvcl_93)) (or (not $cvcl_92)  (iff x_186 x_25) )) $cvcl_94)  (and (and (and (= x_191 1) $cvcl_93) (xor x_25  x_29 )) (= x_95 (+ ?cvcl_7 x_60))) )  (and (and (and (= x_191 2) $cvcl_93) (iff x_25 x_29)) $cvcl_94) )) (or (or (and (and (and (= x_192 0) $cvcl_95) (or (not (<= x_89 ?cvcl_90))  (= x_30 x_27) )) $cvcl_97)  (and (and (and (= x_192 1) $cvcl_89) (not $cvcl_96)) (= x_94 (+ ?cvcl_90 x_56))) )  (and (and (and (= x_192 2) $cvcl_89) $cvcl_96) $cvcl_97) )) (or (and (and (and (and (and (and (and (and (and (= x_176 0) (iff x_24 x_171)) (= ?cvcl_8 x_81)) (<= (+ ?cvcl_8 x_54) x_86)) (or $cvcl_100  (iff x_25 x_20) )) (iff x_177 x_168)) (iff x_178 x_169)) (= x_87 x_82)) $cvcl_98) $cvcl_99)  (and (and (and (and (and (and (and (and (and (= x_176 1) (iff x_178 x_168)) (= ?cvcl_8 x_82)) (<= (+ ?cvcl_8 x_55) x_87)) (or (and (and (= x_179 0) $cvcl_98) $cvcl_99)  (and (and (= x_179 1) (iff x_166 x_169)) (iff x_175 (not x_166))) )) (iff x_180 x_171)) (iff x_24 x_20)) (= x_26 x_22)) (= x_86 x_81)) $cvcl_100) )) (or (or (and (and (and (= x_181 0) $cvcl_107) (or (not (<= x_83 ?cvcl_102))  (iff x_180 x_166) )) $cvcl_103)  (and (and (and (= x_181 1) $cvcl_101) (xor x_166  x_175 )) (= x_88 (+ ?cvcl_102 x_56))) )  (and (and (and (= x_181 2) $cvcl_101) (iff x_166 x_175)) $cvcl_103) )) (or (or (and (and (and (= x_182 0) (not $cvcl_105)) (or (not $cvcl_104)  (iff x_177 x_21) )) $cvcl_106)  (and (and (and (= x_182 1) $cvcl_105) (xor x_21  x_25 )) (= x_90 (+ ?cvcl_8 x_60))) )  (and (and (and (= x_182 2) $cvcl_105) (iff x_21 x_25)) $cvcl_106) )) (or (or (and (and (and (= x_183 0) $cvcl_107) (or (not (<= x_84 ?cvcl_102))  (= x_26 x_23) )) $cvcl_109)  (and (and (and (= x_183 1) $cvcl_101) (not $cvcl_108)) (= x_89 (+ ?cvcl_102 x_56))) )  (and (and (and (= x_183 2) $cvcl_101) $cvcl_108) $cvcl_109) )) (or (and (and (and (and (and (and (and (and (and (= x_167 0) (iff x_20 x_162)) (= ?cvcl_9 x_76)) (<= (+ ?cvcl_9 x_54) x_81)) (or $cvcl_112  (iff x_21 x_16) )) (iff x_168 x_159)) (iff x_169 x_160)) (= x_82 x_77)) $cvcl_110) $cvcl_111)  (and (and (and (and (and (and (and (and (and (= x_167 1) (iff x_169 x_159)) (= ?cvcl_9 x_77)) (<= (+ ?cvcl_9 x_55) x_82)) (or (and (and (= x_170 0) $cvcl_110) $cvcl_111)  (and (and (= x_170 1) (iff x_157 x_160)) (iff x_166 (not x_157))) )) (iff x_171 x_162)) (iff x_20 x_16)) (= x_22 x_18)) (= x_81 x_76)) $cvcl_112) )) (or (or (and (and (and (= x_172 0) $cvcl_119) (or (not (<= x_78 ?cvcl_114))  (iff x_171 x_157) )) $cvcl_115)  (and (and (and (= x_172 1) $cvcl_113) (xor x_157  x_166 )) (= x_83 (+ ?cvcl_114 x_56))) )  (and (and (and (= x_172 2) $cvcl_113) (iff x_157 x_166)) $cvcl_115) )) (or (or (and (and (and (= x_173 0) (not $cvcl_117)) (or (not $cvcl_116)  (iff x_168 x_17) )) $cvcl_118)  (and (and (and (= x_173 1) $cvcl_117) (xor x_17  x_21 )) (= x_85 (+ ?cvcl_9 x_60))) )  (and (and (and (= x_173 2) $cvcl_117) (iff x_17 x_21)) $cvcl_118) )) (or (or (and (and (and (= x_174 0) $cvcl_119) (or (not (<= x_79 ?cvcl_114))  (= x_22 x_19) )) $cvcl_121)  (and (and (and (= x_174 1) $cvcl_113) (not $cvcl_120)) (= x_84 (+ ?cvcl_114 x_56))) )  (and (and (and (= x_174 2) $cvcl_113) $cvcl_120) $cvcl_121) )) (or (and (and (and (and (and (and (and (and (and (= x_158 0) (iff x_16 x_153)) (= ?cvcl_10 x_71)) (<= (+ ?cvcl_10 x_54) x_76)) (or $cvcl_124  (iff x_17 x_12) )) (iff x_159 x_150)) (iff x_160 x_151)) (= x_77 x_72)) $cvcl_122) $cvcl_123)  (and (and (and (and (and (and (and (and (and (= x_158 1) (iff x_160 x_150)) (= ?cvcl_10 x_72)) (<= (+ ?cvcl_10 x_55) x_77)) (or (and (and (= x_161 0) $cvcl_122) $cvcl_123)  (and (and (= x_161 1) (iff x_148 x_151)) (iff x_157 (not x_148))) )) (iff x_162 x_153)) (iff x_16 x_12)) (= x_18 x_14)) (= x_76 x_71)) $cvcl_124) )) (or (or (and (and (and (= x_163 0) $cvcl_131) (or (not (<= x_73 ?cvcl_126))  (iff x_162 x_148) )) $cvcl_127)  (and (and (and (= x_163 1) $cvcl_125) (xor x_148  x_157 )) (= x_78 (+ ?cvcl_126 x_56))) )  (and (and (and (= x_163 2) $cvcl_125) (iff x_148 x_157)) $cvcl_127) )) (or (or (and (and (and (= x_164 0) (not $cvcl_129)) (or (not $cvcl_128)  (iff x_159 x_13) )) $cvcl_130)  (and (and (and (= x_164 1) $cvcl_129) (xor x_13  x_17 )) (= x_80 (+ ?cvcl_10 x_60))) )  (and (and (and (= x_164 2) $cvcl_129) (iff x_13 x_17)) $cvcl_130) )) (or (or (and (and (and (= x_165 0) $cvcl_131) (or (not (<= x_74 ?cvcl_126))  (= x_18 x_15) )) $cvcl_133)  (and (and (and (= x_165 1) $cvcl_125) (not $cvcl_132)) (= x_79 (+ ?cvcl_126 x_56))) )  (and (and (and (= x_165 2) $cvcl_125) $cvcl_132) $cvcl_133) )) (or (and (and (and (and (and (and (and (and (and (= x_149 0) (iff x_12 x_144)) (= ?cvcl_11 x_66)) (<= (+ ?cvcl_11 x_54) x_71)) (or $cvcl_136  (iff x_13 x_8) )) (iff x_150 x_141)) (iff x_151 x_142)) (= x_72 x_67)) $cvcl_134) $cvcl_135)  (and (and (and (and (and (and (and (and (and (= x_149 1) (iff x_151 x_141)) (= ?cvcl_11 x_67)) (<= (+ ?cvcl_11 x_55) x_72)) (or (and (and (= x_152 0) $cvcl_134) $cvcl_135)  (and (and (= x_152 1) (iff x_139 x_142)) (iff x_148 (not x_139))) )) (iff x_153 x_144)) (iff x_12 x_8)) (= x_14 x_10)) (= x_71 x_66)) $cvcl_136) )) (or (or (and (and (and (= x_154 0) $cvcl_143) (or (not (<= x_68 ?cvcl_138))  (iff x_153 x_139) )) $cvcl_139)  (and (and (and (= x_154 1) $cvcl_137) (xor x_139  x_148 )) (= x_73 (+ ?cvcl_138 x_56))) )  (and (and (and (= x_154 2) $cvcl_137) (iff x_139 x_148)) $cvcl_139) )) (or (or (and (and (and (= x_155 0) (not $cvcl_141)) (or (not $cvcl_140)  (iff x_150 x_9) )) $cvcl_142)  (and (and (and (= x_155 1) $cvcl_141) (xor x_9  x_13 )) (= x_75 (+ ?cvcl_11 x_60))) )  (and (and (and (= x_155 2) $cvcl_141) (iff x_9 x_13)) $cvcl_142) )) (or (or (and (and (and (= x_156 0) $cvcl_143) (or (not (<= x_69 ?cvcl_138))  (= x_14 x_11) )) $cvcl_145)  (and (and (and (= x_156 1) $cvcl_137) (not $cvcl_144)) (= x_74 (+ ?cvcl_138 x_56))) )  (and (and (and (= x_156 2) $cvcl_137) $cvcl_144) $cvcl_145) )) (or (and (and (and (and (and (and (and (and (and (= x_140 0) (iff x_8 x_135)) (= ?cvcl_12 x_61)) (<= (+ ?cvcl_12 x_54) x_66)) (or $cvcl_148  (iff x_9 x_4) )) (iff x_141 x_130)) (iff x_142 x_132)) (= x_67 x_62)) $cvcl_146) $cvcl_147)  (and (and (and (and (and (and (and (and (and (= x_140 1) (iff x_142 x_130)) (= ?cvcl_12 x_62)) (<= (+ ?cvcl_12 x_55) x_67)) (or (and (and (= x_143 0) $cvcl_146) $cvcl_147)  (and (and (= x_143 1) (iff x_126 x_132)) (iff x_139 (not x_126))) )) (iff x_144 x_135)) (iff x_8 x_4)) (= x_10 x_6)) (= x_66 x_61)) $cvcl_148) )) (or (or (and (and (and (= x_145 0) $cvcl_155) (or (not (<= x_63 ?cvcl_150))  (iff x_144 x_126) )) $cvcl_151)  (and (and (and (= x_145 1) $cvcl_149) (xor x_126  x_139 )) (= x_68 (+ ?cvcl_150 x_56))) )  (and (and (and (= x_145 2) $cvcl_149) (iff x_126 x_139)) $cvcl_151) )) (or (or (and (and (and (= x_146 0) (not $cvcl_153)) (or (not $cvcl_152)  (iff x_141 x_5) )) $cvcl_154)  (and (and (and (= x_146 1) $cvcl_153) (xor x_5  x_9 )) (= x_70 (+ ?cvcl_12 x_60))) )  (and (and (and (= x_146 2) $cvcl_153) (iff x_5 x_9)) $cvcl_154) )) (or (or (and (and (and (= x_147 0) $cvcl_155) (or (not (<= x_64 ?cvcl_150))  (= x_10 x_7) )) $cvcl_157)  (and (and (and (= x_147 1) $cvcl_149) (not $cvcl_156)) (= x_69 (+ ?cvcl_150 x_56))) )  (and (and (and (= x_147 2) $cvcl_149) $cvcl_156) $cvcl_157) )) (or (and (and (and (and (and (and (and (and (and (= x_128 0) (iff x_4 x_129)) (= ?cvcl_13 x_52)) (<= (+ ?cvcl_13 x_54) x_61)) (or $cvcl_160  (iff x_5 x_0) )) (iff x_130 x_131)) (iff x_132 x_133)) (= x_62 x_53)) $cvcl_158) $cvcl_159)  (and (and (and (and (and (and (and (and (and (= x_128 1) (iff x_132 x_131)) (= ?cvcl_13 x_53)) (<= (+ ?cvcl_13 x_55) x_62)) (or (and (and (= x_134 0) $cvcl_158) $cvcl_159)  (and (and (= x_134 1) (iff x_127 x_133)) (iff x_126 (not x_127))) )) (iff x_135 x_129)) (iff x_4 x_0)) (= x_6 x_2)) (= x_61 x_52)) $cvcl_160) )) (or (or (and (and (and (= x_136 0) $cvcl_167) (or (not (<= x_57 ?cvcl_162))  (iff x_135 x_127) )) $cvcl_163)  (and (and (and (= x_136 1) $cvcl_161) (xor x_127  x_126 )) (= x_63 (+ ?cvcl_162 x_56))) )  (and (and (and (= x_136 2) $cvcl_161) (iff x_127 x_126)) $cvcl_163) )) (or (or (and (and (and (= x_137 0) (not $cvcl_165)) (or (not $cvcl_164)  (iff x_130 x_1) )) $cvcl_166)  (and (and (and (= x_137 1) $cvcl_165) (xor x_1  x_5 )) (= x_65 (+ ?cvcl_13 x_60))) )  (and (and (and (= x_137 2) $cvcl_165) (iff x_1 x_5)) $cvcl_166) )) (or (or (and (and (and (= x_138 0) $cvcl_167) (or (not (<= x_58 ?cvcl_162))  (= x_6 x_3) )) $cvcl_169)  (and (and (and (= x_138 1) $cvcl_161) (not $cvcl_168)) (= x_64 (+ ?cvcl_162 x_56))) )  (and (and (and (= x_138 2) $cvcl_161) $cvcl_168) $cvcl_169) )) (xor x_241  x_242 )) (not (= x_247 x_239)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
)
