(benchmark synch_circuit
  :source {
Fully parameterized specification and verification of a synchronizer   
circuit modeling metastability at various levels of refinement.     
A paper describing this specification, to be published in Designing     
Correct Circuits (DCC), 2006, is available from the authors.            

Geoffrey Brown, Indiana University <geobrown@cs.indiana.edu>
Lee Pike, Galois Connections, Inc. <leepike@galois.com>

Translated into CVC format by Leonardo de Moura.

This benchmark was automatically translated into SMT-LIB format from
CVC format using CVC Lite

}
  :status sat
:category { industrial }
:difficulty { 2 }
  :logic QF_LRA
  
  :extrapreds ((x_0))
  :extrapreds ((x_1))
  :extrafuns ((x_2 Real))
  :extrafuns ((x_3 Real))
  :extrapreds ((x_4))
  :extrapreds ((x_5))
  :extrafuns ((x_6 Real))
  :extrafuns ((x_7 Real))
  :extrapreds ((x_8))
  :extrapreds ((x_9))
  :extrafuns ((x_10 Real))
  :extrafuns ((x_11 Real))
  :extrapreds ((x_12))
  :extrapreds ((x_13))
  :extrafuns ((x_14 Real))
  :extrafuns ((x_15 Real))
  :extrapreds ((x_16))
  :extrapreds ((x_17))
  :extrafuns ((x_18 Real))
  :extrafuns ((x_19 Real))
  :extrapreds ((x_20))
  :extrapreds ((x_21))
  :extrafuns ((x_22 Real))
  :extrafuns ((x_23 Real))
  :extrapreds ((x_24))
  :extrapreds ((x_25))
  :extrafuns ((x_26 Real))
  :extrafuns ((x_27 Real))
  :extrapreds ((x_28))
  :extrapreds ((x_29))
  :extrafuns ((x_30 Real))
  :extrafuns ((x_31 Real))
  :extrapreds ((x_32))
  :extrapreds ((x_33))
  :extrafuns ((x_34 Real))
  :extrafuns ((x_35 Real))
  :extrapreds ((x_36))
  :extrapreds ((x_37))
  :extrafuns ((x_38 Real))
  :extrafuns ((x_39 Real))
  :extrapreds ((x_40))
  :extrapreds ((x_41))
  :extrafuns ((x_42 Real))
  :extrafuns ((x_43 Real))
  :extrapreds ((x_44))
  :extrapreds ((x_45))
  :extrafuns ((x_46 Real))
  :extrafuns ((x_47 Real))
  :extrapreds ((x_48))
  :extrapreds ((x_49))
  :extrafuns ((x_50 Real))
  :extrafuns ((x_51 Real))
  :extrapreds ((x_52))
  :extrapreds ((x_53))
  :extrafuns ((x_54 Real))
  :extrafuns ((x_55 Real))
  :extrapreds ((x_56))
  :extrapreds ((x_57))
  :extrafuns ((x_58 Real))
  :extrafuns ((x_59 Real))
  :extrapreds ((x_60))
  :extrapreds ((x_61))
  :extrafuns ((x_62 Real))
  :extrafuns ((x_63 Real))
  :extrapreds ((x_64))
  :extrapreds ((x_65))
  :extrafuns ((x_66 Real))
  :extrafuns ((x_67 Real))
  :extrapreds ((x_68))
  :extrapreds ((x_69))
  :extrafuns ((x_70 Real))
  :extrafuns ((x_71 Real))
  :extrapreds ((x_72))
  :extrapreds ((x_73))
  :extrafuns ((x_74 Real))
  :extrafuns ((x_75 Real))
  :extrapreds ((x_76))
  :extrapreds ((x_77))
  :extrafuns ((x_78 Real))
  :extrafuns ((x_79 Real))
  :extrapreds ((x_80))
  :extrapreds ((x_81))
  :extrafuns ((x_82 Real))
  :extrafuns ((x_83 Real))
  :extrapreds ((x_84))
  :extrapreds ((x_85))
  :extrafuns ((x_86 Real))
  :extrafuns ((x_87 Real))
  :extrapreds ((x_88))
  :extrapreds ((x_89))
  :extrafuns ((x_90 Real))
  :extrafuns ((x_91 Real))
  :extrapreds ((x_92))
  :extrapreds ((x_93))
  :extrafuns ((x_94 Real))
  :extrafuns ((x_95 Real))
  :extrapreds ((x_96))
  :extrapreds ((x_97))
  :extrafuns ((x_98 Real))
  :extrafuns ((x_99 Real))
  :extrapreds ((x_100))
  :extrapreds ((x_101))
  :extrapreds ((x_102))
  :extrapreds ((x_103))
  :extrafuns ((x_104 Real))
  :extrafuns ((x_105 Real))
  :extrafuns ((x_106 Real))
  :extrafuns ((x_107 Real))
  :extrapreds ((x_108))
  :extrapreds ((x_109))
  :extrapreds ((x_110))
  :extrapreds ((x_111))
  :extrafuns ((x_112 Real))
  :extrafuns ((x_113 Real))
  :extrafuns ((x_114 Real))
  :extrafuns ((x_115 Real))
  :extrapreds ((x_116))
  :extrapreds ((x_117))
  :extrapreds ((x_118))
  :extrapreds ((x_119))
  :extrafuns ((x_120 Real))
  :extrafuns ((x_121 Real))
  :extrafuns ((x_122 Real))
  :extrafuns ((x_123 Real))
  :extrapreds ((x_124))
  :extrapreds ((x_125))
  :extrapreds ((x_126))
  :extrapreds ((x_127))
  :extrafuns ((x_128 Real))
  :extrafuns ((x_129 Real))
  :extrafuns ((x_130 Real))
  :extrafuns ((x_131 Real))
  :extrapreds ((x_132))
  :extrapreds ((x_133))
  :extrapreds ((x_134))
  :extrapreds ((x_135))
  :extrafuns ((x_136 Real))
  :extrafuns ((x_137 Real))
  :extrafuns ((x_138 Real))
  :extrafuns ((x_139 Real))
  :extrapreds ((x_140))
  :extrapreds ((x_141))
  :extrapreds ((x_142))
  :extrapreds ((x_143))
  :extrafuns ((x_144 Real))
  :extrafuns ((x_145 Real))
  :extrafuns ((x_146 Real))
  :extrafuns ((x_147 Real))
  :extrapreds ((x_148))
  :extrapreds ((x_149))
  :extrapreds ((x_150))
  :extrapreds ((x_151))
  :extrafuns ((x_152 Real))
  :extrafuns ((x_153 Real))
  :extrafuns ((x_154 Real))
  :extrafuns ((x_155 Real))
  :extrapreds ((x_156))
  :extrapreds ((x_157))
  :extrapreds ((x_158))
  :extrapreds ((x_159))
  :extrafuns ((x_160 Real))
  :extrafuns ((x_161 Real))
  :extrafuns ((x_162 Real))
  :extrafuns ((x_163 Real))
  :extrapreds ((x_164))
  :extrapreds ((x_165))
  :extrapreds ((x_166))
  :extrapreds ((x_167))
  :extrafuns ((x_168 Real))
  :extrafuns ((x_169 Real))
  :extrafuns ((x_170 Real))
  :extrafuns ((x_171 Real))
  :extrapreds ((x_172))
  :extrapreds ((x_173))
  :extrapreds ((x_174))
  :extrapreds ((x_175))
  :extrafuns ((x_176 Real))
  :extrafuns ((x_177 Real))
  :extrafuns ((x_178 Real))
  :extrafuns ((x_179 Real))
  :extrapreds ((x_180))
  :extrapreds ((x_181))
  :extrapreds ((x_182))
  :extrapreds ((x_183))
  :extrafuns ((x_184 Real))
  :extrafuns ((x_185 Real))
  :extrafuns ((x_186 Real))
  :extrafuns ((x_187 Real))
  :extrapreds ((x_188))
  :extrapreds ((x_189))
  :extrapreds ((x_190))
  :extrapreds ((x_191))
  :extrafuns ((x_192 Real))
  :extrafuns ((x_193 Real))
  :extrafuns ((x_194 Real))
  :extrafuns ((x_195 Real))
  :extrapreds ((x_196))
  :extrapreds ((x_197))
  :extrapreds ((x_198))
  :extrapreds ((x_199))
  :extrafuns ((x_200 Real))
  :extrafuns ((x_201 Real))
  :extrafuns ((x_202 Real))
  :extrafuns ((x_203 Real))
  :extrapreds ((x_204))
  :extrapreds ((x_205))
  :extrapreds ((x_206))
  :extrapreds ((x_207))
  :extrafuns ((x_208 Real))
  :extrafuns ((x_209 Real))
  :extrafuns ((x_210 Real))
  :extrafuns ((x_211 Real))
  :extrapreds ((x_212))
  :extrapreds ((x_213))
  :extrapreds ((x_214))
  :extrapreds ((x_215))
  :extrafuns ((x_216 Real))
  :extrafuns ((x_217 Real))
  :extrafuns ((x_218 Real))
  :extrafuns ((x_219 Real))
  :extrapreds ((x_220))
  :extrapreds ((x_221))
  :extrapreds ((x_222))
  :extrapreds ((x_223))
  :extrafuns ((x_224 Real))
  :extrafuns ((x_225 Real))
  :extrafuns ((x_226 Real))
  :extrafuns ((x_227 Real))
  :extrapreds ((x_228))
  :extrapreds ((x_229))
  :extrapreds ((x_230))
  :extrapreds ((x_231))
  :extrafuns ((x_232 Real))
  :extrafuns ((x_233 Real))
  :extrafuns ((x_234 Real))
  :extrafuns ((x_235 Real))
  :extrapreds ((x_236))
  :extrapreds ((x_237))
  :extrapreds ((x_238))
  :extrapreds ((x_239))
  :extrafuns ((x_240 Real))
  :extrafuns ((x_241 Real))
  :extrafuns ((x_242 Real))
  :extrafuns ((x_243 Real))
  :extrapreds ((x_244))
  :extrapreds ((x_245))
  :extrapreds ((x_246))
  :extrapreds ((x_247))
  :extrafuns ((x_248 Real))
  :extrafuns ((x_249 Real))
  :extrafuns ((x_250 Real))
  :extrafuns ((x_251 Real))
  :extrapreds ((x_252))
  :extrapreds ((x_253))
  :extrapreds ((x_254))
  :extrapreds ((x_255))
  :extrafuns ((x_256 Real))
  :extrafuns ((x_257 Real))
  :extrafuns ((x_258 Real))
  :extrafuns ((x_259 Real))
  :extrapreds ((x_260))
  :extrapreds ((x_261))
  :extrapreds ((x_262))
  :extrapreds ((x_263))
  :extrafuns ((x_264 Real))
  :extrafuns ((x_265 Real))
  :extrafuns ((x_266 Real))
  :extrafuns ((x_267 Real))
  :extrapreds ((x_268))
  :extrapreds ((x_269))
  :extrapreds ((x_270))
  :extrapreds ((x_271))
  :extrafuns ((x_272 Real))
  :extrafuns ((x_273 Real))
  :extrafuns ((x_274 Real))
  :extrafuns ((x_275 Real))
  :extrapreds ((x_276))
  :extrapreds ((x_277))
  :extrapreds ((x_278))
  :extrapreds ((x_279))
  :extrafuns ((x_280 Real))
  :extrafuns ((x_281 Real))
  :extrafuns ((x_282 Real))
  :extrafuns ((x_283 Real))
  :extrapreds ((x_284))
  :extrapreds ((x_285))
  :extrapreds ((x_286))
  :extrapreds ((x_287))
  :extrafuns ((x_288 Real))
  :extrafuns ((x_289 Real))
  :extrafuns ((x_290 Real))
  :extrafuns ((x_291 Real))
  :extrapreds ((x_292))
  :extrapreds ((x_293))
  :extrapreds ((x_294))
  :extrapreds ((x_295))
  :extrafuns ((x_296 Real))
  :extrafuns ((x_297 Real))
  :extrafuns ((x_298 Real))
  :extrafuns ((x_299 Real))
  :extrapreds ((x_300))
  :extrapreds ((x_301))
  :extrapreds ((x_302))
  :extrapreds ((x_303))
  :extrapreds ((x_304))
  :extrapreds ((x_305))
  :extrafuns ((x_306 Real))
  :extrafuns ((x_307 Real))
  :extrafuns ((x_308 Real))
  :extrafuns ((x_309 Real))
  :extrafuns ((x_310 Real))
  :extrafuns ((x_311 Real))
  :extrafuns ((x_312 Real))
  :extrafuns ((x_313 Real))
  :extrafuns ((x_314 Real))
  :extrafuns ((x_315 Real))
  :extrafuns ((x_316 Real))
  :extrafuns ((x_317 Real))
  :extrafuns ((x_318 Real))
  :extrafuns ((x_319 Real))
  :extrafuns ((x_320 Real))
  :extrafuns ((x_321 Real))
  :extrafuns ((x_322 Real))
  :extrafuns ((x_323 Real))
  :extrafuns ((x_324 Real))
  :extrafuns ((x_325 Real))
  :extrafuns ((x_326 Real))
  :extrafuns ((x_327 Real))
  :extrafuns ((x_328 Real))
  :extrafuns ((x_329 Real))
  :extrafuns ((x_330 Real))
  :extrafuns ((x_331 Real))
  :extrafuns ((x_332 Real))
  :extrafuns ((x_333 Real))
  :extrafuns ((x_334 Real))
  :extrafuns ((x_335 Real))
  :extrafuns ((x_336 Real))
  :extrafuns ((x_337 Real))
  :extrafuns ((x_338 Real))
  :extrafuns ((x_339 Real))
  :extrafuns ((x_340 Real))
  :extrafuns ((x_341 Real))
  :extrafuns ((x_342 Real))
  :extrafuns ((x_343 Real))
  :extrafuns ((x_344 Real))
  :extrafuns ((x_345 Real))
  :extrafuns ((x_346 Real))
  :extrafuns ((x_347 Real))
  :extrafuns ((x_348 Real))
  :extrafuns ((x_349 Real))
  :extrafuns ((x_350 Real))
  :extrafuns ((x_351 Real))
  :extrafuns ((x_352 Real))
  :extrafuns ((x_353 Real))
  :extrafuns ((x_354 Real))
  :extrafuns ((x_355 Real))
  :extrafuns ((x_356 Real))
  :extrafuns ((x_357 Real))
  :extrafuns ((x_358 Real))
  :extrafuns ((x_359 Real))
  :extrafuns ((x_360 Real))
  :extrafuns ((x_361 Real))
  :extrafuns ((x_362 Real))
  :extrafuns ((x_363 Real))
  :extrafuns ((x_364 Real))
  :extrafuns ((x_365 Real))
  :extrafuns ((x_366 Real))
  :extrafuns ((x_367 Real))
  :extrafuns ((x_368 Real))
  :extrafuns ((x_369 Real))
  :extrafuns ((x_370 Real))
  :extrafuns ((x_371 Real))
  :extrafuns ((x_372 Real))
  :extrafuns ((x_373 Real))
  :extrafuns ((x_374 Real))
  :extrafuns ((x_375 Real))
  :extrafuns ((x_376 Real))
  :extrafuns ((x_377 Real))
  :extrafuns ((x_378 Real))
  :extrafuns ((x_379 Real))
  :extrafuns ((x_380 Real))
  :extrafuns ((x_381 Real))
  :extrafuns ((x_382 Real))
  :extrafuns ((x_383 Real))
  :extrafuns ((x_384 Real))
  :extrafuns ((x_385 Real))
  :extrafuns ((x_386 Real))
  :extrafuns ((x_387 Real))
  :extrafuns ((x_388 Real))
  :extrafuns ((x_389 Real))
  :extrafuns ((x_390 Real))
  :extrafuns ((x_391 Real))
  :extrafuns ((x_392 Real))
  :extrafuns ((x_393 Real))
  :extrafuns ((x_394 Real))
  :extrafuns ((x_395 Real))
  :extrafuns ((x_396 Real))
  :extrafuns ((x_397 Real))
  :extrafuns ((x_398 Real))
  :extrafuns ((x_399 Real))
  :extrafuns ((x_400 Real))
  :extrafuns ((x_401 Real))
  :extrafuns ((x_402 Real))
  :extrafuns ((x_403 Real))
  :extrafuns ((x_404 Real))
  :extrafuns ((x_405 Real))
  :extrafuns ((x_406 Real))
  :extrafuns ((x_407 Real))
  :extrafuns ((x_408 Real))
  :extrafuns ((x_409 Real))
  :extrafuns ((x_410 Real))
  :extrafuns ((x_411 Real))
  :extrafuns ((x_412 Real))
  :extrafuns ((x_413 Real))
  :extrafuns ((x_414 Real))
  :extrafuns ((x_415 Real))
  :extrafuns ((x_416 Real))
  :extrafuns ((x_417 Real))
  :extrafuns ((x_418 Real))
  :extrafuns ((x_419 Real))
  :extrafuns ((x_420 Real))
  :extrafuns ((x_421 Real))
  :extrafuns ((x_422 Real))
  :extrafuns ((x_423 Real))
  :extrafuns ((x_424 Real))
  :extrafuns ((x_425 Real))
  :extrafuns ((x_426 Real))
  :extrafuns ((x_427 Real))
  :extrafuns ((x_428 Real))
  :extrafuns ((x_429 Real))
  :extrafuns ((x_430 Real))
  :extrafuns ((x_431 Real))
  :extrafuns ((x_432 Real))
  :extrafuns ((x_433 Real))
  :extrafuns ((x_434 Real))
  :extrafuns ((x_435 Real))
  :extrafuns ((x_436 Real))
  :extrafuns ((x_437 Real))
  :extrafuns ((x_438 Real))
  :extrafuns ((x_439 Real))
  :extrafuns ((x_440 Real))
  :extrafuns ((x_441 Real))
  :extrafuns ((x_442 Real))
  :extrafuns ((x_443 Real))
  :extrafuns ((x_444 Real))
  :extrafuns ((x_445 Real))
  :extrafuns ((x_446 Real))
  :extrafuns ((x_447 Real))
  :extrafuns ((x_448 Real))
  :extrafuns ((x_449 Real))
  :extrafuns ((x_450 Real))
  :extrafuns ((x_451 Real))
  :extrafuns ((x_452 Real))
  :extrafuns ((x_453 Real))
  :extrafuns ((x_454 Real))
  :extrafuns ((x_455 Real))
  :extrafuns ((x_456 Real))
  :extrafuns ((x_457 Real))
  :extrafuns ((x_458 Real))
  :extrafuns ((x_459 Real))
  :extrafuns ((x_460 Real))
  :extrafuns ((x_461 Real))
  :extrafuns ((x_462 Real))
  :extrafuns ((x_463 Real))
  :extrafuns ((x_464 Real))
  :extrafuns ((x_465 Real))
  :extrafuns ((x_466 Real))
  :formula
(flet ($cvcl_319 (= x_113 x_105)) (flet ($cvcl_320 (= x_106 x_114)) (flet ($cvcl_321 (= x_115 x_107)) (flet ($cvcl_317 (= x_104 x_112)) (flet ($cvcl_322 (not $cvcl_317)) (flet ($cvcl_324 (= x_310 x_311)) (flet ($cvcl_313 (iff x_108 x_100)) (flet ($cvcl_314 (= x_7 x_3)) (let (?cvcl_318 (ite (<= x_106 x_104) x_106 x_104)) (let (?cvcl_312 (ite (<= x_104 x_106) x_104 x_106)) (flet ($cvcl_306 (= x_121 x_113)) (flet ($cvcl_307 (= x_114 x_122)) (flet ($cvcl_308 (= x_123 x_115)) (flet ($cvcl_304 (= x_112 x_120)) (flet ($cvcl_309 (not $cvcl_304)) (flet ($cvcl_311 (= x_321 x_310)) (flet ($cvcl_300 (iff x_116 x_108)) (flet ($cvcl_301 (= x_11 x_7)) (let (?cvcl_305 (ite (<= x_114 x_112) x_114 x_112)) (let (?cvcl_299 (ite (<= x_112 x_114) x_112 x_114)) (flet ($cvcl_293 (= x_129 x_121)) (flet ($cvcl_294 (= x_122 x_130)) (flet ($cvcl_295 (= x_131 x_123)) (flet ($cvcl_291 (= x_120 x_128)) (flet ($cvcl_296 (not $cvcl_291)) (flet ($cvcl_298 (= x_327 x_321)) (flet ($cvcl_287 (iff x_124 x_116)) (flet ($cvcl_288 (= x_15 x_11)) (let (?cvcl_292 (ite (<= x_122 x_120) x_122 x_120)) (let (?cvcl_286 (ite (<= x_120 x_122) x_120 x_122)) (flet ($cvcl_280 (= x_137 x_129)) (flet ($cvcl_281 (= x_130 x_138)) (flet ($cvcl_282 (= x_139 x_131)) (flet ($cvcl_278 (= x_128 x_136)) (flet ($cvcl_283 (not $cvcl_278)) (flet ($cvcl_285 (= x_333 x_327)) (flet ($cvcl_274 (iff x_132 x_124)) (flet ($cvcl_275 (= x_19 x_15)) (let (?cvcl_279 (ite (<= x_130 x_128) x_130 x_128)) (let (?cvcl_273 (ite (<= x_128 x_130) x_128 x_130)) (flet ($cvcl_267 (= x_145 x_137)) (flet ($cvcl_268 (= x_138 x_146)) (flet ($cvcl_269 (= x_147 x_139)) (flet ($cvcl_265 (= x_136 x_144)) (flet ($cvcl_270 (not $cvcl_265)) (flet ($cvcl_272 (= x_339 x_333)) (flet ($cvcl_261 (iff x_140 x_132)) (flet ($cvcl_262 (= x_23 x_19)) (let (?cvcl_266 (ite (<= x_138 x_136) x_138 x_136)) (let (?cvcl_260 (ite (<= x_136 x_138) x_136 x_138)) (flet ($cvcl_254 (= x_153 x_145)) (flet ($cvcl_255 (= x_146 x_154)) (flet ($cvcl_256 (= x_155 x_147)) (flet ($cvcl_252 (= x_144 x_152)) (flet ($cvcl_257 (not $cvcl_252)) (flet ($cvcl_259 (= x_345 x_339)) (flet ($cvcl_248 (iff x_148 x_140)) (flet ($cvcl_249 (= x_27 x_23)) (let (?cvcl_253 (ite (<= x_146 x_144) x_146 x_144)) (let (?cvcl_247 (ite (<= x_144 x_146) x_144 x_146)) (flet ($cvcl_241 (= x_161 x_153)) (flet ($cvcl_242 (= x_154 x_162)) (flet ($cvcl_243 (= x_163 x_155)) (flet ($cvcl_239 (= x_152 x_160)) (flet ($cvcl_244 (not $cvcl_239)) (flet ($cvcl_246 (= x_351 x_345)) (flet ($cvcl_235 (iff x_156 x_148)) (flet ($cvcl_236 (= x_31 x_27)) (let (?cvcl_240 (ite (<= x_154 x_152) x_154 x_152)) (let (?cvcl_234 (ite (<= x_152 x_154) x_152 x_154)) (flet ($cvcl_228 (= x_169 x_161)) (flet ($cvcl_229 (= x_162 x_170)) (flet ($cvcl_230 (= x_171 x_163)) (flet ($cvcl_226 (= x_160 x_168)) (flet ($cvcl_231 (not $cvcl_226)) (flet ($cvcl_233 (= x_357 x_351)) (flet ($cvcl_222 (iff x_164 x_156)) (flet ($cvcl_223 (= x_35 x_31)) (let (?cvcl_227 (ite (<= x_162 x_160) x_162 x_160)) (let (?cvcl_221 (ite (<= x_160 x_162) x_160 x_162)) (flet ($cvcl_215 (= x_177 x_169)) (flet ($cvcl_216 (= x_170 x_178)) (flet ($cvcl_217 (= x_179 x_171)) (flet ($cvcl_213 (= x_168 x_176)) (flet ($cvcl_218 (not $cvcl_213)) (flet ($cvcl_220 (= x_363 x_357)) (flet ($cvcl_209 (iff x_172 x_164)) (flet ($cvcl_210 (= x_39 x_35)) (let (?cvcl_214 (ite (<= x_170 x_168) x_170 x_168)) (let (?cvcl_208 (ite (<= x_168 x_170) x_168 x_170)) (flet ($cvcl_202 (= x_185 x_177)) (flet ($cvcl_203 (= x_178 x_186)) (flet ($cvcl_204 (= x_187 x_179)) (flet ($cvcl_200 (= x_176 x_184)) (flet ($cvcl_205 (not $cvcl_200)) (flet ($cvcl_207 (= x_369 x_363)) (flet ($cvcl_196 (iff x_180 x_172)) (flet ($cvcl_197 (= x_43 x_39)) (let (?cvcl_201 (ite (<= x_178 x_176) x_178 x_176)) (let (?cvcl_195 (ite (<= x_176 x_178) x_176 x_178)) (flet ($cvcl_189 (= x_193 x_185)) (flet ($cvcl_190 (= x_186 x_194)) (flet ($cvcl_191 (= x_195 x_187)) (flet ($cvcl_187 (= x_184 x_192)) (flet ($cvcl_192 (not $cvcl_187)) (flet ($cvcl_194 (= x_375 x_369)) (flet ($cvcl_183 (iff x_188 x_180)) (flet ($cvcl_184 (= x_47 x_43)) (let (?cvcl_188 (ite (<= x_186 x_184) x_186 x_184)) (let (?cvcl_182 (ite (<= x_184 x_186) x_184 x_186)) (flet ($cvcl_176 (= x_201 x_193)) (flet ($cvcl_177 (= x_194 x_202)) (flet ($cvcl_178 (= x_203 x_195)) (flet ($cvcl_174 (= x_192 x_200)) (flet ($cvcl_179 (not $cvcl_174)) (flet ($cvcl_181 (= x_381 x_375)) (flet ($cvcl_170 (iff x_196 x_188)) (flet ($cvcl_171 (= x_51 x_47)) (let (?cvcl_175 (ite (<= x_194 x_192) x_194 x_192)) (let (?cvcl_169 (ite (<= x_192 x_194) x_192 x_194)) (flet ($cvcl_163 (= x_209 x_201)) (flet ($cvcl_164 (= x_202 x_210)) (flet ($cvcl_165 (= x_211 x_203)) (flet ($cvcl_161 (= x_200 x_208)) (flet ($cvcl_166 (not $cvcl_161)) (flet ($cvcl_168 (= x_387 x_381)) (flet ($cvcl_157 (iff x_204 x_196)) (flet ($cvcl_158 (= x_55 x_51)) (let (?cvcl_162 (ite (<= x_202 x_200) x_202 x_200)) (let (?cvcl_156 (ite (<= x_200 x_202) x_200 x_202)) (flet ($cvcl_150 (= x_217 x_209)) (flet ($cvcl_151 (= x_210 x_218)) (flet ($cvcl_152 (= x_219 x_211)) (flet ($cvcl_148 (= x_208 x_216)) (flet ($cvcl_153 (not $cvcl_148)) (flet ($cvcl_155 (= x_393 x_387)) (flet ($cvcl_144 (iff x_212 x_204)) (flet ($cvcl_145 (= x_59 x_55)) (let (?cvcl_149 (ite (<= x_210 x_208) x_210 x_208)) (let (?cvcl_143 (ite (<= x_208 x_210) x_208 x_210)) (flet ($cvcl_137 (= x_225 x_217)) (flet ($cvcl_138 (= x_218 x_226)) (flet ($cvcl_139 (= x_227 x_219)) (flet ($cvcl_135 (= x_216 x_224)) (flet ($cvcl_140 (not $cvcl_135)) (flet ($cvcl_142 (= x_399 x_393)) (flet ($cvcl_131 (iff x_220 x_212)) (flet ($cvcl_132 (= x_63 x_59)) (let (?cvcl_136 (ite (<= x_218 x_216) x_218 x_216)) (let (?cvcl_130 (ite (<= x_216 x_218) x_216 x_218)) (flet ($cvcl_124 (= x_233 x_225)) (flet ($cvcl_125 (= x_226 x_234)) (flet ($cvcl_126 (= x_235 x_227)) (flet ($cvcl_122 (= x_224 x_232)) (flet ($cvcl_127 (not $cvcl_122)) (flet ($cvcl_129 (= x_405 x_399)) (flet ($cvcl_118 (iff x_228 x_220)) (flet ($cvcl_119 (= x_67 x_63)) (let (?cvcl_123 (ite (<= x_226 x_224) x_226 x_224)) (let (?cvcl_117 (ite (<= x_224 x_226) x_224 x_226)) (flet ($cvcl_111 (= x_241 x_233)) (flet ($cvcl_112 (= x_234 x_242)) (flet ($cvcl_113 (= x_243 x_235)) (flet ($cvcl_109 (= x_232 x_240)) (flet ($cvcl_114 (not $cvcl_109)) (flet ($cvcl_116 (= x_411 x_405)) (flet ($cvcl_105 (iff x_236 x_228)) (flet ($cvcl_106 (= x_71 x_67)) (let (?cvcl_110 (ite (<= x_234 x_232) x_234 x_232)) (let (?cvcl_104 (ite (<= x_232 x_234) x_232 x_234)) (flet ($cvcl_98 (= x_249 x_241)) (flet ($cvcl_99 (= x_242 x_250)) (flet ($cvcl_100 (= x_251 x_243)) (flet ($cvcl_96 (= x_240 x_248)) (flet ($cvcl_101 (not $cvcl_96)) (flet ($cvcl_103 (= x_417 x_411)) (flet ($cvcl_92 (iff x_244 x_236)) (flet ($cvcl_93 (= x_75 x_71)) (let (?cvcl_97 (ite (<= x_242 x_240) x_242 x_240)) (let (?cvcl_91 (ite (<= x_240 x_242) x_240 x_242)) (flet ($cvcl_85 (= x_257 x_249)) (flet ($cvcl_86 (= x_250 x_258)) (flet ($cvcl_87 (= x_259 x_251)) (flet ($cvcl_83 (= x_248 x_256)) (flet ($cvcl_88 (not $cvcl_83)) (flet ($cvcl_90 (= x_423 x_417)) (flet ($cvcl_79 (iff x_252 x_244)) (flet ($cvcl_80 (= x_79 x_75)) (let (?cvcl_84 (ite (<= x_250 x_248) x_250 x_248)) (let (?cvcl_78 (ite (<= x_248 x_250) x_248 x_250)) (flet ($cvcl_72 (= x_265 x_257)) (flet ($cvcl_73 (= x_258 x_266)) (flet ($cvcl_74 (= x_267 x_259)) (flet ($cvcl_70 (= x_256 x_264)) (flet ($cvcl_75 (not $cvcl_70)) (flet ($cvcl_77 (= x_429 x_423)) (flet ($cvcl_66 (iff x_260 x_252)) (flet ($cvcl_67 (= x_83 x_79)) (let (?cvcl_71 (ite (<= x_258 x_256) x_258 x_256)) (let (?cvcl_65 (ite (<= x_256 x_258) x_256 x_258)) (flet ($cvcl_59 (= x_273 x_265)) (flet ($cvcl_60 (= x_266 x_274)) (flet ($cvcl_61 (= x_275 x_267)) (flet ($cvcl_57 (= x_264 x_272)) (flet ($cvcl_62 (not $cvcl_57)) (flet ($cvcl_64 (= x_435 x_429)) (flet ($cvcl_53 (iff x_268 x_260)) (flet ($cvcl_54 (= x_87 x_83)) (let (?cvcl_58 (ite (<= x_266 x_264) x_266 x_264)) (let (?cvcl_52 (ite (<= x_264 x_266) x_264 x_266)) (flet ($cvcl_46 (= x_281 x_273)) (flet ($cvcl_47 (= x_274 x_282)) (flet ($cvcl_48 (= x_283 x_275)) (flet ($cvcl_44 (= x_272 x_280)) (flet ($cvcl_49 (not $cvcl_44)) (flet ($cvcl_51 (= x_441 x_435)) (flet ($cvcl_40 (iff x_276 x_268)) (flet ($cvcl_41 (= x_91 x_87)) (let (?cvcl_45 (ite (<= x_274 x_272) x_274 x_272)) (let (?cvcl_39 (ite (<= x_272 x_274) x_272 x_274)) (flet ($cvcl_33 (= x_289 x_281)) (flet ($cvcl_34 (= x_282 x_290)) (flet ($cvcl_35 (= x_291 x_283)) (flet ($cvcl_31 (= x_280 x_288)) (flet ($cvcl_36 (not $cvcl_31)) (flet ($cvcl_38 (= x_447 x_441)) (flet ($cvcl_27 (iff x_284 x_276)) (flet ($cvcl_28 (= x_95 x_91)) (let (?cvcl_32 (ite (<= x_282 x_280) x_282 x_280)) (let (?cvcl_26 (ite (<= x_280 x_282) x_280 x_282)) (flet ($cvcl_20 (= x_297 x_289)) (flet ($cvcl_21 (= x_290 x_298)) (flet ($cvcl_22 (= x_299 x_291)) (flet ($cvcl_18 (= x_288 x_296)) (flet ($cvcl_23 (not $cvcl_18)) (flet ($cvcl_25 (= x_453 x_447)) (flet ($cvcl_14 (iff x_292 x_284)) (flet ($cvcl_15 (= x_99 x_95)) (let (?cvcl_19 (ite (<= x_290 x_288) x_290 x_288)) (let (?cvcl_13 (ite (<= x_288 x_290) x_288 x_290)) (flet ($cvcl_7 (= x_307 x_297)) (flet ($cvcl_8 (= x_298 x_308)) (flet ($cvcl_9 (= x_309 x_299)) (flet ($cvcl_5 (= x_296 x_306)) (flet ($cvcl_10 (not $cvcl_5)) (flet ($cvcl_12 (= x_459 x_453)) (flet ($cvcl_1 (iff x_300 x_292)) (flet ($cvcl_2 (= x_460 x_99)) (let (?cvcl_6 (ite (<= x_298 x_296) x_298 x_296)) (let (?cvcl_0 (ite (<= x_296 x_298) x_296 x_298)) (flet ($cvcl_325 (xor x_302  x_303 )) (flet ($cvcl_3 (not x_292)) (flet ($cvcl_16 (not x_284)) (flet ($cvcl_29 (not x_276)) (flet ($cvcl_42 (not x_268)) (flet ($cvcl_55 (not x_260)) (flet ($cvcl_68 (not x_252)) (flet ($cvcl_81 (not x_244)) (flet ($cvcl_94 (not x_236)) (flet ($cvcl_107 (not x_228)) (flet ($cvcl_120 (not x_220)) (flet ($cvcl_133 (not x_212)) (flet ($cvcl_146 (not x_204)) (flet ($cvcl_159 (not x_196)) (flet ($cvcl_172 (not x_188)) (flet ($cvcl_185 (not x_180)) (flet ($cvcl_198 (not x_172)) (flet ($cvcl_211 (not x_164)) (flet ($cvcl_224 (not x_156)) (flet ($cvcl_237 (not x_148)) (flet ($cvcl_250 (not x_140)) (flet ($cvcl_263 (not x_132)) (flet ($cvcl_276 (not x_124)) (flet ($cvcl_289 (not x_116)) (flet ($cvcl_302 (not x_108)) (flet ($cvcl_315 (not x_100)) (flet ($cvcl_4 (iff x_303 x_97)) (flet ($cvcl_11 (= x_99 x_460)) (flet ($cvcl_17 (iff x_97 x_93)) (flet ($cvcl_24 (= x_95 x_99)) (flet ($cvcl_30 (iff x_93 x_89)) (flet ($cvcl_37 (= x_91 x_95)) (flet ($cvcl_43 (iff x_89 x_85)) (flet ($cvcl_50 (= x_87 x_91)) (flet ($cvcl_56 (iff x_85 x_81)) (flet ($cvcl_63 (= x_83 x_87)) (flet ($cvcl_69 (iff x_81 x_77)) (flet ($cvcl_76 (= x_79 x_83)) (flet ($cvcl_82 (iff x_77 x_73)) (flet ($cvcl_89 (= x_75 x_79)) (flet ($cvcl_95 (iff x_73 x_69)) (flet ($cvcl_102 (= x_71 x_75)) (flet ($cvcl_108 (iff x_69 x_65)) (flet ($cvcl_115 (= x_67 x_71)) (flet ($cvcl_121 (iff x_65 x_61)) (flet ($cvcl_128 (= x_63 x_67)) (flet ($cvcl_134 (iff x_61 x_57)) (flet ($cvcl_141 (= x_59 x_63)) (flet ($cvcl_147 (iff x_57 x_53)) (flet ($cvcl_154 (= x_55 x_59)) (flet ($cvcl_160 (iff x_53 x_49)) (flet ($cvcl_167 (= x_51 x_55)) (flet ($cvcl_173 (iff x_49 x_45)) (flet ($cvcl_180 (= x_47 x_51)) (flet ($cvcl_186 (iff x_45 x_41)) (flet ($cvcl_193 (= x_43 x_47)) (flet ($cvcl_199 (iff x_41 x_37)) (flet ($cvcl_206 (= x_39 x_43)) (flet ($cvcl_212 (iff x_37 x_33)) (flet ($cvcl_219 (= x_35 x_39)) (flet ($cvcl_225 (iff x_33 x_29)) (flet ($cvcl_232 (= x_31 x_35)) (flet ($cvcl_238 (iff x_29 x_25)) (flet ($cvcl_245 (= x_27 x_31)) (flet ($cvcl_251 (iff x_25 x_21)) (flet ($cvcl_258 (= x_23 x_27)) (flet ($cvcl_264 (iff x_21 x_17)) (flet ($cvcl_271 (= x_19 x_23)) (flet ($cvcl_277 (iff x_17 x_13)) (flet ($cvcl_284 (= x_15 x_19)) (flet ($cvcl_290 (iff x_13 x_9)) (flet ($cvcl_297 (= x_11 x_15)) (flet ($cvcl_303 (iff x_9 x_5)) (flet ($cvcl_310 (= x_7 x_11)) (flet ($cvcl_316 (iff x_5 x_1)) (flet ($cvcl_323 (= x_3 x_7)) (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (> x_312 0) (> x_313 0)) (>= x_314 0)) (< x_314 x_312)) (< x_314 x_313)) (>= x_319 0)) (< x_319 x_312)) (< x_319 x_313)) (or (iff x_96 x_97)  (= x_98 x_99) )) (or (iff x_92 x_93)  (= x_94 x_95) )) (or (iff x_88 x_89)  (= x_90 x_91) )) (or (iff x_84 x_85)  (= x_86 x_87) )) (or (iff x_80 x_81)  (= x_82 x_83) )) (or (iff x_76 x_77)  (= x_78 x_79) )) (or (iff x_72 x_73)  (= x_74 x_75) )) (or (iff x_68 x_69)  (= x_70 x_71) )) (or (iff x_64 x_65)  (= x_66 x_67) )) (or (iff x_60 x_61)  (= x_62 x_63) )) (or (iff x_56 x_57)  (= x_58 x_59) )) (or (iff x_52 x_53)  (= x_54 x_55) )) (or (iff x_48 x_49)  (= x_50 x_51) )) (or (iff x_44 x_45)  (= x_46 x_47) )) (or (iff x_40 x_41)  (= x_42 x_43) )) (or (iff x_36 x_37)  (= x_38 x_39) )) (or (iff x_32 x_33)  (= x_34 x_35) )) (or (iff x_28 x_29)  (= x_30 x_31) )) (or (iff x_24 x_25)  (= x_26 x_27) )) (or (iff x_20 x_21)  (= x_22 x_23) )) (or (iff x_16 x_17)  (= x_18 x_19) )) (or (iff x_12 x_13)  (= x_14 x_15) )) (or (iff x_8 x_9)  (= x_10 x_11) )) (or (iff x_4 x_5)  (= x_6 x_7) )) (or (iff x_0 x_1)  (= x_2 x_3) )) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_300  x_301 ) 1 0) (ite (xor x_301  x_302 ) 1 0)) (ite $cvcl_325 1 0)) (ite (xor x_303  x_304 ) 1 0)) (ite (xor x_304  x_305 ) 1 0)) (ite (xor x_305  (not x_300) ) 1 0)) (ite (and (iff x_300 x_301) (< x_306 x_307)) 1 0)) (ite (and (iff x_303 x_304) (< x_308 x_309)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_292  x_293 ) 1 0) (ite (xor x_293  x_96 ) 1 0)) (ite (xor x_96  x_97 ) 1 0)) (ite (xor x_97  x_294 ) 1 0)) (ite (xor x_294  x_295 ) 1 0)) (ite (xor x_295  $cvcl_3 ) 1 0)) (ite (and (iff x_292 x_293) (< x_296 x_297)) 1 0)) (ite (and (iff x_97 x_294) (< x_298 x_299)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_284  x_285 ) 1 0) (ite (xor x_285  x_92 ) 1 0)) (ite (xor x_92  x_93 ) 1 0)) (ite (xor x_93  x_286 ) 1 0)) (ite (xor x_286  x_287 ) 1 0)) (ite (xor x_287  $cvcl_16 ) 1 0)) (ite (and (iff x_284 x_285) (< x_288 x_289)) 1 0)) (ite (and (iff x_93 x_286) (< x_290 x_291)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_276  x_277 ) 1 0) (ite (xor x_277  x_88 ) 1 0)) (ite (xor x_88  x_89 ) 1 0)) (ite (xor x_89  x_278 ) 1 0)) (ite (xor x_278  x_279 ) 1 0)) (ite (xor x_279  $cvcl_29 ) 1 0)) (ite (and (iff x_276 x_277) (< x_280 x_281)) 1 0)) (ite (and (iff x_89 x_278) (< x_282 x_283)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_268  x_269 ) 1 0) (ite (xor x_269  x_84 ) 1 0)) (ite (xor x_84  x_85 ) 1 0)) (ite (xor x_85  x_270 ) 1 0)) (ite (xor x_270  x_271 ) 1 0)) (ite (xor x_271  $cvcl_42 ) 1 0)) (ite (and (iff x_268 x_269) (< x_272 x_273)) 1 0)) (ite (and (iff x_85 x_270) (< x_274 x_275)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_260  x_261 ) 1 0) (ite (xor x_261  x_80 ) 1 0)) (ite (xor x_80  x_81 ) 1 0)) (ite (xor x_81  x_262 ) 1 0)) (ite (xor x_262  x_263 ) 1 0)) (ite (xor x_263  $cvcl_55 ) 1 0)) (ite (and (iff x_260 x_261) (< x_264 x_265)) 1 0)) (ite (and (iff x_81 x_262) (< x_266 x_267)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_252  x_253 ) 1 0) (ite (xor x_253  x_76 ) 1 0)) (ite (xor x_76  x_77 ) 1 0)) (ite (xor x_77  x_254 ) 1 0)) (ite (xor x_254  x_255 ) 1 0)) (ite (xor x_255  $cvcl_68 ) 1 0)) (ite (and (iff x_252 x_253) (< x_256 x_257)) 1 0)) (ite (and (iff x_77 x_254) (< x_258 x_259)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_244  x_245 ) 1 0) (ite (xor x_245  x_72 ) 1 0)) (ite (xor x_72  x_73 ) 1 0)) (ite (xor x_73  x_246 ) 1 0)) (ite (xor x_246  x_247 ) 1 0)) (ite (xor x_247  $cvcl_81 ) 1 0)) (ite (and (iff x_244 x_245) (< x_248 x_249)) 1 0)) (ite (and (iff x_73 x_246) (< x_250 x_251)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_236  x_237 ) 1 0) (ite (xor x_237  x_68 ) 1 0)) (ite (xor x_68  x_69 ) 1 0)) (ite (xor x_69  x_238 ) 1 0)) (ite (xor x_238  x_239 ) 1 0)) (ite (xor x_239  $cvcl_94 ) 1 0)) (ite (and (iff x_236 x_237) (< x_240 x_241)) 1 0)) (ite (and (iff x_69 x_238) (< x_242 x_243)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_228  x_229 ) 1 0) (ite (xor x_229  x_64 ) 1 0)) (ite (xor x_64  x_65 ) 1 0)) (ite (xor x_65  x_230 ) 1 0)) (ite (xor x_230  x_231 ) 1 0)) (ite (xor x_231  $cvcl_107 ) 1 0)) (ite (and (iff x_228 x_229) (< x_232 x_233)) 1 0)) (ite (and (iff x_65 x_230) (< x_234 x_235)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_220  x_221 ) 1 0) (ite (xor x_221  x_60 ) 1 0)) (ite (xor x_60  x_61 ) 1 0)) (ite (xor x_61  x_222 ) 1 0)) (ite (xor x_222  x_223 ) 1 0)) (ite (xor x_223  $cvcl_120 ) 1 0)) (ite (and (iff x_220 x_221) (< x_224 x_225)) 1 0)) (ite (and (iff x_61 x_222) (< x_226 x_227)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_212  x_213 ) 1 0) (ite (xor x_213  x_56 ) 1 0)) (ite (xor x_56  x_57 ) 1 0)) (ite (xor x_57  x_214 ) 1 0)) (ite (xor x_214  x_215 ) 1 0)) (ite (xor x_215  $cvcl_133 ) 1 0)) (ite (and (iff x_212 x_213) (< x_216 x_217)) 1 0)) (ite (and (iff x_57 x_214) (< x_218 x_219)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_204  x_205 ) 1 0) (ite (xor x_205  x_52 ) 1 0)) (ite (xor x_52  x_53 ) 1 0)) (ite (xor x_53  x_206 ) 1 0)) (ite (xor x_206  x_207 ) 1 0)) (ite (xor x_207  $cvcl_146 ) 1 0)) (ite (and (iff x_204 x_205) (< x_208 x_209)) 1 0)) (ite (and (iff x_53 x_206) (< x_210 x_211)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_196  x_197 ) 1 0) (ite (xor x_197  x_48 ) 1 0)) (ite (xor x_48  x_49 ) 1 0)) (ite (xor x_49  x_198 ) 1 0)) (ite (xor x_198  x_199 ) 1 0)) (ite (xor x_199  $cvcl_159 ) 1 0)) (ite (and (iff x_196 x_197) (< x_200 x_201)) 1 0)) (ite (and (iff x_49 x_198) (< x_202 x_203)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_188  x_189 ) 1 0) (ite (xor x_189  x_44 ) 1 0)) (ite (xor x_44  x_45 ) 1 0)) (ite (xor x_45  x_190 ) 1 0)) (ite (xor x_190  x_191 ) 1 0)) (ite (xor x_191  $cvcl_172 ) 1 0)) (ite (and (iff x_188 x_189) (< x_192 x_193)) 1 0)) (ite (and (iff x_45 x_190) (< x_194 x_195)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_180  x_181 ) 1 0) (ite (xor x_181  x_40 ) 1 0)) (ite (xor x_40  x_41 ) 1 0)) (ite (xor x_41  x_182 ) 1 0)) (ite (xor x_182  x_183 ) 1 0)) (ite (xor x_183  $cvcl_185 ) 1 0)) (ite (and (iff x_180 x_181) (< x_184 x_185)) 1 0)) (ite (and (iff x_41 x_182) (< x_186 x_187)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_172  x_173 ) 1 0) (ite (xor x_173  x_36 ) 1 0)) (ite (xor x_36  x_37 ) 1 0)) (ite (xor x_37  x_174 ) 1 0)) (ite (xor x_174  x_175 ) 1 0)) (ite (xor x_175  $cvcl_198 ) 1 0)) (ite (and (iff x_172 x_173) (< x_176 x_177)) 1 0)) (ite (and (iff x_37 x_174) (< x_178 x_179)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_164  x_165 ) 1 0) (ite (xor x_165  x_32 ) 1 0)) (ite (xor x_32  x_33 ) 1 0)) (ite (xor x_33  x_166 ) 1 0)) (ite (xor x_166  x_167 ) 1 0)) (ite (xor x_167  $cvcl_211 ) 1 0)) (ite (and (iff x_164 x_165) (< x_168 x_169)) 1 0)) (ite (and (iff x_33 x_166) (< x_170 x_171)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_156  x_157 ) 1 0) (ite (xor x_157  x_28 ) 1 0)) (ite (xor x_28  x_29 ) 1 0)) (ite (xor x_29  x_158 ) 1 0)) (ite (xor x_158  x_159 ) 1 0)) (ite (xor x_159  $cvcl_224 ) 1 0)) (ite (and (iff x_156 x_157) (< x_160 x_161)) 1 0)) (ite (and (iff x_29 x_158) (< x_162 x_163)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_148  x_149 ) 1 0) (ite (xor x_149  x_24 ) 1 0)) (ite (xor x_24  x_25 ) 1 0)) (ite (xor x_25  x_150 ) 1 0)) (ite (xor x_150  x_151 ) 1 0)) (ite (xor x_151  $cvcl_237 ) 1 0)) (ite (and (iff x_148 x_149) (< x_152 x_153)) 1 0)) (ite (and (iff x_25 x_150) (< x_154 x_155)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_140  x_141 ) 1 0) (ite (xor x_141  x_20 ) 1 0)) (ite (xor x_20  x_21 ) 1 0)) (ite (xor x_21  x_142 ) 1 0)) (ite (xor x_142  x_143 ) 1 0)) (ite (xor x_143  $cvcl_250 ) 1 0)) (ite (and (iff x_140 x_141) (< x_144 x_145)) 1 0)) (ite (and (iff x_21 x_142) (< x_146 x_147)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_132  x_133 ) 1 0) (ite (xor x_133  x_16 ) 1 0)) (ite (xor x_16  x_17 ) 1 0)) (ite (xor x_17  x_134 ) 1 0)) (ite (xor x_134  x_135 ) 1 0)) (ite (xor x_135  $cvcl_263 ) 1 0)) (ite (and (iff x_132 x_133) (< x_136 x_137)) 1 0)) (ite (and (iff x_17 x_134) (< x_138 x_139)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_124  x_125 ) 1 0) (ite (xor x_125  x_12 ) 1 0)) (ite (xor x_12  x_13 ) 1 0)) (ite (xor x_13  x_126 ) 1 0)) (ite (xor x_126  x_127 ) 1 0)) (ite (xor x_127  $cvcl_276 ) 1 0)) (ite (and (iff x_124 x_125) (< x_128 x_129)) 1 0)) (ite (and (iff x_13 x_126) (< x_130 x_131)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_116  x_117 ) 1 0) (ite (xor x_117  x_8 ) 1 0)) (ite (xor x_8  x_9 ) 1 0)) (ite (xor x_9  x_118 ) 1 0)) (ite (xor x_118  x_119 ) 1 0)) (ite (xor x_119  $cvcl_289 ) 1 0)) (ite (and (iff x_116 x_117) (< x_120 x_121)) 1 0)) (ite (and (iff x_9 x_118) (< x_122 x_123)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_108  x_109 ) 1 0) (ite (xor x_109  x_4 ) 1 0)) (ite (xor x_4  x_5 ) 1 0)) (ite (xor x_5  x_110 ) 1 0)) (ite (xor x_110  x_111 ) 1 0)) (ite (xor x_111  $cvcl_302 ) 1 0)) (ite (and (iff x_108 x_109) (< x_112 x_113)) 1 0)) (ite (and (iff x_5 x_110) (< x_114 x_115)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_100  x_101 ) 1 0) (ite (xor x_101  x_0 ) 1 0)) (ite (xor x_0  x_1 ) 1 0)) (ite (xor x_1  x_102 ) 1 0)) (ite (xor x_102  x_103 ) 1 0)) (ite (xor x_103  $cvcl_315 ) 1 0)) (ite (and (iff x_100 x_101) (< x_104 x_105)) 1 0)) (ite (and (iff x_1 x_102) (< x_106 x_107)) 1 0)) 1)) (or (and (and (and (and (and (and (and (and (and (= x_461 0) (iff x_302 x_293)) (= ?cvcl_0 x_296)) (<= (+ ?cvcl_0 x_312) x_306)) (or $cvcl_4  (iff x_303 x_96) )) (iff x_304 x_294)) (iff x_305 x_295)) (= x_308 x_298)) $cvcl_1) $cvcl_2)  (and (and (and (and (and (and (and (and (and (= x_461 1) (iff x_305 x_294)) (= ?cvcl_0 x_298)) (<= (+ ?cvcl_0 x_313) x_308)) (or (and (and (= x_462 0) $cvcl_1) $cvcl_2)  (and (and (= x_462 1) (iff x_292 x_295)) (iff x_300 $cvcl_3)) )) (iff x_301 x_293)) (iff x_302 x_96)) (= x_463 x_98)) (= x_306 x_296)) $cvcl_4) )) (or (or (and (and (and (= x_464 0) $cvcl_10) (or (not (<= x_297 ?cvcl_6))  (iff x_301 x_292) )) $cvcl_7)  (and (and (and (= x_464 1) $cvcl_5) (xor x_292  x_300 )) (= x_307 (+ ?cvcl_6 x_314))) )  (and (and (and (= x_464 2) $cvcl_5) (iff x_292 x_300)) $cvcl_7) )) (or (or (and (and (and (= x_465 0) (not $cvcl_8)) (or (not (<= x_299 ?cvcl_0))  (iff x_304 x_97) )) $cvcl_9)  (and (and (and (= x_465 1) $cvcl_8) (xor x_97  x_303 )) (= x_309 (+ ?cvcl_0 x_319))) )  (and (and (and (= x_465 2) $cvcl_8) (iff x_97 x_303)) $cvcl_9) )) (or (or (and (and (and (= x_466 0) $cvcl_10) (or (not (<= x_453 ?cvcl_6))  (= x_463 x_99) )) $cvcl_12)  (and (and (and (= x_466 1) $cvcl_5) (not $cvcl_11)) (= x_459 (+ ?cvcl_6 x_314))) )  (and (and (and (= x_466 2) $cvcl_5) $cvcl_11) $cvcl_12) )) (or (and (and (and (and (and (and (and (and (and (= x_454 0) (iff x_96 x_285)) (= ?cvcl_13 x_288)) (<= (+ ?cvcl_13 x_312) x_296)) (or $cvcl_17  (iff x_97 x_92) )) (iff x_294 x_286)) (iff x_295 x_287)) (= x_298 x_290)) $cvcl_14) $cvcl_15)  (and (and (and (and (and (and (and (and (and (= x_454 1) (iff x_295 x_286)) (= ?cvcl_13 x_290)) (<= (+ ?cvcl_13 x_313) x_298)) (or (and (and (= x_455 0) $cvcl_14) $cvcl_15)  (and (and (= x_455 1) (iff x_284 x_287)) (iff x_292 $cvcl_16)) )) (iff x_293 x_285)) (iff x_96 x_92)) (= x_98 x_94)) (= x_296 x_288)) $cvcl_17) )) (or (or (and (and (and (= x_456 0) $cvcl_23) (or (not (<= x_289 ?cvcl_19))  (iff x_293 x_284) )) $cvcl_20)  (and (and (and (= x_456 1) $cvcl_18) (xor x_284  x_292 )) (= x_297 (+ ?cvcl_19 x_314))) )  (and (and (and (= x_456 2) $cvcl_18) (iff x_284 x_292)) $cvcl_20) )) (or (or (and (and (and (= x_457 0) (not $cvcl_21)) (or (not (<= x_291 ?cvcl_13))  (iff x_294 x_93) )) $cvcl_22)  (and (and (and (= x_457 1) $cvcl_21) (xor x_93  x_97 )) (= x_299 (+ ?cvcl_13 x_319))) )  (and (and (and (= x_457 2) $cvcl_21) (iff x_93 x_97)) $cvcl_22) )) (or (or (and (and (and (= x_458 0) $cvcl_23) (or (not (<= x_447 ?cvcl_19))  (= x_98 x_95) )) $cvcl_25)  (and (and (and (= x_458 1) $cvcl_18) (not $cvcl_24)) (= x_453 (+ ?cvcl_19 x_314))) )  (and (and (and (= x_458 2) $cvcl_18) $cvcl_24) $cvcl_25) )) (or (and (and (and (and (and (and (and (and (and (= x_448 0) (iff x_92 x_277)) (= ?cvcl_26 x_280)) (<= (+ ?cvcl_26 x_312) x_288)) (or $cvcl_30  (iff x_93 x_88) )) (iff x_286 x_278)) (iff x_287 x_279)) (= x_290 x_282)) $cvcl_27) $cvcl_28)  (and (and (and (and (and (and (and (and (and (= x_448 1) (iff x_287 x_278)) (= ?cvcl_26 x_282)) (<= (+ ?cvcl_26 x_313) x_290)) (or (and (and (= x_449 0) $cvcl_27) $cvcl_28)  (and (and (= x_449 1) (iff x_276 x_279)) (iff x_284 $cvcl_29)) )) (iff x_285 x_277)) (iff x_92 x_88)) (= x_94 x_90)) (= x_288 x_280)) $cvcl_30) )) (or (or (and (and (and (= x_450 0) $cvcl_36) (or (not (<= x_281 ?cvcl_32))  (iff x_285 x_276) )) $cvcl_33)  (and (and (and (= x_450 1) $cvcl_31) (xor x_276  x_284 )) (= x_289 (+ ?cvcl_32 x_314))) )  (and (and (and (= x_450 2) $cvcl_31) (iff x_276 x_284)) $cvcl_33) )) (or (or (and (and (and (= x_451 0) (not $cvcl_34)) (or (not (<= x_283 ?cvcl_26))  (iff x_286 x_89) )) $cvcl_35)  (and (and (and (= x_451 1) $cvcl_34) (xor x_89  x_93 )) (= x_291 (+ ?cvcl_26 x_319))) )  (and (and (and (= x_451 2) $cvcl_34) (iff x_89 x_93)) $cvcl_35) )) (or (or (and (and (and (= x_452 0) $cvcl_36) (or (not (<= x_441 ?cvcl_32))  (= x_94 x_91) )) $cvcl_38)  (and (and (and (= x_452 1) $cvcl_31) (not $cvcl_37)) (= x_447 (+ ?cvcl_32 x_314))) )  (and (and (and (= x_452 2) $cvcl_31) $cvcl_37) $cvcl_38) )) (or (and (and (and (and (and (and (and (and (and (= x_442 0) (iff x_88 x_269)) (= ?cvcl_39 x_272)) (<= (+ ?cvcl_39 x_312) x_280)) (or $cvcl_43  (iff x_89 x_84) )) (iff x_278 x_270)) (iff x_279 x_271)) (= x_282 x_274)) $cvcl_40) $cvcl_41)  (and (and (and (and (and (and (and (and (and (= x_442 1) (iff x_279 x_270)) (= ?cvcl_39 x_274)) (<= (+ ?cvcl_39 x_313) x_282)) (or (and (and (= x_443 0) $cvcl_40) $cvcl_41)  (and (and (= x_443 1) (iff x_268 x_271)) (iff x_276 $cvcl_42)) )) (iff x_277 x_269)) (iff x_88 x_84)) (= x_90 x_86)) (= x_280 x_272)) $cvcl_43) )) (or (or (and (and (and (= x_444 0) $cvcl_49) (or (not (<= x_273 ?cvcl_45))  (iff x_277 x_268) )) $cvcl_46)  (and (and (and (= x_444 1) $cvcl_44) (xor x_268  x_276 )) (= x_281 (+ ?cvcl_45 x_314))) )  (and (and (and (= x_444 2) $cvcl_44) (iff x_268 x_276)) $cvcl_46) )) (or (or (and (and (and (= x_445 0) (not $cvcl_47)) (or (not (<= x_275 ?cvcl_39))  (iff x_278 x_85) )) $cvcl_48)  (and (and (and (= x_445 1) $cvcl_47) (xor x_85  x_89 )) (= x_283 (+ ?cvcl_39 x_319))) )  (and (and (and (= x_445 2) $cvcl_47) (iff x_85 x_89)) $cvcl_48) )) (or (or (and (and (and (= x_446 0) $cvcl_49) (or (not (<= x_435 ?cvcl_45))  (= x_90 x_87) )) $cvcl_51)  (and (and (and (= x_446 1) $cvcl_44) (not $cvcl_50)) (= x_441 (+ ?cvcl_45 x_314))) )  (and (and (and (= x_446 2) $cvcl_44) $cvcl_50) $cvcl_51) )) (or (and (and (and (and (and (and (and (and (and (= x_436 0) (iff x_84 x_261)) (= ?cvcl_52 x_264)) (<= (+ ?cvcl_52 x_312) x_272)) (or $cvcl_56  (iff x_85 x_80) )) (iff x_270 x_262)) (iff x_271 x_263)) (= x_274 x_266)) $cvcl_53) $cvcl_54)  (and (and (and (and (and (and (and (and (and (= x_436 1) (iff x_271 x_262)) (= ?cvcl_52 x_266)) (<= (+ ?cvcl_52 x_313) x_274)) (or (and (and (= x_437 0) $cvcl_53) $cvcl_54)  (and (and (= x_437 1) (iff x_260 x_263)) (iff x_268 $cvcl_55)) )) (iff x_269 x_261)) (iff x_84 x_80)) (= x_86 x_82)) (= x_272 x_264)) $cvcl_56) )) (or (or (and (and (and (= x_438 0) $cvcl_62) (or (not (<= x_265 ?cvcl_58))  (iff x_269 x_260) )) $cvcl_59)  (and (and (and (= x_438 1) $cvcl_57) (xor x_260  x_268 )) (= x_273 (+ ?cvcl_58 x_314))) )  (and (and (and (= x_438 2) $cvcl_57) (iff x_260 x_268)) $cvcl_59) )) (or (or (and (and (and (= x_439 0) (not $cvcl_60)) (or (not (<= x_267 ?cvcl_52))  (iff x_270 x_81) )) $cvcl_61)  (and (and (and (= x_439 1) $cvcl_60) (xor x_81  x_85 )) (= x_275 (+ ?cvcl_52 x_319))) )  (and (and (and (= x_439 2) $cvcl_60) (iff x_81 x_85)) $cvcl_61) )) (or (or (and (and (and (= x_440 0) $cvcl_62) (or (not (<= x_429 ?cvcl_58))  (= x_86 x_83) )) $cvcl_64)  (and (and (and (= x_440 1) $cvcl_57) (not $cvcl_63)) (= x_435 (+ ?cvcl_58 x_314))) )  (and (and (and (= x_440 2) $cvcl_57) $cvcl_63) $cvcl_64) )) (or (and (and (and (and (and (and (and (and (and (= x_430 0) (iff x_80 x_253)) (= ?cvcl_65 x_256)) (<= (+ ?cvcl_65 x_312) x_264)) (or $cvcl_69  (iff x_81 x_76) )) (iff x_262 x_254)) (iff x_263 x_255)) (= x_266 x_258)) $cvcl_66) $cvcl_67)  (and (and (and (and (and (and (and (and (and (= x_430 1) (iff x_263 x_254)) (= ?cvcl_65 x_258)) (<= (+ ?cvcl_65 x_313) x_266)) (or (and (and (= x_431 0) $cvcl_66) $cvcl_67)  (and (and (= x_431 1) (iff x_252 x_255)) (iff x_260 $cvcl_68)) )) (iff x_261 x_253)) (iff x_80 x_76)) (= x_82 x_78)) (= x_264 x_256)) $cvcl_69) )) (or (or (and (and (and (= x_432 0) $cvcl_75) (or (not (<= x_257 ?cvcl_71))  (iff x_261 x_252) )) $cvcl_72)  (and (and (and (= x_432 1) $cvcl_70) (xor x_252  x_260 )) (= x_265 (+ ?cvcl_71 x_314))) )  (and (and (and (= x_432 2) $cvcl_70) (iff x_252 x_260)) $cvcl_72) )) (or (or (and (and (and (= x_433 0) (not $cvcl_73)) (or (not (<= x_259 ?cvcl_65))  (iff x_262 x_77) )) $cvcl_74)  (and (and (and (= x_433 1) $cvcl_73) (xor x_77  x_81 )) (= x_267 (+ ?cvcl_65 x_319))) )  (and (and (and (= x_433 2) $cvcl_73) (iff x_77 x_81)) $cvcl_74) )) (or (or (and (and (and (= x_434 0) $cvcl_75) (or (not (<= x_423 ?cvcl_71))  (= x_82 x_79) )) $cvcl_77)  (and (and (and (= x_434 1) $cvcl_70) (not $cvcl_76)) (= x_429 (+ ?cvcl_71 x_314))) )  (and (and (and (= x_434 2) $cvcl_70) $cvcl_76) $cvcl_77) )) (or (and (and (and (and (and (and (and (and (and (= x_424 0) (iff x_76 x_245)) (= ?cvcl_78 x_248)) (<= (+ ?cvcl_78 x_312) x_256)) (or $cvcl_82  (iff x_77 x_72) )) (iff x_254 x_246)) (iff x_255 x_247)) (= x_258 x_250)) $cvcl_79) $cvcl_80)  (and (and (and (and (and (and (and (and (and (= x_424 1) (iff x_255 x_246)) (= ?cvcl_78 x_250)) (<= (+ ?cvcl_78 x_313) x_258)) (or (and (and (= x_425 0) $cvcl_79) $cvcl_80)  (and (and (= x_425 1) (iff x_244 x_247)) (iff x_252 $cvcl_81)) )) (iff x_253 x_245)) (iff x_76 x_72)) (= x_78 x_74)) (= x_256 x_248)) $cvcl_82) )) (or (or (and (and (and (= x_426 0) $cvcl_88) (or (not (<= x_249 ?cvcl_84))  (iff x_253 x_244) )) $cvcl_85)  (and (and (and (= x_426 1) $cvcl_83) (xor x_244  x_252 )) (= x_257 (+ ?cvcl_84 x_314))) )  (and (and (and (= x_426 2) $cvcl_83) (iff x_244 x_252)) $cvcl_85) )) (or (or (and (and (and (= x_427 0) (not $cvcl_86)) (or (not (<= x_251 ?cvcl_78))  (iff x_254 x_73) )) $cvcl_87)  (and (and (and (= x_427 1) $cvcl_86) (xor x_73  x_77 )) (= x_259 (+ ?cvcl_78 x_319))) )  (and (and (and (= x_427 2) $cvcl_86) (iff x_73 x_77)) $cvcl_87) )) (or (or (and (and (and (= x_428 0) $cvcl_88) (or (not (<= x_417 ?cvcl_84))  (= x_78 x_75) )) $cvcl_90)  (and (and (and (= x_428 1) $cvcl_83) (not $cvcl_89)) (= x_423 (+ ?cvcl_84 x_314))) )  (and (and (and (= x_428 2) $cvcl_83) $cvcl_89) $cvcl_90) )) (or (and (and (and (and (and (and (and (and (and (= x_418 0) (iff x_72 x_237)) (= ?cvcl_91 x_240)) (<= (+ ?cvcl_91 x_312) x_248)) (or $cvcl_95  (iff x_73 x_68) )) (iff x_246 x_238)) (iff x_247 x_239)) (= x_250 x_242)) $cvcl_92) $cvcl_93)  (and (and (and (and (and (and (and (and (and (= x_418 1) (iff x_247 x_238)) (= ?cvcl_91 x_242)) (<= (+ ?cvcl_91 x_313) x_250)) (or (and (and (= x_419 0) $cvcl_92) $cvcl_93)  (and (and (= x_419 1) (iff x_236 x_239)) (iff x_244 $cvcl_94)) )) (iff x_245 x_237)) (iff x_72 x_68)) (= x_74 x_70)) (= x_248 x_240)) $cvcl_95) )) (or (or (and (and (and (= x_420 0) $cvcl_101) (or (not (<= x_241 ?cvcl_97))  (iff x_245 x_236) )) $cvcl_98)  (and (and (and (= x_420 1) $cvcl_96) (xor x_236  x_244 )) (= x_249 (+ ?cvcl_97 x_314))) )  (and (and (and (= x_420 2) $cvcl_96) (iff x_236 x_244)) $cvcl_98) )) (or (or (and (and (and (= x_421 0) (not $cvcl_99)) (or (not (<= x_243 ?cvcl_91))  (iff x_246 x_69) )) $cvcl_100)  (and (and (and (= x_421 1) $cvcl_99) (xor x_69  x_73 )) (= x_251 (+ ?cvcl_91 x_319))) )  (and (and (and (= x_421 2) $cvcl_99) (iff x_69 x_73)) $cvcl_100) )) (or (or (and (and (and (= x_422 0) $cvcl_101) (or (not (<= x_411 ?cvcl_97))  (= x_74 x_71) )) $cvcl_103)  (and (and (and (= x_422 1) $cvcl_96) (not $cvcl_102)) (= x_417 (+ ?cvcl_97 x_314))) )  (and (and (and (= x_422 2) $cvcl_96) $cvcl_102) $cvcl_103) )) (or (and (and (and (and (and (and (and (and (and (= x_412 0) (iff x_68 x_229)) (= ?cvcl_104 x_232)) (<= (+ ?cvcl_104 x_312) x_240)) (or $cvcl_108  (iff x_69 x_64) )) (iff x_238 x_230)) (iff x_239 x_231)) (= x_242 x_234)) $cvcl_105) $cvcl_106)  (and (and (and (and (and (and (and (and (and (= x_412 1) (iff x_239 x_230)) (= ?cvcl_104 x_234)) (<= (+ ?cvcl_104 x_313) x_242)) (or (and (and (= x_413 0) $cvcl_105) $cvcl_106)  (and (and (= x_413 1) (iff x_228 x_231)) (iff x_236 $cvcl_107)) )) (iff x_237 x_229)) (iff x_68 x_64)) (= x_70 x_66)) (= x_240 x_232)) $cvcl_108) )) (or (or (and (and (and (= x_414 0) $cvcl_114) (or (not (<= x_233 ?cvcl_110))  (iff x_237 x_228) )) $cvcl_111)  (and (and (and (= x_414 1) $cvcl_109) (xor x_228  x_236 )) (= x_241 (+ ?cvcl_110 x_314))) )  (and (and (and (= x_414 2) $cvcl_109) (iff x_228 x_236)) $cvcl_111) )) (or (or (and (and (and (= x_415 0) (not $cvcl_112)) (or (not (<= x_235 ?cvcl_104))  (iff x_238 x_65) )) $cvcl_113)  (and (and (and (= x_415 1) $cvcl_112) (xor x_65  x_69 )) (= x_243 (+ ?cvcl_104 x_319))) )  (and (and (and (= x_415 2) $cvcl_112) (iff x_65 x_69)) $cvcl_113) )) (or (or (and (and (and (= x_416 0) $cvcl_114) (or (not (<= x_405 ?cvcl_110))  (= x_70 x_67) )) $cvcl_116)  (and (and (and (= x_416 1) $cvcl_109) (not $cvcl_115)) (= x_411 (+ ?cvcl_110 x_314))) )  (and (and (and (= x_416 2) $cvcl_109) $cvcl_115) $cvcl_116) )) (or (and (and (and (and (and (and (and (and (and (= x_406 0) (iff x_64 x_221)) (= ?cvcl_117 x_224)) (<= (+ ?cvcl_117 x_312) x_232)) (or $cvcl_121  (iff x_65 x_60) )) (iff x_230 x_222)) (iff x_231 x_223)) (= x_234 x_226)) $cvcl_118) $cvcl_119)  (and (and (and (and (and (and (and (and (and (= x_406 1) (iff x_231 x_222)) (= ?cvcl_117 x_226)) (<= (+ ?cvcl_117 x_313) x_234)) (or (and (and (= x_407 0) $cvcl_118) $cvcl_119)  (and (and (= x_407 1) (iff x_220 x_223)) (iff x_228 $cvcl_120)) )) (iff x_229 x_221)) (iff x_64 x_60)) (= x_66 x_62)) (= x_232 x_224)) $cvcl_121) )) (or (or (and (and (and (= x_408 0) $cvcl_127) (or (not (<= x_225 ?cvcl_123))  (iff x_229 x_220) )) $cvcl_124)  (and (and (and (= x_408 1) $cvcl_122) (xor x_220  x_228 )) (= x_233 (+ ?cvcl_123 x_314))) )  (and (and (and (= x_408 2) $cvcl_122) (iff x_220 x_228)) $cvcl_124) )) (or (or (and (and (and (= x_409 0) (not $cvcl_125)) (or (not (<= x_227 ?cvcl_117))  (iff x_230 x_61) )) $cvcl_126)  (and (and (and (= x_409 1) $cvcl_125) (xor x_61  x_65 )) (= x_235 (+ ?cvcl_117 x_319))) )  (and (and (and (= x_409 2) $cvcl_125) (iff x_61 x_65)) $cvcl_126) )) (or (or (and (and (and (= x_410 0) $cvcl_127) (or (not (<= x_399 ?cvcl_123))  (= x_66 x_63) )) $cvcl_129)  (and (and (and (= x_410 1) $cvcl_122) (not $cvcl_128)) (= x_405 (+ ?cvcl_123 x_314))) )  (and (and (and (= x_410 2) $cvcl_122) $cvcl_128) $cvcl_129) )) (or (and (and (and (and (and (and (and (and (and (= x_400 0) (iff x_60 x_213)) (= ?cvcl_130 x_216)) (<= (+ ?cvcl_130 x_312) x_224)) (or $cvcl_134  (iff x_61 x_56) )) (iff x_222 x_214)) (iff x_223 x_215)) (= x_226 x_218)) $cvcl_131) $cvcl_132)  (and (and (and (and (and (and (and (and (and (= x_400 1) (iff x_223 x_214)) (= ?cvcl_130 x_218)) (<= (+ ?cvcl_130 x_313) x_226)) (or (and (and (= x_401 0) $cvcl_131) $cvcl_132)  (and (and (= x_401 1) (iff x_212 x_215)) (iff x_220 $cvcl_133)) )) (iff x_221 x_213)) (iff x_60 x_56)) (= x_62 x_58)) (= x_224 x_216)) $cvcl_134) )) (or (or (and (and (and (= x_402 0) $cvcl_140) (or (not (<= x_217 ?cvcl_136))  (iff x_221 x_212) )) $cvcl_137)  (and (and (and (= x_402 1) $cvcl_135) (xor x_212  x_220 )) (= x_225 (+ ?cvcl_136 x_314))) )  (and (and (and (= x_402 2) $cvcl_135) (iff x_212 x_220)) $cvcl_137) )) (or (or (and (and (and (= x_403 0) (not $cvcl_138)) (or (not (<= x_219 ?cvcl_130))  (iff x_222 x_57) )) $cvcl_139)  (and (and (and (= x_403 1) $cvcl_138) (xor x_57  x_61 )) (= x_227 (+ ?cvcl_130 x_319))) )  (and (and (and (= x_403 2) $cvcl_138) (iff x_57 x_61)) $cvcl_139) )) (or (or (and (and (and (= x_404 0) $cvcl_140) (or (not (<= x_393 ?cvcl_136))  (= x_62 x_59) )) $cvcl_142)  (and (and (and (= x_404 1) $cvcl_135) (not $cvcl_141)) (= x_399 (+ ?cvcl_136 x_314))) )  (and (and (and (= x_404 2) $cvcl_135) $cvcl_141) $cvcl_142) )) (or (and (and (and (and (and (and (and (and (and (= x_394 0) (iff x_56 x_205)) (= ?cvcl_143 x_208)) (<= (+ ?cvcl_143 x_312) x_216)) (or $cvcl_147  (iff x_57 x_52) )) (iff x_214 x_206)) (iff x_215 x_207)) (= x_218 x_210)) $cvcl_144) $cvcl_145)  (and (and (and (and (and (and (and (and (and (= x_394 1) (iff x_215 x_206)) (= ?cvcl_143 x_210)) (<= (+ ?cvcl_143 x_313) x_218)) (or (and (and (= x_395 0) $cvcl_144) $cvcl_145)  (and (and (= x_395 1) (iff x_204 x_207)) (iff x_212 $cvcl_146)) )) (iff x_213 x_205)) (iff x_56 x_52)) (= x_58 x_54)) (= x_216 x_208)) $cvcl_147) )) (or (or (and (and (and (= x_396 0) $cvcl_153) (or (not (<= x_209 ?cvcl_149))  (iff x_213 x_204) )) $cvcl_150)  (and (and (and (= x_396 1) $cvcl_148) (xor x_204  x_212 )) (= x_217 (+ ?cvcl_149 x_314))) )  (and (and (and (= x_396 2) $cvcl_148) (iff x_204 x_212)) $cvcl_150) )) (or (or (and (and (and (= x_397 0) (not $cvcl_151)) (or (not (<= x_211 ?cvcl_143))  (iff x_214 x_53) )) $cvcl_152)  (and (and (and (= x_397 1) $cvcl_151) (xor x_53  x_57 )) (= x_219 (+ ?cvcl_143 x_319))) )  (and (and (and (= x_397 2) $cvcl_151) (iff x_53 x_57)) $cvcl_152) )) (or (or (and (and (and (= x_398 0) $cvcl_153) (or (not (<= x_387 ?cvcl_149))  (= x_58 x_55) )) $cvcl_155)  (and (and (and (= x_398 1) $cvcl_148) (not $cvcl_154)) (= x_393 (+ ?cvcl_149 x_314))) )  (and (and (and (= x_398 2) $cvcl_148) $cvcl_154) $cvcl_155) )) (or (and (and (and (and (and (and (and (and (and (= x_388 0) (iff x_52 x_197)) (= ?cvcl_156 x_200)) (<= (+ ?cvcl_156 x_312) x_208)) (or $cvcl_160  (iff x_53 x_48) )) (iff x_206 x_198)) (iff x_207 x_199)) (= x_210 x_202)) $cvcl_157) $cvcl_158)  (and (and (and (and (and (and (and (and (and (= x_388 1) (iff x_207 x_198)) (= ?cvcl_156 x_202)) (<= (+ ?cvcl_156 x_313) x_210)) (or (and (and (= x_389 0) $cvcl_157) $cvcl_158)  (and (and (= x_389 1) (iff x_196 x_199)) (iff x_204 $cvcl_159)) )) (iff x_205 x_197)) (iff x_52 x_48)) (= x_54 x_50)) (= x_208 x_200)) $cvcl_160) )) (or (or (and (and (and (= x_390 0) $cvcl_166) (or (not (<= x_201 ?cvcl_162))  (iff x_205 x_196) )) $cvcl_163)  (and (and (and (= x_390 1) $cvcl_161) (xor x_196  x_204 )) (= x_209 (+ ?cvcl_162 x_314))) )  (and (and (and (= x_390 2) $cvcl_161) (iff x_196 x_204)) $cvcl_163) )) (or (or (and (and (and (= x_391 0) (not $cvcl_164)) (or (not (<= x_203 ?cvcl_156))  (iff x_206 x_49) )) $cvcl_165)  (and (and (and (= x_391 1) $cvcl_164) (xor x_49  x_53 )) (= x_211 (+ ?cvcl_156 x_319))) )  (and (and (and (= x_391 2) $cvcl_164) (iff x_49 x_53)) $cvcl_165) )) (or (or (and (and (and (= x_392 0) $cvcl_166) (or (not (<= x_381 ?cvcl_162))  (= x_54 x_51) )) $cvcl_168)  (and (and (and (= x_392 1) $cvcl_161) (not $cvcl_167)) (= x_387 (+ ?cvcl_162 x_314))) )  (and (and (and (= x_392 2) $cvcl_161) $cvcl_167) $cvcl_168) )) (or (and (and (and (and (and (and (and (and (and (= x_382 0) (iff x_48 x_189)) (= ?cvcl_169 x_192)) (<= (+ ?cvcl_169 x_312) x_200)) (or $cvcl_173  (iff x_49 x_44) )) (iff x_198 x_190)) (iff x_199 x_191)) (= x_202 x_194)) $cvcl_170) $cvcl_171)  (and (and (and (and (and (and (and (and (and (= x_382 1) (iff x_199 x_190)) (= ?cvcl_169 x_194)) (<= (+ ?cvcl_169 x_313) x_202)) (or (and (and (= x_383 0) $cvcl_170) $cvcl_171)  (and (and (= x_383 1) (iff x_188 x_191)) (iff x_196 $cvcl_172)) )) (iff x_197 x_189)) (iff x_48 x_44)) (= x_50 x_46)) (= x_200 x_192)) $cvcl_173) )) (or (or (and (and (and (= x_384 0) $cvcl_179) (or (not (<= x_193 ?cvcl_175))  (iff x_197 x_188) )) $cvcl_176)  (and (and (and (= x_384 1) $cvcl_174) (xor x_188  x_196 )) (= x_201 (+ ?cvcl_175 x_314))) )  (and (and (and (= x_384 2) $cvcl_174) (iff x_188 x_196)) $cvcl_176) )) (or (or (and (and (and (= x_385 0) (not $cvcl_177)) (or (not (<= x_195 ?cvcl_169))  (iff x_198 x_45) )) $cvcl_178)  (and (and (and (= x_385 1) $cvcl_177) (xor x_45  x_49 )) (= x_203 (+ ?cvcl_169 x_319))) )  (and (and (and (= x_385 2) $cvcl_177) (iff x_45 x_49)) $cvcl_178) )) (or (or (and (and (and (= x_386 0) $cvcl_179) (or (not (<= x_375 ?cvcl_175))  (= x_50 x_47) )) $cvcl_181)  (and (and (and (= x_386 1) $cvcl_174) (not $cvcl_180)) (= x_381 (+ ?cvcl_175 x_314))) )  (and (and (and (= x_386 2) $cvcl_174) $cvcl_180) $cvcl_181) )) (or (and (and (and (and (and (and (and (and (and (= x_376 0) (iff x_44 x_181)) (= ?cvcl_182 x_184)) (<= (+ ?cvcl_182 x_312) x_192)) (or $cvcl_186  (iff x_45 x_40) )) (iff x_190 x_182)) (iff x_191 x_183)) (= x_194 x_186)) $cvcl_183) $cvcl_184)  (and (and (and (and (and (and (and (and (and (= x_376 1) (iff x_191 x_182)) (= ?cvcl_182 x_186)) (<= (+ ?cvcl_182 x_313) x_194)) (or (and (and (= x_377 0) $cvcl_183) $cvcl_184)  (and (and (= x_377 1) (iff x_180 x_183)) (iff x_188 $cvcl_185)) )) (iff x_189 x_181)) (iff x_44 x_40)) (= x_46 x_42)) (= x_192 x_184)) $cvcl_186) )) (or (or (and (and (and (= x_378 0) $cvcl_192) (or (not (<= x_185 ?cvcl_188))  (iff x_189 x_180) )) $cvcl_189)  (and (and (and (= x_378 1) $cvcl_187) (xor x_180  x_188 )) (= x_193 (+ ?cvcl_188 x_314))) )  (and (and (and (= x_378 2) $cvcl_187) (iff x_180 x_188)) $cvcl_189) )) (or (or (and (and (and (= x_379 0) (not $cvcl_190)) (or (not (<= x_187 ?cvcl_182))  (iff x_190 x_41) )) $cvcl_191)  (and (and (and (= x_379 1) $cvcl_190) (xor x_41  x_45 )) (= x_195 (+ ?cvcl_182 x_319))) )  (and (and (and (= x_379 2) $cvcl_190) (iff x_41 x_45)) $cvcl_191) )) (or (or (and (and (and (= x_380 0) $cvcl_192) (or (not (<= x_369 ?cvcl_188))  (= x_46 x_43) )) $cvcl_194)  (and (and (and (= x_380 1) $cvcl_187) (not $cvcl_193)) (= x_375 (+ ?cvcl_188 x_314))) )  (and (and (and (= x_380 2) $cvcl_187) $cvcl_193) $cvcl_194) )) (or (and (and (and (and (and (and (and (and (and (= x_370 0) (iff x_40 x_173)) (= ?cvcl_195 x_176)) (<= (+ ?cvcl_195 x_312) x_184)) (or $cvcl_199  (iff x_41 x_36) )) (iff x_182 x_174)) (iff x_183 x_175)) (= x_186 x_178)) $cvcl_196) $cvcl_197)  (and (and (and (and (and (and (and (and (and (= x_370 1) (iff x_183 x_174)) (= ?cvcl_195 x_178)) (<= (+ ?cvcl_195 x_313) x_186)) (or (and (and (= x_371 0) $cvcl_196) $cvcl_197)  (and (and (= x_371 1) (iff x_172 x_175)) (iff x_180 $cvcl_198)) )) (iff x_181 x_173)) (iff x_40 x_36)) (= x_42 x_38)) (= x_184 x_176)) $cvcl_199) )) (or (or (and (and (and (= x_372 0) $cvcl_205) (or (not (<= x_177 ?cvcl_201))  (iff x_181 x_172) )) $cvcl_202)  (and (and (and (= x_372 1) $cvcl_200) (xor x_172  x_180 )) (= x_185 (+ ?cvcl_201 x_314))) )  (and (and (and (= x_372 2) $cvcl_200) (iff x_172 x_180)) $cvcl_202) )) (or (or (and (and (and (= x_373 0) (not $cvcl_203)) (or (not (<= x_179 ?cvcl_195))  (iff x_182 x_37) )) $cvcl_204)  (and (and (and (= x_373 1) $cvcl_203) (xor x_37  x_41 )) (= x_187 (+ ?cvcl_195 x_319))) )  (and (and (and (= x_373 2) $cvcl_203) (iff x_37 x_41)) $cvcl_204) )) (or (or (and (and (and (= x_374 0) $cvcl_205) (or (not (<= x_363 ?cvcl_201))  (= x_42 x_39) )) $cvcl_207)  (and (and (and (= x_374 1) $cvcl_200) (not $cvcl_206)) (= x_369 (+ ?cvcl_201 x_314))) )  (and (and (and (= x_374 2) $cvcl_200) $cvcl_206) $cvcl_207) )) (or (and (and (and (and (and (and (and (and (and (= x_364 0) (iff x_36 x_165)) (= ?cvcl_208 x_168)) (<= (+ ?cvcl_208 x_312) x_176)) (or $cvcl_212  (iff x_37 x_32) )) (iff x_174 x_166)) (iff x_175 x_167)) (= x_178 x_170)) $cvcl_209) $cvcl_210)  (and (and (and (and (and (and (and (and (and (= x_364 1) (iff x_175 x_166)) (= ?cvcl_208 x_170)) (<= (+ ?cvcl_208 x_313) x_178)) (or (and (and (= x_365 0) $cvcl_209) $cvcl_210)  (and (and (= x_365 1) (iff x_164 x_167)) (iff x_172 $cvcl_211)) )) (iff x_173 x_165)) (iff x_36 x_32)) (= x_38 x_34)) (= x_176 x_168)) $cvcl_212) )) (or (or (and (and (and (= x_366 0) $cvcl_218) (or (not (<= x_169 ?cvcl_214))  (iff x_173 x_164) )) $cvcl_215)  (and (and (and (= x_366 1) $cvcl_213) (xor x_164  x_172 )) (= x_177 (+ ?cvcl_214 x_314))) )  (and (and (and (= x_366 2) $cvcl_213) (iff x_164 x_172)) $cvcl_215) )) (or (or (and (and (and (= x_367 0) (not $cvcl_216)) (or (not (<= x_171 ?cvcl_208))  (iff x_174 x_33) )) $cvcl_217)  (and (and (and (= x_367 1) $cvcl_216) (xor x_33  x_37 )) (= x_179 (+ ?cvcl_208 x_319))) )  (and (and (and (= x_367 2) $cvcl_216) (iff x_33 x_37)) $cvcl_217) )) (or (or (and (and (and (= x_368 0) $cvcl_218) (or (not (<= x_357 ?cvcl_214))  (= x_38 x_35) )) $cvcl_220)  (and (and (and (= x_368 1) $cvcl_213) (not $cvcl_219)) (= x_363 (+ ?cvcl_214 x_314))) )  (and (and (and (= x_368 2) $cvcl_213) $cvcl_219) $cvcl_220) )) (or (and (and (and (and (and (and (and (and (and (= x_358 0) (iff x_32 x_157)) (= ?cvcl_221 x_160)) (<= (+ ?cvcl_221 x_312) x_168)) (or $cvcl_225  (iff x_33 x_28) )) (iff x_166 x_158)) (iff x_167 x_159)) (= x_170 x_162)) $cvcl_222) $cvcl_223)  (and (and (and (and (and (and (and (and (and (= x_358 1) (iff x_167 x_158)) (= ?cvcl_221 x_162)) (<= (+ ?cvcl_221 x_313) x_170)) (or (and (and (= x_359 0) $cvcl_222) $cvcl_223)  (and (and (= x_359 1) (iff x_156 x_159)) (iff x_164 $cvcl_224)) )) (iff x_165 x_157)) (iff x_32 x_28)) (= x_34 x_30)) (= x_168 x_160)) $cvcl_225) )) (or (or (and (and (and (= x_360 0) $cvcl_231) (or (not (<= x_161 ?cvcl_227))  (iff x_165 x_156) )) $cvcl_228)  (and (and (and (= x_360 1) $cvcl_226) (xor x_156  x_164 )) (= x_169 (+ ?cvcl_227 x_314))) )  (and (and (and (= x_360 2) $cvcl_226) (iff x_156 x_164)) $cvcl_228) )) (or (or (and (and (and (= x_361 0) (not $cvcl_229)) (or (not (<= x_163 ?cvcl_221))  (iff x_166 x_29) )) $cvcl_230)  (and (and (and (= x_361 1) $cvcl_229) (xor x_29  x_33 )) (= x_171 (+ ?cvcl_221 x_319))) )  (and (and (and (= x_361 2) $cvcl_229) (iff x_29 x_33)) $cvcl_230) )) (or (or (and (and (and (= x_362 0) $cvcl_231) (or (not (<= x_351 ?cvcl_227))  (= x_34 x_31) )) $cvcl_233)  (and (and (and (= x_362 1) $cvcl_226) (not $cvcl_232)) (= x_357 (+ ?cvcl_227 x_314))) )  (and (and (and (= x_362 2) $cvcl_226) $cvcl_232) $cvcl_233) )) (or (and (and (and (and (and (and (and (and (and (= x_352 0) (iff x_28 x_149)) (= ?cvcl_234 x_152)) (<= (+ ?cvcl_234 x_312) x_160)) (or $cvcl_238  (iff x_29 x_24) )) (iff x_158 x_150)) (iff x_159 x_151)) (= x_162 x_154)) $cvcl_235) $cvcl_236)  (and (and (and (and (and (and (and (and (and (= x_352 1) (iff x_159 x_150)) (= ?cvcl_234 x_154)) (<= (+ ?cvcl_234 x_313) x_162)) (or (and (and (= x_353 0) $cvcl_235) $cvcl_236)  (and (and (= x_353 1) (iff x_148 x_151)) (iff x_156 $cvcl_237)) )) (iff x_157 x_149)) (iff x_28 x_24)) (= x_30 x_26)) (= x_160 x_152)) $cvcl_238) )) (or (or (and (and (and (= x_354 0) $cvcl_244) (or (not (<= x_153 ?cvcl_240))  (iff x_157 x_148) )) $cvcl_241)  (and (and (and (= x_354 1) $cvcl_239) (xor x_148  x_156 )) (= x_161 (+ ?cvcl_240 x_314))) )  (and (and (and (= x_354 2) $cvcl_239) (iff x_148 x_156)) $cvcl_241) )) (or (or (and (and (and (= x_355 0) (not $cvcl_242)) (or (not (<= x_155 ?cvcl_234))  (iff x_158 x_25) )) $cvcl_243)  (and (and (and (= x_355 1) $cvcl_242) (xor x_25  x_29 )) (= x_163 (+ ?cvcl_234 x_319))) )  (and (and (and (= x_355 2) $cvcl_242) (iff x_25 x_29)) $cvcl_243) )) (or (or (and (and (and (= x_356 0) $cvcl_244) (or (not (<= x_345 ?cvcl_240))  (= x_30 x_27) )) $cvcl_246)  (and (and (and (= x_356 1) $cvcl_239) (not $cvcl_245)) (= x_351 (+ ?cvcl_240 x_314))) )  (and (and (and (= x_356 2) $cvcl_239) $cvcl_245) $cvcl_246) )) (or (and (and (and (and (and (and (and (and (and (= x_346 0) (iff x_24 x_141)) (= ?cvcl_247 x_144)) (<= (+ ?cvcl_247 x_312) x_152)) (or $cvcl_251  (iff x_25 x_20) )) (iff x_150 x_142)) (iff x_151 x_143)) (= x_154 x_146)) $cvcl_248) $cvcl_249)  (and (and (and (and (and (and (and (and (and (= x_346 1) (iff x_151 x_142)) (= ?cvcl_247 x_146)) (<= (+ ?cvcl_247 x_313) x_154)) (or (and (and (= x_347 0) $cvcl_248) $cvcl_249)  (and (and (= x_347 1) (iff x_140 x_143)) (iff x_148 $cvcl_250)) )) (iff x_149 x_141)) (iff x_24 x_20)) (= x_26 x_22)) (= x_152 x_144)) $cvcl_251) )) (or (or (and (and (and (= x_348 0) $cvcl_257) (or (not (<= x_145 ?cvcl_253))  (iff x_149 x_140) )) $cvcl_254)  (and (and (and (= x_348 1) $cvcl_252) (xor x_140  x_148 )) (= x_153 (+ ?cvcl_253 x_314))) )  (and (and (and (= x_348 2) $cvcl_252) (iff x_140 x_148)) $cvcl_254) )) (or (or (and (and (and (= x_349 0) (not $cvcl_255)) (or (not (<= x_147 ?cvcl_247))  (iff x_150 x_21) )) $cvcl_256)  (and (and (and (= x_349 1) $cvcl_255) (xor x_21  x_25 )) (= x_155 (+ ?cvcl_247 x_319))) )  (and (and (and (= x_349 2) $cvcl_255) (iff x_21 x_25)) $cvcl_256) )) (or (or (and (and (and (= x_350 0) $cvcl_257) (or (not (<= x_339 ?cvcl_253))  (= x_26 x_23) )) $cvcl_259)  (and (and (and (= x_350 1) $cvcl_252) (not $cvcl_258)) (= x_345 (+ ?cvcl_253 x_314))) )  (and (and (and (= x_350 2) $cvcl_252) $cvcl_258) $cvcl_259) )) (or (and (and (and (and (and (and (and (and (and (= x_340 0) (iff x_20 x_133)) (= ?cvcl_260 x_136)) (<= (+ ?cvcl_260 x_312) x_144)) (or $cvcl_264  (iff x_21 x_16) )) (iff x_142 x_134)) (iff x_143 x_135)) (= x_146 x_138)) $cvcl_261) $cvcl_262)  (and (and (and (and (and (and (and (and (and (= x_340 1) (iff x_143 x_134)) (= ?cvcl_260 x_138)) (<= (+ ?cvcl_260 x_313) x_146)) (or (and (and (= x_341 0) $cvcl_261) $cvcl_262)  (and (and (= x_341 1) (iff x_132 x_135)) (iff x_140 $cvcl_263)) )) (iff x_141 x_133)) (iff x_20 x_16)) (= x_22 x_18)) (= x_144 x_136)) $cvcl_264) )) (or (or (and (and (and (= x_342 0) $cvcl_270) (or (not (<= x_137 ?cvcl_266))  (iff x_141 x_132) )) $cvcl_267)  (and (and (and (= x_342 1) $cvcl_265) (xor x_132  x_140 )) (= x_145 (+ ?cvcl_266 x_314))) )  (and (and (and (= x_342 2) $cvcl_265) (iff x_132 x_140)) $cvcl_267) )) (or (or (and (and (and (= x_343 0) (not $cvcl_268)) (or (not (<= x_139 ?cvcl_260))  (iff x_142 x_17) )) $cvcl_269)  (and (and (and (= x_343 1) $cvcl_268) (xor x_17  x_21 )) (= x_147 (+ ?cvcl_260 x_319))) )  (and (and (and (= x_343 2) $cvcl_268) (iff x_17 x_21)) $cvcl_269) )) (or (or (and (and (and (= x_344 0) $cvcl_270) (or (not (<= x_333 ?cvcl_266))  (= x_22 x_19) )) $cvcl_272)  (and (and (and (= x_344 1) $cvcl_265) (not $cvcl_271)) (= x_339 (+ ?cvcl_266 x_314))) )  (and (and (and (= x_344 2) $cvcl_265) $cvcl_271) $cvcl_272) )) (or (and (and (and (and (and (and (and (and (and (= x_334 0) (iff x_16 x_125)) (= ?cvcl_273 x_128)) (<= (+ ?cvcl_273 x_312) x_136)) (or $cvcl_277  (iff x_17 x_12) )) (iff x_134 x_126)) (iff x_135 x_127)) (= x_138 x_130)) $cvcl_274) $cvcl_275)  (and (and (and (and (and (and (and (and (and (= x_334 1) (iff x_135 x_126)) (= ?cvcl_273 x_130)) (<= (+ ?cvcl_273 x_313) x_138)) (or (and (and (= x_335 0) $cvcl_274) $cvcl_275)  (and (and (= x_335 1) (iff x_124 x_127)) (iff x_132 $cvcl_276)) )) (iff x_133 x_125)) (iff x_16 x_12)) (= x_18 x_14)) (= x_136 x_128)) $cvcl_277) )) (or (or (and (and (and (= x_336 0) $cvcl_283) (or (not (<= x_129 ?cvcl_279))  (iff x_133 x_124) )) $cvcl_280)  (and (and (and (= x_336 1) $cvcl_278) (xor x_124  x_132 )) (= x_137 (+ ?cvcl_279 x_314))) )  (and (and (and (= x_336 2) $cvcl_278) (iff x_124 x_132)) $cvcl_280) )) (or (or (and (and (and (= x_337 0) (not $cvcl_281)) (or (not (<= x_131 ?cvcl_273))  (iff x_134 x_13) )) $cvcl_282)  (and (and (and (= x_337 1) $cvcl_281) (xor x_13  x_17 )) (= x_139 (+ ?cvcl_273 x_319))) )  (and (and (and (= x_337 2) $cvcl_281) (iff x_13 x_17)) $cvcl_282) )) (or (or (and (and (and (= x_338 0) $cvcl_283) (or (not (<= x_327 ?cvcl_279))  (= x_18 x_15) )) $cvcl_285)  (and (and (and (= x_338 1) $cvcl_278) (not $cvcl_284)) (= x_333 (+ ?cvcl_279 x_314))) )  (and (and (and (= x_338 2) $cvcl_278) $cvcl_284) $cvcl_285) )) (or (and (and (and (and (and (and (and (and (and (= x_328 0) (iff x_12 x_117)) (= ?cvcl_286 x_120)) (<= (+ ?cvcl_286 x_312) x_128)) (or $cvcl_290  (iff x_13 x_8) )) (iff x_126 x_118)) (iff x_127 x_119)) (= x_130 x_122)) $cvcl_287) $cvcl_288)  (and (and (and (and (and (and (and (and (and (= x_328 1) (iff x_127 x_118)) (= ?cvcl_286 x_122)) (<= (+ ?cvcl_286 x_313) x_130)) (or (and (and (= x_329 0) $cvcl_287) $cvcl_288)  (and (and (= x_329 1) (iff x_116 x_119)) (iff x_124 $cvcl_289)) )) (iff x_125 x_117)) (iff x_12 x_8)) (= x_14 x_10)) (= x_128 x_120)) $cvcl_290) )) (or (or (and (and (and (= x_330 0) $cvcl_296) (or (not (<= x_121 ?cvcl_292))  (iff x_125 x_116) )) $cvcl_293)  (and (and (and (= x_330 1) $cvcl_291) (xor x_116  x_124 )) (= x_129 (+ ?cvcl_292 x_314))) )  (and (and (and (= x_330 2) $cvcl_291) (iff x_116 x_124)) $cvcl_293) )) (or (or (and (and (and (= x_331 0) (not $cvcl_294)) (or (not (<= x_123 ?cvcl_286))  (iff x_126 x_9) )) $cvcl_295)  (and (and (and (= x_331 1) $cvcl_294) (xor x_9  x_13 )) (= x_131 (+ ?cvcl_286 x_319))) )  (and (and (and (= x_331 2) $cvcl_294) (iff x_9 x_13)) $cvcl_295) )) (or (or (and (and (and (= x_332 0) $cvcl_296) (or (not (<= x_321 ?cvcl_292))  (= x_14 x_11) )) $cvcl_298)  (and (and (and (= x_332 1) $cvcl_291) (not $cvcl_297)) (= x_327 (+ ?cvcl_292 x_314))) )  (and (and (and (= x_332 2) $cvcl_291) $cvcl_297) $cvcl_298) )) (or (and (and (and (and (and (and (and (and (and (= x_322 0) (iff x_8 x_109)) (= ?cvcl_299 x_112)) (<= (+ ?cvcl_299 x_312) x_120)) (or $cvcl_303  (iff x_9 x_4) )) (iff x_118 x_110)) (iff x_119 x_111)) (= x_122 x_114)) $cvcl_300) $cvcl_301)  (and (and (and (and (and (and (and (and (and (= x_322 1) (iff x_119 x_110)) (= ?cvcl_299 x_114)) (<= (+ ?cvcl_299 x_313) x_122)) (or (and (and (= x_323 0) $cvcl_300) $cvcl_301)  (and (and (= x_323 1) (iff x_108 x_111)) (iff x_116 $cvcl_302)) )) (iff x_117 x_109)) (iff x_8 x_4)) (= x_10 x_6)) (= x_120 x_112)) $cvcl_303) )) (or (or (and (and (and (= x_324 0) $cvcl_309) (or (not (<= x_113 ?cvcl_305))  (iff x_117 x_108) )) $cvcl_306)  (and (and (and (= x_324 1) $cvcl_304) (xor x_108  x_116 )) (= x_121 (+ ?cvcl_305 x_314))) )  (and (and (and (= x_324 2) $cvcl_304) (iff x_108 x_116)) $cvcl_306) )) (or (or (and (and (and (= x_325 0) (not $cvcl_307)) (or (not (<= x_115 ?cvcl_299))  (iff x_118 x_5) )) $cvcl_308)  (and (and (and (= x_325 1) $cvcl_307) (xor x_5  x_9 )) (= x_123 (+ ?cvcl_299 x_319))) )  (and (and (and (= x_325 2) $cvcl_307) (iff x_5 x_9)) $cvcl_308) )) (or (or (and (and (and (= x_326 0) $cvcl_309) (or (not (<= x_310 ?cvcl_305))  (= x_10 x_7) )) $cvcl_311)  (and (and (and (= x_326 1) $cvcl_304) (not $cvcl_310)) (= x_321 (+ ?cvcl_305 x_314))) )  (and (and (and (= x_326 2) $cvcl_304) $cvcl_310) $cvcl_311) )) (or (and (and (and (and (and (and (and (and (and (= x_315 0) (iff x_4 x_101)) (= ?cvcl_312 x_104)) (<= (+ ?cvcl_312 x_312) x_112)) (or $cvcl_316  (iff x_5 x_0) )) (iff x_110 x_102)) (iff x_111 x_103)) (= x_114 x_106)) $cvcl_313) $cvcl_314)  (and (and (and (and (and (and (and (and (and (= x_315 1) (iff x_111 x_102)) (= ?cvcl_312 x_106)) (<= (+ ?cvcl_312 x_313) x_114)) (or (and (and (= x_316 0) $cvcl_313) $cvcl_314)  (and (and (= x_316 1) (iff x_100 x_103)) (iff x_108 $cvcl_315)) )) (iff x_109 x_101)) (iff x_4 x_0)) (= x_6 x_2)) (= x_112 x_104)) $cvcl_316) )) (or (or (and (and (and (= x_317 0) $cvcl_322) (or (not (<= x_105 ?cvcl_318))  (iff x_109 x_100) )) $cvcl_319)  (and (and (and (= x_317 1) $cvcl_317) (xor x_100  x_108 )) (= x_113 (+ ?cvcl_318 x_314))) )  (and (and (and (= x_317 2) $cvcl_317) (iff x_100 x_108)) $cvcl_319) )) (or (or (and (and (and (= x_318 0) (not $cvcl_320)) (or (not (<= x_107 ?cvcl_312))  (iff x_110 x_1) )) $cvcl_321)  (and (and (and (= x_318 1) $cvcl_320) (xor x_1  x_5 )) (= x_115 (+ ?cvcl_312 x_319))) )  (and (and (and (= x_318 2) $cvcl_320) (iff x_1 x_5)) $cvcl_321) )) (or (or (and (and (and (= x_320 0) $cvcl_322) (or (not (<= x_311 ?cvcl_318))  (= x_6 x_3) )) $cvcl_324)  (and (and (and (= x_320 1) $cvcl_317) (not $cvcl_323)) (= x_310 (+ ?cvcl_318 x_314))) )  (and (and (and (= x_320 2) $cvcl_317) $cvcl_323) $cvcl_324) )) $cvcl_325) (not (= x_463 x_460)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
)
