(benchmark synch_circuit
  :source {
Fully parameterized specification and verification of a synchronizer   
circuit modeling metastability at various levels of refinement.     
A paper describing this specification, to be published in Designing     
Correct Circuits (DCC), 2006, is available from the authors.            

Geoffrey Brown, Indiana University <geobrown@cs.indiana.edu>
Lee Pike, Galois Connections, Inc. <leepike@galois.com>

Translated into CVC format by Leonardo de Moura.

This benchmark was automatically translated into SMT-LIB format from
CVC format using CVC Lite

}
  :status sat
:category { industrial }
:difficulty { 2 }
  :logic QF_LRA
  
  :extrapreds ((x_0))
  :extrapreds ((x_1))
  :extrafuns ((x_2 Real))
  :extrafuns ((x_3 Real))
  :extrapreds ((x_4))
  :extrapreds ((x_5))
  :extrafuns ((x_6 Real))
  :extrafuns ((x_7 Real))
  :extrapreds ((x_8))
  :extrapreds ((x_9))
  :extrafuns ((x_10 Real))
  :extrafuns ((x_11 Real))
  :extrapreds ((x_12))
  :extrapreds ((x_13))
  :extrafuns ((x_14 Real))
  :extrafuns ((x_15 Real))
  :extrapreds ((x_16))
  :extrapreds ((x_17))
  :extrafuns ((x_18 Real))
  :extrafuns ((x_19 Real))
  :extrapreds ((x_20))
  :extrapreds ((x_21))
  :extrafuns ((x_22 Real))
  :extrafuns ((x_23 Real))
  :extrapreds ((x_24))
  :extrapreds ((x_25))
  :extrafuns ((x_26 Real))
  :extrafuns ((x_27 Real))
  :extrapreds ((x_28))
  :extrapreds ((x_29))
  :extrafuns ((x_30 Real))
  :extrafuns ((x_31 Real))
  :extrapreds ((x_32))
  :extrapreds ((x_33))
  :extrafuns ((x_34 Real))
  :extrafuns ((x_35 Real))
  :extrapreds ((x_36))
  :extrapreds ((x_37))
  :extrafuns ((x_38 Real))
  :extrafuns ((x_39 Real))
  :extrapreds ((x_40))
  :extrapreds ((x_41))
  :extrafuns ((x_42 Real))
  :extrafuns ((x_43 Real))
  :extrapreds ((x_44))
  :extrapreds ((x_45))
  :extrafuns ((x_46 Real))
  :extrafuns ((x_47 Real))
  :extrapreds ((x_48))
  :extrapreds ((x_49))
  :extrafuns ((x_50 Real))
  :extrafuns ((x_51 Real))
  :extrapreds ((x_52))
  :extrapreds ((x_53))
  :extrafuns ((x_54 Real))
  :extrafuns ((x_55 Real))
  :extrapreds ((x_56))
  :extrapreds ((x_57))
  :extrafuns ((x_58 Real))
  :extrafuns ((x_59 Real))
  :extrapreds ((x_60))
  :extrapreds ((x_61))
  :extrafuns ((x_62 Real))
  :extrafuns ((x_63 Real))
  :extrapreds ((x_64))
  :extrapreds ((x_65))
  :extrafuns ((x_66 Real))
  :extrafuns ((x_67 Real))
  :extrapreds ((x_68))
  :extrapreds ((x_69))
  :extrafuns ((x_70 Real))
  :extrafuns ((x_71 Real))
  :extrapreds ((x_72))
  :extrapreds ((x_73))
  :extrafuns ((x_74 Real))
  :extrafuns ((x_75 Real))
  :extrapreds ((x_76))
  :extrapreds ((x_77))
  :extrafuns ((x_78 Real))
  :extrafuns ((x_79 Real))
  :extrapreds ((x_80))
  :extrapreds ((x_81))
  :extrafuns ((x_82 Real))
  :extrafuns ((x_83 Real))
  :extrapreds ((x_84))
  :extrapreds ((x_85))
  :extrafuns ((x_86 Real))
  :extrafuns ((x_87 Real))
  :extrapreds ((x_88))
  :extrapreds ((x_89))
  :extrafuns ((x_90 Real))
  :extrafuns ((x_91 Real))
  :extrapreds ((x_92))
  :extrapreds ((x_93))
  :extrafuns ((x_94 Real))
  :extrafuns ((x_95 Real))
  :extrapreds ((x_96))
  :extrapreds ((x_97))
  :extrafuns ((x_98 Real))
  :extrafuns ((x_99 Real))
  :extrapreds ((x_100))
  :extrapreds ((x_101))
  :extrafuns ((x_102 Real))
  :extrafuns ((x_103 Real))
  :extrapreds ((x_104))
  :extrapreds ((x_105))
  :extrafuns ((x_106 Real))
  :extrafuns ((x_107 Real))
  :extrapreds ((x_108))
  :extrapreds ((x_109))
  :extrafuns ((x_110 Real))
  :extrafuns ((x_111 Real))
  :extrapreds ((x_112))
  :extrapreds ((x_113))
  :extrafuns ((x_114 Real))
  :extrafuns ((x_115 Real))
  :extrapreds ((x_116))
  :extrapreds ((x_117))
  :extrafuns ((x_118 Real))
  :extrafuns ((x_119 Real))
  :extrafuns ((x_120 Real))
  :extrafuns ((x_121 Real))
  :extrafuns ((x_122 Real))
  :extrafuns ((x_123 Real))
  :extrafuns ((x_124 Real))
  :extrafuns ((x_125 Real))
  :extrafuns ((x_126 Real))
  :extrafuns ((x_127 Real))
  :extrafuns ((x_128 Real))
  :extrafuns ((x_129 Real))
  :extrafuns ((x_130 Real))
  :extrafuns ((x_131 Real))
  :extrafuns ((x_132 Real))
  :extrafuns ((x_133 Real))
  :extrafuns ((x_134 Real))
  :extrafuns ((x_135 Real))
  :extrafuns ((x_136 Real))
  :extrafuns ((x_137 Real))
  :extrafuns ((x_138 Real))
  :extrafuns ((x_139 Real))
  :extrafuns ((x_140 Real))
  :extrafuns ((x_141 Real))
  :extrafuns ((x_142 Real))
  :extrafuns ((x_143 Real))
  :extrafuns ((x_144 Real))
  :extrafuns ((x_145 Real))
  :extrafuns ((x_146 Real))
  :extrafuns ((x_147 Real))
  :extrafuns ((x_148 Real))
  :extrafuns ((x_149 Real))
  :extrafuns ((x_150 Real))
  :extrafuns ((x_151 Real))
  :extrafuns ((x_152 Real))
  :extrafuns ((x_153 Real))
  :extrafuns ((x_154 Real))
  :extrafuns ((x_155 Real))
  :extrafuns ((x_156 Real))
  :extrafuns ((x_157 Real))
  :extrafuns ((x_158 Real))
  :extrafuns ((x_159 Real))
  :extrafuns ((x_160 Real))
  :extrafuns ((x_161 Real))
  :extrafuns ((x_162 Real))
  :extrafuns ((x_163 Real))
  :extrafuns ((x_164 Real))
  :extrafuns ((x_165 Real))
  :extrafuns ((x_166 Real))
  :extrafuns ((x_167 Real))
  :extrafuns ((x_168 Real))
  :extrafuns ((x_169 Real))
  :extrafuns ((x_170 Real))
  :extrafuns ((x_171 Real))
  :extrafuns ((x_172 Real))
  :extrafuns ((x_173 Real))
  :extrafuns ((x_174 Real))
  :extrafuns ((x_175 Real))
  :extrafuns ((x_176 Real))
  :extrafuns ((x_177 Real))
  :extrafuns ((x_178 Real))
  :extrafuns ((x_179 Real))
  :extrafuns ((x_180 Real))
  :extrafuns ((x_181 Real))
  :extrafuns ((x_182 Real))
  :extrafuns ((x_183 Real))
  :extrafuns ((x_184 Real))
  :extrafuns ((x_185 Real))
  :extrafuns ((x_186 Real))
  :extrafuns ((x_187 Real))
  :extrafuns ((x_188 Real))
  :extrafuns ((x_189 Real))
  :extrafuns ((x_190 Real))
  :extrafuns ((x_191 Real))
  :extrafuns ((x_192 Real))
  :extrafuns ((x_193 Real))
  :extrafuns ((x_194 Real))
  :extrafuns ((x_195 Real))
  :extrafuns ((x_196 Real))
  :extrafuns ((x_197 Real))
  :extrafuns ((x_198 Real))
  :extrafuns ((x_199 Real))
  :extrafuns ((x_200 Real))
  :extrafuns ((x_201 Real))
  :extrafuns ((x_202 Real))
  :extrafuns ((x_203 Real))
  :extrafuns ((x_204 Real))
  :extrafuns ((x_205 Real))
  :extrafuns ((x_206 Real))
  :extrafuns ((x_207 Real))
  :extrafuns ((x_208 Real))
  :extrafuns ((x_209 Real))
  :extrafuns ((x_210 Real))
  :extrafuns ((x_211 Real))
  :extrafuns ((x_212 Real))
  :extrafuns ((x_213 Real))
  :extrafuns ((x_214 Real))
  :extrafuns ((x_215 Real))
  :extrafuns ((x_216 Real))
  :extrafuns ((x_217 Real))
  :extrafuns ((x_218 Real))
  :extrafuns ((x_219 Real))
  :extrafuns ((x_220 Real))
  :extrafuns ((x_221 Real))
  :extrafuns ((x_222 Real))
  :extrafuns ((x_223 Real))
  :extrafuns ((x_224 Real))
  :extrafuns ((x_225 Real))
  :extrafuns ((x_226 Real))
  :extrafuns ((x_227 Real))
  :extrafuns ((x_228 Real))
  :extrafuns ((x_229 Real))
  :extrafuns ((x_230 Real))
  :extrafuns ((x_231 Real))
  :extrafuns ((x_232 Real))
  :extrafuns ((x_233 Real))
  :extrafuns ((x_234 Real))
  :extrafuns ((x_235 Real))
  :extrafuns ((x_236 Real))
  :extrafuns ((x_237 Real))
  :extrafuns ((x_238 Real))
  :extrafuns ((x_239 Real))
  :extrafuns ((x_240 Real))
  :extrafuns ((x_241 Real))
  :extrafuns ((x_242 Real))
  :extrafuns ((x_243 Real))
  :extrafuns ((x_244 Real))
  :extrafuns ((x_245 Real))
  :extrafuns ((x_246 Real))
  :extrafuns ((x_247 Real))
  :extrafuns ((x_248 Real))
  :extrafuns ((x_249 Real))
  :extrafuns ((x_250 Real))
  :extrafuns ((x_251 Real))
  :extrafuns ((x_252 Real))
  :extrafuns ((x_253 Real))
  :extrafuns ((x_254 Real))
  :extrafuns ((x_255 Real))
  :extrafuns ((x_256 Real))
  :extrafuns ((x_257 Real))
  :extrafuns ((x_258 Real))
  :extrafuns ((x_259 Real))
  :extrafuns ((x_260 Real))
  :extrafuns ((x_261 Real))
  :extrafuns ((x_262 Real))
  :extrafuns ((x_263 Real))
  :extrafuns ((x_264 Real))
  :extrafuns ((x_265 Real))
  :extrafuns ((x_266 Real))
  :extrafuns ((x_267 Real))
  :extrafuns ((x_268 Real))
  :extrafuns ((x_269 Real))
  :extrafuns ((x_270 Real))
  :extrafuns ((x_271 Real))
  :extrafuns ((x_272 Real))
  :extrafuns ((x_273 Real))
  :extrafuns ((x_274 Real))
  :extrafuns ((x_275 Real))
  :extrafuns ((x_276 Real))
  :extrafuns ((x_277 Real))
  :extrafuns ((x_278 Real))
  :extrapreds ((x_279))
  :extrapreds ((x_280))
  :extrafuns ((x_281 Real))
  :extrapreds ((x_282))
  :extrapreds ((x_283))
  :extrapreds ((x_284))
  :extrapreds ((x_285))
  :extrapreds ((x_286))
  :extrafuns ((x_287 Real))
  :extrapreds ((x_288))
  :extrafuns ((x_289 Real))
  :extrafuns ((x_290 Real))
  :extrafuns ((x_291 Real))
  :extrapreds ((x_292))
  :extrafuns ((x_293 Real))
  :extrapreds ((x_294))
  :extrapreds ((x_295))
  :extrafuns ((x_296 Real))
  :extrapreds ((x_297))
  :extrafuns ((x_298 Real))
  :extrafuns ((x_299 Real))
  :extrafuns ((x_300 Real))
  :extrapreds ((x_301))
  :extrafuns ((x_302 Real))
  :extrapreds ((x_303))
  :extrapreds ((x_304))
  :extrafuns ((x_305 Real))
  :extrapreds ((x_306))
  :extrafuns ((x_307 Real))
  :extrafuns ((x_308 Real))
  :extrafuns ((x_309 Real))
  :extrapreds ((x_310))
  :extrafuns ((x_311 Real))
  :extrapreds ((x_312))
  :extrapreds ((x_313))
  :extrafuns ((x_314 Real))
  :extrapreds ((x_315))
  :extrafuns ((x_316 Real))
  :extrafuns ((x_317 Real))
  :extrafuns ((x_318 Real))
  :extrapreds ((x_319))
  :extrafuns ((x_320 Real))
  :extrapreds ((x_321))
  :extrapreds ((x_322))
  :extrafuns ((x_323 Real))
  :extrapreds ((x_324))
  :extrafuns ((x_325 Real))
  :extrafuns ((x_326 Real))
  :extrafuns ((x_327 Real))
  :extrapreds ((x_328))
  :extrafuns ((x_329 Real))
  :extrapreds ((x_330))
  :extrapreds ((x_331))
  :extrafuns ((x_332 Real))
  :extrapreds ((x_333))
  :extrafuns ((x_334 Real))
  :extrafuns ((x_335 Real))
  :extrafuns ((x_336 Real))
  :extrapreds ((x_337))
  :extrafuns ((x_338 Real))
  :extrapreds ((x_339))
  :extrapreds ((x_340))
  :extrafuns ((x_341 Real))
  :extrapreds ((x_342))
  :extrafuns ((x_343 Real))
  :extrafuns ((x_344 Real))
  :extrafuns ((x_345 Real))
  :extrapreds ((x_346))
  :extrafuns ((x_347 Real))
  :extrapreds ((x_348))
  :extrapreds ((x_349))
  :extrafuns ((x_350 Real))
  :extrapreds ((x_351))
  :extrafuns ((x_352 Real))
  :extrafuns ((x_353 Real))
  :extrafuns ((x_354 Real))
  :extrapreds ((x_355))
  :extrafuns ((x_356 Real))
  :extrapreds ((x_357))
  :extrapreds ((x_358))
  :extrafuns ((x_359 Real))
  :extrapreds ((x_360))
  :extrafuns ((x_361 Real))
  :extrafuns ((x_362 Real))
  :extrafuns ((x_363 Real))
  :extrapreds ((x_364))
  :extrafuns ((x_365 Real))
  :extrapreds ((x_366))
  :extrapreds ((x_367))
  :extrafuns ((x_368 Real))
  :extrapreds ((x_369))
  :extrafuns ((x_370 Real))
  :extrafuns ((x_371 Real))
  :extrafuns ((x_372 Real))
  :extrapreds ((x_373))
  :extrafuns ((x_374 Real))
  :extrapreds ((x_375))
  :extrapreds ((x_376))
  :extrafuns ((x_377 Real))
  :extrapreds ((x_378))
  :extrafuns ((x_379 Real))
  :extrafuns ((x_380 Real))
  :extrafuns ((x_381 Real))
  :extrapreds ((x_382))
  :extrafuns ((x_383 Real))
  :extrapreds ((x_384))
  :extrapreds ((x_385))
  :extrafuns ((x_386 Real))
  :extrapreds ((x_387))
  :extrafuns ((x_388 Real))
  :extrafuns ((x_389 Real))
  :extrafuns ((x_390 Real))
  :extrapreds ((x_391))
  :extrafuns ((x_392 Real))
  :extrapreds ((x_393))
  :extrapreds ((x_394))
  :extrafuns ((x_395 Real))
  :extrapreds ((x_396))
  :extrafuns ((x_397 Real))
  :extrafuns ((x_398 Real))
  :extrafuns ((x_399 Real))
  :extrapreds ((x_400))
  :extrafuns ((x_401 Real))
  :extrapreds ((x_402))
  :extrapreds ((x_403))
  :extrafuns ((x_404 Real))
  :extrapreds ((x_405))
  :extrafuns ((x_406 Real))
  :extrafuns ((x_407 Real))
  :extrafuns ((x_408 Real))
  :extrapreds ((x_409))
  :extrafuns ((x_410 Real))
  :extrapreds ((x_411))
  :extrapreds ((x_412))
  :extrafuns ((x_413 Real))
  :extrapreds ((x_414))
  :extrafuns ((x_415 Real))
  :extrafuns ((x_416 Real))
  :extrafuns ((x_417 Real))
  :extrapreds ((x_418))
  :extrafuns ((x_419 Real))
  :extrapreds ((x_420))
  :extrapreds ((x_421))
  :extrafuns ((x_422 Real))
  :extrapreds ((x_423))
  :extrafuns ((x_424 Real))
  :extrafuns ((x_425 Real))
  :extrafuns ((x_426 Real))
  :extrapreds ((x_427))
  :extrafuns ((x_428 Real))
  :extrapreds ((x_429))
  :extrapreds ((x_430))
  :extrafuns ((x_431 Real))
  :extrapreds ((x_432))
  :extrafuns ((x_433 Real))
  :extrafuns ((x_434 Real))
  :extrafuns ((x_435 Real))
  :extrapreds ((x_436))
  :extrafuns ((x_437 Real))
  :extrapreds ((x_438))
  :extrapreds ((x_439))
  :extrafuns ((x_440 Real))
  :extrapreds ((x_441))
  :extrafuns ((x_442 Real))
  :extrafuns ((x_443 Real))
  :extrafuns ((x_444 Real))
  :extrapreds ((x_445))
  :extrafuns ((x_446 Real))
  :extrapreds ((x_447))
  :extrapreds ((x_448))
  :extrafuns ((x_449 Real))
  :extrapreds ((x_450))
  :extrafuns ((x_451 Real))
  :extrafuns ((x_452 Real))
  :extrafuns ((x_453 Real))
  :extrapreds ((x_454))
  :extrafuns ((x_455 Real))
  :extrapreds ((x_456))
  :extrapreds ((x_457))
  :extrafuns ((x_458 Real))
  :extrapreds ((x_459))
  :extrafuns ((x_460 Real))
  :extrafuns ((x_461 Real))
  :extrafuns ((x_462 Real))
  :extrapreds ((x_463))
  :extrafuns ((x_464 Real))
  :extrapreds ((x_465))
  :extrapreds ((x_466))
  :extrafuns ((x_467 Real))
  :extrapreds ((x_468))
  :extrafuns ((x_469 Real))
  :extrafuns ((x_470 Real))
  :extrafuns ((x_471 Real))
  :extrapreds ((x_472))
  :extrafuns ((x_473 Real))
  :extrapreds ((x_474))
  :extrapreds ((x_475))
  :extrafuns ((x_476 Real))
  :extrapreds ((x_477))
  :extrafuns ((x_478 Real))
  :extrafuns ((x_479 Real))
  :extrafuns ((x_480 Real))
  :extrapreds ((x_481))
  :extrafuns ((x_482 Real))
  :extrapreds ((x_483))
  :extrapreds ((x_484))
  :extrafuns ((x_485 Real))
  :extrapreds ((x_486))
  :extrafuns ((x_487 Real))
  :extrafuns ((x_488 Real))
  :extrafuns ((x_489 Real))
  :extrapreds ((x_490))
  :extrafuns ((x_491 Real))
  :extrapreds ((x_492))
  :extrapreds ((x_493))
  :extrafuns ((x_494 Real))
  :extrapreds ((x_495))
  :extrafuns ((x_496 Real))
  :extrafuns ((x_497 Real))
  :extrafuns ((x_498 Real))
  :extrapreds ((x_499))
  :extrafuns ((x_500 Real))
  :extrapreds ((x_501))
  :extrapreds ((x_502))
  :extrafuns ((x_503 Real))
  :extrapreds ((x_504))
  :extrafuns ((x_505 Real))
  :extrafuns ((x_506 Real))
  :extrafuns ((x_507 Real))
  :extrapreds ((x_508))
  :extrafuns ((x_509 Real))
  :extrapreds ((x_510))
  :extrapreds ((x_511))
  :extrafuns ((x_512 Real))
  :extrapreds ((x_513))
  :extrafuns ((x_514 Real))
  :extrafuns ((x_515 Real))
  :extrafuns ((x_516 Real))
  :extrapreds ((x_517))
  :extrafuns ((x_518 Real))
  :extrapreds ((x_519))
  :extrapreds ((x_520))
  :extrafuns ((x_521 Real))
  :extrapreds ((x_522))
  :extrafuns ((x_523 Real))
  :extrafuns ((x_524 Real))
  :extrafuns ((x_525 Real))
  :extrapreds ((x_526))
  :extrafuns ((x_527 Real))
  :extrapreds ((x_528))
  :extrapreds ((x_529))
  :extrafuns ((x_530 Real))
  :extrapreds ((x_531))
  :extrafuns ((x_532 Real))
  :extrafuns ((x_533 Real))
  :extrafuns ((x_534 Real))
  :extrapreds ((x_535))
  :extrafuns ((x_536 Real))
  :extrapreds ((x_537))
  :extrapreds ((x_538))
  :extrafuns ((x_539 Real))
  :extrapreds ((x_540))
  :extrafuns ((x_541 Real))
  :extrafuns ((x_542 Real))
  :extrafuns ((x_543 Real))
  :extrapreds ((x_544))
  :extrafuns ((x_545 Real))
  :extrafuns ((x_546 Real))
  :extrapreds ((x_547))
  :extrapreds ((x_548))
  :extrapreds ((x_549))
  :extrapreds ((x_550))
  :extrafuns ((x_551 Real))
  :extrapreds ((x_552))
  :extrafuns ((x_553 Real))
  :extrafuns ((x_554 Real))
  :extrafuns ((x_555 Real))
  :extrafuns ((x_556 Real))
  :formula
(let (?cvcl_30 (ite (<= x_120 x_121) x_120 x_121)) (let (?cvcl_29 (ite (<= x_129 x_130) x_129 x_130)) (let (?cvcl_28 (ite (<= x_134 x_135) x_134 x_135)) (let (?cvcl_27 (ite (<= x_139 x_140) x_139 x_140)) (let (?cvcl_26 (ite (<= x_144 x_145) x_144 x_145)) (let (?cvcl_25 (ite (<= x_149 x_150) x_149 x_150)) (let (?cvcl_24 (ite (<= x_154 x_155) x_154 x_155)) (let (?cvcl_23 (ite (<= x_159 x_160) x_159 x_160)) (let (?cvcl_22 (ite (<= x_164 x_165) x_164 x_165)) (let (?cvcl_21 (ite (<= x_169 x_170) x_169 x_170)) (let (?cvcl_20 (ite (<= x_174 x_175) x_174 x_175)) (let (?cvcl_19 (ite (<= x_179 x_180) x_179 x_180)) (let (?cvcl_18 (ite (<= x_184 x_185) x_184 x_185)) (let (?cvcl_17 (ite (<= x_189 x_190) x_189 x_190)) (let (?cvcl_16 (ite (<= x_194 x_195) x_194 x_195)) (let (?cvcl_15 (ite (<= x_199 x_200) x_199 x_200)) (let (?cvcl_14 (ite (<= x_204 x_205) x_204 x_205)) (let (?cvcl_13 (ite (<= x_209 x_210) x_209 x_210)) (let (?cvcl_12 (ite (<= x_214 x_215) x_214 x_215)) (let (?cvcl_11 (ite (<= x_219 x_220) x_219 x_220)) (let (?cvcl_10 (ite (<= x_224 x_225) x_224 x_225)) (let (?cvcl_9 (ite (<= x_229 x_230) x_229 x_230)) (let (?cvcl_8 (ite (<= x_234 x_235) x_234 x_235)) (let (?cvcl_7 (ite (<= x_239 x_240) x_239 x_240)) (let (?cvcl_6 (ite (<= x_244 x_245) x_244 x_245)) (let (?cvcl_5 (ite (<= x_249 x_250) x_249 x_250)) (let (?cvcl_4 (ite (<= x_254 x_255) x_254 x_255)) (let (?cvcl_3 (ite (<= x_259 x_260) x_259 x_260)) (let (?cvcl_2 (ite (<= x_264 x_265) x_264 x_265)) (let (?cvcl_1 (ite (<= x_269 x_270) x_269 x_270)) (let (?cvcl_0 (ite (<= x_274 x_275) x_274 x_275)) (flet ($cvcl_384 (= x_131 x_125)) (flet ($cvcl_386 (= x_121 x_130)) (flet ($cvcl_387 (= x_133 x_127)) (flet ($cvcl_382 (= x_120 x_129)) (flet ($cvcl_388 (not $cvcl_382)) (flet ($cvcl_390 (= x_132 x_126)) (flet ($cvcl_379 (iff x_279 x_280)) (flet ($cvcl_380 (= x_7 x_3)) (let (?cvcl_383 (ite (<= x_121 x_120) x_121 x_120)) (flet ($cvcl_372 (= x_136 x_131)) (flet ($cvcl_374 (= x_130 x_135)) (flet ($cvcl_375 (= x_138 x_133)) (flet ($cvcl_370 (= x_129 x_134)) (flet ($cvcl_376 (not $cvcl_370)) (flet ($cvcl_378 (= x_137 x_132)) (flet ($cvcl_367 (iff x_292 x_279)) (flet ($cvcl_368 (= x_11 x_7)) (let (?cvcl_371 (ite (<= x_130 x_129) x_130 x_129)) (flet ($cvcl_360 (= x_141 x_136)) (flet ($cvcl_362 (= x_135 x_140)) (flet ($cvcl_363 (= x_143 x_138)) (flet ($cvcl_358 (= x_134 x_139)) (flet ($cvcl_364 (not $cvcl_358)) (flet ($cvcl_366 (= x_142 x_137)) (flet ($cvcl_355 (iff x_301 x_292)) (flet ($cvcl_356 (= x_15 x_11)) (let (?cvcl_359 (ite (<= x_135 x_134) x_135 x_134)) (flet ($cvcl_348 (= x_146 x_141)) (flet ($cvcl_350 (= x_140 x_145)) (flet ($cvcl_351 (= x_148 x_143)) (flet ($cvcl_346 (= x_139 x_144)) (flet ($cvcl_352 (not $cvcl_346)) (flet ($cvcl_354 (= x_147 x_142)) (flet ($cvcl_343 (iff x_310 x_301)) (flet ($cvcl_344 (= x_19 x_15)) (let (?cvcl_347 (ite (<= x_140 x_139) x_140 x_139)) (flet ($cvcl_336 (= x_151 x_146)) (flet ($cvcl_338 (= x_145 x_150)) (flet ($cvcl_339 (= x_153 x_148)) (flet ($cvcl_334 (= x_144 x_149)) (flet ($cvcl_340 (not $cvcl_334)) (flet ($cvcl_342 (= x_152 x_147)) (flet ($cvcl_331 (iff x_319 x_310)) (flet ($cvcl_332 (= x_23 x_19)) (let (?cvcl_335 (ite (<= x_145 x_144) x_145 x_144)) (flet ($cvcl_324 (= x_156 x_151)) (flet ($cvcl_326 (= x_150 x_155)) (flet ($cvcl_327 (= x_158 x_153)) (flet ($cvcl_322 (= x_149 x_154)) (flet ($cvcl_328 (not $cvcl_322)) (flet ($cvcl_330 (= x_157 x_152)) (flet ($cvcl_319 (iff x_328 x_319)) (flet ($cvcl_320 (= x_27 x_23)) (let (?cvcl_323 (ite (<= x_150 x_149) x_150 x_149)) (flet ($cvcl_312 (= x_161 x_156)) (flet ($cvcl_314 (= x_155 x_160)) (flet ($cvcl_315 (= x_163 x_158)) (flet ($cvcl_310 (= x_154 x_159)) (flet ($cvcl_316 (not $cvcl_310)) (flet ($cvcl_318 (= x_162 x_157)) (flet ($cvcl_307 (iff x_337 x_328)) (flet ($cvcl_308 (= x_31 x_27)) (let (?cvcl_311 (ite (<= x_155 x_154) x_155 x_154)) (flet ($cvcl_300 (= x_166 x_161)) (flet ($cvcl_302 (= x_160 x_165)) (flet ($cvcl_303 (= x_168 x_163)) (flet ($cvcl_298 (= x_159 x_164)) (flet ($cvcl_304 (not $cvcl_298)) (flet ($cvcl_306 (= x_167 x_162)) (flet ($cvcl_295 (iff x_346 x_337)) (flet ($cvcl_296 (= x_35 x_31)) (let (?cvcl_299 (ite (<= x_160 x_159) x_160 x_159)) (flet ($cvcl_288 (= x_171 x_166)) (flet ($cvcl_290 (= x_165 x_170)) (flet ($cvcl_291 (= x_173 x_168)) (flet ($cvcl_286 (= x_164 x_169)) (flet ($cvcl_292 (not $cvcl_286)) (flet ($cvcl_294 (= x_172 x_167)) (flet ($cvcl_283 (iff x_355 x_346)) (flet ($cvcl_284 (= x_39 x_35)) (let (?cvcl_287 (ite (<= x_165 x_164) x_165 x_164)) (flet ($cvcl_276 (= x_176 x_171)) (flet ($cvcl_278 (= x_170 x_175)) (flet ($cvcl_279 (= x_178 x_173)) (flet ($cvcl_274 (= x_169 x_174)) (flet ($cvcl_280 (not $cvcl_274)) (flet ($cvcl_282 (= x_177 x_172)) (flet ($cvcl_271 (iff x_364 x_355)) (flet ($cvcl_272 (= x_43 x_39)) (let (?cvcl_275 (ite (<= x_170 x_169) x_170 x_169)) (flet ($cvcl_264 (= x_181 x_176)) (flet ($cvcl_266 (= x_175 x_180)) (flet ($cvcl_267 (= x_183 x_178)) (flet ($cvcl_262 (= x_174 x_179)) (flet ($cvcl_268 (not $cvcl_262)) (flet ($cvcl_270 (= x_182 x_177)) (flet ($cvcl_259 (iff x_373 x_364)) (flet ($cvcl_260 (= x_47 x_43)) (let (?cvcl_263 (ite (<= x_175 x_174) x_175 x_174)) (flet ($cvcl_252 (= x_186 x_181)) (flet ($cvcl_254 (= x_180 x_185)) (flet ($cvcl_255 (= x_188 x_183)) (flet ($cvcl_250 (= x_179 x_184)) (flet ($cvcl_256 (not $cvcl_250)) (flet ($cvcl_258 (= x_187 x_182)) (flet ($cvcl_247 (iff x_382 x_373)) (flet ($cvcl_248 (= x_51 x_47)) (let (?cvcl_251 (ite (<= x_180 x_179) x_180 x_179)) (flet ($cvcl_240 (= x_191 x_186)) (flet ($cvcl_242 (= x_185 x_190)) (flet ($cvcl_243 (= x_193 x_188)) (flet ($cvcl_238 (= x_184 x_189)) (flet ($cvcl_244 (not $cvcl_238)) (flet ($cvcl_246 (= x_192 x_187)) (flet ($cvcl_235 (iff x_391 x_382)) (flet ($cvcl_236 (= x_55 x_51)) (let (?cvcl_239 (ite (<= x_185 x_184) x_185 x_184)) (flet ($cvcl_228 (= x_196 x_191)) (flet ($cvcl_230 (= x_190 x_195)) (flet ($cvcl_231 (= x_198 x_193)) (flet ($cvcl_226 (= x_189 x_194)) (flet ($cvcl_232 (not $cvcl_226)) (flet ($cvcl_234 (= x_197 x_192)) (flet ($cvcl_223 (iff x_400 x_391)) (flet ($cvcl_224 (= x_59 x_55)) (let (?cvcl_227 (ite (<= x_190 x_189) x_190 x_189)) (flet ($cvcl_216 (= x_201 x_196)) (flet ($cvcl_218 (= x_195 x_200)) (flet ($cvcl_219 (= x_203 x_198)) (flet ($cvcl_214 (= x_194 x_199)) (flet ($cvcl_220 (not $cvcl_214)) (flet ($cvcl_222 (= x_202 x_197)) (flet ($cvcl_211 (iff x_409 x_400)) (flet ($cvcl_212 (= x_63 x_59)) (let (?cvcl_215 (ite (<= x_195 x_194) x_195 x_194)) (flet ($cvcl_204 (= x_206 x_201)) (flet ($cvcl_206 (= x_200 x_205)) (flet ($cvcl_207 (= x_208 x_203)) (flet ($cvcl_202 (= x_199 x_204)) (flet ($cvcl_208 (not $cvcl_202)) (flet ($cvcl_210 (= x_207 x_202)) (flet ($cvcl_199 (iff x_418 x_409)) (flet ($cvcl_200 (= x_67 x_63)) (let (?cvcl_203 (ite (<= x_200 x_199) x_200 x_199)) (flet ($cvcl_192 (= x_211 x_206)) (flet ($cvcl_194 (= x_205 x_210)) (flet ($cvcl_195 (= x_213 x_208)) (flet ($cvcl_190 (= x_204 x_209)) (flet ($cvcl_196 (not $cvcl_190)) (flet ($cvcl_198 (= x_212 x_207)) (flet ($cvcl_187 (iff x_427 x_418)) (flet ($cvcl_188 (= x_71 x_67)) (let (?cvcl_191 (ite (<= x_205 x_204) x_205 x_204)) (flet ($cvcl_180 (= x_216 x_211)) (flet ($cvcl_182 (= x_210 x_215)) (flet ($cvcl_183 (= x_218 x_213)) (flet ($cvcl_178 (= x_209 x_214)) (flet ($cvcl_184 (not $cvcl_178)) (flet ($cvcl_186 (= x_217 x_212)) (flet ($cvcl_175 (iff x_436 x_427)) (flet ($cvcl_176 (= x_75 x_71)) (let (?cvcl_179 (ite (<= x_210 x_209) x_210 x_209)) (flet ($cvcl_168 (= x_221 x_216)) (flet ($cvcl_170 (= x_215 x_220)) (flet ($cvcl_171 (= x_223 x_218)) (flet ($cvcl_166 (= x_214 x_219)) (flet ($cvcl_172 (not $cvcl_166)) (flet ($cvcl_174 (= x_222 x_217)) (flet ($cvcl_163 (iff x_445 x_436)) (flet ($cvcl_164 (= x_79 x_75)) (let (?cvcl_167 (ite (<= x_215 x_214) x_215 x_214)) (flet ($cvcl_156 (= x_226 x_221)) (flet ($cvcl_158 (= x_220 x_225)) (flet ($cvcl_159 (= x_228 x_223)) (flet ($cvcl_154 (= x_219 x_224)) (flet ($cvcl_160 (not $cvcl_154)) (flet ($cvcl_162 (= x_227 x_222)) (flet ($cvcl_151 (iff x_454 x_445)) (flet ($cvcl_152 (= x_83 x_79)) (let (?cvcl_155 (ite (<= x_220 x_219) x_220 x_219)) (flet ($cvcl_144 (= x_231 x_226)) (flet ($cvcl_146 (= x_225 x_230)) (flet ($cvcl_147 (= x_233 x_228)) (flet ($cvcl_142 (= x_224 x_229)) (flet ($cvcl_148 (not $cvcl_142)) (flet ($cvcl_150 (= x_232 x_227)) (flet ($cvcl_139 (iff x_463 x_454)) (flet ($cvcl_140 (= x_87 x_83)) (let (?cvcl_143 (ite (<= x_225 x_224) x_225 x_224)) (flet ($cvcl_132 (= x_236 x_231)) (flet ($cvcl_134 (= x_230 x_235)) (flet ($cvcl_135 (= x_238 x_233)) (flet ($cvcl_130 (= x_229 x_234)) (flet ($cvcl_136 (not $cvcl_130)) (flet ($cvcl_138 (= x_237 x_232)) (flet ($cvcl_127 (iff x_472 x_463)) (flet ($cvcl_128 (= x_91 x_87)) (let (?cvcl_131 (ite (<= x_230 x_229) x_230 x_229)) (flet ($cvcl_120 (= x_241 x_236)) (flet ($cvcl_122 (= x_235 x_240)) (flet ($cvcl_123 (= x_243 x_238)) (flet ($cvcl_118 (= x_234 x_239)) (flet ($cvcl_124 (not $cvcl_118)) (flet ($cvcl_126 (= x_242 x_237)) (flet ($cvcl_115 (iff x_481 x_472)) (flet ($cvcl_116 (= x_95 x_91)) (let (?cvcl_119 (ite (<= x_235 x_234) x_235 x_234)) (flet ($cvcl_108 (= x_246 x_241)) (flet ($cvcl_110 (= x_240 x_245)) (flet ($cvcl_111 (= x_248 x_243)) (flet ($cvcl_106 (= x_239 x_244)) (flet ($cvcl_112 (not $cvcl_106)) (flet ($cvcl_114 (= x_247 x_242)) (flet ($cvcl_103 (iff x_490 x_481)) (flet ($cvcl_104 (= x_99 x_95)) (let (?cvcl_107 (ite (<= x_240 x_239) x_240 x_239)) (flet ($cvcl_96 (= x_251 x_246)) (flet ($cvcl_98 (= x_245 x_250)) (flet ($cvcl_99 (= x_253 x_248)) (flet ($cvcl_94 (= x_244 x_249)) (flet ($cvcl_100 (not $cvcl_94)) (flet ($cvcl_102 (= x_252 x_247)) (flet ($cvcl_91 (iff x_499 x_490)) (flet ($cvcl_92 (= x_103 x_99)) (let (?cvcl_95 (ite (<= x_245 x_244) x_245 x_244)) (flet ($cvcl_84 (= x_256 x_251)) (flet ($cvcl_86 (= x_250 x_255)) (flet ($cvcl_87 (= x_258 x_253)) (flet ($cvcl_82 (= x_249 x_254)) (flet ($cvcl_88 (not $cvcl_82)) (flet ($cvcl_90 (= x_257 x_252)) (flet ($cvcl_79 (iff x_508 x_499)) (flet ($cvcl_80 (= x_107 x_103)) (let (?cvcl_83 (ite (<= x_250 x_249) x_250 x_249)) (flet ($cvcl_72 (= x_261 x_256)) (flet ($cvcl_74 (= x_255 x_260)) (flet ($cvcl_75 (= x_263 x_258)) (flet ($cvcl_70 (= x_254 x_259)) (flet ($cvcl_76 (not $cvcl_70)) (flet ($cvcl_78 (= x_262 x_257)) (flet ($cvcl_67 (iff x_517 x_508)) (flet ($cvcl_68 (= x_111 x_107)) (let (?cvcl_71 (ite (<= x_255 x_254) x_255 x_254)) (flet ($cvcl_60 (= x_266 x_261)) (flet ($cvcl_62 (= x_260 x_265)) (flet ($cvcl_63 (= x_268 x_263)) (flet ($cvcl_58 (= x_259 x_264)) (flet ($cvcl_64 (not $cvcl_58)) (flet ($cvcl_66 (= x_267 x_262)) (flet ($cvcl_55 (iff x_526 x_517)) (flet ($cvcl_56 (= x_115 x_111)) (let (?cvcl_59 (ite (<= x_260 x_259) x_260 x_259)) (flet ($cvcl_48 (= x_271 x_266)) (flet ($cvcl_50 (= x_265 x_270)) (flet ($cvcl_51 (= x_273 x_268)) (flet ($cvcl_46 (= x_264 x_269)) (flet ($cvcl_52 (not $cvcl_46)) (flet ($cvcl_54 (= x_272 x_267)) (flet ($cvcl_43 (iff x_535 x_526)) (flet ($cvcl_44 (= x_119 x_115)) (let (?cvcl_47 (ite (<= x_265 x_264) x_265 x_264)) (flet ($cvcl_36 (= x_276 x_271)) (flet ($cvcl_38 (= x_270 x_275)) (flet ($cvcl_39 (= x_278 x_273)) (flet ($cvcl_34 (= x_269 x_274)) (flet ($cvcl_40 (not $cvcl_34)) (flet ($cvcl_42 (= x_277 x_272)) (flet ($cvcl_31 (iff x_544 x_535)) (flet ($cvcl_32 (= x_545 x_119)) (let (?cvcl_35 (ite (<= x_270 x_269) x_270 x_269)) (flet ($cvcl_33 (iff x_548 x_117)) (flet ($cvcl_41 (= x_119 x_545)) (flet ($cvcl_45 (iff x_117 x_113)) (flet ($cvcl_53 (= x_115 x_119)) (flet ($cvcl_57 (iff x_113 x_109)) (flet ($cvcl_65 (= x_111 x_115)) (flet ($cvcl_69 (iff x_109 x_105)) (flet ($cvcl_77 (= x_107 x_111)) (flet ($cvcl_81 (iff x_105 x_101)) (flet ($cvcl_89 (= x_103 x_107)) (flet ($cvcl_93 (iff x_101 x_97)) (flet ($cvcl_101 (= x_99 x_103)) (flet ($cvcl_105 (iff x_97 x_93)) (flet ($cvcl_113 (= x_95 x_99)) (flet ($cvcl_117 (iff x_93 x_89)) (flet ($cvcl_125 (= x_91 x_95)) (flet ($cvcl_129 (iff x_89 x_85)) (flet ($cvcl_137 (= x_87 x_91)) (flet ($cvcl_141 (iff x_85 x_81)) (flet ($cvcl_149 (= x_83 x_87)) (flet ($cvcl_153 (iff x_81 x_77)) (flet ($cvcl_161 (= x_79 x_83)) (flet ($cvcl_165 (iff x_77 x_73)) (flet ($cvcl_173 (= x_75 x_79)) (flet ($cvcl_177 (iff x_73 x_69)) (flet ($cvcl_185 (= x_71 x_75)) (flet ($cvcl_189 (iff x_69 x_65)) (flet ($cvcl_197 (= x_67 x_71)) (flet ($cvcl_201 (iff x_65 x_61)) (flet ($cvcl_209 (= x_63 x_67)) (flet ($cvcl_213 (iff x_61 x_57)) (flet ($cvcl_221 (= x_59 x_63)) (flet ($cvcl_225 (iff x_57 x_53)) (flet ($cvcl_233 (= x_55 x_59)) (flet ($cvcl_237 (iff x_53 x_49)) (flet ($cvcl_245 (= x_51 x_55)) (flet ($cvcl_249 (iff x_49 x_45)) (flet ($cvcl_257 (= x_47 x_51)) (flet ($cvcl_261 (iff x_45 x_41)) (flet ($cvcl_269 (= x_43 x_47)) (flet ($cvcl_273 (iff x_41 x_37)) (flet ($cvcl_281 (= x_39 x_43)) (flet ($cvcl_285 (iff x_37 x_33)) (flet ($cvcl_293 (= x_35 x_39)) (flet ($cvcl_297 (iff x_33 x_29)) (flet ($cvcl_305 (= x_31 x_35)) (flet ($cvcl_309 (iff x_29 x_25)) (flet ($cvcl_317 (= x_27 x_31)) (flet ($cvcl_321 (iff x_25 x_21)) (flet ($cvcl_329 (= x_23 x_27)) (flet ($cvcl_333 (iff x_21 x_17)) (flet ($cvcl_341 (= x_19 x_23)) (flet ($cvcl_345 (iff x_17 x_13)) (flet ($cvcl_353 (= x_15 x_19)) (flet ($cvcl_357 (iff x_13 x_9)) (flet ($cvcl_365 (= x_11 x_15)) (flet ($cvcl_369 (iff x_9 x_5)) (flet ($cvcl_377 (= x_7 x_11)) (flet ($cvcl_381 (iff x_5 x_1)) (flet ($cvcl_389 (= x_3 x_7)) (flet ($cvcl_37 (<= x_273 ?cvcl_1)) (flet ($cvcl_49 (<= x_268 ?cvcl_2)) (flet ($cvcl_61 (<= x_263 ?cvcl_3)) (flet ($cvcl_73 (<= x_258 ?cvcl_4)) (flet ($cvcl_85 (<= x_253 ?cvcl_5)) (flet ($cvcl_97 (<= x_248 ?cvcl_6)) (flet ($cvcl_109 (<= x_243 ?cvcl_7)) (flet ($cvcl_121 (<= x_238 ?cvcl_8)) (flet ($cvcl_133 (<= x_233 ?cvcl_9)) (flet ($cvcl_145 (<= x_228 ?cvcl_10)) (flet ($cvcl_157 (<= x_223 ?cvcl_11)) (flet ($cvcl_169 (<= x_218 ?cvcl_12)) (flet ($cvcl_181 (<= x_213 ?cvcl_13)) (flet ($cvcl_193 (<= x_208 ?cvcl_14)) (flet ($cvcl_205 (<= x_203 ?cvcl_15)) (flet ($cvcl_217 (<= x_198 ?cvcl_16)) (flet ($cvcl_229 (<= x_193 ?cvcl_17)) (flet ($cvcl_241 (<= x_188 ?cvcl_18)) (flet ($cvcl_253 (<= x_183 ?cvcl_19)) (flet ($cvcl_265 (<= x_178 ?cvcl_20)) (flet ($cvcl_277 (<= x_173 ?cvcl_21)) (flet ($cvcl_289 (<= x_168 ?cvcl_22)) (flet ($cvcl_301 (<= x_163 ?cvcl_23)) (flet ($cvcl_313 (<= x_158 ?cvcl_24)) (flet ($cvcl_325 (<= x_153 ?cvcl_25)) (flet ($cvcl_337 (<= x_148 ?cvcl_26)) (flet ($cvcl_349 (<= x_143 ?cvcl_27)) (flet ($cvcl_361 (<= x_138 ?cvcl_28)) (flet ($cvcl_373 (<= x_133 ?cvcl_29)) (flet ($cvcl_385 (<= x_127 ?cvcl_30)) (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (> x_122 0) (> x_123 0)) (>= x_124 0)) (< x_124 x_122)) (< x_124 x_123)) (>= x_128 0)) (< x_128 x_122)) (< x_128 x_123)) (or (iff x_116 x_117)  (= x_118 x_119) )) (or (iff x_112 x_113)  (= x_114 x_115) )) (or (iff x_108 x_109)  (= x_110 x_111) )) (or (iff x_104 x_105)  (= x_106 x_107) )) (or (iff x_100 x_101)  (= x_102 x_103) )) (or (iff x_96 x_97)  (= x_98 x_99) )) (or (iff x_92 x_93)  (= x_94 x_95) )) (or (iff x_88 x_89)  (= x_90 x_91) )) (or (iff x_84 x_85)  (= x_86 x_87) )) (or (iff x_80 x_81)  (= x_82 x_83) )) (or (iff x_76 x_77)  (= x_78 x_79) )) (or (iff x_72 x_73)  (= x_74 x_75) )) (or (iff x_68 x_69)  (= x_70 x_71) )) (or (iff x_64 x_65)  (= x_66 x_67) )) (or (iff x_60 x_61)  (= x_62 x_63) )) (or (iff x_56 x_57)  (= x_58 x_59) )) (or (iff x_52 x_53)  (= x_54 x_55) )) (or (iff x_48 x_49)  (= x_50 x_51) )) (or (iff x_44 x_45)  (= x_46 x_47) )) (or (iff x_40 x_41)  (= x_42 x_43) )) (or (iff x_36 x_37)  (= x_38 x_39) )) (or (iff x_32 x_33)  (= x_34 x_35) )) (or (iff x_28 x_29)  (= x_30 x_31) )) (or (iff x_24 x_25)  (= x_26 x_27) )) (or (iff x_20 x_21)  (= x_22 x_23) )) (or (iff x_16 x_17)  (= x_18 x_19) )) (or (iff x_12 x_13)  (= x_14 x_15) )) (or (iff x_8 x_9)  (= x_10 x_11) )) (or (iff x_4 x_5)  (= x_6 x_7) )) (or (iff x_0 x_1)  (= x_2 x_3) )) (or (<= x_276 ?cvcl_0)  (<= (- (+ x_276 x_123) x_124) x_275) )) (or (<= x_277 ?cvcl_0)  (<= (- (+ x_277 x_123) x_124) x_275) )) (or (<= x_278 ?cvcl_0)  (<= (- (+ x_278 x_122) x_128) x_274) )) (<= x_278 (+ ?cvcl_0 x_128))) (<= x_277 (+ ?cvcl_0 x_124))) (<= x_276 (+ ?cvcl_0 x_124))) (<= ?cvcl_0 x_274)) (<= ?cvcl_0 x_275)) (or (<= x_271 ?cvcl_1)  (<= (- (+ x_271 x_123) x_124) x_270) )) (or (<= x_272 ?cvcl_1)  (<= (- (+ x_272 x_123) x_124) x_270) )) (or $cvcl_37  (<= (- (+ x_273 x_122) x_128) x_269) )) (<= x_273 (+ ?cvcl_1 x_128))) (<= x_272 (+ ?cvcl_1 x_124))) (<= x_271 (+ ?cvcl_1 x_124))) (<= ?cvcl_1 x_269)) (<= ?cvcl_1 x_270)) (or (<= x_266 ?cvcl_2)  (<= (- (+ x_266 x_123) x_124) x_265) )) (or (<= x_267 ?cvcl_2)  (<= (- (+ x_267 x_123) x_124) x_265) )) (or $cvcl_49  (<= (- (+ x_268 x_122) x_128) x_264) )) (<= x_268 (+ ?cvcl_2 x_128))) (<= x_267 (+ ?cvcl_2 x_124))) (<= x_266 (+ ?cvcl_2 x_124))) (<= ?cvcl_2 x_264)) (<= ?cvcl_2 x_265)) (or (<= x_261 ?cvcl_3)  (<= (- (+ x_261 x_123) x_124) x_260) )) (or (<= x_262 ?cvcl_3)  (<= (- (+ x_262 x_123) x_124) x_260) )) (or $cvcl_61  (<= (- (+ x_263 x_122) x_128) x_259) )) (<= x_263 (+ ?cvcl_3 x_128))) (<= x_262 (+ ?cvcl_3 x_124))) (<= x_261 (+ ?cvcl_3 x_124))) (<= ?cvcl_3 x_259)) (<= ?cvcl_3 x_260)) (or (<= x_256 ?cvcl_4)  (<= (- (+ x_256 x_123) x_124) x_255) )) (or (<= x_257 ?cvcl_4)  (<= (- (+ x_257 x_123) x_124) x_255) )) (or $cvcl_73  (<= (- (+ x_258 x_122) x_128) x_254) )) (<= x_258 (+ ?cvcl_4 x_128))) (<= x_257 (+ ?cvcl_4 x_124))) (<= x_256 (+ ?cvcl_4 x_124))) (<= ?cvcl_4 x_254)) (<= ?cvcl_4 x_255)) (or (<= x_251 ?cvcl_5)  (<= (- (+ x_251 x_123) x_124) x_250) )) (or (<= x_252 ?cvcl_5)  (<= (- (+ x_252 x_123) x_124) x_250) )) (or $cvcl_85  (<= (- (+ x_253 x_122) x_128) x_249) )) (<= x_253 (+ ?cvcl_5 x_128))) (<= x_252 (+ ?cvcl_5 x_124))) (<= x_251 (+ ?cvcl_5 x_124))) (<= ?cvcl_5 x_249)) (<= ?cvcl_5 x_250)) (or (<= x_246 ?cvcl_6)  (<= (- (+ x_246 x_123) x_124) x_245) )) (or (<= x_247 ?cvcl_6)  (<= (- (+ x_247 x_123) x_124) x_245) )) (or $cvcl_97  (<= (- (+ x_248 x_122) x_128) x_244) )) (<= x_248 (+ ?cvcl_6 x_128))) (<= x_247 (+ ?cvcl_6 x_124))) (<= x_246 (+ ?cvcl_6 x_124))) (<= ?cvcl_6 x_244)) (<= ?cvcl_6 x_245)) (or (<= x_241 ?cvcl_7)  (<= (- (+ x_241 x_123) x_124) x_240) )) (or (<= x_242 ?cvcl_7)  (<= (- (+ x_242 x_123) x_124) x_240) )) (or $cvcl_109  (<= (- (+ x_243 x_122) x_128) x_239) )) (<= x_243 (+ ?cvcl_7 x_128))) (<= x_242 (+ ?cvcl_7 x_124))) (<= x_241 (+ ?cvcl_7 x_124))) (<= ?cvcl_7 x_239)) (<= ?cvcl_7 x_240)) (or (<= x_236 ?cvcl_8)  (<= (- (+ x_236 x_123) x_124) x_235) )) (or (<= x_237 ?cvcl_8)  (<= (- (+ x_237 x_123) x_124) x_235) )) (or $cvcl_121  (<= (- (+ x_238 x_122) x_128) x_234) )) (<= x_238 (+ ?cvcl_8 x_128))) (<= x_237 (+ ?cvcl_8 x_124))) (<= x_236 (+ ?cvcl_8 x_124))) (<= ?cvcl_8 x_234)) (<= ?cvcl_8 x_235)) (or (<= x_231 ?cvcl_9)  (<= (- (+ x_231 x_123) x_124) x_230) )) (or (<= x_232 ?cvcl_9)  (<= (- (+ x_232 x_123) x_124) x_230) )) (or $cvcl_133  (<= (- (+ x_233 x_122) x_128) x_229) )) (<= x_233 (+ ?cvcl_9 x_128))) (<= x_232 (+ ?cvcl_9 x_124))) (<= x_231 (+ ?cvcl_9 x_124))) (<= ?cvcl_9 x_229)) (<= ?cvcl_9 x_230)) (or (<= x_226 ?cvcl_10)  (<= (- (+ x_226 x_123) x_124) x_225) )) (or (<= x_227 ?cvcl_10)  (<= (- (+ x_227 x_123) x_124) x_225) )) (or $cvcl_145  (<= (- (+ x_228 x_122) x_128) x_224) )) (<= x_228 (+ ?cvcl_10 x_128))) (<= x_227 (+ ?cvcl_10 x_124))) (<= x_226 (+ ?cvcl_10 x_124))) (<= ?cvcl_10 x_224)) (<= ?cvcl_10 x_225)) (or (<= x_221 ?cvcl_11)  (<= (- (+ x_221 x_123) x_124) x_220) )) (or (<= x_222 ?cvcl_11)  (<= (- (+ x_222 x_123) x_124) x_220) )) (or $cvcl_157  (<= (- (+ x_223 x_122) x_128) x_219) )) (<= x_223 (+ ?cvcl_11 x_128))) (<= x_222 (+ ?cvcl_11 x_124))) (<= x_221 (+ ?cvcl_11 x_124))) (<= ?cvcl_11 x_219)) (<= ?cvcl_11 x_220)) (or (<= x_216 ?cvcl_12)  (<= (- (+ x_216 x_123) x_124) x_215) )) (or (<= x_217 ?cvcl_12)  (<= (- (+ x_217 x_123) x_124) x_215) )) (or $cvcl_169  (<= (- (+ x_218 x_122) x_128) x_214) )) (<= x_218 (+ ?cvcl_12 x_128))) (<= x_217 (+ ?cvcl_12 x_124))) (<= x_216 (+ ?cvcl_12 x_124))) (<= ?cvcl_12 x_214)) (<= ?cvcl_12 x_215)) (or (<= x_211 ?cvcl_13)  (<= (- (+ x_211 x_123) x_124) x_210) )) (or (<= x_212 ?cvcl_13)  (<= (- (+ x_212 x_123) x_124) x_210) )) (or $cvcl_181  (<= (- (+ x_213 x_122) x_128) x_209) )) (<= x_213 (+ ?cvcl_13 x_128))) (<= x_212 (+ ?cvcl_13 x_124))) (<= x_211 (+ ?cvcl_13 x_124))) (<= ?cvcl_13 x_209)) (<= ?cvcl_13 x_210)) (or (<= x_206 ?cvcl_14)  (<= (- (+ x_206 x_123) x_124) x_205) )) (or (<= x_207 ?cvcl_14)  (<= (- (+ x_207 x_123) x_124) x_205) )) (or $cvcl_193  (<= (- (+ x_208 x_122) x_128) x_204) )) (<= x_208 (+ ?cvcl_14 x_128))) (<= x_207 (+ ?cvcl_14 x_124))) (<= x_206 (+ ?cvcl_14 x_124))) (<= ?cvcl_14 x_204)) (<= ?cvcl_14 x_205)) (or (<= x_201 ?cvcl_15)  (<= (- (+ x_201 x_123) x_124) x_200) )) (or (<= x_202 ?cvcl_15)  (<= (- (+ x_202 x_123) x_124) x_200) )) (or $cvcl_205  (<= (- (+ x_203 x_122) x_128) x_199) )) (<= x_203 (+ ?cvcl_15 x_128))) (<= x_202 (+ ?cvcl_15 x_124))) (<= x_201 (+ ?cvcl_15 x_124))) (<= ?cvcl_15 x_199)) (<= ?cvcl_15 x_200)) (or (<= x_196 ?cvcl_16)  (<= (- (+ x_196 x_123) x_124) x_195) )) (or (<= x_197 ?cvcl_16)  (<= (- (+ x_197 x_123) x_124) x_195) )) (or $cvcl_217  (<= (- (+ x_198 x_122) x_128) x_194) )) (<= x_198 (+ ?cvcl_16 x_128))) (<= x_197 (+ ?cvcl_16 x_124))) (<= x_196 (+ ?cvcl_16 x_124))) (<= ?cvcl_16 x_194)) (<= ?cvcl_16 x_195)) (or (<= x_191 ?cvcl_17)  (<= (- (+ x_191 x_123) x_124) x_190) )) (or (<= x_192 ?cvcl_17)  (<= (- (+ x_192 x_123) x_124) x_190) )) (or $cvcl_229  (<= (- (+ x_193 x_122) x_128) x_189) )) (<= x_193 (+ ?cvcl_17 x_128))) (<= x_192 (+ ?cvcl_17 x_124))) (<= x_191 (+ ?cvcl_17 x_124))) (<= ?cvcl_17 x_189)) (<= ?cvcl_17 x_190)) (or (<= x_186 ?cvcl_18)  (<= (- (+ x_186 x_123) x_124) x_185) )) (or (<= x_187 ?cvcl_18)  (<= (- (+ x_187 x_123) x_124) x_185) )) (or $cvcl_241  (<= (- (+ x_188 x_122) x_128) x_184) )) (<= x_188 (+ ?cvcl_18 x_128))) (<= x_187 (+ ?cvcl_18 x_124))) (<= x_186 (+ ?cvcl_18 x_124))) (<= ?cvcl_18 x_184)) (<= ?cvcl_18 x_185)) (or (<= x_181 ?cvcl_19)  (<= (- (+ x_181 x_123) x_124) x_180) )) (or (<= x_182 ?cvcl_19)  (<= (- (+ x_182 x_123) x_124) x_180) )) (or $cvcl_253  (<= (- (+ x_183 x_122) x_128) x_179) )) (<= x_183 (+ ?cvcl_19 x_128))) (<= x_182 (+ ?cvcl_19 x_124))) (<= x_181 (+ ?cvcl_19 x_124))) (<= ?cvcl_19 x_179)) (<= ?cvcl_19 x_180)) (or (<= x_176 ?cvcl_20)  (<= (- (+ x_176 x_123) x_124) x_175) )) (or (<= x_177 ?cvcl_20)  (<= (- (+ x_177 x_123) x_124) x_175) )) (or $cvcl_265  (<= (- (+ x_178 x_122) x_128) x_174) )) (<= x_178 (+ ?cvcl_20 x_128))) (<= x_177 (+ ?cvcl_20 x_124))) (<= x_176 (+ ?cvcl_20 x_124))) (<= ?cvcl_20 x_174)) (<= ?cvcl_20 x_175)) (or (<= x_171 ?cvcl_21)  (<= (- (+ x_171 x_123) x_124) x_170) )) (or (<= x_172 ?cvcl_21)  (<= (- (+ x_172 x_123) x_124) x_170) )) (or $cvcl_277  (<= (- (+ x_173 x_122) x_128) x_169) )) (<= x_173 (+ ?cvcl_21 x_128))) (<= x_172 (+ ?cvcl_21 x_124))) (<= x_171 (+ ?cvcl_21 x_124))) (<= ?cvcl_21 x_169)) (<= ?cvcl_21 x_170)) (or (<= x_166 ?cvcl_22)  (<= (- (+ x_166 x_123) x_124) x_165) )) (or (<= x_167 ?cvcl_22)  (<= (- (+ x_167 x_123) x_124) x_165) )) (or $cvcl_289  (<= (- (+ x_168 x_122) x_128) x_164) )) (<= x_168 (+ ?cvcl_22 x_128))) (<= x_167 (+ ?cvcl_22 x_124))) (<= x_166 (+ ?cvcl_22 x_124))) (<= ?cvcl_22 x_164)) (<= ?cvcl_22 x_165)) (or (<= x_161 ?cvcl_23)  (<= (- (+ x_161 x_123) x_124) x_160) )) (or (<= x_162 ?cvcl_23)  (<= (- (+ x_162 x_123) x_124) x_160) )) (or $cvcl_301  (<= (- (+ x_163 x_122) x_128) x_159) )) (<= x_163 (+ ?cvcl_23 x_128))) (<= x_162 (+ ?cvcl_23 x_124))) (<= x_161 (+ ?cvcl_23 x_124))) (<= ?cvcl_23 x_159)) (<= ?cvcl_23 x_160)) (or (<= x_156 ?cvcl_24)  (<= (- (+ x_156 x_123) x_124) x_155) )) (or (<= x_157 ?cvcl_24)  (<= (- (+ x_157 x_123) x_124) x_155) )) (or $cvcl_313  (<= (- (+ x_158 x_122) x_128) x_154) )) (<= x_158 (+ ?cvcl_24 x_128))) (<= x_157 (+ ?cvcl_24 x_124))) (<= x_156 (+ ?cvcl_24 x_124))) (<= ?cvcl_24 x_154)) (<= ?cvcl_24 x_155)) (or (<= x_151 ?cvcl_25)  (<= (- (+ x_151 x_123) x_124) x_150) )) (or (<= x_152 ?cvcl_25)  (<= (- (+ x_152 x_123) x_124) x_150) )) (or $cvcl_325  (<= (- (+ x_153 x_122) x_128) x_149) )) (<= x_153 (+ ?cvcl_25 x_128))) (<= x_152 (+ ?cvcl_25 x_124))) (<= x_151 (+ ?cvcl_25 x_124))) (<= ?cvcl_25 x_149)) (<= ?cvcl_25 x_150)) (or (<= x_146 ?cvcl_26)  (<= (- (+ x_146 x_123) x_124) x_145) )) (or (<= x_147 ?cvcl_26)  (<= (- (+ x_147 x_123) x_124) x_145) )) (or $cvcl_337  (<= (- (+ x_148 x_122) x_128) x_144) )) (<= x_148 (+ ?cvcl_26 x_128))) (<= x_147 (+ ?cvcl_26 x_124))) (<= x_146 (+ ?cvcl_26 x_124))) (<= ?cvcl_26 x_144)) (<= ?cvcl_26 x_145)) (or (<= x_141 ?cvcl_27)  (<= (- (+ x_141 x_123) x_124) x_140) )) (or (<= x_142 ?cvcl_27)  (<= (- (+ x_142 x_123) x_124) x_140) )) (or $cvcl_349  (<= (- (+ x_143 x_122) x_128) x_139) )) (<= x_143 (+ ?cvcl_27 x_128))) (<= x_142 (+ ?cvcl_27 x_124))) (<= x_141 (+ ?cvcl_27 x_124))) (<= ?cvcl_27 x_139)) (<= ?cvcl_27 x_140)) (or (<= x_136 ?cvcl_28)  (<= (- (+ x_136 x_123) x_124) x_135) )) (or (<= x_137 ?cvcl_28)  (<= (- (+ x_137 x_123) x_124) x_135) )) (or $cvcl_361  (<= (- (+ x_138 x_122) x_128) x_134) )) (<= x_138 (+ ?cvcl_28 x_128))) (<= x_137 (+ ?cvcl_28 x_124))) (<= x_136 (+ ?cvcl_28 x_124))) (<= ?cvcl_28 x_134)) (<= ?cvcl_28 x_135)) (or (<= x_131 ?cvcl_29)  (<= (- (+ x_131 x_123) x_124) x_130) )) (or (<= x_132 ?cvcl_29)  (<= (- (+ x_132 x_123) x_124) x_130) )) (or $cvcl_373  (<= (- (+ x_133 x_122) x_128) x_129) )) (<= x_133 (+ ?cvcl_29 x_128))) (<= x_132 (+ ?cvcl_29 x_124))) (<= x_131 (+ ?cvcl_29 x_124))) (<= ?cvcl_29 x_129)) (<= ?cvcl_29 x_130)) (or (<= x_125 ?cvcl_30)  (<= (- (+ x_125 x_123) x_124) x_121) )) (or (<= x_126 ?cvcl_30)  (<= (- (+ x_126 x_123) x_124) x_121) )) (or $cvcl_385  (<= (- (+ x_127 x_122) x_128) x_120) )) (<= x_127 (+ ?cvcl_30 x_128))) (<= x_126 (+ ?cvcl_30 x_124))) (<= x_125 (+ ?cvcl_30 x_124))) (<= ?cvcl_30 x_120)) (<= ?cvcl_30 x_121)) (or (and (and (and (and (and (and (and (and (and (= x_546 0) (iff x_547 x_540)) (= ?cvcl_1 x_269)) (<= (+ ?cvcl_1 x_122) x_274)) (or $cvcl_33  (iff x_548 x_116) )) (iff x_549 x_537)) (iff x_550 x_538)) (= x_275 x_270)) $cvcl_31) $cvcl_32)  (and (and (and (and (and (and (and (and (and (= x_546 1) (iff x_550 x_537)) (= ?cvcl_1 x_270)) (<= (+ ?cvcl_1 x_123) x_275)) (or (and (and (= x_551 0) $cvcl_31) $cvcl_32)  (and (and (= x_551 1) (iff x_535 x_538)) (iff x_544 (not x_535))) )) (iff x_552 x_540)) (iff x_547 x_116)) (= x_553 x_118)) (= x_274 x_269)) $cvcl_33) )) (or (or (and (and (and (= x_554 0) $cvcl_40) (or (not (<= x_271 ?cvcl_35))  (iff x_552 x_535) )) $cvcl_36)  (and (and (and (= x_554 1) $cvcl_34) (xor x_535  x_544 )) (= x_276 (+ ?cvcl_35 x_124))) )  (and (and (and (= x_554 2) $cvcl_34) (iff x_535 x_544)) $cvcl_36) )) (or (or (and (and (and (= x_555 0) (not $cvcl_38)) (or (not $cvcl_37)  (iff x_549 x_117) )) $cvcl_39)  (and (and (and (= x_555 1) $cvcl_38) (xor x_117  x_548 )) (= x_278 (+ ?cvcl_1 x_128))) )  (and (and (and (= x_555 2) $cvcl_38) (iff x_117 x_548)) $cvcl_39) )) (or (or (and (and (and (= x_556 0) $cvcl_40) (or (not (<= x_272 ?cvcl_35))  (= x_553 x_119) )) $cvcl_42)  (and (and (and (= x_556 1) $cvcl_34) (not $cvcl_41)) (= x_277 (+ ?cvcl_35 x_124))) )  (and (and (and (= x_556 2) $cvcl_34) $cvcl_41) $cvcl_42) )) (or (and (and (and (and (and (and (and (and (and (= x_536 0) (iff x_116 x_531)) (= ?cvcl_2 x_264)) (<= (+ ?cvcl_2 x_122) x_269)) (or $cvcl_45  (iff x_117 x_112) )) (iff x_537 x_528)) (iff x_538 x_529)) (= x_270 x_265)) $cvcl_43) $cvcl_44)  (and (and (and (and (and (and (and (and (and (= x_536 1) (iff x_538 x_528)) (= ?cvcl_2 x_265)) (<= (+ ?cvcl_2 x_123) x_270)) (or (and (and (= x_539 0) $cvcl_43) $cvcl_44)  (and (and (= x_539 1) (iff x_526 x_529)) (iff x_535 (not x_526))) )) (iff x_540 x_531)) (iff x_116 x_112)) (= x_118 x_114)) (= x_269 x_264)) $cvcl_45) )) (or (or (and (and (and (= x_541 0) $cvcl_52) (or (not (<= x_266 ?cvcl_47))  (iff x_540 x_526) )) $cvcl_48)  (and (and (and (= x_541 1) $cvcl_46) (xor x_526  x_535 )) (= x_271 (+ ?cvcl_47 x_124))) )  (and (and (and (= x_541 2) $cvcl_46) (iff x_526 x_535)) $cvcl_48) )) (or (or (and (and (and (= x_542 0) (not $cvcl_50)) (or (not $cvcl_49)  (iff x_537 x_113) )) $cvcl_51)  (and (and (and (= x_542 1) $cvcl_50) (xor x_113  x_117 )) (= x_273 (+ ?cvcl_2 x_128))) )  (and (and (and (= x_542 2) $cvcl_50) (iff x_113 x_117)) $cvcl_51) )) (or (or (and (and (and (= x_543 0) $cvcl_52) (or (not (<= x_267 ?cvcl_47))  (= x_118 x_115) )) $cvcl_54)  (and (and (and (= x_543 1) $cvcl_46) (not $cvcl_53)) (= x_272 (+ ?cvcl_47 x_124))) )  (and (and (and (= x_543 2) $cvcl_46) $cvcl_53) $cvcl_54) )) (or (and (and (and (and (and (and (and (and (and (= x_527 0) (iff x_112 x_522)) (= ?cvcl_3 x_259)) (<= (+ ?cvcl_3 x_122) x_264)) (or $cvcl_57  (iff x_113 x_108) )) (iff x_528 x_519)) (iff x_529 x_520)) (= x_265 x_260)) $cvcl_55) $cvcl_56)  (and (and (and (and (and (and (and (and (and (= x_527 1) (iff x_529 x_519)) (= ?cvcl_3 x_260)) (<= (+ ?cvcl_3 x_123) x_265)) (or (and (and (= x_530 0) $cvcl_55) $cvcl_56)  (and (and (= x_530 1) (iff x_517 x_520)) (iff x_526 (not x_517))) )) (iff x_531 x_522)) (iff x_112 x_108)) (= x_114 x_110)) (= x_264 x_259)) $cvcl_57) )) (or (or (and (and (and (= x_532 0) $cvcl_64) (or (not (<= x_261 ?cvcl_59))  (iff x_531 x_517) )) $cvcl_60)  (and (and (and (= x_532 1) $cvcl_58) (xor x_517  x_526 )) (= x_266 (+ ?cvcl_59 x_124))) )  (and (and (and (= x_532 2) $cvcl_58) (iff x_517 x_526)) $cvcl_60) )) (or (or (and (and (and (= x_533 0) (not $cvcl_62)) (or (not $cvcl_61)  (iff x_528 x_109) )) $cvcl_63)  (and (and (and (= x_533 1) $cvcl_62) (xor x_109  x_113 )) (= x_268 (+ ?cvcl_3 x_128))) )  (and (and (and (= x_533 2) $cvcl_62) (iff x_109 x_113)) $cvcl_63) )) (or (or (and (and (and (= x_534 0) $cvcl_64) (or (not (<= x_262 ?cvcl_59))  (= x_114 x_111) )) $cvcl_66)  (and (and (and (= x_534 1) $cvcl_58) (not $cvcl_65)) (= x_267 (+ ?cvcl_59 x_124))) )  (and (and (and (= x_534 2) $cvcl_58) $cvcl_65) $cvcl_66) )) (or (and (and (and (and (and (and (and (and (and (= x_518 0) (iff x_108 x_513)) (= ?cvcl_4 x_254)) (<= (+ ?cvcl_4 x_122) x_259)) (or $cvcl_69  (iff x_109 x_104) )) (iff x_519 x_510)) (iff x_520 x_511)) (= x_260 x_255)) $cvcl_67) $cvcl_68)  (and (and (and (and (and (and (and (and (and (= x_518 1) (iff x_520 x_510)) (= ?cvcl_4 x_255)) (<= (+ ?cvcl_4 x_123) x_260)) (or (and (and (= x_521 0) $cvcl_67) $cvcl_68)  (and (and (= x_521 1) (iff x_508 x_511)) (iff x_517 (not x_508))) )) (iff x_522 x_513)) (iff x_108 x_104)) (= x_110 x_106)) (= x_259 x_254)) $cvcl_69) )) (or (or (and (and (and (= x_523 0) $cvcl_76) (or (not (<= x_256 ?cvcl_71))  (iff x_522 x_508) )) $cvcl_72)  (and (and (and (= x_523 1) $cvcl_70) (xor x_508  x_517 )) (= x_261 (+ ?cvcl_71 x_124))) )  (and (and (and (= x_523 2) $cvcl_70) (iff x_508 x_517)) $cvcl_72) )) (or (or (and (and (and (= x_524 0) (not $cvcl_74)) (or (not $cvcl_73)  (iff x_519 x_105) )) $cvcl_75)  (and (and (and (= x_524 1) $cvcl_74) (xor x_105  x_109 )) (= x_263 (+ ?cvcl_4 x_128))) )  (and (and (and (= x_524 2) $cvcl_74) (iff x_105 x_109)) $cvcl_75) )) (or (or (and (and (and (= x_525 0) $cvcl_76) (or (not (<= x_257 ?cvcl_71))  (= x_110 x_107) )) $cvcl_78)  (and (and (and (= x_525 1) $cvcl_70) (not $cvcl_77)) (= x_262 (+ ?cvcl_71 x_124))) )  (and (and (and (= x_525 2) $cvcl_70) $cvcl_77) $cvcl_78) )) (or (and (and (and (and (and (and (and (and (and (= x_509 0) (iff x_104 x_504)) (= ?cvcl_5 x_249)) (<= (+ ?cvcl_5 x_122) x_254)) (or $cvcl_81  (iff x_105 x_100) )) (iff x_510 x_501)) (iff x_511 x_502)) (= x_255 x_250)) $cvcl_79) $cvcl_80)  (and (and (and (and (and (and (and (and (and (= x_509 1) (iff x_511 x_501)) (= ?cvcl_5 x_250)) (<= (+ ?cvcl_5 x_123) x_255)) (or (and (and (= x_512 0) $cvcl_79) $cvcl_80)  (and (and (= x_512 1) (iff x_499 x_502)) (iff x_508 (not x_499))) )) (iff x_513 x_504)) (iff x_104 x_100)) (= x_106 x_102)) (= x_254 x_249)) $cvcl_81) )) (or (or (and (and (and (= x_514 0) $cvcl_88) (or (not (<= x_251 ?cvcl_83))  (iff x_513 x_499) )) $cvcl_84)  (and (and (and (= x_514 1) $cvcl_82) (xor x_499  x_508 )) (= x_256 (+ ?cvcl_83 x_124))) )  (and (and (and (= x_514 2) $cvcl_82) (iff x_499 x_508)) $cvcl_84) )) (or (or (and (and (and (= x_515 0) (not $cvcl_86)) (or (not $cvcl_85)  (iff x_510 x_101) )) $cvcl_87)  (and (and (and (= x_515 1) $cvcl_86) (xor x_101  x_105 )) (= x_258 (+ ?cvcl_5 x_128))) )  (and (and (and (= x_515 2) $cvcl_86) (iff x_101 x_105)) $cvcl_87) )) (or (or (and (and (and (= x_516 0) $cvcl_88) (or (not (<= x_252 ?cvcl_83))  (= x_106 x_103) )) $cvcl_90)  (and (and (and (= x_516 1) $cvcl_82) (not $cvcl_89)) (= x_257 (+ ?cvcl_83 x_124))) )  (and (and (and (= x_516 2) $cvcl_82) $cvcl_89) $cvcl_90) )) (or (and (and (and (and (and (and (and (and (and (= x_500 0) (iff x_100 x_495)) (= ?cvcl_6 x_244)) (<= (+ ?cvcl_6 x_122) x_249)) (or $cvcl_93  (iff x_101 x_96) )) (iff x_501 x_492)) (iff x_502 x_493)) (= x_250 x_245)) $cvcl_91) $cvcl_92)  (and (and (and (and (and (and (and (and (and (= x_500 1) (iff x_502 x_492)) (= ?cvcl_6 x_245)) (<= (+ ?cvcl_6 x_123) x_250)) (or (and (and (= x_503 0) $cvcl_91) $cvcl_92)  (and (and (= x_503 1) (iff x_490 x_493)) (iff x_499 (not x_490))) )) (iff x_504 x_495)) (iff x_100 x_96)) (= x_102 x_98)) (= x_249 x_244)) $cvcl_93) )) (or (or (and (and (and (= x_505 0) $cvcl_100) (or (not (<= x_246 ?cvcl_95))  (iff x_504 x_490) )) $cvcl_96)  (and (and (and (= x_505 1) $cvcl_94) (xor x_490  x_499 )) (= x_251 (+ ?cvcl_95 x_124))) )  (and (and (and (= x_505 2) $cvcl_94) (iff x_490 x_499)) $cvcl_96) )) (or (or (and (and (and (= x_506 0) (not $cvcl_98)) (or (not $cvcl_97)  (iff x_501 x_97) )) $cvcl_99)  (and (and (and (= x_506 1) $cvcl_98) (xor x_97  x_101 )) (= x_253 (+ ?cvcl_6 x_128))) )  (and (and (and (= x_506 2) $cvcl_98) (iff x_97 x_101)) $cvcl_99) )) (or (or (and (and (and (= x_507 0) $cvcl_100) (or (not (<= x_247 ?cvcl_95))  (= x_102 x_99) )) $cvcl_102)  (and (and (and (= x_507 1) $cvcl_94) (not $cvcl_101)) (= x_252 (+ ?cvcl_95 x_124))) )  (and (and (and (= x_507 2) $cvcl_94) $cvcl_101) $cvcl_102) )) (or (and (and (and (and (and (and (and (and (and (= x_491 0) (iff x_96 x_486)) (= ?cvcl_7 x_239)) (<= (+ ?cvcl_7 x_122) x_244)) (or $cvcl_105  (iff x_97 x_92) )) (iff x_492 x_483)) (iff x_493 x_484)) (= x_245 x_240)) $cvcl_103) $cvcl_104)  (and (and (and (and (and (and (and (and (and (= x_491 1) (iff x_493 x_483)) (= ?cvcl_7 x_240)) (<= (+ ?cvcl_7 x_123) x_245)) (or (and (and (= x_494 0) $cvcl_103) $cvcl_104)  (and (and (= x_494 1) (iff x_481 x_484)) (iff x_490 (not x_481))) )) (iff x_495 x_486)) (iff x_96 x_92)) (= x_98 x_94)) (= x_244 x_239)) $cvcl_105) )) (or (or (and (and (and (= x_496 0) $cvcl_112) (or (not (<= x_241 ?cvcl_107))  (iff x_495 x_481) )) $cvcl_108)  (and (and (and (= x_496 1) $cvcl_106) (xor x_481  x_490 )) (= x_246 (+ ?cvcl_107 x_124))) )  (and (and (and (= x_496 2) $cvcl_106) (iff x_481 x_490)) $cvcl_108) )) (or (or (and (and (and (= x_497 0) (not $cvcl_110)) (or (not $cvcl_109)  (iff x_492 x_93) )) $cvcl_111)  (and (and (and (= x_497 1) $cvcl_110) (xor x_93  x_97 )) (= x_248 (+ ?cvcl_7 x_128))) )  (and (and (and (= x_497 2) $cvcl_110) (iff x_93 x_97)) $cvcl_111) )) (or (or (and (and (and (= x_498 0) $cvcl_112) (or (not (<= x_242 ?cvcl_107))  (= x_98 x_95) )) $cvcl_114)  (and (and (and (= x_498 1) $cvcl_106) (not $cvcl_113)) (= x_247 (+ ?cvcl_107 x_124))) )  (and (and (and (= x_498 2) $cvcl_106) $cvcl_113) $cvcl_114) )) (or (and (and (and (and (and (and (and (and (and (= x_482 0) (iff x_92 x_477)) (= ?cvcl_8 x_234)) (<= (+ ?cvcl_8 x_122) x_239)) (or $cvcl_117  (iff x_93 x_88) )) (iff x_483 x_474)) (iff x_484 x_475)) (= x_240 x_235)) $cvcl_115) $cvcl_116)  (and (and (and (and (and (and (and (and (and (= x_482 1) (iff x_484 x_474)) (= ?cvcl_8 x_235)) (<= (+ ?cvcl_8 x_123) x_240)) (or (and (and (= x_485 0) $cvcl_115) $cvcl_116)  (and (and (= x_485 1) (iff x_472 x_475)) (iff x_481 (not x_472))) )) (iff x_486 x_477)) (iff x_92 x_88)) (= x_94 x_90)) (= x_239 x_234)) $cvcl_117) )) (or (or (and (and (and (= x_487 0) $cvcl_124) (or (not (<= x_236 ?cvcl_119))  (iff x_486 x_472) )) $cvcl_120)  (and (and (and (= x_487 1) $cvcl_118) (xor x_472  x_481 )) (= x_241 (+ ?cvcl_119 x_124))) )  (and (and (and (= x_487 2) $cvcl_118) (iff x_472 x_481)) $cvcl_120) )) (or (or (and (and (and (= x_488 0) (not $cvcl_122)) (or (not $cvcl_121)  (iff x_483 x_89) )) $cvcl_123)  (and (and (and (= x_488 1) $cvcl_122) (xor x_89  x_93 )) (= x_243 (+ ?cvcl_8 x_128))) )  (and (and (and (= x_488 2) $cvcl_122) (iff x_89 x_93)) $cvcl_123) )) (or (or (and (and (and (= x_489 0) $cvcl_124) (or (not (<= x_237 ?cvcl_119))  (= x_94 x_91) )) $cvcl_126)  (and (and (and (= x_489 1) $cvcl_118) (not $cvcl_125)) (= x_242 (+ ?cvcl_119 x_124))) )  (and (and (and (= x_489 2) $cvcl_118) $cvcl_125) $cvcl_126) )) (or (and (and (and (and (and (and (and (and (and (= x_473 0) (iff x_88 x_468)) (= ?cvcl_9 x_229)) (<= (+ ?cvcl_9 x_122) x_234)) (or $cvcl_129  (iff x_89 x_84) )) (iff x_474 x_465)) (iff x_475 x_466)) (= x_235 x_230)) $cvcl_127) $cvcl_128)  (and (and (and (and (and (and (and (and (and (= x_473 1) (iff x_475 x_465)) (= ?cvcl_9 x_230)) (<= (+ ?cvcl_9 x_123) x_235)) (or (and (and (= x_476 0) $cvcl_127) $cvcl_128)  (and (and (= x_476 1) (iff x_463 x_466)) (iff x_472 (not x_463))) )) (iff x_477 x_468)) (iff x_88 x_84)) (= x_90 x_86)) (= x_234 x_229)) $cvcl_129) )) (or (or (and (and (and (= x_478 0) $cvcl_136) (or (not (<= x_231 ?cvcl_131))  (iff x_477 x_463) )) $cvcl_132)  (and (and (and (= x_478 1) $cvcl_130) (xor x_463  x_472 )) (= x_236 (+ ?cvcl_131 x_124))) )  (and (and (and (= x_478 2) $cvcl_130) (iff x_463 x_472)) $cvcl_132) )) (or (or (and (and (and (= x_479 0) (not $cvcl_134)) (or (not $cvcl_133)  (iff x_474 x_85) )) $cvcl_135)  (and (and (and (= x_479 1) $cvcl_134) (xor x_85  x_89 )) (= x_238 (+ ?cvcl_9 x_128))) )  (and (and (and (= x_479 2) $cvcl_134) (iff x_85 x_89)) $cvcl_135) )) (or (or (and (and (and (= x_480 0) $cvcl_136) (or (not (<= x_232 ?cvcl_131))  (= x_90 x_87) )) $cvcl_138)  (and (and (and (= x_480 1) $cvcl_130) (not $cvcl_137)) (= x_237 (+ ?cvcl_131 x_124))) )  (and (and (and (= x_480 2) $cvcl_130) $cvcl_137) $cvcl_138) )) (or (and (and (and (and (and (and (and (and (and (= x_464 0) (iff x_84 x_459)) (= ?cvcl_10 x_224)) (<= (+ ?cvcl_10 x_122) x_229)) (or $cvcl_141  (iff x_85 x_80) )) (iff x_465 x_456)) (iff x_466 x_457)) (= x_230 x_225)) $cvcl_139) $cvcl_140)  (and (and (and (and (and (and (and (and (and (= x_464 1) (iff x_466 x_456)) (= ?cvcl_10 x_225)) (<= (+ ?cvcl_10 x_123) x_230)) (or (and (and (= x_467 0) $cvcl_139) $cvcl_140)  (and (and (= x_467 1) (iff x_454 x_457)) (iff x_463 (not x_454))) )) (iff x_468 x_459)) (iff x_84 x_80)) (= x_86 x_82)) (= x_229 x_224)) $cvcl_141) )) (or (or (and (and (and (= x_469 0) $cvcl_148) (or (not (<= x_226 ?cvcl_143))  (iff x_468 x_454) )) $cvcl_144)  (and (and (and (= x_469 1) $cvcl_142) (xor x_454  x_463 )) (= x_231 (+ ?cvcl_143 x_124))) )  (and (and (and (= x_469 2) $cvcl_142) (iff x_454 x_463)) $cvcl_144) )) (or (or (and (and (and (= x_470 0) (not $cvcl_146)) (or (not $cvcl_145)  (iff x_465 x_81) )) $cvcl_147)  (and (and (and (= x_470 1) $cvcl_146) (xor x_81  x_85 )) (= x_233 (+ ?cvcl_10 x_128))) )  (and (and (and (= x_470 2) $cvcl_146) (iff x_81 x_85)) $cvcl_147) )) (or (or (and (and (and (= x_471 0) $cvcl_148) (or (not (<= x_227 ?cvcl_143))  (= x_86 x_83) )) $cvcl_150)  (and (and (and (= x_471 1) $cvcl_142) (not $cvcl_149)) (= x_232 (+ ?cvcl_143 x_124))) )  (and (and (and (= x_471 2) $cvcl_142) $cvcl_149) $cvcl_150) )) (or (and (and (and (and (and (and (and (and (and (= x_455 0) (iff x_80 x_450)) (= ?cvcl_11 x_219)) (<= (+ ?cvcl_11 x_122) x_224)) (or $cvcl_153  (iff x_81 x_76) )) (iff x_456 x_447)) (iff x_457 x_448)) (= x_225 x_220)) $cvcl_151) $cvcl_152)  (and (and (and (and (and (and (and (and (and (= x_455 1) (iff x_457 x_447)) (= ?cvcl_11 x_220)) (<= (+ ?cvcl_11 x_123) x_225)) (or (and (and (= x_458 0) $cvcl_151) $cvcl_152)  (and (and (= x_458 1) (iff x_445 x_448)) (iff x_454 (not x_445))) )) (iff x_459 x_450)) (iff x_80 x_76)) (= x_82 x_78)) (= x_224 x_219)) $cvcl_153) )) (or (or (and (and (and (= x_460 0) $cvcl_160) (or (not (<= x_221 ?cvcl_155))  (iff x_459 x_445) )) $cvcl_156)  (and (and (and (= x_460 1) $cvcl_154) (xor x_445  x_454 )) (= x_226 (+ ?cvcl_155 x_124))) )  (and (and (and (= x_460 2) $cvcl_154) (iff x_445 x_454)) $cvcl_156) )) (or (or (and (and (and (= x_461 0) (not $cvcl_158)) (or (not $cvcl_157)  (iff x_456 x_77) )) $cvcl_159)  (and (and (and (= x_461 1) $cvcl_158) (xor x_77  x_81 )) (= x_228 (+ ?cvcl_11 x_128))) )  (and (and (and (= x_461 2) $cvcl_158) (iff x_77 x_81)) $cvcl_159) )) (or (or (and (and (and (= x_462 0) $cvcl_160) (or (not (<= x_222 ?cvcl_155))  (= x_82 x_79) )) $cvcl_162)  (and (and (and (= x_462 1) $cvcl_154) (not $cvcl_161)) (= x_227 (+ ?cvcl_155 x_124))) )  (and (and (and (= x_462 2) $cvcl_154) $cvcl_161) $cvcl_162) )) (or (and (and (and (and (and (and (and (and (and (= x_446 0) (iff x_76 x_441)) (= ?cvcl_12 x_214)) (<= (+ ?cvcl_12 x_122) x_219)) (or $cvcl_165  (iff x_77 x_72) )) (iff x_447 x_438)) (iff x_448 x_439)) (= x_220 x_215)) $cvcl_163) $cvcl_164)  (and (and (and (and (and (and (and (and (and (= x_446 1) (iff x_448 x_438)) (= ?cvcl_12 x_215)) (<= (+ ?cvcl_12 x_123) x_220)) (or (and (and (= x_449 0) $cvcl_163) $cvcl_164)  (and (and (= x_449 1) (iff x_436 x_439)) (iff x_445 (not x_436))) )) (iff x_450 x_441)) (iff x_76 x_72)) (= x_78 x_74)) (= x_219 x_214)) $cvcl_165) )) (or (or (and (and (and (= x_451 0) $cvcl_172) (or (not (<= x_216 ?cvcl_167))  (iff x_450 x_436) )) $cvcl_168)  (and (and (and (= x_451 1) $cvcl_166) (xor x_436  x_445 )) (= x_221 (+ ?cvcl_167 x_124))) )  (and (and (and (= x_451 2) $cvcl_166) (iff x_436 x_445)) $cvcl_168) )) (or (or (and (and (and (= x_452 0) (not $cvcl_170)) (or (not $cvcl_169)  (iff x_447 x_73) )) $cvcl_171)  (and (and (and (= x_452 1) $cvcl_170) (xor x_73  x_77 )) (= x_223 (+ ?cvcl_12 x_128))) )  (and (and (and (= x_452 2) $cvcl_170) (iff x_73 x_77)) $cvcl_171) )) (or (or (and (and (and (= x_453 0) $cvcl_172) (or (not (<= x_217 ?cvcl_167))  (= x_78 x_75) )) $cvcl_174)  (and (and (and (= x_453 1) $cvcl_166) (not $cvcl_173)) (= x_222 (+ ?cvcl_167 x_124))) )  (and (and (and (= x_453 2) $cvcl_166) $cvcl_173) $cvcl_174) )) (or (and (and (and (and (and (and (and (and (and (= x_437 0) (iff x_72 x_432)) (= ?cvcl_13 x_209)) (<= (+ ?cvcl_13 x_122) x_214)) (or $cvcl_177  (iff x_73 x_68) )) (iff x_438 x_429)) (iff x_439 x_430)) (= x_215 x_210)) $cvcl_175) $cvcl_176)  (and (and (and (and (and (and (and (and (and (= x_437 1) (iff x_439 x_429)) (= ?cvcl_13 x_210)) (<= (+ ?cvcl_13 x_123) x_215)) (or (and (and (= x_440 0) $cvcl_175) $cvcl_176)  (and (and (= x_440 1) (iff x_427 x_430)) (iff x_436 (not x_427))) )) (iff x_441 x_432)) (iff x_72 x_68)) (= x_74 x_70)) (= x_214 x_209)) $cvcl_177) )) (or (or (and (and (and (= x_442 0) $cvcl_184) (or (not (<= x_211 ?cvcl_179))  (iff x_441 x_427) )) $cvcl_180)  (and (and (and (= x_442 1) $cvcl_178) (xor x_427  x_436 )) (= x_216 (+ ?cvcl_179 x_124))) )  (and (and (and (= x_442 2) $cvcl_178) (iff x_427 x_436)) $cvcl_180) )) (or (or (and (and (and (= x_443 0) (not $cvcl_182)) (or (not $cvcl_181)  (iff x_438 x_69) )) $cvcl_183)  (and (and (and (= x_443 1) $cvcl_182) (xor x_69  x_73 )) (= x_218 (+ ?cvcl_13 x_128))) )  (and (and (and (= x_443 2) $cvcl_182) (iff x_69 x_73)) $cvcl_183) )) (or (or (and (and (and (= x_444 0) $cvcl_184) (or (not (<= x_212 ?cvcl_179))  (= x_74 x_71) )) $cvcl_186)  (and (and (and (= x_444 1) $cvcl_178) (not $cvcl_185)) (= x_217 (+ ?cvcl_179 x_124))) )  (and (and (and (= x_444 2) $cvcl_178) $cvcl_185) $cvcl_186) )) (or (and (and (and (and (and (and (and (and (and (= x_428 0) (iff x_68 x_423)) (= ?cvcl_14 x_204)) (<= (+ ?cvcl_14 x_122) x_209)) (or $cvcl_189  (iff x_69 x_64) )) (iff x_429 x_420)) (iff x_430 x_421)) (= x_210 x_205)) $cvcl_187) $cvcl_188)  (and (and (and (and (and (and (and (and (and (= x_428 1) (iff x_430 x_420)) (= ?cvcl_14 x_205)) (<= (+ ?cvcl_14 x_123) x_210)) (or (and (and (= x_431 0) $cvcl_187) $cvcl_188)  (and (and (= x_431 1) (iff x_418 x_421)) (iff x_427 (not x_418))) )) (iff x_432 x_423)) (iff x_68 x_64)) (= x_70 x_66)) (= x_209 x_204)) $cvcl_189) )) (or (or (and (and (and (= x_433 0) $cvcl_196) (or (not (<= x_206 ?cvcl_191))  (iff x_432 x_418) )) $cvcl_192)  (and (and (and (= x_433 1) $cvcl_190) (xor x_418  x_427 )) (= x_211 (+ ?cvcl_191 x_124))) )  (and (and (and (= x_433 2) $cvcl_190) (iff x_418 x_427)) $cvcl_192) )) (or (or (and (and (and (= x_434 0) (not $cvcl_194)) (or (not $cvcl_193)  (iff x_429 x_65) )) $cvcl_195)  (and (and (and (= x_434 1) $cvcl_194) (xor x_65  x_69 )) (= x_213 (+ ?cvcl_14 x_128))) )  (and (and (and (= x_434 2) $cvcl_194) (iff x_65 x_69)) $cvcl_195) )) (or (or (and (and (and (= x_435 0) $cvcl_196) (or (not (<= x_207 ?cvcl_191))  (= x_70 x_67) )) $cvcl_198)  (and (and (and (= x_435 1) $cvcl_190) (not $cvcl_197)) (= x_212 (+ ?cvcl_191 x_124))) )  (and (and (and (= x_435 2) $cvcl_190) $cvcl_197) $cvcl_198) )) (or (and (and (and (and (and (and (and (and (and (= x_419 0) (iff x_64 x_414)) (= ?cvcl_15 x_199)) (<= (+ ?cvcl_15 x_122) x_204)) (or $cvcl_201  (iff x_65 x_60) )) (iff x_420 x_411)) (iff x_421 x_412)) (= x_205 x_200)) $cvcl_199) $cvcl_200)  (and (and (and (and (and (and (and (and (and (= x_419 1) (iff x_421 x_411)) (= ?cvcl_15 x_200)) (<= (+ ?cvcl_15 x_123) x_205)) (or (and (and (= x_422 0) $cvcl_199) $cvcl_200)  (and (and (= x_422 1) (iff x_409 x_412)) (iff x_418 (not x_409))) )) (iff x_423 x_414)) (iff x_64 x_60)) (= x_66 x_62)) (= x_204 x_199)) $cvcl_201) )) (or (or (and (and (and (= x_424 0) $cvcl_208) (or (not (<= x_201 ?cvcl_203))  (iff x_423 x_409) )) $cvcl_204)  (and (and (and (= x_424 1) $cvcl_202) (xor x_409  x_418 )) (= x_206 (+ ?cvcl_203 x_124))) )  (and (and (and (= x_424 2) $cvcl_202) (iff x_409 x_418)) $cvcl_204) )) (or (or (and (and (and (= x_425 0) (not $cvcl_206)) (or (not $cvcl_205)  (iff x_420 x_61) )) $cvcl_207)  (and (and (and (= x_425 1) $cvcl_206) (xor x_61  x_65 )) (= x_208 (+ ?cvcl_15 x_128))) )  (and (and (and (= x_425 2) $cvcl_206) (iff x_61 x_65)) $cvcl_207) )) (or (or (and (and (and (= x_426 0) $cvcl_208) (or (not (<= x_202 ?cvcl_203))  (= x_66 x_63) )) $cvcl_210)  (and (and (and (= x_426 1) $cvcl_202) (not $cvcl_209)) (= x_207 (+ ?cvcl_203 x_124))) )  (and (and (and (= x_426 2) $cvcl_202) $cvcl_209) $cvcl_210) )) (or (and (and (and (and (and (and (and (and (and (= x_410 0) (iff x_60 x_405)) (= ?cvcl_16 x_194)) (<= (+ ?cvcl_16 x_122) x_199)) (or $cvcl_213  (iff x_61 x_56) )) (iff x_411 x_402)) (iff x_412 x_403)) (= x_200 x_195)) $cvcl_211) $cvcl_212)  (and (and (and (and (and (and (and (and (and (= x_410 1) (iff x_412 x_402)) (= ?cvcl_16 x_195)) (<= (+ ?cvcl_16 x_123) x_200)) (or (and (and (= x_413 0) $cvcl_211) $cvcl_212)  (and (and (= x_413 1) (iff x_400 x_403)) (iff x_409 (not x_400))) )) (iff x_414 x_405)) (iff x_60 x_56)) (= x_62 x_58)) (= x_199 x_194)) $cvcl_213) )) (or (or (and (and (and (= x_415 0) $cvcl_220) (or (not (<= x_196 ?cvcl_215))  (iff x_414 x_400) )) $cvcl_216)  (and (and (and (= x_415 1) $cvcl_214) (xor x_400  x_409 )) (= x_201 (+ ?cvcl_215 x_124))) )  (and (and (and (= x_415 2) $cvcl_214) (iff x_400 x_409)) $cvcl_216) )) (or (or (and (and (and (= x_416 0) (not $cvcl_218)) (or (not $cvcl_217)  (iff x_411 x_57) )) $cvcl_219)  (and (and (and (= x_416 1) $cvcl_218) (xor x_57  x_61 )) (= x_203 (+ ?cvcl_16 x_128))) )  (and (and (and (= x_416 2) $cvcl_218) (iff x_57 x_61)) $cvcl_219) )) (or (or (and (and (and (= x_417 0) $cvcl_220) (or (not (<= x_197 ?cvcl_215))  (= x_62 x_59) )) $cvcl_222)  (and (and (and (= x_417 1) $cvcl_214) (not $cvcl_221)) (= x_202 (+ ?cvcl_215 x_124))) )  (and (and (and (= x_417 2) $cvcl_214) $cvcl_221) $cvcl_222) )) (or (and (and (and (and (and (and (and (and (and (= x_401 0) (iff x_56 x_396)) (= ?cvcl_17 x_189)) (<= (+ ?cvcl_17 x_122) x_194)) (or $cvcl_225  (iff x_57 x_52) )) (iff x_402 x_393)) (iff x_403 x_394)) (= x_195 x_190)) $cvcl_223) $cvcl_224)  (and (and (and (and (and (and (and (and (and (= x_401 1) (iff x_403 x_393)) (= ?cvcl_17 x_190)) (<= (+ ?cvcl_17 x_123) x_195)) (or (and (and (= x_404 0) $cvcl_223) $cvcl_224)  (and (and (= x_404 1) (iff x_391 x_394)) (iff x_400 (not x_391))) )) (iff x_405 x_396)) (iff x_56 x_52)) (= x_58 x_54)) (= x_194 x_189)) $cvcl_225) )) (or (or (and (and (and (= x_406 0) $cvcl_232) (or (not (<= x_191 ?cvcl_227))  (iff x_405 x_391) )) $cvcl_228)  (and (and (and (= x_406 1) $cvcl_226) (xor x_391  x_400 )) (= x_196 (+ ?cvcl_227 x_124))) )  (and (and (and (= x_406 2) $cvcl_226) (iff x_391 x_400)) $cvcl_228) )) (or (or (and (and (and (= x_407 0) (not $cvcl_230)) (or (not $cvcl_229)  (iff x_402 x_53) )) $cvcl_231)  (and (and (and (= x_407 1) $cvcl_230) (xor x_53  x_57 )) (= x_198 (+ ?cvcl_17 x_128))) )  (and (and (and (= x_407 2) $cvcl_230) (iff x_53 x_57)) $cvcl_231) )) (or (or (and (and (and (= x_408 0) $cvcl_232) (or (not (<= x_192 ?cvcl_227))  (= x_58 x_55) )) $cvcl_234)  (and (and (and (= x_408 1) $cvcl_226) (not $cvcl_233)) (= x_197 (+ ?cvcl_227 x_124))) )  (and (and (and (= x_408 2) $cvcl_226) $cvcl_233) $cvcl_234) )) (or (and (and (and (and (and (and (and (and (and (= x_392 0) (iff x_52 x_387)) (= ?cvcl_18 x_184)) (<= (+ ?cvcl_18 x_122) x_189)) (or $cvcl_237  (iff x_53 x_48) )) (iff x_393 x_384)) (iff x_394 x_385)) (= x_190 x_185)) $cvcl_235) $cvcl_236)  (and (and (and (and (and (and (and (and (and (= x_392 1) (iff x_394 x_384)) (= ?cvcl_18 x_185)) (<= (+ ?cvcl_18 x_123) x_190)) (or (and (and (= x_395 0) $cvcl_235) $cvcl_236)  (and (and (= x_395 1) (iff x_382 x_385)) (iff x_391 (not x_382))) )) (iff x_396 x_387)) (iff x_52 x_48)) (= x_54 x_50)) (= x_189 x_184)) $cvcl_237) )) (or (or (and (and (and (= x_397 0) $cvcl_244) (or (not (<= x_186 ?cvcl_239))  (iff x_396 x_382) )) $cvcl_240)  (and (and (and (= x_397 1) $cvcl_238) (xor x_382  x_391 )) (= x_191 (+ ?cvcl_239 x_124))) )  (and (and (and (= x_397 2) $cvcl_238) (iff x_382 x_391)) $cvcl_240) )) (or (or (and (and (and (= x_398 0) (not $cvcl_242)) (or (not $cvcl_241)  (iff x_393 x_49) )) $cvcl_243)  (and (and (and (= x_398 1) $cvcl_242) (xor x_49  x_53 )) (= x_193 (+ ?cvcl_18 x_128))) )  (and (and (and (= x_398 2) $cvcl_242) (iff x_49 x_53)) $cvcl_243) )) (or (or (and (and (and (= x_399 0) $cvcl_244) (or (not (<= x_187 ?cvcl_239))  (= x_54 x_51) )) $cvcl_246)  (and (and (and (= x_399 1) $cvcl_238) (not $cvcl_245)) (= x_192 (+ ?cvcl_239 x_124))) )  (and (and (and (= x_399 2) $cvcl_238) $cvcl_245) $cvcl_246) )) (or (and (and (and (and (and (and (and (and (and (= x_383 0) (iff x_48 x_378)) (= ?cvcl_19 x_179)) (<= (+ ?cvcl_19 x_122) x_184)) (or $cvcl_249  (iff x_49 x_44) )) (iff x_384 x_375)) (iff x_385 x_376)) (= x_185 x_180)) $cvcl_247) $cvcl_248)  (and (and (and (and (and (and (and (and (and (= x_383 1) (iff x_385 x_375)) (= ?cvcl_19 x_180)) (<= (+ ?cvcl_19 x_123) x_185)) (or (and (and (= x_386 0) $cvcl_247) $cvcl_248)  (and (and (= x_386 1) (iff x_373 x_376)) (iff x_382 (not x_373))) )) (iff x_387 x_378)) (iff x_48 x_44)) (= x_50 x_46)) (= x_184 x_179)) $cvcl_249) )) (or (or (and (and (and (= x_388 0) $cvcl_256) (or (not (<= x_181 ?cvcl_251))  (iff x_387 x_373) )) $cvcl_252)  (and (and (and (= x_388 1) $cvcl_250) (xor x_373  x_382 )) (= x_186 (+ ?cvcl_251 x_124))) )  (and (and (and (= x_388 2) $cvcl_250) (iff x_373 x_382)) $cvcl_252) )) (or (or (and (and (and (= x_389 0) (not $cvcl_254)) (or (not $cvcl_253)  (iff x_384 x_45) )) $cvcl_255)  (and (and (and (= x_389 1) $cvcl_254) (xor x_45  x_49 )) (= x_188 (+ ?cvcl_19 x_128))) )  (and (and (and (= x_389 2) $cvcl_254) (iff x_45 x_49)) $cvcl_255) )) (or (or (and (and (and (= x_390 0) $cvcl_256) (or (not (<= x_182 ?cvcl_251))  (= x_50 x_47) )) $cvcl_258)  (and (and (and (= x_390 1) $cvcl_250) (not $cvcl_257)) (= x_187 (+ ?cvcl_251 x_124))) )  (and (and (and (= x_390 2) $cvcl_250) $cvcl_257) $cvcl_258) )) (or (and (and (and (and (and (and (and (and (and (= x_374 0) (iff x_44 x_369)) (= ?cvcl_20 x_174)) (<= (+ ?cvcl_20 x_122) x_179)) (or $cvcl_261  (iff x_45 x_40) )) (iff x_375 x_366)) (iff x_376 x_367)) (= x_180 x_175)) $cvcl_259) $cvcl_260)  (and (and (and (and (and (and (and (and (and (= x_374 1) (iff x_376 x_366)) (= ?cvcl_20 x_175)) (<= (+ ?cvcl_20 x_123) x_180)) (or (and (and (= x_377 0) $cvcl_259) $cvcl_260)  (and (and (= x_377 1) (iff x_364 x_367)) (iff x_373 (not x_364))) )) (iff x_378 x_369)) (iff x_44 x_40)) (= x_46 x_42)) (= x_179 x_174)) $cvcl_261) )) (or (or (and (and (and (= x_379 0) $cvcl_268) (or (not (<= x_176 ?cvcl_263))  (iff x_378 x_364) )) $cvcl_264)  (and (and (and (= x_379 1) $cvcl_262) (xor x_364  x_373 )) (= x_181 (+ ?cvcl_263 x_124))) )  (and (and (and (= x_379 2) $cvcl_262) (iff x_364 x_373)) $cvcl_264) )) (or (or (and (and (and (= x_380 0) (not $cvcl_266)) (or (not $cvcl_265)  (iff x_375 x_41) )) $cvcl_267)  (and (and (and (= x_380 1) $cvcl_266) (xor x_41  x_45 )) (= x_183 (+ ?cvcl_20 x_128))) )  (and (and (and (= x_380 2) $cvcl_266) (iff x_41 x_45)) $cvcl_267) )) (or (or (and (and (and (= x_381 0) $cvcl_268) (or (not (<= x_177 ?cvcl_263))  (= x_46 x_43) )) $cvcl_270)  (and (and (and (= x_381 1) $cvcl_262) (not $cvcl_269)) (= x_182 (+ ?cvcl_263 x_124))) )  (and (and (and (= x_381 2) $cvcl_262) $cvcl_269) $cvcl_270) )) (or (and (and (and (and (and (and (and (and (and (= x_365 0) (iff x_40 x_360)) (= ?cvcl_21 x_169)) (<= (+ ?cvcl_21 x_122) x_174)) (or $cvcl_273  (iff x_41 x_36) )) (iff x_366 x_357)) (iff x_367 x_358)) (= x_175 x_170)) $cvcl_271) $cvcl_272)  (and (and (and (and (and (and (and (and (and (= x_365 1) (iff x_367 x_357)) (= ?cvcl_21 x_170)) (<= (+ ?cvcl_21 x_123) x_175)) (or (and (and (= x_368 0) $cvcl_271) $cvcl_272)  (and (and (= x_368 1) (iff x_355 x_358)) (iff x_364 (not x_355))) )) (iff x_369 x_360)) (iff x_40 x_36)) (= x_42 x_38)) (= x_174 x_169)) $cvcl_273) )) (or (or (and (and (and (= x_370 0) $cvcl_280) (or (not (<= x_171 ?cvcl_275))  (iff x_369 x_355) )) $cvcl_276)  (and (and (and (= x_370 1) $cvcl_274) (xor x_355  x_364 )) (= x_176 (+ ?cvcl_275 x_124))) )  (and (and (and (= x_370 2) $cvcl_274) (iff x_355 x_364)) $cvcl_276) )) (or (or (and (and (and (= x_371 0) (not $cvcl_278)) (or (not $cvcl_277)  (iff x_366 x_37) )) $cvcl_279)  (and (and (and (= x_371 1) $cvcl_278) (xor x_37  x_41 )) (= x_178 (+ ?cvcl_21 x_128))) )  (and (and (and (= x_371 2) $cvcl_278) (iff x_37 x_41)) $cvcl_279) )) (or (or (and (and (and (= x_372 0) $cvcl_280) (or (not (<= x_172 ?cvcl_275))  (= x_42 x_39) )) $cvcl_282)  (and (and (and (= x_372 1) $cvcl_274) (not $cvcl_281)) (= x_177 (+ ?cvcl_275 x_124))) )  (and (and (and (= x_372 2) $cvcl_274) $cvcl_281) $cvcl_282) )) (or (and (and (and (and (and (and (and (and (and (= x_356 0) (iff x_36 x_351)) (= ?cvcl_22 x_164)) (<= (+ ?cvcl_22 x_122) x_169)) (or $cvcl_285  (iff x_37 x_32) )) (iff x_357 x_348)) (iff x_358 x_349)) (= x_170 x_165)) $cvcl_283) $cvcl_284)  (and (and (and (and (and (and (and (and (and (= x_356 1) (iff x_358 x_348)) (= ?cvcl_22 x_165)) (<= (+ ?cvcl_22 x_123) x_170)) (or (and (and (= x_359 0) $cvcl_283) $cvcl_284)  (and (and (= x_359 1) (iff x_346 x_349)) (iff x_355 (not x_346))) )) (iff x_360 x_351)) (iff x_36 x_32)) (= x_38 x_34)) (= x_169 x_164)) $cvcl_285) )) (or (or (and (and (and (= x_361 0) $cvcl_292) (or (not (<= x_166 ?cvcl_287))  (iff x_360 x_346) )) $cvcl_288)  (and (and (and (= x_361 1) $cvcl_286) (xor x_346  x_355 )) (= x_171 (+ ?cvcl_287 x_124))) )  (and (and (and (= x_361 2) $cvcl_286) (iff x_346 x_355)) $cvcl_288) )) (or (or (and (and (and (= x_362 0) (not $cvcl_290)) (or (not $cvcl_289)  (iff x_357 x_33) )) $cvcl_291)  (and (and (and (= x_362 1) $cvcl_290) (xor x_33  x_37 )) (= x_173 (+ ?cvcl_22 x_128))) )  (and (and (and (= x_362 2) $cvcl_290) (iff x_33 x_37)) $cvcl_291) )) (or (or (and (and (and (= x_363 0) $cvcl_292) (or (not (<= x_167 ?cvcl_287))  (= x_38 x_35) )) $cvcl_294)  (and (and (and (= x_363 1) $cvcl_286) (not $cvcl_293)) (= x_172 (+ ?cvcl_287 x_124))) )  (and (and (and (= x_363 2) $cvcl_286) $cvcl_293) $cvcl_294) )) (or (and (and (and (and (and (and (and (and (and (= x_347 0) (iff x_32 x_342)) (= ?cvcl_23 x_159)) (<= (+ ?cvcl_23 x_122) x_164)) (or $cvcl_297  (iff x_33 x_28) )) (iff x_348 x_339)) (iff x_349 x_340)) (= x_165 x_160)) $cvcl_295) $cvcl_296)  (and (and (and (and (and (and (and (and (and (= x_347 1) (iff x_349 x_339)) (= ?cvcl_23 x_160)) (<= (+ ?cvcl_23 x_123) x_165)) (or (and (and (= x_350 0) $cvcl_295) $cvcl_296)  (and (and (= x_350 1) (iff x_337 x_340)) (iff x_346 (not x_337))) )) (iff x_351 x_342)) (iff x_32 x_28)) (= x_34 x_30)) (= x_164 x_159)) $cvcl_297) )) (or (or (and (and (and (= x_352 0) $cvcl_304) (or (not (<= x_161 ?cvcl_299))  (iff x_351 x_337) )) $cvcl_300)  (and (and (and (= x_352 1) $cvcl_298) (xor x_337  x_346 )) (= x_166 (+ ?cvcl_299 x_124))) )  (and (and (and (= x_352 2) $cvcl_298) (iff x_337 x_346)) $cvcl_300) )) (or (or (and (and (and (= x_353 0) (not $cvcl_302)) (or (not $cvcl_301)  (iff x_348 x_29) )) $cvcl_303)  (and (and (and (= x_353 1) $cvcl_302) (xor x_29  x_33 )) (= x_168 (+ ?cvcl_23 x_128))) )  (and (and (and (= x_353 2) $cvcl_302) (iff x_29 x_33)) $cvcl_303) )) (or (or (and (and (and (= x_354 0) $cvcl_304) (or (not (<= x_162 ?cvcl_299))  (= x_34 x_31) )) $cvcl_306)  (and (and (and (= x_354 1) $cvcl_298) (not $cvcl_305)) (= x_167 (+ ?cvcl_299 x_124))) )  (and (and (and (= x_354 2) $cvcl_298) $cvcl_305) $cvcl_306) )) (or (and (and (and (and (and (and (and (and (and (= x_338 0) (iff x_28 x_333)) (= ?cvcl_24 x_154)) (<= (+ ?cvcl_24 x_122) x_159)) (or $cvcl_309  (iff x_29 x_24) )) (iff x_339 x_330)) (iff x_340 x_331)) (= x_160 x_155)) $cvcl_307) $cvcl_308)  (and (and (and (and (and (and (and (and (and (= x_338 1) (iff x_340 x_330)) (= ?cvcl_24 x_155)) (<= (+ ?cvcl_24 x_123) x_160)) (or (and (and (= x_341 0) $cvcl_307) $cvcl_308)  (and (and (= x_341 1) (iff x_328 x_331)) (iff x_337 (not x_328))) )) (iff x_342 x_333)) (iff x_28 x_24)) (= x_30 x_26)) (= x_159 x_154)) $cvcl_309) )) (or (or (and (and (and (= x_343 0) $cvcl_316) (or (not (<= x_156 ?cvcl_311))  (iff x_342 x_328) )) $cvcl_312)  (and (and (and (= x_343 1) $cvcl_310) (xor x_328  x_337 )) (= x_161 (+ ?cvcl_311 x_124))) )  (and (and (and (= x_343 2) $cvcl_310) (iff x_328 x_337)) $cvcl_312) )) (or (or (and (and (and (= x_344 0) (not $cvcl_314)) (or (not $cvcl_313)  (iff x_339 x_25) )) $cvcl_315)  (and (and (and (= x_344 1) $cvcl_314) (xor x_25  x_29 )) (= x_163 (+ ?cvcl_24 x_128))) )  (and (and (and (= x_344 2) $cvcl_314) (iff x_25 x_29)) $cvcl_315) )) (or (or (and (and (and (= x_345 0) $cvcl_316) (or (not (<= x_157 ?cvcl_311))  (= x_30 x_27) )) $cvcl_318)  (and (and (and (= x_345 1) $cvcl_310) (not $cvcl_317)) (= x_162 (+ ?cvcl_311 x_124))) )  (and (and (and (= x_345 2) $cvcl_310) $cvcl_317) $cvcl_318) )) (or (and (and (and (and (and (and (and (and (and (= x_329 0) (iff x_24 x_324)) (= ?cvcl_25 x_149)) (<= (+ ?cvcl_25 x_122) x_154)) (or $cvcl_321  (iff x_25 x_20) )) (iff x_330 x_321)) (iff x_331 x_322)) (= x_155 x_150)) $cvcl_319) $cvcl_320)  (and (and (and (and (and (and (and (and (and (= x_329 1) (iff x_331 x_321)) (= ?cvcl_25 x_150)) (<= (+ ?cvcl_25 x_123) x_155)) (or (and (and (= x_332 0) $cvcl_319) $cvcl_320)  (and (and (= x_332 1) (iff x_319 x_322)) (iff x_328 (not x_319))) )) (iff x_333 x_324)) (iff x_24 x_20)) (= x_26 x_22)) (= x_154 x_149)) $cvcl_321) )) (or (or (and (and (and (= x_334 0) $cvcl_328) (or (not (<= x_151 ?cvcl_323))  (iff x_333 x_319) )) $cvcl_324)  (and (and (and (= x_334 1) $cvcl_322) (xor x_319  x_328 )) (= x_156 (+ ?cvcl_323 x_124))) )  (and (and (and (= x_334 2) $cvcl_322) (iff x_319 x_328)) $cvcl_324) )) (or (or (and (and (and (= x_335 0) (not $cvcl_326)) (or (not $cvcl_325)  (iff x_330 x_21) )) $cvcl_327)  (and (and (and (= x_335 1) $cvcl_326) (xor x_21  x_25 )) (= x_158 (+ ?cvcl_25 x_128))) )  (and (and (and (= x_335 2) $cvcl_326) (iff x_21 x_25)) $cvcl_327) )) (or (or (and (and (and (= x_336 0) $cvcl_328) (or (not (<= x_152 ?cvcl_323))  (= x_26 x_23) )) $cvcl_330)  (and (and (and (= x_336 1) $cvcl_322) (not $cvcl_329)) (= x_157 (+ ?cvcl_323 x_124))) )  (and (and (and (= x_336 2) $cvcl_322) $cvcl_329) $cvcl_330) )) (or (and (and (and (and (and (and (and (and (and (= x_320 0) (iff x_20 x_315)) (= ?cvcl_26 x_144)) (<= (+ ?cvcl_26 x_122) x_149)) (or $cvcl_333  (iff x_21 x_16) )) (iff x_321 x_312)) (iff x_322 x_313)) (= x_150 x_145)) $cvcl_331) $cvcl_332)  (and (and (and (and (and (and (and (and (and (= x_320 1) (iff x_322 x_312)) (= ?cvcl_26 x_145)) (<= (+ ?cvcl_26 x_123) x_150)) (or (and (and (= x_323 0) $cvcl_331) $cvcl_332)  (and (and (= x_323 1) (iff x_310 x_313)) (iff x_319 (not x_310))) )) (iff x_324 x_315)) (iff x_20 x_16)) (= x_22 x_18)) (= x_149 x_144)) $cvcl_333) )) (or (or (and (and (and (= x_325 0) $cvcl_340) (or (not (<= x_146 ?cvcl_335))  (iff x_324 x_310) )) $cvcl_336)  (and (and (and (= x_325 1) $cvcl_334) (xor x_310  x_319 )) (= x_151 (+ ?cvcl_335 x_124))) )  (and (and (and (= x_325 2) $cvcl_334) (iff x_310 x_319)) $cvcl_336) )) (or (or (and (and (and (= x_326 0) (not $cvcl_338)) (or (not $cvcl_337)  (iff x_321 x_17) )) $cvcl_339)  (and (and (and (= x_326 1) $cvcl_338) (xor x_17  x_21 )) (= x_153 (+ ?cvcl_26 x_128))) )  (and (and (and (= x_326 2) $cvcl_338) (iff x_17 x_21)) $cvcl_339) )) (or (or (and (and (and (= x_327 0) $cvcl_340) (or (not (<= x_147 ?cvcl_335))  (= x_22 x_19) )) $cvcl_342)  (and (and (and (= x_327 1) $cvcl_334) (not $cvcl_341)) (= x_152 (+ ?cvcl_335 x_124))) )  (and (and (and (= x_327 2) $cvcl_334) $cvcl_341) $cvcl_342) )) (or (and (and (and (and (and (and (and (and (and (= x_311 0) (iff x_16 x_306)) (= ?cvcl_27 x_139)) (<= (+ ?cvcl_27 x_122) x_144)) (or $cvcl_345  (iff x_17 x_12) )) (iff x_312 x_303)) (iff x_313 x_304)) (= x_145 x_140)) $cvcl_343) $cvcl_344)  (and (and (and (and (and (and (and (and (and (= x_311 1) (iff x_313 x_303)) (= ?cvcl_27 x_140)) (<= (+ ?cvcl_27 x_123) x_145)) (or (and (and (= x_314 0) $cvcl_343) $cvcl_344)  (and (and (= x_314 1) (iff x_301 x_304)) (iff x_310 (not x_301))) )) (iff x_315 x_306)) (iff x_16 x_12)) (= x_18 x_14)) (= x_144 x_139)) $cvcl_345) )) (or (or (and (and (and (= x_316 0) $cvcl_352) (or (not (<= x_141 ?cvcl_347))  (iff x_315 x_301) )) $cvcl_348)  (and (and (and (= x_316 1) $cvcl_346) (xor x_301  x_310 )) (= x_146 (+ ?cvcl_347 x_124))) )  (and (and (and (= x_316 2) $cvcl_346) (iff x_301 x_310)) $cvcl_348) )) (or (or (and (and (and (= x_317 0) (not $cvcl_350)) (or (not $cvcl_349)  (iff x_312 x_13) )) $cvcl_351)  (and (and (and (= x_317 1) $cvcl_350) (xor x_13  x_17 )) (= x_148 (+ ?cvcl_27 x_128))) )  (and (and (and (= x_317 2) $cvcl_350) (iff x_13 x_17)) $cvcl_351) )) (or (or (and (and (and (= x_318 0) $cvcl_352) (or (not (<= x_142 ?cvcl_347))  (= x_18 x_15) )) $cvcl_354)  (and (and (and (= x_318 1) $cvcl_346) (not $cvcl_353)) (= x_147 (+ ?cvcl_347 x_124))) )  (and (and (and (= x_318 2) $cvcl_346) $cvcl_353) $cvcl_354) )) (or (and (and (and (and (and (and (and (and (and (= x_302 0) (iff x_12 x_297)) (= ?cvcl_28 x_134)) (<= (+ ?cvcl_28 x_122) x_139)) (or $cvcl_357  (iff x_13 x_8) )) (iff x_303 x_294)) (iff x_304 x_295)) (= x_140 x_135)) $cvcl_355) $cvcl_356)  (and (and (and (and (and (and (and (and (and (= x_302 1) (iff x_304 x_294)) (= ?cvcl_28 x_135)) (<= (+ ?cvcl_28 x_123) x_140)) (or (and (and (= x_305 0) $cvcl_355) $cvcl_356)  (and (and (= x_305 1) (iff x_292 x_295)) (iff x_301 (not x_292))) )) (iff x_306 x_297)) (iff x_12 x_8)) (= x_14 x_10)) (= x_139 x_134)) $cvcl_357) )) (or (or (and (and (and (= x_307 0) $cvcl_364) (or (not (<= x_136 ?cvcl_359))  (iff x_306 x_292) )) $cvcl_360)  (and (and (and (= x_307 1) $cvcl_358) (xor x_292  x_301 )) (= x_141 (+ ?cvcl_359 x_124))) )  (and (and (and (= x_307 2) $cvcl_358) (iff x_292 x_301)) $cvcl_360) )) (or (or (and (and (and (= x_308 0) (not $cvcl_362)) (or (not $cvcl_361)  (iff x_303 x_9) )) $cvcl_363)  (and (and (and (= x_308 1) $cvcl_362) (xor x_9  x_13 )) (= x_143 (+ ?cvcl_28 x_128))) )  (and (and (and (= x_308 2) $cvcl_362) (iff x_9 x_13)) $cvcl_363) )) (or (or (and (and (and (= x_309 0) $cvcl_364) (or (not (<= x_137 ?cvcl_359))  (= x_14 x_11) )) $cvcl_366)  (and (and (and (= x_309 1) $cvcl_358) (not $cvcl_365)) (= x_142 (+ ?cvcl_359 x_124))) )  (and (and (and (= x_309 2) $cvcl_358) $cvcl_365) $cvcl_366) )) (or (and (and (and (and (and (and (and (and (and (= x_293 0) (iff x_8 x_288)) (= ?cvcl_29 x_129)) (<= (+ ?cvcl_29 x_122) x_134)) (or $cvcl_369  (iff x_9 x_4) )) (iff x_294 x_283)) (iff x_295 x_285)) (= x_135 x_130)) $cvcl_367) $cvcl_368)  (and (and (and (and (and (and (and (and (and (= x_293 1) (iff x_295 x_283)) (= ?cvcl_29 x_130)) (<= (+ ?cvcl_29 x_123) x_135)) (or (and (and (= x_296 0) $cvcl_367) $cvcl_368)  (and (and (= x_296 1) (iff x_279 x_285)) (iff x_292 (not x_279))) )) (iff x_297 x_288)) (iff x_8 x_4)) (= x_10 x_6)) (= x_134 x_129)) $cvcl_369) )) (or (or (and (and (and (= x_298 0) $cvcl_376) (or (not (<= x_131 ?cvcl_371))  (iff x_297 x_279) )) $cvcl_372)  (and (and (and (= x_298 1) $cvcl_370) (xor x_279  x_292 )) (= x_136 (+ ?cvcl_371 x_124))) )  (and (and (and (= x_298 2) $cvcl_370) (iff x_279 x_292)) $cvcl_372) )) (or (or (and (and (and (= x_299 0) (not $cvcl_374)) (or (not $cvcl_373)  (iff x_294 x_5) )) $cvcl_375)  (and (and (and (= x_299 1) $cvcl_374) (xor x_5  x_9 )) (= x_138 (+ ?cvcl_29 x_128))) )  (and (and (and (= x_299 2) $cvcl_374) (iff x_5 x_9)) $cvcl_375) )) (or (or (and (and (and (= x_300 0) $cvcl_376) (or (not (<= x_132 ?cvcl_371))  (= x_10 x_7) )) $cvcl_378)  (and (and (and (= x_300 1) $cvcl_370) (not $cvcl_377)) (= x_137 (+ ?cvcl_371 x_124))) )  (and (and (and (= x_300 2) $cvcl_370) $cvcl_377) $cvcl_378) )) (or (and (and (and (and (and (and (and (and (and (= x_281 0) (iff x_4 x_282)) (= ?cvcl_30 x_120)) (<= (+ ?cvcl_30 x_122) x_129)) (or $cvcl_381  (iff x_5 x_0) )) (iff x_283 x_284)) (iff x_285 x_286)) (= x_130 x_121)) $cvcl_379) $cvcl_380)  (and (and (and (and (and (and (and (and (and (= x_281 1) (iff x_285 x_284)) (= ?cvcl_30 x_121)) (<= (+ ?cvcl_30 x_123) x_130)) (or (and (and (= x_287 0) $cvcl_379) $cvcl_380)  (and (and (= x_287 1) (iff x_280 x_286)) (iff x_279 (not x_280))) )) (iff x_288 x_282)) (iff x_4 x_0)) (= x_6 x_2)) (= x_129 x_120)) $cvcl_381) )) (or (or (and (and (and (= x_289 0) $cvcl_388) (or (not (<= x_125 ?cvcl_383))  (iff x_288 x_280) )) $cvcl_384)  (and (and (and (= x_289 1) $cvcl_382) (xor x_280  x_279 )) (= x_131 (+ ?cvcl_383 x_124))) )  (and (and (and (= x_289 2) $cvcl_382) (iff x_280 x_279)) $cvcl_384) )) (or (or (and (and (and (= x_290 0) (not $cvcl_386)) (or (not $cvcl_385)  (iff x_283 x_1) )) $cvcl_387)  (and (and (and (= x_290 1) $cvcl_386) (xor x_1  x_5 )) (= x_133 (+ ?cvcl_30 x_128))) )  (and (and (and (= x_290 2) $cvcl_386) (iff x_1 x_5)) $cvcl_387) )) (or (or (and (and (and (= x_291 0) $cvcl_388) (or (not (<= x_126 ?cvcl_383))  (= x_6 x_3) )) $cvcl_390)  (and (and (and (= x_291 1) $cvcl_382) (not $cvcl_389)) (= x_132 (+ ?cvcl_383 x_124))) )  (and (and (and (= x_291 2) $cvcl_382) $cvcl_389) $cvcl_390) )) (xor x_547  x_548 )) (not (= x_553 x_545))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
)
