(benchmark synch_circuit
  :source {
Fully parameterized specification and verification of a synchronizer   
circuit modeling metastability at various levels of refinement.     
A paper describing this specification, to be published in Designing     
Correct Circuits (DCC), 2006, is available from the authors.            

Geoffrey Brown, Indiana University <geobrown@cs.indiana.edu>
Lee Pike, Galois Connections, Inc. <leepike@galois.com>

Translated into CVC format by Leonardo de Moura.

This benchmark was automatically translated into SMT-LIB format from
CVC format using CVC Lite

}
  :status sat
:category { industrial }
:difficulty { 2 }
  :logic QF_LRA
  
  :extrapreds ((x_0))
  :extrapreds ((x_1))
  :extrafuns ((x_2 Real))
  :extrafuns ((x_3 Real))
  :extrapreds ((x_4))
  :extrapreds ((x_5))
  :extrafuns ((x_6 Real))
  :extrafuns ((x_7 Real))
  :extrapreds ((x_8))
  :extrapreds ((x_9))
  :extrafuns ((x_10 Real))
  :extrafuns ((x_11 Real))
  :extrapreds ((x_12))
  :extrapreds ((x_13))
  :extrafuns ((x_14 Real))
  :extrafuns ((x_15 Real))
  :extrapreds ((x_16))
  :extrapreds ((x_17))
  :extrafuns ((x_18 Real))
  :extrafuns ((x_19 Real))
  :extrafuns ((x_20 Real))
  :extrafuns ((x_21 Real))
  :extrafuns ((x_22 Real))
  :extrafuns ((x_23 Real))
  :extrafuns ((x_24 Real))
  :extrafuns ((x_25 Real))
  :extrafuns ((x_26 Real))
  :extrafuns ((x_27 Real))
  :extrafuns ((x_28 Real))
  :extrafuns ((x_29 Real))
  :extrafuns ((x_30 Real))
  :extrafuns ((x_31 Real))
  :extrafuns ((x_32 Real))
  :extrafuns ((x_33 Real))
  :extrafuns ((x_34 Real))
  :extrafuns ((x_35 Real))
  :extrafuns ((x_36 Real))
  :extrafuns ((x_37 Real))
  :extrafuns ((x_38 Real))
  :extrafuns ((x_39 Real))
  :extrafuns ((x_40 Real))
  :extrafuns ((x_41 Real))
  :extrafuns ((x_42 Real))
  :extrafuns ((x_43 Real))
  :extrafuns ((x_44 Real))
  :extrafuns ((x_45 Real))
  :extrafuns ((x_46 Real))
  :extrafuns ((x_47 Real))
  :extrafuns ((x_48 Real))
  :extrafuns ((x_49 Real))
  :extrafuns ((x_50 Real))
  :extrafuns ((x_51 Real))
  :extrafuns ((x_52 Real))
  :extrafuns ((x_53 Real))
  :extrapreds ((x_54))
  :extrapreds ((x_55))
  :extrafuns ((x_56 Real))
  :extrapreds ((x_57))
  :extrapreds ((x_58))
  :extrapreds ((x_59))
  :extrapreds ((x_60))
  :extrapreds ((x_61))
  :extrafuns ((x_62 Real))
  :extrapreds ((x_63))
  :extrafuns ((x_64 Real))
  :extrafuns ((x_65 Real))
  :extrafuns ((x_66 Real))
  :extrapreds ((x_67))
  :extrafuns ((x_68 Real))
  :extrapreds ((x_69))
  :extrapreds ((x_70))
  :extrafuns ((x_71 Real))
  :extrapreds ((x_72))
  :extrafuns ((x_73 Real))
  :extrafuns ((x_74 Real))
  :extrafuns ((x_75 Real))
  :extrapreds ((x_76))
  :extrafuns ((x_77 Real))
  :extrapreds ((x_78))
  :extrapreds ((x_79))
  :extrafuns ((x_80 Real))
  :extrapreds ((x_81))
  :extrafuns ((x_82 Real))
  :extrafuns ((x_83 Real))
  :extrafuns ((x_84 Real))
  :extrapreds ((x_85))
  :extrafuns ((x_86 Real))
  :extrapreds ((x_87))
  :extrapreds ((x_88))
  :extrafuns ((x_89 Real))
  :extrapreds ((x_90))
  :extrafuns ((x_91 Real))
  :extrafuns ((x_92 Real))
  :extrafuns ((x_93 Real))
  :extrapreds ((x_94))
  :extrafuns ((x_95 Real))
  :extrafuns ((x_96 Real))
  :extrapreds ((x_97))
  :extrapreds ((x_98))
  :extrapreds ((x_99))
  :extrapreds ((x_100))
  :extrafuns ((x_101 Real))
  :extrapreds ((x_102))
  :extrafuns ((x_103 Real))
  :extrafuns ((x_104 Real))
  :extrafuns ((x_105 Real))
  :extrafuns ((x_106 Real))
  :formula
(let (?cvcl_5 (ite (<= x_20 x_21) x_20 x_21)) (let (?cvcl_4 (ite (<= x_29 x_30) x_29 x_30)) (let (?cvcl_3 (ite (<= x_34 x_35) x_34 x_35)) (let (?cvcl_2 (ite (<= x_39 x_40) x_39 x_40)) (let (?cvcl_1 (ite (<= x_44 x_45) x_44 x_45)) (let (?cvcl_0 (ite (<= x_49 x_50) x_49 x_50)) (flet ($cvcl_59 (= x_31 x_25)) (flet ($cvcl_61 (= x_21 x_30)) (flet ($cvcl_62 (= x_33 x_27)) (flet ($cvcl_57 (= x_20 x_29)) (flet ($cvcl_63 (not $cvcl_57)) (flet ($cvcl_65 (= x_32 x_26)) (flet ($cvcl_54 (iff x_54 x_55)) (flet ($cvcl_55 (= x_7 x_3)) (let (?cvcl_58 (ite (<= x_21 x_20) x_21 x_20)) (flet ($cvcl_47 (= x_36 x_31)) (flet ($cvcl_49 (= x_30 x_35)) (flet ($cvcl_50 (= x_38 x_33)) (flet ($cvcl_45 (= x_29 x_34)) (flet ($cvcl_51 (not $cvcl_45)) (flet ($cvcl_53 (= x_37 x_32)) (flet ($cvcl_42 (iff x_67 x_54)) (flet ($cvcl_43 (= x_11 x_7)) (let (?cvcl_46 (ite (<= x_30 x_29) x_30 x_29)) (flet ($cvcl_35 (= x_41 x_36)) (flet ($cvcl_37 (= x_35 x_40)) (flet ($cvcl_38 (= x_43 x_38)) (flet ($cvcl_33 (= x_34 x_39)) (flet ($cvcl_39 (not $cvcl_33)) (flet ($cvcl_41 (= x_42 x_37)) (flet ($cvcl_30 (iff x_76 x_67)) (flet ($cvcl_31 (= x_15 x_11)) (let (?cvcl_34 (ite (<= x_35 x_34) x_35 x_34)) (flet ($cvcl_23 (= x_46 x_41)) (flet ($cvcl_25 (= x_40 x_45)) (flet ($cvcl_26 (= x_48 x_43)) (flet ($cvcl_21 (= x_39 x_44)) (flet ($cvcl_27 (not $cvcl_21)) (flet ($cvcl_29 (= x_47 x_42)) (flet ($cvcl_18 (iff x_85 x_76)) (flet ($cvcl_19 (= x_19 x_15)) (let (?cvcl_22 (ite (<= x_40 x_39) x_40 x_39)) (flet ($cvcl_11 (= x_51 x_46)) (flet ($cvcl_13 (= x_45 x_50)) (flet ($cvcl_14 (= x_53 x_48)) (flet ($cvcl_9 (= x_44 x_49)) (flet ($cvcl_15 (not $cvcl_9)) (flet ($cvcl_17 (= x_52 x_47)) (flet ($cvcl_6 (iff x_94 x_85)) (flet ($cvcl_7 (= x_95 x_19)) (let (?cvcl_10 (ite (<= x_45 x_44) x_45 x_44)) (flet ($cvcl_8 (iff x_98 x_17)) (flet ($cvcl_16 (= x_19 x_95)) (flet ($cvcl_20 (iff x_17 x_13)) (flet ($cvcl_28 (= x_15 x_19)) (flet ($cvcl_32 (iff x_13 x_9)) (flet ($cvcl_40 (= x_11 x_15)) (flet ($cvcl_44 (iff x_9 x_5)) (flet ($cvcl_52 (= x_7 x_11)) (flet ($cvcl_56 (iff x_5 x_1)) (flet ($cvcl_64 (= x_3 x_7)) (flet ($cvcl_12 (<= x_48 ?cvcl_1)) (flet ($cvcl_24 (<= x_43 ?cvcl_2)) (flet ($cvcl_36 (<= x_38 ?cvcl_3)) (flet ($cvcl_48 (<= x_33 ?cvcl_4)) (flet ($cvcl_60 (<= x_27 ?cvcl_5)) (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (> x_22 0) (> x_23 0)) (>= x_24 0)) (< x_24 x_22)) (< x_24 x_23)) (>= x_28 0)) (< x_28 x_22)) (< x_28 x_23)) (or (iff x_16 x_17)  (= x_18 x_19) )) (or (iff x_12 x_13)  (= x_14 x_15) )) (or (iff x_8 x_9)  (= x_10 x_11) )) (or (iff x_4 x_5)  (= x_6 x_7) )) (or (iff x_0 x_1)  (= x_2 x_3) )) (or (<= x_51 ?cvcl_0)  (<= (- (+ x_51 x_23) x_24) x_50) )) (or (<= x_52 ?cvcl_0)  (<= (- (+ x_52 x_23) x_24) x_50) )) (or (<= x_53 ?cvcl_0)  (<= (- (+ x_53 x_22) x_28) x_49) )) (<= x_53 (+ ?cvcl_0 x_28))) (<= x_52 (+ ?cvcl_0 x_24))) (<= x_51 (+ ?cvcl_0 x_24))) (<= ?cvcl_0 x_49)) (<= ?cvcl_0 x_50)) (or (<= x_46 ?cvcl_1)  (<= (- (+ x_46 x_23) x_24) x_45) )) (or (<= x_47 ?cvcl_1)  (<= (- (+ x_47 x_23) x_24) x_45) )) (or $cvcl_12  (<= (- (+ x_48 x_22) x_28) x_44) )) (<= x_48 (+ ?cvcl_1 x_28))) (<= x_47 (+ ?cvcl_1 x_24))) (<= x_46 (+ ?cvcl_1 x_24))) (<= ?cvcl_1 x_44)) (<= ?cvcl_1 x_45)) (or (<= x_41 ?cvcl_2)  (<= (- (+ x_41 x_23) x_24) x_40) )) (or (<= x_42 ?cvcl_2)  (<= (- (+ x_42 x_23) x_24) x_40) )) (or $cvcl_24  (<= (- (+ x_43 x_22) x_28) x_39) )) (<= x_43 (+ ?cvcl_2 x_28))) (<= x_42 (+ ?cvcl_2 x_24))) (<= x_41 (+ ?cvcl_2 x_24))) (<= ?cvcl_2 x_39)) (<= ?cvcl_2 x_40)) (or (<= x_36 ?cvcl_3)  (<= (- (+ x_36 x_23) x_24) x_35) )) (or (<= x_37 ?cvcl_3)  (<= (- (+ x_37 x_23) x_24) x_35) )) (or $cvcl_36  (<= (- (+ x_38 x_22) x_28) x_34) )) (<= x_38 (+ ?cvcl_3 x_28))) (<= x_37 (+ ?cvcl_3 x_24))) (<= x_36 (+ ?cvcl_3 x_24))) (<= ?cvcl_3 x_34)) (<= ?cvcl_3 x_35)) (or (<= x_31 ?cvcl_4)  (<= (- (+ x_31 x_23) x_24) x_30) )) (or (<= x_32 ?cvcl_4)  (<= (- (+ x_32 x_23) x_24) x_30) )) (or $cvcl_48  (<= (- (+ x_33 x_22) x_28) x_29) )) (<= x_33 (+ ?cvcl_4 x_28))) (<= x_32 (+ ?cvcl_4 x_24))) (<= x_31 (+ ?cvcl_4 x_24))) (<= ?cvcl_4 x_29)) (<= ?cvcl_4 x_30)) (or (<= x_25 ?cvcl_5)  (<= (- (+ x_25 x_23) x_24) x_21) )) (or (<= x_26 ?cvcl_5)  (<= (- (+ x_26 x_23) x_24) x_21) )) (or $cvcl_60  (<= (- (+ x_27 x_22) x_28) x_20) )) (<= x_27 (+ ?cvcl_5 x_28))) (<= x_26 (+ ?cvcl_5 x_24))) (<= x_25 (+ ?cvcl_5 x_24))) (<= ?cvcl_5 x_20)) (<= ?cvcl_5 x_21)) (or (and (and (and (and (and (and (and (and (and (= x_96 0) (iff x_97 x_90)) (= ?cvcl_1 x_44)) (<= (+ ?cvcl_1 x_22) x_49)) (or $cvcl_8  (iff x_98 x_16) )) (iff x_99 x_87)) (iff x_100 x_88)) (= x_50 x_45)) $cvcl_6) $cvcl_7)  (and (and (and (and (and (and (and (and (and (= x_96 1) (iff x_100 x_87)) (= ?cvcl_1 x_45)) (<= (+ ?cvcl_1 x_23) x_50)) (or (and (and (= x_101 0) $cvcl_6) $cvcl_7)  (and (and (= x_101 1) (iff x_85 x_88)) (iff x_94 (not x_85))) )) (iff x_102 x_90)) (iff x_97 x_16)) (= x_103 x_18)) (= x_49 x_44)) $cvcl_8) )) (or (or (and (and (and (= x_104 0) $cvcl_15) (or (not (<= x_46 ?cvcl_10))  (iff x_102 x_85) )) $cvcl_11)  (and (and (and (= x_104 1) $cvcl_9) (xor x_85  x_94 )) (= x_51 (+ ?cvcl_10 x_24))) )  (and (and (and (= x_104 2) $cvcl_9) (iff x_85 x_94)) $cvcl_11) )) (or (or (and (and (and (= x_105 0) (not $cvcl_13)) (or (not $cvcl_12)  (iff x_99 x_17) )) $cvcl_14)  (and (and (and (= x_105 1) $cvcl_13) (xor x_17  x_98 )) (= x_53 (+ ?cvcl_1 x_28))) )  (and (and (and (= x_105 2) $cvcl_13) (iff x_17 x_98)) $cvcl_14) )) (or (or (and (and (and (= x_106 0) $cvcl_15) (or (not (<= x_47 ?cvcl_10))  (= x_103 x_19) )) $cvcl_17)  (and (and (and (= x_106 1) $cvcl_9) (not $cvcl_16)) (= x_52 (+ ?cvcl_10 x_24))) )  (and (and (and (= x_106 2) $cvcl_9) $cvcl_16) $cvcl_17) )) (or (and (and (and (and (and (and (and (and (and (= x_86 0) (iff x_16 x_81)) (= ?cvcl_2 x_39)) (<= (+ ?cvcl_2 x_22) x_44)) (or $cvcl_20  (iff x_17 x_12) )) (iff x_87 x_78)) (iff x_88 x_79)) (= x_45 x_40)) $cvcl_18) $cvcl_19)  (and (and (and (and (and (and (and (and (and (= x_86 1) (iff x_88 x_78)) (= ?cvcl_2 x_40)) (<= (+ ?cvcl_2 x_23) x_45)) (or (and (and (= x_89 0) $cvcl_18) $cvcl_19)  (and (and (= x_89 1) (iff x_76 x_79)) (iff x_85 (not x_76))) )) (iff x_90 x_81)) (iff x_16 x_12)) (= x_18 x_14)) (= x_44 x_39)) $cvcl_20) )) (or (or (and (and (and (= x_91 0) $cvcl_27) (or (not (<= x_41 ?cvcl_22))  (iff x_90 x_76) )) $cvcl_23)  (and (and (and (= x_91 1) $cvcl_21) (xor x_76  x_85 )) (= x_46 (+ ?cvcl_22 x_24))) )  (and (and (and (= x_91 2) $cvcl_21) (iff x_76 x_85)) $cvcl_23) )) (or (or (and (and (and (= x_92 0) (not $cvcl_25)) (or (not $cvcl_24)  (iff x_87 x_13) )) $cvcl_26)  (and (and (and (= x_92 1) $cvcl_25) (xor x_13  x_17 )) (= x_48 (+ ?cvcl_2 x_28))) )  (and (and (and (= x_92 2) $cvcl_25) (iff x_13 x_17)) $cvcl_26) )) (or (or (and (and (and (= x_93 0) $cvcl_27) (or (not (<= x_42 ?cvcl_22))  (= x_18 x_15) )) $cvcl_29)  (and (and (and (= x_93 1) $cvcl_21) (not $cvcl_28)) (= x_47 (+ ?cvcl_22 x_24))) )  (and (and (and (= x_93 2) $cvcl_21) $cvcl_28) $cvcl_29) )) (or (and (and (and (and (and (and (and (and (and (= x_77 0) (iff x_12 x_72)) (= ?cvcl_3 x_34)) (<= (+ ?cvcl_3 x_22) x_39)) (or $cvcl_32  (iff x_13 x_8) )) (iff x_78 x_69)) (iff x_79 x_70)) (= x_40 x_35)) $cvcl_30) $cvcl_31)  (and (and (and (and (and (and (and (and (and (= x_77 1) (iff x_79 x_69)) (= ?cvcl_3 x_35)) (<= (+ ?cvcl_3 x_23) x_40)) (or (and (and (= x_80 0) $cvcl_30) $cvcl_31)  (and (and (= x_80 1) (iff x_67 x_70)) (iff x_76 (not x_67))) )) (iff x_81 x_72)) (iff x_12 x_8)) (= x_14 x_10)) (= x_39 x_34)) $cvcl_32) )) (or (or (and (and (and (= x_82 0) $cvcl_39) (or (not (<= x_36 ?cvcl_34))  (iff x_81 x_67) )) $cvcl_35)  (and (and (and (= x_82 1) $cvcl_33) (xor x_67  x_76 )) (= x_41 (+ ?cvcl_34 x_24))) )  (and (and (and (= x_82 2) $cvcl_33) (iff x_67 x_76)) $cvcl_35) )) (or (or (and (and (and (= x_83 0) (not $cvcl_37)) (or (not $cvcl_36)  (iff x_78 x_9) )) $cvcl_38)  (and (and (and (= x_83 1) $cvcl_37) (xor x_9  x_13 )) (= x_43 (+ ?cvcl_3 x_28))) )  (and (and (and (= x_83 2) $cvcl_37) (iff x_9 x_13)) $cvcl_38) )) (or (or (and (and (and (= x_84 0) $cvcl_39) (or (not (<= x_37 ?cvcl_34))  (= x_14 x_11) )) $cvcl_41)  (and (and (and (= x_84 1) $cvcl_33) (not $cvcl_40)) (= x_42 (+ ?cvcl_34 x_24))) )  (and (and (and (= x_84 2) $cvcl_33) $cvcl_40) $cvcl_41) )) (or (and (and (and (and (and (and (and (and (and (= x_68 0) (iff x_8 x_63)) (= ?cvcl_4 x_29)) (<= (+ ?cvcl_4 x_22) x_34)) (or $cvcl_44  (iff x_9 x_4) )) (iff x_69 x_58)) (iff x_70 x_60)) (= x_35 x_30)) $cvcl_42) $cvcl_43)  (and (and (and (and (and (and (and (and (and (= x_68 1) (iff x_70 x_58)) (= ?cvcl_4 x_30)) (<= (+ ?cvcl_4 x_23) x_35)) (or (and (and (= x_71 0) $cvcl_42) $cvcl_43)  (and (and (= x_71 1) (iff x_54 x_60)) (iff x_67 (not x_54))) )) (iff x_72 x_63)) (iff x_8 x_4)) (= x_10 x_6)) (= x_34 x_29)) $cvcl_44) )) (or (or (and (and (and (= x_73 0) $cvcl_51) (or (not (<= x_31 ?cvcl_46))  (iff x_72 x_54) )) $cvcl_47)  (and (and (and (= x_73 1) $cvcl_45) (xor x_54  x_67 )) (= x_36 (+ ?cvcl_46 x_24))) )  (and (and (and (= x_73 2) $cvcl_45) (iff x_54 x_67)) $cvcl_47) )) (or (or (and (and (and (= x_74 0) (not $cvcl_49)) (or (not $cvcl_48)  (iff x_69 x_5) )) $cvcl_50)  (and (and (and (= x_74 1) $cvcl_49) (xor x_5  x_9 )) (= x_38 (+ ?cvcl_4 x_28))) )  (and (and (and (= x_74 2) $cvcl_49) (iff x_5 x_9)) $cvcl_50) )) (or (or (and (and (and (= x_75 0) $cvcl_51) (or (not (<= x_32 ?cvcl_46))  (= x_10 x_7) )) $cvcl_53)  (and (and (and (= x_75 1) $cvcl_45) (not $cvcl_52)) (= x_37 (+ ?cvcl_46 x_24))) )  (and (and (and (= x_75 2) $cvcl_45) $cvcl_52) $cvcl_53) )) (or (and (and (and (and (and (and (and (and (and (= x_56 0) (iff x_4 x_57)) (= ?cvcl_5 x_20)) (<= (+ ?cvcl_5 x_22) x_29)) (or $cvcl_56  (iff x_5 x_0) )) (iff x_58 x_59)) (iff x_60 x_61)) (= x_30 x_21)) $cvcl_54) $cvcl_55)  (and (and (and (and (and (and (and (and (and (= x_56 1) (iff x_60 x_59)) (= ?cvcl_5 x_21)) (<= (+ ?cvcl_5 x_23) x_30)) (or (and (and (= x_62 0) $cvcl_54) $cvcl_55)  (and (and (= x_62 1) (iff x_55 x_61)) (iff x_54 (not x_55))) )) (iff x_63 x_57)) (iff x_4 x_0)) (= x_6 x_2)) (= x_29 x_20)) $cvcl_56) )) (or (or (and (and (and (= x_64 0) $cvcl_63) (or (not (<= x_25 ?cvcl_58))  (iff x_63 x_55) )) $cvcl_59)  (and (and (and (= x_64 1) $cvcl_57) (xor x_55  x_54 )) (= x_31 (+ ?cvcl_58 x_24))) )  (and (and (and (= x_64 2) $cvcl_57) (iff x_55 x_54)) $cvcl_59) )) (or (or (and (and (and (= x_65 0) (not $cvcl_61)) (or (not $cvcl_60)  (iff x_58 x_1) )) $cvcl_62)  (and (and (and (= x_65 1) $cvcl_61) (xor x_1  x_5 )) (= x_33 (+ ?cvcl_5 x_28))) )  (and (and (and (= x_65 2) $cvcl_61) (iff x_1 x_5)) $cvcl_62) )) (or (or (and (and (and (= x_66 0) $cvcl_63) (or (not (<= x_26 ?cvcl_58))  (= x_6 x_3) )) $cvcl_65)  (and (and (and (= x_66 1) $cvcl_57) (not $cvcl_64)) (= x_32 (+ ?cvcl_58 x_24))) )  (and (and (and (= x_66 2) $cvcl_57) $cvcl_64) $cvcl_65) )) (xor x_97  x_98 )) (not (= x_103 x_95)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
)
