(benchmark synch_circuit
  :source {
Fully parameterized specification and verification of a synchronizer   
circuit modeling metastability at various levels of refinement.     
A paper describing this specification, to be published in Designing     
Correct Circuits (DCC), 2006, is available from the authors.            

Geoffrey Brown, Indiana University <geobrown@cs.indiana.edu>
Lee Pike, Galois Connections, Inc. <leepike@galois.com>

Translated into CVC format by Leonardo de Moura.

This benchmark was automatically translated into SMT-LIB format from
CVC format using CVC Lite

}
  :status sat
:category { industrial }
:difficulty { 2 }
  :logic QF_LRA
  
  :extrapreds ((x_0))
  :extrapreds ((x_1))
  :extrafuns ((x_2 Real))
  :extrafuns ((x_3 Real))
  :extrapreds ((x_4))
  :extrapreds ((x_5))
  :extrafuns ((x_6 Real))
  :extrafuns ((x_7 Real))
  :extrapreds ((x_8))
  :extrapreds ((x_9))
  :extrafuns ((x_10 Real))
  :extrafuns ((x_11 Real))
  :extrapreds ((x_12))
  :extrapreds ((x_13))
  :extrafuns ((x_14 Real))
  :extrafuns ((x_15 Real))
  :extrapreds ((x_16))
  :extrapreds ((x_17))
  :extrafuns ((x_18 Real))
  :extrafuns ((x_19 Real))
  :extrapreds ((x_20))
  :extrapreds ((x_21))
  :extrapreds ((x_22))
  :extrapreds ((x_23))
  :extrafuns ((x_24 Real))
  :extrafuns ((x_25 Real))
  :extrafuns ((x_26 Real))
  :extrafuns ((x_27 Real))
  :extrapreds ((x_28))
  :extrapreds ((x_29))
  :extrapreds ((x_30))
  :extrapreds ((x_31))
  :extrafuns ((x_32 Real))
  :extrafuns ((x_33 Real))
  :extrafuns ((x_34 Real))
  :extrafuns ((x_35 Real))
  :extrapreds ((x_36))
  :extrapreds ((x_37))
  :extrapreds ((x_38))
  :extrapreds ((x_39))
  :extrafuns ((x_40 Real))
  :extrafuns ((x_41 Real))
  :extrafuns ((x_42 Real))
  :extrafuns ((x_43 Real))
  :extrapreds ((x_44))
  :extrapreds ((x_45))
  :extrapreds ((x_46))
  :extrapreds ((x_47))
  :extrafuns ((x_48 Real))
  :extrafuns ((x_49 Real))
  :extrafuns ((x_50 Real))
  :extrafuns ((x_51 Real))
  :extrapreds ((x_52))
  :extrapreds ((x_53))
  :extrapreds ((x_54))
  :extrapreds ((x_55))
  :extrafuns ((x_56 Real))
  :extrafuns ((x_57 Real))
  :extrafuns ((x_58 Real))
  :extrafuns ((x_59 Real))
  :extrapreds ((x_60))
  :extrapreds ((x_61))
  :extrapreds ((x_62))
  :extrapreds ((x_63))
  :extrapreds ((x_64))
  :extrapreds ((x_65))
  :extrafuns ((x_66 Real))
  :extrafuns ((x_67 Real))
  :extrafuns ((x_68 Real))
  :extrafuns ((x_69 Real))
  :extrafuns ((x_70 Real))
  :extrafuns ((x_71 Real))
  :extrafuns ((x_72 Real))
  :extrafuns ((x_73 Real))
  :extrafuns ((x_74 Real))
  :extrafuns ((x_75 Real))
  :extrafuns ((x_76 Real))
  :extrafuns ((x_77 Real))
  :extrafuns ((x_78 Real))
  :extrafuns ((x_79 Real))
  :extrafuns ((x_80 Real))
  :extrafuns ((x_81 Real))
  :extrafuns ((x_82 Real))
  :extrafuns ((x_83 Real))
  :extrafuns ((x_84 Real))
  :extrafuns ((x_85 Real))
  :extrafuns ((x_86 Real))
  :extrafuns ((x_87 Real))
  :extrafuns ((x_88 Real))
  :extrafuns ((x_89 Real))
  :extrafuns ((x_90 Real))
  :extrafuns ((x_91 Real))
  :extrafuns ((x_92 Real))
  :extrafuns ((x_93 Real))
  :extrafuns ((x_94 Real))
  :extrafuns ((x_95 Real))
  :extrafuns ((x_96 Real))
  :extrafuns ((x_97 Real))
  :extrafuns ((x_98 Real))
  :extrafuns ((x_99 Real))
  :extrafuns ((x_100 Real))
  :extrafuns ((x_101 Real))
  :extrafuns ((x_102 Real))
  :extrafuns ((x_103 Real))
  :extrafuns ((x_104 Real))
  :extrafuns ((x_105 Real))
  :extrafuns ((x_106 Real))
  :formula
(flet ($cvcl_59 (= x_33 x_25)) (flet ($cvcl_60 (= x_26 x_34)) (flet ($cvcl_61 (= x_35 x_27)) (flet ($cvcl_57 (= x_24 x_32)) (flet ($cvcl_62 (not $cvcl_57)) (flet ($cvcl_64 (= x_70 x_71)) (flet ($cvcl_53 (iff x_28 x_20)) (flet ($cvcl_54 (= x_7 x_3)) (let (?cvcl_58 (ite (<= x_26 x_24) x_26 x_24)) (let (?cvcl_52 (ite (<= x_24 x_26) x_24 x_26)) (flet ($cvcl_46 (= x_41 x_33)) (flet ($cvcl_47 (= x_34 x_42)) (flet ($cvcl_48 (= x_43 x_35)) (flet ($cvcl_44 (= x_32 x_40)) (flet ($cvcl_49 (not $cvcl_44)) (flet ($cvcl_51 (= x_81 x_70)) (flet ($cvcl_40 (iff x_36 x_28)) (flet ($cvcl_41 (= x_11 x_7)) (let (?cvcl_45 (ite (<= x_34 x_32) x_34 x_32)) (let (?cvcl_39 (ite (<= x_32 x_34) x_32 x_34)) (flet ($cvcl_33 (= x_49 x_41)) (flet ($cvcl_34 (= x_42 x_50)) (flet ($cvcl_35 (= x_51 x_43)) (flet ($cvcl_31 (= x_40 x_48)) (flet ($cvcl_36 (not $cvcl_31)) (flet ($cvcl_38 (= x_87 x_81)) (flet ($cvcl_27 (iff x_44 x_36)) (flet ($cvcl_28 (= x_15 x_11)) (let (?cvcl_32 (ite (<= x_42 x_40) x_42 x_40)) (let (?cvcl_26 (ite (<= x_40 x_42) x_40 x_42)) (flet ($cvcl_20 (= x_57 x_49)) (flet ($cvcl_21 (= x_50 x_58)) (flet ($cvcl_22 (= x_59 x_51)) (flet ($cvcl_18 (= x_48 x_56)) (flet ($cvcl_23 (not $cvcl_18)) (flet ($cvcl_25 (= x_93 x_87)) (flet ($cvcl_14 (iff x_52 x_44)) (flet ($cvcl_15 (= x_19 x_15)) (let (?cvcl_19 (ite (<= x_50 x_48) x_50 x_48)) (let (?cvcl_13 (ite (<= x_48 x_50) x_48 x_50)) (flet ($cvcl_7 (= x_67 x_57)) (flet ($cvcl_8 (= x_58 x_68)) (flet ($cvcl_9 (= x_69 x_59)) (flet ($cvcl_5 (= x_56 x_66)) (flet ($cvcl_10 (not $cvcl_5)) (flet ($cvcl_12 (= x_99 x_93)) (flet ($cvcl_1 (iff x_60 x_52)) (flet ($cvcl_2 (= x_100 x_19)) (let (?cvcl_6 (ite (<= x_58 x_56) x_58 x_56)) (let (?cvcl_0 (ite (<= x_56 x_58) x_56 x_58)) (flet ($cvcl_65 (xor x_62  x_63 )) (flet ($cvcl_3 (not x_52)) (flet ($cvcl_16 (not x_44)) (flet ($cvcl_29 (not x_36)) (flet ($cvcl_42 (not x_28)) (flet ($cvcl_55 (not x_20)) (flet ($cvcl_4 (iff x_63 x_17)) (flet ($cvcl_11 (= x_19 x_100)) (flet ($cvcl_17 (iff x_17 x_13)) (flet ($cvcl_24 (= x_15 x_19)) (flet ($cvcl_30 (iff x_13 x_9)) (flet ($cvcl_37 (= x_11 x_15)) (flet ($cvcl_43 (iff x_9 x_5)) (flet ($cvcl_50 (= x_7 x_11)) (flet ($cvcl_56 (iff x_5 x_1)) (flet ($cvcl_63 (= x_3 x_7)) (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (> x_72 0) (> x_73 0)) (>= x_74 0)) (< x_74 x_72)) (< x_74 x_73)) (>= x_79 0)) (< x_79 x_72)) (< x_79 x_73)) (or (iff x_16 x_17)  (= x_18 x_19) )) (or (iff x_12 x_13)  (= x_14 x_15) )) (or (iff x_8 x_9)  (= x_10 x_11) )) (or (iff x_4 x_5)  (= x_6 x_7) )) (or (iff x_0 x_1)  (= x_2 x_3) )) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_60  x_61 ) 1 0) (ite (xor x_61  x_62 ) 1 0)) (ite $cvcl_65 1 0)) (ite (xor x_63  x_64 ) 1 0)) (ite (xor x_64  x_65 ) 1 0)) (ite (xor x_65  (not x_60) ) 1 0)) (ite (and (iff x_60 x_61) (< x_66 x_67)) 1 0)) (ite (and (iff x_63 x_64) (< x_68 x_69)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_52  x_53 ) 1 0) (ite (xor x_53  x_16 ) 1 0)) (ite (xor x_16  x_17 ) 1 0)) (ite (xor x_17  x_54 ) 1 0)) (ite (xor x_54  x_55 ) 1 0)) (ite (xor x_55  $cvcl_3 ) 1 0)) (ite (and (iff x_52 x_53) (< x_56 x_57)) 1 0)) (ite (and (iff x_17 x_54) (< x_58 x_59)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_44  x_45 ) 1 0) (ite (xor x_45  x_12 ) 1 0)) (ite (xor x_12  x_13 ) 1 0)) (ite (xor x_13  x_46 ) 1 0)) (ite (xor x_46  x_47 ) 1 0)) (ite (xor x_47  $cvcl_16 ) 1 0)) (ite (and (iff x_44 x_45) (< x_48 x_49)) 1 0)) (ite (and (iff x_13 x_46) (< x_50 x_51)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_36  x_37 ) 1 0) (ite (xor x_37  x_8 ) 1 0)) (ite (xor x_8  x_9 ) 1 0)) (ite (xor x_9  x_38 ) 1 0)) (ite (xor x_38  x_39 ) 1 0)) (ite (xor x_39  $cvcl_29 ) 1 0)) (ite (and (iff x_36 x_37) (< x_40 x_41)) 1 0)) (ite (and (iff x_9 x_38) (< x_42 x_43)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_28  x_29 ) 1 0) (ite (xor x_29  x_4 ) 1 0)) (ite (xor x_4  x_5 ) 1 0)) (ite (xor x_5  x_30 ) 1 0)) (ite (xor x_30  x_31 ) 1 0)) (ite (xor x_31  $cvcl_42 ) 1 0)) (ite (and (iff x_28 x_29) (< x_32 x_33)) 1 0)) (ite (and (iff x_5 x_30) (< x_34 x_35)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_20  x_21 ) 1 0) (ite (xor x_21  x_0 ) 1 0)) (ite (xor x_0  x_1 ) 1 0)) (ite (xor x_1  x_22 ) 1 0)) (ite (xor x_22  x_23 ) 1 0)) (ite (xor x_23  $cvcl_55 ) 1 0)) (ite (and (iff x_20 x_21) (< x_24 x_25)) 1 0)) (ite (and (iff x_1 x_22) (< x_26 x_27)) 1 0)) 1)) (or (and (and (and (and (and (and (and (and (and (= x_101 0) (iff x_62 x_53)) (= ?cvcl_0 x_56)) (<= (+ ?cvcl_0 x_72) x_66)) (or $cvcl_4  (iff x_63 x_16) )) (iff x_64 x_54)) (iff x_65 x_55)) (= x_68 x_58)) $cvcl_1) $cvcl_2)  (and (and (and (and (and (and (and (and (and (= x_101 1) (iff x_65 x_54)) (= ?cvcl_0 x_58)) (<= (+ ?cvcl_0 x_73) x_68)) (or (and (and (= x_102 0) $cvcl_1) $cvcl_2)  (and (and (= x_102 1) (iff x_52 x_55)) (iff x_60 $cvcl_3)) )) (iff x_61 x_53)) (iff x_62 x_16)) (= x_103 x_18)) (= x_66 x_56)) $cvcl_4) )) (or (or (and (and (and (= x_104 0) $cvcl_10) (or (not (<= x_57 ?cvcl_6))  (iff x_61 x_52) )) $cvcl_7)  (and (and (and (= x_104 1) $cvcl_5) (xor x_52  x_60 )) (= x_67 (+ ?cvcl_6 x_74))) )  (and (and (and (= x_104 2) $cvcl_5) (iff x_52 x_60)) $cvcl_7) )) (or (or (and (and (and (= x_105 0) (not $cvcl_8)) (or (not (<= x_59 ?cvcl_0))  (iff x_64 x_17) )) $cvcl_9)  (and (and (and (= x_105 1) $cvcl_8) (xor x_17  x_63 )) (= x_69 (+ ?cvcl_0 x_79))) )  (and (and (and (= x_105 2) $cvcl_8) (iff x_17 x_63)) $cvcl_9) )) (or (or (and (and (and (= x_106 0) $cvcl_10) (or (not (<= x_93 ?cvcl_6))  (= x_103 x_19) )) $cvcl_12)  (and (and (and (= x_106 1) $cvcl_5) (not $cvcl_11)) (= x_99 (+ ?cvcl_6 x_74))) )  (and (and (and (= x_106 2) $cvcl_5) $cvcl_11) $cvcl_12) )) (or (and (and (and (and (and (and (and (and (and (= x_94 0) (iff x_16 x_45)) (= ?cvcl_13 x_48)) (<= (+ ?cvcl_13 x_72) x_56)) (or $cvcl_17  (iff x_17 x_12) )) (iff x_54 x_46)) (iff x_55 x_47)) (= x_58 x_50)) $cvcl_14) $cvcl_15)  (and (and (and (and (and (and (and (and (and (= x_94 1) (iff x_55 x_46)) (= ?cvcl_13 x_50)) (<= (+ ?cvcl_13 x_73) x_58)) (or (and (and (= x_95 0) $cvcl_14) $cvcl_15)  (and (and (= x_95 1) (iff x_44 x_47)) (iff x_52 $cvcl_16)) )) (iff x_53 x_45)) (iff x_16 x_12)) (= x_18 x_14)) (= x_56 x_48)) $cvcl_17) )) (or (or (and (and (and (= x_96 0) $cvcl_23) (or (not (<= x_49 ?cvcl_19))  (iff x_53 x_44) )) $cvcl_20)  (and (and (and (= x_96 1) $cvcl_18) (xor x_44  x_52 )) (= x_57 (+ ?cvcl_19 x_74))) )  (and (and (and (= x_96 2) $cvcl_18) (iff x_44 x_52)) $cvcl_20) )) (or (or (and (and (and (= x_97 0) (not $cvcl_21)) (or (not (<= x_51 ?cvcl_13))  (iff x_54 x_13) )) $cvcl_22)  (and (and (and (= x_97 1) $cvcl_21) (xor x_13  x_17 )) (= x_59 (+ ?cvcl_13 x_79))) )  (and (and (and (= x_97 2) $cvcl_21) (iff x_13 x_17)) $cvcl_22) )) (or (or (and (and (and (= x_98 0) $cvcl_23) (or (not (<= x_87 ?cvcl_19))  (= x_18 x_15) )) $cvcl_25)  (and (and (and (= x_98 1) $cvcl_18) (not $cvcl_24)) (= x_93 (+ ?cvcl_19 x_74))) )  (and (and (and (= x_98 2) $cvcl_18) $cvcl_24) $cvcl_25) )) (or (and (and (and (and (and (and (and (and (and (= x_88 0) (iff x_12 x_37)) (= ?cvcl_26 x_40)) (<= (+ ?cvcl_26 x_72) x_48)) (or $cvcl_30  (iff x_13 x_8) )) (iff x_46 x_38)) (iff x_47 x_39)) (= x_50 x_42)) $cvcl_27) $cvcl_28)  (and (and (and (and (and (and (and (and (and (= x_88 1) (iff x_47 x_38)) (= ?cvcl_26 x_42)) (<= (+ ?cvcl_26 x_73) x_50)) (or (and (and (= x_89 0) $cvcl_27) $cvcl_28)  (and (and (= x_89 1) (iff x_36 x_39)) (iff x_44 $cvcl_29)) )) (iff x_45 x_37)) (iff x_12 x_8)) (= x_14 x_10)) (= x_48 x_40)) $cvcl_30) )) (or (or (and (and (and (= x_90 0) $cvcl_36) (or (not (<= x_41 ?cvcl_32))  (iff x_45 x_36) )) $cvcl_33)  (and (and (and (= x_90 1) $cvcl_31) (xor x_36  x_44 )) (= x_49 (+ ?cvcl_32 x_74))) )  (and (and (and (= x_90 2) $cvcl_31) (iff x_36 x_44)) $cvcl_33) )) (or (or (and (and (and (= x_91 0) (not $cvcl_34)) (or (not (<= x_43 ?cvcl_26))  (iff x_46 x_9) )) $cvcl_35)  (and (and (and (= x_91 1) $cvcl_34) (xor x_9  x_13 )) (= x_51 (+ ?cvcl_26 x_79))) )  (and (and (and (= x_91 2) $cvcl_34) (iff x_9 x_13)) $cvcl_35) )) (or (or (and (and (and (= x_92 0) $cvcl_36) (or (not (<= x_81 ?cvcl_32))  (= x_14 x_11) )) $cvcl_38)  (and (and (and (= x_92 1) $cvcl_31) (not $cvcl_37)) (= x_87 (+ ?cvcl_32 x_74))) )  (and (and (and (= x_92 2) $cvcl_31) $cvcl_37) $cvcl_38) )) (or (and (and (and (and (and (and (and (and (and (= x_82 0) (iff x_8 x_29)) (= ?cvcl_39 x_32)) (<= (+ ?cvcl_39 x_72) x_40)) (or $cvcl_43  (iff x_9 x_4) )) (iff x_38 x_30)) (iff x_39 x_31)) (= x_42 x_34)) $cvcl_40) $cvcl_41)  (and (and (and (and (and (and (and (and (and (= x_82 1) (iff x_39 x_30)) (= ?cvcl_39 x_34)) (<= (+ ?cvcl_39 x_73) x_42)) (or (and (and (= x_83 0) $cvcl_40) $cvcl_41)  (and (and (= x_83 1) (iff x_28 x_31)) (iff x_36 $cvcl_42)) )) (iff x_37 x_29)) (iff x_8 x_4)) (= x_10 x_6)) (= x_40 x_32)) $cvcl_43) )) (or (or (and (and (and (= x_84 0) $cvcl_49) (or (not (<= x_33 ?cvcl_45))  (iff x_37 x_28) )) $cvcl_46)  (and (and (and (= x_84 1) $cvcl_44) (xor x_28  x_36 )) (= x_41 (+ ?cvcl_45 x_74))) )  (and (and (and (= x_84 2) $cvcl_44) (iff x_28 x_36)) $cvcl_46) )) (or (or (and (and (and (= x_85 0) (not $cvcl_47)) (or (not (<= x_35 ?cvcl_39))  (iff x_38 x_5) )) $cvcl_48)  (and (and (and (= x_85 1) $cvcl_47) (xor x_5  x_9 )) (= x_43 (+ ?cvcl_39 x_79))) )  (and (and (and (= x_85 2) $cvcl_47) (iff x_5 x_9)) $cvcl_48) )) (or (or (and (and (and (= x_86 0) $cvcl_49) (or (not (<= x_70 ?cvcl_45))  (= x_10 x_7) )) $cvcl_51)  (and (and (and (= x_86 1) $cvcl_44) (not $cvcl_50)) (= x_81 (+ ?cvcl_45 x_74))) )  (and (and (and (= x_86 2) $cvcl_44) $cvcl_50) $cvcl_51) )) (or (and (and (and (and (and (and (and (and (and (= x_75 0) (iff x_4 x_21)) (= ?cvcl_52 x_24)) (<= (+ ?cvcl_52 x_72) x_32)) (or $cvcl_56  (iff x_5 x_0) )) (iff x_30 x_22)) (iff x_31 x_23)) (= x_34 x_26)) $cvcl_53) $cvcl_54)  (and (and (and (and (and (and (and (and (and (= x_75 1) (iff x_31 x_22)) (= ?cvcl_52 x_26)) (<= (+ ?cvcl_52 x_73) x_34)) (or (and (and (= x_76 0) $cvcl_53) $cvcl_54)  (and (and (= x_76 1) (iff x_20 x_23)) (iff x_28 $cvcl_55)) )) (iff x_29 x_21)) (iff x_4 x_0)) (= x_6 x_2)) (= x_32 x_24)) $cvcl_56) )) (or (or (and (and (and (= x_77 0) $cvcl_62) (or (not (<= x_25 ?cvcl_58))  (iff x_29 x_20) )) $cvcl_59)  (and (and (and (= x_77 1) $cvcl_57) (xor x_20  x_28 )) (= x_33 (+ ?cvcl_58 x_74))) )  (and (and (and (= x_77 2) $cvcl_57) (iff x_20 x_28)) $cvcl_59) )) (or (or (and (and (and (= x_78 0) (not $cvcl_60)) (or (not (<= x_27 ?cvcl_52))  (iff x_30 x_1) )) $cvcl_61)  (and (and (and (= x_78 1) $cvcl_60) (xor x_1  x_5 )) (= x_35 (+ ?cvcl_52 x_79))) )  (and (and (and (= x_78 2) $cvcl_60) (iff x_1 x_5)) $cvcl_61) )) (or (or (and (and (and (= x_80 0) $cvcl_62) (or (not (<= x_71 ?cvcl_58))  (= x_6 x_3) )) $cvcl_64)  (and (and (and (= x_80 1) $cvcl_57) (not $cvcl_63)) (= x_70 (+ ?cvcl_58 x_74))) )  (and (and (and (= x_80 2) $cvcl_57) $cvcl_63) $cvcl_64) )) $cvcl_65) (not (= x_103 x_100)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
)
