open Boolean_types

type clause;;
external clause_create : unit->clause = "ml_minisat_clause_create";;
external clause_add_lit : clause->int->bool->unit = "ml_minisat_clause_add_lit";;

type solver;;
external solver_create : unit->solver = "ml_minisat_solver_create";;
external solver_solve : solver->bool = "ml_minisat_solver_solve";;
external solver_solve_with_assumptions : solver->(int*bool) list->bool = "ml_minisat_solver_solve_with_assumptions";;
external solver_new_var : solver->int = "ml_minisat_solver_new_var";;
external solver_add_clause : solver->clause->unit = "ml_minisat_solver_add_clause";;
external solver_model_value : solver->int->bool->lbool = "ml_minisat_solver_model_value";;
(*external solver_to_dimacs : solver->string->unit = "ml_minisat_solver_to_dimacs";;*)
