(benchmark synch_circuit
  :source {
Fully parameterized specification and verification of a synchronizer   
circuit modeling metastability at various levels of refinement.     
A paper describing this specification, to be published in Designing     
Correct Circuits (DCC), 2006, is available from the authors.            

Geoffrey Brown, Indiana University <geobrown@cs.indiana.edu>
Lee Pike, Galois Connections, Inc. <leepike@galois.com>

Translated into CVC format by Leonardo de Moura.

This benchmark was automatically translated into SMT-LIB format from
CVC format using CVC Lite

}
  :status sat
:category { industrial }
:difficulty { 2 }
  :logic QF_LRA
  
  :extrapreds ((x_0))
  :extrapreds ((x_1))
  :extrafuns ((x_2 Real))
  :extrafuns ((x_3 Real))
  :extrapreds ((x_4))
  :extrapreds ((x_5))
  :extrafuns ((x_6 Real))
  :extrafuns ((x_7 Real))
  :extrapreds ((x_8))
  :extrapreds ((x_9))
  :extrafuns ((x_10 Real))
  :extrafuns ((x_11 Real))
  :extrapreds ((x_12))
  :extrapreds ((x_13))
  :extrafuns ((x_14 Real))
  :extrafuns ((x_15 Real))
  :extrapreds ((x_16))
  :extrapreds ((x_17))
  :extrafuns ((x_18 Real))
  :extrafuns ((x_19 Real))
  :extrapreds ((x_20))
  :extrapreds ((x_21))
  :extrafuns ((x_22 Real))
  :extrafuns ((x_23 Real))
  :extrapreds ((x_24))
  :extrapreds ((x_25))
  :extrafuns ((x_26 Real))
  :extrafuns ((x_27 Real))
  :extrapreds ((x_28))
  :extrapreds ((x_29))
  :extrafuns ((x_30 Real))
  :extrafuns ((x_31 Real))
  :extrapreds ((x_32))
  :extrapreds ((x_33))
  :extrafuns ((x_34 Real))
  :extrafuns ((x_35 Real))
  :extrapreds ((x_36))
  :extrapreds ((x_37))
  :extrafuns ((x_38 Real))
  :extrafuns ((x_39 Real))
  :extrapreds ((x_40))
  :extrapreds ((x_41))
  :extrafuns ((x_42 Real))
  :extrafuns ((x_43 Real))
  :extrapreds ((x_44))
  :extrapreds ((x_45))
  :extrafuns ((x_46 Real))
  :extrafuns ((x_47 Real))
  :extrapreds ((x_48))
  :extrapreds ((x_49))
  :extrafuns ((x_50 Real))
  :extrafuns ((x_51 Real))
  :extrapreds ((x_52))
  :extrapreds ((x_53))
  :extrafuns ((x_54 Real))
  :extrafuns ((x_55 Real))
  :extrapreds ((x_56))
  :extrapreds ((x_57))
  :extrafuns ((x_58 Real))
  :extrafuns ((x_59 Real))
  :extrapreds ((x_60))
  :extrapreds ((x_61))
  :extrafuns ((x_62 Real))
  :extrafuns ((x_63 Real))
  :extrapreds ((x_64))
  :extrapreds ((x_65))
  :extrafuns ((x_66 Real))
  :extrafuns ((x_67 Real))
  :extrapreds ((x_68))
  :extrapreds ((x_69))
  :extrafuns ((x_70 Real))
  :extrafuns ((x_71 Real))
  :extrapreds ((x_72))
  :extrapreds ((x_73))
  :extrafuns ((x_74 Real))
  :extrafuns ((x_75 Real))
  :extrapreds ((x_76))
  :extrapreds ((x_77))
  :extrafuns ((x_78 Real))
  :extrafuns ((x_79 Real))
  :extrafuns ((x_80 Real))
  :extrafuns ((x_81 Real))
  :extrafuns ((x_82 Real))
  :extrafuns ((x_83 Real))
  :extrafuns ((x_84 Real))
  :extrafuns ((x_85 Real))
  :extrafuns ((x_86 Real))
  :extrafuns ((x_87 Real))
  :extrafuns ((x_88 Real))
  :extrafuns ((x_89 Real))
  :extrapreds ((x_90))
  :extrapreds ((x_91))
  :extrafuns ((x_92 Real))
  :extrafuns ((x_93 Real))
  :extrafuns ((x_94 Real))
  :extrafuns ((x_95 Real))
  :extrapreds ((x_96))
  :extrapreds ((x_97))
  :extrapreds ((x_98))
  :extrapreds ((x_99))
  :extrapreds ((x_100))
  :extrafuns ((x_101 Real))
  :extrapreds ((x_102))
  :extrafuns ((x_103 Real))
  :extrafuns ((x_104 Real))
  :extrafuns ((x_105 Real))
  :extrafuns ((x_106 Real))
  :extrafuns ((x_107 Real))
  :extrafuns ((x_108 Real))
  :extrafuns ((x_109 Real))
  :extrafuns ((x_110 Real))
  :extrafuns ((x_111 Real))
  :extrapreds ((x_112))
  :extrafuns ((x_113 Real))
  :extrapreds ((x_114))
  :extrapreds ((x_115))
  :extrafuns ((x_116 Real))
  :extrapreds ((x_117))
  :extrafuns ((x_118 Real))
  :extrafuns ((x_119 Real))
  :extrafuns ((x_120 Real))
  :extrafuns ((x_121 Real))
  :extrafuns ((x_122 Real))
  :extrafuns ((x_123 Real))
  :extrafuns ((x_124 Real))
  :extrafuns ((x_125 Real))
  :extrapreds ((x_126))
  :extrafuns ((x_127 Real))
  :extrapreds ((x_128))
  :extrapreds ((x_129))
  :extrafuns ((x_130 Real))
  :extrapreds ((x_131))
  :extrafuns ((x_132 Real))
  :extrafuns ((x_133 Real))
  :extrafuns ((x_134 Real))
  :extrafuns ((x_135 Real))
  :extrafuns ((x_136 Real))
  :extrafuns ((x_137 Real))
  :extrafuns ((x_138 Real))
  :extrafuns ((x_139 Real))
  :extrapreds ((x_140))
  :extrafuns ((x_141 Real))
  :extrapreds ((x_142))
  :extrapreds ((x_143))
  :extrafuns ((x_144 Real))
  :extrapreds ((x_145))
  :extrafuns ((x_146 Real))
  :extrafuns ((x_147 Real))
  :extrafuns ((x_148 Real))
  :extrafuns ((x_149 Real))
  :extrafuns ((x_150 Real))
  :extrafuns ((x_151 Real))
  :extrafuns ((x_152 Real))
  :extrafuns ((x_153 Real))
  :extrapreds ((x_154))
  :extrafuns ((x_155 Real))
  :extrapreds ((x_156))
  :extrapreds ((x_157))
  :extrafuns ((x_158 Real))
  :extrapreds ((x_159))
  :extrafuns ((x_160 Real))
  :extrafuns ((x_161 Real))
  :extrafuns ((x_162 Real))
  :extrafuns ((x_163 Real))
  :extrafuns ((x_164 Real))
  :extrafuns ((x_165 Real))
  :extrafuns ((x_166 Real))
  :extrafuns ((x_167 Real))
  :extrapreds ((x_168))
  :extrafuns ((x_169 Real))
  :extrapreds ((x_170))
  :extrapreds ((x_171))
  :extrafuns ((x_172 Real))
  :extrapreds ((x_173))
  :extrafuns ((x_174 Real))
  :extrafuns ((x_175 Real))
  :extrafuns ((x_176 Real))
  :extrafuns ((x_177 Real))
  :extrafuns ((x_178 Real))
  :extrafuns ((x_179 Real))
  :extrafuns ((x_180 Real))
  :extrafuns ((x_181 Real))
  :extrapreds ((x_182))
  :extrafuns ((x_183 Real))
  :extrapreds ((x_184))
  :extrapreds ((x_185))
  :extrafuns ((x_186 Real))
  :extrapreds ((x_187))
  :extrafuns ((x_188 Real))
  :extrafuns ((x_189 Real))
  :extrafuns ((x_190 Real))
  :extrafuns ((x_191 Real))
  :extrafuns ((x_192 Real))
  :extrafuns ((x_193 Real))
  :extrafuns ((x_194 Real))
  :extrafuns ((x_195 Real))
  :extrapreds ((x_196))
  :extrafuns ((x_197 Real))
  :extrapreds ((x_198))
  :extrapreds ((x_199))
  :extrafuns ((x_200 Real))
  :extrapreds ((x_201))
  :extrafuns ((x_202 Real))
  :extrafuns ((x_203 Real))
  :extrafuns ((x_204 Real))
  :extrafuns ((x_205 Real))
  :extrafuns ((x_206 Real))
  :extrafuns ((x_207 Real))
  :extrafuns ((x_208 Real))
  :extrafuns ((x_209 Real))
  :extrapreds ((x_210))
  :extrafuns ((x_211 Real))
  :extrapreds ((x_212))
  :extrapreds ((x_213))
  :extrafuns ((x_214 Real))
  :extrapreds ((x_215))
  :extrafuns ((x_216 Real))
  :extrafuns ((x_217 Real))
  :extrafuns ((x_218 Real))
  :extrafuns ((x_219 Real))
  :extrafuns ((x_220 Real))
  :extrafuns ((x_221 Real))
  :extrafuns ((x_222 Real))
  :extrafuns ((x_223 Real))
  :extrapreds ((x_224))
  :extrafuns ((x_225 Real))
  :extrapreds ((x_226))
  :extrapreds ((x_227))
  :extrafuns ((x_228 Real))
  :extrapreds ((x_229))
  :extrafuns ((x_230 Real))
  :extrafuns ((x_231 Real))
  :extrafuns ((x_232 Real))
  :extrafuns ((x_233 Real))
  :extrafuns ((x_234 Real))
  :extrafuns ((x_235 Real))
  :extrafuns ((x_236 Real))
  :extrafuns ((x_237 Real))
  :extrapreds ((x_238))
  :extrafuns ((x_239 Real))
  :extrapreds ((x_240))
  :extrapreds ((x_241))
  :extrafuns ((x_242 Real))
  :extrapreds ((x_243))
  :extrafuns ((x_244 Real))
  :extrafuns ((x_245 Real))
  :extrafuns ((x_246 Real))
  :extrafuns ((x_247 Real))
  :extrafuns ((x_248 Real))
  :extrafuns ((x_249 Real))
  :extrafuns ((x_250 Real))
  :extrafuns ((x_251 Real))
  :extrapreds ((x_252))
  :extrafuns ((x_253 Real))
  :extrapreds ((x_254))
  :extrapreds ((x_255))
  :extrafuns ((x_256 Real))
  :extrapreds ((x_257))
  :extrafuns ((x_258 Real))
  :extrafuns ((x_259 Real))
  :extrafuns ((x_260 Real))
  :extrafuns ((x_261 Real))
  :extrafuns ((x_262 Real))
  :extrafuns ((x_263 Real))
  :extrafuns ((x_264 Real))
  :extrafuns ((x_265 Real))
  :extrapreds ((x_266))
  :extrafuns ((x_267 Real))
  :extrapreds ((x_268))
  :extrapreds ((x_269))
  :extrafuns ((x_270 Real))
  :extrapreds ((x_271))
  :extrafuns ((x_272 Real))
  :extrafuns ((x_273 Real))
  :extrafuns ((x_274 Real))
  :extrafuns ((x_275 Real))
  :extrafuns ((x_276 Real))
  :extrafuns ((x_277 Real))
  :extrafuns ((x_278 Real))
  :extrafuns ((x_279 Real))
  :extrapreds ((x_280))
  :extrafuns ((x_281 Real))
  :extrapreds ((x_282))
  :extrapreds ((x_283))
  :extrafuns ((x_284 Real))
  :extrapreds ((x_285))
  :extrafuns ((x_286 Real))
  :extrafuns ((x_287 Real))
  :extrafuns ((x_288 Real))
  :extrafuns ((x_289 Real))
  :extrafuns ((x_290 Real))
  :extrafuns ((x_291 Real))
  :extrafuns ((x_292 Real))
  :extrafuns ((x_293 Real))
  :extrapreds ((x_294))
  :extrafuns ((x_295 Real))
  :extrapreds ((x_296))
  :extrapreds ((x_297))
  :extrafuns ((x_298 Real))
  :extrapreds ((x_299))
  :extrafuns ((x_300 Real))
  :extrafuns ((x_301 Real))
  :extrafuns ((x_302 Real))
  :extrafuns ((x_303 Real))
  :extrafuns ((x_304 Real))
  :extrafuns ((x_305 Real))
  :extrafuns ((x_306 Real))
  :extrafuns ((x_307 Real))
  :extrapreds ((x_308))
  :extrafuns ((x_309 Real))
  :extrapreds ((x_310))
  :extrapreds ((x_311))
  :extrafuns ((x_312 Real))
  :extrapreds ((x_313))
  :extrafuns ((x_314 Real))
  :extrafuns ((x_315 Real))
  :extrafuns ((x_316 Real))
  :extrafuns ((x_317 Real))
  :extrafuns ((x_318 Real))
  :extrafuns ((x_319 Real))
  :extrafuns ((x_320 Real))
  :extrafuns ((x_321 Real))
  :extrapreds ((x_322))
  :extrafuns ((x_323 Real))
  :extrapreds ((x_324))
  :extrapreds ((x_325))
  :extrafuns ((x_326 Real))
  :extrapreds ((x_327))
  :extrafuns ((x_328 Real))
  :extrafuns ((x_329 Real))
  :extrafuns ((x_330 Real))
  :extrafuns ((x_331 Real))
  :extrafuns ((x_332 Real))
  :extrafuns ((x_333 Real))
  :extrafuns ((x_334 Real))
  :extrafuns ((x_335 Real))
  :extrapreds ((x_336))
  :extrafuns ((x_337 Real))
  :extrapreds ((x_338))
  :extrapreds ((x_339))
  :extrafuns ((x_340 Real))
  :extrapreds ((x_341))
  :extrafuns ((x_342 Real))
  :extrafuns ((x_343 Real))
  :extrafuns ((x_344 Real))
  :extrafuns ((x_345 Real))
  :extrafuns ((x_346 Real))
  :extrafuns ((x_347 Real))
  :extrafuns ((x_348 Real))
  :extrafuns ((x_349 Real))
  :extrapreds ((x_350))
  :extrafuns ((x_351 Real))
  :extrapreds ((x_352))
  :extrapreds ((x_353))
  :extrafuns ((x_354 Real))
  :extrapreds ((x_355))
  :extrafuns ((x_356 Real))
  :extrafuns ((x_357 Real))
  :extrafuns ((x_358 Real))
  :extrafuns ((x_359 Real))
  :extrafuns ((x_360 Real))
  :extrafuns ((x_361 Real))
  :extrafuns ((x_362 Real))
  :extrafuns ((x_363 Real))
  :extrapreds ((x_364))
  :extrafuns ((x_365 Real))
  :extrafuns ((x_366 Real))
  :extrapreds ((x_367))
  :extrapreds ((x_368))
  :extrapreds ((x_369))
  :extrapreds ((x_370))
  :extrafuns ((x_371 Real))
  :extrapreds ((x_372))
  :extrafuns ((x_373 Real))
  :extrafuns ((x_374 Real))
  :extrafuns ((x_375 Real))
  :extrafuns ((x_376 Real))
  :formula
(flet ($cvcl_234 (= x_80 x_81)) (flet ($cvcl_235 (= x_82 x_83)) (flet ($cvcl_236 (= x_84 x_85)) (flet ($cvcl_232 (= x_86 x_87)) (flet ($cvcl_237 (not $cvcl_232)) (flet ($cvcl_239 (= x_88 x_89)) (flet ($cvcl_229 (iff x_90 x_91)) (flet ($cvcl_230 (= x_7 x_3)) (let (?cvcl_233 (ite (<= x_82 x_86) x_82 x_86)) (let (?cvcl_228 (ite (<= x_86 x_82) x_86 x_82)) (flet ($cvcl_222 (= x_107 x_80)) (flet ($cvcl_223 (= x_83 x_108)) (flet ($cvcl_224 (= x_109 x_84)) (flet ($cvcl_220 (= x_87 x_110)) (flet ($cvcl_225 (not $cvcl_220)) (flet ($cvcl_227 (= x_111 x_88)) (flet ($cvcl_217 (iff x_112 x_90)) (flet ($cvcl_218 (= x_11 x_7)) (let (?cvcl_221 (ite (<= x_83 x_87) x_83 x_87)) (let (?cvcl_216 (ite (<= x_87 x_83) x_87 x_83)) (flet ($cvcl_210 (= x_121 x_107)) (flet ($cvcl_211 (= x_108 x_122)) (flet ($cvcl_212 (= x_123 x_109)) (flet ($cvcl_208 (= x_110 x_124)) (flet ($cvcl_213 (not $cvcl_208)) (flet ($cvcl_215 (= x_125 x_111)) (flet ($cvcl_205 (iff x_126 x_112)) (flet ($cvcl_206 (= x_15 x_11)) (let (?cvcl_209 (ite (<= x_108 x_110) x_108 x_110)) (let (?cvcl_204 (ite (<= x_110 x_108) x_110 x_108)) (flet ($cvcl_198 (= x_135 x_121)) (flet ($cvcl_199 (= x_122 x_136)) (flet ($cvcl_200 (= x_137 x_123)) (flet ($cvcl_196 (= x_124 x_138)) (flet ($cvcl_201 (not $cvcl_196)) (flet ($cvcl_203 (= x_139 x_125)) (flet ($cvcl_193 (iff x_140 x_126)) (flet ($cvcl_194 (= x_19 x_15)) (let (?cvcl_197 (ite (<= x_122 x_124) x_122 x_124)) (let (?cvcl_192 (ite (<= x_124 x_122) x_124 x_122)) (flet ($cvcl_186 (= x_149 x_135)) (flet ($cvcl_187 (= x_136 x_150)) (flet ($cvcl_188 (= x_151 x_137)) (flet ($cvcl_184 (= x_138 x_152)) (flet ($cvcl_189 (not $cvcl_184)) (flet ($cvcl_191 (= x_153 x_139)) (flet ($cvcl_181 (iff x_154 x_140)) (flet ($cvcl_182 (= x_23 x_19)) (let (?cvcl_185 (ite (<= x_136 x_138) x_136 x_138)) (let (?cvcl_180 (ite (<= x_138 x_136) x_138 x_136)) (flet ($cvcl_174 (= x_163 x_149)) (flet ($cvcl_175 (= x_150 x_164)) (flet ($cvcl_176 (= x_165 x_151)) (flet ($cvcl_172 (= x_152 x_166)) (flet ($cvcl_177 (not $cvcl_172)) (flet ($cvcl_179 (= x_167 x_153)) (flet ($cvcl_169 (iff x_168 x_154)) (flet ($cvcl_170 (= x_27 x_23)) (let (?cvcl_173 (ite (<= x_150 x_152) x_150 x_152)) (let (?cvcl_168 (ite (<= x_152 x_150) x_152 x_150)) (flet ($cvcl_162 (= x_177 x_163)) (flet ($cvcl_163 (= x_164 x_178)) (flet ($cvcl_164 (= x_179 x_165)) (flet ($cvcl_160 (= x_166 x_180)) (flet ($cvcl_165 (not $cvcl_160)) (flet ($cvcl_167 (= x_181 x_167)) (flet ($cvcl_157 (iff x_182 x_168)) (flet ($cvcl_158 (= x_31 x_27)) (let (?cvcl_161 (ite (<= x_164 x_166) x_164 x_166)) (let (?cvcl_156 (ite (<= x_166 x_164) x_166 x_164)) (flet ($cvcl_150 (= x_191 x_177)) (flet ($cvcl_151 (= x_178 x_192)) (flet ($cvcl_152 (= x_193 x_179)) (flet ($cvcl_148 (= x_180 x_194)) (flet ($cvcl_153 (not $cvcl_148)) (flet ($cvcl_155 (= x_195 x_181)) (flet ($cvcl_145 (iff x_196 x_182)) (flet ($cvcl_146 (= x_35 x_31)) (let (?cvcl_149 (ite (<= x_178 x_180) x_178 x_180)) (let (?cvcl_144 (ite (<= x_180 x_178) x_180 x_178)) (flet ($cvcl_138 (= x_205 x_191)) (flet ($cvcl_139 (= x_192 x_206)) (flet ($cvcl_140 (= x_207 x_193)) (flet ($cvcl_136 (= x_194 x_208)) (flet ($cvcl_141 (not $cvcl_136)) (flet ($cvcl_143 (= x_209 x_195)) (flet ($cvcl_133 (iff x_210 x_196)) (flet ($cvcl_134 (= x_39 x_35)) (let (?cvcl_137 (ite (<= x_192 x_194) x_192 x_194)) (let (?cvcl_132 (ite (<= x_194 x_192) x_194 x_192)) (flet ($cvcl_126 (= x_219 x_205)) (flet ($cvcl_127 (= x_206 x_220)) (flet ($cvcl_128 (= x_221 x_207)) (flet ($cvcl_124 (= x_208 x_222)) (flet ($cvcl_129 (not $cvcl_124)) (flet ($cvcl_131 (= x_223 x_209)) (flet ($cvcl_121 (iff x_224 x_210)) (flet ($cvcl_122 (= x_43 x_39)) (let (?cvcl_125 (ite (<= x_206 x_208) x_206 x_208)) (let (?cvcl_120 (ite (<= x_208 x_206) x_208 x_206)) (flet ($cvcl_114 (= x_233 x_219)) (flet ($cvcl_115 (= x_220 x_234)) (flet ($cvcl_116 (= x_235 x_221)) (flet ($cvcl_112 (= x_222 x_236)) (flet ($cvcl_117 (not $cvcl_112)) (flet ($cvcl_119 (= x_237 x_223)) (flet ($cvcl_109 (iff x_238 x_224)) (flet ($cvcl_110 (= x_47 x_43)) (let (?cvcl_113 (ite (<= x_220 x_222) x_220 x_222)) (let (?cvcl_108 (ite (<= x_222 x_220) x_222 x_220)) (flet ($cvcl_102 (= x_247 x_233)) (flet ($cvcl_103 (= x_234 x_248)) (flet ($cvcl_104 (= x_249 x_235)) (flet ($cvcl_100 (= x_236 x_250)) (flet ($cvcl_105 (not $cvcl_100)) (flet ($cvcl_107 (= x_251 x_237)) (flet ($cvcl_97 (iff x_252 x_238)) (flet ($cvcl_98 (= x_51 x_47)) (let (?cvcl_101 (ite (<= x_234 x_236) x_234 x_236)) (let (?cvcl_96 (ite (<= x_236 x_234) x_236 x_234)) (flet ($cvcl_90 (= x_261 x_247)) (flet ($cvcl_91 (= x_248 x_262)) (flet ($cvcl_92 (= x_263 x_249)) (flet ($cvcl_88 (= x_250 x_264)) (flet ($cvcl_93 (not $cvcl_88)) (flet ($cvcl_95 (= x_265 x_251)) (flet ($cvcl_85 (iff x_266 x_252)) (flet ($cvcl_86 (= x_55 x_51)) (let (?cvcl_89 (ite (<= x_248 x_250) x_248 x_250)) (let (?cvcl_84 (ite (<= x_250 x_248) x_250 x_248)) (flet ($cvcl_78 (= x_275 x_261)) (flet ($cvcl_79 (= x_262 x_276)) (flet ($cvcl_80 (= x_277 x_263)) (flet ($cvcl_76 (= x_264 x_278)) (flet ($cvcl_81 (not $cvcl_76)) (flet ($cvcl_83 (= x_279 x_265)) (flet ($cvcl_73 (iff x_280 x_266)) (flet ($cvcl_74 (= x_59 x_55)) (let (?cvcl_77 (ite (<= x_262 x_264) x_262 x_264)) (let (?cvcl_72 (ite (<= x_264 x_262) x_264 x_262)) (flet ($cvcl_66 (= x_289 x_275)) (flet ($cvcl_67 (= x_276 x_290)) (flet ($cvcl_68 (= x_291 x_277)) (flet ($cvcl_64 (= x_278 x_292)) (flet ($cvcl_69 (not $cvcl_64)) (flet ($cvcl_71 (= x_293 x_279)) (flet ($cvcl_61 (iff x_294 x_280)) (flet ($cvcl_62 (= x_63 x_59)) (let (?cvcl_65 (ite (<= x_276 x_278) x_276 x_278)) (let (?cvcl_60 (ite (<= x_278 x_276) x_278 x_276)) (flet ($cvcl_54 (= x_303 x_289)) (flet ($cvcl_55 (= x_290 x_304)) (flet ($cvcl_56 (= x_305 x_291)) (flet ($cvcl_52 (= x_292 x_306)) (flet ($cvcl_57 (not $cvcl_52)) (flet ($cvcl_59 (= x_307 x_293)) (flet ($cvcl_49 (iff x_308 x_294)) (flet ($cvcl_50 (= x_67 x_63)) (let (?cvcl_53 (ite (<= x_290 x_292) x_290 x_292)) (let (?cvcl_48 (ite (<= x_292 x_290) x_292 x_290)) (flet ($cvcl_42 (= x_317 x_303)) (flet ($cvcl_43 (= x_304 x_318)) (flet ($cvcl_44 (= x_319 x_305)) (flet ($cvcl_40 (= x_306 x_320)) (flet ($cvcl_45 (not $cvcl_40)) (flet ($cvcl_47 (= x_321 x_307)) (flet ($cvcl_37 (iff x_322 x_308)) (flet ($cvcl_38 (= x_71 x_67)) (let (?cvcl_41 (ite (<= x_304 x_306) x_304 x_306)) (let (?cvcl_36 (ite (<= x_306 x_304) x_306 x_304)) (flet ($cvcl_30 (= x_331 x_317)) (flet ($cvcl_31 (= x_318 x_332)) (flet ($cvcl_32 (= x_333 x_319)) (flet ($cvcl_28 (= x_320 x_334)) (flet ($cvcl_33 (not $cvcl_28)) (flet ($cvcl_35 (= x_335 x_321)) (flet ($cvcl_25 (iff x_336 x_322)) (flet ($cvcl_26 (= x_75 x_71)) (let (?cvcl_29 (ite (<= x_318 x_320) x_318 x_320)) (let (?cvcl_24 (ite (<= x_320 x_318) x_320 x_318)) (flet ($cvcl_18 (= x_345 x_331)) (flet ($cvcl_19 (= x_332 x_346)) (flet ($cvcl_20 (= x_347 x_333)) (flet ($cvcl_16 (= x_334 x_348)) (flet ($cvcl_21 (not $cvcl_16)) (flet ($cvcl_23 (= x_349 x_335)) (flet ($cvcl_13 (iff x_350 x_336)) (flet ($cvcl_14 (= x_79 x_75)) (let (?cvcl_17 (ite (<= x_332 x_334) x_332 x_334)) (let (?cvcl_12 (ite (<= x_334 x_332) x_334 x_332)) (flet ($cvcl_6 (= x_359 x_345)) (flet ($cvcl_7 (= x_346 x_360)) (flet ($cvcl_8 (= x_361 x_347)) (flet ($cvcl_4 (= x_348 x_362)) (flet ($cvcl_9 (not $cvcl_4)) (flet ($cvcl_11 (= x_363 x_349)) (flet ($cvcl_1 (iff x_364 x_350)) (flet ($cvcl_2 (= x_365 x_79)) (let (?cvcl_5 (ite (<= x_346 x_348) x_346 x_348)) (let (?cvcl_0 (ite (<= x_348 x_346) x_348 x_346)) (flet ($cvcl_3 (iff x_368 x_77)) (flet ($cvcl_10 (= x_79 x_365)) (flet ($cvcl_15 (iff x_77 x_73)) (flet ($cvcl_22 (= x_75 x_79)) (flet ($cvcl_27 (iff x_73 x_69)) (flet ($cvcl_34 (= x_71 x_75)) (flet ($cvcl_39 (iff x_69 x_65)) (flet ($cvcl_46 (= x_67 x_71)) (flet ($cvcl_51 (iff x_65 x_61)) (flet ($cvcl_58 (= x_63 x_67)) (flet ($cvcl_63 (iff x_61 x_57)) (flet ($cvcl_70 (= x_59 x_63)) (flet ($cvcl_75 (iff x_57 x_53)) (flet ($cvcl_82 (= x_55 x_59)) (flet ($cvcl_87 (iff x_53 x_49)) (flet ($cvcl_94 (= x_51 x_55)) (flet ($cvcl_99 (iff x_49 x_45)) (flet ($cvcl_106 (= x_47 x_51)) (flet ($cvcl_111 (iff x_45 x_41)) (flet ($cvcl_118 (= x_43 x_47)) (flet ($cvcl_123 (iff x_41 x_37)) (flet ($cvcl_130 (= x_39 x_43)) (flet ($cvcl_135 (iff x_37 x_33)) (flet ($cvcl_142 (= x_35 x_39)) (flet ($cvcl_147 (iff x_33 x_29)) (flet ($cvcl_154 (= x_31 x_35)) (flet ($cvcl_159 (iff x_29 x_25)) (flet ($cvcl_166 (= x_27 x_31)) (flet ($cvcl_171 (iff x_25 x_21)) (flet ($cvcl_178 (= x_23 x_27)) (flet ($cvcl_183 (iff x_21 x_17)) (flet ($cvcl_190 (= x_19 x_23)) (flet ($cvcl_195 (iff x_17 x_13)) (flet ($cvcl_202 (= x_15 x_19)) (flet ($cvcl_207 (iff x_13 x_9)) (flet ($cvcl_214 (= x_11 x_15)) (flet ($cvcl_219 (iff x_9 x_5)) (flet ($cvcl_226 (= x_7 x_11)) (flet ($cvcl_231 (iff x_5 x_1)) (flet ($cvcl_238 (= x_3 x_7)) (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (> x_92 0) (> x_93 0)) (>= x_94 0)) (< x_94 x_92)) (< x_94 x_93)) (>= x_105 0)) (< x_105 x_92)) (< x_105 x_93)) (or (iff x_76 x_77)  (= x_78 x_79) )) (or (iff x_72 x_73)  (= x_74 x_75) )) (or (iff x_68 x_69)  (= x_70 x_71) )) (or (iff x_64 x_65)  (= x_66 x_67) )) (or (iff x_60 x_61)  (= x_62 x_63) )) (or (iff x_56 x_57)  (= x_58 x_59) )) (or (iff x_52 x_53)  (= x_54 x_55) )) (or (iff x_48 x_49)  (= x_50 x_51) )) (or (iff x_44 x_45)  (= x_46 x_47) )) (or (iff x_40 x_41)  (= x_42 x_43) )) (or (iff x_36 x_37)  (= x_38 x_39) )) (or (iff x_32 x_33)  (= x_34 x_35) )) (or (iff x_28 x_29)  (= x_30 x_31) )) (or (iff x_24 x_25)  (= x_26 x_27) )) (or (iff x_20 x_21)  (= x_22 x_23) )) (or (iff x_16 x_17)  (= x_18 x_19) )) (or (iff x_12 x_13)  (= x_14 x_15) )) (or (iff x_8 x_9)  (= x_10 x_11) )) (or (iff x_4 x_5)  (= x_6 x_7) )) (or (iff x_0 x_1)  (= x_2 x_3) )) (or (and (and (and (and (and (and (and (and (and (= x_366 0) (iff x_367 x_355)) (= ?cvcl_0 x_348)) (<= (+ ?cvcl_0 x_92) x_362)) (or $cvcl_3  (iff x_368 x_76) )) (iff x_369 x_352)) (iff x_370 x_353)) (= x_360 x_346)) $cvcl_1) $cvcl_2)  (and (and (and (and (and (and (and (and (and (= x_366 1) (iff x_370 x_352)) (= ?cvcl_0 x_346)) (<= (+ ?cvcl_0 x_93) x_360)) (or (and (and (= x_371 0) $cvcl_1) $cvcl_2)  (and (and (= x_371 1) (iff x_350 x_353)) (iff x_364 (not x_350))) )) (iff x_372 x_355)) (iff x_367 x_76)) (= x_373 x_78)) (= x_362 x_348)) $cvcl_3) )) (or (or (and (and (and (= x_374 0) $cvcl_9) (or (not (<= x_345 ?cvcl_5))  (iff x_372 x_350) )) $cvcl_6)  (and (and (and (= x_374 1) $cvcl_4) (xor x_350  x_364 )) (= x_359 (+ ?cvcl_5 x_94))) )  (and (and (and (= x_374 2) $cvcl_4) (iff x_350 x_364)) $cvcl_6) )) (or (or (and (and (and (= x_375 0) (not $cvcl_7)) (or (not (<= x_347 ?cvcl_0))  (iff x_369 x_77) )) $cvcl_8)  (and (and (and (= x_375 1) $cvcl_7) (xor x_77  x_368 )) (= x_361 (+ ?cvcl_0 x_105))) )  (and (and (and (= x_375 2) $cvcl_7) (iff x_77 x_368)) $cvcl_8) )) (or (or (and (and (and (= x_376 0) $cvcl_9) (or (not (<= x_349 ?cvcl_5))  (= x_373 x_79) )) $cvcl_11)  (and (and (and (= x_376 1) $cvcl_4) (not $cvcl_10)) (= x_363 (+ ?cvcl_5 x_94))) )  (and (and (and (= x_376 2) $cvcl_4) $cvcl_10) $cvcl_11) )) (or (and (and (and (and (and (and (and (and (and (= x_351 0) (iff x_76 x_341)) (= ?cvcl_12 x_334)) (<= (+ ?cvcl_12 x_92) x_348)) (or $cvcl_15  (iff x_77 x_72) )) (iff x_352 x_338)) (iff x_353 x_339)) (= x_346 x_332)) $cvcl_13) $cvcl_14)  (and (and (and (and (and (and (and (and (and (= x_351 1) (iff x_353 x_338)) (= ?cvcl_12 x_332)) (<= (+ ?cvcl_12 x_93) x_346)) (or (and (and (= x_354 0) $cvcl_13) $cvcl_14)  (and (and (= x_354 1) (iff x_336 x_339)) (iff x_350 (not x_336))) )) (iff x_355 x_341)) (iff x_76 x_72)) (= x_78 x_74)) (= x_348 x_334)) $cvcl_15) )) (or (or (and (and (and (= x_356 0) $cvcl_21) (or (not (<= x_331 ?cvcl_17))  (iff x_355 x_336) )) $cvcl_18)  (and (and (and (= x_356 1) $cvcl_16) (xor x_336  x_350 )) (= x_345 (+ ?cvcl_17 x_94))) )  (and (and (and (= x_356 2) $cvcl_16) (iff x_336 x_350)) $cvcl_18) )) (or (or (and (and (and (= x_357 0) (not $cvcl_19)) (or (not (<= x_333 ?cvcl_12))  (iff x_352 x_73) )) $cvcl_20)  (and (and (and (= x_357 1) $cvcl_19) (xor x_73  x_77 )) (= x_347 (+ ?cvcl_12 x_105))) )  (and (and (and (= x_357 2) $cvcl_19) (iff x_73 x_77)) $cvcl_20) )) (or (or (and (and (and (= x_358 0) $cvcl_21) (or (not (<= x_335 ?cvcl_17))  (= x_78 x_75) )) $cvcl_23)  (and (and (and (= x_358 1) $cvcl_16) (not $cvcl_22)) (= x_349 (+ ?cvcl_17 x_94))) )  (and (and (and (= x_358 2) $cvcl_16) $cvcl_22) $cvcl_23) )) (or (and (and (and (and (and (and (and (and (and (= x_337 0) (iff x_72 x_327)) (= ?cvcl_24 x_320)) (<= (+ ?cvcl_24 x_92) x_334)) (or $cvcl_27  (iff x_73 x_68) )) (iff x_338 x_324)) (iff x_339 x_325)) (= x_332 x_318)) $cvcl_25) $cvcl_26)  (and (and (and (and (and (and (and (and (and (= x_337 1) (iff x_339 x_324)) (= ?cvcl_24 x_318)) (<= (+ ?cvcl_24 x_93) x_332)) (or (and (and (= x_340 0) $cvcl_25) $cvcl_26)  (and (and (= x_340 1) (iff x_322 x_325)) (iff x_336 (not x_322))) )) (iff x_341 x_327)) (iff x_72 x_68)) (= x_74 x_70)) (= x_334 x_320)) $cvcl_27) )) (or (or (and (and (and (= x_342 0) $cvcl_33) (or (not (<= x_317 ?cvcl_29))  (iff x_341 x_322) )) $cvcl_30)  (and (and (and (= x_342 1) $cvcl_28) (xor x_322  x_336 )) (= x_331 (+ ?cvcl_29 x_94))) )  (and (and (and (= x_342 2) $cvcl_28) (iff x_322 x_336)) $cvcl_30) )) (or (or (and (and (and (= x_343 0) (not $cvcl_31)) (or (not (<= x_319 ?cvcl_24))  (iff x_338 x_69) )) $cvcl_32)  (and (and (and (= x_343 1) $cvcl_31) (xor x_69  x_73 )) (= x_333 (+ ?cvcl_24 x_105))) )  (and (and (and (= x_343 2) $cvcl_31) (iff x_69 x_73)) $cvcl_32) )) (or (or (and (and (and (= x_344 0) $cvcl_33) (or (not (<= x_321 ?cvcl_29))  (= x_74 x_71) )) $cvcl_35)  (and (and (and (= x_344 1) $cvcl_28) (not $cvcl_34)) (= x_335 (+ ?cvcl_29 x_94))) )  (and (and (and (= x_344 2) $cvcl_28) $cvcl_34) $cvcl_35) )) (or (and (and (and (and (and (and (and (and (and (= x_323 0) (iff x_68 x_313)) (= ?cvcl_36 x_306)) (<= (+ ?cvcl_36 x_92) x_320)) (or $cvcl_39  (iff x_69 x_64) )) (iff x_324 x_310)) (iff x_325 x_311)) (= x_318 x_304)) $cvcl_37) $cvcl_38)  (and (and (and (and (and (and (and (and (and (= x_323 1) (iff x_325 x_310)) (= ?cvcl_36 x_304)) (<= (+ ?cvcl_36 x_93) x_318)) (or (and (and (= x_326 0) $cvcl_37) $cvcl_38)  (and (and (= x_326 1) (iff x_308 x_311)) (iff x_322 (not x_308))) )) (iff x_327 x_313)) (iff x_68 x_64)) (= x_70 x_66)) (= x_320 x_306)) $cvcl_39) )) (or (or (and (and (and (= x_328 0) $cvcl_45) (or (not (<= x_303 ?cvcl_41))  (iff x_327 x_308) )) $cvcl_42)  (and (and (and (= x_328 1) $cvcl_40) (xor x_308  x_322 )) (= x_317 (+ ?cvcl_41 x_94))) )  (and (and (and (= x_328 2) $cvcl_40) (iff x_308 x_322)) $cvcl_42) )) (or (or (and (and (and (= x_329 0) (not $cvcl_43)) (or (not (<= x_305 ?cvcl_36))  (iff x_324 x_65) )) $cvcl_44)  (and (and (and (= x_329 1) $cvcl_43) (xor x_65  x_69 )) (= x_319 (+ ?cvcl_36 x_105))) )  (and (and (and (= x_329 2) $cvcl_43) (iff x_65 x_69)) $cvcl_44) )) (or (or (and (and (and (= x_330 0) $cvcl_45) (or (not (<= x_307 ?cvcl_41))  (= x_70 x_67) )) $cvcl_47)  (and (and (and (= x_330 1) $cvcl_40) (not $cvcl_46)) (= x_321 (+ ?cvcl_41 x_94))) )  (and (and (and (= x_330 2) $cvcl_40) $cvcl_46) $cvcl_47) )) (or (and (and (and (and (and (and (and (and (and (= x_309 0) (iff x_64 x_299)) (= ?cvcl_48 x_292)) (<= (+ ?cvcl_48 x_92) x_306)) (or $cvcl_51  (iff x_65 x_60) )) (iff x_310 x_296)) (iff x_311 x_297)) (= x_304 x_290)) $cvcl_49) $cvcl_50)  (and (and (and (and (and (and (and (and (and (= x_309 1) (iff x_311 x_296)) (= ?cvcl_48 x_290)) (<= (+ ?cvcl_48 x_93) x_304)) (or (and (and (= x_312 0) $cvcl_49) $cvcl_50)  (and (and (= x_312 1) (iff x_294 x_297)) (iff x_308 (not x_294))) )) (iff x_313 x_299)) (iff x_64 x_60)) (= x_66 x_62)) (= x_306 x_292)) $cvcl_51) )) (or (or (and (and (and (= x_314 0) $cvcl_57) (or (not (<= x_289 ?cvcl_53))  (iff x_313 x_294) )) $cvcl_54)  (and (and (and (= x_314 1) $cvcl_52) (xor x_294  x_308 )) (= x_303 (+ ?cvcl_53 x_94))) )  (and (and (and (= x_314 2) $cvcl_52) (iff x_294 x_308)) $cvcl_54) )) (or (or (and (and (and (= x_315 0) (not $cvcl_55)) (or (not (<= x_291 ?cvcl_48))  (iff x_310 x_61) )) $cvcl_56)  (and (and (and (= x_315 1) $cvcl_55) (xor x_61  x_65 )) (= x_305 (+ ?cvcl_48 x_105))) )  (and (and (and (= x_315 2) $cvcl_55) (iff x_61 x_65)) $cvcl_56) )) (or (or (and (and (and (= x_316 0) $cvcl_57) (or (not (<= x_293 ?cvcl_53))  (= x_66 x_63) )) $cvcl_59)  (and (and (and (= x_316 1) $cvcl_52) (not $cvcl_58)) (= x_307 (+ ?cvcl_53 x_94))) )  (and (and (and (= x_316 2) $cvcl_52) $cvcl_58) $cvcl_59) )) (or (and (and (and (and (and (and (and (and (and (= x_295 0) (iff x_60 x_285)) (= ?cvcl_60 x_278)) (<= (+ ?cvcl_60 x_92) x_292)) (or $cvcl_63  (iff x_61 x_56) )) (iff x_296 x_282)) (iff x_297 x_283)) (= x_290 x_276)) $cvcl_61) $cvcl_62)  (and (and (and (and (and (and (and (and (and (= x_295 1) (iff x_297 x_282)) (= ?cvcl_60 x_276)) (<= (+ ?cvcl_60 x_93) x_290)) (or (and (and (= x_298 0) $cvcl_61) $cvcl_62)  (and (and (= x_298 1) (iff x_280 x_283)) (iff x_294 (not x_280))) )) (iff x_299 x_285)) (iff x_60 x_56)) (= x_62 x_58)) (= x_292 x_278)) $cvcl_63) )) (or (or (and (and (and (= x_300 0) $cvcl_69) (or (not (<= x_275 ?cvcl_65))  (iff x_299 x_280) )) $cvcl_66)  (and (and (and (= x_300 1) $cvcl_64) (xor x_280  x_294 )) (= x_289 (+ ?cvcl_65 x_94))) )  (and (and (and (= x_300 2) $cvcl_64) (iff x_280 x_294)) $cvcl_66) )) (or (or (and (and (and (= x_301 0) (not $cvcl_67)) (or (not (<= x_277 ?cvcl_60))  (iff x_296 x_57) )) $cvcl_68)  (and (and (and (= x_301 1) $cvcl_67) (xor x_57  x_61 )) (= x_291 (+ ?cvcl_60 x_105))) )  (and (and (and (= x_301 2) $cvcl_67) (iff x_57 x_61)) $cvcl_68) )) (or (or (and (and (and (= x_302 0) $cvcl_69) (or (not (<= x_279 ?cvcl_65))  (= x_62 x_59) )) $cvcl_71)  (and (and (and (= x_302 1) $cvcl_64) (not $cvcl_70)) (= x_293 (+ ?cvcl_65 x_94))) )  (and (and (and (= x_302 2) $cvcl_64) $cvcl_70) $cvcl_71) )) (or (and (and (and (and (and (and (and (and (and (= x_281 0) (iff x_56 x_271)) (= ?cvcl_72 x_264)) (<= (+ ?cvcl_72 x_92) x_278)) (or $cvcl_75  (iff x_57 x_52) )) (iff x_282 x_268)) (iff x_283 x_269)) (= x_276 x_262)) $cvcl_73) $cvcl_74)  (and (and (and (and (and (and (and (and (and (= x_281 1) (iff x_283 x_268)) (= ?cvcl_72 x_262)) (<= (+ ?cvcl_72 x_93) x_276)) (or (and (and (= x_284 0) $cvcl_73) $cvcl_74)  (and (and (= x_284 1) (iff x_266 x_269)) (iff x_280 (not x_266))) )) (iff x_285 x_271)) (iff x_56 x_52)) (= x_58 x_54)) (= x_278 x_264)) $cvcl_75) )) (or (or (and (and (and (= x_286 0) $cvcl_81) (or (not (<= x_261 ?cvcl_77))  (iff x_285 x_266) )) $cvcl_78)  (and (and (and (= x_286 1) $cvcl_76) (xor x_266  x_280 )) (= x_275 (+ ?cvcl_77 x_94))) )  (and (and (and (= x_286 2) $cvcl_76) (iff x_266 x_280)) $cvcl_78) )) (or (or (and (and (and (= x_287 0) (not $cvcl_79)) (or (not (<= x_263 ?cvcl_72))  (iff x_282 x_53) )) $cvcl_80)  (and (and (and (= x_287 1) $cvcl_79) (xor x_53  x_57 )) (= x_277 (+ ?cvcl_72 x_105))) )  (and (and (and (= x_287 2) $cvcl_79) (iff x_53 x_57)) $cvcl_80) )) (or (or (and (and (and (= x_288 0) $cvcl_81) (or (not (<= x_265 ?cvcl_77))  (= x_58 x_55) )) $cvcl_83)  (and (and (and (= x_288 1) $cvcl_76) (not $cvcl_82)) (= x_279 (+ ?cvcl_77 x_94))) )  (and (and (and (= x_288 2) $cvcl_76) $cvcl_82) $cvcl_83) )) (or (and (and (and (and (and (and (and (and (and (= x_267 0) (iff x_52 x_257)) (= ?cvcl_84 x_250)) (<= (+ ?cvcl_84 x_92) x_264)) (or $cvcl_87  (iff x_53 x_48) )) (iff x_268 x_254)) (iff x_269 x_255)) (= x_262 x_248)) $cvcl_85) $cvcl_86)  (and (and (and (and (and (and (and (and (and (= x_267 1) (iff x_269 x_254)) (= ?cvcl_84 x_248)) (<= (+ ?cvcl_84 x_93) x_262)) (or (and (and (= x_270 0) $cvcl_85) $cvcl_86)  (and (and (= x_270 1) (iff x_252 x_255)) (iff x_266 (not x_252))) )) (iff x_271 x_257)) (iff x_52 x_48)) (= x_54 x_50)) (= x_264 x_250)) $cvcl_87) )) (or (or (and (and (and (= x_272 0) $cvcl_93) (or (not (<= x_247 ?cvcl_89))  (iff x_271 x_252) )) $cvcl_90)  (and (and (and (= x_272 1) $cvcl_88) (xor x_252  x_266 )) (= x_261 (+ ?cvcl_89 x_94))) )  (and (and (and (= x_272 2) $cvcl_88) (iff x_252 x_266)) $cvcl_90) )) (or (or (and (and (and (= x_273 0) (not $cvcl_91)) (or (not (<= x_249 ?cvcl_84))  (iff x_268 x_49) )) $cvcl_92)  (and (and (and (= x_273 1) $cvcl_91) (xor x_49  x_53 )) (= x_263 (+ ?cvcl_84 x_105))) )  (and (and (and (= x_273 2) $cvcl_91) (iff x_49 x_53)) $cvcl_92) )) (or (or (and (and (and (= x_274 0) $cvcl_93) (or (not (<= x_251 ?cvcl_89))  (= x_54 x_51) )) $cvcl_95)  (and (and (and (= x_274 1) $cvcl_88) (not $cvcl_94)) (= x_265 (+ ?cvcl_89 x_94))) )  (and (and (and (= x_274 2) $cvcl_88) $cvcl_94) $cvcl_95) )) (or (and (and (and (and (and (and (and (and (and (= x_253 0) (iff x_48 x_243)) (= ?cvcl_96 x_236)) (<= (+ ?cvcl_96 x_92) x_250)) (or $cvcl_99  (iff x_49 x_44) )) (iff x_254 x_240)) (iff x_255 x_241)) (= x_248 x_234)) $cvcl_97) $cvcl_98)  (and (and (and (and (and (and (and (and (and (= x_253 1) (iff x_255 x_240)) (= ?cvcl_96 x_234)) (<= (+ ?cvcl_96 x_93) x_248)) (or (and (and (= x_256 0) $cvcl_97) $cvcl_98)  (and (and (= x_256 1) (iff x_238 x_241)) (iff x_252 (not x_238))) )) (iff x_257 x_243)) (iff x_48 x_44)) (= x_50 x_46)) (= x_250 x_236)) $cvcl_99) )) (or (or (and (and (and (= x_258 0) $cvcl_105) (or (not (<= x_233 ?cvcl_101))  (iff x_257 x_238) )) $cvcl_102)  (and (and (and (= x_258 1) $cvcl_100) (xor x_238  x_252 )) (= x_247 (+ ?cvcl_101 x_94))) )  (and (and (and (= x_258 2) $cvcl_100) (iff x_238 x_252)) $cvcl_102) )) (or (or (and (and (and (= x_259 0) (not $cvcl_103)) (or (not (<= x_235 ?cvcl_96))  (iff x_254 x_45) )) $cvcl_104)  (and (and (and (= x_259 1) $cvcl_103) (xor x_45  x_49 )) (= x_249 (+ ?cvcl_96 x_105))) )  (and (and (and (= x_259 2) $cvcl_103) (iff x_45 x_49)) $cvcl_104) )) (or (or (and (and (and (= x_260 0) $cvcl_105) (or (not (<= x_237 ?cvcl_101))  (= x_50 x_47) )) $cvcl_107)  (and (and (and (= x_260 1) $cvcl_100) (not $cvcl_106)) (= x_251 (+ ?cvcl_101 x_94))) )  (and (and (and (= x_260 2) $cvcl_100) $cvcl_106) $cvcl_107) )) (or (and (and (and (and (and (and (and (and (and (= x_239 0) (iff x_44 x_229)) (= ?cvcl_108 x_222)) (<= (+ ?cvcl_108 x_92) x_236)) (or $cvcl_111  (iff x_45 x_40) )) (iff x_240 x_226)) (iff x_241 x_227)) (= x_234 x_220)) $cvcl_109) $cvcl_110)  (and (and (and (and (and (and (and (and (and (= x_239 1) (iff x_241 x_226)) (= ?cvcl_108 x_220)) (<= (+ ?cvcl_108 x_93) x_234)) (or (and (and (= x_242 0) $cvcl_109) $cvcl_110)  (and (and (= x_242 1) (iff x_224 x_227)) (iff x_238 (not x_224))) )) (iff x_243 x_229)) (iff x_44 x_40)) (= x_46 x_42)) (= x_236 x_222)) $cvcl_111) )) (or (or (and (and (and (= x_244 0) $cvcl_117) (or (not (<= x_219 ?cvcl_113))  (iff x_243 x_224) )) $cvcl_114)  (and (and (and (= x_244 1) $cvcl_112) (xor x_224  x_238 )) (= x_233 (+ ?cvcl_113 x_94))) )  (and (and (and (= x_244 2) $cvcl_112) (iff x_224 x_238)) $cvcl_114) )) (or (or (and (and (and (= x_245 0) (not $cvcl_115)) (or (not (<= x_221 ?cvcl_108))  (iff x_240 x_41) )) $cvcl_116)  (and (and (and (= x_245 1) $cvcl_115) (xor x_41  x_45 )) (= x_235 (+ ?cvcl_108 x_105))) )  (and (and (and (= x_245 2) $cvcl_115) (iff x_41 x_45)) $cvcl_116) )) (or (or (and (and (and (= x_246 0) $cvcl_117) (or (not (<= x_223 ?cvcl_113))  (= x_46 x_43) )) $cvcl_119)  (and (and (and (= x_246 1) $cvcl_112) (not $cvcl_118)) (= x_237 (+ ?cvcl_113 x_94))) )  (and (and (and (= x_246 2) $cvcl_112) $cvcl_118) $cvcl_119) )) (or (and (and (and (and (and (and (and (and (and (= x_225 0) (iff x_40 x_215)) (= ?cvcl_120 x_208)) (<= (+ ?cvcl_120 x_92) x_222)) (or $cvcl_123  (iff x_41 x_36) )) (iff x_226 x_212)) (iff x_227 x_213)) (= x_220 x_206)) $cvcl_121) $cvcl_122)  (and (and (and (and (and (and (and (and (and (= x_225 1) (iff x_227 x_212)) (= ?cvcl_120 x_206)) (<= (+ ?cvcl_120 x_93) x_220)) (or (and (and (= x_228 0) $cvcl_121) $cvcl_122)  (and (and (= x_228 1) (iff x_210 x_213)) (iff x_224 (not x_210))) )) (iff x_229 x_215)) (iff x_40 x_36)) (= x_42 x_38)) (= x_222 x_208)) $cvcl_123) )) (or (or (and (and (and (= x_230 0) $cvcl_129) (or (not (<= x_205 ?cvcl_125))  (iff x_229 x_210) )) $cvcl_126)  (and (and (and (= x_230 1) $cvcl_124) (xor x_210  x_224 )) (= x_219 (+ ?cvcl_125 x_94))) )  (and (and (and (= x_230 2) $cvcl_124) (iff x_210 x_224)) $cvcl_126) )) (or (or (and (and (and (= x_231 0) (not $cvcl_127)) (or (not (<= x_207 ?cvcl_120))  (iff x_226 x_37) )) $cvcl_128)  (and (and (and (= x_231 1) $cvcl_127) (xor x_37  x_41 )) (= x_221 (+ ?cvcl_120 x_105))) )  (and (and (and (= x_231 2) $cvcl_127) (iff x_37 x_41)) $cvcl_128) )) (or (or (and (and (and (= x_232 0) $cvcl_129) (or (not (<= x_209 ?cvcl_125))  (= x_42 x_39) )) $cvcl_131)  (and (and (and (= x_232 1) $cvcl_124) (not $cvcl_130)) (= x_223 (+ ?cvcl_125 x_94))) )  (and (and (and (= x_232 2) $cvcl_124) $cvcl_130) $cvcl_131) )) (or (and (and (and (and (and (and (and (and (and (= x_211 0) (iff x_36 x_201)) (= ?cvcl_132 x_194)) (<= (+ ?cvcl_132 x_92) x_208)) (or $cvcl_135  (iff x_37 x_32) )) (iff x_212 x_198)) (iff x_213 x_199)) (= x_206 x_192)) $cvcl_133) $cvcl_134)  (and (and (and (and (and (and (and (and (and (= x_211 1) (iff x_213 x_198)) (= ?cvcl_132 x_192)) (<= (+ ?cvcl_132 x_93) x_206)) (or (and (and (= x_214 0) $cvcl_133) $cvcl_134)  (and (and (= x_214 1) (iff x_196 x_199)) (iff x_210 (not x_196))) )) (iff x_215 x_201)) (iff x_36 x_32)) (= x_38 x_34)) (= x_208 x_194)) $cvcl_135) )) (or (or (and (and (and (= x_216 0) $cvcl_141) (or (not (<= x_191 ?cvcl_137))  (iff x_215 x_196) )) $cvcl_138)  (and (and (and (= x_216 1) $cvcl_136) (xor x_196  x_210 )) (= x_205 (+ ?cvcl_137 x_94))) )  (and (and (and (= x_216 2) $cvcl_136) (iff x_196 x_210)) $cvcl_138) )) (or (or (and (and (and (= x_217 0) (not $cvcl_139)) (or (not (<= x_193 ?cvcl_132))  (iff x_212 x_33) )) $cvcl_140)  (and (and (and (= x_217 1) $cvcl_139) (xor x_33  x_37 )) (= x_207 (+ ?cvcl_132 x_105))) )  (and (and (and (= x_217 2) $cvcl_139) (iff x_33 x_37)) $cvcl_140) )) (or (or (and (and (and (= x_218 0) $cvcl_141) (or (not (<= x_195 ?cvcl_137))  (= x_38 x_35) )) $cvcl_143)  (and (and (and (= x_218 1) $cvcl_136) (not $cvcl_142)) (= x_209 (+ ?cvcl_137 x_94))) )  (and (and (and (= x_218 2) $cvcl_136) $cvcl_142) $cvcl_143) )) (or (and (and (and (and (and (and (and (and (and (= x_197 0) (iff x_32 x_187)) (= ?cvcl_144 x_180)) (<= (+ ?cvcl_144 x_92) x_194)) (or $cvcl_147  (iff x_33 x_28) )) (iff x_198 x_184)) (iff x_199 x_185)) (= x_192 x_178)) $cvcl_145) $cvcl_146)  (and (and (and (and (and (and (and (and (and (= x_197 1) (iff x_199 x_184)) (= ?cvcl_144 x_178)) (<= (+ ?cvcl_144 x_93) x_192)) (or (and (and (= x_200 0) $cvcl_145) $cvcl_146)  (and (and (= x_200 1) (iff x_182 x_185)) (iff x_196 (not x_182))) )) (iff x_201 x_187)) (iff x_32 x_28)) (= x_34 x_30)) (= x_194 x_180)) $cvcl_147) )) (or (or (and (and (and (= x_202 0) $cvcl_153) (or (not (<= x_177 ?cvcl_149))  (iff x_201 x_182) )) $cvcl_150)  (and (and (and (= x_202 1) $cvcl_148) (xor x_182  x_196 )) (= x_191 (+ ?cvcl_149 x_94))) )  (and (and (and (= x_202 2) $cvcl_148) (iff x_182 x_196)) $cvcl_150) )) (or (or (and (and (and (= x_203 0) (not $cvcl_151)) (or (not (<= x_179 ?cvcl_144))  (iff x_198 x_29) )) $cvcl_152)  (and (and (and (= x_203 1) $cvcl_151) (xor x_29  x_33 )) (= x_193 (+ ?cvcl_144 x_105))) )  (and (and (and (= x_203 2) $cvcl_151) (iff x_29 x_33)) $cvcl_152) )) (or (or (and (and (and (= x_204 0) $cvcl_153) (or (not (<= x_181 ?cvcl_149))  (= x_34 x_31) )) $cvcl_155)  (and (and (and (= x_204 1) $cvcl_148) (not $cvcl_154)) (= x_195 (+ ?cvcl_149 x_94))) )  (and (and (and (= x_204 2) $cvcl_148) $cvcl_154) $cvcl_155) )) (or (and (and (and (and (and (and (and (and (and (= x_183 0) (iff x_28 x_173)) (= ?cvcl_156 x_166)) (<= (+ ?cvcl_156 x_92) x_180)) (or $cvcl_159  (iff x_29 x_24) )) (iff x_184 x_170)) (iff x_185 x_171)) (= x_178 x_164)) $cvcl_157) $cvcl_158)  (and (and (and (and (and (and (and (and (and (= x_183 1) (iff x_185 x_170)) (= ?cvcl_156 x_164)) (<= (+ ?cvcl_156 x_93) x_178)) (or (and (and (= x_186 0) $cvcl_157) $cvcl_158)  (and (and (= x_186 1) (iff x_168 x_171)) (iff x_182 (not x_168))) )) (iff x_187 x_173)) (iff x_28 x_24)) (= x_30 x_26)) (= x_180 x_166)) $cvcl_159) )) (or (or (and (and (and (= x_188 0) $cvcl_165) (or (not (<= x_163 ?cvcl_161))  (iff x_187 x_168) )) $cvcl_162)  (and (and (and (= x_188 1) $cvcl_160) (xor x_168  x_182 )) (= x_177 (+ ?cvcl_161 x_94))) )  (and (and (and (= x_188 2) $cvcl_160) (iff x_168 x_182)) $cvcl_162) )) (or (or (and (and (and (= x_189 0) (not $cvcl_163)) (or (not (<= x_165 ?cvcl_156))  (iff x_184 x_25) )) $cvcl_164)  (and (and (and (= x_189 1) $cvcl_163) (xor x_25  x_29 )) (= x_179 (+ ?cvcl_156 x_105))) )  (and (and (and (= x_189 2) $cvcl_163) (iff x_25 x_29)) $cvcl_164) )) (or (or (and (and (and (= x_190 0) $cvcl_165) (or (not (<= x_167 ?cvcl_161))  (= x_30 x_27) )) $cvcl_167)  (and (and (and (= x_190 1) $cvcl_160) (not $cvcl_166)) (= x_181 (+ ?cvcl_161 x_94))) )  (and (and (and (= x_190 2) $cvcl_160) $cvcl_166) $cvcl_167) )) (or (and (and (and (and (and (and (and (and (and (= x_169 0) (iff x_24 x_159)) (= ?cvcl_168 x_152)) (<= (+ ?cvcl_168 x_92) x_166)) (or $cvcl_171  (iff x_25 x_20) )) (iff x_170 x_156)) (iff x_171 x_157)) (= x_164 x_150)) $cvcl_169) $cvcl_170)  (and (and (and (and (and (and (and (and (and (= x_169 1) (iff x_171 x_156)) (= ?cvcl_168 x_150)) (<= (+ ?cvcl_168 x_93) x_164)) (or (and (and (= x_172 0) $cvcl_169) $cvcl_170)  (and (and (= x_172 1) (iff x_154 x_157)) (iff x_168 (not x_154))) )) (iff x_173 x_159)) (iff x_24 x_20)) (= x_26 x_22)) (= x_166 x_152)) $cvcl_171) )) (or (or (and (and (and (= x_174 0) $cvcl_177) (or (not (<= x_149 ?cvcl_173))  (iff x_173 x_154) )) $cvcl_174)  (and (and (and (= x_174 1) $cvcl_172) (xor x_154  x_168 )) (= x_163 (+ ?cvcl_173 x_94))) )  (and (and (and (= x_174 2) $cvcl_172) (iff x_154 x_168)) $cvcl_174) )) (or (or (and (and (and (= x_175 0) (not $cvcl_175)) (or (not (<= x_151 ?cvcl_168))  (iff x_170 x_21) )) $cvcl_176)  (and (and (and (= x_175 1) $cvcl_175) (xor x_21  x_25 )) (= x_165 (+ ?cvcl_168 x_105))) )  (and (and (and (= x_175 2) $cvcl_175) (iff x_21 x_25)) $cvcl_176) )) (or (or (and (and (and (= x_176 0) $cvcl_177) (or (not (<= x_153 ?cvcl_173))  (= x_26 x_23) )) $cvcl_179)  (and (and (and (= x_176 1) $cvcl_172) (not $cvcl_178)) (= x_167 (+ ?cvcl_173 x_94))) )  (and (and (and (= x_176 2) $cvcl_172) $cvcl_178) $cvcl_179) )) (or (and (and (and (and (and (and (and (and (and (= x_155 0) (iff x_20 x_145)) (= ?cvcl_180 x_138)) (<= (+ ?cvcl_180 x_92) x_152)) (or $cvcl_183  (iff x_21 x_16) )) (iff x_156 x_142)) (iff x_157 x_143)) (= x_150 x_136)) $cvcl_181) $cvcl_182)  (and (and (and (and (and (and (and (and (and (= x_155 1) (iff x_157 x_142)) (= ?cvcl_180 x_136)) (<= (+ ?cvcl_180 x_93) x_150)) (or (and (and (= x_158 0) $cvcl_181) $cvcl_182)  (and (and (= x_158 1) (iff x_140 x_143)) (iff x_154 (not x_140))) )) (iff x_159 x_145)) (iff x_20 x_16)) (= x_22 x_18)) (= x_152 x_138)) $cvcl_183) )) (or (or (and (and (and (= x_160 0) $cvcl_189) (or (not (<= x_135 ?cvcl_185))  (iff x_159 x_140) )) $cvcl_186)  (and (and (and (= x_160 1) $cvcl_184) (xor x_140  x_154 )) (= x_149 (+ ?cvcl_185 x_94))) )  (and (and (and (= x_160 2) $cvcl_184) (iff x_140 x_154)) $cvcl_186) )) (or (or (and (and (and (= x_161 0) (not $cvcl_187)) (or (not (<= x_137 ?cvcl_180))  (iff x_156 x_17) )) $cvcl_188)  (and (and (and (= x_161 1) $cvcl_187) (xor x_17  x_21 )) (= x_151 (+ ?cvcl_180 x_105))) )  (and (and (and (= x_161 2) $cvcl_187) (iff x_17 x_21)) $cvcl_188) )) (or (or (and (and (and (= x_162 0) $cvcl_189) (or (not (<= x_139 ?cvcl_185))  (= x_22 x_19) )) $cvcl_191)  (and (and (and (= x_162 1) $cvcl_184) (not $cvcl_190)) (= x_153 (+ ?cvcl_185 x_94))) )  (and (and (and (= x_162 2) $cvcl_184) $cvcl_190) $cvcl_191) )) (or (and (and (and (and (and (and (and (and (and (= x_141 0) (iff x_16 x_131)) (= ?cvcl_192 x_124)) (<= (+ ?cvcl_192 x_92) x_138)) (or $cvcl_195  (iff x_17 x_12) )) (iff x_142 x_128)) (iff x_143 x_129)) (= x_136 x_122)) $cvcl_193) $cvcl_194)  (and (and (and (and (and (and (and (and (and (= x_141 1) (iff x_143 x_128)) (= ?cvcl_192 x_122)) (<= (+ ?cvcl_192 x_93) x_136)) (or (and (and (= x_144 0) $cvcl_193) $cvcl_194)  (and (and (= x_144 1) (iff x_126 x_129)) (iff x_140 (not x_126))) )) (iff x_145 x_131)) (iff x_16 x_12)) (= x_18 x_14)) (= x_138 x_124)) $cvcl_195) )) (or (or (and (and (and (= x_146 0) $cvcl_201) (or (not (<= x_121 ?cvcl_197))  (iff x_145 x_126) )) $cvcl_198)  (and (and (and (= x_146 1) $cvcl_196) (xor x_126  x_140 )) (= x_135 (+ ?cvcl_197 x_94))) )  (and (and (and (= x_146 2) $cvcl_196) (iff x_126 x_140)) $cvcl_198) )) (or (or (and (and (and (= x_147 0) (not $cvcl_199)) (or (not (<= x_123 ?cvcl_192))  (iff x_142 x_13) )) $cvcl_200)  (and (and (and (= x_147 1) $cvcl_199) (xor x_13  x_17 )) (= x_137 (+ ?cvcl_192 x_105))) )  (and (and (and (= x_147 2) $cvcl_199) (iff x_13 x_17)) $cvcl_200) )) (or (or (and (and (and (= x_148 0) $cvcl_201) (or (not (<= x_125 ?cvcl_197))  (= x_18 x_15) )) $cvcl_203)  (and (and (and (= x_148 1) $cvcl_196) (not $cvcl_202)) (= x_139 (+ ?cvcl_197 x_94))) )  (and (and (and (= x_148 2) $cvcl_196) $cvcl_202) $cvcl_203) )) (or (and (and (and (and (and (and (and (and (and (= x_127 0) (iff x_12 x_117)) (= ?cvcl_204 x_110)) (<= (+ ?cvcl_204 x_92) x_124)) (or $cvcl_207  (iff x_13 x_8) )) (iff x_128 x_114)) (iff x_129 x_115)) (= x_122 x_108)) $cvcl_205) $cvcl_206)  (and (and (and (and (and (and (and (and (and (= x_127 1) (iff x_129 x_114)) (= ?cvcl_204 x_108)) (<= (+ ?cvcl_204 x_93) x_122)) (or (and (and (= x_130 0) $cvcl_205) $cvcl_206)  (and (and (= x_130 1) (iff x_112 x_115)) (iff x_126 (not x_112))) )) (iff x_131 x_117)) (iff x_12 x_8)) (= x_14 x_10)) (= x_124 x_110)) $cvcl_207) )) (or (or (and (and (and (= x_132 0) $cvcl_213) (or (not (<= x_107 ?cvcl_209))  (iff x_131 x_112) )) $cvcl_210)  (and (and (and (= x_132 1) $cvcl_208) (xor x_112  x_126 )) (= x_121 (+ ?cvcl_209 x_94))) )  (and (and (and (= x_132 2) $cvcl_208) (iff x_112 x_126)) $cvcl_210) )) (or (or (and (and (and (= x_133 0) (not $cvcl_211)) (or (not (<= x_109 ?cvcl_204))  (iff x_128 x_9) )) $cvcl_212)  (and (and (and (= x_133 1) $cvcl_211) (xor x_9  x_13 )) (= x_123 (+ ?cvcl_204 x_105))) )  (and (and (and (= x_133 2) $cvcl_211) (iff x_9 x_13)) $cvcl_212) )) (or (or (and (and (and (= x_134 0) $cvcl_213) (or (not (<= x_111 ?cvcl_209))  (= x_14 x_11) )) $cvcl_215)  (and (and (and (= x_134 1) $cvcl_208) (not $cvcl_214)) (= x_125 (+ ?cvcl_209 x_94))) )  (and (and (and (= x_134 2) $cvcl_208) $cvcl_214) $cvcl_215) )) (or (and (and (and (and (and (and (and (and (and (= x_113 0) (iff x_8 x_102)) (= ?cvcl_216 x_87)) (<= (+ ?cvcl_216 x_92) x_110)) (or $cvcl_219  (iff x_9 x_4) )) (iff x_114 x_97)) (iff x_115 x_99)) (= x_108 x_83)) $cvcl_217) $cvcl_218)  (and (and (and (and (and (and (and (and (and (= x_113 1) (iff x_115 x_97)) (= ?cvcl_216 x_83)) (<= (+ ?cvcl_216 x_93) x_108)) (or (and (and (= x_116 0) $cvcl_217) $cvcl_218)  (and (and (= x_116 1) (iff x_90 x_99)) (iff x_112 (not x_90))) )) (iff x_117 x_102)) (iff x_8 x_4)) (= x_10 x_6)) (= x_110 x_87)) $cvcl_219) )) (or (or (and (and (and (= x_118 0) $cvcl_225) (or (not (<= x_80 ?cvcl_221))  (iff x_117 x_90) )) $cvcl_222)  (and (and (and (= x_118 1) $cvcl_220) (xor x_90  x_112 )) (= x_107 (+ ?cvcl_221 x_94))) )  (and (and (and (= x_118 2) $cvcl_220) (iff x_90 x_112)) $cvcl_222) )) (or (or (and (and (and (= x_119 0) (not $cvcl_223)) (or (not (<= x_84 ?cvcl_216))  (iff x_114 x_5) )) $cvcl_224)  (and (and (and (= x_119 1) $cvcl_223) (xor x_5  x_9 )) (= x_109 (+ ?cvcl_216 x_105))) )  (and (and (and (= x_119 2) $cvcl_223) (iff x_5 x_9)) $cvcl_224) )) (or (or (and (and (and (= x_120 0) $cvcl_225) (or (not (<= x_88 ?cvcl_221))  (= x_10 x_7) )) $cvcl_227)  (and (and (and (= x_120 1) $cvcl_220) (not $cvcl_226)) (= x_111 (+ ?cvcl_221 x_94))) )  (and (and (and (= x_120 2) $cvcl_220) $cvcl_226) $cvcl_227) )) (or (and (and (and (and (and (and (and (and (and (= x_95 0) (iff x_4 x_96)) (= ?cvcl_228 x_86)) (<= (+ ?cvcl_228 x_92) x_87)) (or $cvcl_231  (iff x_5 x_0) )) (iff x_97 x_98)) (iff x_99 x_100)) (= x_83 x_82)) $cvcl_229) $cvcl_230)  (and (and (and (and (and (and (and (and (and (= x_95 1) (iff x_99 x_98)) (= ?cvcl_228 x_82)) (<= (+ ?cvcl_228 x_93) x_83)) (or (and (and (= x_101 0) $cvcl_229) $cvcl_230)  (and (and (= x_101 1) (iff x_91 x_100)) (iff x_90 (not x_91))) )) (iff x_102 x_96)) (iff x_4 x_0)) (= x_6 x_2)) (= x_87 x_86)) $cvcl_231) )) (or (or (and (and (and (= x_103 0) $cvcl_237) (or (not (<= x_81 ?cvcl_233))  (iff x_102 x_91) )) $cvcl_234)  (and (and (and (= x_103 1) $cvcl_232) (xor x_91  x_90 )) (= x_80 (+ ?cvcl_233 x_94))) )  (and (and (and (= x_103 2) $cvcl_232) (iff x_91 x_90)) $cvcl_234) )) (or (or (and (and (and (= x_104 0) (not $cvcl_235)) (or (not (<= x_85 ?cvcl_228))  (iff x_97 x_1) )) $cvcl_236)  (and (and (and (= x_104 1) $cvcl_235) (xor x_1  x_5 )) (= x_84 (+ ?cvcl_228 x_105))) )  (and (and (and (= x_104 2) $cvcl_235) (iff x_1 x_5)) $cvcl_236) )) (or (or (and (and (and (= x_106 0) $cvcl_237) (or (not (<= x_89 ?cvcl_233))  (= x_6 x_3) )) $cvcl_239)  (and (and (and (= x_106 1) $cvcl_232) (not $cvcl_238)) (= x_88 (+ ?cvcl_233 x_94))) )  (and (and (and (= x_106 2) $cvcl_232) $cvcl_238) $cvcl_239) )) (xor x_367  x_368 )) (not (= x_373 x_365)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
)
