(benchmark synch_circuit
  :source {
Fully parameterized specification and verification of a synchronizer   
circuit modeling metastability at various levels of refinement.     
A paper describing this specification, to be published in Designing     
Correct Circuits (DCC), 2006, is available from the authors.            

Geoffrey Brown, Indiana University <geobrown@cs.indiana.edu>
Lee Pike, Galois Connections, Inc. <leepike@galois.com>

Translated into CVC format by Leonardo de Moura.

This benchmark was automatically translated into SMT-LIB format from
CVC format using CVC Lite

}
  :status sat
:category { industrial }
:difficulty { 2 }
  :logic QF_LRA
  
  :extrapreds ((x_0))
  :extrapreds ((x_1))
  :extrafuns ((x_2 Real))
  :extrafuns ((x_3 Real))
  :extrapreds ((x_4))
  :extrapreds ((x_5))
  :extrafuns ((x_6 Real))
  :extrafuns ((x_7 Real))
  :extrapreds ((x_8))
  :extrapreds ((x_9))
  :extrafuns ((x_10 Real))
  :extrafuns ((x_11 Real))
  :extrapreds ((x_12))
  :extrapreds ((x_13))
  :extrafuns ((x_14 Real))
  :extrafuns ((x_15 Real))
  :extrapreds ((x_16))
  :extrapreds ((x_17))
  :extrafuns ((x_18 Real))
  :extrafuns ((x_19 Real))
  :extrapreds ((x_20))
  :extrapreds ((x_21))
  :extrafuns ((x_22 Real))
  :extrafuns ((x_23 Real))
  :extrapreds ((x_24))
  :extrapreds ((x_25))
  :extrafuns ((x_26 Real))
  :extrafuns ((x_27 Real))
  :extrapreds ((x_28))
  :extrapreds ((x_29))
  :extrafuns ((x_30 Real))
  :extrafuns ((x_31 Real))
  :extrapreds ((x_32))
  :extrapreds ((x_33))
  :extrafuns ((x_34 Real))
  :extrafuns ((x_35 Real))
  :extrapreds ((x_36))
  :extrapreds ((x_37))
  :extrafuns ((x_38 Real))
  :extrafuns ((x_39 Real))
  :extrapreds ((x_40))
  :extrapreds ((x_41))
  :extrafuns ((x_42 Real))
  :extrafuns ((x_43 Real))
  :extrapreds ((x_44))
  :extrapreds ((x_45))
  :extrafuns ((x_46 Real))
  :extrafuns ((x_47 Real))
  :extrapreds ((x_48))
  :extrapreds ((x_49))
  :extrafuns ((x_50 Real))
  :extrafuns ((x_51 Real))
  :extrapreds ((x_52))
  :extrapreds ((x_53))
  :extrafuns ((x_54 Real))
  :extrafuns ((x_55 Real))
  :extrapreds ((x_56))
  :extrapreds ((x_57))
  :extrafuns ((x_58 Real))
  :extrafuns ((x_59 Real))
  :extrapreds ((x_60))
  :extrapreds ((x_61))
  :extrafuns ((x_62 Real))
  :extrafuns ((x_63 Real))
  :extrapreds ((x_64))
  :extrapreds ((x_65))
  :extrafuns ((x_66 Real))
  :extrafuns ((x_67 Real))
  :extrapreds ((x_68))
  :extrapreds ((x_69))
  :extrafuns ((x_70 Real))
  :extrafuns ((x_71 Real))
  :extrapreds ((x_72))
  :extrapreds ((x_73))
  :extrafuns ((x_74 Real))
  :extrafuns ((x_75 Real))
  :extrapreds ((x_76))
  :extrapreds ((x_77))
  :extrafuns ((x_78 Real))
  :extrafuns ((x_79 Real))
  :extrapreds ((x_80))
  :extrapreds ((x_81))
  :extrafuns ((x_82 Real))
  :extrafuns ((x_83 Real))
  :extrafuns ((x_84 Real))
  :extrafuns ((x_85 Real))
  :extrafuns ((x_86 Real))
  :extrafuns ((x_87 Real))
  :extrafuns ((x_88 Real))
  :extrafuns ((x_89 Real))
  :extrafuns ((x_90 Real))
  :extrafuns ((x_91 Real))
  :extrafuns ((x_92 Real))
  :extrafuns ((x_93 Real))
  :extrafuns ((x_94 Real))
  :extrafuns ((x_95 Real))
  :extrafuns ((x_96 Real))
  :extrafuns ((x_97 Real))
  :extrafuns ((x_98 Real))
  :extrafuns ((x_99 Real))
  :extrafuns ((x_100 Real))
  :extrafuns ((x_101 Real))
  :extrafuns ((x_102 Real))
  :extrafuns ((x_103 Real))
  :extrafuns ((x_104 Real))
  :extrafuns ((x_105 Real))
  :extrafuns ((x_106 Real))
  :extrafuns ((x_107 Real))
  :extrafuns ((x_108 Real))
  :extrafuns ((x_109 Real))
  :extrafuns ((x_110 Real))
  :extrafuns ((x_111 Real))
  :extrafuns ((x_112 Real))
  :extrafuns ((x_113 Real))
  :extrafuns ((x_114 Real))
  :extrafuns ((x_115 Real))
  :extrafuns ((x_116 Real))
  :extrafuns ((x_117 Real))
  :extrafuns ((x_118 Real))
  :extrafuns ((x_119 Real))
  :extrafuns ((x_120 Real))
  :extrafuns ((x_121 Real))
  :extrafuns ((x_122 Real))
  :extrafuns ((x_123 Real))
  :extrafuns ((x_124 Real))
  :extrafuns ((x_125 Real))
  :extrafuns ((x_126 Real))
  :extrafuns ((x_127 Real))
  :extrafuns ((x_128 Real))
  :extrafuns ((x_129 Real))
  :extrafuns ((x_130 Real))
  :extrafuns ((x_131 Real))
  :extrafuns ((x_132 Real))
  :extrafuns ((x_133 Real))
  :extrafuns ((x_134 Real))
  :extrafuns ((x_135 Real))
  :extrafuns ((x_136 Real))
  :extrafuns ((x_137 Real))
  :extrafuns ((x_138 Real))
  :extrafuns ((x_139 Real))
  :extrafuns ((x_140 Real))
  :extrafuns ((x_141 Real))
  :extrafuns ((x_142 Real))
  :extrafuns ((x_143 Real))
  :extrafuns ((x_144 Real))
  :extrafuns ((x_145 Real))
  :extrafuns ((x_146 Real))
  :extrafuns ((x_147 Real))
  :extrafuns ((x_148 Real))
  :extrafuns ((x_149 Real))
  :extrafuns ((x_150 Real))
  :extrafuns ((x_151 Real))
  :extrafuns ((x_152 Real))
  :extrafuns ((x_153 Real))
  :extrafuns ((x_154 Real))
  :extrafuns ((x_155 Real))
  :extrafuns ((x_156 Real))
  :extrafuns ((x_157 Real))
  :extrafuns ((x_158 Real))
  :extrafuns ((x_159 Real))
  :extrafuns ((x_160 Real))
  :extrafuns ((x_161 Real))
  :extrafuns ((x_162 Real))
  :extrafuns ((x_163 Real))
  :extrafuns ((x_164 Real))
  :extrafuns ((x_165 Real))
  :extrafuns ((x_166 Real))
  :extrafuns ((x_167 Real))
  :extrafuns ((x_168 Real))
  :extrafuns ((x_169 Real))
  :extrafuns ((x_170 Real))
  :extrafuns ((x_171 Real))
  :extrafuns ((x_172 Real))
  :extrafuns ((x_173 Real))
  :extrafuns ((x_174 Real))
  :extrafuns ((x_175 Real))
  :extrafuns ((x_176 Real))
  :extrafuns ((x_177 Real))
  :extrafuns ((x_178 Real))
  :extrafuns ((x_179 Real))
  :extrafuns ((x_180 Real))
  :extrafuns ((x_181 Real))
  :extrafuns ((x_182 Real))
  :extrafuns ((x_183 Real))
  :extrafuns ((x_184 Real))
  :extrafuns ((x_185 Real))
  :extrafuns ((x_186 Real))
  :extrafuns ((x_187 Real))
  :extrafuns ((x_188 Real))
  :extrafuns ((x_189 Real))
  :extrafuns ((x_190 Real))
  :extrafuns ((x_191 Real))
  :extrafuns ((x_192 Real))
  :extrafuns ((x_193 Real))
  :extrafuns ((x_194 Real))
  :extrafuns ((x_195 Real))
  :extrafuns ((x_196 Real))
  :extrafuns ((x_197 Real))
  :extrapreds ((x_198))
  :extrapreds ((x_199))
  :extrafuns ((x_200 Real))
  :extrapreds ((x_201))
  :extrapreds ((x_202))
  :extrapreds ((x_203))
  :extrapreds ((x_204))
  :extrapreds ((x_205))
  :extrafuns ((x_206 Real))
  :extrapreds ((x_207))
  :extrafuns ((x_208 Real))
  :extrafuns ((x_209 Real))
  :extrafuns ((x_210 Real))
  :extrapreds ((x_211))
  :extrafuns ((x_212 Real))
  :extrapreds ((x_213))
  :extrapreds ((x_214))
  :extrafuns ((x_215 Real))
  :extrapreds ((x_216))
  :extrafuns ((x_217 Real))
  :extrafuns ((x_218 Real))
  :extrafuns ((x_219 Real))
  :extrapreds ((x_220))
  :extrafuns ((x_221 Real))
  :extrapreds ((x_222))
  :extrapreds ((x_223))
  :extrafuns ((x_224 Real))
  :extrapreds ((x_225))
  :extrafuns ((x_226 Real))
  :extrafuns ((x_227 Real))
  :extrafuns ((x_228 Real))
  :extrapreds ((x_229))
  :extrafuns ((x_230 Real))
  :extrapreds ((x_231))
  :extrapreds ((x_232))
  :extrafuns ((x_233 Real))
  :extrapreds ((x_234))
  :extrafuns ((x_235 Real))
  :extrafuns ((x_236 Real))
  :extrafuns ((x_237 Real))
  :extrapreds ((x_238))
  :extrafuns ((x_239 Real))
  :extrapreds ((x_240))
  :extrapreds ((x_241))
  :extrafuns ((x_242 Real))
  :extrapreds ((x_243))
  :extrafuns ((x_244 Real))
  :extrafuns ((x_245 Real))
  :extrafuns ((x_246 Real))
  :extrapreds ((x_247))
  :extrafuns ((x_248 Real))
  :extrapreds ((x_249))
  :extrapreds ((x_250))
  :extrafuns ((x_251 Real))
  :extrapreds ((x_252))
  :extrafuns ((x_253 Real))
  :extrafuns ((x_254 Real))
  :extrafuns ((x_255 Real))
  :extrapreds ((x_256))
  :extrafuns ((x_257 Real))
  :extrapreds ((x_258))
  :extrapreds ((x_259))
  :extrafuns ((x_260 Real))
  :extrapreds ((x_261))
  :extrafuns ((x_262 Real))
  :extrafuns ((x_263 Real))
  :extrafuns ((x_264 Real))
  :extrapreds ((x_265))
  :extrafuns ((x_266 Real))
  :extrapreds ((x_267))
  :extrapreds ((x_268))
  :extrafuns ((x_269 Real))
  :extrapreds ((x_270))
  :extrafuns ((x_271 Real))
  :extrafuns ((x_272 Real))
  :extrafuns ((x_273 Real))
  :extrapreds ((x_274))
  :extrafuns ((x_275 Real))
  :extrapreds ((x_276))
  :extrapreds ((x_277))
  :extrafuns ((x_278 Real))
  :extrapreds ((x_279))
  :extrafuns ((x_280 Real))
  :extrafuns ((x_281 Real))
  :extrafuns ((x_282 Real))
  :extrapreds ((x_283))
  :extrafuns ((x_284 Real))
  :extrapreds ((x_285))
  :extrapreds ((x_286))
  :extrafuns ((x_287 Real))
  :extrapreds ((x_288))
  :extrafuns ((x_289 Real))
  :extrafuns ((x_290 Real))
  :extrafuns ((x_291 Real))
  :extrapreds ((x_292))
  :extrafuns ((x_293 Real))
  :extrapreds ((x_294))
  :extrapreds ((x_295))
  :extrafuns ((x_296 Real))
  :extrapreds ((x_297))
  :extrafuns ((x_298 Real))
  :extrafuns ((x_299 Real))
  :extrafuns ((x_300 Real))
  :extrapreds ((x_301))
  :extrafuns ((x_302 Real))
  :extrapreds ((x_303))
  :extrapreds ((x_304))
  :extrafuns ((x_305 Real))
  :extrapreds ((x_306))
  :extrafuns ((x_307 Real))
  :extrafuns ((x_308 Real))
  :extrafuns ((x_309 Real))
  :extrapreds ((x_310))
  :extrafuns ((x_311 Real))
  :extrapreds ((x_312))
  :extrapreds ((x_313))
  :extrafuns ((x_314 Real))
  :extrapreds ((x_315))
  :extrafuns ((x_316 Real))
  :extrafuns ((x_317 Real))
  :extrafuns ((x_318 Real))
  :extrapreds ((x_319))
  :extrafuns ((x_320 Real))
  :extrapreds ((x_321))
  :extrapreds ((x_322))
  :extrafuns ((x_323 Real))
  :extrapreds ((x_324))
  :extrafuns ((x_325 Real))
  :extrafuns ((x_326 Real))
  :extrafuns ((x_327 Real))
  :extrapreds ((x_328))
  :extrafuns ((x_329 Real))
  :extrapreds ((x_330))
  :extrapreds ((x_331))
  :extrafuns ((x_332 Real))
  :extrapreds ((x_333))
  :extrafuns ((x_334 Real))
  :extrafuns ((x_335 Real))
  :extrafuns ((x_336 Real))
  :extrapreds ((x_337))
  :extrafuns ((x_338 Real))
  :extrapreds ((x_339))
  :extrapreds ((x_340))
  :extrafuns ((x_341 Real))
  :extrapreds ((x_342))
  :extrafuns ((x_343 Real))
  :extrafuns ((x_344 Real))
  :extrafuns ((x_345 Real))
  :extrapreds ((x_346))
  :extrafuns ((x_347 Real))
  :extrapreds ((x_348))
  :extrapreds ((x_349))
  :extrafuns ((x_350 Real))
  :extrapreds ((x_351))
  :extrafuns ((x_352 Real))
  :extrafuns ((x_353 Real))
  :extrafuns ((x_354 Real))
  :extrapreds ((x_355))
  :extrafuns ((x_356 Real))
  :extrapreds ((x_357))
  :extrapreds ((x_358))
  :extrafuns ((x_359 Real))
  :extrapreds ((x_360))
  :extrafuns ((x_361 Real))
  :extrafuns ((x_362 Real))
  :extrafuns ((x_363 Real))
  :extrapreds ((x_364))
  :extrafuns ((x_365 Real))
  :extrapreds ((x_366))
  :extrapreds ((x_367))
  :extrafuns ((x_368 Real))
  :extrapreds ((x_369))
  :extrafuns ((x_370 Real))
  :extrafuns ((x_371 Real))
  :extrafuns ((x_372 Real))
  :extrapreds ((x_373))
  :extrafuns ((x_374 Real))
  :extrapreds ((x_375))
  :extrapreds ((x_376))
  :extrafuns ((x_377 Real))
  :extrapreds ((x_378))
  :extrafuns ((x_379 Real))
  :extrafuns ((x_380 Real))
  :extrafuns ((x_381 Real))
  :extrapreds ((x_382))
  :extrafuns ((x_383 Real))
  :extrafuns ((x_384 Real))
  :extrapreds ((x_385))
  :extrapreds ((x_386))
  :extrapreds ((x_387))
  :extrapreds ((x_388))
  :extrafuns ((x_389 Real))
  :extrapreds ((x_390))
  :extrafuns ((x_391 Real))
  :extrafuns ((x_392 Real))
  :extrafuns ((x_393 Real))
  :extrafuns ((x_394 Real))
  :formula
(let (?cvcl_21 (ite (<= x_84 x_85) x_84 x_85)) (let (?cvcl_20 (ite (<= x_93 x_94) x_93 x_94)) (let (?cvcl_19 (ite (<= x_98 x_99) x_98 x_99)) (let (?cvcl_18 (ite (<= x_103 x_104) x_103 x_104)) (let (?cvcl_17 (ite (<= x_108 x_109) x_108 x_109)) (let (?cvcl_16 (ite (<= x_113 x_114) x_113 x_114)) (let (?cvcl_15 (ite (<= x_118 x_119) x_118 x_119)) (let (?cvcl_14 (ite (<= x_123 x_124) x_123 x_124)) (let (?cvcl_13 (ite (<= x_128 x_129) x_128 x_129)) (let (?cvcl_12 (ite (<= x_133 x_134) x_133 x_134)) (let (?cvcl_11 (ite (<= x_138 x_139) x_138 x_139)) (let (?cvcl_10 (ite (<= x_143 x_144) x_143 x_144)) (let (?cvcl_9 (ite (<= x_148 x_149) x_148 x_149)) (let (?cvcl_8 (ite (<= x_153 x_154) x_153 x_154)) (let (?cvcl_7 (ite (<= x_158 x_159) x_158 x_159)) (let (?cvcl_6 (ite (<= x_163 x_164) x_163 x_164)) (let (?cvcl_5 (ite (<= x_168 x_169) x_168 x_169)) (let (?cvcl_4 (ite (<= x_173 x_174) x_173 x_174)) (let (?cvcl_3 (ite (<= x_178 x_179) x_178 x_179)) (let (?cvcl_2 (ite (<= x_183 x_184) x_183 x_184)) (let (?cvcl_1 (ite (<= x_188 x_189) x_188 x_189)) (let (?cvcl_0 (ite (<= x_193 x_194) x_193 x_194)) (flet ($cvcl_267 (= x_95 x_89)) (flet ($cvcl_269 (= x_85 x_94)) (flet ($cvcl_270 (= x_97 x_91)) (flet ($cvcl_265 (= x_84 x_93)) (flet ($cvcl_271 (not $cvcl_265)) (flet ($cvcl_273 (= x_96 x_90)) (flet ($cvcl_262 (iff x_198 x_199)) (flet ($cvcl_263 (= x_7 x_3)) (let (?cvcl_266 (ite (<= x_85 x_84) x_85 x_84)) (flet ($cvcl_255 (= x_100 x_95)) (flet ($cvcl_257 (= x_94 x_99)) (flet ($cvcl_258 (= x_102 x_97)) (flet ($cvcl_253 (= x_93 x_98)) (flet ($cvcl_259 (not $cvcl_253)) (flet ($cvcl_261 (= x_101 x_96)) (flet ($cvcl_250 (iff x_211 x_198)) (flet ($cvcl_251 (= x_11 x_7)) (let (?cvcl_254 (ite (<= x_94 x_93) x_94 x_93)) (flet ($cvcl_243 (= x_105 x_100)) (flet ($cvcl_245 (= x_99 x_104)) (flet ($cvcl_246 (= x_107 x_102)) (flet ($cvcl_241 (= x_98 x_103)) (flet ($cvcl_247 (not $cvcl_241)) (flet ($cvcl_249 (= x_106 x_101)) (flet ($cvcl_238 (iff x_220 x_211)) (flet ($cvcl_239 (= x_15 x_11)) (let (?cvcl_242 (ite (<= x_99 x_98) x_99 x_98)) (flet ($cvcl_231 (= x_110 x_105)) (flet ($cvcl_233 (= x_104 x_109)) (flet ($cvcl_234 (= x_112 x_107)) (flet ($cvcl_229 (= x_103 x_108)) (flet ($cvcl_235 (not $cvcl_229)) (flet ($cvcl_237 (= x_111 x_106)) (flet ($cvcl_226 (iff x_229 x_220)) (flet ($cvcl_227 (= x_19 x_15)) (let (?cvcl_230 (ite (<= x_104 x_103) x_104 x_103)) (flet ($cvcl_219 (= x_115 x_110)) (flet ($cvcl_221 (= x_109 x_114)) (flet ($cvcl_222 (= x_117 x_112)) (flet ($cvcl_217 (= x_108 x_113)) (flet ($cvcl_223 (not $cvcl_217)) (flet ($cvcl_225 (= x_116 x_111)) (flet ($cvcl_214 (iff x_238 x_229)) (flet ($cvcl_215 (= x_23 x_19)) (let (?cvcl_218 (ite (<= x_109 x_108) x_109 x_108)) (flet ($cvcl_207 (= x_120 x_115)) (flet ($cvcl_209 (= x_114 x_119)) (flet ($cvcl_210 (= x_122 x_117)) (flet ($cvcl_205 (= x_113 x_118)) (flet ($cvcl_211 (not $cvcl_205)) (flet ($cvcl_213 (= x_121 x_116)) (flet ($cvcl_202 (iff x_247 x_238)) (flet ($cvcl_203 (= x_27 x_23)) (let (?cvcl_206 (ite (<= x_114 x_113) x_114 x_113)) (flet ($cvcl_195 (= x_125 x_120)) (flet ($cvcl_197 (= x_119 x_124)) (flet ($cvcl_198 (= x_127 x_122)) (flet ($cvcl_193 (= x_118 x_123)) (flet ($cvcl_199 (not $cvcl_193)) (flet ($cvcl_201 (= x_126 x_121)) (flet ($cvcl_190 (iff x_256 x_247)) (flet ($cvcl_191 (= x_31 x_27)) (let (?cvcl_194 (ite (<= x_119 x_118) x_119 x_118)) (flet ($cvcl_183 (= x_130 x_125)) (flet ($cvcl_185 (= x_124 x_129)) (flet ($cvcl_186 (= x_132 x_127)) (flet ($cvcl_181 (= x_123 x_128)) (flet ($cvcl_187 (not $cvcl_181)) (flet ($cvcl_189 (= x_131 x_126)) (flet ($cvcl_178 (iff x_265 x_256)) (flet ($cvcl_179 (= x_35 x_31)) (let (?cvcl_182 (ite (<= x_124 x_123) x_124 x_123)) (flet ($cvcl_171 (= x_135 x_130)) (flet ($cvcl_173 (= x_129 x_134)) (flet ($cvcl_174 (= x_137 x_132)) (flet ($cvcl_169 (= x_128 x_133)) (flet ($cvcl_175 (not $cvcl_169)) (flet ($cvcl_177 (= x_136 x_131)) (flet ($cvcl_166 (iff x_274 x_265)) (flet ($cvcl_167 (= x_39 x_35)) (let (?cvcl_170 (ite (<= x_129 x_128) x_129 x_128)) (flet ($cvcl_159 (= x_140 x_135)) (flet ($cvcl_161 (= x_134 x_139)) (flet ($cvcl_162 (= x_142 x_137)) (flet ($cvcl_157 (= x_133 x_138)) (flet ($cvcl_163 (not $cvcl_157)) (flet ($cvcl_165 (= x_141 x_136)) (flet ($cvcl_154 (iff x_283 x_274)) (flet ($cvcl_155 (= x_43 x_39)) (let (?cvcl_158 (ite (<= x_134 x_133) x_134 x_133)) (flet ($cvcl_147 (= x_145 x_140)) (flet ($cvcl_149 (= x_139 x_144)) (flet ($cvcl_150 (= x_147 x_142)) (flet ($cvcl_145 (= x_138 x_143)) (flet ($cvcl_151 (not $cvcl_145)) (flet ($cvcl_153 (= x_146 x_141)) (flet ($cvcl_142 (iff x_292 x_283)) (flet ($cvcl_143 (= x_47 x_43)) (let (?cvcl_146 (ite (<= x_139 x_138) x_139 x_138)) (flet ($cvcl_135 (= x_150 x_145)) (flet ($cvcl_137 (= x_144 x_149)) (flet ($cvcl_138 (= x_152 x_147)) (flet ($cvcl_133 (= x_143 x_148)) (flet ($cvcl_139 (not $cvcl_133)) (flet ($cvcl_141 (= x_151 x_146)) (flet ($cvcl_130 (iff x_301 x_292)) (flet ($cvcl_131 (= x_51 x_47)) (let (?cvcl_134 (ite (<= x_144 x_143) x_144 x_143)) (flet ($cvcl_123 (= x_155 x_150)) (flet ($cvcl_125 (= x_149 x_154)) (flet ($cvcl_126 (= x_157 x_152)) (flet ($cvcl_121 (= x_148 x_153)) (flet ($cvcl_127 (not $cvcl_121)) (flet ($cvcl_129 (= x_156 x_151)) (flet ($cvcl_118 (iff x_310 x_301)) (flet ($cvcl_119 (= x_55 x_51)) (let (?cvcl_122 (ite (<= x_149 x_148) x_149 x_148)) (flet ($cvcl_111 (= x_160 x_155)) (flet ($cvcl_113 (= x_154 x_159)) (flet ($cvcl_114 (= x_162 x_157)) (flet ($cvcl_109 (= x_153 x_158)) (flet ($cvcl_115 (not $cvcl_109)) (flet ($cvcl_117 (= x_161 x_156)) (flet ($cvcl_106 (iff x_319 x_310)) (flet ($cvcl_107 (= x_59 x_55)) (let (?cvcl_110 (ite (<= x_154 x_153) x_154 x_153)) (flet ($cvcl_99 (= x_165 x_160)) (flet ($cvcl_101 (= x_159 x_164)) (flet ($cvcl_102 (= x_167 x_162)) (flet ($cvcl_97 (= x_158 x_163)) (flet ($cvcl_103 (not $cvcl_97)) (flet ($cvcl_105 (= x_166 x_161)) (flet ($cvcl_94 (iff x_328 x_319)) (flet ($cvcl_95 (= x_63 x_59)) (let (?cvcl_98 (ite (<= x_159 x_158) x_159 x_158)) (flet ($cvcl_87 (= x_170 x_165)) (flet ($cvcl_89 (= x_164 x_169)) (flet ($cvcl_90 (= x_172 x_167)) (flet ($cvcl_85 (= x_163 x_168)) (flet ($cvcl_91 (not $cvcl_85)) (flet ($cvcl_93 (= x_171 x_166)) (flet ($cvcl_82 (iff x_337 x_328)) (flet ($cvcl_83 (= x_67 x_63)) (let (?cvcl_86 (ite (<= x_164 x_163) x_164 x_163)) (flet ($cvcl_75 (= x_175 x_170)) (flet ($cvcl_77 (= x_169 x_174)) (flet ($cvcl_78 (= x_177 x_172)) (flet ($cvcl_73 (= x_168 x_173)) (flet ($cvcl_79 (not $cvcl_73)) (flet ($cvcl_81 (= x_176 x_171)) (flet ($cvcl_70 (iff x_346 x_337)) (flet ($cvcl_71 (= x_71 x_67)) (let (?cvcl_74 (ite (<= x_169 x_168) x_169 x_168)) (flet ($cvcl_63 (= x_180 x_175)) (flet ($cvcl_65 (= x_174 x_179)) (flet ($cvcl_66 (= x_182 x_177)) (flet ($cvcl_61 (= x_173 x_178)) (flet ($cvcl_67 (not $cvcl_61)) (flet ($cvcl_69 (= x_181 x_176)) (flet ($cvcl_58 (iff x_355 x_346)) (flet ($cvcl_59 (= x_75 x_71)) (let (?cvcl_62 (ite (<= x_174 x_173) x_174 x_173)) (flet ($cvcl_51 (= x_185 x_180)) (flet ($cvcl_53 (= x_179 x_184)) (flet ($cvcl_54 (= x_187 x_182)) (flet ($cvcl_49 (= x_178 x_183)) (flet ($cvcl_55 (not $cvcl_49)) (flet ($cvcl_57 (= x_186 x_181)) (flet ($cvcl_46 (iff x_364 x_355)) (flet ($cvcl_47 (= x_79 x_75)) (let (?cvcl_50 (ite (<= x_179 x_178) x_179 x_178)) (flet ($cvcl_39 (= x_190 x_185)) (flet ($cvcl_41 (= x_184 x_189)) (flet ($cvcl_42 (= x_192 x_187)) (flet ($cvcl_37 (= x_183 x_188)) (flet ($cvcl_43 (not $cvcl_37)) (flet ($cvcl_45 (= x_191 x_186)) (flet ($cvcl_34 (iff x_373 x_364)) (flet ($cvcl_35 (= x_83 x_79)) (let (?cvcl_38 (ite (<= x_184 x_183) x_184 x_183)) (flet ($cvcl_27 (= x_195 x_190)) (flet ($cvcl_29 (= x_189 x_194)) (flet ($cvcl_30 (= x_197 x_192)) (flet ($cvcl_25 (= x_188 x_193)) (flet ($cvcl_31 (not $cvcl_25)) (flet ($cvcl_33 (= x_196 x_191)) (flet ($cvcl_22 (iff x_382 x_373)) (flet ($cvcl_23 (= x_383 x_83)) (let (?cvcl_26 (ite (<= x_189 x_188) x_189 x_188)) (flet ($cvcl_24 (iff x_386 x_81)) (flet ($cvcl_32 (= x_83 x_383)) (flet ($cvcl_36 (iff x_81 x_77)) (flet ($cvcl_44 (= x_79 x_83)) (flet ($cvcl_48 (iff x_77 x_73)) (flet ($cvcl_56 (= x_75 x_79)) (flet ($cvcl_60 (iff x_73 x_69)) (flet ($cvcl_68 (= x_71 x_75)) (flet ($cvcl_72 (iff x_69 x_65)) (flet ($cvcl_80 (= x_67 x_71)) (flet ($cvcl_84 (iff x_65 x_61)) (flet ($cvcl_92 (= x_63 x_67)) (flet ($cvcl_96 (iff x_61 x_57)) (flet ($cvcl_104 (= x_59 x_63)) (flet ($cvcl_108 (iff x_57 x_53)) (flet ($cvcl_116 (= x_55 x_59)) (flet ($cvcl_120 (iff x_53 x_49)) (flet ($cvcl_128 (= x_51 x_55)) (flet ($cvcl_132 (iff x_49 x_45)) (flet ($cvcl_140 (= x_47 x_51)) (flet ($cvcl_144 (iff x_45 x_41)) (flet ($cvcl_152 (= x_43 x_47)) (flet ($cvcl_156 (iff x_41 x_37)) (flet ($cvcl_164 (= x_39 x_43)) (flet ($cvcl_168 (iff x_37 x_33)) (flet ($cvcl_176 (= x_35 x_39)) (flet ($cvcl_180 (iff x_33 x_29)) (flet ($cvcl_188 (= x_31 x_35)) (flet ($cvcl_192 (iff x_29 x_25)) (flet ($cvcl_200 (= x_27 x_31)) (flet ($cvcl_204 (iff x_25 x_21)) (flet ($cvcl_212 (= x_23 x_27)) (flet ($cvcl_216 (iff x_21 x_17)) (flet ($cvcl_224 (= x_19 x_23)) (flet ($cvcl_228 (iff x_17 x_13)) (flet ($cvcl_236 (= x_15 x_19)) (flet ($cvcl_240 (iff x_13 x_9)) (flet ($cvcl_248 (= x_11 x_15)) (flet ($cvcl_252 (iff x_9 x_5)) (flet ($cvcl_260 (= x_7 x_11)) (flet ($cvcl_264 (iff x_5 x_1)) (flet ($cvcl_272 (= x_3 x_7)) (flet ($cvcl_28 (<= x_192 ?cvcl_1)) (flet ($cvcl_40 (<= x_187 ?cvcl_2)) (flet ($cvcl_52 (<= x_182 ?cvcl_3)) (flet ($cvcl_64 (<= x_177 ?cvcl_4)) (flet ($cvcl_76 (<= x_172 ?cvcl_5)) (flet ($cvcl_88 (<= x_167 ?cvcl_6)) (flet ($cvcl_100 (<= x_162 ?cvcl_7)) (flet ($cvcl_112 (<= x_157 ?cvcl_8)) (flet ($cvcl_124 (<= x_152 ?cvcl_9)) (flet ($cvcl_136 (<= x_147 ?cvcl_10)) (flet ($cvcl_148 (<= x_142 ?cvcl_11)) (flet ($cvcl_160 (<= x_137 ?cvcl_12)) (flet ($cvcl_172 (<= x_132 ?cvcl_13)) (flet ($cvcl_184 (<= x_127 ?cvcl_14)) (flet ($cvcl_196 (<= x_122 ?cvcl_15)) (flet ($cvcl_208 (<= x_117 ?cvcl_16)) (flet ($cvcl_220 (<= x_112 ?cvcl_17)) (flet ($cvcl_232 (<= x_107 ?cvcl_18)) (flet ($cvcl_244 (<= x_102 ?cvcl_19)) (flet ($cvcl_256 (<= x_97 ?cvcl_20)) (flet ($cvcl_268 (<= x_91 ?cvcl_21)) (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (> x_86 0) (> x_87 0)) (>= x_88 0)) (< x_88 x_86)) (< x_88 x_87)) (>= x_92 0)) (< x_92 x_86)) (< x_92 x_87)) (or (iff x_80 x_81)  (= x_82 x_83) )) (or (iff x_76 x_77)  (= x_78 x_79) )) (or (iff x_72 x_73)  (= x_74 x_75) )) (or (iff x_68 x_69)  (= x_70 x_71) )) (or (iff x_64 x_65)  (= x_66 x_67) )) (or (iff x_60 x_61)  (= x_62 x_63) )) (or (iff x_56 x_57)  (= x_58 x_59) )) (or (iff x_52 x_53)  (= x_54 x_55) )) (or (iff x_48 x_49)  (= x_50 x_51) )) (or (iff x_44 x_45)  (= x_46 x_47) )) (or (iff x_40 x_41)  (= x_42 x_43) )) (or (iff x_36 x_37)  (= x_38 x_39) )) (or (iff x_32 x_33)  (= x_34 x_35) )) (or (iff x_28 x_29)  (= x_30 x_31) )) (or (iff x_24 x_25)  (= x_26 x_27) )) (or (iff x_20 x_21)  (= x_22 x_23) )) (or (iff x_16 x_17)  (= x_18 x_19) )) (or (iff x_12 x_13)  (= x_14 x_15) )) (or (iff x_8 x_9)  (= x_10 x_11) )) (or (iff x_4 x_5)  (= x_6 x_7) )) (or (iff x_0 x_1)  (= x_2 x_3) )) (or (<= x_195 ?cvcl_0)  (<= (- (+ x_195 x_87) x_88) x_194) )) (or (<= x_196 ?cvcl_0)  (<= (- (+ x_196 x_87) x_88) x_194) )) (or (<= x_197 ?cvcl_0)  (<= (- (+ x_197 x_86) x_92) x_193) )) (<= x_197 (+ ?cvcl_0 x_92))) (<= x_196 (+ ?cvcl_0 x_88))) (<= x_195 (+ ?cvcl_0 x_88))) (<= ?cvcl_0 x_193)) (<= ?cvcl_0 x_194)) (or (<= x_190 ?cvcl_1)  (<= (- (+ x_190 x_87) x_88) x_189) )) (or (<= x_191 ?cvcl_1)  (<= (- (+ x_191 x_87) x_88) x_189) )) (or $cvcl_28  (<= (- (+ x_192 x_86) x_92) x_188) )) (<= x_192 (+ ?cvcl_1 x_92))) (<= x_191 (+ ?cvcl_1 x_88))) (<= x_190 (+ ?cvcl_1 x_88))) (<= ?cvcl_1 x_188)) (<= ?cvcl_1 x_189)) (or (<= x_185 ?cvcl_2)  (<= (- (+ x_185 x_87) x_88) x_184) )) (or (<= x_186 ?cvcl_2)  (<= (- (+ x_186 x_87) x_88) x_184) )) (or $cvcl_40  (<= (- (+ x_187 x_86) x_92) x_183) )) (<= x_187 (+ ?cvcl_2 x_92))) (<= x_186 (+ ?cvcl_2 x_88))) (<= x_185 (+ ?cvcl_2 x_88))) (<= ?cvcl_2 x_183)) (<= ?cvcl_2 x_184)) (or (<= x_180 ?cvcl_3)  (<= (- (+ x_180 x_87) x_88) x_179) )) (or (<= x_181 ?cvcl_3)  (<= (- (+ x_181 x_87) x_88) x_179) )) (or $cvcl_52  (<= (- (+ x_182 x_86) x_92) x_178) )) (<= x_182 (+ ?cvcl_3 x_92))) (<= x_181 (+ ?cvcl_3 x_88))) (<= x_180 (+ ?cvcl_3 x_88))) (<= ?cvcl_3 x_178)) (<= ?cvcl_3 x_179)) (or (<= x_175 ?cvcl_4)  (<= (- (+ x_175 x_87) x_88) x_174) )) (or (<= x_176 ?cvcl_4)  (<= (- (+ x_176 x_87) x_88) x_174) )) (or $cvcl_64  (<= (- (+ x_177 x_86) x_92) x_173) )) (<= x_177 (+ ?cvcl_4 x_92))) (<= x_176 (+ ?cvcl_4 x_88))) (<= x_175 (+ ?cvcl_4 x_88))) (<= ?cvcl_4 x_173)) (<= ?cvcl_4 x_174)) (or (<= x_170 ?cvcl_5)  (<= (- (+ x_170 x_87) x_88) x_169) )) (or (<= x_171 ?cvcl_5)  (<= (- (+ x_171 x_87) x_88) x_169) )) (or $cvcl_76  (<= (- (+ x_172 x_86) x_92) x_168) )) (<= x_172 (+ ?cvcl_5 x_92))) (<= x_171 (+ ?cvcl_5 x_88))) (<= x_170 (+ ?cvcl_5 x_88))) (<= ?cvcl_5 x_168)) (<= ?cvcl_5 x_169)) (or (<= x_165 ?cvcl_6)  (<= (- (+ x_165 x_87) x_88) x_164) )) (or (<= x_166 ?cvcl_6)  (<= (- (+ x_166 x_87) x_88) x_164) )) (or $cvcl_88  (<= (- (+ x_167 x_86) x_92) x_163) )) (<= x_167 (+ ?cvcl_6 x_92))) (<= x_166 (+ ?cvcl_6 x_88))) (<= x_165 (+ ?cvcl_6 x_88))) (<= ?cvcl_6 x_163)) (<= ?cvcl_6 x_164)) (or (<= x_160 ?cvcl_7)  (<= (- (+ x_160 x_87) x_88) x_159) )) (or (<= x_161 ?cvcl_7)  (<= (- (+ x_161 x_87) x_88) x_159) )) (or $cvcl_100  (<= (- (+ x_162 x_86) x_92) x_158) )) (<= x_162 (+ ?cvcl_7 x_92))) (<= x_161 (+ ?cvcl_7 x_88))) (<= x_160 (+ ?cvcl_7 x_88))) (<= ?cvcl_7 x_158)) (<= ?cvcl_7 x_159)) (or (<= x_155 ?cvcl_8)  (<= (- (+ x_155 x_87) x_88) x_154) )) (or (<= x_156 ?cvcl_8)  (<= (- (+ x_156 x_87) x_88) x_154) )) (or $cvcl_112  (<= (- (+ x_157 x_86) x_92) x_153) )) (<= x_157 (+ ?cvcl_8 x_92))) (<= x_156 (+ ?cvcl_8 x_88))) (<= x_155 (+ ?cvcl_8 x_88))) (<= ?cvcl_8 x_153)) (<= ?cvcl_8 x_154)) (or (<= x_150 ?cvcl_9)  (<= (- (+ x_150 x_87) x_88) x_149) )) (or (<= x_151 ?cvcl_9)  (<= (- (+ x_151 x_87) x_88) x_149) )) (or $cvcl_124  (<= (- (+ x_152 x_86) x_92) x_148) )) (<= x_152 (+ ?cvcl_9 x_92))) (<= x_151 (+ ?cvcl_9 x_88))) (<= x_150 (+ ?cvcl_9 x_88))) (<= ?cvcl_9 x_148)) (<= ?cvcl_9 x_149)) (or (<= x_145 ?cvcl_10)  (<= (- (+ x_145 x_87) x_88) x_144) )) (or (<= x_146 ?cvcl_10)  (<= (- (+ x_146 x_87) x_88) x_144) )) (or $cvcl_136  (<= (- (+ x_147 x_86) x_92) x_143) )) (<= x_147 (+ ?cvcl_10 x_92))) (<= x_146 (+ ?cvcl_10 x_88))) (<= x_145 (+ ?cvcl_10 x_88))) (<= ?cvcl_10 x_143)) (<= ?cvcl_10 x_144)) (or (<= x_140 ?cvcl_11)  (<= (- (+ x_140 x_87) x_88) x_139) )) (or (<= x_141 ?cvcl_11)  (<= (- (+ x_141 x_87) x_88) x_139) )) (or $cvcl_148  (<= (- (+ x_142 x_86) x_92) x_138) )) (<= x_142 (+ ?cvcl_11 x_92))) (<= x_141 (+ ?cvcl_11 x_88))) (<= x_140 (+ ?cvcl_11 x_88))) (<= ?cvcl_11 x_138)) (<= ?cvcl_11 x_139)) (or (<= x_135 ?cvcl_12)  (<= (- (+ x_135 x_87) x_88) x_134) )) (or (<= x_136 ?cvcl_12)  (<= (- (+ x_136 x_87) x_88) x_134) )) (or $cvcl_160  (<= (- (+ x_137 x_86) x_92) x_133) )) (<= x_137 (+ ?cvcl_12 x_92))) (<= x_136 (+ ?cvcl_12 x_88))) (<= x_135 (+ ?cvcl_12 x_88))) (<= ?cvcl_12 x_133)) (<= ?cvcl_12 x_134)) (or (<= x_130 ?cvcl_13)  (<= (- (+ x_130 x_87) x_88) x_129) )) (or (<= x_131 ?cvcl_13)  (<= (- (+ x_131 x_87) x_88) x_129) )) (or $cvcl_172  (<= (- (+ x_132 x_86) x_92) x_128) )) (<= x_132 (+ ?cvcl_13 x_92))) (<= x_131 (+ ?cvcl_13 x_88))) (<= x_130 (+ ?cvcl_13 x_88))) (<= ?cvcl_13 x_128)) (<= ?cvcl_13 x_129)) (or (<= x_125 ?cvcl_14)  (<= (- (+ x_125 x_87) x_88) x_124) )) (or (<= x_126 ?cvcl_14)  (<= (- (+ x_126 x_87) x_88) x_124) )) (or $cvcl_184  (<= (- (+ x_127 x_86) x_92) x_123) )) (<= x_127 (+ ?cvcl_14 x_92))) (<= x_126 (+ ?cvcl_14 x_88))) (<= x_125 (+ ?cvcl_14 x_88))) (<= ?cvcl_14 x_123)) (<= ?cvcl_14 x_124)) (or (<= x_120 ?cvcl_15)  (<= (- (+ x_120 x_87) x_88) x_119) )) (or (<= x_121 ?cvcl_15)  (<= (- (+ x_121 x_87) x_88) x_119) )) (or $cvcl_196  (<= (- (+ x_122 x_86) x_92) x_118) )) (<= x_122 (+ ?cvcl_15 x_92))) (<= x_121 (+ ?cvcl_15 x_88))) (<= x_120 (+ ?cvcl_15 x_88))) (<= ?cvcl_15 x_118)) (<= ?cvcl_15 x_119)) (or (<= x_115 ?cvcl_16)  (<= (- (+ x_115 x_87) x_88) x_114) )) (or (<= x_116 ?cvcl_16)  (<= (- (+ x_116 x_87) x_88) x_114) )) (or $cvcl_208  (<= (- (+ x_117 x_86) x_92) x_113) )) (<= x_117 (+ ?cvcl_16 x_92))) (<= x_116 (+ ?cvcl_16 x_88))) (<= x_115 (+ ?cvcl_16 x_88))) (<= ?cvcl_16 x_113)) (<= ?cvcl_16 x_114)) (or (<= x_110 ?cvcl_17)  (<= (- (+ x_110 x_87) x_88) x_109) )) (or (<= x_111 ?cvcl_17)  (<= (- (+ x_111 x_87) x_88) x_109) )) (or $cvcl_220  (<= (- (+ x_112 x_86) x_92) x_108) )) (<= x_112 (+ ?cvcl_17 x_92))) (<= x_111 (+ ?cvcl_17 x_88))) (<= x_110 (+ ?cvcl_17 x_88))) (<= ?cvcl_17 x_108)) (<= ?cvcl_17 x_109)) (or (<= x_105 ?cvcl_18)  (<= (- (+ x_105 x_87) x_88) x_104) )) (or (<= x_106 ?cvcl_18)  (<= (- (+ x_106 x_87) x_88) x_104) )) (or $cvcl_232  (<= (- (+ x_107 x_86) x_92) x_103) )) (<= x_107 (+ ?cvcl_18 x_92))) (<= x_106 (+ ?cvcl_18 x_88))) (<= x_105 (+ ?cvcl_18 x_88))) (<= ?cvcl_18 x_103)) (<= ?cvcl_18 x_104)) (or (<= x_100 ?cvcl_19)  (<= (- (+ x_100 x_87) x_88) x_99) )) (or (<= x_101 ?cvcl_19)  (<= (- (+ x_101 x_87) x_88) x_99) )) (or $cvcl_244  (<= (- (+ x_102 x_86) x_92) x_98) )) (<= x_102 (+ ?cvcl_19 x_92))) (<= x_101 (+ ?cvcl_19 x_88))) (<= x_100 (+ ?cvcl_19 x_88))) (<= ?cvcl_19 x_98)) (<= ?cvcl_19 x_99)) (or (<= x_95 ?cvcl_20)  (<= (- (+ x_95 x_87) x_88) x_94) )) (or (<= x_96 ?cvcl_20)  (<= (- (+ x_96 x_87) x_88) x_94) )) (or $cvcl_256  (<= (- (+ x_97 x_86) x_92) x_93) )) (<= x_97 (+ ?cvcl_20 x_92))) (<= x_96 (+ ?cvcl_20 x_88))) (<= x_95 (+ ?cvcl_20 x_88))) (<= ?cvcl_20 x_93)) (<= ?cvcl_20 x_94)) (or (<= x_89 ?cvcl_21)  (<= (- (+ x_89 x_87) x_88) x_85) )) (or (<= x_90 ?cvcl_21)  (<= (- (+ x_90 x_87) x_88) x_85) )) (or $cvcl_268  (<= (- (+ x_91 x_86) x_92) x_84) )) (<= x_91 (+ ?cvcl_21 x_92))) (<= x_90 (+ ?cvcl_21 x_88))) (<= x_89 (+ ?cvcl_21 x_88))) (<= ?cvcl_21 x_84)) (<= ?cvcl_21 x_85)) (or (and (and (and (and (and (and (and (and (and (= x_384 0) (iff x_385 x_378)) (= ?cvcl_1 x_188)) (<= (+ ?cvcl_1 x_86) x_193)) (or $cvcl_24  (iff x_386 x_80) )) (iff x_387 x_375)) (iff x_388 x_376)) (= x_194 x_189)) $cvcl_22) $cvcl_23)  (and (and (and (and (and (and (and (and (and (= x_384 1) (iff x_388 x_375)) (= ?cvcl_1 x_189)) (<= (+ ?cvcl_1 x_87) x_194)) (or (and (and (= x_389 0) $cvcl_22) $cvcl_23)  (and (and (= x_389 1) (iff x_373 x_376)) (iff x_382 (not x_373))) )) (iff x_390 x_378)) (iff x_385 x_80)) (= x_391 x_82)) (= x_193 x_188)) $cvcl_24) )) (or (or (and (and (and (= x_392 0) $cvcl_31) (or (not (<= x_190 ?cvcl_26))  (iff x_390 x_373) )) $cvcl_27)  (and (and (and (= x_392 1) $cvcl_25) (xor x_373  x_382 )) (= x_195 (+ ?cvcl_26 x_88))) )  (and (and (and (= x_392 2) $cvcl_25) (iff x_373 x_382)) $cvcl_27) )) (or (or (and (and (and (= x_393 0) (not $cvcl_29)) (or (not $cvcl_28)  (iff x_387 x_81) )) $cvcl_30)  (and (and (and (= x_393 1) $cvcl_29) (xor x_81  x_386 )) (= x_197 (+ ?cvcl_1 x_92))) )  (and (and (and (= x_393 2) $cvcl_29) (iff x_81 x_386)) $cvcl_30) )) (or (or (and (and (and (= x_394 0) $cvcl_31) (or (not (<= x_191 ?cvcl_26))  (= x_391 x_83) )) $cvcl_33)  (and (and (and (= x_394 1) $cvcl_25) (not $cvcl_32)) (= x_196 (+ ?cvcl_26 x_88))) )  (and (and (and (= x_394 2) $cvcl_25) $cvcl_32) $cvcl_33) )) (or (and (and (and (and (and (and (and (and (and (= x_374 0) (iff x_80 x_369)) (= ?cvcl_2 x_183)) (<= (+ ?cvcl_2 x_86) x_188)) (or $cvcl_36  (iff x_81 x_76) )) (iff x_375 x_366)) (iff x_376 x_367)) (= x_189 x_184)) $cvcl_34) $cvcl_35)  (and (and (and (and (and (and (and (and (and (= x_374 1) (iff x_376 x_366)) (= ?cvcl_2 x_184)) (<= (+ ?cvcl_2 x_87) x_189)) (or (and (and (= x_377 0) $cvcl_34) $cvcl_35)  (and (and (= x_377 1) (iff x_364 x_367)) (iff x_373 (not x_364))) )) (iff x_378 x_369)) (iff x_80 x_76)) (= x_82 x_78)) (= x_188 x_183)) $cvcl_36) )) (or (or (and (and (and (= x_379 0) $cvcl_43) (or (not (<= x_185 ?cvcl_38))  (iff x_378 x_364) )) $cvcl_39)  (and (and (and (= x_379 1) $cvcl_37) (xor x_364  x_373 )) (= x_190 (+ ?cvcl_38 x_88))) )  (and (and (and (= x_379 2) $cvcl_37) (iff x_364 x_373)) $cvcl_39) )) (or (or (and (and (and (= x_380 0) (not $cvcl_41)) (or (not $cvcl_40)  (iff x_375 x_77) )) $cvcl_42)  (and (and (and (= x_380 1) $cvcl_41) (xor x_77  x_81 )) (= x_192 (+ ?cvcl_2 x_92))) )  (and (and (and (= x_380 2) $cvcl_41) (iff x_77 x_81)) $cvcl_42) )) (or (or (and (and (and (= x_381 0) $cvcl_43) (or (not (<= x_186 ?cvcl_38))  (= x_82 x_79) )) $cvcl_45)  (and (and (and (= x_381 1) $cvcl_37) (not $cvcl_44)) (= x_191 (+ ?cvcl_38 x_88))) )  (and (and (and (= x_381 2) $cvcl_37) $cvcl_44) $cvcl_45) )) (or (and (and (and (and (and (and (and (and (and (= x_365 0) (iff x_76 x_360)) (= ?cvcl_3 x_178)) (<= (+ ?cvcl_3 x_86) x_183)) (or $cvcl_48  (iff x_77 x_72) )) (iff x_366 x_357)) (iff x_367 x_358)) (= x_184 x_179)) $cvcl_46) $cvcl_47)  (and (and (and (and (and (and (and (and (and (= x_365 1) (iff x_367 x_357)) (= ?cvcl_3 x_179)) (<= (+ ?cvcl_3 x_87) x_184)) (or (and (and (= x_368 0) $cvcl_46) $cvcl_47)  (and (and (= x_368 1) (iff x_355 x_358)) (iff x_364 (not x_355))) )) (iff x_369 x_360)) (iff x_76 x_72)) (= x_78 x_74)) (= x_183 x_178)) $cvcl_48) )) (or (or (and (and (and (= x_370 0) $cvcl_55) (or (not (<= x_180 ?cvcl_50))  (iff x_369 x_355) )) $cvcl_51)  (and (and (and (= x_370 1) $cvcl_49) (xor x_355  x_364 )) (= x_185 (+ ?cvcl_50 x_88))) )  (and (and (and (= x_370 2) $cvcl_49) (iff x_355 x_364)) $cvcl_51) )) (or (or (and (and (and (= x_371 0) (not $cvcl_53)) (or (not $cvcl_52)  (iff x_366 x_73) )) $cvcl_54)  (and (and (and (= x_371 1) $cvcl_53) (xor x_73  x_77 )) (= x_187 (+ ?cvcl_3 x_92))) )  (and (and (and (= x_371 2) $cvcl_53) (iff x_73 x_77)) $cvcl_54) )) (or (or (and (and (and (= x_372 0) $cvcl_55) (or (not (<= x_181 ?cvcl_50))  (= x_78 x_75) )) $cvcl_57)  (and (and (and (= x_372 1) $cvcl_49) (not $cvcl_56)) (= x_186 (+ ?cvcl_50 x_88))) )  (and (and (and (= x_372 2) $cvcl_49) $cvcl_56) $cvcl_57) )) (or (and (and (and (and (and (and (and (and (and (= x_356 0) (iff x_72 x_351)) (= ?cvcl_4 x_173)) (<= (+ ?cvcl_4 x_86) x_178)) (or $cvcl_60  (iff x_73 x_68) )) (iff x_357 x_348)) (iff x_358 x_349)) (= x_179 x_174)) $cvcl_58) $cvcl_59)  (and (and (and (and (and (and (and (and (and (= x_356 1) (iff x_358 x_348)) (= ?cvcl_4 x_174)) (<= (+ ?cvcl_4 x_87) x_179)) (or (and (and (= x_359 0) $cvcl_58) $cvcl_59)  (and (and (= x_359 1) (iff x_346 x_349)) (iff x_355 (not x_346))) )) (iff x_360 x_351)) (iff x_72 x_68)) (= x_74 x_70)) (= x_178 x_173)) $cvcl_60) )) (or (or (and (and (and (= x_361 0) $cvcl_67) (or (not (<= x_175 ?cvcl_62))  (iff x_360 x_346) )) $cvcl_63)  (and (and (and (= x_361 1) $cvcl_61) (xor x_346  x_355 )) (= x_180 (+ ?cvcl_62 x_88))) )  (and (and (and (= x_361 2) $cvcl_61) (iff x_346 x_355)) $cvcl_63) )) (or (or (and (and (and (= x_362 0) (not $cvcl_65)) (or (not $cvcl_64)  (iff x_357 x_69) )) $cvcl_66)  (and (and (and (= x_362 1) $cvcl_65) (xor x_69  x_73 )) (= x_182 (+ ?cvcl_4 x_92))) )  (and (and (and (= x_362 2) $cvcl_65) (iff x_69 x_73)) $cvcl_66) )) (or (or (and (and (and (= x_363 0) $cvcl_67) (or (not (<= x_176 ?cvcl_62))  (= x_74 x_71) )) $cvcl_69)  (and (and (and (= x_363 1) $cvcl_61) (not $cvcl_68)) (= x_181 (+ ?cvcl_62 x_88))) )  (and (and (and (= x_363 2) $cvcl_61) $cvcl_68) $cvcl_69) )) (or (and (and (and (and (and (and (and (and (and (= x_347 0) (iff x_68 x_342)) (= ?cvcl_5 x_168)) (<= (+ ?cvcl_5 x_86) x_173)) (or $cvcl_72  (iff x_69 x_64) )) (iff x_348 x_339)) (iff x_349 x_340)) (= x_174 x_169)) $cvcl_70) $cvcl_71)  (and (and (and (and (and (and (and (and (and (= x_347 1) (iff x_349 x_339)) (= ?cvcl_5 x_169)) (<= (+ ?cvcl_5 x_87) x_174)) (or (and (and (= x_350 0) $cvcl_70) $cvcl_71)  (and (and (= x_350 1) (iff x_337 x_340)) (iff x_346 (not x_337))) )) (iff x_351 x_342)) (iff x_68 x_64)) (= x_70 x_66)) (= x_173 x_168)) $cvcl_72) )) (or (or (and (and (and (= x_352 0) $cvcl_79) (or (not (<= x_170 ?cvcl_74))  (iff x_351 x_337) )) $cvcl_75)  (and (and (and (= x_352 1) $cvcl_73) (xor x_337  x_346 )) (= x_175 (+ ?cvcl_74 x_88))) )  (and (and (and (= x_352 2) $cvcl_73) (iff x_337 x_346)) $cvcl_75) )) (or (or (and (and (and (= x_353 0) (not $cvcl_77)) (or (not $cvcl_76)  (iff x_348 x_65) )) $cvcl_78)  (and (and (and (= x_353 1) $cvcl_77) (xor x_65  x_69 )) (= x_177 (+ ?cvcl_5 x_92))) )  (and (and (and (= x_353 2) $cvcl_77) (iff x_65 x_69)) $cvcl_78) )) (or (or (and (and (and (= x_354 0) $cvcl_79) (or (not (<= x_171 ?cvcl_74))  (= x_70 x_67) )) $cvcl_81)  (and (and (and (= x_354 1) $cvcl_73) (not $cvcl_80)) (= x_176 (+ ?cvcl_74 x_88))) )  (and (and (and (= x_354 2) $cvcl_73) $cvcl_80) $cvcl_81) )) (or (and (and (and (and (and (and (and (and (and (= x_338 0) (iff x_64 x_333)) (= ?cvcl_6 x_163)) (<= (+ ?cvcl_6 x_86) x_168)) (or $cvcl_84  (iff x_65 x_60) )) (iff x_339 x_330)) (iff x_340 x_331)) (= x_169 x_164)) $cvcl_82) $cvcl_83)  (and (and (and (and (and (and (and (and (and (= x_338 1) (iff x_340 x_330)) (= ?cvcl_6 x_164)) (<= (+ ?cvcl_6 x_87) x_169)) (or (and (and (= x_341 0) $cvcl_82) $cvcl_83)  (and (and (= x_341 1) (iff x_328 x_331)) (iff x_337 (not x_328))) )) (iff x_342 x_333)) (iff x_64 x_60)) (= x_66 x_62)) (= x_168 x_163)) $cvcl_84) )) (or (or (and (and (and (= x_343 0) $cvcl_91) (or (not (<= x_165 ?cvcl_86))  (iff x_342 x_328) )) $cvcl_87)  (and (and (and (= x_343 1) $cvcl_85) (xor x_328  x_337 )) (= x_170 (+ ?cvcl_86 x_88))) )  (and (and (and (= x_343 2) $cvcl_85) (iff x_328 x_337)) $cvcl_87) )) (or (or (and (and (and (= x_344 0) (not $cvcl_89)) (or (not $cvcl_88)  (iff x_339 x_61) )) $cvcl_90)  (and (and (and (= x_344 1) $cvcl_89) (xor x_61  x_65 )) (= x_172 (+ ?cvcl_6 x_92))) )  (and (and (and (= x_344 2) $cvcl_89) (iff x_61 x_65)) $cvcl_90) )) (or (or (and (and (and (= x_345 0) $cvcl_91) (or (not (<= x_166 ?cvcl_86))  (= x_66 x_63) )) $cvcl_93)  (and (and (and (= x_345 1) $cvcl_85) (not $cvcl_92)) (= x_171 (+ ?cvcl_86 x_88))) )  (and (and (and (= x_345 2) $cvcl_85) $cvcl_92) $cvcl_93) )) (or (and (and (and (and (and (and (and (and (and (= x_329 0) (iff x_60 x_324)) (= ?cvcl_7 x_158)) (<= (+ ?cvcl_7 x_86) x_163)) (or $cvcl_96  (iff x_61 x_56) )) (iff x_330 x_321)) (iff x_331 x_322)) (= x_164 x_159)) $cvcl_94) $cvcl_95)  (and (and (and (and (and (and (and (and (and (= x_329 1) (iff x_331 x_321)) (= ?cvcl_7 x_159)) (<= (+ ?cvcl_7 x_87) x_164)) (or (and (and (= x_332 0) $cvcl_94) $cvcl_95)  (and (and (= x_332 1) (iff x_319 x_322)) (iff x_328 (not x_319))) )) (iff x_333 x_324)) (iff x_60 x_56)) (= x_62 x_58)) (= x_163 x_158)) $cvcl_96) )) (or (or (and (and (and (= x_334 0) $cvcl_103) (or (not (<= x_160 ?cvcl_98))  (iff x_333 x_319) )) $cvcl_99)  (and (and (and (= x_334 1) $cvcl_97) (xor x_319  x_328 )) (= x_165 (+ ?cvcl_98 x_88))) )  (and (and (and (= x_334 2) $cvcl_97) (iff x_319 x_328)) $cvcl_99) )) (or (or (and (and (and (= x_335 0) (not $cvcl_101)) (or (not $cvcl_100)  (iff x_330 x_57) )) $cvcl_102)  (and (and (and (= x_335 1) $cvcl_101) (xor x_57  x_61 )) (= x_167 (+ ?cvcl_7 x_92))) )  (and (and (and (= x_335 2) $cvcl_101) (iff x_57 x_61)) $cvcl_102) )) (or (or (and (and (and (= x_336 0) $cvcl_103) (or (not (<= x_161 ?cvcl_98))  (= x_62 x_59) )) $cvcl_105)  (and (and (and (= x_336 1) $cvcl_97) (not $cvcl_104)) (= x_166 (+ ?cvcl_98 x_88))) )  (and (and (and (= x_336 2) $cvcl_97) $cvcl_104) $cvcl_105) )) (or (and (and (and (and (and (and (and (and (and (= x_320 0) (iff x_56 x_315)) (= ?cvcl_8 x_153)) (<= (+ ?cvcl_8 x_86) x_158)) (or $cvcl_108  (iff x_57 x_52) )) (iff x_321 x_312)) (iff x_322 x_313)) (= x_159 x_154)) $cvcl_106) $cvcl_107)  (and (and (and (and (and (and (and (and (and (= x_320 1) (iff x_322 x_312)) (= ?cvcl_8 x_154)) (<= (+ ?cvcl_8 x_87) x_159)) (or (and (and (= x_323 0) $cvcl_106) $cvcl_107)  (and (and (= x_323 1) (iff x_310 x_313)) (iff x_319 (not x_310))) )) (iff x_324 x_315)) (iff x_56 x_52)) (= x_58 x_54)) (= x_158 x_153)) $cvcl_108) )) (or (or (and (and (and (= x_325 0) $cvcl_115) (or (not (<= x_155 ?cvcl_110))  (iff x_324 x_310) )) $cvcl_111)  (and (and (and (= x_325 1) $cvcl_109) (xor x_310  x_319 )) (= x_160 (+ ?cvcl_110 x_88))) )  (and (and (and (= x_325 2) $cvcl_109) (iff x_310 x_319)) $cvcl_111) )) (or (or (and (and (and (= x_326 0) (not $cvcl_113)) (or (not $cvcl_112)  (iff x_321 x_53) )) $cvcl_114)  (and (and (and (= x_326 1) $cvcl_113) (xor x_53  x_57 )) (= x_162 (+ ?cvcl_8 x_92))) )  (and (and (and (= x_326 2) $cvcl_113) (iff x_53 x_57)) $cvcl_114) )) (or (or (and (and (and (= x_327 0) $cvcl_115) (or (not (<= x_156 ?cvcl_110))  (= x_58 x_55) )) $cvcl_117)  (and (and (and (= x_327 1) $cvcl_109) (not $cvcl_116)) (= x_161 (+ ?cvcl_110 x_88))) )  (and (and (and (= x_327 2) $cvcl_109) $cvcl_116) $cvcl_117) )) (or (and (and (and (and (and (and (and (and (and (= x_311 0) (iff x_52 x_306)) (= ?cvcl_9 x_148)) (<= (+ ?cvcl_9 x_86) x_153)) (or $cvcl_120  (iff x_53 x_48) )) (iff x_312 x_303)) (iff x_313 x_304)) (= x_154 x_149)) $cvcl_118) $cvcl_119)  (and (and (and (and (and (and (and (and (and (= x_311 1) (iff x_313 x_303)) (= ?cvcl_9 x_149)) (<= (+ ?cvcl_9 x_87) x_154)) (or (and (and (= x_314 0) $cvcl_118) $cvcl_119)  (and (and (= x_314 1) (iff x_301 x_304)) (iff x_310 (not x_301))) )) (iff x_315 x_306)) (iff x_52 x_48)) (= x_54 x_50)) (= x_153 x_148)) $cvcl_120) )) (or (or (and (and (and (= x_316 0) $cvcl_127) (or (not (<= x_150 ?cvcl_122))  (iff x_315 x_301) )) $cvcl_123)  (and (and (and (= x_316 1) $cvcl_121) (xor x_301  x_310 )) (= x_155 (+ ?cvcl_122 x_88))) )  (and (and (and (= x_316 2) $cvcl_121) (iff x_301 x_310)) $cvcl_123) )) (or (or (and (and (and (= x_317 0) (not $cvcl_125)) (or (not $cvcl_124)  (iff x_312 x_49) )) $cvcl_126)  (and (and (and (= x_317 1) $cvcl_125) (xor x_49  x_53 )) (= x_157 (+ ?cvcl_9 x_92))) )  (and (and (and (= x_317 2) $cvcl_125) (iff x_49 x_53)) $cvcl_126) )) (or (or (and (and (and (= x_318 0) $cvcl_127) (or (not (<= x_151 ?cvcl_122))  (= x_54 x_51) )) $cvcl_129)  (and (and (and (= x_318 1) $cvcl_121) (not $cvcl_128)) (= x_156 (+ ?cvcl_122 x_88))) )  (and (and (and (= x_318 2) $cvcl_121) $cvcl_128) $cvcl_129) )) (or (and (and (and (and (and (and (and (and (and (= x_302 0) (iff x_48 x_297)) (= ?cvcl_10 x_143)) (<= (+ ?cvcl_10 x_86) x_148)) (or $cvcl_132  (iff x_49 x_44) )) (iff x_303 x_294)) (iff x_304 x_295)) (= x_149 x_144)) $cvcl_130) $cvcl_131)  (and (and (and (and (and (and (and (and (and (= x_302 1) (iff x_304 x_294)) (= ?cvcl_10 x_144)) (<= (+ ?cvcl_10 x_87) x_149)) (or (and (and (= x_305 0) $cvcl_130) $cvcl_131)  (and (and (= x_305 1) (iff x_292 x_295)) (iff x_301 (not x_292))) )) (iff x_306 x_297)) (iff x_48 x_44)) (= x_50 x_46)) (= x_148 x_143)) $cvcl_132) )) (or (or (and (and (and (= x_307 0) $cvcl_139) (or (not (<= x_145 ?cvcl_134))  (iff x_306 x_292) )) $cvcl_135)  (and (and (and (= x_307 1) $cvcl_133) (xor x_292  x_301 )) (= x_150 (+ ?cvcl_134 x_88))) )  (and (and (and (= x_307 2) $cvcl_133) (iff x_292 x_301)) $cvcl_135) )) (or (or (and (and (and (= x_308 0) (not $cvcl_137)) (or (not $cvcl_136)  (iff x_303 x_45) )) $cvcl_138)  (and (and (and (= x_308 1) $cvcl_137) (xor x_45  x_49 )) (= x_152 (+ ?cvcl_10 x_92))) )  (and (and (and (= x_308 2) $cvcl_137) (iff x_45 x_49)) $cvcl_138) )) (or (or (and (and (and (= x_309 0) $cvcl_139) (or (not (<= x_146 ?cvcl_134))  (= x_50 x_47) )) $cvcl_141)  (and (and (and (= x_309 1) $cvcl_133) (not $cvcl_140)) (= x_151 (+ ?cvcl_134 x_88))) )  (and (and (and (= x_309 2) $cvcl_133) $cvcl_140) $cvcl_141) )) (or (and (and (and (and (and (and (and (and (and (= x_293 0) (iff x_44 x_288)) (= ?cvcl_11 x_138)) (<= (+ ?cvcl_11 x_86) x_143)) (or $cvcl_144  (iff x_45 x_40) )) (iff x_294 x_285)) (iff x_295 x_286)) (= x_144 x_139)) $cvcl_142) $cvcl_143)  (and (and (and (and (and (and (and (and (and (= x_293 1) (iff x_295 x_285)) (= ?cvcl_11 x_139)) (<= (+ ?cvcl_11 x_87) x_144)) (or (and (and (= x_296 0) $cvcl_142) $cvcl_143)  (and (and (= x_296 1) (iff x_283 x_286)) (iff x_292 (not x_283))) )) (iff x_297 x_288)) (iff x_44 x_40)) (= x_46 x_42)) (= x_143 x_138)) $cvcl_144) )) (or (or (and (and (and (= x_298 0) $cvcl_151) (or (not (<= x_140 ?cvcl_146))  (iff x_297 x_283) )) $cvcl_147)  (and (and (and (= x_298 1) $cvcl_145) (xor x_283  x_292 )) (= x_145 (+ ?cvcl_146 x_88))) )  (and (and (and (= x_298 2) $cvcl_145) (iff x_283 x_292)) $cvcl_147) )) (or (or (and (and (and (= x_299 0) (not $cvcl_149)) (or (not $cvcl_148)  (iff x_294 x_41) )) $cvcl_150)  (and (and (and (= x_299 1) $cvcl_149) (xor x_41  x_45 )) (= x_147 (+ ?cvcl_11 x_92))) )  (and (and (and (= x_299 2) $cvcl_149) (iff x_41 x_45)) $cvcl_150) )) (or (or (and (and (and (= x_300 0) $cvcl_151) (or (not (<= x_141 ?cvcl_146))  (= x_46 x_43) )) $cvcl_153)  (and (and (and (= x_300 1) $cvcl_145) (not $cvcl_152)) (= x_146 (+ ?cvcl_146 x_88))) )  (and (and (and (= x_300 2) $cvcl_145) $cvcl_152) $cvcl_153) )) (or (and (and (and (and (and (and (and (and (and (= x_284 0) (iff x_40 x_279)) (= ?cvcl_12 x_133)) (<= (+ ?cvcl_12 x_86) x_138)) (or $cvcl_156  (iff x_41 x_36) )) (iff x_285 x_276)) (iff x_286 x_277)) (= x_139 x_134)) $cvcl_154) $cvcl_155)  (and (and (and (and (and (and (and (and (and (= x_284 1) (iff x_286 x_276)) (= ?cvcl_12 x_134)) (<= (+ ?cvcl_12 x_87) x_139)) (or (and (and (= x_287 0) $cvcl_154) $cvcl_155)  (and (and (= x_287 1) (iff x_274 x_277)) (iff x_283 (not x_274))) )) (iff x_288 x_279)) (iff x_40 x_36)) (= x_42 x_38)) (= x_138 x_133)) $cvcl_156) )) (or (or (and (and (and (= x_289 0) $cvcl_163) (or (not (<= x_135 ?cvcl_158))  (iff x_288 x_274) )) $cvcl_159)  (and (and (and (= x_289 1) $cvcl_157) (xor x_274  x_283 )) (= x_140 (+ ?cvcl_158 x_88))) )  (and (and (and (= x_289 2) $cvcl_157) (iff x_274 x_283)) $cvcl_159) )) (or (or (and (and (and (= x_290 0) (not $cvcl_161)) (or (not $cvcl_160)  (iff x_285 x_37) )) $cvcl_162)  (and (and (and (= x_290 1) $cvcl_161) (xor x_37  x_41 )) (= x_142 (+ ?cvcl_12 x_92))) )  (and (and (and (= x_290 2) $cvcl_161) (iff x_37 x_41)) $cvcl_162) )) (or (or (and (and (and (= x_291 0) $cvcl_163) (or (not (<= x_136 ?cvcl_158))  (= x_42 x_39) )) $cvcl_165)  (and (and (and (= x_291 1) $cvcl_157) (not $cvcl_164)) (= x_141 (+ ?cvcl_158 x_88))) )  (and (and (and (= x_291 2) $cvcl_157) $cvcl_164) $cvcl_165) )) (or (and (and (and (and (and (and (and (and (and (= x_275 0) (iff x_36 x_270)) (= ?cvcl_13 x_128)) (<= (+ ?cvcl_13 x_86) x_133)) (or $cvcl_168  (iff x_37 x_32) )) (iff x_276 x_267)) (iff x_277 x_268)) (= x_134 x_129)) $cvcl_166) $cvcl_167)  (and (and (and (and (and (and (and (and (and (= x_275 1) (iff x_277 x_267)) (= ?cvcl_13 x_129)) (<= (+ ?cvcl_13 x_87) x_134)) (or (and (and (= x_278 0) $cvcl_166) $cvcl_167)  (and (and (= x_278 1) (iff x_265 x_268)) (iff x_274 (not x_265))) )) (iff x_279 x_270)) (iff x_36 x_32)) (= x_38 x_34)) (= x_133 x_128)) $cvcl_168) )) (or (or (and (and (and (= x_280 0) $cvcl_175) (or (not (<= x_130 ?cvcl_170))  (iff x_279 x_265) )) $cvcl_171)  (and (and (and (= x_280 1) $cvcl_169) (xor x_265  x_274 )) (= x_135 (+ ?cvcl_170 x_88))) )  (and (and (and (= x_280 2) $cvcl_169) (iff x_265 x_274)) $cvcl_171) )) (or (or (and (and (and (= x_281 0) (not $cvcl_173)) (or (not $cvcl_172)  (iff x_276 x_33) )) $cvcl_174)  (and (and (and (= x_281 1) $cvcl_173) (xor x_33  x_37 )) (= x_137 (+ ?cvcl_13 x_92))) )  (and (and (and (= x_281 2) $cvcl_173) (iff x_33 x_37)) $cvcl_174) )) (or (or (and (and (and (= x_282 0) $cvcl_175) (or (not (<= x_131 ?cvcl_170))  (= x_38 x_35) )) $cvcl_177)  (and (and (and (= x_282 1) $cvcl_169) (not $cvcl_176)) (= x_136 (+ ?cvcl_170 x_88))) )  (and (and (and (= x_282 2) $cvcl_169) $cvcl_176) $cvcl_177) )) (or (and (and (and (and (and (and (and (and (and (= x_266 0) (iff x_32 x_261)) (= ?cvcl_14 x_123)) (<= (+ ?cvcl_14 x_86) x_128)) (or $cvcl_180  (iff x_33 x_28) )) (iff x_267 x_258)) (iff x_268 x_259)) (= x_129 x_124)) $cvcl_178) $cvcl_179)  (and (and (and (and (and (and (and (and (and (= x_266 1) (iff x_268 x_258)) (= ?cvcl_14 x_124)) (<= (+ ?cvcl_14 x_87) x_129)) (or (and (and (= x_269 0) $cvcl_178) $cvcl_179)  (and (and (= x_269 1) (iff x_256 x_259)) (iff x_265 (not x_256))) )) (iff x_270 x_261)) (iff x_32 x_28)) (= x_34 x_30)) (= x_128 x_123)) $cvcl_180) )) (or (or (and (and (and (= x_271 0) $cvcl_187) (or (not (<= x_125 ?cvcl_182))  (iff x_270 x_256) )) $cvcl_183)  (and (and (and (= x_271 1) $cvcl_181) (xor x_256  x_265 )) (= x_130 (+ ?cvcl_182 x_88))) )  (and (and (and (= x_271 2) $cvcl_181) (iff x_256 x_265)) $cvcl_183) )) (or (or (and (and (and (= x_272 0) (not $cvcl_185)) (or (not $cvcl_184)  (iff x_267 x_29) )) $cvcl_186)  (and (and (and (= x_272 1) $cvcl_185) (xor x_29  x_33 )) (= x_132 (+ ?cvcl_14 x_92))) )  (and (and (and (= x_272 2) $cvcl_185) (iff x_29 x_33)) $cvcl_186) )) (or (or (and (and (and (= x_273 0) $cvcl_187) (or (not (<= x_126 ?cvcl_182))  (= x_34 x_31) )) $cvcl_189)  (and (and (and (= x_273 1) $cvcl_181) (not $cvcl_188)) (= x_131 (+ ?cvcl_182 x_88))) )  (and (and (and (= x_273 2) $cvcl_181) $cvcl_188) $cvcl_189) )) (or (and (and (and (and (and (and (and (and (and (= x_257 0) (iff x_28 x_252)) (= ?cvcl_15 x_118)) (<= (+ ?cvcl_15 x_86) x_123)) (or $cvcl_192  (iff x_29 x_24) )) (iff x_258 x_249)) (iff x_259 x_250)) (= x_124 x_119)) $cvcl_190) $cvcl_191)  (and (and (and (and (and (and (and (and (and (= x_257 1) (iff x_259 x_249)) (= ?cvcl_15 x_119)) (<= (+ ?cvcl_15 x_87) x_124)) (or (and (and (= x_260 0) $cvcl_190) $cvcl_191)  (and (and (= x_260 1) (iff x_247 x_250)) (iff x_256 (not x_247))) )) (iff x_261 x_252)) (iff x_28 x_24)) (= x_30 x_26)) (= x_123 x_118)) $cvcl_192) )) (or (or (and (and (and (= x_262 0) $cvcl_199) (or (not (<= x_120 ?cvcl_194))  (iff x_261 x_247) )) $cvcl_195)  (and (and (and (= x_262 1) $cvcl_193) (xor x_247  x_256 )) (= x_125 (+ ?cvcl_194 x_88))) )  (and (and (and (= x_262 2) $cvcl_193) (iff x_247 x_256)) $cvcl_195) )) (or (or (and (and (and (= x_263 0) (not $cvcl_197)) (or (not $cvcl_196)  (iff x_258 x_25) )) $cvcl_198)  (and (and (and (= x_263 1) $cvcl_197) (xor x_25  x_29 )) (= x_127 (+ ?cvcl_15 x_92))) )  (and (and (and (= x_263 2) $cvcl_197) (iff x_25 x_29)) $cvcl_198) )) (or (or (and (and (and (= x_264 0) $cvcl_199) (or (not (<= x_121 ?cvcl_194))  (= x_30 x_27) )) $cvcl_201)  (and (and (and (= x_264 1) $cvcl_193) (not $cvcl_200)) (= x_126 (+ ?cvcl_194 x_88))) )  (and (and (and (= x_264 2) $cvcl_193) $cvcl_200) $cvcl_201) )) (or (and (and (and (and (and (and (and (and (and (= x_248 0) (iff x_24 x_243)) (= ?cvcl_16 x_113)) (<= (+ ?cvcl_16 x_86) x_118)) (or $cvcl_204  (iff x_25 x_20) )) (iff x_249 x_240)) (iff x_250 x_241)) (= x_119 x_114)) $cvcl_202) $cvcl_203)  (and (and (and (and (and (and (and (and (and (= x_248 1) (iff x_250 x_240)) (= ?cvcl_16 x_114)) (<= (+ ?cvcl_16 x_87) x_119)) (or (and (and (= x_251 0) $cvcl_202) $cvcl_203)  (and (and (= x_251 1) (iff x_238 x_241)) (iff x_247 (not x_238))) )) (iff x_252 x_243)) (iff x_24 x_20)) (= x_26 x_22)) (= x_118 x_113)) $cvcl_204) )) (or (or (and (and (and (= x_253 0) $cvcl_211) (or (not (<= x_115 ?cvcl_206))  (iff x_252 x_238) )) $cvcl_207)  (and (and (and (= x_253 1) $cvcl_205) (xor x_238  x_247 )) (= x_120 (+ ?cvcl_206 x_88))) )  (and (and (and (= x_253 2) $cvcl_205) (iff x_238 x_247)) $cvcl_207) )) (or (or (and (and (and (= x_254 0) (not $cvcl_209)) (or (not $cvcl_208)  (iff x_249 x_21) )) $cvcl_210)  (and (and (and (= x_254 1) $cvcl_209) (xor x_21  x_25 )) (= x_122 (+ ?cvcl_16 x_92))) )  (and (and (and (= x_254 2) $cvcl_209) (iff x_21 x_25)) $cvcl_210) )) (or (or (and (and (and (= x_255 0) $cvcl_211) (or (not (<= x_116 ?cvcl_206))  (= x_26 x_23) )) $cvcl_213)  (and (and (and (= x_255 1) $cvcl_205) (not $cvcl_212)) (= x_121 (+ ?cvcl_206 x_88))) )  (and (and (and (= x_255 2) $cvcl_205) $cvcl_212) $cvcl_213) )) (or (and (and (and (and (and (and (and (and (and (= x_239 0) (iff x_20 x_234)) (= ?cvcl_17 x_108)) (<= (+ ?cvcl_17 x_86) x_113)) (or $cvcl_216  (iff x_21 x_16) )) (iff x_240 x_231)) (iff x_241 x_232)) (= x_114 x_109)) $cvcl_214) $cvcl_215)  (and (and (and (and (and (and (and (and (and (= x_239 1) (iff x_241 x_231)) (= ?cvcl_17 x_109)) (<= (+ ?cvcl_17 x_87) x_114)) (or (and (and (= x_242 0) $cvcl_214) $cvcl_215)  (and (and (= x_242 1) (iff x_229 x_232)) (iff x_238 (not x_229))) )) (iff x_243 x_234)) (iff x_20 x_16)) (= x_22 x_18)) (= x_113 x_108)) $cvcl_216) )) (or (or (and (and (and (= x_244 0) $cvcl_223) (or (not (<= x_110 ?cvcl_218))  (iff x_243 x_229) )) $cvcl_219)  (and (and (and (= x_244 1) $cvcl_217) (xor x_229  x_238 )) (= x_115 (+ ?cvcl_218 x_88))) )  (and (and (and (= x_244 2) $cvcl_217) (iff x_229 x_238)) $cvcl_219) )) (or (or (and (and (and (= x_245 0) (not $cvcl_221)) (or (not $cvcl_220)  (iff x_240 x_17) )) $cvcl_222)  (and (and (and (= x_245 1) $cvcl_221) (xor x_17  x_21 )) (= x_117 (+ ?cvcl_17 x_92))) )  (and (and (and (= x_245 2) $cvcl_221) (iff x_17 x_21)) $cvcl_222) )) (or (or (and (and (and (= x_246 0) $cvcl_223) (or (not (<= x_111 ?cvcl_218))  (= x_22 x_19) )) $cvcl_225)  (and (and (and (= x_246 1) $cvcl_217) (not $cvcl_224)) (= x_116 (+ ?cvcl_218 x_88))) )  (and (and (and (= x_246 2) $cvcl_217) $cvcl_224) $cvcl_225) )) (or (and (and (and (and (and (and (and (and (and (= x_230 0) (iff x_16 x_225)) (= ?cvcl_18 x_103)) (<= (+ ?cvcl_18 x_86) x_108)) (or $cvcl_228  (iff x_17 x_12) )) (iff x_231 x_222)) (iff x_232 x_223)) (= x_109 x_104)) $cvcl_226) $cvcl_227)  (and (and (and (and (and (and (and (and (and (= x_230 1) (iff x_232 x_222)) (= ?cvcl_18 x_104)) (<= (+ ?cvcl_18 x_87) x_109)) (or (and (and (= x_233 0) $cvcl_226) $cvcl_227)  (and (and (= x_233 1) (iff x_220 x_223)) (iff x_229 (not x_220))) )) (iff x_234 x_225)) (iff x_16 x_12)) (= x_18 x_14)) (= x_108 x_103)) $cvcl_228) )) (or (or (and (and (and (= x_235 0) $cvcl_235) (or (not (<= x_105 ?cvcl_230))  (iff x_234 x_220) )) $cvcl_231)  (and (and (and (= x_235 1) $cvcl_229) (xor x_220  x_229 )) (= x_110 (+ ?cvcl_230 x_88))) )  (and (and (and (= x_235 2) $cvcl_229) (iff x_220 x_229)) $cvcl_231) )) (or (or (and (and (and (= x_236 0) (not $cvcl_233)) (or (not $cvcl_232)  (iff x_231 x_13) )) $cvcl_234)  (and (and (and (= x_236 1) $cvcl_233) (xor x_13  x_17 )) (= x_112 (+ ?cvcl_18 x_92))) )  (and (and (and (= x_236 2) $cvcl_233) (iff x_13 x_17)) $cvcl_234) )) (or (or (and (and (and (= x_237 0) $cvcl_235) (or (not (<= x_106 ?cvcl_230))  (= x_18 x_15) )) $cvcl_237)  (and (and (and (= x_237 1) $cvcl_229) (not $cvcl_236)) (= x_111 (+ ?cvcl_230 x_88))) )  (and (and (and (= x_237 2) $cvcl_229) $cvcl_236) $cvcl_237) )) (or (and (and (and (and (and (and (and (and (and (= x_221 0) (iff x_12 x_216)) (= ?cvcl_19 x_98)) (<= (+ ?cvcl_19 x_86) x_103)) (or $cvcl_240  (iff x_13 x_8) )) (iff x_222 x_213)) (iff x_223 x_214)) (= x_104 x_99)) $cvcl_238) $cvcl_239)  (and (and (and (and (and (and (and (and (and (= x_221 1) (iff x_223 x_213)) (= ?cvcl_19 x_99)) (<= (+ ?cvcl_19 x_87) x_104)) (or (and (and (= x_224 0) $cvcl_238) $cvcl_239)  (and (and (= x_224 1) (iff x_211 x_214)) (iff x_220 (not x_211))) )) (iff x_225 x_216)) (iff x_12 x_8)) (= x_14 x_10)) (= x_103 x_98)) $cvcl_240) )) (or (or (and (and (and (= x_226 0) $cvcl_247) (or (not (<= x_100 ?cvcl_242))  (iff x_225 x_211) )) $cvcl_243)  (and (and (and (= x_226 1) $cvcl_241) (xor x_211  x_220 )) (= x_105 (+ ?cvcl_242 x_88))) )  (and (and (and (= x_226 2) $cvcl_241) (iff x_211 x_220)) $cvcl_243) )) (or (or (and (and (and (= x_227 0) (not $cvcl_245)) (or (not $cvcl_244)  (iff x_222 x_9) )) $cvcl_246)  (and (and (and (= x_227 1) $cvcl_245) (xor x_9  x_13 )) (= x_107 (+ ?cvcl_19 x_92))) )  (and (and (and (= x_227 2) $cvcl_245) (iff x_9 x_13)) $cvcl_246) )) (or (or (and (and (and (= x_228 0) $cvcl_247) (or (not (<= x_101 ?cvcl_242))  (= x_14 x_11) )) $cvcl_249)  (and (and (and (= x_228 1) $cvcl_241) (not $cvcl_248)) (= x_106 (+ ?cvcl_242 x_88))) )  (and (and (and (= x_228 2) $cvcl_241) $cvcl_248) $cvcl_249) )) (or (and (and (and (and (and (and (and (and (and (= x_212 0) (iff x_8 x_207)) (= ?cvcl_20 x_93)) (<= (+ ?cvcl_20 x_86) x_98)) (or $cvcl_252  (iff x_9 x_4) )) (iff x_213 x_202)) (iff x_214 x_204)) (= x_99 x_94)) $cvcl_250) $cvcl_251)  (and (and (and (and (and (and (and (and (and (= x_212 1) (iff x_214 x_202)) (= ?cvcl_20 x_94)) (<= (+ ?cvcl_20 x_87) x_99)) (or (and (and (= x_215 0) $cvcl_250) $cvcl_251)  (and (and (= x_215 1) (iff x_198 x_204)) (iff x_211 (not x_198))) )) (iff x_216 x_207)) (iff x_8 x_4)) (= x_10 x_6)) (= x_98 x_93)) $cvcl_252) )) (or (or (and (and (and (= x_217 0) $cvcl_259) (or (not (<= x_95 ?cvcl_254))  (iff x_216 x_198) )) $cvcl_255)  (and (and (and (= x_217 1) $cvcl_253) (xor x_198  x_211 )) (= x_100 (+ ?cvcl_254 x_88))) )  (and (and (and (= x_217 2) $cvcl_253) (iff x_198 x_211)) $cvcl_255) )) (or (or (and (and (and (= x_218 0) (not $cvcl_257)) (or (not $cvcl_256)  (iff x_213 x_5) )) $cvcl_258)  (and (and (and (= x_218 1) $cvcl_257) (xor x_5  x_9 )) (= x_102 (+ ?cvcl_20 x_92))) )  (and (and (and (= x_218 2) $cvcl_257) (iff x_5 x_9)) $cvcl_258) )) (or (or (and (and (and (= x_219 0) $cvcl_259) (or (not (<= x_96 ?cvcl_254))  (= x_10 x_7) )) $cvcl_261)  (and (and (and (= x_219 1) $cvcl_253) (not $cvcl_260)) (= x_101 (+ ?cvcl_254 x_88))) )  (and (and (and (= x_219 2) $cvcl_253) $cvcl_260) $cvcl_261) )) (or (and (and (and (and (and (and (and (and (and (= x_200 0) (iff x_4 x_201)) (= ?cvcl_21 x_84)) (<= (+ ?cvcl_21 x_86) x_93)) (or $cvcl_264  (iff x_5 x_0) )) (iff x_202 x_203)) (iff x_204 x_205)) (= x_94 x_85)) $cvcl_262) $cvcl_263)  (and (and (and (and (and (and (and (and (and (= x_200 1) (iff x_204 x_203)) (= ?cvcl_21 x_85)) (<= (+ ?cvcl_21 x_87) x_94)) (or (and (and (= x_206 0) $cvcl_262) $cvcl_263)  (and (and (= x_206 1) (iff x_199 x_205)) (iff x_198 (not x_199))) )) (iff x_207 x_201)) (iff x_4 x_0)) (= x_6 x_2)) (= x_93 x_84)) $cvcl_264) )) (or (or (and (and (and (= x_208 0) $cvcl_271) (or (not (<= x_89 ?cvcl_266))  (iff x_207 x_199) )) $cvcl_267)  (and (and (and (= x_208 1) $cvcl_265) (xor x_199  x_198 )) (= x_95 (+ ?cvcl_266 x_88))) )  (and (and (and (= x_208 2) $cvcl_265) (iff x_199 x_198)) $cvcl_267) )) (or (or (and (and (and (= x_209 0) (not $cvcl_269)) (or (not $cvcl_268)  (iff x_202 x_1) )) $cvcl_270)  (and (and (and (= x_209 1) $cvcl_269) (xor x_1  x_5 )) (= x_97 (+ ?cvcl_21 x_92))) )  (and (and (and (= x_209 2) $cvcl_269) (iff x_1 x_5)) $cvcl_270) )) (or (or (and (and (and (= x_210 0) $cvcl_271) (or (not (<= x_90 ?cvcl_266))  (= x_6 x_3) )) $cvcl_273)  (and (and (and (= x_210 1) $cvcl_265) (not $cvcl_272)) (= x_96 (+ ?cvcl_266 x_88))) )  (and (and (and (= x_210 2) $cvcl_265) $cvcl_272) $cvcl_273) )) (xor x_385  x_386 )) (not (= x_391 x_383)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
)
