(benchmark synch_circuit
  :source {
Fully parameterized specification and verification of a synchronizer   
circuit modeling metastability at various levels of refinement.     
A paper describing this specification, to be published in Designing     
Correct Circuits (DCC), 2006, is available from the authors.            

Geoffrey Brown, Indiana University <geobrown@cs.indiana.edu>
Lee Pike, Galois Connections, Inc. <leepike@galois.com>

Translated into CVC format by Leonardo de Moura.

This benchmark was automatically translated into SMT-LIB format from
CVC format using CVC Lite

}
  :status sat
:category { industrial }
:difficulty { 2 }
  :logic QF_LRA
  
  :extrapreds ((x_0))
  :extrapreds ((x_1))
  :extrafuns ((x_2 Real))
  :extrafuns ((x_3 Real))
  :extrapreds ((x_4))
  :extrapreds ((x_5))
  :extrafuns ((x_6 Real))
  :extrafuns ((x_7 Real))
  :extrapreds ((x_8))
  :extrapreds ((x_9))
  :extrafuns ((x_10 Real))
  :extrafuns ((x_11 Real))
  :extrapreds ((x_12))
  :extrapreds ((x_13))
  :extrafuns ((x_14 Real))
  :extrafuns ((x_15 Real))
  :extrapreds ((x_16))
  :extrapreds ((x_17))
  :extrafuns ((x_18 Real))
  :extrafuns ((x_19 Real))
  :extrapreds ((x_20))
  :extrapreds ((x_21))
  :extrafuns ((x_22 Real))
  :extrafuns ((x_23 Real))
  :extrapreds ((x_24))
  :extrapreds ((x_25))
  :extrafuns ((x_26 Real))
  :extrafuns ((x_27 Real))
  :extrapreds ((x_28))
  :extrapreds ((x_29))
  :extrafuns ((x_30 Real))
  :extrafuns ((x_31 Real))
  :extrapreds ((x_32))
  :extrapreds ((x_33))
  :extrafuns ((x_34 Real))
  :extrafuns ((x_35 Real))
  :extrapreds ((x_36))
  :extrapreds ((x_37))
  :extrafuns ((x_38 Real))
  :extrafuns ((x_39 Real))
  :extrapreds ((x_40))
  :extrapreds ((x_41))
  :extrafuns ((x_42 Real))
  :extrafuns ((x_43 Real))
  :extrapreds ((x_44))
  :extrapreds ((x_45))
  :extrafuns ((x_46 Real))
  :extrafuns ((x_47 Real))
  :extrapreds ((x_48))
  :extrapreds ((x_49))
  :extrafuns ((x_50 Real))
  :extrafuns ((x_51 Real))
  :extrapreds ((x_52))
  :extrapreds ((x_53))
  :extrafuns ((x_54 Real))
  :extrafuns ((x_55 Real))
  :extrapreds ((x_56))
  :extrapreds ((x_57))
  :extrafuns ((x_58 Real))
  :extrafuns ((x_59 Real))
  :extrapreds ((x_60))
  :extrapreds ((x_61))
  :extrafuns ((x_62 Real))
  :extrafuns ((x_63 Real))
  :extrapreds ((x_64))
  :extrapreds ((x_65))
  :extrafuns ((x_66 Real))
  :extrafuns ((x_67 Real))
  :extrapreds ((x_68))
  :extrapreds ((x_69))
  :extrafuns ((x_70 Real))
  :extrafuns ((x_71 Real))
  :extrapreds ((x_72))
  :extrapreds ((x_73))
  :extrafuns ((x_74 Real))
  :extrafuns ((x_75 Real))
  :extrapreds ((x_76))
  :extrapreds ((x_77))
  :extrafuns ((x_78 Real))
  :extrafuns ((x_79 Real))
  :extrapreds ((x_80))
  :extrapreds ((x_81))
  :extrafuns ((x_82 Real))
  :extrafuns ((x_83 Real))
  :extrapreds ((x_84))
  :extrapreds ((x_85))
  :extrafuns ((x_86 Real))
  :extrafuns ((x_87 Real))
  :extrafuns ((x_88 Real))
  :extrafuns ((x_89 Real))
  :extrafuns ((x_90 Real))
  :extrafuns ((x_91 Real))
  :extrafuns ((x_92 Real))
  :extrafuns ((x_93 Real))
  :extrafuns ((x_94 Real))
  :extrafuns ((x_95 Real))
  :extrafuns ((x_96 Real))
  :extrafuns ((x_97 Real))
  :extrafuns ((x_98 Real))
  :extrafuns ((x_99 Real))
  :extrafuns ((x_100 Real))
  :extrafuns ((x_101 Real))
  :extrafuns ((x_102 Real))
  :extrafuns ((x_103 Real))
  :extrafuns ((x_104 Real))
  :extrafuns ((x_105 Real))
  :extrafuns ((x_106 Real))
  :extrafuns ((x_107 Real))
  :extrafuns ((x_108 Real))
  :extrafuns ((x_109 Real))
  :extrafuns ((x_110 Real))
  :extrafuns ((x_111 Real))
  :extrafuns ((x_112 Real))
  :extrafuns ((x_113 Real))
  :extrafuns ((x_114 Real))
  :extrafuns ((x_115 Real))
  :extrafuns ((x_116 Real))
  :extrafuns ((x_117 Real))
  :extrafuns ((x_118 Real))
  :extrafuns ((x_119 Real))
  :extrafuns ((x_120 Real))
  :extrafuns ((x_121 Real))
  :extrafuns ((x_122 Real))
  :extrafuns ((x_123 Real))
  :extrafuns ((x_124 Real))
  :extrafuns ((x_125 Real))
  :extrafuns ((x_126 Real))
  :extrafuns ((x_127 Real))
  :extrafuns ((x_128 Real))
  :extrafuns ((x_129 Real))
  :extrafuns ((x_130 Real))
  :extrafuns ((x_131 Real))
  :extrafuns ((x_132 Real))
  :extrafuns ((x_133 Real))
  :extrafuns ((x_134 Real))
  :extrafuns ((x_135 Real))
  :extrafuns ((x_136 Real))
  :extrafuns ((x_137 Real))
  :extrafuns ((x_138 Real))
  :extrafuns ((x_139 Real))
  :extrafuns ((x_140 Real))
  :extrafuns ((x_141 Real))
  :extrafuns ((x_142 Real))
  :extrafuns ((x_143 Real))
  :extrafuns ((x_144 Real))
  :extrafuns ((x_145 Real))
  :extrafuns ((x_146 Real))
  :extrafuns ((x_147 Real))
  :extrafuns ((x_148 Real))
  :extrafuns ((x_149 Real))
  :extrafuns ((x_150 Real))
  :extrafuns ((x_151 Real))
  :extrafuns ((x_152 Real))
  :extrafuns ((x_153 Real))
  :extrafuns ((x_154 Real))
  :extrafuns ((x_155 Real))
  :extrafuns ((x_156 Real))
  :extrafuns ((x_157 Real))
  :extrafuns ((x_158 Real))
  :extrafuns ((x_159 Real))
  :extrafuns ((x_160 Real))
  :extrafuns ((x_161 Real))
  :extrafuns ((x_162 Real))
  :extrafuns ((x_163 Real))
  :extrafuns ((x_164 Real))
  :extrafuns ((x_165 Real))
  :extrafuns ((x_166 Real))
  :extrafuns ((x_167 Real))
  :extrafuns ((x_168 Real))
  :extrafuns ((x_169 Real))
  :extrafuns ((x_170 Real))
  :extrafuns ((x_171 Real))
  :extrafuns ((x_172 Real))
  :extrafuns ((x_173 Real))
  :extrafuns ((x_174 Real))
  :extrafuns ((x_175 Real))
  :extrafuns ((x_176 Real))
  :extrafuns ((x_177 Real))
  :extrafuns ((x_178 Real))
  :extrafuns ((x_179 Real))
  :extrafuns ((x_180 Real))
  :extrafuns ((x_181 Real))
  :extrafuns ((x_182 Real))
  :extrafuns ((x_183 Real))
  :extrafuns ((x_184 Real))
  :extrafuns ((x_185 Real))
  :extrafuns ((x_186 Real))
  :extrafuns ((x_187 Real))
  :extrafuns ((x_188 Real))
  :extrafuns ((x_189 Real))
  :extrafuns ((x_190 Real))
  :extrafuns ((x_191 Real))
  :extrafuns ((x_192 Real))
  :extrafuns ((x_193 Real))
  :extrafuns ((x_194 Real))
  :extrafuns ((x_195 Real))
  :extrafuns ((x_196 Real))
  :extrafuns ((x_197 Real))
  :extrafuns ((x_198 Real))
  :extrafuns ((x_199 Real))
  :extrafuns ((x_200 Real))
  :extrafuns ((x_201 Real))
  :extrafuns ((x_202 Real))
  :extrafuns ((x_203 Real))
  :extrafuns ((x_204 Real))
  :extrafuns ((x_205 Real))
  :extrafuns ((x_206 Real))
  :extrapreds ((x_207))
  :extrapreds ((x_208))
  :extrafuns ((x_209 Real))
  :extrapreds ((x_210))
  :extrapreds ((x_211))
  :extrapreds ((x_212))
  :extrapreds ((x_213))
  :extrapreds ((x_214))
  :extrafuns ((x_215 Real))
  :extrapreds ((x_216))
  :extrafuns ((x_217 Real))
  :extrafuns ((x_218 Real))
  :extrafuns ((x_219 Real))
  :extrapreds ((x_220))
  :extrafuns ((x_221 Real))
  :extrapreds ((x_222))
  :extrapreds ((x_223))
  :extrafuns ((x_224 Real))
  :extrapreds ((x_225))
  :extrafuns ((x_226 Real))
  :extrafuns ((x_227 Real))
  :extrafuns ((x_228 Real))
  :extrapreds ((x_229))
  :extrafuns ((x_230 Real))
  :extrapreds ((x_231))
  :extrapreds ((x_232))
  :extrafuns ((x_233 Real))
  :extrapreds ((x_234))
  :extrafuns ((x_235 Real))
  :extrafuns ((x_236 Real))
  :extrafuns ((x_237 Real))
  :extrapreds ((x_238))
  :extrafuns ((x_239 Real))
  :extrapreds ((x_240))
  :extrapreds ((x_241))
  :extrafuns ((x_242 Real))
  :extrapreds ((x_243))
  :extrafuns ((x_244 Real))
  :extrafuns ((x_245 Real))
  :extrafuns ((x_246 Real))
  :extrapreds ((x_247))
  :extrafuns ((x_248 Real))
  :extrapreds ((x_249))
  :extrapreds ((x_250))
  :extrafuns ((x_251 Real))
  :extrapreds ((x_252))
  :extrafuns ((x_253 Real))
  :extrafuns ((x_254 Real))
  :extrafuns ((x_255 Real))
  :extrapreds ((x_256))
  :extrafuns ((x_257 Real))
  :extrapreds ((x_258))
  :extrapreds ((x_259))
  :extrafuns ((x_260 Real))
  :extrapreds ((x_261))
  :extrafuns ((x_262 Real))
  :extrafuns ((x_263 Real))
  :extrafuns ((x_264 Real))
  :extrapreds ((x_265))
  :extrafuns ((x_266 Real))
  :extrapreds ((x_267))
  :extrapreds ((x_268))
  :extrafuns ((x_269 Real))
  :extrapreds ((x_270))
  :extrafuns ((x_271 Real))
  :extrafuns ((x_272 Real))
  :extrafuns ((x_273 Real))
  :extrapreds ((x_274))
  :extrafuns ((x_275 Real))
  :extrapreds ((x_276))
  :extrapreds ((x_277))
  :extrafuns ((x_278 Real))
  :extrapreds ((x_279))
  :extrafuns ((x_280 Real))
  :extrafuns ((x_281 Real))
  :extrafuns ((x_282 Real))
  :extrapreds ((x_283))
  :extrafuns ((x_284 Real))
  :extrapreds ((x_285))
  :extrapreds ((x_286))
  :extrafuns ((x_287 Real))
  :extrapreds ((x_288))
  :extrafuns ((x_289 Real))
  :extrafuns ((x_290 Real))
  :extrafuns ((x_291 Real))
  :extrapreds ((x_292))
  :extrafuns ((x_293 Real))
  :extrapreds ((x_294))
  :extrapreds ((x_295))
  :extrafuns ((x_296 Real))
  :extrapreds ((x_297))
  :extrafuns ((x_298 Real))
  :extrafuns ((x_299 Real))
  :extrafuns ((x_300 Real))
  :extrapreds ((x_301))
  :extrafuns ((x_302 Real))
  :extrapreds ((x_303))
  :extrapreds ((x_304))
  :extrafuns ((x_305 Real))
  :extrapreds ((x_306))
  :extrafuns ((x_307 Real))
  :extrafuns ((x_308 Real))
  :extrafuns ((x_309 Real))
  :extrapreds ((x_310))
  :extrafuns ((x_311 Real))
  :extrapreds ((x_312))
  :extrapreds ((x_313))
  :extrafuns ((x_314 Real))
  :extrapreds ((x_315))
  :extrafuns ((x_316 Real))
  :extrafuns ((x_317 Real))
  :extrafuns ((x_318 Real))
  :extrapreds ((x_319))
  :extrafuns ((x_320 Real))
  :extrapreds ((x_321))
  :extrapreds ((x_322))
  :extrafuns ((x_323 Real))
  :extrapreds ((x_324))
  :extrafuns ((x_325 Real))
  :extrafuns ((x_326 Real))
  :extrafuns ((x_327 Real))
  :extrapreds ((x_328))
  :extrafuns ((x_329 Real))
  :extrapreds ((x_330))
  :extrapreds ((x_331))
  :extrafuns ((x_332 Real))
  :extrapreds ((x_333))
  :extrafuns ((x_334 Real))
  :extrafuns ((x_335 Real))
  :extrafuns ((x_336 Real))
  :extrapreds ((x_337))
  :extrafuns ((x_338 Real))
  :extrapreds ((x_339))
  :extrapreds ((x_340))
  :extrafuns ((x_341 Real))
  :extrapreds ((x_342))
  :extrafuns ((x_343 Real))
  :extrafuns ((x_344 Real))
  :extrafuns ((x_345 Real))
  :extrapreds ((x_346))
  :extrafuns ((x_347 Real))
  :extrapreds ((x_348))
  :extrapreds ((x_349))
  :extrafuns ((x_350 Real))
  :extrapreds ((x_351))
  :extrafuns ((x_352 Real))
  :extrafuns ((x_353 Real))
  :extrafuns ((x_354 Real))
  :extrapreds ((x_355))
  :extrafuns ((x_356 Real))
  :extrapreds ((x_357))
  :extrapreds ((x_358))
  :extrafuns ((x_359 Real))
  :extrapreds ((x_360))
  :extrafuns ((x_361 Real))
  :extrafuns ((x_362 Real))
  :extrafuns ((x_363 Real))
  :extrapreds ((x_364))
  :extrafuns ((x_365 Real))
  :extrapreds ((x_366))
  :extrapreds ((x_367))
  :extrafuns ((x_368 Real))
  :extrapreds ((x_369))
  :extrafuns ((x_370 Real))
  :extrafuns ((x_371 Real))
  :extrafuns ((x_372 Real))
  :extrapreds ((x_373))
  :extrafuns ((x_374 Real))
  :extrapreds ((x_375))
  :extrapreds ((x_376))
  :extrafuns ((x_377 Real))
  :extrapreds ((x_378))
  :extrafuns ((x_379 Real))
  :extrafuns ((x_380 Real))
  :extrafuns ((x_381 Real))
  :extrapreds ((x_382))
  :extrafuns ((x_383 Real))
  :extrapreds ((x_384))
  :extrapreds ((x_385))
  :extrafuns ((x_386 Real))
  :extrapreds ((x_387))
  :extrafuns ((x_388 Real))
  :extrafuns ((x_389 Real))
  :extrafuns ((x_390 Real))
  :extrapreds ((x_391))
  :extrafuns ((x_392 Real))
  :extrapreds ((x_393))
  :extrapreds ((x_394))
  :extrafuns ((x_395 Real))
  :extrapreds ((x_396))
  :extrafuns ((x_397 Real))
  :extrafuns ((x_398 Real))
  :extrafuns ((x_399 Real))
  :extrapreds ((x_400))
  :extrafuns ((x_401 Real))
  :extrafuns ((x_402 Real))
  :extrapreds ((x_403))
  :extrapreds ((x_404))
  :extrapreds ((x_405))
  :extrapreds ((x_406))
  :extrafuns ((x_407 Real))
  :extrapreds ((x_408))
  :extrafuns ((x_409 Real))
  :extrafuns ((x_410 Real))
  :extrafuns ((x_411 Real))
  :extrafuns ((x_412 Real))
  :formula
(let (?cvcl_22 (ite (<= x_88 x_89) x_88 x_89)) (let (?cvcl_21 (ite (<= x_97 x_98) x_97 x_98)) (let (?cvcl_20 (ite (<= x_102 x_103) x_102 x_103)) (let (?cvcl_19 (ite (<= x_107 x_108) x_107 x_108)) (let (?cvcl_18 (ite (<= x_112 x_113) x_112 x_113)) (let (?cvcl_17 (ite (<= x_117 x_118) x_117 x_118)) (let (?cvcl_16 (ite (<= x_122 x_123) x_122 x_123)) (let (?cvcl_15 (ite (<= x_127 x_128) x_127 x_128)) (let (?cvcl_14 (ite (<= x_132 x_133) x_132 x_133)) (let (?cvcl_13 (ite (<= x_137 x_138) x_137 x_138)) (let (?cvcl_12 (ite (<= x_142 x_143) x_142 x_143)) (let (?cvcl_11 (ite (<= x_147 x_148) x_147 x_148)) (let (?cvcl_10 (ite (<= x_152 x_153) x_152 x_153)) (let (?cvcl_9 (ite (<= x_157 x_158) x_157 x_158)) (let (?cvcl_8 (ite (<= x_162 x_163) x_162 x_163)) (let (?cvcl_7 (ite (<= x_167 x_168) x_167 x_168)) (let (?cvcl_6 (ite (<= x_172 x_173) x_172 x_173)) (let (?cvcl_5 (ite (<= x_177 x_178) x_177 x_178)) (let (?cvcl_4 (ite (<= x_182 x_183) x_182 x_183)) (let (?cvcl_3 (ite (<= x_187 x_188) x_187 x_188)) (let (?cvcl_2 (ite (<= x_192 x_193) x_192 x_193)) (let (?cvcl_1 (ite (<= x_197 x_198) x_197 x_198)) (let (?cvcl_0 (ite (<= x_202 x_203) x_202 x_203)) (flet ($cvcl_280 (= x_99 x_93)) (flet ($cvcl_282 (= x_89 x_98)) (flet ($cvcl_283 (= x_101 x_95)) (flet ($cvcl_278 (= x_88 x_97)) (flet ($cvcl_284 (not $cvcl_278)) (flet ($cvcl_286 (= x_100 x_94)) (flet ($cvcl_275 (iff x_207 x_208)) (flet ($cvcl_276 (= x_7 x_3)) (let (?cvcl_279 (ite (<= x_89 x_88) x_89 x_88)) (flet ($cvcl_268 (= x_104 x_99)) (flet ($cvcl_270 (= x_98 x_103)) (flet ($cvcl_271 (= x_106 x_101)) (flet ($cvcl_266 (= x_97 x_102)) (flet ($cvcl_272 (not $cvcl_266)) (flet ($cvcl_274 (= x_105 x_100)) (flet ($cvcl_263 (iff x_220 x_207)) (flet ($cvcl_264 (= x_11 x_7)) (let (?cvcl_267 (ite (<= x_98 x_97) x_98 x_97)) (flet ($cvcl_256 (= x_109 x_104)) (flet ($cvcl_258 (= x_103 x_108)) (flet ($cvcl_259 (= x_111 x_106)) (flet ($cvcl_254 (= x_102 x_107)) (flet ($cvcl_260 (not $cvcl_254)) (flet ($cvcl_262 (= x_110 x_105)) (flet ($cvcl_251 (iff x_229 x_220)) (flet ($cvcl_252 (= x_15 x_11)) (let (?cvcl_255 (ite (<= x_103 x_102) x_103 x_102)) (flet ($cvcl_244 (= x_114 x_109)) (flet ($cvcl_246 (= x_108 x_113)) (flet ($cvcl_247 (= x_116 x_111)) (flet ($cvcl_242 (= x_107 x_112)) (flet ($cvcl_248 (not $cvcl_242)) (flet ($cvcl_250 (= x_115 x_110)) (flet ($cvcl_239 (iff x_238 x_229)) (flet ($cvcl_240 (= x_19 x_15)) (let (?cvcl_243 (ite (<= x_108 x_107) x_108 x_107)) (flet ($cvcl_232 (= x_119 x_114)) (flet ($cvcl_234 (= x_113 x_118)) (flet ($cvcl_235 (= x_121 x_116)) (flet ($cvcl_230 (= x_112 x_117)) (flet ($cvcl_236 (not $cvcl_230)) (flet ($cvcl_238 (= x_120 x_115)) (flet ($cvcl_227 (iff x_247 x_238)) (flet ($cvcl_228 (= x_23 x_19)) (let (?cvcl_231 (ite (<= x_113 x_112) x_113 x_112)) (flet ($cvcl_220 (= x_124 x_119)) (flet ($cvcl_222 (= x_118 x_123)) (flet ($cvcl_223 (= x_126 x_121)) (flet ($cvcl_218 (= x_117 x_122)) (flet ($cvcl_224 (not $cvcl_218)) (flet ($cvcl_226 (= x_125 x_120)) (flet ($cvcl_215 (iff x_256 x_247)) (flet ($cvcl_216 (= x_27 x_23)) (let (?cvcl_219 (ite (<= x_118 x_117) x_118 x_117)) (flet ($cvcl_208 (= x_129 x_124)) (flet ($cvcl_210 (= x_123 x_128)) (flet ($cvcl_211 (= x_131 x_126)) (flet ($cvcl_206 (= x_122 x_127)) (flet ($cvcl_212 (not $cvcl_206)) (flet ($cvcl_214 (= x_130 x_125)) (flet ($cvcl_203 (iff x_265 x_256)) (flet ($cvcl_204 (= x_31 x_27)) (let (?cvcl_207 (ite (<= x_123 x_122) x_123 x_122)) (flet ($cvcl_196 (= x_134 x_129)) (flet ($cvcl_198 (= x_128 x_133)) (flet ($cvcl_199 (= x_136 x_131)) (flet ($cvcl_194 (= x_127 x_132)) (flet ($cvcl_200 (not $cvcl_194)) (flet ($cvcl_202 (= x_135 x_130)) (flet ($cvcl_191 (iff x_274 x_265)) (flet ($cvcl_192 (= x_35 x_31)) (let (?cvcl_195 (ite (<= x_128 x_127) x_128 x_127)) (flet ($cvcl_184 (= x_139 x_134)) (flet ($cvcl_186 (= x_133 x_138)) (flet ($cvcl_187 (= x_141 x_136)) (flet ($cvcl_182 (= x_132 x_137)) (flet ($cvcl_188 (not $cvcl_182)) (flet ($cvcl_190 (= x_140 x_135)) (flet ($cvcl_179 (iff x_283 x_274)) (flet ($cvcl_180 (= x_39 x_35)) (let (?cvcl_183 (ite (<= x_133 x_132) x_133 x_132)) (flet ($cvcl_172 (= x_144 x_139)) (flet ($cvcl_174 (= x_138 x_143)) (flet ($cvcl_175 (= x_146 x_141)) (flet ($cvcl_170 (= x_137 x_142)) (flet ($cvcl_176 (not $cvcl_170)) (flet ($cvcl_178 (= x_145 x_140)) (flet ($cvcl_167 (iff x_292 x_283)) (flet ($cvcl_168 (= x_43 x_39)) (let (?cvcl_171 (ite (<= x_138 x_137) x_138 x_137)) (flet ($cvcl_160 (= x_149 x_144)) (flet ($cvcl_162 (= x_143 x_148)) (flet ($cvcl_163 (= x_151 x_146)) (flet ($cvcl_158 (= x_142 x_147)) (flet ($cvcl_164 (not $cvcl_158)) (flet ($cvcl_166 (= x_150 x_145)) (flet ($cvcl_155 (iff x_301 x_292)) (flet ($cvcl_156 (= x_47 x_43)) (let (?cvcl_159 (ite (<= x_143 x_142) x_143 x_142)) (flet ($cvcl_148 (= x_154 x_149)) (flet ($cvcl_150 (= x_148 x_153)) (flet ($cvcl_151 (= x_156 x_151)) (flet ($cvcl_146 (= x_147 x_152)) (flet ($cvcl_152 (not $cvcl_146)) (flet ($cvcl_154 (= x_155 x_150)) (flet ($cvcl_143 (iff x_310 x_301)) (flet ($cvcl_144 (= x_51 x_47)) (let (?cvcl_147 (ite (<= x_148 x_147) x_148 x_147)) (flet ($cvcl_136 (= x_159 x_154)) (flet ($cvcl_138 (= x_153 x_158)) (flet ($cvcl_139 (= x_161 x_156)) (flet ($cvcl_134 (= x_152 x_157)) (flet ($cvcl_140 (not $cvcl_134)) (flet ($cvcl_142 (= x_160 x_155)) (flet ($cvcl_131 (iff x_319 x_310)) (flet ($cvcl_132 (= x_55 x_51)) (let (?cvcl_135 (ite (<= x_153 x_152) x_153 x_152)) (flet ($cvcl_124 (= x_164 x_159)) (flet ($cvcl_126 (= x_158 x_163)) (flet ($cvcl_127 (= x_166 x_161)) (flet ($cvcl_122 (= x_157 x_162)) (flet ($cvcl_128 (not $cvcl_122)) (flet ($cvcl_130 (= x_165 x_160)) (flet ($cvcl_119 (iff x_328 x_319)) (flet ($cvcl_120 (= x_59 x_55)) (let (?cvcl_123 (ite (<= x_158 x_157) x_158 x_157)) (flet ($cvcl_112 (= x_169 x_164)) (flet ($cvcl_114 (= x_163 x_168)) (flet ($cvcl_115 (= x_171 x_166)) (flet ($cvcl_110 (= x_162 x_167)) (flet ($cvcl_116 (not $cvcl_110)) (flet ($cvcl_118 (= x_170 x_165)) (flet ($cvcl_107 (iff x_337 x_328)) (flet ($cvcl_108 (= x_63 x_59)) (let (?cvcl_111 (ite (<= x_163 x_162) x_163 x_162)) (flet ($cvcl_100 (= x_174 x_169)) (flet ($cvcl_102 (= x_168 x_173)) (flet ($cvcl_103 (= x_176 x_171)) (flet ($cvcl_98 (= x_167 x_172)) (flet ($cvcl_104 (not $cvcl_98)) (flet ($cvcl_106 (= x_175 x_170)) (flet ($cvcl_95 (iff x_346 x_337)) (flet ($cvcl_96 (= x_67 x_63)) (let (?cvcl_99 (ite (<= x_168 x_167) x_168 x_167)) (flet ($cvcl_88 (= x_179 x_174)) (flet ($cvcl_90 (= x_173 x_178)) (flet ($cvcl_91 (= x_181 x_176)) (flet ($cvcl_86 (= x_172 x_177)) (flet ($cvcl_92 (not $cvcl_86)) (flet ($cvcl_94 (= x_180 x_175)) (flet ($cvcl_83 (iff x_355 x_346)) (flet ($cvcl_84 (= x_71 x_67)) (let (?cvcl_87 (ite (<= x_173 x_172) x_173 x_172)) (flet ($cvcl_76 (= x_184 x_179)) (flet ($cvcl_78 (= x_178 x_183)) (flet ($cvcl_79 (= x_186 x_181)) (flet ($cvcl_74 (= x_177 x_182)) (flet ($cvcl_80 (not $cvcl_74)) (flet ($cvcl_82 (= x_185 x_180)) (flet ($cvcl_71 (iff x_364 x_355)) (flet ($cvcl_72 (= x_75 x_71)) (let (?cvcl_75 (ite (<= x_178 x_177) x_178 x_177)) (flet ($cvcl_64 (= x_189 x_184)) (flet ($cvcl_66 (= x_183 x_188)) (flet ($cvcl_67 (= x_191 x_186)) (flet ($cvcl_62 (= x_182 x_187)) (flet ($cvcl_68 (not $cvcl_62)) (flet ($cvcl_70 (= x_190 x_185)) (flet ($cvcl_59 (iff x_373 x_364)) (flet ($cvcl_60 (= x_79 x_75)) (let (?cvcl_63 (ite (<= x_183 x_182) x_183 x_182)) (flet ($cvcl_52 (= x_194 x_189)) (flet ($cvcl_54 (= x_188 x_193)) (flet ($cvcl_55 (= x_196 x_191)) (flet ($cvcl_50 (= x_187 x_192)) (flet ($cvcl_56 (not $cvcl_50)) (flet ($cvcl_58 (= x_195 x_190)) (flet ($cvcl_47 (iff x_382 x_373)) (flet ($cvcl_48 (= x_83 x_79)) (let (?cvcl_51 (ite (<= x_188 x_187) x_188 x_187)) (flet ($cvcl_40 (= x_199 x_194)) (flet ($cvcl_42 (= x_193 x_198)) (flet ($cvcl_43 (= x_201 x_196)) (flet ($cvcl_38 (= x_192 x_197)) (flet ($cvcl_44 (not $cvcl_38)) (flet ($cvcl_46 (= x_200 x_195)) (flet ($cvcl_35 (iff x_391 x_382)) (flet ($cvcl_36 (= x_87 x_83)) (let (?cvcl_39 (ite (<= x_193 x_192) x_193 x_192)) (flet ($cvcl_28 (= x_204 x_199)) (flet ($cvcl_30 (= x_198 x_203)) (flet ($cvcl_31 (= x_206 x_201)) (flet ($cvcl_26 (= x_197 x_202)) (flet ($cvcl_32 (not $cvcl_26)) (flet ($cvcl_34 (= x_205 x_200)) (flet ($cvcl_23 (iff x_400 x_391)) (flet ($cvcl_24 (= x_401 x_87)) (let (?cvcl_27 (ite (<= x_198 x_197) x_198 x_197)) (flet ($cvcl_25 (iff x_404 x_85)) (flet ($cvcl_33 (= x_87 x_401)) (flet ($cvcl_37 (iff x_85 x_81)) (flet ($cvcl_45 (= x_83 x_87)) (flet ($cvcl_49 (iff x_81 x_77)) (flet ($cvcl_57 (= x_79 x_83)) (flet ($cvcl_61 (iff x_77 x_73)) (flet ($cvcl_69 (= x_75 x_79)) (flet ($cvcl_73 (iff x_73 x_69)) (flet ($cvcl_81 (= x_71 x_75)) (flet ($cvcl_85 (iff x_69 x_65)) (flet ($cvcl_93 (= x_67 x_71)) (flet ($cvcl_97 (iff x_65 x_61)) (flet ($cvcl_105 (= x_63 x_67)) (flet ($cvcl_109 (iff x_61 x_57)) (flet ($cvcl_117 (= x_59 x_63)) (flet ($cvcl_121 (iff x_57 x_53)) (flet ($cvcl_129 (= x_55 x_59)) (flet ($cvcl_133 (iff x_53 x_49)) (flet ($cvcl_141 (= x_51 x_55)) (flet ($cvcl_145 (iff x_49 x_45)) (flet ($cvcl_153 (= x_47 x_51)) (flet ($cvcl_157 (iff x_45 x_41)) (flet ($cvcl_165 (= x_43 x_47)) (flet ($cvcl_169 (iff x_41 x_37)) (flet ($cvcl_177 (= x_39 x_43)) (flet ($cvcl_181 (iff x_37 x_33)) (flet ($cvcl_189 (= x_35 x_39)) (flet ($cvcl_193 (iff x_33 x_29)) (flet ($cvcl_201 (= x_31 x_35)) (flet ($cvcl_205 (iff x_29 x_25)) (flet ($cvcl_213 (= x_27 x_31)) (flet ($cvcl_217 (iff x_25 x_21)) (flet ($cvcl_225 (= x_23 x_27)) (flet ($cvcl_229 (iff x_21 x_17)) (flet ($cvcl_237 (= x_19 x_23)) (flet ($cvcl_241 (iff x_17 x_13)) (flet ($cvcl_249 (= x_15 x_19)) (flet ($cvcl_253 (iff x_13 x_9)) (flet ($cvcl_261 (= x_11 x_15)) (flet ($cvcl_265 (iff x_9 x_5)) (flet ($cvcl_273 (= x_7 x_11)) (flet ($cvcl_277 (iff x_5 x_1)) (flet ($cvcl_285 (= x_3 x_7)) (flet ($cvcl_29 (<= x_201 ?cvcl_1)) (flet ($cvcl_41 (<= x_196 ?cvcl_2)) (flet ($cvcl_53 (<= x_191 ?cvcl_3)) (flet ($cvcl_65 (<= x_186 ?cvcl_4)) (flet ($cvcl_77 (<= x_181 ?cvcl_5)) (flet ($cvcl_89 (<= x_176 ?cvcl_6)) (flet ($cvcl_101 (<= x_171 ?cvcl_7)) (flet ($cvcl_113 (<= x_166 ?cvcl_8)) (flet ($cvcl_125 (<= x_161 ?cvcl_9)) (flet ($cvcl_137 (<= x_156 ?cvcl_10)) (flet ($cvcl_149 (<= x_151 ?cvcl_11)) (flet ($cvcl_161 (<= x_146 ?cvcl_12)) (flet ($cvcl_173 (<= x_141 ?cvcl_13)) (flet ($cvcl_185 (<= x_136 ?cvcl_14)) (flet ($cvcl_197 (<= x_131 ?cvcl_15)) (flet ($cvcl_209 (<= x_126 ?cvcl_16)) (flet ($cvcl_221 (<= x_121 ?cvcl_17)) (flet ($cvcl_233 (<= x_116 ?cvcl_18)) (flet ($cvcl_245 (<= x_111 ?cvcl_19)) (flet ($cvcl_257 (<= x_106 ?cvcl_20)) (flet ($cvcl_269 (<= x_101 ?cvcl_21)) (flet ($cvcl_281 (<= x_95 ?cvcl_22)) (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (> x_90 0) (> x_91 0)) (>= x_92 0)) (< x_92 x_90)) (< x_92 x_91)) (>= x_96 0)) (< x_96 x_90)) (< x_96 x_91)) (or (iff x_84 x_85)  (= x_86 x_87) )) (or (iff x_80 x_81)  (= x_82 x_83) )) (or (iff x_76 x_77)  (= x_78 x_79) )) (or (iff x_72 x_73)  (= x_74 x_75) )) (or (iff x_68 x_69)  (= x_70 x_71) )) (or (iff x_64 x_65)  (= x_66 x_67) )) (or (iff x_60 x_61)  (= x_62 x_63) )) (or (iff x_56 x_57)  (= x_58 x_59) )) (or (iff x_52 x_53)  (= x_54 x_55) )) (or (iff x_48 x_49)  (= x_50 x_51) )) (or (iff x_44 x_45)  (= x_46 x_47) )) (or (iff x_40 x_41)  (= x_42 x_43) )) (or (iff x_36 x_37)  (= x_38 x_39) )) (or (iff x_32 x_33)  (= x_34 x_35) )) (or (iff x_28 x_29)  (= x_30 x_31) )) (or (iff x_24 x_25)  (= x_26 x_27) )) (or (iff x_20 x_21)  (= x_22 x_23) )) (or (iff x_16 x_17)  (= x_18 x_19) )) (or (iff x_12 x_13)  (= x_14 x_15) )) (or (iff x_8 x_9)  (= x_10 x_11) )) (or (iff x_4 x_5)  (= x_6 x_7) )) (or (iff x_0 x_1)  (= x_2 x_3) )) (or (<= x_204 ?cvcl_0)  (<= (- (+ x_204 x_91) x_92) x_203) )) (or (<= x_205 ?cvcl_0)  (<= (- (+ x_205 x_91) x_92) x_203) )) (or (<= x_206 ?cvcl_0)  (<= (- (+ x_206 x_90) x_96) x_202) )) (<= x_206 (+ ?cvcl_0 x_96))) (<= x_205 (+ ?cvcl_0 x_92))) (<= x_204 (+ ?cvcl_0 x_92))) (<= ?cvcl_0 x_202)) (<= ?cvcl_0 x_203)) (or (<= x_199 ?cvcl_1)  (<= (- (+ x_199 x_91) x_92) x_198) )) (or (<= x_200 ?cvcl_1)  (<= (- (+ x_200 x_91) x_92) x_198) )) (or $cvcl_29  (<= (- (+ x_201 x_90) x_96) x_197) )) (<= x_201 (+ ?cvcl_1 x_96))) (<= x_200 (+ ?cvcl_1 x_92))) (<= x_199 (+ ?cvcl_1 x_92))) (<= ?cvcl_1 x_197)) (<= ?cvcl_1 x_198)) (or (<= x_194 ?cvcl_2)  (<= (- (+ x_194 x_91) x_92) x_193) )) (or (<= x_195 ?cvcl_2)  (<= (- (+ x_195 x_91) x_92) x_193) )) (or $cvcl_41  (<= (- (+ x_196 x_90) x_96) x_192) )) (<= x_196 (+ ?cvcl_2 x_96))) (<= x_195 (+ ?cvcl_2 x_92))) (<= x_194 (+ ?cvcl_2 x_92))) (<= ?cvcl_2 x_192)) (<= ?cvcl_2 x_193)) (or (<= x_189 ?cvcl_3)  (<= (- (+ x_189 x_91) x_92) x_188) )) (or (<= x_190 ?cvcl_3)  (<= (- (+ x_190 x_91) x_92) x_188) )) (or $cvcl_53  (<= (- (+ x_191 x_90) x_96) x_187) )) (<= x_191 (+ ?cvcl_3 x_96))) (<= x_190 (+ ?cvcl_3 x_92))) (<= x_189 (+ ?cvcl_3 x_92))) (<= ?cvcl_3 x_187)) (<= ?cvcl_3 x_188)) (or (<= x_184 ?cvcl_4)  (<= (- (+ x_184 x_91) x_92) x_183) )) (or (<= x_185 ?cvcl_4)  (<= (- (+ x_185 x_91) x_92) x_183) )) (or $cvcl_65  (<= (- (+ x_186 x_90) x_96) x_182) )) (<= x_186 (+ ?cvcl_4 x_96))) (<= x_185 (+ ?cvcl_4 x_92))) (<= x_184 (+ ?cvcl_4 x_92))) (<= ?cvcl_4 x_182)) (<= ?cvcl_4 x_183)) (or (<= x_179 ?cvcl_5)  (<= (- (+ x_179 x_91) x_92) x_178) )) (or (<= x_180 ?cvcl_5)  (<= (- (+ x_180 x_91) x_92) x_178) )) (or $cvcl_77  (<= (- (+ x_181 x_90) x_96) x_177) )) (<= x_181 (+ ?cvcl_5 x_96))) (<= x_180 (+ ?cvcl_5 x_92))) (<= x_179 (+ ?cvcl_5 x_92))) (<= ?cvcl_5 x_177)) (<= ?cvcl_5 x_178)) (or (<= x_174 ?cvcl_6)  (<= (- (+ x_174 x_91) x_92) x_173) )) (or (<= x_175 ?cvcl_6)  (<= (- (+ x_175 x_91) x_92) x_173) )) (or $cvcl_89  (<= (- (+ x_176 x_90) x_96) x_172) )) (<= x_176 (+ ?cvcl_6 x_96))) (<= x_175 (+ ?cvcl_6 x_92))) (<= x_174 (+ ?cvcl_6 x_92))) (<= ?cvcl_6 x_172)) (<= ?cvcl_6 x_173)) (or (<= x_169 ?cvcl_7)  (<= (- (+ x_169 x_91) x_92) x_168) )) (or (<= x_170 ?cvcl_7)  (<= (- (+ x_170 x_91) x_92) x_168) )) (or $cvcl_101  (<= (- (+ x_171 x_90) x_96) x_167) )) (<= x_171 (+ ?cvcl_7 x_96))) (<= x_170 (+ ?cvcl_7 x_92))) (<= x_169 (+ ?cvcl_7 x_92))) (<= ?cvcl_7 x_167)) (<= ?cvcl_7 x_168)) (or (<= x_164 ?cvcl_8)  (<= (- (+ x_164 x_91) x_92) x_163) )) (or (<= x_165 ?cvcl_8)  (<= (- (+ x_165 x_91) x_92) x_163) )) (or $cvcl_113  (<= (- (+ x_166 x_90) x_96) x_162) )) (<= x_166 (+ ?cvcl_8 x_96))) (<= x_165 (+ ?cvcl_8 x_92))) (<= x_164 (+ ?cvcl_8 x_92))) (<= ?cvcl_8 x_162)) (<= ?cvcl_8 x_163)) (or (<= x_159 ?cvcl_9)  (<= (- (+ x_159 x_91) x_92) x_158) )) (or (<= x_160 ?cvcl_9)  (<= (- (+ x_160 x_91) x_92) x_158) )) (or $cvcl_125  (<= (- (+ x_161 x_90) x_96) x_157) )) (<= x_161 (+ ?cvcl_9 x_96))) (<= x_160 (+ ?cvcl_9 x_92))) (<= x_159 (+ ?cvcl_9 x_92))) (<= ?cvcl_9 x_157)) (<= ?cvcl_9 x_158)) (or (<= x_154 ?cvcl_10)  (<= (- (+ x_154 x_91) x_92) x_153) )) (or (<= x_155 ?cvcl_10)  (<= (- (+ x_155 x_91) x_92) x_153) )) (or $cvcl_137  (<= (- (+ x_156 x_90) x_96) x_152) )) (<= x_156 (+ ?cvcl_10 x_96))) (<= x_155 (+ ?cvcl_10 x_92))) (<= x_154 (+ ?cvcl_10 x_92))) (<= ?cvcl_10 x_152)) (<= ?cvcl_10 x_153)) (or (<= x_149 ?cvcl_11)  (<= (- (+ x_149 x_91) x_92) x_148) )) (or (<= x_150 ?cvcl_11)  (<= (- (+ x_150 x_91) x_92) x_148) )) (or $cvcl_149  (<= (- (+ x_151 x_90) x_96) x_147) )) (<= x_151 (+ ?cvcl_11 x_96))) (<= x_150 (+ ?cvcl_11 x_92))) (<= x_149 (+ ?cvcl_11 x_92))) (<= ?cvcl_11 x_147)) (<= ?cvcl_11 x_148)) (or (<= x_144 ?cvcl_12)  (<= (- (+ x_144 x_91) x_92) x_143) )) (or (<= x_145 ?cvcl_12)  (<= (- (+ x_145 x_91) x_92) x_143) )) (or $cvcl_161  (<= (- (+ x_146 x_90) x_96) x_142) )) (<= x_146 (+ ?cvcl_12 x_96))) (<= x_145 (+ ?cvcl_12 x_92))) (<= x_144 (+ ?cvcl_12 x_92))) (<= ?cvcl_12 x_142)) (<= ?cvcl_12 x_143)) (or (<= x_139 ?cvcl_13)  (<= (- (+ x_139 x_91) x_92) x_138) )) (or (<= x_140 ?cvcl_13)  (<= (- (+ x_140 x_91) x_92) x_138) )) (or $cvcl_173  (<= (- (+ x_141 x_90) x_96) x_137) )) (<= x_141 (+ ?cvcl_13 x_96))) (<= x_140 (+ ?cvcl_13 x_92))) (<= x_139 (+ ?cvcl_13 x_92))) (<= ?cvcl_13 x_137)) (<= ?cvcl_13 x_138)) (or (<= x_134 ?cvcl_14)  (<= (- (+ x_134 x_91) x_92) x_133) )) (or (<= x_135 ?cvcl_14)  (<= (- (+ x_135 x_91) x_92) x_133) )) (or $cvcl_185  (<= (- (+ x_136 x_90) x_96) x_132) )) (<= x_136 (+ ?cvcl_14 x_96))) (<= x_135 (+ ?cvcl_14 x_92))) (<= x_134 (+ ?cvcl_14 x_92))) (<= ?cvcl_14 x_132)) (<= ?cvcl_14 x_133)) (or (<= x_129 ?cvcl_15)  (<= (- (+ x_129 x_91) x_92) x_128) )) (or (<= x_130 ?cvcl_15)  (<= (- (+ x_130 x_91) x_92) x_128) )) (or $cvcl_197  (<= (- (+ x_131 x_90) x_96) x_127) )) (<= x_131 (+ ?cvcl_15 x_96))) (<= x_130 (+ ?cvcl_15 x_92))) (<= x_129 (+ ?cvcl_15 x_92))) (<= ?cvcl_15 x_127)) (<= ?cvcl_15 x_128)) (or (<= x_124 ?cvcl_16)  (<= (- (+ x_124 x_91) x_92) x_123) )) (or (<= x_125 ?cvcl_16)  (<= (- (+ x_125 x_91) x_92) x_123) )) (or $cvcl_209  (<= (- (+ x_126 x_90) x_96) x_122) )) (<= x_126 (+ ?cvcl_16 x_96))) (<= x_125 (+ ?cvcl_16 x_92))) (<= x_124 (+ ?cvcl_16 x_92))) (<= ?cvcl_16 x_122)) (<= ?cvcl_16 x_123)) (or (<= x_119 ?cvcl_17)  (<= (- (+ x_119 x_91) x_92) x_118) )) (or (<= x_120 ?cvcl_17)  (<= (- (+ x_120 x_91) x_92) x_118) )) (or $cvcl_221  (<= (- (+ x_121 x_90) x_96) x_117) )) (<= x_121 (+ ?cvcl_17 x_96))) (<= x_120 (+ ?cvcl_17 x_92))) (<= x_119 (+ ?cvcl_17 x_92))) (<= ?cvcl_17 x_117)) (<= ?cvcl_17 x_118)) (or (<= x_114 ?cvcl_18)  (<= (- (+ x_114 x_91) x_92) x_113) )) (or (<= x_115 ?cvcl_18)  (<= (- (+ x_115 x_91) x_92) x_113) )) (or $cvcl_233  (<= (- (+ x_116 x_90) x_96) x_112) )) (<= x_116 (+ ?cvcl_18 x_96))) (<= x_115 (+ ?cvcl_18 x_92))) (<= x_114 (+ ?cvcl_18 x_92))) (<= ?cvcl_18 x_112)) (<= ?cvcl_18 x_113)) (or (<= x_109 ?cvcl_19)  (<= (- (+ x_109 x_91) x_92) x_108) )) (or (<= x_110 ?cvcl_19)  (<= (- (+ x_110 x_91) x_92) x_108) )) (or $cvcl_245  (<= (- (+ x_111 x_90) x_96) x_107) )) (<= x_111 (+ ?cvcl_19 x_96))) (<= x_110 (+ ?cvcl_19 x_92))) (<= x_109 (+ ?cvcl_19 x_92))) (<= ?cvcl_19 x_107)) (<= ?cvcl_19 x_108)) (or (<= x_104 ?cvcl_20)  (<= (- (+ x_104 x_91) x_92) x_103) )) (or (<= x_105 ?cvcl_20)  (<= (- (+ x_105 x_91) x_92) x_103) )) (or $cvcl_257  (<= (- (+ x_106 x_90) x_96) x_102) )) (<= x_106 (+ ?cvcl_20 x_96))) (<= x_105 (+ ?cvcl_20 x_92))) (<= x_104 (+ ?cvcl_20 x_92))) (<= ?cvcl_20 x_102)) (<= ?cvcl_20 x_103)) (or (<= x_99 ?cvcl_21)  (<= (- (+ x_99 x_91) x_92) x_98) )) (or (<= x_100 ?cvcl_21)  (<= (- (+ x_100 x_91) x_92) x_98) )) (or $cvcl_269  (<= (- (+ x_101 x_90) x_96) x_97) )) (<= x_101 (+ ?cvcl_21 x_96))) (<= x_100 (+ ?cvcl_21 x_92))) (<= x_99 (+ ?cvcl_21 x_92))) (<= ?cvcl_21 x_97)) (<= ?cvcl_21 x_98)) (or (<= x_93 ?cvcl_22)  (<= (- (+ x_93 x_91) x_92) x_89) )) (or (<= x_94 ?cvcl_22)  (<= (- (+ x_94 x_91) x_92) x_89) )) (or $cvcl_281  (<= (- (+ x_95 x_90) x_96) x_88) )) (<= x_95 (+ ?cvcl_22 x_96))) (<= x_94 (+ ?cvcl_22 x_92))) (<= x_93 (+ ?cvcl_22 x_92))) (<= ?cvcl_22 x_88)) (<= ?cvcl_22 x_89)) (or (and (and (and (and (and (and (and (and (and (= x_402 0) (iff x_403 x_396)) (= ?cvcl_1 x_197)) (<= (+ ?cvcl_1 x_90) x_202)) (or $cvcl_25  (iff x_404 x_84) )) (iff x_405 x_393)) (iff x_406 x_394)) (= x_203 x_198)) $cvcl_23) $cvcl_24)  (and (and (and (and (and (and (and (and (and (= x_402 1) (iff x_406 x_393)) (= ?cvcl_1 x_198)) (<= (+ ?cvcl_1 x_91) x_203)) (or (and (and (= x_407 0) $cvcl_23) $cvcl_24)  (and (and (= x_407 1) (iff x_391 x_394)) (iff x_400 (not x_391))) )) (iff x_408 x_396)) (iff x_403 x_84)) (= x_409 x_86)) (= x_202 x_197)) $cvcl_25) )) (or (or (and (and (and (= x_410 0) $cvcl_32) (or (not (<= x_199 ?cvcl_27))  (iff x_408 x_391) )) $cvcl_28)  (and (and (and (= x_410 1) $cvcl_26) (xor x_391  x_400 )) (= x_204 (+ ?cvcl_27 x_92))) )  (and (and (and (= x_410 2) $cvcl_26) (iff x_391 x_400)) $cvcl_28) )) (or (or (and (and (and (= x_411 0) (not $cvcl_30)) (or (not $cvcl_29)  (iff x_405 x_85) )) $cvcl_31)  (and (and (and (= x_411 1) $cvcl_30) (xor x_85  x_404 )) (= x_206 (+ ?cvcl_1 x_96))) )  (and (and (and (= x_411 2) $cvcl_30) (iff x_85 x_404)) $cvcl_31) )) (or (or (and (and (and (= x_412 0) $cvcl_32) (or (not (<= x_200 ?cvcl_27))  (= x_409 x_87) )) $cvcl_34)  (and (and (and (= x_412 1) $cvcl_26) (not $cvcl_33)) (= x_205 (+ ?cvcl_27 x_92))) )  (and (and (and (= x_412 2) $cvcl_26) $cvcl_33) $cvcl_34) )) (or (and (and (and (and (and (and (and (and (and (= x_392 0) (iff x_84 x_387)) (= ?cvcl_2 x_192)) (<= (+ ?cvcl_2 x_90) x_197)) (or $cvcl_37  (iff x_85 x_80) )) (iff x_393 x_384)) (iff x_394 x_385)) (= x_198 x_193)) $cvcl_35) $cvcl_36)  (and (and (and (and (and (and (and (and (and (= x_392 1) (iff x_394 x_384)) (= ?cvcl_2 x_193)) (<= (+ ?cvcl_2 x_91) x_198)) (or (and (and (= x_395 0) $cvcl_35) $cvcl_36)  (and (and (= x_395 1) (iff x_382 x_385)) (iff x_391 (not x_382))) )) (iff x_396 x_387)) (iff x_84 x_80)) (= x_86 x_82)) (= x_197 x_192)) $cvcl_37) )) (or (or (and (and (and (= x_397 0) $cvcl_44) (or (not (<= x_194 ?cvcl_39))  (iff x_396 x_382) )) $cvcl_40)  (and (and (and (= x_397 1) $cvcl_38) (xor x_382  x_391 )) (= x_199 (+ ?cvcl_39 x_92))) )  (and (and (and (= x_397 2) $cvcl_38) (iff x_382 x_391)) $cvcl_40) )) (or (or (and (and (and (= x_398 0) (not $cvcl_42)) (or (not $cvcl_41)  (iff x_393 x_81) )) $cvcl_43)  (and (and (and (= x_398 1) $cvcl_42) (xor x_81  x_85 )) (= x_201 (+ ?cvcl_2 x_96))) )  (and (and (and (= x_398 2) $cvcl_42) (iff x_81 x_85)) $cvcl_43) )) (or (or (and (and (and (= x_399 0) $cvcl_44) (or (not (<= x_195 ?cvcl_39))  (= x_86 x_83) )) $cvcl_46)  (and (and (and (= x_399 1) $cvcl_38) (not $cvcl_45)) (= x_200 (+ ?cvcl_39 x_92))) )  (and (and (and (= x_399 2) $cvcl_38) $cvcl_45) $cvcl_46) )) (or (and (and (and (and (and (and (and (and (and (= x_383 0) (iff x_80 x_378)) (= ?cvcl_3 x_187)) (<= (+ ?cvcl_3 x_90) x_192)) (or $cvcl_49  (iff x_81 x_76) )) (iff x_384 x_375)) (iff x_385 x_376)) (= x_193 x_188)) $cvcl_47) $cvcl_48)  (and (and (and (and (and (and (and (and (and (= x_383 1) (iff x_385 x_375)) (= ?cvcl_3 x_188)) (<= (+ ?cvcl_3 x_91) x_193)) (or (and (and (= x_386 0) $cvcl_47) $cvcl_48)  (and (and (= x_386 1) (iff x_373 x_376)) (iff x_382 (not x_373))) )) (iff x_387 x_378)) (iff x_80 x_76)) (= x_82 x_78)) (= x_192 x_187)) $cvcl_49) )) (or (or (and (and (and (= x_388 0) $cvcl_56) (or (not (<= x_189 ?cvcl_51))  (iff x_387 x_373) )) $cvcl_52)  (and (and (and (= x_388 1) $cvcl_50) (xor x_373  x_382 )) (= x_194 (+ ?cvcl_51 x_92))) )  (and (and (and (= x_388 2) $cvcl_50) (iff x_373 x_382)) $cvcl_52) )) (or (or (and (and (and (= x_389 0) (not $cvcl_54)) (or (not $cvcl_53)  (iff x_384 x_77) )) $cvcl_55)  (and (and (and (= x_389 1) $cvcl_54) (xor x_77  x_81 )) (= x_196 (+ ?cvcl_3 x_96))) )  (and (and (and (= x_389 2) $cvcl_54) (iff x_77 x_81)) $cvcl_55) )) (or (or (and (and (and (= x_390 0) $cvcl_56) (or (not (<= x_190 ?cvcl_51))  (= x_82 x_79) )) $cvcl_58)  (and (and (and (= x_390 1) $cvcl_50) (not $cvcl_57)) (= x_195 (+ ?cvcl_51 x_92))) )  (and (and (and (= x_390 2) $cvcl_50) $cvcl_57) $cvcl_58) )) (or (and (and (and (and (and (and (and (and (and (= x_374 0) (iff x_76 x_369)) (= ?cvcl_4 x_182)) (<= (+ ?cvcl_4 x_90) x_187)) (or $cvcl_61  (iff x_77 x_72) )) (iff x_375 x_366)) (iff x_376 x_367)) (= x_188 x_183)) $cvcl_59) $cvcl_60)  (and (and (and (and (and (and (and (and (and (= x_374 1) (iff x_376 x_366)) (= ?cvcl_4 x_183)) (<= (+ ?cvcl_4 x_91) x_188)) (or (and (and (= x_377 0) $cvcl_59) $cvcl_60)  (and (and (= x_377 1) (iff x_364 x_367)) (iff x_373 (not x_364))) )) (iff x_378 x_369)) (iff x_76 x_72)) (= x_78 x_74)) (= x_187 x_182)) $cvcl_61) )) (or (or (and (and (and (= x_379 0) $cvcl_68) (or (not (<= x_184 ?cvcl_63))  (iff x_378 x_364) )) $cvcl_64)  (and (and (and (= x_379 1) $cvcl_62) (xor x_364  x_373 )) (= x_189 (+ ?cvcl_63 x_92))) )  (and (and (and (= x_379 2) $cvcl_62) (iff x_364 x_373)) $cvcl_64) )) (or (or (and (and (and (= x_380 0) (not $cvcl_66)) (or (not $cvcl_65)  (iff x_375 x_73) )) $cvcl_67)  (and (and (and (= x_380 1) $cvcl_66) (xor x_73  x_77 )) (= x_191 (+ ?cvcl_4 x_96))) )  (and (and (and (= x_380 2) $cvcl_66) (iff x_73 x_77)) $cvcl_67) )) (or (or (and (and (and (= x_381 0) $cvcl_68) (or (not (<= x_185 ?cvcl_63))  (= x_78 x_75) )) $cvcl_70)  (and (and (and (= x_381 1) $cvcl_62) (not $cvcl_69)) (= x_190 (+ ?cvcl_63 x_92))) )  (and (and (and (= x_381 2) $cvcl_62) $cvcl_69) $cvcl_70) )) (or (and (and (and (and (and (and (and (and (and (= x_365 0) (iff x_72 x_360)) (= ?cvcl_5 x_177)) (<= (+ ?cvcl_5 x_90) x_182)) (or $cvcl_73  (iff x_73 x_68) )) (iff x_366 x_357)) (iff x_367 x_358)) (= x_183 x_178)) $cvcl_71) $cvcl_72)  (and (and (and (and (and (and (and (and (and (= x_365 1) (iff x_367 x_357)) (= ?cvcl_5 x_178)) (<= (+ ?cvcl_5 x_91) x_183)) (or (and (and (= x_368 0) $cvcl_71) $cvcl_72)  (and (and (= x_368 1) (iff x_355 x_358)) (iff x_364 (not x_355))) )) (iff x_369 x_360)) (iff x_72 x_68)) (= x_74 x_70)) (= x_182 x_177)) $cvcl_73) )) (or (or (and (and (and (= x_370 0) $cvcl_80) (or (not (<= x_179 ?cvcl_75))  (iff x_369 x_355) )) $cvcl_76)  (and (and (and (= x_370 1) $cvcl_74) (xor x_355  x_364 )) (= x_184 (+ ?cvcl_75 x_92))) )  (and (and (and (= x_370 2) $cvcl_74) (iff x_355 x_364)) $cvcl_76) )) (or (or (and (and (and (= x_371 0) (not $cvcl_78)) (or (not $cvcl_77)  (iff x_366 x_69) )) $cvcl_79)  (and (and (and (= x_371 1) $cvcl_78) (xor x_69  x_73 )) (= x_186 (+ ?cvcl_5 x_96))) )  (and (and (and (= x_371 2) $cvcl_78) (iff x_69 x_73)) $cvcl_79) )) (or (or (and (and (and (= x_372 0) $cvcl_80) (or (not (<= x_180 ?cvcl_75))  (= x_74 x_71) )) $cvcl_82)  (and (and (and (= x_372 1) $cvcl_74) (not $cvcl_81)) (= x_185 (+ ?cvcl_75 x_92))) )  (and (and (and (= x_372 2) $cvcl_74) $cvcl_81) $cvcl_82) )) (or (and (and (and (and (and (and (and (and (and (= x_356 0) (iff x_68 x_351)) (= ?cvcl_6 x_172)) (<= (+ ?cvcl_6 x_90) x_177)) (or $cvcl_85  (iff x_69 x_64) )) (iff x_357 x_348)) (iff x_358 x_349)) (= x_178 x_173)) $cvcl_83) $cvcl_84)  (and (and (and (and (and (and (and (and (and (= x_356 1) (iff x_358 x_348)) (= ?cvcl_6 x_173)) (<= (+ ?cvcl_6 x_91) x_178)) (or (and (and (= x_359 0) $cvcl_83) $cvcl_84)  (and (and (= x_359 1) (iff x_346 x_349)) (iff x_355 (not x_346))) )) (iff x_360 x_351)) (iff x_68 x_64)) (= x_70 x_66)) (= x_177 x_172)) $cvcl_85) )) (or (or (and (and (and (= x_361 0) $cvcl_92) (or (not (<= x_174 ?cvcl_87))  (iff x_360 x_346) )) $cvcl_88)  (and (and (and (= x_361 1) $cvcl_86) (xor x_346  x_355 )) (= x_179 (+ ?cvcl_87 x_92))) )  (and (and (and (= x_361 2) $cvcl_86) (iff x_346 x_355)) $cvcl_88) )) (or (or (and (and (and (= x_362 0) (not $cvcl_90)) (or (not $cvcl_89)  (iff x_357 x_65) )) $cvcl_91)  (and (and (and (= x_362 1) $cvcl_90) (xor x_65  x_69 )) (= x_181 (+ ?cvcl_6 x_96))) )  (and (and (and (= x_362 2) $cvcl_90) (iff x_65 x_69)) $cvcl_91) )) (or (or (and (and (and (= x_363 0) $cvcl_92) (or (not (<= x_175 ?cvcl_87))  (= x_70 x_67) )) $cvcl_94)  (and (and (and (= x_363 1) $cvcl_86) (not $cvcl_93)) (= x_180 (+ ?cvcl_87 x_92))) )  (and (and (and (= x_363 2) $cvcl_86) $cvcl_93) $cvcl_94) )) (or (and (and (and (and (and (and (and (and (and (= x_347 0) (iff x_64 x_342)) (= ?cvcl_7 x_167)) (<= (+ ?cvcl_7 x_90) x_172)) (or $cvcl_97  (iff x_65 x_60) )) (iff x_348 x_339)) (iff x_349 x_340)) (= x_173 x_168)) $cvcl_95) $cvcl_96)  (and (and (and (and (and (and (and (and (and (= x_347 1) (iff x_349 x_339)) (= ?cvcl_7 x_168)) (<= (+ ?cvcl_7 x_91) x_173)) (or (and (and (= x_350 0) $cvcl_95) $cvcl_96)  (and (and (= x_350 1) (iff x_337 x_340)) (iff x_346 (not x_337))) )) (iff x_351 x_342)) (iff x_64 x_60)) (= x_66 x_62)) (= x_172 x_167)) $cvcl_97) )) (or (or (and (and (and (= x_352 0) $cvcl_104) (or (not (<= x_169 ?cvcl_99))  (iff x_351 x_337) )) $cvcl_100)  (and (and (and (= x_352 1) $cvcl_98) (xor x_337  x_346 )) (= x_174 (+ ?cvcl_99 x_92))) )  (and (and (and (= x_352 2) $cvcl_98) (iff x_337 x_346)) $cvcl_100) )) (or (or (and (and (and (= x_353 0) (not $cvcl_102)) (or (not $cvcl_101)  (iff x_348 x_61) )) $cvcl_103)  (and (and (and (= x_353 1) $cvcl_102) (xor x_61  x_65 )) (= x_176 (+ ?cvcl_7 x_96))) )  (and (and (and (= x_353 2) $cvcl_102) (iff x_61 x_65)) $cvcl_103) )) (or (or (and (and (and (= x_354 0) $cvcl_104) (or (not (<= x_170 ?cvcl_99))  (= x_66 x_63) )) $cvcl_106)  (and (and (and (= x_354 1) $cvcl_98) (not $cvcl_105)) (= x_175 (+ ?cvcl_99 x_92))) )  (and (and (and (= x_354 2) $cvcl_98) $cvcl_105) $cvcl_106) )) (or (and (and (and (and (and (and (and (and (and (= x_338 0) (iff x_60 x_333)) (= ?cvcl_8 x_162)) (<= (+ ?cvcl_8 x_90) x_167)) (or $cvcl_109  (iff x_61 x_56) )) (iff x_339 x_330)) (iff x_340 x_331)) (= x_168 x_163)) $cvcl_107) $cvcl_108)  (and (and (and (and (and (and (and (and (and (= x_338 1) (iff x_340 x_330)) (= ?cvcl_8 x_163)) (<= (+ ?cvcl_8 x_91) x_168)) (or (and (and (= x_341 0) $cvcl_107) $cvcl_108)  (and (and (= x_341 1) (iff x_328 x_331)) (iff x_337 (not x_328))) )) (iff x_342 x_333)) (iff x_60 x_56)) (= x_62 x_58)) (= x_167 x_162)) $cvcl_109) )) (or (or (and (and (and (= x_343 0) $cvcl_116) (or (not (<= x_164 ?cvcl_111))  (iff x_342 x_328) )) $cvcl_112)  (and (and (and (= x_343 1) $cvcl_110) (xor x_328  x_337 )) (= x_169 (+ ?cvcl_111 x_92))) )  (and (and (and (= x_343 2) $cvcl_110) (iff x_328 x_337)) $cvcl_112) )) (or (or (and (and (and (= x_344 0) (not $cvcl_114)) (or (not $cvcl_113)  (iff x_339 x_57) )) $cvcl_115)  (and (and (and (= x_344 1) $cvcl_114) (xor x_57  x_61 )) (= x_171 (+ ?cvcl_8 x_96))) )  (and (and (and (= x_344 2) $cvcl_114) (iff x_57 x_61)) $cvcl_115) )) (or (or (and (and (and (= x_345 0) $cvcl_116) (or (not (<= x_165 ?cvcl_111))  (= x_62 x_59) )) $cvcl_118)  (and (and (and (= x_345 1) $cvcl_110) (not $cvcl_117)) (= x_170 (+ ?cvcl_111 x_92))) )  (and (and (and (= x_345 2) $cvcl_110) $cvcl_117) $cvcl_118) )) (or (and (and (and (and (and (and (and (and (and (= x_329 0) (iff x_56 x_324)) (= ?cvcl_9 x_157)) (<= (+ ?cvcl_9 x_90) x_162)) (or $cvcl_121  (iff x_57 x_52) )) (iff x_330 x_321)) (iff x_331 x_322)) (= x_163 x_158)) $cvcl_119) $cvcl_120)  (and (and (and (and (and (and (and (and (and (= x_329 1) (iff x_331 x_321)) (= ?cvcl_9 x_158)) (<= (+ ?cvcl_9 x_91) x_163)) (or (and (and (= x_332 0) $cvcl_119) $cvcl_120)  (and (and (= x_332 1) (iff x_319 x_322)) (iff x_328 (not x_319))) )) (iff x_333 x_324)) (iff x_56 x_52)) (= x_58 x_54)) (= x_162 x_157)) $cvcl_121) )) (or (or (and (and (and (= x_334 0) $cvcl_128) (or (not (<= x_159 ?cvcl_123))  (iff x_333 x_319) )) $cvcl_124)  (and (and (and (= x_334 1) $cvcl_122) (xor x_319  x_328 )) (= x_164 (+ ?cvcl_123 x_92))) )  (and (and (and (= x_334 2) $cvcl_122) (iff x_319 x_328)) $cvcl_124) )) (or (or (and (and (and (= x_335 0) (not $cvcl_126)) (or (not $cvcl_125)  (iff x_330 x_53) )) $cvcl_127)  (and (and (and (= x_335 1) $cvcl_126) (xor x_53  x_57 )) (= x_166 (+ ?cvcl_9 x_96))) )  (and (and (and (= x_335 2) $cvcl_126) (iff x_53 x_57)) $cvcl_127) )) (or (or (and (and (and (= x_336 0) $cvcl_128) (or (not (<= x_160 ?cvcl_123))  (= x_58 x_55) )) $cvcl_130)  (and (and (and (= x_336 1) $cvcl_122) (not $cvcl_129)) (= x_165 (+ ?cvcl_123 x_92))) )  (and (and (and (= x_336 2) $cvcl_122) $cvcl_129) $cvcl_130) )) (or (and (and (and (and (and (and (and (and (and (= x_320 0) (iff x_52 x_315)) (= ?cvcl_10 x_152)) (<= (+ ?cvcl_10 x_90) x_157)) (or $cvcl_133  (iff x_53 x_48) )) (iff x_321 x_312)) (iff x_322 x_313)) (= x_158 x_153)) $cvcl_131) $cvcl_132)  (and (and (and (and (and (and (and (and (and (= x_320 1) (iff x_322 x_312)) (= ?cvcl_10 x_153)) (<= (+ ?cvcl_10 x_91) x_158)) (or (and (and (= x_323 0) $cvcl_131) $cvcl_132)  (and (and (= x_323 1) (iff x_310 x_313)) (iff x_319 (not x_310))) )) (iff x_324 x_315)) (iff x_52 x_48)) (= x_54 x_50)) (= x_157 x_152)) $cvcl_133) )) (or (or (and (and (and (= x_325 0) $cvcl_140) (or (not (<= x_154 ?cvcl_135))  (iff x_324 x_310) )) $cvcl_136)  (and (and (and (= x_325 1) $cvcl_134) (xor x_310  x_319 )) (= x_159 (+ ?cvcl_135 x_92))) )  (and (and (and (= x_325 2) $cvcl_134) (iff x_310 x_319)) $cvcl_136) )) (or (or (and (and (and (= x_326 0) (not $cvcl_138)) (or (not $cvcl_137)  (iff x_321 x_49) )) $cvcl_139)  (and (and (and (= x_326 1) $cvcl_138) (xor x_49  x_53 )) (= x_161 (+ ?cvcl_10 x_96))) )  (and (and (and (= x_326 2) $cvcl_138) (iff x_49 x_53)) $cvcl_139) )) (or (or (and (and (and (= x_327 0) $cvcl_140) (or (not (<= x_155 ?cvcl_135))  (= x_54 x_51) )) $cvcl_142)  (and (and (and (= x_327 1) $cvcl_134) (not $cvcl_141)) (= x_160 (+ ?cvcl_135 x_92))) )  (and (and (and (= x_327 2) $cvcl_134) $cvcl_141) $cvcl_142) )) (or (and (and (and (and (and (and (and (and (and (= x_311 0) (iff x_48 x_306)) (= ?cvcl_11 x_147)) (<= (+ ?cvcl_11 x_90) x_152)) (or $cvcl_145  (iff x_49 x_44) )) (iff x_312 x_303)) (iff x_313 x_304)) (= x_153 x_148)) $cvcl_143) $cvcl_144)  (and (and (and (and (and (and (and (and (and (= x_311 1) (iff x_313 x_303)) (= ?cvcl_11 x_148)) (<= (+ ?cvcl_11 x_91) x_153)) (or (and (and (= x_314 0) $cvcl_143) $cvcl_144)  (and (and (= x_314 1) (iff x_301 x_304)) (iff x_310 (not x_301))) )) (iff x_315 x_306)) (iff x_48 x_44)) (= x_50 x_46)) (= x_152 x_147)) $cvcl_145) )) (or (or (and (and (and (= x_316 0) $cvcl_152) (or (not (<= x_149 ?cvcl_147))  (iff x_315 x_301) )) $cvcl_148)  (and (and (and (= x_316 1) $cvcl_146) (xor x_301  x_310 )) (= x_154 (+ ?cvcl_147 x_92))) )  (and (and (and (= x_316 2) $cvcl_146) (iff x_301 x_310)) $cvcl_148) )) (or (or (and (and (and (= x_317 0) (not $cvcl_150)) (or (not $cvcl_149)  (iff x_312 x_45) )) $cvcl_151)  (and (and (and (= x_317 1) $cvcl_150) (xor x_45  x_49 )) (= x_156 (+ ?cvcl_11 x_96))) )  (and (and (and (= x_317 2) $cvcl_150) (iff x_45 x_49)) $cvcl_151) )) (or (or (and (and (and (= x_318 0) $cvcl_152) (or (not (<= x_150 ?cvcl_147))  (= x_50 x_47) )) $cvcl_154)  (and (and (and (= x_318 1) $cvcl_146) (not $cvcl_153)) (= x_155 (+ ?cvcl_147 x_92))) )  (and (and (and (= x_318 2) $cvcl_146) $cvcl_153) $cvcl_154) )) (or (and (and (and (and (and (and (and (and (and (= x_302 0) (iff x_44 x_297)) (= ?cvcl_12 x_142)) (<= (+ ?cvcl_12 x_90) x_147)) (or $cvcl_157  (iff x_45 x_40) )) (iff x_303 x_294)) (iff x_304 x_295)) (= x_148 x_143)) $cvcl_155) $cvcl_156)  (and (and (and (and (and (and (and (and (and (= x_302 1) (iff x_304 x_294)) (= ?cvcl_12 x_143)) (<= (+ ?cvcl_12 x_91) x_148)) (or (and (and (= x_305 0) $cvcl_155) $cvcl_156)  (and (and (= x_305 1) (iff x_292 x_295)) (iff x_301 (not x_292))) )) (iff x_306 x_297)) (iff x_44 x_40)) (= x_46 x_42)) (= x_147 x_142)) $cvcl_157) )) (or (or (and (and (and (= x_307 0) $cvcl_164) (or (not (<= x_144 ?cvcl_159))  (iff x_306 x_292) )) $cvcl_160)  (and (and (and (= x_307 1) $cvcl_158) (xor x_292  x_301 )) (= x_149 (+ ?cvcl_159 x_92))) )  (and (and (and (= x_307 2) $cvcl_158) (iff x_292 x_301)) $cvcl_160) )) (or (or (and (and (and (= x_308 0) (not $cvcl_162)) (or (not $cvcl_161)  (iff x_303 x_41) )) $cvcl_163)  (and (and (and (= x_308 1) $cvcl_162) (xor x_41  x_45 )) (= x_151 (+ ?cvcl_12 x_96))) )  (and (and (and (= x_308 2) $cvcl_162) (iff x_41 x_45)) $cvcl_163) )) (or (or (and (and (and (= x_309 0) $cvcl_164) (or (not (<= x_145 ?cvcl_159))  (= x_46 x_43) )) $cvcl_166)  (and (and (and (= x_309 1) $cvcl_158) (not $cvcl_165)) (= x_150 (+ ?cvcl_159 x_92))) )  (and (and (and (= x_309 2) $cvcl_158) $cvcl_165) $cvcl_166) )) (or (and (and (and (and (and (and (and (and (and (= x_293 0) (iff x_40 x_288)) (= ?cvcl_13 x_137)) (<= (+ ?cvcl_13 x_90) x_142)) (or $cvcl_169  (iff x_41 x_36) )) (iff x_294 x_285)) (iff x_295 x_286)) (= x_143 x_138)) $cvcl_167) $cvcl_168)  (and (and (and (and (and (and (and (and (and (= x_293 1) (iff x_295 x_285)) (= ?cvcl_13 x_138)) (<= (+ ?cvcl_13 x_91) x_143)) (or (and (and (= x_296 0) $cvcl_167) $cvcl_168)  (and (and (= x_296 1) (iff x_283 x_286)) (iff x_292 (not x_283))) )) (iff x_297 x_288)) (iff x_40 x_36)) (= x_42 x_38)) (= x_142 x_137)) $cvcl_169) )) (or (or (and (and (and (= x_298 0) $cvcl_176) (or (not (<= x_139 ?cvcl_171))  (iff x_297 x_283) )) $cvcl_172)  (and (and (and (= x_298 1) $cvcl_170) (xor x_283  x_292 )) (= x_144 (+ ?cvcl_171 x_92))) )  (and (and (and (= x_298 2) $cvcl_170) (iff x_283 x_292)) $cvcl_172) )) (or (or (and (and (and (= x_299 0) (not $cvcl_174)) (or (not $cvcl_173)  (iff x_294 x_37) )) $cvcl_175)  (and (and (and (= x_299 1) $cvcl_174) (xor x_37  x_41 )) (= x_146 (+ ?cvcl_13 x_96))) )  (and (and (and (= x_299 2) $cvcl_174) (iff x_37 x_41)) $cvcl_175) )) (or (or (and (and (and (= x_300 0) $cvcl_176) (or (not (<= x_140 ?cvcl_171))  (= x_42 x_39) )) $cvcl_178)  (and (and (and (= x_300 1) $cvcl_170) (not $cvcl_177)) (= x_145 (+ ?cvcl_171 x_92))) )  (and (and (and (= x_300 2) $cvcl_170) $cvcl_177) $cvcl_178) )) (or (and (and (and (and (and (and (and (and (and (= x_284 0) (iff x_36 x_279)) (= ?cvcl_14 x_132)) (<= (+ ?cvcl_14 x_90) x_137)) (or $cvcl_181  (iff x_37 x_32) )) (iff x_285 x_276)) (iff x_286 x_277)) (= x_138 x_133)) $cvcl_179) $cvcl_180)  (and (and (and (and (and (and (and (and (and (= x_284 1) (iff x_286 x_276)) (= ?cvcl_14 x_133)) (<= (+ ?cvcl_14 x_91) x_138)) (or (and (and (= x_287 0) $cvcl_179) $cvcl_180)  (and (and (= x_287 1) (iff x_274 x_277)) (iff x_283 (not x_274))) )) (iff x_288 x_279)) (iff x_36 x_32)) (= x_38 x_34)) (= x_137 x_132)) $cvcl_181) )) (or (or (and (and (and (= x_289 0) $cvcl_188) (or (not (<= x_134 ?cvcl_183))  (iff x_288 x_274) )) $cvcl_184)  (and (and (and (= x_289 1) $cvcl_182) (xor x_274  x_283 )) (= x_139 (+ ?cvcl_183 x_92))) )  (and (and (and (= x_289 2) $cvcl_182) (iff x_274 x_283)) $cvcl_184) )) (or (or (and (and (and (= x_290 0) (not $cvcl_186)) (or (not $cvcl_185)  (iff x_285 x_33) )) $cvcl_187)  (and (and (and (= x_290 1) $cvcl_186) (xor x_33  x_37 )) (= x_141 (+ ?cvcl_14 x_96))) )  (and (and (and (= x_290 2) $cvcl_186) (iff x_33 x_37)) $cvcl_187) )) (or (or (and (and (and (= x_291 0) $cvcl_188) (or (not (<= x_135 ?cvcl_183))  (= x_38 x_35) )) $cvcl_190)  (and (and (and (= x_291 1) $cvcl_182) (not $cvcl_189)) (= x_140 (+ ?cvcl_183 x_92))) )  (and (and (and (= x_291 2) $cvcl_182) $cvcl_189) $cvcl_190) )) (or (and (and (and (and (and (and (and (and (and (= x_275 0) (iff x_32 x_270)) (= ?cvcl_15 x_127)) (<= (+ ?cvcl_15 x_90) x_132)) (or $cvcl_193  (iff x_33 x_28) )) (iff x_276 x_267)) (iff x_277 x_268)) (= x_133 x_128)) $cvcl_191) $cvcl_192)  (and (and (and (and (and (and (and (and (and (= x_275 1) (iff x_277 x_267)) (= ?cvcl_15 x_128)) (<= (+ ?cvcl_15 x_91) x_133)) (or (and (and (= x_278 0) $cvcl_191) $cvcl_192)  (and (and (= x_278 1) (iff x_265 x_268)) (iff x_274 (not x_265))) )) (iff x_279 x_270)) (iff x_32 x_28)) (= x_34 x_30)) (= x_132 x_127)) $cvcl_193) )) (or (or (and (and (and (= x_280 0) $cvcl_200) (or (not (<= x_129 ?cvcl_195))  (iff x_279 x_265) )) $cvcl_196)  (and (and (and (= x_280 1) $cvcl_194) (xor x_265  x_274 )) (= x_134 (+ ?cvcl_195 x_92))) )  (and (and (and (= x_280 2) $cvcl_194) (iff x_265 x_274)) $cvcl_196) )) (or (or (and (and (and (= x_281 0) (not $cvcl_198)) (or (not $cvcl_197)  (iff x_276 x_29) )) $cvcl_199)  (and (and (and (= x_281 1) $cvcl_198) (xor x_29  x_33 )) (= x_136 (+ ?cvcl_15 x_96))) )  (and (and (and (= x_281 2) $cvcl_198) (iff x_29 x_33)) $cvcl_199) )) (or (or (and (and (and (= x_282 0) $cvcl_200) (or (not (<= x_130 ?cvcl_195))  (= x_34 x_31) )) $cvcl_202)  (and (and (and (= x_282 1) $cvcl_194) (not $cvcl_201)) (= x_135 (+ ?cvcl_195 x_92))) )  (and (and (and (= x_282 2) $cvcl_194) $cvcl_201) $cvcl_202) )) (or (and (and (and (and (and (and (and (and (and (= x_266 0) (iff x_28 x_261)) (= ?cvcl_16 x_122)) (<= (+ ?cvcl_16 x_90) x_127)) (or $cvcl_205  (iff x_29 x_24) )) (iff x_267 x_258)) (iff x_268 x_259)) (= x_128 x_123)) $cvcl_203) $cvcl_204)  (and (and (and (and (and (and (and (and (and (= x_266 1) (iff x_268 x_258)) (= ?cvcl_16 x_123)) (<= (+ ?cvcl_16 x_91) x_128)) (or (and (and (= x_269 0) $cvcl_203) $cvcl_204)  (and (and (= x_269 1) (iff x_256 x_259)) (iff x_265 (not x_256))) )) (iff x_270 x_261)) (iff x_28 x_24)) (= x_30 x_26)) (= x_127 x_122)) $cvcl_205) )) (or (or (and (and (and (= x_271 0) $cvcl_212) (or (not (<= x_124 ?cvcl_207))  (iff x_270 x_256) )) $cvcl_208)  (and (and (and (= x_271 1) $cvcl_206) (xor x_256  x_265 )) (= x_129 (+ ?cvcl_207 x_92))) )  (and (and (and (= x_271 2) $cvcl_206) (iff x_256 x_265)) $cvcl_208) )) (or (or (and (and (and (= x_272 0) (not $cvcl_210)) (or (not $cvcl_209)  (iff x_267 x_25) )) $cvcl_211)  (and (and (and (= x_272 1) $cvcl_210) (xor x_25  x_29 )) (= x_131 (+ ?cvcl_16 x_96))) )  (and (and (and (= x_272 2) $cvcl_210) (iff x_25 x_29)) $cvcl_211) )) (or (or (and (and (and (= x_273 0) $cvcl_212) (or (not (<= x_125 ?cvcl_207))  (= x_30 x_27) )) $cvcl_214)  (and (and (and (= x_273 1) $cvcl_206) (not $cvcl_213)) (= x_130 (+ ?cvcl_207 x_92))) )  (and (and (and (= x_273 2) $cvcl_206) $cvcl_213) $cvcl_214) )) (or (and (and (and (and (and (and (and (and (and (= x_257 0) (iff x_24 x_252)) (= ?cvcl_17 x_117)) (<= (+ ?cvcl_17 x_90) x_122)) (or $cvcl_217  (iff x_25 x_20) )) (iff x_258 x_249)) (iff x_259 x_250)) (= x_123 x_118)) $cvcl_215) $cvcl_216)  (and (and (and (and (and (and (and (and (and (= x_257 1) (iff x_259 x_249)) (= ?cvcl_17 x_118)) (<= (+ ?cvcl_17 x_91) x_123)) (or (and (and (= x_260 0) $cvcl_215) $cvcl_216)  (and (and (= x_260 1) (iff x_247 x_250)) (iff x_256 (not x_247))) )) (iff x_261 x_252)) (iff x_24 x_20)) (= x_26 x_22)) (= x_122 x_117)) $cvcl_217) )) (or (or (and (and (and (= x_262 0) $cvcl_224) (or (not (<= x_119 ?cvcl_219))  (iff x_261 x_247) )) $cvcl_220)  (and (and (and (= x_262 1) $cvcl_218) (xor x_247  x_256 )) (= x_124 (+ ?cvcl_219 x_92))) )  (and (and (and (= x_262 2) $cvcl_218) (iff x_247 x_256)) $cvcl_220) )) (or (or (and (and (and (= x_263 0) (not $cvcl_222)) (or (not $cvcl_221)  (iff x_258 x_21) )) $cvcl_223)  (and (and (and (= x_263 1) $cvcl_222) (xor x_21  x_25 )) (= x_126 (+ ?cvcl_17 x_96))) )  (and (and (and (= x_263 2) $cvcl_222) (iff x_21 x_25)) $cvcl_223) )) (or (or (and (and (and (= x_264 0) $cvcl_224) (or (not (<= x_120 ?cvcl_219))  (= x_26 x_23) )) $cvcl_226)  (and (and (and (= x_264 1) $cvcl_218) (not $cvcl_225)) (= x_125 (+ ?cvcl_219 x_92))) )  (and (and (and (= x_264 2) $cvcl_218) $cvcl_225) $cvcl_226) )) (or (and (and (and (and (and (and (and (and (and (= x_248 0) (iff x_20 x_243)) (= ?cvcl_18 x_112)) (<= (+ ?cvcl_18 x_90) x_117)) (or $cvcl_229  (iff x_21 x_16) )) (iff x_249 x_240)) (iff x_250 x_241)) (= x_118 x_113)) $cvcl_227) $cvcl_228)  (and (and (and (and (and (and (and (and (and (= x_248 1) (iff x_250 x_240)) (= ?cvcl_18 x_113)) (<= (+ ?cvcl_18 x_91) x_118)) (or (and (and (= x_251 0) $cvcl_227) $cvcl_228)  (and (and (= x_251 1) (iff x_238 x_241)) (iff x_247 (not x_238))) )) (iff x_252 x_243)) (iff x_20 x_16)) (= x_22 x_18)) (= x_117 x_112)) $cvcl_229) )) (or (or (and (and (and (= x_253 0) $cvcl_236) (or (not (<= x_114 ?cvcl_231))  (iff x_252 x_238) )) $cvcl_232)  (and (and (and (= x_253 1) $cvcl_230) (xor x_238  x_247 )) (= x_119 (+ ?cvcl_231 x_92))) )  (and (and (and (= x_253 2) $cvcl_230) (iff x_238 x_247)) $cvcl_232) )) (or (or (and (and (and (= x_254 0) (not $cvcl_234)) (or (not $cvcl_233)  (iff x_249 x_17) )) $cvcl_235)  (and (and (and (= x_254 1) $cvcl_234) (xor x_17  x_21 )) (= x_121 (+ ?cvcl_18 x_96))) )  (and (and (and (= x_254 2) $cvcl_234) (iff x_17 x_21)) $cvcl_235) )) (or (or (and (and (and (= x_255 0) $cvcl_236) (or (not (<= x_115 ?cvcl_231))  (= x_22 x_19) )) $cvcl_238)  (and (and (and (= x_255 1) $cvcl_230) (not $cvcl_237)) (= x_120 (+ ?cvcl_231 x_92))) )  (and (and (and (= x_255 2) $cvcl_230) $cvcl_237) $cvcl_238) )) (or (and (and (and (and (and (and (and (and (and (= x_239 0) (iff x_16 x_234)) (= ?cvcl_19 x_107)) (<= (+ ?cvcl_19 x_90) x_112)) (or $cvcl_241  (iff x_17 x_12) )) (iff x_240 x_231)) (iff x_241 x_232)) (= x_113 x_108)) $cvcl_239) $cvcl_240)  (and (and (and (and (and (and (and (and (and (= x_239 1) (iff x_241 x_231)) (= ?cvcl_19 x_108)) (<= (+ ?cvcl_19 x_91) x_113)) (or (and (and (= x_242 0) $cvcl_239) $cvcl_240)  (and (and (= x_242 1) (iff x_229 x_232)) (iff x_238 (not x_229))) )) (iff x_243 x_234)) (iff x_16 x_12)) (= x_18 x_14)) (= x_112 x_107)) $cvcl_241) )) (or (or (and (and (and (= x_244 0) $cvcl_248) (or (not (<= x_109 ?cvcl_243))  (iff x_243 x_229) )) $cvcl_244)  (and (and (and (= x_244 1) $cvcl_242) (xor x_229  x_238 )) (= x_114 (+ ?cvcl_243 x_92))) )  (and (and (and (= x_244 2) $cvcl_242) (iff x_229 x_238)) $cvcl_244) )) (or (or (and (and (and (= x_245 0) (not $cvcl_246)) (or (not $cvcl_245)  (iff x_240 x_13) )) $cvcl_247)  (and (and (and (= x_245 1) $cvcl_246) (xor x_13  x_17 )) (= x_116 (+ ?cvcl_19 x_96))) )  (and (and (and (= x_245 2) $cvcl_246) (iff x_13 x_17)) $cvcl_247) )) (or (or (and (and (and (= x_246 0) $cvcl_248) (or (not (<= x_110 ?cvcl_243))  (= x_18 x_15) )) $cvcl_250)  (and (and (and (= x_246 1) $cvcl_242) (not $cvcl_249)) (= x_115 (+ ?cvcl_243 x_92))) )  (and (and (and (= x_246 2) $cvcl_242) $cvcl_249) $cvcl_250) )) (or (and (and (and (and (and (and (and (and (and (= x_230 0) (iff x_12 x_225)) (= ?cvcl_20 x_102)) (<= (+ ?cvcl_20 x_90) x_107)) (or $cvcl_253  (iff x_13 x_8) )) (iff x_231 x_222)) (iff x_232 x_223)) (= x_108 x_103)) $cvcl_251) $cvcl_252)  (and (and (and (and (and (and (and (and (and (= x_230 1) (iff x_232 x_222)) (= ?cvcl_20 x_103)) (<= (+ ?cvcl_20 x_91) x_108)) (or (and (and (= x_233 0) $cvcl_251) $cvcl_252)  (and (and (= x_233 1) (iff x_220 x_223)) (iff x_229 (not x_220))) )) (iff x_234 x_225)) (iff x_12 x_8)) (= x_14 x_10)) (= x_107 x_102)) $cvcl_253) )) (or (or (and (and (and (= x_235 0) $cvcl_260) (or (not (<= x_104 ?cvcl_255))  (iff x_234 x_220) )) $cvcl_256)  (and (and (and (= x_235 1) $cvcl_254) (xor x_220  x_229 )) (= x_109 (+ ?cvcl_255 x_92))) )  (and (and (and (= x_235 2) $cvcl_254) (iff x_220 x_229)) $cvcl_256) )) (or (or (and (and (and (= x_236 0) (not $cvcl_258)) (or (not $cvcl_257)  (iff x_231 x_9) )) $cvcl_259)  (and (and (and (= x_236 1) $cvcl_258) (xor x_9  x_13 )) (= x_111 (+ ?cvcl_20 x_96))) )  (and (and (and (= x_236 2) $cvcl_258) (iff x_9 x_13)) $cvcl_259) )) (or (or (and (and (and (= x_237 0) $cvcl_260) (or (not (<= x_105 ?cvcl_255))  (= x_14 x_11) )) $cvcl_262)  (and (and (and (= x_237 1) $cvcl_254) (not $cvcl_261)) (= x_110 (+ ?cvcl_255 x_92))) )  (and (and (and (= x_237 2) $cvcl_254) $cvcl_261) $cvcl_262) )) (or (and (and (and (and (and (and (and (and (and (= x_221 0) (iff x_8 x_216)) (= ?cvcl_21 x_97)) (<= (+ ?cvcl_21 x_90) x_102)) (or $cvcl_265  (iff x_9 x_4) )) (iff x_222 x_211)) (iff x_223 x_213)) (= x_103 x_98)) $cvcl_263) $cvcl_264)  (and (and (and (and (and (and (and (and (and (= x_221 1) (iff x_223 x_211)) (= ?cvcl_21 x_98)) (<= (+ ?cvcl_21 x_91) x_103)) (or (and (and (= x_224 0) $cvcl_263) $cvcl_264)  (and (and (= x_224 1) (iff x_207 x_213)) (iff x_220 (not x_207))) )) (iff x_225 x_216)) (iff x_8 x_4)) (= x_10 x_6)) (= x_102 x_97)) $cvcl_265) )) (or (or (and (and (and (= x_226 0) $cvcl_272) (or (not (<= x_99 ?cvcl_267))  (iff x_225 x_207) )) $cvcl_268)  (and (and (and (= x_226 1) $cvcl_266) (xor x_207  x_220 )) (= x_104 (+ ?cvcl_267 x_92))) )  (and (and (and (= x_226 2) $cvcl_266) (iff x_207 x_220)) $cvcl_268) )) (or (or (and (and (and (= x_227 0) (not $cvcl_270)) (or (not $cvcl_269)  (iff x_222 x_5) )) $cvcl_271)  (and (and (and (= x_227 1) $cvcl_270) (xor x_5  x_9 )) (= x_106 (+ ?cvcl_21 x_96))) )  (and (and (and (= x_227 2) $cvcl_270) (iff x_5 x_9)) $cvcl_271) )) (or (or (and (and (and (= x_228 0) $cvcl_272) (or (not (<= x_100 ?cvcl_267))  (= x_10 x_7) )) $cvcl_274)  (and (and (and (= x_228 1) $cvcl_266) (not $cvcl_273)) (= x_105 (+ ?cvcl_267 x_92))) )  (and (and (and (= x_228 2) $cvcl_266) $cvcl_273) $cvcl_274) )) (or (and (and (and (and (and (and (and (and (and (= x_209 0) (iff x_4 x_210)) (= ?cvcl_22 x_88)) (<= (+ ?cvcl_22 x_90) x_97)) (or $cvcl_277  (iff x_5 x_0) )) (iff x_211 x_212)) (iff x_213 x_214)) (= x_98 x_89)) $cvcl_275) $cvcl_276)  (and (and (and (and (and (and (and (and (and (= x_209 1) (iff x_213 x_212)) (= ?cvcl_22 x_89)) (<= (+ ?cvcl_22 x_91) x_98)) (or (and (and (= x_215 0) $cvcl_275) $cvcl_276)  (and (and (= x_215 1) (iff x_208 x_214)) (iff x_207 (not x_208))) )) (iff x_216 x_210)) (iff x_4 x_0)) (= x_6 x_2)) (= x_97 x_88)) $cvcl_277) )) (or (or (and (and (and (= x_217 0) $cvcl_284) (or (not (<= x_93 ?cvcl_279))  (iff x_216 x_208) )) $cvcl_280)  (and (and (and (= x_217 1) $cvcl_278) (xor x_208  x_207 )) (= x_99 (+ ?cvcl_279 x_92))) )  (and (and (and (= x_217 2) $cvcl_278) (iff x_208 x_207)) $cvcl_280) )) (or (or (and (and (and (= x_218 0) (not $cvcl_282)) (or (not $cvcl_281)  (iff x_211 x_1) )) $cvcl_283)  (and (and (and (= x_218 1) $cvcl_282) (xor x_1  x_5 )) (= x_101 (+ ?cvcl_22 x_96))) )  (and (and (and (= x_218 2) $cvcl_282) (iff x_1 x_5)) $cvcl_283) )) (or (or (and (and (and (= x_219 0) $cvcl_284) (or (not (<= x_94 ?cvcl_279))  (= x_6 x_3) )) $cvcl_286)  (and (and (and (= x_219 1) $cvcl_278) (not $cvcl_285)) (= x_100 (+ ?cvcl_279 x_92))) )  (and (and (and (= x_219 2) $cvcl_278) $cvcl_285) $cvcl_286) )) (xor x_403  x_404 )) (not (= x_409 x_401))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
)
