(benchmark synch_circuit
  :source {
Fully parameterized specification and verification of a synchronizer   
circuit modeling metastability at various levels of refinement.     
A paper describing this specification, to be published in Designing     
Correct Circuits (DCC), 2006, is available from the authors.            

Geoffrey Brown, Indiana University <geobrown@cs.indiana.edu>
Lee Pike, Galois Connections, Inc. <leepike@galois.com>

Translated into CVC format by Leonardo de Moura.

This benchmark was automatically translated into SMT-LIB format from
CVC format using CVC Lite

}
  :status sat
:category { industrial }
:difficulty { 2 }
  :logic QF_LRA
  
  :extrapreds ((x_0))
  :extrapreds ((x_1))
  :extrafuns ((x_2 Real))
  :extrafuns ((x_3 Real))
  :extrapreds ((x_4))
  :extrapreds ((x_5))
  :extrafuns ((x_6 Real))
  :extrafuns ((x_7 Real))
  :extrapreds ((x_8))
  :extrapreds ((x_9))
  :extrafuns ((x_10 Real))
  :extrafuns ((x_11 Real))
  :extrapreds ((x_12))
  :extrapreds ((x_13))
  :extrafuns ((x_14 Real))
  :extrafuns ((x_15 Real))
  :extrapreds ((x_16))
  :extrapreds ((x_17))
  :extrafuns ((x_18 Real))
  :extrafuns ((x_19 Real))
  :extrapreds ((x_20))
  :extrapreds ((x_21))
  :extrafuns ((x_22 Real))
  :extrafuns ((x_23 Real))
  :extrapreds ((x_24))
  :extrapreds ((x_25))
  :extrafuns ((x_26 Real))
  :extrafuns ((x_27 Real))
  :extrapreds ((x_28))
  :extrapreds ((x_29))
  :extrafuns ((x_30 Real))
  :extrafuns ((x_31 Real))
  :extrapreds ((x_32))
  :extrapreds ((x_33))
  :extrafuns ((x_34 Real))
  :extrafuns ((x_35 Real))
  :extrapreds ((x_36))
  :extrapreds ((x_37))
  :extrapreds ((x_38))
  :extrapreds ((x_39))
  :extrafuns ((x_40 Real))
  :extrafuns ((x_41 Real))
  :extrafuns ((x_42 Real))
  :extrafuns ((x_43 Real))
  :extrapreds ((x_44))
  :extrapreds ((x_45))
  :extrapreds ((x_46))
  :extrapreds ((x_47))
  :extrafuns ((x_48 Real))
  :extrafuns ((x_49 Real))
  :extrafuns ((x_50 Real))
  :extrafuns ((x_51 Real))
  :extrapreds ((x_52))
  :extrapreds ((x_53))
  :extrapreds ((x_54))
  :extrapreds ((x_55))
  :extrafuns ((x_56 Real))
  :extrafuns ((x_57 Real))
  :extrafuns ((x_58 Real))
  :extrafuns ((x_59 Real))
  :extrapreds ((x_60))
  :extrapreds ((x_61))
  :extrapreds ((x_62))
  :extrapreds ((x_63))
  :extrafuns ((x_64 Real))
  :extrafuns ((x_65 Real))
  :extrafuns ((x_66 Real))
  :extrafuns ((x_67 Real))
  :extrapreds ((x_68))
  :extrapreds ((x_69))
  :extrapreds ((x_70))
  :extrapreds ((x_71))
  :extrafuns ((x_72 Real))
  :extrafuns ((x_73 Real))
  :extrafuns ((x_74 Real))
  :extrafuns ((x_75 Real))
  :extrapreds ((x_76))
  :extrapreds ((x_77))
  :extrapreds ((x_78))
  :extrapreds ((x_79))
  :extrafuns ((x_80 Real))
  :extrafuns ((x_81 Real))
  :extrafuns ((x_82 Real))
  :extrafuns ((x_83 Real))
  :extrapreds ((x_84))
  :extrapreds ((x_85))
  :extrapreds ((x_86))
  :extrapreds ((x_87))
  :extrafuns ((x_88 Real))
  :extrafuns ((x_89 Real))
  :extrafuns ((x_90 Real))
  :extrafuns ((x_91 Real))
  :extrapreds ((x_92))
  :extrapreds ((x_93))
  :extrapreds ((x_94))
  :extrapreds ((x_95))
  :extrafuns ((x_96 Real))
  :extrafuns ((x_97 Real))
  :extrafuns ((x_98 Real))
  :extrafuns ((x_99 Real))
  :extrapreds ((x_100))
  :extrapreds ((x_101))
  :extrapreds ((x_102))
  :extrapreds ((x_103))
  :extrafuns ((x_104 Real))
  :extrafuns ((x_105 Real))
  :extrafuns ((x_106 Real))
  :extrafuns ((x_107 Real))
  :extrapreds ((x_108))
  :extrapreds ((x_109))
  :extrapreds ((x_110))
  :extrapreds ((x_111))
  :extrapreds ((x_112))
  :extrapreds ((x_113))
  :extrafuns ((x_114 Real))
  :extrafuns ((x_115 Real))
  :extrafuns ((x_116 Real))
  :extrafuns ((x_117 Real))
  :extrafuns ((x_118 Real))
  :extrafuns ((x_119 Real))
  :extrafuns ((x_120 Real))
  :extrafuns ((x_121 Real))
  :extrafuns ((x_122 Real))
  :extrafuns ((x_123 Real))
  :extrafuns ((x_124 Real))
  :extrafuns ((x_125 Real))
  :extrafuns ((x_126 Real))
  :extrafuns ((x_127 Real))
  :extrafuns ((x_128 Real))
  :extrafuns ((x_129 Real))
  :extrafuns ((x_130 Real))
  :extrafuns ((x_131 Real))
  :extrafuns ((x_132 Real))
  :extrafuns ((x_133 Real))
  :extrafuns ((x_134 Real))
  :extrafuns ((x_135 Real))
  :extrafuns ((x_136 Real))
  :extrafuns ((x_137 Real))
  :extrafuns ((x_138 Real))
  :extrafuns ((x_139 Real))
  :extrafuns ((x_140 Real))
  :extrafuns ((x_141 Real))
  :extrafuns ((x_142 Real))
  :extrafuns ((x_143 Real))
  :extrafuns ((x_144 Real))
  :extrafuns ((x_145 Real))
  :extrafuns ((x_146 Real))
  :extrafuns ((x_147 Real))
  :extrafuns ((x_148 Real))
  :extrafuns ((x_149 Real))
  :extrafuns ((x_150 Real))
  :extrafuns ((x_151 Real))
  :extrafuns ((x_152 Real))
  :extrafuns ((x_153 Real))
  :extrafuns ((x_154 Real))
  :extrafuns ((x_155 Real))
  :extrafuns ((x_156 Real))
  :extrafuns ((x_157 Real))
  :extrafuns ((x_158 Real))
  :extrafuns ((x_159 Real))
  :extrafuns ((x_160 Real))
  :extrafuns ((x_161 Real))
  :extrafuns ((x_162 Real))
  :extrafuns ((x_163 Real))
  :extrafuns ((x_164 Real))
  :extrafuns ((x_165 Real))
  :extrafuns ((x_166 Real))
  :extrafuns ((x_167 Real))
  :extrafuns ((x_168 Real))
  :extrafuns ((x_169 Real))
  :extrafuns ((x_170 Real))
  :extrafuns ((x_171 Real))
  :extrafuns ((x_172 Real))
  :extrafuns ((x_173 Real))
  :extrafuns ((x_174 Real))
  :extrafuns ((x_175 Real))
  :extrafuns ((x_176 Real))
  :extrafuns ((x_177 Real))
  :extrafuns ((x_178 Real))
  :formula
(flet ($cvcl_111 (= x_49 x_41)) (flet ($cvcl_112 (= x_42 x_50)) (flet ($cvcl_113 (= x_51 x_43)) (flet ($cvcl_109 (= x_40 x_48)) (flet ($cvcl_114 (not $cvcl_109)) (flet ($cvcl_116 (= x_118 x_119)) (flet ($cvcl_105 (iff x_44 x_36)) (flet ($cvcl_106 (= x_7 x_3)) (let (?cvcl_110 (ite (<= x_42 x_40) x_42 x_40)) (let (?cvcl_104 (ite (<= x_40 x_42) x_40 x_42)) (flet ($cvcl_98 (= x_57 x_49)) (flet ($cvcl_99 (= x_50 x_58)) (flet ($cvcl_100 (= x_59 x_51)) (flet ($cvcl_96 (= x_48 x_56)) (flet ($cvcl_101 (not $cvcl_96)) (flet ($cvcl_103 (= x_129 x_118)) (flet ($cvcl_92 (iff x_52 x_44)) (flet ($cvcl_93 (= x_11 x_7)) (let (?cvcl_97 (ite (<= x_50 x_48) x_50 x_48)) (let (?cvcl_91 (ite (<= x_48 x_50) x_48 x_50)) (flet ($cvcl_85 (= x_65 x_57)) (flet ($cvcl_86 (= x_58 x_66)) (flet ($cvcl_87 (= x_67 x_59)) (flet ($cvcl_83 (= x_56 x_64)) (flet ($cvcl_88 (not $cvcl_83)) (flet ($cvcl_90 (= x_135 x_129)) (flet ($cvcl_79 (iff x_60 x_52)) (flet ($cvcl_80 (= x_15 x_11)) (let (?cvcl_84 (ite (<= x_58 x_56) x_58 x_56)) (let (?cvcl_78 (ite (<= x_56 x_58) x_56 x_58)) (flet ($cvcl_72 (= x_73 x_65)) (flet ($cvcl_73 (= x_66 x_74)) (flet ($cvcl_74 (= x_75 x_67)) (flet ($cvcl_70 (= x_64 x_72)) (flet ($cvcl_75 (not $cvcl_70)) (flet ($cvcl_77 (= x_141 x_135)) (flet ($cvcl_66 (iff x_68 x_60)) (flet ($cvcl_67 (= x_19 x_15)) (let (?cvcl_71 (ite (<= x_66 x_64) x_66 x_64)) (let (?cvcl_65 (ite (<= x_64 x_66) x_64 x_66)) (flet ($cvcl_59 (= x_81 x_73)) (flet ($cvcl_60 (= x_74 x_82)) (flet ($cvcl_61 (= x_83 x_75)) (flet ($cvcl_57 (= x_72 x_80)) (flet ($cvcl_62 (not $cvcl_57)) (flet ($cvcl_64 (= x_147 x_141)) (flet ($cvcl_53 (iff x_76 x_68)) (flet ($cvcl_54 (= x_23 x_19)) (let (?cvcl_58 (ite (<= x_74 x_72) x_74 x_72)) (let (?cvcl_52 (ite (<= x_72 x_74) x_72 x_74)) (flet ($cvcl_46 (= x_89 x_81)) (flet ($cvcl_47 (= x_82 x_90)) (flet ($cvcl_48 (= x_91 x_83)) (flet ($cvcl_44 (= x_80 x_88)) (flet ($cvcl_49 (not $cvcl_44)) (flet ($cvcl_51 (= x_153 x_147)) (flet ($cvcl_40 (iff x_84 x_76)) (flet ($cvcl_41 (= x_27 x_23)) (let (?cvcl_45 (ite (<= x_82 x_80) x_82 x_80)) (let (?cvcl_39 (ite (<= x_80 x_82) x_80 x_82)) (flet ($cvcl_33 (= x_97 x_89)) (flet ($cvcl_34 (= x_90 x_98)) (flet ($cvcl_35 (= x_99 x_91)) (flet ($cvcl_31 (= x_88 x_96)) (flet ($cvcl_36 (not $cvcl_31)) (flet ($cvcl_38 (= x_159 x_153)) (flet ($cvcl_27 (iff x_92 x_84)) (flet ($cvcl_28 (= x_31 x_27)) (let (?cvcl_32 (ite (<= x_90 x_88) x_90 x_88)) (let (?cvcl_26 (ite (<= x_88 x_90) x_88 x_90)) (flet ($cvcl_20 (= x_105 x_97)) (flet ($cvcl_21 (= x_98 x_106)) (flet ($cvcl_22 (= x_107 x_99)) (flet ($cvcl_18 (= x_96 x_104)) (flet ($cvcl_23 (not $cvcl_18)) (flet ($cvcl_25 (= x_165 x_159)) (flet ($cvcl_14 (iff x_100 x_92)) (flet ($cvcl_15 (= x_35 x_31)) (let (?cvcl_19 (ite (<= x_98 x_96) x_98 x_96)) (let (?cvcl_13 (ite (<= x_96 x_98) x_96 x_98)) (flet ($cvcl_7 (= x_115 x_105)) (flet ($cvcl_8 (= x_106 x_116)) (flet ($cvcl_9 (= x_117 x_107)) (flet ($cvcl_5 (= x_104 x_114)) (flet ($cvcl_10 (not $cvcl_5)) (flet ($cvcl_12 (= x_171 x_165)) (flet ($cvcl_1 (iff x_108 x_100)) (flet ($cvcl_2 (= x_172 x_35)) (let (?cvcl_6 (ite (<= x_106 x_104) x_106 x_104)) (let (?cvcl_0 (ite (<= x_104 x_106) x_104 x_106)) (flet ($cvcl_117 (xor x_110  x_111 )) (flet ($cvcl_3 (not x_100)) (flet ($cvcl_16 (not x_92)) (flet ($cvcl_29 (not x_84)) (flet ($cvcl_42 (not x_76)) (flet ($cvcl_55 (not x_68)) (flet ($cvcl_68 (not x_60)) (flet ($cvcl_81 (not x_52)) (flet ($cvcl_94 (not x_44)) (flet ($cvcl_107 (not x_36)) (flet ($cvcl_4 (iff x_111 x_33)) (flet ($cvcl_11 (= x_35 x_172)) (flet ($cvcl_17 (iff x_33 x_29)) (flet ($cvcl_24 (= x_31 x_35)) (flet ($cvcl_30 (iff x_29 x_25)) (flet ($cvcl_37 (= x_27 x_31)) (flet ($cvcl_43 (iff x_25 x_21)) (flet ($cvcl_50 (= x_23 x_27)) (flet ($cvcl_56 (iff x_21 x_17)) (flet ($cvcl_63 (= x_19 x_23)) (flet ($cvcl_69 (iff x_17 x_13)) (flet ($cvcl_76 (= x_15 x_19)) (flet ($cvcl_82 (iff x_13 x_9)) (flet ($cvcl_89 (= x_11 x_15)) (flet ($cvcl_95 (iff x_9 x_5)) (flet ($cvcl_102 (= x_7 x_11)) (flet ($cvcl_108 (iff x_5 x_1)) (flet ($cvcl_115 (= x_3 x_7)) (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (> x_120 0) (> x_121 0)) (>= x_122 0)) (< x_122 x_120)) (< x_122 x_121)) (>= x_127 0)) (< x_127 x_120)) (< x_127 x_121)) (or (iff x_32 x_33)  (= x_34 x_35) )) (or (iff x_28 x_29)  (= x_30 x_31) )) (or (iff x_24 x_25)  (= x_26 x_27) )) (or (iff x_20 x_21)  (= x_22 x_23) )) (or (iff x_16 x_17)  (= x_18 x_19) )) (or (iff x_12 x_13)  (= x_14 x_15) )) (or (iff x_8 x_9)  (= x_10 x_11) )) (or (iff x_4 x_5)  (= x_6 x_7) )) (or (iff x_0 x_1)  (= x_2 x_3) )) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_108  x_109 ) 1 0) (ite (xor x_109  x_110 ) 1 0)) (ite $cvcl_117 1 0)) (ite (xor x_111  x_112 ) 1 0)) (ite (xor x_112  x_113 ) 1 0)) (ite (xor x_113  (not x_108) ) 1 0)) (ite (and (iff x_108 x_109) (< x_114 x_115)) 1 0)) (ite (and (iff x_111 x_112) (< x_116 x_117)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_100  x_101 ) 1 0) (ite (xor x_101  x_32 ) 1 0)) (ite (xor x_32  x_33 ) 1 0)) (ite (xor x_33  x_102 ) 1 0)) (ite (xor x_102  x_103 ) 1 0)) (ite (xor x_103  $cvcl_3 ) 1 0)) (ite (and (iff x_100 x_101) (< x_104 x_105)) 1 0)) (ite (and (iff x_33 x_102) (< x_106 x_107)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_92  x_93 ) 1 0) (ite (xor x_93  x_28 ) 1 0)) (ite (xor x_28  x_29 ) 1 0)) (ite (xor x_29  x_94 ) 1 0)) (ite (xor x_94  x_95 ) 1 0)) (ite (xor x_95  $cvcl_16 ) 1 0)) (ite (and (iff x_92 x_93) (< x_96 x_97)) 1 0)) (ite (and (iff x_29 x_94) (< x_98 x_99)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_84  x_85 ) 1 0) (ite (xor x_85  x_24 ) 1 0)) (ite (xor x_24  x_25 ) 1 0)) (ite (xor x_25  x_86 ) 1 0)) (ite (xor x_86  x_87 ) 1 0)) (ite (xor x_87  $cvcl_29 ) 1 0)) (ite (and (iff x_84 x_85) (< x_88 x_89)) 1 0)) (ite (and (iff x_25 x_86) (< x_90 x_91)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_76  x_77 ) 1 0) (ite (xor x_77  x_20 ) 1 0)) (ite (xor x_20  x_21 ) 1 0)) (ite (xor x_21  x_78 ) 1 0)) (ite (xor x_78  x_79 ) 1 0)) (ite (xor x_79  $cvcl_42 ) 1 0)) (ite (and (iff x_76 x_77) (< x_80 x_81)) 1 0)) (ite (and (iff x_21 x_78) (< x_82 x_83)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_68  x_69 ) 1 0) (ite (xor x_69  x_16 ) 1 0)) (ite (xor x_16  x_17 ) 1 0)) (ite (xor x_17  x_70 ) 1 0)) (ite (xor x_70  x_71 ) 1 0)) (ite (xor x_71  $cvcl_55 ) 1 0)) (ite (and (iff x_68 x_69) (< x_72 x_73)) 1 0)) (ite (and (iff x_17 x_70) (< x_74 x_75)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_60  x_61 ) 1 0) (ite (xor x_61  x_12 ) 1 0)) (ite (xor x_12  x_13 ) 1 0)) (ite (xor x_13  x_62 ) 1 0)) (ite (xor x_62  x_63 ) 1 0)) (ite (xor x_63  $cvcl_68 ) 1 0)) (ite (and (iff x_60 x_61) (< x_64 x_65)) 1 0)) (ite (and (iff x_13 x_62) (< x_66 x_67)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_52  x_53 ) 1 0) (ite (xor x_53  x_8 ) 1 0)) (ite (xor x_8  x_9 ) 1 0)) (ite (xor x_9  x_54 ) 1 0)) (ite (xor x_54  x_55 ) 1 0)) (ite (xor x_55  $cvcl_81 ) 1 0)) (ite (and (iff x_52 x_53) (< x_56 x_57)) 1 0)) (ite (and (iff x_9 x_54) (< x_58 x_59)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_44  x_45 ) 1 0) (ite (xor x_45  x_4 ) 1 0)) (ite (xor x_4  x_5 ) 1 0)) (ite (xor x_5  x_46 ) 1 0)) (ite (xor x_46  x_47 ) 1 0)) (ite (xor x_47  $cvcl_94 ) 1 0)) (ite (and (iff x_44 x_45) (< x_48 x_49)) 1 0)) (ite (and (iff x_5 x_46) (< x_50 x_51)) 1 0)) 1)) (<= (+ (+ (+ (+ (+ (+ (+ (ite (xor x_36  x_37 ) 1 0) (ite (xor x_37  x_0 ) 1 0)) (ite (xor x_0  x_1 ) 1 0)) (ite (xor x_1  x_38 ) 1 0)) (ite (xor x_38  x_39 ) 1 0)) (ite (xor x_39  $cvcl_107 ) 1 0)) (ite (and (iff x_36 x_37) (< x_40 x_41)) 1 0)) (ite (and (iff x_1 x_38) (< x_42 x_43)) 1 0)) 1)) (or (and (and (and (and (and (and (and (and (and (= x_173 0) (iff x_110 x_101)) (= ?cvcl_0 x_104)) (<= (+ ?cvcl_0 x_120) x_114)) (or $cvcl_4  (iff x_111 x_32) )) (iff x_112 x_102)) (iff x_113 x_103)) (= x_116 x_106)) $cvcl_1) $cvcl_2)  (and (and (and (and (and (and (and (and (and (= x_173 1) (iff x_113 x_102)) (= ?cvcl_0 x_106)) (<= (+ ?cvcl_0 x_121) x_116)) (or (and (and (= x_174 0) $cvcl_1) $cvcl_2)  (and (and (= x_174 1) (iff x_100 x_103)) (iff x_108 $cvcl_3)) )) (iff x_109 x_101)) (iff x_110 x_32)) (= x_175 x_34)) (= x_114 x_104)) $cvcl_4) )) (or (or (and (and (and (= x_176 0) $cvcl_10) (or (not (<= x_105 ?cvcl_6))  (iff x_109 x_100) )) $cvcl_7)  (and (and (and (= x_176 1) $cvcl_5) (xor x_100  x_108 )) (= x_115 (+ ?cvcl_6 x_122))) )  (and (and (and (= x_176 2) $cvcl_5) (iff x_100 x_108)) $cvcl_7) )) (or (or (and (and (and (= x_177 0) (not $cvcl_8)) (or (not (<= x_107 ?cvcl_0))  (iff x_112 x_33) )) $cvcl_9)  (and (and (and (= x_177 1) $cvcl_8) (xor x_33  x_111 )) (= x_117 (+ ?cvcl_0 x_127))) )  (and (and (and (= x_177 2) $cvcl_8) (iff x_33 x_111)) $cvcl_9) )) (or (or (and (and (and (= x_178 0) $cvcl_10) (or (not (<= x_165 ?cvcl_6))  (= x_175 x_35) )) $cvcl_12)  (and (and (and (= x_178 1) $cvcl_5) (not $cvcl_11)) (= x_171 (+ ?cvcl_6 x_122))) )  (and (and (and (= x_178 2) $cvcl_5) $cvcl_11) $cvcl_12) )) (or (and (and (and (and (and (and (and (and (and (= x_166 0) (iff x_32 x_93)) (= ?cvcl_13 x_96)) (<= (+ ?cvcl_13 x_120) x_104)) (or $cvcl_17  (iff x_33 x_28) )) (iff x_102 x_94)) (iff x_103 x_95)) (= x_106 x_98)) $cvcl_14) $cvcl_15)  (and (and (and (and (and (and (and (and (and (= x_166 1) (iff x_103 x_94)) (= ?cvcl_13 x_98)) (<= (+ ?cvcl_13 x_121) x_106)) (or (and (and (= x_167 0) $cvcl_14) $cvcl_15)  (and (and (= x_167 1) (iff x_92 x_95)) (iff x_100 $cvcl_16)) )) (iff x_101 x_93)) (iff x_32 x_28)) (= x_34 x_30)) (= x_104 x_96)) $cvcl_17) )) (or (or (and (and (and (= x_168 0) $cvcl_23) (or (not (<= x_97 ?cvcl_19))  (iff x_101 x_92) )) $cvcl_20)  (and (and (and (= x_168 1) $cvcl_18) (xor x_92  x_100 )) (= x_105 (+ ?cvcl_19 x_122))) )  (and (and (and (= x_168 2) $cvcl_18) (iff x_92 x_100)) $cvcl_20) )) (or (or (and (and (and (= x_169 0) (not $cvcl_21)) (or (not (<= x_99 ?cvcl_13))  (iff x_102 x_29) )) $cvcl_22)  (and (and (and (= x_169 1) $cvcl_21) (xor x_29  x_33 )) (= x_107 (+ ?cvcl_13 x_127))) )  (and (and (and (= x_169 2) $cvcl_21) (iff x_29 x_33)) $cvcl_22) )) (or (or (and (and (and (= x_170 0) $cvcl_23) (or (not (<= x_159 ?cvcl_19))  (= x_34 x_31) )) $cvcl_25)  (and (and (and (= x_170 1) $cvcl_18) (not $cvcl_24)) (= x_165 (+ ?cvcl_19 x_122))) )  (and (and (and (= x_170 2) $cvcl_18) $cvcl_24) $cvcl_25) )) (or (and (and (and (and (and (and (and (and (and (= x_160 0) (iff x_28 x_85)) (= ?cvcl_26 x_88)) (<= (+ ?cvcl_26 x_120) x_96)) (or $cvcl_30  (iff x_29 x_24) )) (iff x_94 x_86)) (iff x_95 x_87)) (= x_98 x_90)) $cvcl_27) $cvcl_28)  (and (and (and (and (and (and (and (and (and (= x_160 1) (iff x_95 x_86)) (= ?cvcl_26 x_90)) (<= (+ ?cvcl_26 x_121) x_98)) (or (and (and (= x_161 0) $cvcl_27) $cvcl_28)  (and (and (= x_161 1) (iff x_84 x_87)) (iff x_92 $cvcl_29)) )) (iff x_93 x_85)) (iff x_28 x_24)) (= x_30 x_26)) (= x_96 x_88)) $cvcl_30) )) (or (or (and (and (and (= x_162 0) $cvcl_36) (or (not (<= x_89 ?cvcl_32))  (iff x_93 x_84) )) $cvcl_33)  (and (and (and (= x_162 1) $cvcl_31) (xor x_84  x_92 )) (= x_97 (+ ?cvcl_32 x_122))) )  (and (and (and (= x_162 2) $cvcl_31) (iff x_84 x_92)) $cvcl_33) )) (or (or (and (and (and (= x_163 0) (not $cvcl_34)) (or (not (<= x_91 ?cvcl_26))  (iff x_94 x_25) )) $cvcl_35)  (and (and (and (= x_163 1) $cvcl_34) (xor x_25  x_29 )) (= x_99 (+ ?cvcl_26 x_127))) )  (and (and (and (= x_163 2) $cvcl_34) (iff x_25 x_29)) $cvcl_35) )) (or (or (and (and (and (= x_164 0) $cvcl_36) (or (not (<= x_153 ?cvcl_32))  (= x_30 x_27) )) $cvcl_38)  (and (and (and (= x_164 1) $cvcl_31) (not $cvcl_37)) (= x_159 (+ ?cvcl_32 x_122))) )  (and (and (and (= x_164 2) $cvcl_31) $cvcl_37) $cvcl_38) )) (or (and (and (and (and (and (and (and (and (and (= x_154 0) (iff x_24 x_77)) (= ?cvcl_39 x_80)) (<= (+ ?cvcl_39 x_120) x_88)) (or $cvcl_43  (iff x_25 x_20) )) (iff x_86 x_78)) (iff x_87 x_79)) (= x_90 x_82)) $cvcl_40) $cvcl_41)  (and (and (and (and (and (and (and (and (and (= x_154 1) (iff x_87 x_78)) (= ?cvcl_39 x_82)) (<= (+ ?cvcl_39 x_121) x_90)) (or (and (and (= x_155 0) $cvcl_40) $cvcl_41)  (and (and (= x_155 1) (iff x_76 x_79)) (iff x_84 $cvcl_42)) )) (iff x_85 x_77)) (iff x_24 x_20)) (= x_26 x_22)) (= x_88 x_80)) $cvcl_43) )) (or (or (and (and (and (= x_156 0) $cvcl_49) (or (not (<= x_81 ?cvcl_45))  (iff x_85 x_76) )) $cvcl_46)  (and (and (and (= x_156 1) $cvcl_44) (xor x_76  x_84 )) (= x_89 (+ ?cvcl_45 x_122))) )  (and (and (and (= x_156 2) $cvcl_44) (iff x_76 x_84)) $cvcl_46) )) (or (or (and (and (and (= x_157 0) (not $cvcl_47)) (or (not (<= x_83 ?cvcl_39))  (iff x_86 x_21) )) $cvcl_48)  (and (and (and (= x_157 1) $cvcl_47) (xor x_21  x_25 )) (= x_91 (+ ?cvcl_39 x_127))) )  (and (and (and (= x_157 2) $cvcl_47) (iff x_21 x_25)) $cvcl_48) )) (or (or (and (and (and (= x_158 0) $cvcl_49) (or (not (<= x_147 ?cvcl_45))  (= x_26 x_23) )) $cvcl_51)  (and (and (and (= x_158 1) $cvcl_44) (not $cvcl_50)) (= x_153 (+ ?cvcl_45 x_122))) )  (and (and (and (= x_158 2) $cvcl_44) $cvcl_50) $cvcl_51) )) (or (and (and (and (and (and (and (and (and (and (= x_148 0) (iff x_20 x_69)) (= ?cvcl_52 x_72)) (<= (+ ?cvcl_52 x_120) x_80)) (or $cvcl_56  (iff x_21 x_16) )) (iff x_78 x_70)) (iff x_79 x_71)) (= x_82 x_74)) $cvcl_53) $cvcl_54)  (and (and (and (and (and (and (and (and (and (= x_148 1) (iff x_79 x_70)) (= ?cvcl_52 x_74)) (<= (+ ?cvcl_52 x_121) x_82)) (or (and (and (= x_149 0) $cvcl_53) $cvcl_54)  (and (and (= x_149 1) (iff x_68 x_71)) (iff x_76 $cvcl_55)) )) (iff x_77 x_69)) (iff x_20 x_16)) (= x_22 x_18)) (= x_80 x_72)) $cvcl_56) )) (or (or (and (and (and (= x_150 0) $cvcl_62) (or (not (<= x_73 ?cvcl_58))  (iff x_77 x_68) )) $cvcl_59)  (and (and (and (= x_150 1) $cvcl_57) (xor x_68  x_76 )) (= x_81 (+ ?cvcl_58 x_122))) )  (and (and (and (= x_150 2) $cvcl_57) (iff x_68 x_76)) $cvcl_59) )) (or (or (and (and (and (= x_151 0) (not $cvcl_60)) (or (not (<= x_75 ?cvcl_52))  (iff x_78 x_17) )) $cvcl_61)  (and (and (and (= x_151 1) $cvcl_60) (xor x_17  x_21 )) (= x_83 (+ ?cvcl_52 x_127))) )  (and (and (and (= x_151 2) $cvcl_60) (iff x_17 x_21)) $cvcl_61) )) (or (or (and (and (and (= x_152 0) $cvcl_62) (or (not (<= x_141 ?cvcl_58))  (= x_22 x_19) )) $cvcl_64)  (and (and (and (= x_152 1) $cvcl_57) (not $cvcl_63)) (= x_147 (+ ?cvcl_58 x_122))) )  (and (and (and (= x_152 2) $cvcl_57) $cvcl_63) $cvcl_64) )) (or (and (and (and (and (and (and (and (and (and (= x_142 0) (iff x_16 x_61)) (= ?cvcl_65 x_64)) (<= (+ ?cvcl_65 x_120) x_72)) (or $cvcl_69  (iff x_17 x_12) )) (iff x_70 x_62)) (iff x_71 x_63)) (= x_74 x_66)) $cvcl_66) $cvcl_67)  (and (and (and (and (and (and (and (and (and (= x_142 1) (iff x_71 x_62)) (= ?cvcl_65 x_66)) (<= (+ ?cvcl_65 x_121) x_74)) (or (and (and (= x_143 0) $cvcl_66) $cvcl_67)  (and (and (= x_143 1) (iff x_60 x_63)) (iff x_68 $cvcl_68)) )) (iff x_69 x_61)) (iff x_16 x_12)) (= x_18 x_14)) (= x_72 x_64)) $cvcl_69) )) (or (or (and (and (and (= x_144 0) $cvcl_75) (or (not (<= x_65 ?cvcl_71))  (iff x_69 x_60) )) $cvcl_72)  (and (and (and (= x_144 1) $cvcl_70) (xor x_60  x_68 )) (= x_73 (+ ?cvcl_71 x_122))) )  (and (and (and (= x_144 2) $cvcl_70) (iff x_60 x_68)) $cvcl_72) )) (or (or (and (and (and (= x_145 0) (not $cvcl_73)) (or (not (<= x_67 ?cvcl_65))  (iff x_70 x_13) )) $cvcl_74)  (and (and (and (= x_145 1) $cvcl_73) (xor x_13  x_17 )) (= x_75 (+ ?cvcl_65 x_127))) )  (and (and (and (= x_145 2) $cvcl_73) (iff x_13 x_17)) $cvcl_74) )) (or (or (and (and (and (= x_146 0) $cvcl_75) (or (not (<= x_135 ?cvcl_71))  (= x_18 x_15) )) $cvcl_77)  (and (and (and (= x_146 1) $cvcl_70) (not $cvcl_76)) (= x_141 (+ ?cvcl_71 x_122))) )  (and (and (and (= x_146 2) $cvcl_70) $cvcl_76) $cvcl_77) )) (or (and (and (and (and (and (and (and (and (and (= x_136 0) (iff x_12 x_53)) (= ?cvcl_78 x_56)) (<= (+ ?cvcl_78 x_120) x_64)) (or $cvcl_82  (iff x_13 x_8) )) (iff x_62 x_54)) (iff x_63 x_55)) (= x_66 x_58)) $cvcl_79) $cvcl_80)  (and (and (and (and (and (and (and (and (and (= x_136 1) (iff x_63 x_54)) (= ?cvcl_78 x_58)) (<= (+ ?cvcl_78 x_121) x_66)) (or (and (and (= x_137 0) $cvcl_79) $cvcl_80)  (and (and (= x_137 1) (iff x_52 x_55)) (iff x_60 $cvcl_81)) )) (iff x_61 x_53)) (iff x_12 x_8)) (= x_14 x_10)) (= x_64 x_56)) $cvcl_82) )) (or (or (and (and (and (= x_138 0) $cvcl_88) (or (not (<= x_57 ?cvcl_84))  (iff x_61 x_52) )) $cvcl_85)  (and (and (and (= x_138 1) $cvcl_83) (xor x_52  x_60 )) (= x_65 (+ ?cvcl_84 x_122))) )  (and (and (and (= x_138 2) $cvcl_83) (iff x_52 x_60)) $cvcl_85) )) (or (or (and (and (and (= x_139 0) (not $cvcl_86)) (or (not (<= x_59 ?cvcl_78))  (iff x_62 x_9) )) $cvcl_87)  (and (and (and (= x_139 1) $cvcl_86) (xor x_9  x_13 )) (= x_67 (+ ?cvcl_78 x_127))) )  (and (and (and (= x_139 2) $cvcl_86) (iff x_9 x_13)) $cvcl_87) )) (or (or (and (and (and (= x_140 0) $cvcl_88) (or (not (<= x_129 ?cvcl_84))  (= x_14 x_11) )) $cvcl_90)  (and (and (and (= x_140 1) $cvcl_83) (not $cvcl_89)) (= x_135 (+ ?cvcl_84 x_122))) )  (and (and (and (= x_140 2) $cvcl_83) $cvcl_89) $cvcl_90) )) (or (and (and (and (and (and (and (and (and (and (= x_130 0) (iff x_8 x_45)) (= ?cvcl_91 x_48)) (<= (+ ?cvcl_91 x_120) x_56)) (or $cvcl_95  (iff x_9 x_4) )) (iff x_54 x_46)) (iff x_55 x_47)) (= x_58 x_50)) $cvcl_92) $cvcl_93)  (and (and (and (and (and (and (and (and (and (= x_130 1) (iff x_55 x_46)) (= ?cvcl_91 x_50)) (<= (+ ?cvcl_91 x_121) x_58)) (or (and (and (= x_131 0) $cvcl_92) $cvcl_93)  (and (and (= x_131 1) (iff x_44 x_47)) (iff x_52 $cvcl_94)) )) (iff x_53 x_45)) (iff x_8 x_4)) (= x_10 x_6)) (= x_56 x_48)) $cvcl_95) )) (or (or (and (and (and (= x_132 0) $cvcl_101) (or (not (<= x_49 ?cvcl_97))  (iff x_53 x_44) )) $cvcl_98)  (and (and (and (= x_132 1) $cvcl_96) (xor x_44  x_52 )) (= x_57 (+ ?cvcl_97 x_122))) )  (and (and (and (= x_132 2) $cvcl_96) (iff x_44 x_52)) $cvcl_98) )) (or (or (and (and (and (= x_133 0) (not $cvcl_99)) (or (not (<= x_51 ?cvcl_91))  (iff x_54 x_5) )) $cvcl_100)  (and (and (and (= x_133 1) $cvcl_99) (xor x_5  x_9 )) (= x_59 (+ ?cvcl_91 x_127))) )  (and (and (and (= x_133 2) $cvcl_99) (iff x_5 x_9)) $cvcl_100) )) (or (or (and (and (and (= x_134 0) $cvcl_101) (or (not (<= x_118 ?cvcl_97))  (= x_10 x_7) )) $cvcl_103)  (and (and (and (= x_134 1) $cvcl_96) (not $cvcl_102)) (= x_129 (+ ?cvcl_97 x_122))) )  (and (and (and (= x_134 2) $cvcl_96) $cvcl_102) $cvcl_103) )) (or (and (and (and (and (and (and (and (and (and (= x_123 0) (iff x_4 x_37)) (= ?cvcl_104 x_40)) (<= (+ ?cvcl_104 x_120) x_48)) (or $cvcl_108  (iff x_5 x_0) )) (iff x_46 x_38)) (iff x_47 x_39)) (= x_50 x_42)) $cvcl_105) $cvcl_106)  (and (and (and (and (and (and (and (and (and (= x_123 1) (iff x_47 x_38)) (= ?cvcl_104 x_42)) (<= (+ ?cvcl_104 x_121) x_50)) (or (and (and (= x_124 0) $cvcl_105) $cvcl_106)  (and (and (= x_124 1) (iff x_36 x_39)) (iff x_44 $cvcl_107)) )) (iff x_45 x_37)) (iff x_4 x_0)) (= x_6 x_2)) (= x_48 x_40)) $cvcl_108) )) (or (or (and (and (and (= x_125 0) $cvcl_114) (or (not (<= x_41 ?cvcl_110))  (iff x_45 x_36) )) $cvcl_111)  (and (and (and (= x_125 1) $cvcl_109) (xor x_36  x_44 )) (= x_49 (+ ?cvcl_110 x_122))) )  (and (and (and (= x_125 2) $cvcl_109) (iff x_36 x_44)) $cvcl_111) )) (or (or (and (and (and (= x_126 0) (not $cvcl_112)) (or (not (<= x_43 ?cvcl_104))  (iff x_46 x_1) )) $cvcl_113)  (and (and (and (= x_126 1) $cvcl_112) (xor x_1  x_5 )) (= x_51 (+ ?cvcl_104 x_127))) )  (and (and (and (= x_126 2) $cvcl_112) (iff x_1 x_5)) $cvcl_113) )) (or (or (and (and (and (= x_128 0) $cvcl_114) (or (not (<= x_119 ?cvcl_110))  (= x_6 x_3) )) $cvcl_116)  (and (and (and (= x_128 1) $cvcl_109) (not $cvcl_115)) (= x_118 (+ ?cvcl_110 x_122))) )  (and (and (and (= x_128 2) $cvcl_109) $cvcl_115) $cvcl_116) )) $cvcl_117) (not (= x_175 x_172)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
)
